jQuery( document ).ready( function( $ ) {

   /**
    *
    * strict mode
    *
    */

    'use strict';

   /**
    *
    * add custom sidebars manage button
    *
    */

    $( window ).load( function() {

        $( '.widget-liquid-right' ).append( '<input type="button" class="button button-primary" id="ueldo-custom-sidebars-manager-button" value="'+ ueldo_sidebars_l10n.custom_sidebars_manager +'" />' );

    });

   /**
    *
    * show custom sidebars manage popup
    *
    */

    $( 'body' ).on( 'click', '#ueldo-custom-sidebars-manager-button', function() {

        $( '#ueldo-custom-sidebars-manager-popup .ueldo-custom-sidebars-manager-popup-content, #ueldo-custom-sidebars-manager-popup .ueldo-custom-sidebars-manager-popup-background' ).fadeIn( 300 );

    });

   /**
    *
    * add custom sidebar
    *
    */

    $( 'body' ).on( 'click', '.ueldo-add-custom-sidebar-button', function() {

        var table = $( this ).parent().siblings( 'table.ueldo-custom-sidebars-manager-popup-content-table' );
        var nextSidebarID = parseInt( table.data( 'next-custom-sidebar-id' ), 10 );

        table.find( 'tr[data-custom-sidebar-id="empty"]' ).remove();

        table.append( '<tr data-custom-sidebar-id="'+ nextSidebarID +'"><td><input type="text" placeholder="'+ ueldo_sidebars_l10n.custom_sidebar_name +'" /></td><td class="ueldo-custom-sidebars-manager-popup-content-table-actions"><a href="#" class="ueldo-remove-custom-sidebar">'+ ueldo_sidebars_l10n.remove +'</a></td></tr>' );
        table.data( 'next-custom-sidebar-id', nextSidebarID + 1 ).attr( 'data-next-custom-sidebar-id', nextSidebarID + 1 );

    });

   /**
    *
    * remove custom sidebar
    *
    */

    $( 'body' ).on( 'click', '.ueldo-remove-custom-sidebar', function( event ) {

        event.preventDefault();

        var row = $( this ).parent().parent();
        var table = row.parent();

        row.remove();
        if( table.find( 'tr' ).length == 1 ) {

            table.append( '<tr data-custom-sidebar-id="empty"><td colspan="2">'+ ueldo_sidebars_l10n.not_found_any_custom_sidebars +'</td></tr>' );
        }

    });

   /**
    *
    * close custom sidebars popup
    *
    */

    $( 'body' ).on( 'click', '.ueldo-custom-sidebars-manager-popup-close', function() { $.UeldoCloseCustomSidebarsManagerPopup(); });
    $.UeldoCloseCustomSidebarsManagerPopup = function() {

        $( '#ueldo-custom-sidebars-manager-popup .ueldo-custom-sidebars-manager-popup-content' ).fadeOut( 300 );
        $( '#ueldo-custom-sidebars-manager-popup .ueldo-custom-sidebars-manager-popup-background' ).fadeOut( 300 );

    };

   /**
    *
    * save custom sidebars
    *
    */

    $( 'body' ).on( 'click', '.ueldo-save-custom-sidebars', function() {

        var table = $( this ).parent().siblings( 'table.ueldo-custom-sidebars-manager-popup-content-table' );
        var customSidebars = { 'next-custom-sidebar-id': parseInt( table.data( 'next-custom-sidebar-id' ), 10 ), 'sidebars': {} };
        var isError = false;

        table.find( 'tr' ).each( function() {

            var row = $( this );
            if( row.data( 'custom-sidebar-id' ) != 'empty' && !row.hasClass( 'ueldo-custom-sidebars-manager-popup-content-table-head' ) ) {

                customSidebars.sidebars[row.data( 'custom-sidebar-id' )] = row.find( 'input[type="text"]' ).val();
                if( row.find( 'input[type="text"]' ).val() == '' ) {

                    isError = true;
                    row.find( 'input[type="text"]' ).addClass( 'ueldo-custom-sidebars-manager-popup-content-table-input-error' );
                }

                else row.find( 'input[type="text"]' ).removeClass( 'ueldo-custom-sidebars-manager-popup-content-table-input-error' );
            }

        });

        if( isError == false ) {

            $.ajax({
                url: ueldo_sidebars_l10n.plugin_dir_url +'/custom-sidebars-ajax.php',
                data: { 'sidebars': customSidebars },
                type: 'post',
                success: function() { location.reload(); }
            });
        }

    });

   /**
    *
    * end of file.
    *
    */

});