jQuery( document ).ready( function( $ ) {

   /**
    *
    * strict mode
    *
    */

    'use strict';

   /**
    *
    * action after click on "check now" button to check theme updates
    *
    */

    $( 'body' ).on( 'click', '.ueldo-dashboard-box button.ueldo-dashboard-check-latest-theme-version', function() {

        var button = $( this );
        var currentVersion = button.data( 'current-version' );
        var box = button.parents( '.ueldo-dashboard-box' );
        var boxContent = box.find( '.ueldo-dashboard-box-content' );

        button.attr( 'disabled', 'disabled' ).css({ 'cursor': 'wait' }).text( ueldo_plugin_dashboard_javascript_functions_l10n.checking );

        $.ajax({
            url: ueldo_plugin_dashboard_javascript_functions_l10n.ajax_path,
            data: { 'action': 'check_version', 'current_version': currentVersion },
            type: 'post',
            success: function( output ) {

                if( output.indexOf( 'UPDATE_AVAILABLE/' ) !== -1 ) {

                    button.siblings( '.ueldo-dashboard-box-content-button-notice' ).text( ueldo_plugin_dashboard_javascript_functions_l10n.last_checked_1_min_ago );
                    button.removeAttr( 'disabled' ).css({ 'cursor': '' }).text( ueldo_plugin_dashboard_javascript_functions_l10n.check_now );

                    boxContent.find( '.ueldo-dashboard-box-updated-notice, .ueldo-dashboard-box-info-notice' ).remove();
                    boxContent.prepend( '<div class="ueldo-dashboard-box-info-notice"><p>'+ ueldo_plugin_dashboard_javascript_functions_l10n.there_is_new_theme_version_available_please_update +'</p></div>' );

                    var version = output.replace( 'UPDATE_AVAILABLE/', '' );
                    boxContent.find( 'p.ueldo-dashboard-box-latest-theme-version-value' ).text( version );
                }

                else {

                    if( output == 'OK' ) {

                        button.siblings( '.ueldo-dashboard-box-content-button-notice' ).text( ueldo_plugin_dashboard_javascript_functions_l10n.last_checked_1_min_ago );
                        button.removeAttr( 'disabled' ).css({ 'cursor': '' }).text( ueldo_plugin_dashboard_javascript_functions_l10n.check_now );

                        boxContent.find( '.ueldo-dashboard-box-updated-notice, .ueldo-dashboard-box-info-notice' ).remove();
                        boxContent.prepend( '<div class="ueldo-dashboard-box-updated-notice"><p>'+ ueldo_plugin_dashboard_javascript_functions_l10n.theme_is_up_to_date +'</p></div>' );

                        boxContent.find( 'p.ueldo-dashboard-box-latest-theme-version-value' ).text( currentVersion );
                    }

                    else {

                        button.siblings( '.ueldo-dashboard-box-content-button-notice' ).text( ueldo_plugin_dashboard_javascript_functions_l10n.last_checked_1_min_ago );
                        button.removeAttr( 'disabled' ).css({ 'cursor': '' }).text( ueldo_plugin_dashboard_javascript_functions_l10n.check_now );

                        $( '<div class="ueldo-dashboard-box-error-notice"><p>'+ output +'</p></div>' ).insertBefore( button.parents( 'p' ) );
                    }
                }
            }
        });
    });

   /**
    *
    * end of the file.
    *
    */

});