<?php

   /**
    *
    * base functions
    *
    */

    # get path to wordpress core
    function ueldo_dynamic_styles_cache_ajax_core_path() {

        # explode the content path
        $exploded = explode( 'wp-content', $_SERVER['SCRIPT_FILENAME'] );

        # path up to themes directory
        return( $exploded[0] );
    }

    # check if connection is legal
    function ueldo_check_dynamic_styles_cache_ajax_call_correctness() {

        # is the http referer correct?
        if( strpos( $_SERVER['HTTP_REFERER'], '?page=ueldo_admin' ) === false ) return( false );

        # is the call made from current domain?
        if( strpos( $_SERVER['HTTP_REFERER'], $_SERVER['HTTP_HOST'] ) === false ) return( false );

        # return result
        return( is_user_logged_in() && current_user_can( 'manage_options' ) );
    }

   /**
    *
    * configurations
    *
    */

    # include wordpress core
    define( 'WP_USE_THEMES', false );
    require( ueldo_dynamic_styles_cache_ajax_core_path() .'wp-load.php' );

    # check if user is logged-in
    if( ueldo_check_dynamic_styles_cache_ajax_call_correctness() == false ) exit( esc_html( __( 'Permission denied.', 'ueldo' ) ) );

   /**
    *
    * proceed the deletion
    *
    */

    # walk for each available options
    foreach( wp_load_alloptions() as $key => $value ) {

        # do we have the match?
        if( strpos( $key, 'ueldo_dynamic_style_cache_page_' ) !== false ) {

            # remove theme option
            delete_option( $key );
        }
    }

    # delete cached files
    ueldo_dynamic_theme_styles_cache::delete_all_caches();

    # all goes fine
    exit( 'OK' );

   /**
    *
    * end of ajax.
    *
    */

?>