jQuery( document ).ready( function( $ ) {

   /**
    *
    * strict mode
    *
    */

    'use strict';

   /**
    *
    * media frame for widget image selection
    *
    */

    var ueldo_media_frame;
    $( 'body' ).on( 'click', '.ueldo-icons-uploader-button', function( event ) {

        event.preventDefault();
        var button = $( this );

        ueldo_media_frame = wp.media({
            title: ueldo_plugin_icons_uploader_javascript_functions_l10n.media_title,
            button: { text: ueldo_plugin_icons_uploader_javascript_functions_l10n.button },
            multiple: false,
            library: { type: 'application/zip' }
        });

        ueldo_media_frame.on( 'select', function() {

            var attachment = ueldo_media_frame.state().get( 'selection' ).first().toJSON();
            var summaryBox = $( 'body' ).find( '.ueldo-icons-uploader-options-group-summary' );
            var packageName = attachment.filename.replace( '.zip', '' );

            summaryBox.data( 'visible', 'yes' ).attr( 'data-visible', 'yes' );
            summaryBox.find( 'input.ueldo-icons-uploader-package-name-field' ).val( packageName ).attr( 'value', packageName );
            summaryBox.find( 'input.ueldo-icons-uploader-package-path-field' ).val( attachment.filename ).attr( 'value', attachment.filename );

        });

        ueldo_media_frame.open();

    });

   /**
    *
    * action after click on "delete" button
    *
    */

    $( 'body' ).on( 'click', '.ueldo-uploaded-icons-list-single-pack-description button.ueldo-delete-icons-pack', function() {

        var button = $( this );
        var packKey = button.data( 'icon-pack-key' );

        $( '.ueldo-remove-icons-pack-confirm' ).data( 'confirm-for', packKey ).attr( 'data-confirm-for', packKey ).show();

    });

   /**
    *
    * confirm the deletion
    *
    */

    $( 'body' ).on( 'click', '.ueldo-remove-icons-pack-confirm button[data-action="confirm"]', function() {

        var container = $( '.ueldo-remove-icons-pack-confirm' );
        var packKey = container.data( 'confirm-for' );

        container.find( '.ueldo-remove-icons-pack-confirm-content-padding' ).css({ 'opacity': '0.5' });
        container.find( '.ueldo-remove-icons-pack-confirm-content-padding, .ueldo-remove-icons-pack-confirm-content-padding *' ).css({ 'cursor': 'wait' });
        container.find( 'button' ).attr( 'disabled', 'disabled' );

        $.ajax({
            url: ueldo_plugin_icons_uploader_javascript_functions_l10n.ajax_path,
            data: { 'pack_key': packKey },
            type: 'post',
            success: function( output ) {

                if( output != 'OK' ) {

                    container.find( '.ueldo-remove-icons-pack-confirm-content-padding' ).css({ 'opacity': '' });
                    container.find( '.ueldo-remove-icons-pack-confirm-content-padding, .ueldo-remove-icons-pack-confirm-content-padding *' ).css({ 'cursor': '' });
                    container.find( 'button' ).removeAttr( 'disabled' );

                    container.find( 'h4' ).after( '<div class="error"><p>'+ output +'</p></div>' );
                }

                else {

                    $( '.ueldo-uploaded-icons-list-single-pack[data-icon-pack-key="'+ packKey +'"]' ).remove();
                    if( $( '.ueldo-uploaded-icons-list-single-pack' ).length === 0 ) $( '.ueldo-uploaded-icons-list' ).remove();

                    container.hide();
                    container.find( '.ueldo-remove-icons-pack-confirm-content-padding' ).css({ 'opacity': '' });
                    container.find( '.ueldo-remove-icons-pack-confirm-content-padding, .ueldo-remove-icons-pack-confirm-content-padding *' ).css({ 'cursor': '' });
                    container.find( 'button' ).removeAttr( 'disabled' );
                    container.find( '.error' ).remove();

                    $( '.ueldo-icons-uploader-options .ueldo-icons-uploader-options-group' ).find( '.updated, .error' ).remove();
                    $( '.ueldo-icons-uploader-options .ueldo-icons-uploader-options-group' ).prepend( '<div class="updated"><p>'+ ueldo_plugin_icons_uploader_javascript_functions_l10n.icons_pack_removed +'</p></div>' );
                }
            }

        });

    });

   /**
    *
    * cancel the deletion
    *
    */

    $( 'body' ).on( 'click', '.ueldo-remove-icons-pack-confirm button[data-action="cancel"]', function() {

        $( '.ueldo-remove-icons-pack-confirm' ).hide();

    });

   /**
    *
    * end of the file.
    *
    */

});