jQuery( document ).ready( function( $ ) {

   /**
    *
    * strict mode
    *
    */

    'use strict';

   /**
    *
    * copy all textarea content on click
    *
    */

    $( '.ueldo-import-export-options textarea.ueldo-import-export-options-options-export-theme-options' ).focus( function() {

        var element = $( this );

        element.select();
        element.mouseup( function() {

            element.unbind( 'mouseup' );
            return false;

        });

    });

   /**
    *
    * download .txt file with theme options data
    *
    */

    $( 'body' ).on( 'click', '.ueldo-import-export-options button.ueldo-import-export-options-options-export-theme-options-button', function() {

        var button = $( this );
        var element = document.createElement( 'a' );
        var text = $( '.ueldo-import-export-options textarea.ueldo-import-export-options-options-export-theme-options' ).val();

        element.setAttribute( 'href', 'data:text/plain;charset=utf-8,'+ encodeURIComponent( text ) );
        element.setAttribute( 'download', $.UeldoImportExportOptionsGetExportFilename() );

        element.style.display = 'none';
        document.body.appendChild( element );

        element.click();
        document.body.removeChild( element );

    });

   /**
    *
    * get export filename
    *
    */

    $.UeldoImportExportOptionsGetExportFilename = function() {

        var date = new Date();
        var month = $.UeldoImportExportOptionsUpdateTimeValue( date.getMonth() + 1 );
        var day = $.UeldoImportExportOptionsUpdateTimeValue( date.getDate() );
        var hours = $.UeldoImportExportOptionsUpdateTimeValue( date.getHours() );
        var minutes = $.UeldoImportExportOptionsUpdateTimeValue( date.getMinutes() );
        var seconds = $.UeldoImportExportOptionsUpdateTimeValue( date.getSeconds() );

        return( 'ueldo-theme-options-export-'+ date.getFullYear() +'-'+ month +'-'+ day +'-'+ hours +'-'+ minutes +'-'+ seconds );
    };

   /**
    *
    * get value with additional "0" before
    *
    */

    $.UeldoImportExportOptionsUpdateTimeValue = function( value ) {

        value = parseInt( value );
        return( value < 10 ? '0'+ value.toString() : value.toString() );
    };

   /**
    *
    * click on confirmation button
    *
    */

    $( 'body' ).on( 'click', '.ueldo-import-export-options form input[type="submit"]', function( event ) {

        var button = $( this );
        if( !button.hasClass( 'ueldo-import-export-operation-confirmed' ) ) {

            event.preventDefault();

            var confirm = $( '.ueldo-import-export-options-confirm' );
            var container = button.parents( '.ueldo-import-export-options' );
            var actionType = container.data( 'action-type' );

            confirm.show();
            confirm.data( 'action-type', actionType ).attr( 'data-action-type', actionType );
        }

    });

   /**
    *
    * confirm operation
    *
    */

    $( 'body' ).on( 'click', '.ueldo-import-export-options-confirm button[data-action="confirm"]', function() {

        var confirm = $( '.ueldo-import-export-options-confirm' );
        var actionType = confirm.data( 'action-type' );
        var button = $( '.ueldo-import-export-options[data-action-type="'+ actionType +'"] form input[type="submit"]' );

        if( button.length == 1 ) {

            button.addClass( 'ueldo-import-export-operation-confirmed' );
            button.trigger( 'click' );
        }

    });

   /**
    *
    * cancel operation
    *
    */

    $( 'body' ).on( 'click', '.ueldo-import-export-options-confirm button[data-action="cancel"]', function() {

        $( '.ueldo-import-export-options-confirm' ).hide();
        $( '.ueldo-import-export-options form input[type="submit"]' ).removeClass( 'ueldo-import-export-operation-confirmed' );

    });

   /**
    *
    * end of the file.
    *
    */

});