jQuery( document ).ready( function( $ ) {

   /**
    *
    * strict mode
    *
    */

    'use strict';

   /**
    *
    * action after click on language button
    *
    */

    $( 'body' ).on( 'click', '.ueldo-languages-sync-single-language button.ueldo-languages-sync-proceed', function() {

        var button = $( this );
        var current_lang = button.data( 'current-language-key' );
        var new_lang = button.data( 'new-language-key' );

        $( '.ueldo-languages-sync-confirm' ).data( 'current-language-key', current_lang ).attr( 'data-current-language-key', current_lang ).data( 'new-language-key', new_lang ).attr( 'data-new-language-key', new_lang ).show();

    });

   /**
    *
    * confirm the deletion
    *
    */

    $( 'body' ).on( 'click', '.ueldo-languages-sync-confirm button[data-action="confirm"]', function() {

        var container = $( '.ueldo-languages-sync-confirm' );
        var current_lang = container.data( 'current-language-key' );
        var new_lang = container.data( 'new-language-key' );

        container.find( '.ueldo-languages-sync-confirm-content-padding' ).css({ 'opacity': '0.5' });
        container.find( '.ueldo-languages-sync-confirm-content-padding, .ueldo-languages-sync-confirm-content-padding *' ).css({ 'cursor': 'wait' });
        container.find( 'button' ).attr( 'disabled', 'disabled' );

        $.ajax({
            url: ueldo_plugin_languages_sync_javascript_functions_l10n.ajax_path,
            data: { 'current_lang': current_lang, 'new_lang': new_lang },
            type: 'post',
            success: function( output ) {

                if( output == 'OK' ) window.location.href = ueldo_plugin_languages_sync_javascript_functions_l10n.redirect_path;
                else {

                    container.find( '.ueldo-languages-sync-confirm-content-padding' ).css({ 'opacity': '' });
                    container.find( '.ueldo-languages-sync-confirm-content-padding, .ueldo-languages-sync-confirm-content-padding *' ).css({ 'cursor': '' });
                    container.find( 'button' ).removeAttr( 'disabled' );
                    container.find( 'h4' ).after( '<div class="error"><p>'+ output +'</p></div>' );
                }
            }

        });

    });

   /**
    *
    * cancel the deletion
    *
    */

    $( 'body' ).on( 'click', '.ueldo-languages-sync-confirm button[data-action="cancel"]', function() {

        $( '.ueldo-languages-sync-confirm' ).data( 'current-language-key', '' ).attr( 'data-current-language-key', '' ).data( 'new-language-key', '' ).attr( 'data-new-language-key', '' ).hide();

    });

   /**
    *
    * end of the file.
    *
    */

});