<?php

   /**
    *
    * installation class for "electrician" demo template
    *
    */

    class ueldo_demo_contents_loader_base extends ueldo_demo_contents_loader_installation_helper {

       /**
        *
        * install template or its parts
        *
        */

        public static function install( $parts, $icons ) {

           /**
            *
            * install forms
            *
            */

            if( $parts == 'all' || in_array( 'forms', $parts, true ) ) {

                # add form in contact form 7 plugin and get its id
                if( ( $form_id = ueldo_add_demo_assets::add_contact_form() ) !== false ) {

                    # add new solution
                    self::add_solution( '{ueldopredefinedsections:contactform7|context:electrician|inside:true}', 'id=``'. esc_attr( $form_id ) .'``' );

                    # remove temporary variables
                    unset( $form_id );
                }
            }

           /**
            *
            * install blog posts
            *
            */

            if( $parts == 'all' || in_array( 'posts', $parts, true ) ) {

                # do we have default image ID?
                if( self::get_solution( 'default-image-id' ) == false ) {

                    # add solution with default image ID
                    self::add_solution( 'default-image-id', ueldo_add_demo_assets::add_image( 'default-image' ) );
                }

                # get current user data
                $current_user = wp_get_current_user();

                # add blog post
                $new_post_id = ueldo_add_demo_assets::add_blog_post( array(
                    'title' => esc_html( __( '24/7 service for any electrical problem!', 'ueldo' ) ),
                    'content' => false,
                    'thumbnail' => self::get_solution( 'default-image-id' ),
                    'category' => array( wp_create_category( esc_html( __( 'Electrician services', 'ueldo' ) ) ) ),
                    'tags' => array(
                        esc_html( __( 'Electrician', 'ueldo' ) ),
                        esc_html( __( 'Services', 'ueldo' ) )
                    ),
                    'comments' => array(
                        array(
                            'author' => esc_html( __( 'Mike', 'ueldo' ) ),
                            'author-email' => esc_html( __( 'mike@example.com', 'ueldo' ) ),
                         			'content' => 'Sed euismod erat id nisi rutrum, ac ultricies orci dictum. Sed viverra lorem mauris. Ut efficitur egestas orci nec faucibus. Nam eget egestas turpis. Nulla egestas a arcu quis porta. Proin laoreet magna in suscipit vulputate. Etiam orci tortor, rutrum ut pellentesque in, mollis sed tellus. Vivamus urna quam, tincidunt sit amet pretium eget, suscipit sed risus.',
                            'replies' => array(
                                array(
                                    'author' => esc_html( $current_user -> display_name ),
                                    'author-email' => esc_html( $current_user -> user_email ),
                                    'content' => 'Nulla justo augue, efficitur sed erat quis, tincidunt imperdiet arcu. Etiam aliquam eros eu velit condimentum, ac finibus nisl ornare. Praesent tempus nunc ac magna gravida, in sagittis lorem dapibus. Quisque egestas, urna eget malesuada malesuada, quam metus volutpat metus, ut dapibus justo elit eget nibh.',
                                    'user_id' => esc_attr( $current_user -> ID )
                                )
                            )
                        ),
                        array(
                            'author' => esc_html( __( 'John', 'ueldo' ) ),
                            'author-email' => esc_html( __( 'john@example.com', 'ueldo' ) ),
                            'content' => 'Fusce aliquam augue justo, auctor consectetur odio luctus a. Vivamus ac mattis enim, eget placerat velit. Interdum et malesuada fames ac ante ipsum primis in faucibus. Vivamus faucibus, dui a volutpat posuere, sapien ipsum egestas purus, ac eleifend eros orci sit amet leo. In hac habitasse platea dictumst. Donec nec enim imperdiet, luctus ex facilisis, scelerisque lorem. Curabitur eget ultricies lorem. Donec nec iaculis ipsum.'
                        )
                    )
                ));

                # wait until previous post is added
                if( $new_post_id !== false ) {

                    # clear temporary variable
                    unset( $new_post_id );

                    # add blog post
                    $new_post_id = ueldo_add_demo_assets::add_blog_post( array(
                        'title' => esc_html( __( 'What to do if any HHG device breakdown happen?', 'ueldo' ) ),
                        'content' => false,
                        'thumbnail' => self::get_solution( 'default-image-id' ),
                        'category' => array( wp_create_category( esc_html( __( 'Electrician services', 'ueldo' ) ) ) ),
                        'tags' => array(
                            esc_html( __( 'Electrician', 'ueldo' ) ),
                            esc_html( __( 'Services', 'ueldo' ) )
                        ),
                        'comments' => array(
                            array(
                             			'author' => esc_html( __( 'Susane', 'ueldo' ) ),
                             			'author-email' => esc_html( __( 'susane@example.com', 'ueldo' ) ),
                             			'content' => 'Donec scelerisque urna vestibulum mi sagittis, convallis consequat turpis venenatis. Suspendisse ut erat felis. Vestibulum purus urna, suscipit ut rhoncus vel, sagittis vel ante. Curabitur vehicula eget velit cursus maximus. Nam vitae elementum lorem. Sed auctor, magna at iaculis posuere, nunc magna fermentum augue, ut convallis ligula tortor nec ex. In posuere bibendum mauris, id rhoncus massa sollicitudin in.'
                            )
                        )
                    ));

                    # wait until previous post is added
                    if( $new_post_id !== false ) {

                        # clear temporary variable
                        unset( $new_post_id );

                        # add blog post
                        ueldo_add_demo_assets::add_blog_post( array(
                            'title' => esc_html( __( 'How to correctly catch the television signal?', 'ueldo' ) ),
                            'content' => false,
                            'thumbnail' => self::get_solution( 'default-image-id' ),
                            'category' => array( wp_create_category( esc_html( __( 'Electrician services', 'ueldo' ) ) ) ),
                            'tags' => array(
                                esc_html( __( 'Electrician', 'ueldo' ) ),
                                esc_html( __( 'Services', 'ueldo' ) )
                            ),
                            'comments' => array(
                                array(
                                    'author' => esc_html( __( 'John', 'ueldo' ) ),
                                    'author-email' => esc_html( __( 'john@example.com', 'ueldo' ) ),
                                    'content' => 'Curabitur eget ultricies lorem. Donec nec iaculis ipsum. Nunc a quam placerat justo porttitor lobortis. Vivamus sed egestas ex. Praesent ut nulla non nisl scelerisque molestie at ac odio. Curabitur ultricies sem sit amet orci gravida, et varius nisi vehicula. Nulla justo libero, placerat ut nisl in, dictum ullamcorper nisl. Praesent sed tincidunt nunc, sit amet tempus neque.'
                                ),
                                array(
                                    'author' => esc_html( __( 'Susane', 'ueldo' ) ),
                                    'author-email' => esc_html( __( 'susane@example.com', 'ueldo' ) ),
                                    'content' => 'Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Sed sagittis, arcu eget pretium auctor, nunc neque elementum nunc, et tincidunt risus enim ut metus. Nam vestibulum lorem magna, sit amet feugiat felis commodo at. Pellentesque lacinia vitae ipsum vitae suscipit.'
                                ),
                                array(
                                    'author' => esc_html( $current_user -> display_name ),
                                    'author-email' => esc_html( $current_user -> user_email ),
                                    'content' => 'Nulla justo augue, efficitur sed erat quis, tincidunt imperdiet arcu. Etiam aliquam eros eu velit condimentum, ac finibus nisl ornare. Praesent tempus nunc ac magna gravida, in sagittis lorem dapibus. Quisque egestas, urna eget malesuada malesuada, quam metus volutpat metus, ut dapibus justo elit eget nibh.',
                                    'user_id' => esc_attr( $current_user -> ID )
                                )
                            )
                        ));
                    }
                }

                # remove temporary variables
                unset( $current_user );

                # posts per page
                update_option( 'posts_per_page', '10' );
            }

           /**
            *
            * add pages, but not fill it with contents
            *
            */

            if( $parts == 'all' || in_array( 'pages', $parts, true ) ) {

                # add pages and get its ids
                $pages_ids = ueldo_add_demo_assets::add_empty_pages( 'page', array(
                    '404-page' => esc_html( __( '404 page', 'ueldo' ) ),
                    'about-us' => esc_html( __( 'About us', 'ueldo' ) ),
                    'air-conditioning' => esc_html( __( 'Air conditioning', 'ueldo' ) ),
                    'blog' => esc_html( __( 'Blog', 'ueldo' ) ),
                    'contact' => esc_html( __( 'Contact', 'ueldo' ) ),
                    'fixing-hhg-devices' => esc_html( __( 'Fixing HHG devices', 'ueldo' ) ),
                    'home' => esc_html( __( 'Home', 'ueldo' ) ),
                    'lightning-protection' => esc_html( __( 'Lightning protection', 'ueldo' ) ),
                    'outdoor-lighting' => esc_html( __( 'Outdoor lighting', 'ueldo' ) ),
                    'security-lighting' => esc_html( __( 'Security lighting', 'ueldo' ) ),
                    'solar-energy' => esc_html( __( 'Solar energy', 'ueldo' ) )
                ));

                # add headers, footers and extras
                $hefos_ids = ueldo_add_demo_assets::add_empty_pages( 'ueldohefo', array(
                    'line-under-blog-pages' => esc_html( __( 'Line under blog pages', 'ueldo' ) ),
                    'flying-header' => esc_html( __( 'Flying header', 'ueldo' ) ),
                    'footer' => esc_html( __( 'Footer', 'ueldo' ) ),
                    'header' => esc_html( __( 'Header', 'ueldo' ) )
                ));

                # add solution
                self::add_solution( 'pages-ids', array_merge( $pages_ids, $hefos_ids ) );

                # show page on front
                update_option( 'show_on_front', 'page' );

                # update blog posts page ID
                if( $pages_ids['blog'] != null && $pages_ids['blog'] != false ) update_option( 'page_for_posts', $pages_ids['blog'] );

                # update home page ID
                if( $pages_ids['home'] != null && $pages_ids['home'] != false ) update_option( 'page_on_front', $pages_ids['home'] );

                # do we have 404 page correctly added?
                if( $pages_ids['404-page'] != null && $pages_ids['404-page'] != false ) {

                    # set custom post meta option for 404 page
                    add_post_meta( esc_attr( $pages_ids['404-page'] ), '_ueldo_custom_page_settings_meta_box_data', array(
                        'page_excerpt' => '',
                        'custom_header_id' => self::get_trusted_solution( 'header-page-id', self::get_solution( 'pages-ids', 'header' ) ),
                        'custom_header_position' => 'flying',
                        'use_second_header' => 'no',
                        'get_second_header_content_from' => 'default',
                        'second_header_visible_from' => '400',
                        'default_header_logo_image' => esc_url( get_template_directory_uri() .'/_assets/_img/logo.png' ),
                        'default_second_header_logo_image' => esc_url( get_template_directory_uri() .'/_assets/_img/logo.png' ),
                        'custom_footer_id' => 'none',
                        'custom_footer_position' => 'static'
                    ));
                }

                # do we have home page correctly added?
                if( $pages_ids['home'] != null && $pages_ids['home'] != false ) {

                    # set custom post meta option for 404 page
                    add_post_meta( esc_attr( $pages_ids['home'] ), '_ueldo_custom_page_settings_meta_box_data', array(
                        'page_excerpt' => '',
                        'custom_header_id' => self::get_trusted_solution( 'header-page-id', self::get_solution( 'pages-ids', 'header' ) ),
                        'custom_header_position' => 'static',
                        'use_second_header' => 'yes',
                        'get_second_header_content_from' => self::get_trusted_solution( 'flying-header-page-id', self::get_solution( 'pages-ids', 'flying-header' ) ),
                        'second_header_visible_from' => '800',
                        'default_header_logo_image' => esc_url( get_template_directory_uri() .'/_assets/_img/logo.png' ),
                        'default_second_header_logo_image' => esc_url( get_template_directory_uri() .'/_assets/_img/logo.png' ),
                        'custom_footer_id' => 'none',
                        'custom_footer_position' => 'static'
                    ));
                }

                # remove temporary variables
                unset( $pages_ids );
            }

           /**
            *
            * install menus
            *
            */

            if( $parts == 'all' || in_array( 'menus', $parts, true ) ) {

                # add new menu
                if( is_int( $menu_id = ueldo_add_demo_assets::add_menu( 'electrician-main-menu', self::get_solution( 'pages-ids' ), true ) ) ) {

                    # add solution
                    self::add_solution( 'main-menu-id', esc_attr( $menu_id ) );
                }
            }

           /**
            *
            * configure sidebars & widgets
            *
            */

            if( $parts == 'all' || in_array( 'sidebars-and-widgets', $parts, true ) ) {

                # temporary variable
                $temp = array(
                    'sidebar_services_menu_id' => ueldo_add_demo_assets::add_menu( 'electrician-sidebar-services-menu' )
                );

                # sidebars and widgets data array
                $sw_data = array(
                    'widget_categories' => array( '_multiwidget' => true ),
                    'widget_text' => array( '_multiwidget' => true ),
                    'widget_rss' => array( '_multiwidget' => true ),
                    'widget_search' => array(
                        '1' => array( 'title' => '' ),
                        '_multiwidget' => true
                    ),
                    'widget_recent-posts' => array(
                        '1' => array(
                            'title' => '',
                            'number' => 5
                        ),
                        '_multiwidget' => true
                    ),
                    'widget_recent-comments' => array( '_multiwidget' => true ),
                    'widget_archives' => array( '_multiwidget' => true ),
                    'widget_meta' => array( '_multiwidget' => true ),
                    'widget_pages' => array( '_multiwidget' => true ),
                    'widget_calendar' => array( '_multiwidget' => true ),
                    'widget_media_audio' => array( '_multiwidget' => true ),
                    'widget_media_image' => array( '_multiwidget' => true ),
                    'widget_media_video' => array( '_multiwidget' => true ),
                    'widget_tag_cloud' => array( '_multiwidget' => true ),
                    'widget_nav_menu' => array(
                        '1' => array(
                            'title' => esc_html( __( 'Services', 'ueldo' ) ),
                            'nav_menu' => esc_attr( $temp['sidebar_services_menu_id'] )
                        ),
                        '_multiwidget' => true
                    ),
                    'widget_custom_html' => array( '_multiwidget' => true ),
                    'widget_rev-slider-widget' => array( '_multiwidget' => true ),
                    'widget_mc4wp_form_widget' => array( '_multiwidget' => true ),
                    'widget_ueldo_popular_posts_widget' => array( '_multiwidget' => true ),
                    'widget_ueldo_call_to_action_widget' => array( '_multiwidget' => true ),
                    'widget_media_gallery' => array( '_multiwidget' => true ),
                    'sidebars_widgets' => array(
                        'wp_inactive_widgets' => array(),
                        'blog-sidebar' =>  array(
                            '0' => 'search-1',
                            '1' => 'recent-posts-1',
                            '2' => 'nav_menu-1'
                        ),
                        'array_version' => 3
                    )
                );

                # remove temporary variables
                unset( $temp );

                # walk for each options
                foreach( $sw_data as $option_key => $option_data ) {

                    # update option
                    update_option( $option_key, $option_data );
                }
            }

           /**
            *
            * get dynamic elements replacements
            *
            */

            if( $parts == 'all' || in_array( 'theme-options', $parts, true ) || in_array( 'pages', $parts, true ) ) {

                # get dynamic elements replacements
                $replacements = self::get_dynamic_elements_replacements( self::find_dynamic_elements( self::get_vc_contents() ), $icons, self::get_default_replacements() );
            }

           /**
            *
            * install theme options
            *
            */

            if( $parts == 'all' || in_array( 'theme-options', $parts, true ) ) {

                # update theme options
                update_option( 'ueldo_theme_options', self::get_theme_options_array() );

                # set additional content before side menu
                update_option( 'ueldo_theme_options_side_menu_additional_content_before_all', self::do_content_replacements( self::get_vc_contents( 'additional-before-side-menu' ), $replacements ) );

                # set additional content after side menu
                update_option( 'ueldo_theme_options_side_menu_additional_content_after_all', self::do_content_replacements( self::get_vc_contents( 'additional-after-side-menu' ), $replacements ) );

                # set theme mods - background color and image
                set_theme_mod( 'background_color', 'fff1cf' );
                set_theme_mod( 'background_position_x', 'center' );
                set_theme_mod( 'background_position_y', 'center' );
                set_theme_mod( 'background_repeat', 'repeat' );
                set_theme_mod( 'background_attachment', 'scroll' );
                set_theme_mod( 'background_size', 'auto' );
                set_theme_mod( 'background_image', self::get_background_image_url() );
            }

           /**
            *
            * fill pages contents
            *
            */

            if( $parts == 'all' || in_array( 'pages', $parts, true ) ) {

                # walk for each pages
                foreach( self::get_solution( 'pages-ids' ) as $page_slug => $page_id ) {

                    # not for blog page
                    if( $page_slug == 'blog' ) continue;

                    # update page content
                    $result = wp_update_post( array(
                        'ID' => esc_attr( $page_id ),
                        'post_content' => self::do_content_replacements( self::get_vc_contents( esc_attr( $page_slug ) ), $replacements )
                    ));
                }

                # remove temporary variables
                unset( $replacements );
            }

           /**
            *
            * update permalinks structure
            *
            */

            if( $parts == 'all' || in_array( 'permalinks-structure', $parts, true ) ) {

                # global variable
                global $wp_rewrite;

                # write the rule
                $wp_rewrite -> set_permalink_structure( '/%postname%/' );

                # set the option
                update_option( 'rewrite_rules', false );

                # flush the rules and tell it to write htaccess
                $wp_rewrite -> flush_rules( true );
            }

           /**
            *
            * demo data installed
            *
            */

            exit( '{ "status": "ok" }' );
        }

       /**
        *
        * get possible data parts
        *
        */

        public static function get_possible_data_parts() {

            # return result
            return( array(
                'menus' => esc_html( __( 'Menus', 'ueldo' ) ),
                'posts' => esc_html( __( 'Posts', 'ueldo' ) ),
                'pages' => esc_html( __( 'Pages', 'ueldo' ) ),
                'theme-options' => esc_html( __( 'Theme options', 'ueldo' ) ),
                'forms' => esc_html( __( 'Forms', 'ueldo' ) ),
                'sidebars-and-widgets' => esc_html( __( 'Sidebars & widgets', 'ueldo' ) ),
                'permalinks-structure' => esc_html( __( 'Permalinks structure', 'ueldo' ) )
            ));
        }

       /**
        *
        * get list of required plugins
        *
        */

        public static function get_required_plugins( $parts ) {

            # all data
            if( !is_array( $parts ) && $parts == 'all' ) {

                # return list of required plugins
                return( array(
                    'ueldo',
                    'visual-composer',
                    'contact-form-7'
                ));
            }

            # selected parts
            else {

                # prepare array of required plugins
                $result = array( 'ueldo' );

                # do we have to add pages?
                if( in_array( 'pages', $parts, true ) ) {

                    # return list of required plugins
                    return( array(
                        'visual-composer',
                        'contact-form-7'
                    ));
                }

                # do we have to add theme options?
                if( in_array( 'theme-options', $parts, true ) ) {

                    # update results array
                    $result = array_merge( $result, array( 'visual-composer' ) );
                }

                # do we have to add forms?
                if( in_array( 'forms', $parts, true ) ) {

                    # update results array
                    $result = array_merge( $result, array( 'contact-form-7' ) );
                }

                # return result
                return( $result );
            }
        }

       /**
        *
        * get default replacements
        *
        */

        public static function get_default_replacements() {

            # add dark logo image
            $dark_logo_image_id = ueldo_add_demo_assets::add_image( 'electrician-logo-dark' );

            # add white logo image
            $white_logo_image_id = ueldo_add_demo_assets::add_image( 'electrician-logo-white' );

            # return result
            return( array(
                '{ueldopredefinedsections:googlemap|context:electrician}' => 'google_map_id="1"',
                '{ueldopredefinedsections:image|context:electrician-logo-dark}' => ( $dark_logo_image_id == false ? '' : 'image="'. esc_attr( $dark_logo_image_id ) .'"' ),
                '{ueldopredefinedsections:image|context:electrician-logo-white}' => ( $white_logo_image_id == false ? '' : 'image="'. esc_attr( $white_logo_image_id ) .'"' )
            ));
        }

       /**
        *
        * get trusted solution
        *
        */

        public static function get_trusted_solution( $type, $solution ) {

            # do we have solution found?
            if( !empty( $solution ) ) return( $solution );

            # switch by solution type
            switch( $type ) {

                # get most similar elements
                case 'main-menu-slug': return( self::get_most_similar_element( 'menu_slug', esc_html( __( 'Main menu - Electrician template', 'ueldo' ) ) ) );
                case '404-page-id': return( self::get_most_similar_element( 'page', esc_html( __( '404 page', 'ueldo' ) ) ) );
                case 'footer-page-id': return( self::get_most_similar_element( 'ueldohefo', esc_html( __( 'Footer', 'ueldo' ) ) ) );
                case 'header-page-id': return( self::get_most_similar_element( 'ueldohefo', esc_html( __( 'Header', 'ueldo' ) ) ) );
                case 'flying-header-page-id': return( self::get_most_similar_element( 'ueldohefo', esc_html( __( 'Flying header', 'ueldo' ) ) ) );
                case 'line-under-blog-pages-page-id': return( self::get_most_similar_element( 'ueldohefo', esc_html( __( 'Line under blog pages', 'ueldo' ) ) ) );
            }

            # nothing found
            return( false );
        }

       /**
        *
        * get background image url
        *
        */

        public static function get_background_image_url() {

            # add background image
            $image_id = ueldo_add_demo_assets::add_image( 'electrician-vertical-waves' );

            # do we have image added?
            if( $image_id != false ) {

                # get image url
                $image_url = wp_get_attachment_image_src( $image_id, 'full' );

                # do we have image url found?
                if( $image_url != false && isset( $image_url[0] ) ) return( esc_url( $image_url[0] ) );
            }

            # upload failed
            return( esc_url( get_template_directory_uri() .'/_assets/_img/_templates-images/ueldo-electrician-vertical-waves.png' ) );
        }

       /**
        *
        * get theme options array
        *
        */

        public static function get_theme_options_array() {

            # return result
            return( array(
                '404-page-id' => array( 'all' => self::get_trusted_solution( '404-page-id', self::get_solution( 'pages-ids', '404-page' ) ) ),
                'blog-posts-list-style' => array(
                    'posts-list-style' => 'default',
                    'display-post-data-under-title' => 'yes',
                    'featured-image-reverse-indent-allowed' => 'yes'
                ),
                'blog-sidebar' => array(
                    'posts-list' => 'yes-right',
                    'single-post' => 'yes-right',
                    'responsive-style' => 'static'
                ),
                'boxed-website' => array(
                    'enabled' => 'yes',
                    'large-content-width' => '900',
                    'large-content-space' => '150',
                    'medium-content-width' => '890',
                    'medium-content-space' => '50',
                    'small-content-width' => '665',
                    'small-content-space' => '50'
                ),
                'comment-textarea-at-top' => 'yes',
                'dynamic-theme-styles-cache' => array(
                    'enabled' => 'no',
                    'clear-cache' => 'all-the-time-when-logged-in'
                ),
                'facebook-fanpage-url' => array( 'all' => 'https://www.facebook.com/envato' ),
                'featured-image-on-lists-only' => 'no',
                'fonts' => array(
                    'general-font-family' => array( 'all' => 'Roboto' ),
                    'general-font-weight' => array( 'all' => '300' ),
                    'general-font-subset' => array( 'all' => 'latin' ),
                    'general-font-smoothing' => array( 'all' => 'yes' ),
                    'general-bold-font-family' => array( 'all' => 'Roboto' ),
                    'general-bold-font-weight' => array( 'all' => '600' ),
                    'general-bold-font-subset' => array( 'all' => 'latin' ),
                    'general-bold-font-smoothing' => array( 'all' => 'yes' ),
                    'menu-font-family' => array( 'all' => 'Source Sans Pro' ),
                    'menu-font-weight' => array( 'all' => '600' ),
                    'menu-font-subset' => array( 'all' => 'latin' ),
                    'menu-font-smoothing' => array( 'all' => 'yes' ),
                    'headings-font-family' => array( 'all' => 'Source Sans Pro' ),
                    'headings-font-weight' => array( 'all' => '700' ),
                    'headings-font-subset' => array( 'all' => 'latin' ),
                    'headings-font-smoothing' => array( 'all' => 'yes' ),
                    'headings-slim-font-family' => array( 'all' => 'Source Sans Pro' ),
                    'headings-slim-font-weight' => array( 'all' => '300' ),
                    'headings-slim-font-subset' => array( 'all' => 'latin' ),
                    'headings-slim-font-smoothing' => array( 'all' => 'yes' ),
                    'headings-bold-font-family' => array( 'all' => 'Source Sans Pro' ),
                    'headings-bold-font-weight' => array( 'all' => '700' ),
                    'headings-bold-font-subset' => array( 'all' => 'latin' ),
                    'headings-bold-font-smoothing' => array( 'all' => 'yes' ),
                    'headings-subtitle-font-family' => array( 'all' => 'Source Sans Pro' ),
                    'headings-subtitle-font-weight' => array( 'all' => '700' ),
                    'headings-subtitle-font-subset' => array( 'all' => 'latin' ),
                    'headings-subtitle-font-smoothing' => array( 'all' => 'yes' ),
                    'buttons-font-family' => array( 'all' => 'Source Sans Pro' ),
                    'buttons-font-weight' => array( 'all' => '700' ),
                    'buttons-font-subset' => array( 'all' => 'latin' ),
                    'buttons-font-smoothing' => array( 'all' => 'yes' ),
                    'form-fields-font-family' => array( 'all' => 'Roboto' ),
                    'form-fields-font-weight' => array( 'all' => '400' ),
                    'form-fields-font-subset' => array( 'all' => 'latin' ),
                    'form-fields-font-smoothing' => array( 'all' => 'yes' ),
                    'blockquote-font-family' => array( 'all' => 'Source Sans Pro' ),
                    'blockquote-font-weight' => array( 'all' => 'regular' ),
                    'blockquote-font-subset' => array( 'all' => 'latin' ),
                    'blockquote-font-smoothing' => array( 'all' => 'yes' ),
                    'alert-messages-font-family' => array( 'all' => 'Source Sans Pro' ),
                    'alert-messages-font-weight' => array( 'all' => 'regular' ),
                    'alert-messages-font-subset' => array( 'all' => 'latin' ),
                    'alert-messages-font-smoothing' => array( 'all' => 'yes' )
                ),
                'footer-content' => array(
                    'get-content-from' => array( 'all' => self::get_trusted_solution( 'footer-page-id', self::get_solution( 'pages-ids', 'footer' ) ) ),
                    'position' => array( 'all' => 'static' )
                ),
                'google-maps' => array(
                    'api-key' => '',
                    'next-map-id' => '2',
                    'google-map-1-title' => esc_html( __( 'Location map', 'ueldo' ) ),
                    'google-map-1-center-lat' => '41.670650',
                    'google-map-1-center-lng' => '-87.040978',
                    'google-map-1-zoom' => '10',
                    'google-map-1-markers-next-marker-id' => '2',
                    'google-map-1-markers-marker-1-title' => esc_html( __( 'Marker', 'ueldo' ) ),
                    'google-map-1-markers-marker-1-lat' => '41.670650',
                    'google-map-1-markers-marker-1-lng' => '-87.040978',
                    'google-map-1-markers-marker-1-use-custom-marker' => 'no',
                    'google-map-1-markers-marker-1-custom-icon-library' => 'fontawesome',
                    'google-map-1-markers-marker-1-custom-icon' => 'fa fa-address-book',
                    'google-map-1-markers-marker-1-custom-icon-size' => '18',
                    'google-map-1-markers-marker-1-custom-icon-width' => '36',
                    'google-map-1-markers-marker-1-custom-icon-height' => '36',
                    'google-map-1-markers-marker-1-custom-icon-border-radius' => 'circle',
                    'google-map-1-markers-marker-1-custom-icon-border-radius-px' => '4',
                    'google-map-1-markers-marker-1-custom-icon-color' => '#283563',
                    'google-map-1-markers-marker-1-custom-icon-background-color' => '#fff',
                    'google-map-1-markers-marker-1-custom-icon-box-shadow-horizontal-length' => '0',
                    'google-map-1-markers-marker-1-custom-icon-box-shadow-vertical-length' => '5',
                    'google-map-1-markers-marker-1-custom-icon-box-shadow-blur-radius' => '20',
                    'google-map-1-markers-marker-1-custom-icon-box-shadow-spread-radius' => '0',
                    'google-map-1-markers-marker-1-custom-icon-box-shadow-color' => 'rgba( 0, 0, 0, 0.1 )',
                    'google-map-1-markers-marker-1-custom-marker-image' => '',
                    'google-map-1-custom-style' => '[{"featureType":"administrative","elementType":"all","stylers":[{"visibility":"on"},{"saturation":-100},{"lightness":20}]},{"featureType":"road","elementType":"all","stylers":[{"visibility":"on"},{"saturation":-100},{"lightness":40}]},{"featureType":"water","elementType":"all","stylers":[{"visibility":"on"},{"saturation":-10},{"lightness":30}]},{"featureType":"landscape.man_made","elementType":"all","stylers":[{"visibility":"simplified"},{"saturation":-60},{"lightness":10}]},{"featureType":"landscape.natural","elementType":"all","stylers":[{"visibility":"simplified"},{"saturation":-60},{"lightness":60}]},{"featureType":"poi","elementType":"all","stylers":[{"visibility":"off"},{"saturation":-100},{"lightness":60}]},{"featureType":"transit","elementType":"all","stylers":[{"visibility":"off"},{"saturation":-100},{"lightness":60}]}]'
                ),
                'header' => array(
                    'get-content-from' => array( 'all' => self::get_trusted_solution( 'flying-header-page-id', self::get_solution( 'pages-ids', 'flying-header' ) ) ),
                    'position' => array( 'all' => 'flying' ),
                    'use-second-header' => array( 'all' => 'no' ),
                    'get-second-content-from' => array( 'all' => 'default' ),
                    'second-header-visible-from' => array( 'all' => '400' ),
                    'default-logo-image' => array( 'all' => esc_url( get_template_directory_uri() .'/_assets/_img/logo.png' ) ),
                    'second-header-logo-image' => array( 'all' => esc_url( get_template_directory_uri() .'/_assets/_img/logo.png' ) )
                ),
                'lazy-load-images' => array(
                    'enabled' => 'no',
                    'threshold' => '0'
                ),
                'loader-animation' => array(
                    'enabled' => 'yes',
                    'style' => '01',
                    'add-logo' => 'no',
                    'space-between-logo-and-spinner' => '30',
                    'logo-image' => array( 'all' => esc_url( get_template_directory_uri() .'/_assets/_img/logo.png' ) ),
                    'custom-colors-enabled' => 'no',
                    'custom-colors-background' => '#fff',
                    'custom-colors-spinner' => '#848ca2'
                ),
                'local-scrolling-links-animation' => array(
                    'enabled' => 'yes',
                    'animation-speed' => '1000'
                ),
                'opening-hours-status' => array( 'next-status-id' => '1' ),
                'rtl' => array(
                    'is-rtl' => array( 'all' => 'no' ),
                    'load-rtl-admin-styles' => array( 'all' => 'auto' )
                ),
                'side-menu' => array(
                    'style' => 'flying-default-hidden',
                    'menu-key' => array( 'all' => self::get_trusted_solution( 'main-menu-slug', self::get_main_menu_slug() ) ),
                    'menu-link-font-family' => array( 'all' => 'Source Sans Pro' ),
                    'menu-link-font-weight' => array( 'all' => '600' ),
                    'menu-link-font-subset' => array( 'all' => 'latin' ),
                    'menu-link-font-smoothing' => array( 'all' => 'yes' ),
                    'menu-position' => 'left',
                    'menu-links-alignment' => 'left',
                    'opacity-animation-enabled' => 'yes',
                    'submenu-links' => 'visible-always',
                    'menu-vertical-alignment' => 'middle',
                    'custom-sizes-enabled' => 'no',
                    'custom-sizes-container-width' => '300',
                    'custom-sizes-menu-link-font-size' => '14',
                    'custom-sizes-menu-link-font-line-height' => '1.0',
                    'custom-sizes-menu-link-font-letter-spacing' => '0',
                    'custom-sizes-menu-link-padding-top-bottom' => '15',
                    'custom-sizes-menu-link-padding-left-right' => '25',
                    'custom-sizes-menu-link-margin-top-bottom' => '0',
                    'custom-sizes-menu-link-margin-left-right' => '0',
                    'custom-sizes-menu-link-bottom-border-width' => '1',
                    'custom-sizes-display-bottom-border-for-last-menu-link' => 'display',
                    'custom-sizes-menu-icon-font-size' => '10',
                    'custom-sizes-menu-icon-margin-top' => '0',
                    'custom-sizes-menu-margin-between-icon-and-title' => '10',
                    'custom-sizes-padding-top-bottom-additional-element-before-menu' => '20',
                    'custom-sizes-padding-left-right-additional-element-before-menu' => '30',
                    'custom-sizes-margin-top-additional-element-before-menu' => '0',
                    'custom-sizes-margin-right-additional-element-before-menu' => '0',
                    'custom-sizes-margin-bottom-additional-element-before-menu' => '0',
                    'custom-sizes-margin-left-additional-element-before-menu' => '0',
                    'custom-sizes-padding-top-bottom-additional-element-after-menu' => '20',
                    'custom-sizes-padding-left-right-additional-element-after-menu' => '30',
                    'custom-sizes-margin-top-additional-element-after-menu' => '0',
                    'custom-sizes-margin-right-additional-element-after-menu' => '0',
                    'custom-sizes-margin-bottom-additional-element-after-menu' => '0',
                    'custom-sizes-margin-left-additional-element-after-menu' => '0'
                ),
                'single-blog-post-style' => array(
                    'display-post-data-under-title' => 'yes',
                    'blog-post-data-and-title-centered' => 'yes',
                    'featured-image-reverse-indent-allowed' => 'yes'
                ),
                'submit-button-position-in-comment-reply-form' => array( 'all' => 'left' ),
                'translate-publication-dates' => 'yes',
                'twitter-api' => array(
                    'oauth-key' => '',
                    'oauth-secret-key' => ''
                ),
                'under-single-blog-post-content-elements' => array(
                    'elements-count' => '3',
                    'element-1-type' => 'tags-and-categories-with-facebook',
                    'element-1-similar-posts-style' => '02',
                    'element-2-type' => 'author-box',
                    'element-2-similar-posts-style' => '02',
                    'element-3-type' => 'next-previous-posts-navigation',
                    'element-3-similar-posts-style' => '02',
                    'element-4-type' => '',
                    'element-4-similar-posts-style' => '02',
                    'element-5-type' => '',
                    'element-5-similar-posts-style' => '02',
                    'element-6-type' => '',
                    'element-6-similar-posts-style' => '02'
                ),
                'vc-sections-on-blog-pages' => array(
                    'posts-list-above' => array( 'all' => 'none' ),
                    'posts-list-under' => array( 'all' => self::get_trusted_solution( 'line-under-blog-pages-page-id', self::get_solution( 'pages-ids', 'line-under-blog-page' ) ) ),
                    'single-post-above' => array( 'all' => 'none' ),
                    'single-post-under' => array( 'all' => self::get_trusted_solution( 'line-under-blog-pages-page-id', self::get_solution( 'pages-ids', 'line-under-blog-page' ) ) ),
                    'archive-above' => array( 'all' => 'none' ),
                    'archive-under' => array( 'all' => self::get_trusted_solution( 'line-under-blog-pages-page-id', self::get_solution( 'pages-ids', 'line-under-blog-page' ) ) ),
                    'search-above' => array( 'all' => 'none' ),
                    'search-under' => array( 'all' => self::get_trusted_solution( 'line-under-blog-pages-page-id', self::get_solution( 'pages-ids', 'line-under-blog-page' ) ) )
                ),
                'visual-composer-custom-fonts' => array(
                    'next-font-id' => '2',
                    'font-1-family' => 'Source Sans Pro',
                    'font-1-weight' => '600',
                    'font-1-subset' => 'latin',
                    'font-1-smoothing' => 'yes'
                ),
                'styles' => array(
                    'general-colors-elements-hover-box-shadow' => '0px 0px 35px 0px rgba( 0, 0, 0, 0.05 )',
                    'general-colors-image-box-shadow' => '-8px 8px 75px 0px rgba(0,0,0,0.1)',
                    'general-colors-headings-color' => '#283563',
                    'general-colors-main-color' => '#848ca2',
                    'general-colors-headings-subtitle-color' => '#ffc100',
                    'general-colors-blog-post-data-color' => '#ffc100',
                    'buttons-global-button-background-color' => '#3a4879',
                    'buttons-global-button-border-color' => '#3a4879',
                    'buttons-global-button-background-color-hover' => '#354373',
                    'buttons-global-button-border-color-hover' => '#354373',
                    'buttons-global-button-box-shadow-hover' => '0px 10px 35px 0px rgba(53,67,115,0.25)',
                    'boxed-website-box-shadow' => '0px 0px 25px 0px rgba(216,197,153,0.15)',
                    'info-box-element-background-color' => '#283563',
                    'info-box-element-border-color' => '#283563',
                    'general-colors-elements-border-color' => '#efefef',
                    'buttons-global-button-box-shadow' => '0px 10px 35px 0px rgba(58,72,121,0.15)',
                    'general-colors-google-map-marker-icon-color' => '#283563',
                    'general-colors-elements-hover-border-color' => '#dfe1e8',
                    'header-bar-and-menu-background-color' => '#283563',
                    'header-bar-and-menu-link-color' => 'rgba(255,255,255,0.5)',
                    'header-bar-and-menu-active-or-hover-link-color' => '#fff2ce',
                    'header-bar-and-menu-submenu-background-color' => '#3a4879',
                    'header-bar-and-menu-submenu-box-shadow' => '0px 4px 10px 0px rgba(58,72,121,0.15)',
                    'header-bar-and-menu-submenu-element-link-color' => 'rgba(255,255,255,0.5)',
                    'header-bar-and-menu-submenu-element-active-or-hover-link-color' => '#fff2ce',
                    'font-size-menu-links' => '15',
                    'buttons-global-button-text-color' => '#ffffff',
                    'buttons-global-button-icon-color' => 'rgba(255,255,255,0.3)',
                    'general-colors-elements-inset-border-color' => '#f4f4f5',
                    'general-colors-blockquote-color' => '#283563',
                    'side-menu-link-color' => '#293664',
                    'side-menu-box-shadow' => '-5px 0px 20px 0px rgba(255,192,0,0.15)',
                    'side-menu-background-color' => '#ffc000',
                    'side-menu-link-border-bottom-color' => 'rgba(41,54,100,0.04)',
                    'side-menu-link-color-hover' => '#fff3ce',
                    'side-menu-link-border-bottom-color-hover' => 'rgba(41,54,100,0.04)',
                    'side-menu-active-link-color' => '#fff3ce',
                    'side-menu-active-link-border-bottom-color' => 'rgba(41,54,100,0.04)',
                    'side-menu-link-background-color-hover' => '#354373',
                    'side-menu-active-link-background-color' => '#354373',
                    'side-menu-link-icon-color' => '#293664',
                    'side-menu-link-icon-color-hover' => '#fff3ce',
                    'side-menu-active-link-icon-color' => '#fff3ce'
                )
            ));
        }

       /**
        *
        * get default contents
        *
        */

        public static function get_vc_contents( $page_slug = false ) {

            # array of pages contents
            $contents = array(

                'home' => '[vc_section full_width="stretch_row" el_class="ueldo-vc-section-overflow-visible"][vc_row][vc_column][ueldo_shortcode_row_layer class_name="ueldo_vc_element_7170016279832" layer_for_row_or_section="section" custom_layer_sizes="custom_settings" color="#283563" large_height_type="calc" large_height_calc_px="30" medium_layer_custom_sizes="yes" medium_height_type="calc" medium_height_calc_px="30"][ueldo_shortcode_gap class_name="ueldo_vc_element_26726641913678"][ueldo_shortcode_inline_container class_name="ueldo_vc_element_15070334788267"][ueldo_shortcode_inline_container_element class_name="ueldo_vc_element_15070334839928" large_width_type="calc"][ueldo_shortcode_heading class_name="ueldo_vc_element_15070199469401" heading_tag="h1" display_heading_subtitle="no" custom_margins_enabled="custom_margins"][ueldo_shortcode_heading_text class_name="ueldo_vc_element_15070199577732" heading_text="'. esc_html( __( 'Electrician Services for your Home and Office', 'ueldo' ) ) .'" custom_font_size_and_line_height_enabled="custom_settings" font_size="54" line_height="1.2" custom_font_color_enabled="custom_settings" font_color="#fff2ce" font_color_hover="#fff2ce"][/ueldo_shortcode_heading][/ueldo_shortcode_inline_container_element][/ueldo_shortcode_inline_container][vc_column_text]<span style="color: rgba( 255, 255, 255, 0.5 );">Cras eros erat, maximus a turpis in, fermentum dignissim enim. Ut sed justo ac risus tempus pretium nec id leo. Phasellus ac odio convallis, porta nunc non, elementum urna. In egestas dui dignissim augue placerat, eu molestie quam rutrum. Duis quis imperdiet felis, vitae placerat nibh. Maecenas non viverra magna, vitae aliquam arcu. Cras dictum dui vitae nunc interdum.</span>[/vc_column_text][/vc_column][/vc_row][vc_row][vc_column][ueldo_shortcode_gap class_name="ueldo_vc_element_15070215284169" large_height="45"][ueldo_shortcode_inline_container class_name="ueldo_vc_element_46309714425855"][ueldo_shortcode_inline_container_element class_name="ueldo_vc_element_54981097712068" large_width_type="calc" large_width_calc_base="33%" large_width_calc_px="20" extra_small_custom_sizes="yes"][ueldo_shortcode_info_box class_name="ueldo_vc_element_50017928701613" content_alignment="left" content_position="inline" whole_box_link="yes" box_link_url="url:'. rawurlencode( ueldo_get_website_dir() ) .'contact%2F|title:'. rawurlencode( esc_html( __( 'Emergency service', 'ueldo' ) ) ) .'||" info_box_title="'. esc_html( __( 'Emergency service', 'ueldo' ) ) .'" info_element_width="48" info_element_height="48" info_element_border_radius="px" info_element_border_radius_px="0" {ueldopredefinedsections:icon|key:flaticon-plug,flaticon-technology|url:https://www.flaticon.com/free-icon/plug_248050|slug:info_element_icon_} custom_colors_enabled="custom_settings" info_element_icon_color="#ffc100" info_element_icon_color_hover="#ffc100" info_element_box_shadow_color="rgba(255,255,255,0.01)" info_element_box_shadow_color_hover="rgba(255,255,255,0.01)" info_box_title_color="#fff2ce" info_box_title_color_hover="#fff2ce" info_box_description_color="rgba(255,255,255,0.5)" info_box_description_color_hover="rgba(255,255,255,0.5)"][/ueldo_shortcode_info_box][/ueldo_shortcode_inline_container_element][ueldo_shortcode_inline_container_element class_name="ueldo_vc_element_75440368916448" large_width_type="px" large_width_px="30" extra_small_custom_sizes="yes" extra_small_width_percentage="0%"][/ueldo_shortcode_inline_container_element][ueldo_shortcode_inline_container_element class_name="ueldo_vc_element_16217434331527" large_width_type="calc" large_width_calc_base="33%" large_width_calc_px="20" extra_small_custom_sizes="yes"][ueldo_shortcode_gap class_name="ueldo_vc_element_15076370277592" large_height="0" extra_small_custom_sizes="yes" extra_small_height="30"][ueldo_shortcode_info_box class_name="ueldo_vc_element_28133367517864" content_alignment="left" content_position="inline" whole_box_link="yes" box_link_url="url:'. rawurlencode( ueldo_get_website_dir() ) .'security-lighting%2F|title:'. rawurlencode( esc_html( __( 'Security lighting', 'ueldo' ) ) ) .'||" info_box_title="'. esc_html( __( 'Security lighting', 'ueldo' ) ) .'" info_element_width="48" info_element_height="48" info_element_border_radius="px" info_element_border_radius_px="0" {ueldopredefinedsections:icon|key:flaticon-light-bulb,flaticon-technology|url:https://www.flaticon.com/free-icon/light-bulb_248093|slug:info_element_icon_} custom_colors_enabled="custom_settings" info_element_icon_color="#ffc100" info_element_icon_color_hover="#ffc100" info_element_box_shadow_color="rgba(255,255,255,0.01)" info_element_box_shadow_color_hover="rgba(255,255,255,0.01)" info_box_title_color="#fff2ce" info_box_title_color_hover="#fff2ce" info_box_description_color="rgba(255,255,255,0.5)" info_box_description_color_hover="rgba(255,255,255,0.5)"][/ueldo_shortcode_info_box][/ueldo_shortcode_inline_container_element][ueldo_shortcode_inline_container_element class_name="ueldo_vc_element_36662502296319" large_width_type="px" large_width_px="30" extra_small_custom_sizes="yes" extra_small_width_percentage="0%"][/ueldo_shortcode_inline_container_element][ueldo_shortcode_inline_container_element class_name="ueldo_vc_element_17268984890681" large_width_type="calc" large_width_calc_base="33%" large_width_calc_px="20" extra_small_custom_sizes="yes"][ueldo_shortcode_gap class_name="ueldo_vc_element_150763703579" large_height="0" extra_small_custom_sizes="yes" extra_small_height="30"][ueldo_shortcode_info_box class_name="ueldo_vc_element_73678167771847" content_alignment="left" content_position="inline" whole_box_link="yes" box_link_url="url:'. rawurlencode( ueldo_get_website_dir() ) .'air-conditioning%2F|title:'. rawurlencode( esc_html( __( 'Air conditioning', 'ueldo' ) ) ) .'||" info_box_title="'. esc_html( __( 'Air conditioning', 'ueldo' ) ) .'" info_element_width="48" info_element_height="48" info_element_border_radius="px" info_element_border_radius_px="0" {ueldopredefinedsections:icon|key:flaticon-air-conditioner,flaticon-technology|url:https://www.flaticon.com/free-icon/air-conditioner_259981|slug:info_element_icon_} custom_colors_enabled="custom_settings" info_element_icon_color="#ffc100" info_element_icon_color_hover="#ffc100" info_element_box_shadow_color="rgba(255,255,255,0.01)" info_element_box_shadow_color_hover="rgba(255,255,255,0.01)" info_box_title_color="#fff2ce" info_box_title_color_hover="#fff2ce" info_box_description_color="rgba(255,255,255,0.5)" info_box_description_color_hover="rgba(255,255,255,0.5)"][/ueldo_shortcode_info_box][/ueldo_shortcode_inline_container_element][/ueldo_shortcode_inline_container][ueldo_shortcode_gap class_name="ueldo_vc_element_15070215339164"][/vc_column][/vc_row][vc_row el_class="ueldo-vc-row-overflow-visible"][vc_column][ueldo_shortcode_inline_container class_name="ueldo_vc_element_15070202915504"][ueldo_shortcode_inline_container_element class_name="ueldo_vc_element_7261528886909" large_width_type="calc" large_width_calc_base="50%" large_width_calc_px="15" extra_small_custom_sizes="yes"][ueldo_shortcode_image class_name="ueldo_vc_element_15917141147100" additional="gallery_image" gallery_slug="gallery" large_height_px="240" margin_bottom="0"][/ueldo_shortcode_inline_container_element][ueldo_shortcode_inline_container_element class_name="ueldo_vc_element_1897690313586" large_width_type="px" large_width_px="30" extra_small_custom_sizes="yes" extra_small_width_percentage="0%"][/ueldo_shortcode_inline_container_element][ueldo_shortcode_inline_container_element class_name="ueldo_vc_element_7958988814511" large_width_type="calc" large_width_calc_base="50%" large_width_calc_px="15" extra_small_custom_sizes="yes"][ueldo_shortcode_gap class_name="ueldo_vc_element_15076370017242" large_height="0" extra_small_custom_sizes="yes" extra_small_height="30"][ueldo_shortcode_image class_name="ueldo_vc_element_65183256080195" additional="gallery_image" gallery_slug="gallery" large_height_px="240" margin_bottom="0"][/ueldo_shortcode_inline_container_element][/ueldo_shortcode_inline_container][/vc_column][/vc_row][/vc_section][vc_section][vc_row][vc_column width="1/6"][/vc_column][vc_column width="2/3"][ueldo_shortcode_gap class_name="ueldo_vc_element_2011315548647" large_height="75"][ueldo_shortcode_heading class_name="ueldo_vc_element_15070242448833" text_align="center" heading_subtitle_text="'. esc_html( __( 'You can count on us', 'ueldo' ) ) .'"][ueldo_shortcode_heading_text class_name="ueldo_vc_element_15070242652717" heading_text="'. esc_html( __( 'Have any electrical or technical problem?', 'ueldo' ) ) .'"][/ueldo_shortcode_heading][vc_column_text]<p style="text-align: center;">Orci varius natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Maecenas vel viverra purus. Morbi erat tortor, consequat quis tortor vel, pretium aliquet nulla. Duis consequat, massa egestas venenatis convallis.</p>[/vc_column_text][ueldo_shortcode_gap class_name="ueldo_vc_element_15070357374188" large_height="10"][/vc_column][vc_column width="1/6"][/vc_column][/vc_row][vc_row content_placement="middle"][vc_column width="1/2"][ueldo_shortcode_pulsating_circles class_name="ueldo_vc_element_15070247054773" icon_fontawesome="fa fa-volume-control-phone" url="url:tel%3A18001234567|title:'. rawurlencode( esc_html( __( 'Call us', 'ueldo' ) ) ) .'||" custom_colors_enabled="custom_settings" central_circle_background_color="#ffffff" central_circle_background_color_hover="#ffffff" central_circle_box_shadow_color="rgba(0,0,0,0.05)" central_circle_box_shadow_color_hover="rgba(0,0,0,0.05)" bar_background_color="#293663" bar_background_color_hover="#293663" bar_text_color="#ffffff" bar_text_color_hover="#ffffff" bar_box_shadow_color="rgba(41,54,99,0.25)" bar_box_shadow_color_hover="rgba(41,54,99,0.25)" first_circle_background_color="rgba(255,193,0,0.55)" first_circle_border_color="rgba(255,255,255,0.01)" second_circle_background_color="rgba(255,193,0,0.4)" second_circle_border_color="rgba(255,255,255,0.01)" third_circle_background_color="rgba(255,193,0,0.2)" third_circle_border_color="rgba(255,255,255,0.01)" fourth_circle_background_color="rgba(255,193,0,0.1)" fourth_circle_border_color="rgba(255,255,255,0.01)"]'. esc_html( __( 'Call now!', 'ueldo' ) ) .' <strong>1-800-123-4567</strong>[/ueldo_shortcode_pulsating_circles][/vc_column][vc_column width="1/2"][ueldo_shortcode_heading class_name="ueldo_vc_element_15070331021483" heading_tag="h4" display_heading_subtitle="no"][ueldo_shortcode_heading_text class_name="ueldo_vc_element_15070331113581" heading_text="'. esc_html( __( 'Why call us?', 'ueldo' ) ) .'"][/ueldo_shortcode_heading][ueldo_shortcode_icon_list class_name="ueldo_vc_element_15070359083675" icon_fontawesome="fa fa-check" margin_bottom="0" custom_colors_enabled="custom_settings" icon_number_color="#ffc100" icon_number_color_hover="#ffc100" background_color="rgba(255,255,255,0.01)" background_color_hover="rgba(255,255,255,0.01)" box_shadow_color="rgba(255,255,255,0.01)" box_shadow_color_hover="rgba(255,255,255,0.01)"]'. esc_html( __( 'We can start our work on the same day you call,', 'ueldo' ) ) .'<br /><br /> '. esc_html( __( 'We provide estimates free within 24 hours,', 'ueldo' ) ) .'<br /><br /> '. esc_html( __( 'We work on holidays, weekends or evenings,', 'ueldo' ) ) .'<br /><br /> '. esc_html( __( 'We offer free advice via telephone,', 'ueldo' ) ) .'<br /><br /> '. esc_html( __( 'We are knowledgeable, lowest cost and fastest,', 'ueldo' ) ) .'[/ueldo_shortcode_icon_list][/vc_column][/vc_row][vc_row][vc_column][ueldo_shortcode_gap class_name="ueldo_vc_element_15126453633887"][/vc_column][/vc_row][/vc_section][vc_section][vc_row full_width="stretch_row_content_no_spaces"][vc_column][ueldo_shortcode_delimiter class_name="ueldo_vc_element_15070459467426" large_height="1" margin_bottom="0"][/vc_column][/vc_row][/vc_section][vc_section][vc_row][vc_column][ueldo_shortcode_gap class_name="ueldo_vc_element_15126458805936"][/vc_column][/vc_row][vc_row el_class="ueldo-vc-row-overflow-visible"][vc_column width="1/6"][/vc_column][vc_column width="2/3"][ueldo_shortcode_heading class_name="ueldo_vc_element_15070437634501" text_align="center" heading_subtitle_text="'. esc_html( __( 'Check our services', 'ueldo' ) ) .'"][ueldo_shortcode_heading_text class_name="ueldo_vc_element_15070437743462" heading_text="'. esc_html( __( 'How can we help you today?', 'ueldo' ) ) .'"][/ueldo_shortcode_heading][vc_column_text]<p style="text-align: center;">Morbi sed enim non est dictum volutpat non vel sapien. Maecenas imperdiet elit erat, id ultricies lacus elementum quis. Pellentesque lacus felis, volutpat nec urna gravida, imperdiet consequat nunc. Sed interdum vel turpis nec gravida.</p>[/vc_column_text][ueldo_shortcode_gap class_name="ueldo_vc_element_15070443197284" large_height="25"][/vc_column][vc_column width="1/6"][/vc_column][/vc_row][vc_row el_class="ueldo-vc-row-overflow-visible"][vc_column width="1/3"][ueldo_shortcode_button class_name="ueldo_vc_element_38009249308255" button_type="two-line-button" button_text="" second_line_text="'. esc_html( __( 'Air conditioning', 'ueldo' ) ) .'" button_url="url:'. rawurlencode( ueldo_get_website_dir() ) .'air-conditioning%2F|title:'. rawurlencode( esc_html( __( 'Air conditioning', 'ueldo' ) ) ) .'||" show_button_icon="yes" button_icon_position="above-left" {ueldopredefinedsections:icon|key:flaticon-air-conditioner,flaticon-technology|url:https://www.flaticon.com/free-icon/air-conditioner_259981|slug:button_icon_} custom_sizes_enabled="custom_settings" two_line_button_use_static_width="yes-full-width" custom_colors_enabled="custom_settings" two_line_button_background_color="#ffffff" two_line_button_background_color_hover="#283563" two_line_button_border_color_hover="#283563" two_line_button_box_shadow_color="rgba(255,255,255,0.01)" two_line_button_box_shadow_vertical_length_hover="10" two_line_button_box_shadow_color_hover="rgba(40,53,99,0.1)" two_line_button_second_line_color_hover="#ffffff" two_line_button_icon_color="#ffc100" two_line_button_icon_color_hover="#ffc100"][/ueldo_shortcode_button][ueldo_shortcode_gap class_name="ueldo_vc_element_97680958469402" large_height="30"][ueldo_shortcode_button class_name="ueldo_vc_element_48051042430635" button_type="two-line-button" button_text="" second_line_text="'. esc_html( __( 'Outdoor lighting', 'ueldo' ) ) .'" button_url="url:'. rawurlencode( ueldo_get_website_dir() ) .'outdoor-lighting%2F|title:'. rawurlencode( esc_html( __( 'Outdoor lighting', 'ueldo' ) ) ) .'||" show_button_icon="yes" button_icon_position="above-left" {ueldopredefinedsections:icon|key:flaticon-light-bulb,flaticon-technology|url:https://www.flaticon.com/free-icon/light-bulb_248093|slug:button_icon_} custom_sizes_enabled="custom_settings" two_line_button_use_static_width="yes-full-width" custom_colors_enabled="custom_settings" two_line_button_background_color="#ffffff" two_line_button_background_color_hover="#283563" two_line_button_border_color_hover="#283563" two_line_button_box_shadow_color="rgba(255,255,255,0.01)" two_line_button_box_shadow_vertical_length_hover="10" two_line_button_box_shadow_color_hover="rgba(40,53,99,0.1)" two_line_button_second_line_color_hover="#ffffff" two_line_button_icon_color="#ffc100" two_line_button_icon_color_hover="#ffc100"][/ueldo_shortcode_button][/vc_column][vc_column width="1/3"][ueldo_shortcode_gap class_name="ueldo_vc_element_89332437991862" large_height="0" extra_small_custom_sizes="yes" extra_small_height="30"][ueldo_shortcode_button class_name="ueldo_vc_element_19824826244595" button_type="two-line-button" button_text="" second_line_text="'. esc_html( __( 'Solar energy', 'ueldo' ) ) .'" button_url="url:'. rawurlencode( ueldo_get_website_dir() ) .'solar-energy%2F|title:'. rawurlencode( esc_html( __( 'Solar energy', 'ueldo' ) ) ) .'||" show_button_icon="yes" button_icon_position="above-left" {ueldopredefinedsections:icon|key:flaticon-solar-energy,flaticon-technology|url:https://www.flaticon.com/free-icon/solar-energy_283012|slug:button_icon_} custom_sizes_enabled="custom_settings" two_line_button_use_static_width="yes-full-width" custom_colors_enabled="custom_settings" two_line_button_background_color="#ffffff" two_line_button_background_color_hover="#283563" two_line_button_border_color_hover="#283563" two_line_button_box_shadow_color="rgba(255,255,255,0.01)" two_line_button_box_shadow_vertical_length_hover="10" two_line_button_box_shadow_color_hover="rgba(40,53,99,0.1)" two_line_button_second_line_color_hover="#ffffff" two_line_button_icon_color="#ffc100" two_line_button_icon_color_hover="#ffc100"][/ueldo_shortcode_button][ueldo_shortcode_gap class_name="ueldo_vc_element_48428933089875" large_height="30"][ueldo_shortcode_button class_name="ueldo_vc_element_17286745983877" button_type="two-line-button" button_text="" second_line_text="'. esc_html( __( 'Lightning protection', 'ueldo' ) ) .'" button_url="url:'. rawurlencode( ueldo_get_website_dir() ) .'lightning-protection%2F|title:'. rawurlencode( esc_html( __( 'Lightning protection', 'ueldo' ) ) ) .'||" show_button_icon="yes" button_icon_position="above-left" {ueldopredefinedsections:icon|key:flaticon-flash,flaticon-technology|url:https://www.flaticon.com/free-icon/flash_248053|slug:button_icon_} custom_sizes_enabled="custom_settings" two_line_button_use_static_width="yes-full-width" custom_colors_enabled="custom_settings" two_line_button_background_color="#ffffff" two_line_button_background_color_hover="#283563" two_line_button_border_color_hover="#283563" two_line_button_box_shadow_color="rgba(255,255,255,0.01)" two_line_button_box_shadow_vertical_length_hover="10" two_line_button_box_shadow_color_hover="rgba(40,53,99,0.1)" two_line_button_second_line_color_hover="#ffffff" two_line_button_icon_color="#ffc100" two_line_button_icon_color_hover="#ffc100"][/ueldo_shortcode_button][/vc_column][vc_column width="1/3"][ueldo_shortcode_gap class_name="ueldo_vc_element_51369340376417" large_height="0" extra_small_custom_sizes="yes" extra_small_height="30"][ueldo_shortcode_button class_name="ueldo_vc_element_91236737148927" button_type="two-line-button" button_text="" second_line_text="'. esc_html( __( 'Fixing HHG devices', 'ueldo' ) ) .'" button_url="url:'. rawurlencode( ueldo_get_website_dir() ) .'fixing-hhg-devices%2F|title:'. rawurlencode( esc_html( __( 'Fixing HHG devices', 'ueldo' ) ) ) .'||" show_button_icon="yes" button_icon_position="above-left" {ueldopredefinedsections:icon|key:flaticon-washing-machine,flaticon-washing|url:https://www.flaticon.com/free-icon/washing-machine_125652|slug:button_icon_} custom_sizes_enabled="custom_settings" two_line_button_use_static_width="yes-full-width" custom_colors_enabled="custom_settings" two_line_button_background_color="#ffffff" two_line_button_background_color_hover="#283563" two_line_button_border_color_hover="#283563" two_line_button_box_shadow_color="rgba(255,255,255,0.01)" two_line_button_box_shadow_vertical_length_hover="10" two_line_button_box_shadow_color_hover="rgba(40,53,99,0.1)" two_line_button_second_line_color_hover="#ffffff" two_line_button_icon_color="#ffc100" two_line_button_icon_color_hover="#ffc100"][/ueldo_shortcode_button][ueldo_shortcode_gap class_name="ueldo_vc_element_81208393465816" large_height="30"][ueldo_shortcode_button class_name="ueldo_vc_element_46782751880531" button_type="two-line-button" button_text="" second_line_text="'. esc_html( __( 'Security lighting', 'ueldo' ) ) .'" button_url="url:'. rawurlencode( ueldo_get_website_dir() ) .'security-lighting%2F|title:'. rawurlencode( esc_html( __( 'Security lighting', 'ueldo' ) ) ) .'||" show_button_icon="yes" button_icon_position="above-left" {ueldopredefinedsections:icon|key:flaticon-plug,flaticon-technology|url:https://www.flaticon.com/free-icon/plug_248050|slug:button_icon_} custom_sizes_enabled="custom_settings" two_line_button_use_static_width="yes-full-width" custom_colors_enabled="custom_settings" two_line_button_background_color="#ffffff" two_line_button_background_color_hover="#283563" two_line_button_border_color_hover="#283563" two_line_button_box_shadow_color="rgba(255,255,255,0.01)" two_line_button_box_shadow_vertical_length_hover="10" two_line_button_box_shadow_color_hover="rgba(40,53,99,0.1)" two_line_button_second_line_color_hover="#ffffff" two_line_button_icon_color="#ffc100" two_line_button_icon_color_hover="#ffc100"][/ueldo_shortcode_button][/vc_column][/vc_row][/vc_section][vc_section][vc_row][vc_column][ueldo_shortcode_gap class_name="ueldo_vc_element_15126510619339"][/vc_column][/vc_row][/vc_section][vc_section full_width="stretch_row" el_class="ueldo-vc-section-overflow-visible"][vc_row content_placement="middle" el_class="ueldo-vc-row-overflow-visible"][vc_column width="1/2"][ueldo_shortcode_row_layer class_name="ueldo_vc_element_15070460072541" layer_for_row_or_section="section" custom_layer_sizes="custom_settings" color="#283563" large_height_type="calc" large_height_calc_px="60" large_margin_top="30"][ueldo_shortcode_image class_name="ueldo_vc_element_3316499250640" additional="gallery_image" gallery_slug="gallery" large_height_px="400" margin_bottom="0"][/vc_column][vc_column width="1/2"][ueldo_shortcode_gap class_name="ueldo_vc_element_15070509989233" large_height="30"][ueldo_shortcode_inline_container class_name="ueldo_vc_element_38375517957958"][ueldo_shortcode_inline_container_element class_name="ueldo_vc_element_32212000542860" large_width_type="px" large_width_px="15" extra_small_custom_sizes="yes" extra_small_width_percentage="0%"][/ueldo_shortcode_inline_container_element][ueldo_shortcode_inline_container_element class_name="ueldo_vc_element_20890609883475" large_width_type="px" large_width_px="124"][ueldo_shortcode_card class_name="ueldo_vc_element_89852277317708" border_width="0" border_radius="2" padding_top="10" padding_right="15" padding_bottom="10" padding_left="15" margin_bottom="30" custom_colors_enabled="custom_settings" box_shadow_vertical_length="10" box_shadow_blur_radius="35" box_shadow_color="rgba(40,53,99,0.1)" box_shadow_vertical_length_hover="10" box_shadow_color_hover="rgba(40,53,99,0.1)" background_color="#ffc000" background_color_hover="#ffc000" border_color="#ffc000" border_color_hover="#ffc000"][ueldo_shortcode_heading class_name="ueldo_vc_element_25028312863598" heading_tag="h4" display_heading_subtitle="no" custom_margins_enabled="custom_margins" custom_margin_bottom="0"][ueldo_shortcode_heading_text class_name="ueldo_vc_element_87504437007592" heading_text="'. esc_html( __( '20% discount!', 'ueldo' ) ) .'" font_family="headings-bold-font" custom_font_size_and_line_height_enabled="custom_settings" font_size="15" line_height="1" custom_font_color_enabled="custom_settings" font_color="#293564" font_color_hover="#293564"][/ueldo_shortcode_heading][/ueldo_shortcode_card][/ueldo_shortcode_inline_container_element][/ueldo_shortcode_inline_container][ueldo_shortcode_inline_container class_name="ueldo_vc_element_91342649250288"][ueldo_shortcode_inline_container_element class_name="ueldo_vc_element_79567098422342" large_width_type="px" large_width_px="15" extra_small_custom_sizes="yes" extra_small_width_percentage="0%"][/ueldo_shortcode_inline_container_element][ueldo_shortcode_inline_container_element class_name="ueldo_vc_element_35026866139434" large_width_type="calc" large_width_calc_px="15" extra_small_custom_sizes="yes"][ueldo_shortcode_heading class_name="ueldo_vc_element_36665468061752" heading_tag="h4" display_heading_subtitle="no"][ueldo_shortcode_heading_text class_name="ueldo_vc_element_92682065934972" heading_text="'. esc_html( __( 'Fixing HHG and other electronical devices', 'ueldo' ) ) .'" custom_font_color_enabled="custom_settings" font_color="#fff2ce" font_color_hover="#fff2ce"][/ueldo_shortcode_heading][vc_column_text]<span style="color: rgba( 255, 255, 255, 0.5 );">Donec eu dictum risus. Aenean nec risus dignissim, hendrerit risus sit amet, porta nibh. Donec leo quam, scelerisque in fermentum sit amet, dapibus nec metus.</span>[/vc_column_text][/ueldo_shortcode_inline_container_element][/ueldo_shortcode_inline_container][/vc_column][/vc_row][vc_row][vc_column][ueldo_shortcode_gap class_name="ueldo_vc_element_31324281699960"][/vc_column][/vc_row][vc_row content_placement="middle" el_class="ueldo-vc-row-overflow-visible"][vc_column width="1/2"][ueldo_shortcode_inline_container class_name="ueldo_vc_element_73454597897167"][ueldo_shortcode_inline_container_element class_name="ueldo_vc_element_12500519381005" large_width_type="px" large_width_px="132"][ueldo_shortcode_card class_name="ueldo_vc_element_48395552528240" border_width="0" border_radius="2" padding_top="10" padding_right="15" padding_bottom="10" padding_left="15" margin_bottom="30" custom_colors_enabled="custom_settings" box_shadow_vertical_length="10" box_shadow_blur_radius="35" box_shadow_color="rgba(40,53,99,0.1)" box_shadow_vertical_length_hover="10" box_shadow_color_hover="rgba(40,53,99,0.1)" background_color="#ffc000" background_color_hover="#ffc000" border_color="#ffc000" border_color_hover="#ffc000"][ueldo_shortcode_heading class_name="ueldo_vc_element_59723000014866" heading_tag="h4" display_heading_subtitle="no" custom_margins_enabled="custom_margins" custom_margin_bottom="0"][ueldo_shortcode_heading_text class_name="ueldo_vc_element_26935221431012" heading_text="'. esc_html( __( 'Free estimates!', 'ueldo' ) ) .'" font_family="headings-bold-font" custom_font_size_and_line_height_enabled="custom_settings" font_size="15" line_height="1" custom_font_color_enabled="custom_settings" font_color="#293564" font_color_hover="#293564"][/ueldo_shortcode_heading][/ueldo_shortcode_card][/ueldo_shortcode_inline_container_element][/ueldo_shortcode_inline_container][ueldo_shortcode_inline_container class_name="ueldo_vc_element_96294633444471"][ueldo_shortcode_inline_container_element class_name="ueldo_vc_element_61806900636326" large_width_type="px"][/ueldo_shortcode_inline_container_element][ueldo_shortcode_inline_container_element class_name="ueldo_vc_element_80884572438077" large_width_type="calc" large_width_calc_px="15"][ueldo_shortcode_heading class_name="ueldo_vc_element_16607955840239" heading_tag="h4" display_heading_subtitle="no"][ueldo_shortcode_heading_text class_name="ueldo_vc_element_38918401643044" heading_text="'. esc_html( __( 'Air conditioning installation & fix', 'ueldo' ) ) .'" custom_font_color_enabled="custom_settings" font_color="#fff2ce" font_color_hover="#fff2ce"][/ueldo_shortcode_heading][vc_column_text]<span style="color: rgba( 255, 255, 255, 0.5 );">Donec eu dictum risus. Aenean nec risus dignissim, hendrerit risus sit amet, porta nibh. Donec leo quam, scelerisque in fermentum sit amet, dapibus nec metus.</span>[/vc_column_text][/ueldo_shortcode_inline_container_element][/ueldo_shortcode_inline_container][ueldo_shortcode_gap class_name="ueldo_vc_element_15070510049012" large_height="30"][/vc_column][vc_column width="1/2"][ueldo_shortcode_image class_name="ueldo_vc_element_3397118175966" additional="gallery_image" gallery_slug="gallery" large_height_px="400" margin_bottom="0"][/vc_column][/vc_row][/vc_section]',

                'about-us' => '[vc_section][vc_row][vc_column][ueldo_shortcode_gap class_name="ueldo_vc_element_71612738053480" large_height="75" extra_small_custom_sizes="yes" extra_small_height="20"][/vc_column][/vc_row][vc_row content_placement="middle" el_class="ueldo-vc-row-overflow-visible"][vc_column width="1/2"][ueldo_shortcode_image class_name="ueldo_vc_element_68789997597462" additional="gallery_image" gallery_slug="gallery"][ueldo_shortcode_image class_name="ueldo_vc_element_28406235792751" additional="gallery_image" gallery_slug="gallery" margin_bottom="0"][/vc_column][vc_column width="1/2"][ueldo_shortcode_gap class_name="ueldo_vc_element_15076374635078" large_height="0" extra_small_custom_sizes="yes" extra_small_height="30"][ueldo_shortcode_inline_container class_name="ueldo_vc_element_15072781812038"][ueldo_shortcode_inline_container_element class_name="ueldo_vc_element_15072781837083" large_width_type="px" large_width_px="15" extra_small_custom_sizes="yes" extra_small_width_percentage="0%"][/ueldo_shortcode_inline_container_element][ueldo_shortcode_inline_container_element class_name="ueldo_vc_element_15072781902263" large_width_type="calc" large_width_calc_px="15" extra_small_custom_sizes="yes"][ueldo_shortcode_heading class_name="ueldo_vc_element_21412786560121" heading_tag="h1" heading_subtitle_text="'. esc_html( __( 'About us', 'ueldo' ) ) .'"][ueldo_shortcode_heading_text class_name="ueldo_vc_element_82158892131810" heading_text="'. esc_html( __( 'Experienced & qualified electricians', 'ueldo' ) ) .'" font_family="headings-bold-font"][/ueldo_shortcode_heading][ueldo_shortcode_heading class_name="ueldo_vc_element_49924610288966" heading_tag="h6" display_heading_subtitle="no"][ueldo_shortcode_heading_text class_name="ueldo_vc_element_23295465321406" heading_text="Curabitur malesuada neque non eros viverra porttitor. Praesent venenatis rhoncus dolor et varius. Vivamus scelerisque ipsum et." font_family="Source Sans Pro,600"][/ueldo_shortcode_heading][vc_column_text]Duis augue augue, gravida nec malesuada et, eleifend sed enim. Aliquam non diam arcu. Maecenas porttitor aliquam purus, et dignissim turpis viverra ut. Morbi ullamcorper eu diam nec auctor. Nam pellentesque sapien.[/vc_column_text][ueldo_shortcode_gap class_name="ueldo_vc_element_15072783727849" large_height="25"][ueldo_shortcode_button class_name="ueldo_vc_element_15072782337479" button_text="'. esc_html( __( 'Check our services', 'ueldo' ) ) .'" button_url="url:'. rawurlencode( ueldo_get_website_dir() ) .'air-conditioning%2F|title:'. rawurlencode( esc_html( __( 'Services', 'ueldo' ) ) ) .'||" show_button_icon="yes" custom_sizes_enabled="custom_settings" standard_button_padding_top="15" standard_button_padding_bottom="17" standard_button_use_static_height="no"][/ueldo_shortcode_button][/ueldo_shortcode_inline_container_element][/ueldo_shortcode_inline_container][/vc_column][/vc_row][vc_row][vc_column][ueldo_shortcode_gap class_name="ueldo_vc_element_15072785603887"][/vc_column][/vc_row][/vc_section][vc_section][vc_row][vc_column width="1/6"][/vc_column][vc_column width="2/3"][ueldo_shortcode_icon class_name="ueldo_vc_element_15072047103384" icon_alignment="center" {ueldopredefinedsections:icon|key:flaticon-solar-energy,flaticon-technology|url:https://www.flaticon.com/free-icon/solar-energy_283012|slug:icon_} custom_sizes_enabled="custom_settings" icon_size="45" margin_bottom="30" custom_colors_enabled="custom_settings" icon_color="#ffc100"][ueldo_shortcode_heading class_name="ueldo_vc_element_98296331035065" text_align="center" display_heading_subtitle="no"][ueldo_shortcode_heading_text class_name="ueldo_vc_element_33609523074816" heading_text="'. esc_html( __( 'From HHG fix to Solar energy', 'ueldo' ) ) .'"][/ueldo_shortcode_heading][vc_column_text]<p style="text-align: center;">Nunc ut commodo ante, at feugiat elit. Etiam bibendum faucibus elit, quis sodales turpis rutrum eget. Suspendisse faucibus elit elit, quis bibendum purus.</p>[/vc_column_text][ueldo_shortcode_gap class_name="ueldo_vc_element_1507278692303" large_height="25"][/vc_column][vc_column width="1/6"][/vc_column][/vc_row][vc_row el_class="ueldo-vc-row-overflow-visible"][vc_column width="1/3"][ueldo_shortcode_button class_name="ueldo_vc_element_38009249308255" button_type="two-line-button" button_text="" second_line_text="'. esc_html( __( 'Air conditioning', 'ueldo' ) ) .'" button_url="url:'. rawurlencode( ueldo_get_website_dir() ) .'air-conditioning%2F|title:'. rawurlencode( esc_html( __( 'Air conditioning', 'ueldo' ) ) ) .'||" show_button_icon="yes" button_icon_position="above-left" {ueldopredefinedsections:icon|key:flaticon-air-conditioner,flaticon-technology|url:https://www.flaticon.com/free-icon/air-conditioner_259981|slug:button_icon_} custom_sizes_enabled="custom_settings" two_line_button_use_static_width="yes-full-width" custom_colors_enabled="custom_settings" two_line_button_background_color="#ffffff" two_line_button_background_color_hover="#283563" two_line_button_border_color_hover="#283563" two_line_button_box_shadow_color="rgba(255,255,255,0.01)" two_line_button_box_shadow_vertical_length_hover="10" two_line_button_box_shadow_color_hover="rgba(40,53,99,0.1)" two_line_button_second_line_color_hover="#ffffff" two_line_button_icon_color="#ffc100" two_line_button_icon_color_hover="#ffc100"][/ueldo_shortcode_button][ueldo_shortcode_gap class_name="ueldo_vc_element_97680958469402" large_height="30"][ueldo_shortcode_button class_name="ueldo_vc_element_48051042430635" button_type="two-line-button" button_text="" second_line_text="'. esc_html( __( 'Outdoor lighting', 'ueldo' ) ) .'" button_url="url:'. rawurlencode( ueldo_get_website_dir() ) .'outdoor-lighting%2F|title:'. rawurlencode( esc_html( __( 'Outdoor lighting', 'ueldo' ) ) ) .'||" show_button_icon="yes" button_icon_position="above-left" {ueldopredefinedsections:icon|key:flaticon-light-bulb,flaticon-technology|url:https://www.flaticon.com/free-icon/light-bulb_248093|slug:button_icon_} custom_sizes_enabled="custom_settings" two_line_button_use_static_width="yes-full-width" custom_colors_enabled="custom_settings" two_line_button_background_color="#ffffff" two_line_button_background_color_hover="#283563" two_line_button_border_color_hover="#283563" two_line_button_box_shadow_color="rgba(255,255,255,0.01)" two_line_button_box_shadow_vertical_length_hover="10" two_line_button_box_shadow_color_hover="rgba(40,53,99,0.1)" two_line_button_second_line_color_hover="#ffffff" two_line_button_icon_color="#ffc100" two_line_button_icon_color_hover="#ffc100"][/ueldo_shortcode_button][/vc_column][vc_column width="1/3"][ueldo_shortcode_gap class_name="ueldo_vc_element_10294872202572" large_height="0" extra_small_custom_sizes="yes" extra_small_height="30"][ueldo_shortcode_button class_name="ueldo_vc_element_19824826244595" button_type="two-line-button" button_text="" second_line_text="'. esc_html( __( 'Solar energy', 'ueldo' ) ) .'" button_url="url:'. rawurlencode( ueldo_get_website_dir() ) .'solar-energy%2F|title:'. rawurlencode( esc_html( __( 'Solar energy', 'ueldo' ) ) ) .'||" show_button_icon="yes" button_icon_position="above-left" {ueldopredefinedsections:icon|key:flaticon-solar-energy,flaticon-technology|url:https://www.flaticon.com/free-icon/solar-energy_283012|slug:button_icon_} custom_sizes_enabled="custom_settings" two_line_button_use_static_width="yes-full-width" custom_colors_enabled="custom_settings" two_line_button_background_color="#ffffff" two_line_button_background_color_hover="#283563" two_line_button_border_color_hover="#283563" two_line_button_box_shadow_color="rgba(255,255,255,0.01)" two_line_button_box_shadow_vertical_length_hover="10" two_line_button_box_shadow_color_hover="rgba(40,53,99,0.1)" two_line_button_second_line_color_hover="#ffffff" two_line_button_icon_color="#ffc100" two_line_button_icon_color_hover="#ffc100"][/ueldo_shortcode_button][ueldo_shortcode_gap class_name="ueldo_vc_element_99266355801999" large_height="30"][ueldo_shortcode_button class_name="ueldo_vc_element_17286745983877" button_type="two-line-button" button_text="" second_line_text="'. esc_html( __( 'Lightning protection', 'ueldo' ) ) .'" button_url="url:'. rawurlencode( ueldo_get_website_dir() ) .'lightning-protection%2F|title:'. rawurlencode( esc_html( __( 'Lightning protection', 'ueldo' ) ) ) .'||" show_button_icon="yes" button_icon_position="above-left" {ueldopredefinedsections:icon|key:flaticon-flash,flaticon-technology|url:https://www.flaticon.com/free-icon/flash_248053|slug:button_icon_} custom_sizes_enabled="custom_settings" two_line_button_use_static_width="yes-full-width" custom_colors_enabled="custom_settings" two_line_button_background_color="#ffffff" two_line_button_background_color_hover="#283563" two_line_button_border_color_hover="#283563" two_line_button_box_shadow_color="rgba(255,255,255,0.01)" two_line_button_box_shadow_vertical_length_hover="10" two_line_button_box_shadow_color_hover="rgba(40,53,99,0.1)" two_line_button_second_line_color_hover="#ffffff" two_line_button_icon_color="#ffc100" two_line_button_icon_color_hover="#ffc100"][/ueldo_shortcode_button][/vc_column][vc_column width="1/3"][ueldo_shortcode_gap class_name="ueldo_vc_element_63805886678203" large_height="0" extra_small_custom_sizes="yes" extra_small_height="30"][ueldo_shortcode_button class_name="ueldo_vc_element_91236737148927" button_type="two-line-button" button_text="" second_line_text="'. esc_html( __( 'Fixing HHG devices', 'ueldo' ) ) .'" button_url="url:'. rawurlencode( ueldo_get_website_dir() ) .'fixing-hhg-devices%2F|title:'. rawurlencode( esc_html( __( 'Fixing HHG devices', 'ueldo' ) ) ) .'||" show_button_icon="yes" button_icon_position="above-left" {ueldopredefinedsections:icon|key:flaticon-washing-machine,flaticon-washing|url:https://www.flaticon.com/free-icon/washing-machine_125652|slug:button_icon_} custom_sizes_enabled="custom_settings" two_line_button_use_static_width="yes-full-width" custom_colors_enabled="custom_settings" two_line_button_background_color="#ffffff" two_line_button_background_color_hover="#283563" two_line_button_border_color_hover="#283563" two_line_button_box_shadow_color="rgba(255,255,255,0.01)" two_line_button_box_shadow_vertical_length_hover="10" two_line_button_box_shadow_color_hover="rgba(40,53,99,0.1)" two_line_button_second_line_color_hover="#ffffff" two_line_button_icon_color="#ffc100" two_line_button_icon_color_hover="#ffc100"][/ueldo_shortcode_button][ueldo_shortcode_gap class_name="ueldo_vc_element_81208393465816" large_height="30"][ueldo_shortcode_button class_name="ueldo_vc_element_46782751880531" button_type="two-line-button" button_text="" second_line_text="'. esc_html( __( 'Security lighting', 'ueldo' ) ) .'" button_url="url:'. rawurlencode( ueldo_get_website_dir() ) .'security-lighting%2F|title:'. rawurlencode( esc_html( __( 'Security lighting', 'ueldo' ) ) ) .'||" show_button_icon="yes" button_icon_position="above-left" {ueldopredefinedsections:icon|key:flaticon-plug,flaticon-technology|url:https://www.flaticon.com/free-icon/plug_248050|slug:button_icon_} custom_sizes_enabled="custom_settings" two_line_button_use_static_width="yes-full-width" custom_colors_enabled="custom_settings" two_line_button_background_color="#ffffff" two_line_button_background_color_hover="#283563" two_line_button_border_color_hover="#283563" two_line_button_box_shadow_color="rgba(255,255,255,0.01)" two_line_button_box_shadow_vertical_length_hover="10" two_line_button_box_shadow_color_hover="rgba(40,53,99,0.1)" two_line_button_second_line_color_hover="#ffffff" two_line_button_icon_color="#ffc100" two_line_button_icon_color_hover="#ffc100"][/ueldo_shortcode_button][/vc_column][/vc_row][vc_row][vc_column][ueldo_shortcode_gap class_name="ueldo_vc_element_15072789457682"][/vc_column][/vc_row][/vc_section][vc_section full_width="stretch_row"][vc_row el_class="ueldo-vc-row-overflow-visible"][vc_column][ueldo_shortcode_row_layer class_name="ueldo_vc_element_15072788955768" layer_for_row_or_section="section" color="#283563"][ueldo_shortcode_gap class_name="ueldo_vc_element_15072790598924"][ueldo_shortcode_tabs class_name="ueldo_vc_element_15072790025988" tabs_content_style="style-02" circle_navigation_alignment="left" custom_colors_enabled="custom_settings" tabs_selector_border_color="#35416d" tabs_selector_border_color_hover="#35416d" tabs_selector_border_between_items_color="#313b67" tabs_selector_background_color="#35416d" tabs_selector_active_element_background_color="#35416d" tabs_selector_box_shadow_color="rgba(255,255,255,0.01)" tabs_selector_box_shadow_blur_radius_hover="0" tabs_selector_box_shadow_color_hover="rgba(255,255,255,0.01)" tabs_selector_title_color="rgba(255,255,255,0.5)" tabs_selector_title_color_hover="#ffffff" tabs_selector_icon_color="rgba(255,255,255,0.15)" tabs_selector_icon_color_hover="#ffc000" tabs_content_background_color="#283563" circle_navigation_color="#848ca2" circle_navigation_color_hover="#ffc100"][ueldo_shortcode_tabs_single_tab class_name="ueldo_vc_element_74699902472712" {ueldopredefinedsections:icon|key:flaticon-flash,flaticon-technology|url:https://www.flaticon.com/free-icon/flash_248053|slug:icon_}][ueldo_shortcode_gap class_name="ueldo_vc_element_23659408084193" large_height="6"][ueldo_shortcode_heading class_name="ueldo_vc_element_1475866497111" heading_subtitle_text="'. esc_html( __( 'Knowledge & experience', 'ueldo' ) ) .'"][ueldo_shortcode_heading_text class_name="ueldo_vc_element_36864067729855" heading_text="'. esc_html( __( '15 years of experience', 'ueldo' ) ) .'" custom_font_color_enabled="custom_settings" font_color="#fff2ce" font_color_hover="#fff2ce"][/ueldo_shortcode_heading][ueldo_shortcode_inline_container class_name="ueldo_vc_element_31083181375496"][ueldo_shortcode_inline_container_element class_name="ueldo_vc_element_56983155206659" large_width_type="calc" large_width_calc_base="50%" large_width_calc_px="15" extra_small_custom_sizes="yes"][ueldo_shortcode_image class_name="ueldo_vc_element_70547113602174" additional="gallery_image" gallery_slug="gallery-tab-experience" large_height_px="210" extra_small_custom_sizes="yes" extra_small_height_px="250" margin_bottom="0"][ueldo_shortcode_gap class_name="ueldo_vc_element_15076375484035" large_height="0" extra_small_custom_sizes="yes" extra_small_height="30"][/ueldo_shortcode_inline_container_element][ueldo_shortcode_inline_container_element class_name="ueldo_vc_element_11403428218914" large_width_type="px" large_width_px="30" extra_small_custom_sizes="yes" extra_small_width_percentage="0%"][/ueldo_shortcode_inline_container_element][ueldo_shortcode_inline_container_element class_name="ueldo_vc_element_68243193603935" large_width_type="calc" large_width_calc_base="50%" large_width_calc_px="15" extra_small_custom_sizes="yes"][ueldo_shortcode_image class_name="ueldo_vc_element_57349383850498" additional="gallery_image" gallery_slug="gallery-tab-experience" large_height_px="210" extra_small_custom_sizes="yes" extra_small_height_px="250" margin_bottom="0"][/ueldo_shortcode_inline_container_element][/ueldo_shortcode_inline_container][ueldo_shortcode_gap class_name="ueldo_vc_element_41429314103437" large_height="30"][ueldo_shortcode_heading class_name="ueldo_vc_element_4399173389070" heading_tag="h6" display_heading_subtitle="no"][ueldo_shortcode_heading_text class_name="ueldo_vc_element_42341610699902" heading_text="Maecenas at mauris vitae enim mollis feugiat. Duis convallis, lorem eu malesuada consectetur, enim purus ultricies magna, ac fringilla justo elit in urna. Pellentesque non purus mi. Fusce quis turpis id ex varius pretium vel pellentesque arcu." font_family="Source Sans Pro,600" custom_font_color_enabled="custom_settings" font_color="#ffffff" font_color_hover="#ffffff"][/ueldo_shortcode_heading][vc_column_text]<span style="color: rgba( 255, 255, 255, 0.5 );">Integer massa mauris, rutrum ac risus eu, posuere vestibulum risus. Orci varius natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Donec mollis, nulla in dignissim luctus, arcu ex interdum lorem, sed porta nibh tortor sit amet leo. Donec hendrerit velit vel arcu placerat posuere.</span>[/vc_column_text][ueldo_shortcode_gap class_name="ueldo_vc_element_62923424559292" large_height="10"][/ueldo_shortcode_tabs_single_tab][ueldo_shortcode_tabs_single_tab class_name="ueldo_vc_element_13734805143245" single_tab_title="'. esc_html( __( 'Air conditioning specialists', 'ueldo' ) ) .'" {ueldopredefinedsections:icon|key:flaticon-air-conditioner,flaticon-technology|url:https://www.flaticon.com/free-icon/air-conditioner_259981|slug:icon_}][ueldo_shortcode_gap class_name="ueldo_vc_element_48456835154614" large_height="6"][ueldo_shortcode_heading class_name="ueldo_vc_element_3361246155956" heading_subtitle_text="'. esc_html( __( 'Knowledge & experience', 'ueldo' ) ) .'"][ueldo_shortcode_heading_text class_name="ueldo_vc_element_17260062950914" heading_text="'. esc_html( __( 'Air conditioning specialists', 'ueldo' ) ) .'" custom_font_color_enabled="custom_settings" font_color="#fff2ce" font_color_hover="#fff2ce"][/ueldo_shortcode_heading][ueldo_shortcode_inline_container class_name="ueldo_vc_element_45352307257675"][ueldo_shortcode_inline_container_element class_name="ueldo_vc_element_45102537240918" large_width_type="calc" large_width_calc_base="50%" large_width_calc_px="15" extra_small_custom_sizes="yes"][ueldo_shortcode_image class_name="ueldo_vc_element_57602456396323" additional="gallery_image" gallery_slug="gallery-tab-air-condition" large_height_px="210" extra_small_custom_sizes="yes" extra_small_height_px="250" margin_bottom="0"][ueldo_shortcode_gap class_name="ueldo_vc_element_15076377521076" large_height="0" extra_small_custom_sizes="yes" extra_small_height="30"][/ueldo_shortcode_inline_container_element][ueldo_shortcode_inline_container_element class_name="ueldo_vc_element_52000715402692" large_width_type="px" large_width_px="30" extra_small_custom_sizes="yes" extra_small_width_percentage="0%"][/ueldo_shortcode_inline_container_element][ueldo_shortcode_inline_container_element class_name="ueldo_vc_element_47548984147548" large_width_type="calc" large_width_calc_base="50%" large_width_calc_px="15" extra_small_custom_sizes="yes"][ueldo_shortcode_image class_name="ueldo_vc_element_26266971681283" additional="gallery_image" gallery_slug="gallery-tab-air-condition" large_height_px="210" extra_small_custom_sizes="yes" extra_small_height_px="250" margin_bottom="0"][/ueldo_shortcode_inline_container_element][/ueldo_shortcode_inline_container][ueldo_shortcode_gap class_name="ueldo_vc_element_23018064566768" large_height="30"][ueldo_shortcode_heading class_name="ueldo_vc_element_7133725293662" heading_tag="h6" display_heading_subtitle="no"][ueldo_shortcode_heading_text class_name="ueldo_vc_element_87025715328513" heading_text="Aenean neque ipsum, pulvinar vitae lorem sit amet, hendrerit porttitor mi. Proin vel mattis nunc. Aenean vestibulum ante ut lacinia porttitor. Vestibulum velit est, vestibulum et dapibus ac, lacinia eget lorem. Maecenas iaculis dignissim." font_family="Source Sans Pro,600" custom_font_color_enabled="custom_settings" font_color="#ffffff" font_color_hover="#ffffff"][/ueldo_shortcode_heading][vc_column_text]<span style="color: rgba( 255, 255, 255, 0.5 );">In auctor, massa eu tincidunt bibendum, mauris tortor feugiat elit, ac lobortis nibh felis ut sapien. Ut eros turpis, lacinia sit amet dapibus quis, imperdiet eget nisi. Mauris nec lorem vestibulum, suscipit nisl quis, bibendum dolor. Phasellus in dolor in augue tempus dignissim eu luctus eros. Proin lacinia eros.</span>[/vc_column_text][ueldo_shortcode_gap class_name="ueldo_vc_element_13969723799619" large_height="10"][/ueldo_shortcode_tabs_single_tab][ueldo_shortcode_tabs_single_tab class_name="ueldo_vc_element_72388925631882" single_tab_title="'. esc_html( __( 'Fixing the HHG devices', 'ueldo' ) ) .'" {ueldopredefinedsections:icon|key:flaticon-washing-machine,flaticon-washing|url:https://www.flaticon.com/free-icon/washing-machine_125652|slug:icon_}][ueldo_shortcode_gap class_name="ueldo_vc_element_20400857607618" large_height="6"][ueldo_shortcode_heading class_name="ueldo_vc_element_5656508545034" heading_subtitle_text="'. esc_html( __( 'Knowledge & experience', 'ueldo' ) ) .'"][ueldo_shortcode_heading_text class_name="ueldo_vc_element_89181585043010" heading_text="'. esc_html( __( 'Fixing the HHG devices', 'ueldo' ) ) .'" custom_font_color_enabled="custom_settings" font_color="#fff2ce" font_color_hover="#fff2ce"][/ueldo_shortcode_heading][ueldo_shortcode_inline_container class_name="ueldo_vc_element_40353233184545"][ueldo_shortcode_inline_container_element class_name="ueldo_vc_element_48639750509219" large_width_type="calc" large_width_calc_base="50%" large_width_calc_px="15" extra_small_custom_sizes="yes"][ueldo_shortcode_image class_name="ueldo_vc_element_78406184915525" additional="gallery_image" gallery_slug="gallery-tab-hhg" large_height_px="210" extra_small_custom_sizes="yes" extra_small_height_px="250" margin_bottom="0"][ueldo_shortcode_gap class_name="ueldo_vc_element_15076377797551" large_height="0" extra_small_custom_sizes="yes" extra_small_height="30"][/ueldo_shortcode_inline_container_element][ueldo_shortcode_inline_container_element class_name="ueldo_vc_element_65711229162171" large_width_type="px" large_width_px="30" extra_small_custom_sizes="yes" extra_small_width_percentage="0%"][/ueldo_shortcode_inline_container_element][ueldo_shortcode_inline_container_element class_name="ueldo_vc_element_76011308529057" large_width_type="calc" large_width_calc_base="50%" large_width_calc_px="15" extra_small_custom_sizes="yes"][ueldo_shortcode_image class_name="ueldo_vc_element_68183191044311" additional="gallery_image" gallery_slug="gallery-tab-hhg" large_height_px="210" extra_small_custom_sizes="yes" extra_small_height_px="250" margin_bottom="0"][/ueldo_shortcode_inline_container_element][/ueldo_shortcode_inline_container][ueldo_shortcode_gap class_name="ueldo_vc_element_10488464344871" large_height="30"][ueldo_shortcode_heading class_name="ueldo_vc_element_9710344800729" heading_tag="h6" display_heading_subtitle="no"][ueldo_shortcode_heading_text class_name="ueldo_vc_element_53688017468587" heading_text="Nunc tristique, elit volutpat pellentesque luctus, dui nulla malesuada mauris, eu viverra velit sem vitae neque. Nulla pulvinar ipsum a vehicula ultrices. Ut neque est, dignissim et tortor eu, rutrum feugiat massa. Vestibulum ipsum leo, pharetra." font_family="Source Sans Pro,600" custom_font_color_enabled="custom_settings" font_color="#ffffff" font_color_hover="#ffffff"][/ueldo_shortcode_heading][vc_column_text]<span style="color: rgba( 255, 255, 255, 0.5 );">Vestibulum mauris leo, pretium at tincidunt in, ultricies id nunc. Sed egestas nisl at molestie placerat. Cras aliquet rhoncus ex placerat fringilla. Nam eget urna at justo dapibus placerat vitae a elit. Aenean maximus a risus eu tincidunt. Maecenas faucibus, sem nec pharetra pretium, arcu odio varius tortor.</span>[/vc_column_text][ueldo_shortcode_gap class_name="ueldo_vc_element_16824909905023" large_height="10"][/ueldo_shortcode_tabs_single_tab][/ueldo_shortcode_tabs][ueldo_shortcode_gap class_name="ueldo_vc_element_15072803251699"][/vc_column][/vc_row][/vc_section][vc_section full_width="stretch_row"][vc_row content_placement="middle"][vc_column width="1/2"][ueldo_shortcode_row_layer class_name="ueldo_vc_element_25072788955768" layer_for_row_or_section="section" color="#283563"][ueldo_shortcode_icon class_name="ueldo_vc_element_15072824049647" {ueldopredefinedsections:icon|key:flaticon-right-quote,flaticon-interface|url:https://www.flaticon.com/free-icon/right-quote_157248|slug:icon_} custom_sizes_enabled="custom_settings" icon_size="45" custom_colors_enabled="custom_settings" icon_color="#ffc100"][ueldo_shortcode_heading class_name="ueldo_vc_element_15072824384724" display_heading_subtitle="no" custom_margins_enabled="custom_margins" custom_margin_bottom="0"][ueldo_shortcode_heading_text class_name="ueldo_vc_element_15072824476162" heading_text="'. esc_html( __( 'They said about us...', 'ueldo' ) ) .'" font_family="headings-bold-font" custom_font_size_and_line_height_enabled="custom_settings" custom_font_color_enabled="custom_settings" font_color="#fff2ce" font_color_hover="#fff2ce"][/ueldo_shortcode_heading][/vc_column][vc_column width="1/2"][ueldo_shortcode_gap class_name="ueldo_vc_element_1507637662235" large_height="0" extra_small_custom_sizes="yes" extra_small_height="30"][ueldo_shortcode_inline_container class_name="ueldo_vc_element_15072827974189"][ueldo_shortcode_inline_container_element class_name="ueldo_vc_element_15072828160965" large_width_type="calc" large_width_calc_px="78" extra_small_custom_sizes="yes" extra_small_width_percentage="0%"][/ueldo_shortcode_inline_container_element][ueldo_shortcode_inline_container_element class_name="ueldo_vc_element_15072828006561" large_width_type="px" large_width_px="78"][vc_column_text][ueldo_next_prev_loop_icons loop_id="15072825833904"][/vc_column_text][/ueldo_shortcode_inline_container_element][/ueldo_shortcode_inline_container][/vc_column][/vc_row][vc_row][vc_column][ueldo_shortcode_gap class_name="ueldo_vc_element_15072828375508" large_height="30"][ueldo_shortcode_loop class_name="ueldo_vc_element_15072825833904" columns="1" use_separate_next_prev_arrows="separated" custom_next_prev_arrows_settings="custom_settings" arrow_border_radius="2" custom_colors_enabled="custom_settings" loop_background_color="#283563" next_prev_arrow_color="rgba(255,255,255,0.15)" next_prev_arrow_color_hover="#ffc000" next_prev_arrow_container_background="#35416d" next_prev_arrow_container_background_hover="#35416d" next_prev_arrow_container_border_color="#35416d" next_prev_arrow_container_border_color_hover="#35416d" next_prev_arrow_container_box_shadow_color="rgba(255,255,255,0.01)" next_prev_arrow_container_box_shadow_color_hover="rgba(255,255,255,0.01)"][ueldo_shortcode_loop_cell class_name="ueldo_vc_element_6290247334966" large_padding_left="2"][vc_column_text]<span style="color: rgba( 255, 255, 255, 0.5 );"><em>Proin magna leo, hendrerit a mollis at, consectetur ultricies ipsum. Duis sed tellus at urna tincidunt sollicitudin ac sit amet neque. Aenean egestas pharetra metus sit amet aliquet. Quisque sagittis, mauris eu suscipit egestas, orci tortor tempus mauris, ut aliquet lectus enim id nisl.</em></span><br /><br /> <strong style="color: #ffffff;">John Doe</strong>[/vc_column_text][/ueldo_shortcode_loop_cell][ueldo_shortcode_loop_cell class_name="ueldo_vc_element_4348104374739" large_padding_left="2"][vc_column_text]<span style="color: rgba( 255, 255, 255, 0.5 );"><em>Proin magna leo, hendrerit a mollis at, consectetur ultricies ipsum. Duis sed tellus at urna tincidunt sollicitudin ac sit amet neque. Aenean egestas pharetra metus sit amet aliquet. Quisque sagittis, mauris eu suscipit egestas, orci tortor tempus mauris, ut aliquet lectus enim id nisl.</em></span><br /><br /> <strong style="color: #ffffff;">John Doe</strong>[/vc_column_text][/ueldo_shortcode_loop_cell][/ueldo_shortcode_loop][ueldo_shortcode_gap class_name="ueldo_vc_element_15072823165633"][/vc_column][/vc_row][/vc_section]',

                'contact' => '[vc_section][vc_row][vc_column][ueldo_shortcode_gap class_name="ueldo_vc_element_87368790471876" extra_small_custom_sizes="yes" extra_small_height="20"][ueldo_shortcode_heading class_name="ueldo_vc_element_15072854617051" heading_tag="h1" custom_margins_enabled="custom_margins" heading_subtitle_text="'. esc_html( __( 'Contact details', 'ueldo' ) ) .'" custom_margin_bottom="60"][ueldo_shortcode_heading_text class_name="ueldo_vc_element_1507285473419" heading_text="'. esc_html( __( 'Feel free to contact us today!', 'ueldo' ) ) .'"][/ueldo_shortcode_heading][/vc_column][/vc_row][vc_row][vc_column offset="vc_col-lg-6 vc_col-md-6 vc_col-xs-12"][ueldo_shortcode_inline_container class_name="ueldo_vc_element_15072917062739"][ueldo_shortcode_inline_container_element class_name="ueldo_vc_element_15072917098708" large_width_type="px" large_width_px="90"][ueldo_shortcode_icon class_name="ueldo_vc_element_15072917549571" {ueldopredefinedsections:icon|key:flaticon-support,flaticon-telephone|url:https://www.flaticon.com/free-icon/support_342101|slug:icon_} custom_sizes_enabled="custom_settings" icon_size="60" custom_colors_enabled="custom_settings" icon_color="#ffc100"][/ueldo_shortcode_inline_container_element][ueldo_shortcode_inline_container_element class_name="ueldo_vc_element_15072917179471" large_width_type="calc" large_width_calc_px="90"][ueldo_shortcode_heading class_name="ueldo_vc_element_34495855402613" heading_tag="h4" display_heading_subtitle="no" heading_url="url:tel%3A18001234567|title:'. rawurlencode( esc_html( __( 'Call us', 'ueldo' ) ) ) .'||" custom_margins_enabled="custom_margins" custom_margin_bottom="10"][ueldo_shortcode_heading_text class_name="ueldo_vc_element_75681246293597" heading_text="1-800-123-4567" font_family="headings-slim-font" custom_font_size_and_line_height_enabled="custom_settings" line_height="1" letter_spacing="-2"][/ueldo_shortcode_heading][ueldo_shortcode_heading class_name="ueldo_vc_element_24294736246112" heading_tag="h4" display_heading_subtitle="no" heading_url="url:'. rawurlencode( esc_url( __( 'mailto:contact@example.com', 'ueldo' ) ) ) .'|title:'. rawurlencode( esc_html( __( 'Contact us', 'ueldo' ) ) ) .'||" custom_margins_enabled="custom_margins" custom_margin_bottom="0"][ueldo_shortcode_heading_text class_name="ueldo_vc_element_26313714723800" heading_text="'. esc_html( __( 'contact@example.com', 'ueldo' ) ) .'" font_family="headings-slim-font" custom_font_size_and_line_height_enabled="custom_settings" line_height="1" letter_spacing="-2"][/ueldo_shortcode_heading][/ueldo_shortcode_inline_container_element][/ueldo_shortcode_inline_container][ueldo_shortcode_gap class_name="ueldo_vc_element_15076365541824" large_height="0" small_custom_sizes="yes"][/vc_column][vc_column width="1/2" offset="vc_col-lg-3 vc_col-md-3 vc_col-xs-12"][vc_column_text]<strong>'. esc_html( __( 'Ueldo Electrician, LLC', 'ueldo' ) ) .'</strong><br /><br /> '. esc_html( __( '54321 Example Street,', 'ueldo' ) ) .'<br /> '. esc_html( __( 'New York, NY', 'ueldo' ) ) .'<br /><br /> '. esc_html( __( 'Registration ID: 123456789', 'ueldo' ) ) .'<br /> '. esc_html( __( 'VAT ID: 987654321', 'ueldo' ) ) .'[/vc_column_text][/vc_column][vc_column width="1/2" offset="vc_col-lg-3 vc_col-md-3 vc_col-xs-12"][ueldo_shortcode_gap class_name="ueldo_vc_element_15076365791948" large_height="0" small_custom_sizes="yes" small_height="57"][vc_column_text]Etiam nec nisi eget nisl bibendum pretium euismod vitae ex. Cras non turpis.<br /><br /> Donec pellentesque mauris in eros pellentesque, a imperdiet ligula tristique.[/vc_column_text][/vc_column][/vc_row][vc_row][vc_column][ueldo_shortcode_gap class_name="ueldo_vc_element_15072926503998"][/vc_column][/vc_row][/vc_section][vc_section][vc_row full_width="stretch_row" el_class="ueldo-vc-row-overflow-visible"][vc_column][ueldo_shortcode_row_layer class_name="ueldo_vc_element_3973735633704" custom_layer_sizes="custom_settings" color="#283563" large_height_type="px" large_height_px="90" large_layer_position="bottom_left"][ueldo_shortcode_google_map class_name="ueldo_vc_element_15072926271684" large_height_px="450" margin_bottom="60" {ueldopredefinedsections:googlemap|context:electrician}][/vc_column][/vc_row][/vc_section][vc_section full_width="stretch_row"][vc_row][vc_column][ueldo_shortcode_row_layer class_name="ueldo_vc_element_3386331718712" layer_for_row_or_section="section" color="#283563"][ueldo_shortcode_gap class_name="ueldo_vc_element_873431617089" large_height="15"][/vc_column][/vc_row][vc_row el_class="ueldo-vc-row-overflow-visible"][vc_column width="1/2"][ueldo_shortcode_inline_container class_name="ueldo_vc_element_97922126744526" vertical_alignment="top"][ueldo_shortcode_inline_container_element class_name="ueldo_vc_element_15072960083241" large_width_type="px" large_width_px="67" small_custom_sizes="yes" small_width_percentage="0%"][/ueldo_shortcode_inline_container_element][ueldo_shortcode_inline_container_element class_name="ueldo_vc_element_38566779984333" large_width_type="px" large_width_px="90"][ueldo_shortcode_image class_name="ueldo_vc_element_88005773288908" border_radius="30" large_width_type="px" large_width_px="60" large_height_px="60" margin_bottom="0"][/ueldo_shortcode_inline_container_element][ueldo_shortcode_inline_container_element class_name="ueldo_vc_element_49014757250123" large_width_type="calc" large_width_calc_px="157" small_custom_sizes="yes" small_width_type="calc" small_width_calc_px="90"][vc_column_text]<strong style="color: #fff;">'. esc_html( __( 'John Doe', 'ueldo' ) ) .'</strong><br /> <span style="color: rgba( 255, 255, 255, 0.5 );">'. esc_html( __( 'Electrician Specialist', 'ueldo' ) ) .'</span><br /><br /> <a href="tel:18001234567">1-800-123-4567</a><br /> <a href="'. esc_url( __( 'mailto:john.doe@example.com', 'ueldo' ) ) .'">'. esc_html( __( 'john.doe@example.com', 'ueldo' ) ) .'</a>[/vc_column_text][/ueldo_shortcode_inline_container_element][/ueldo_shortcode_inline_container][/vc_column][vc_column width="5/12"][ueldo_shortcode_gap class_name="ueldo_vc_element_1507638380012" large_height="0" extra_small_custom_sizes="yes" extra_small_height="45"][ueldo_shortcode_inline_container class_name="ueldo_vc_element_67041227862740" vertical_alignment="top"][ueldo_shortcode_inline_container_element class_name="ueldo_vc_element_90000551391896" large_width_type="px" large_width_px="90"][ueldo_shortcode_image class_name="ueldo_vc_element_62918823981801" border_radius="30" large_width_type="px" large_width_px="60" large_height_px="60" margin_bottom="0"][/ueldo_shortcode_inline_container_element][ueldo_shortcode_inline_container_element class_name="ueldo_vc_element_10417278274855" large_width_type="calc" large_width_calc_px="90"][vc_column_text]<strong style="color: #fff;">'. esc_html( __( 'Mike McDonovan', 'ueldo' ) ) .'</strong><br /> <span style="color: rgba( 255, 255, 255, 0.5 );">'. esc_html( __( 'Electrician Specialist', 'ueldo' ) ) .'</span><br /><br /> <a href="tel:18001234567">1-800-123-4567</a><br /> <a href="'. esc_url( __( 'mailto:mike.mcdonovan@example.com', 'ueldo' ) ) .'">'. esc_html( __( 'mike.mcdonovan@example.com', 'ueldo' ) ) .'</a>[/vc_column_text][/ueldo_shortcode_inline_container_element][/ueldo_shortcode_inline_container][/vc_column][vc_column width="1/12"][/vc_column][/vc_row][vc_row el_class="ueldo-vc-row-overflow-visible"][vc_column width="1/6" offset="vc_col-lg-2 vc_col-md-2 vc_hidden-sm vc_hidden-xs"][/vc_column][vc_column offset="vc_col-lg-8 vc_col-md-8 vc_col-xs-12"][ueldo_shortcode_gap class_name="ueldo_vc_element_15072956593364" large_height="75"][ueldo_shortcode_heading class_name="ueldo_vc_element_15072943171312" heading_subtitle_text="'. esc_html( __( 'Email us today', 'ueldo' ) ) .'"][ueldo_shortcode_heading_text class_name="ueldo_vc_element_1507294335687" heading_text="'. esc_html( __( 'Send us an email!', 'ueldo' ) ) .'" custom_font_color_enabled="custom_settings" font_color="#fff2ce" font_color_hover="#fff2ce"][/ueldo_shortcode_heading][ueldo_shortcode_form class_name="ueldo_vc_element_15072944396274" form_shortcode="`{`contact-form-7 {ueldopredefinedsections:contactform7|context:electrician|inside:true}`}`" custom_colors_enabled="custom_settings" form_field_border_color="#404d7b" form_field_border_color_hover="#586598" form_field_border_color_focus="#586598" form_field_background_color="#293664" form_field_text_color="#ffffff" form_field_placeholder_text_color="rgba(255,255,255,0.5)" form_field_inset_box_shadow_color="rgba(0,0,0,0.05)" label_color="rgba(255,255,255,0.5)" link_color="#ffc100" inside_field_icon_color="#dddddd" radio_checkbox_field_active_icon_color="#ffc100" submit_button_text_color_hover="#ffffff"][/vc_column][vc_column width="1/6" offset="vc_col-lg-2 vc_col-md-2 vc_hidden-sm vc_hidden-xs"][/vc_column][/vc_row][vc_row][vc_column][ueldo_shortcode_gap class_name="ueldo_vc_element_48374505915257"][/vc_column][/vc_row][/vc_section]',

                '404-page' => '[vc_section full_width="stretch_row"][vc_row][vc_column][ueldo_shortcode_row_layer class_name="ueldo_vc_element_15072961906165" layer_for_row_or_section="section" color="#283563"][ueldo_shortcode_gap class_name="ueldo_vc_element_15073037709823"][/vc_column][/vc_row][vc_row][vc_column width="1/6" offset="vc_col-lg-2 vc_col-md-2 vc_hidden-sm vc_hidden-xs"][/vc_column][vc_column offset="vc_col-lg-8 vc_col-md-8 vc_col-xs-12"][ueldo_shortcode_heading class_name="ueldo_vc_element_15073037770212" heading_tag="h1" text_align="center" heading_subtitle_text="'. esc_html( __( 'Nothing found here', 'ueldo' ) ) .'"][ueldo_shortcode_heading_text class_name="ueldo_vc_element_15073037894743" heading_text="'. esc_html( __( 'Ooops... 404 page!', 'ueldo' ) ) .'" custom_font_size_and_line_height_enabled="custom_settings" font_size="54" line_height="1.2" custom_font_color_enabled="custom_settings" font_color="#fff2ce" font_color_hover="#fff2ce"][/ueldo_shortcode_heading][vc_column_text]<p style="text-align: center;"><span style="color: rgba( 255, 255, 255, 0.5 );">Proin sodales est eros, porta accumsan felis elementum sed. Maecenas lacus orci, porttitor id tellus nec, auctor tempor massa. Mauris maximus massa vel placerat venenatis. Mauris velit turpis, pulvinar at quam sed, iaculis accumsan erat. Nunc venenatis iaculis ipsum, quis mattis turpis.</span></p>[/vc_column_text][ueldo_shortcode_button class_name="ueldo_vc_element_15073040742365" button_text="'. esc_html( __( 'Go to home page', 'ueldo' ) ) .'" button_url="url:'. rawurlencode( ueldo_get_website_dir() ) .'|title:'. rawurlencode( esc_html( __( 'Home page', 'ueldo' ) ) ) .'||" button_alignment="center" show_button_icon="yes" custom_sizes_enabled="custom_settings" standard_button_padding_top="15" standard_button_padding_bottom="17" standard_button_use_static_height="no"][/ueldo_shortcode_button][ueldo_shortcode_gap class_name="ueldo_vc_element_41224443406596"][/vc_column][vc_column width="1/6" offset="vc_col-lg-2 vc_col-md-2 vc_hidden-sm vc_hidden-xs"][/vc_column][/vc_row][vc_row el_class="ueldo-vc-row-overflow-visible"][vc_column width="1/3"][ueldo_shortcode_button class_name="ueldo_vc_element_38009249308255" button_type="two-line-button" button_text="" second_line_text="'. esc_html( __( 'Air conditioning', 'ueldo' ) ) .'" button_url="url:'. rawurlencode( ueldo_get_website_dir() ) .'air-conditioning%2F|title:'. rawurlencode( esc_html( __( 'Air conditioning', 'ueldo' ) ) ) .'||" show_button_icon="yes" button_icon_position="above-left" {ueldopredefinedsections:icon|key:flaticon-air-conditioner,flaticon-technology|url:https://www.flaticon.com/free-icon/air-conditioner_259981|slug:button_icon_} custom_sizes_enabled="custom_settings" two_line_button_use_static_width="yes-full-width" custom_colors_enabled="custom_settings" two_line_button_background_color="#283563" two_line_button_background_color_hover="#3b4979" two_line_button_border_color="#3b4979" two_line_button_border_color_hover="#3b4979" two_line_button_box_shadow_color="rgba(255,255,255,0.01)" two_line_button_box_shadow_blur_radius_hover="0" two_line_button_box_shadow_color_hover="rgba(255,255,255,0.01)" two_line_button_second_line_color="#ffffff" two_line_button_second_line_color_hover="#ffffff" two_line_button_icon_color="#ffc100" two_line_button_icon_color_hover="#ffc100"][/ueldo_shortcode_button][ueldo_shortcode_gap class_name="ueldo_vc_element_97680958469402" large_height="30"][ueldo_shortcode_button class_name="ueldo_vc_element_48051042430635" button_type="two-line-button" button_text="" second_line_text="'. esc_html( __( 'Outdoor lighting', 'ueldo' ) ) .'" button_url="url:'. rawurlencode( ueldo_get_website_dir() ) .'outdoor-lighting%2F|title:'. rawurlencode( esc_html( __( 'Outdoor lighting', 'ueldo' ) ) ) .'||" show_button_icon="yes" button_icon_position="above-left" {ueldopredefinedsections:icon|key:flaticon-light-bulb,flaticon-technology|url:https://www.flaticon.com/free-icon/light-bulb_248093|slug:button_icon_} custom_sizes_enabled="custom_settings" two_line_button_use_static_width="yes-full-width" custom_colors_enabled="custom_settings" two_line_button_background_color="#283563" two_line_button_background_color_hover="#3b4979" two_line_button_border_color="#3b4979" two_line_button_border_color_hover="#3b4979" two_line_button_box_shadow_color="rgba(255,255,255,0.01)" two_line_button_box_shadow_blur_radius_hover="0" two_line_button_box_shadow_color_hover="rgba(255,255,255,0.01)" two_line_button_second_line_color="#ffffff" two_line_button_second_line_color_hover="#ffffff" two_line_button_icon_color="#ffc100" two_line_button_icon_color_hover="#ffc100"][/ueldo_shortcode_button][/vc_column][vc_column width="1/3"][ueldo_shortcode_gap class_name="ueldo_vc_element_43810203715488" large_height="0" extra_small_custom_sizes="yes" extra_small_height="30"][ueldo_shortcode_button class_name="ueldo_vc_element_19824826244595" button_type="two-line-button" button_text="" second_line_text="'. esc_html( __( 'Solar energy', 'ueldo' ) ) .'" button_url="url:'. rawurlencode( ueldo_get_website_dir() ) .'solar-energy%2F|title:'. rawurlencode( esc_html( __( 'Solar energy', 'ueldo' ) ) ) .'||" show_button_icon="yes" button_icon_position="above-left" {ueldopredefinedsections:icon|key:flaticon-solar-energy,flaticon-technology|url:https://www.flaticon.com/free-icon/solar-energy_283012|slug:button_icon_} custom_sizes_enabled="custom_settings" two_line_button_use_static_width="yes-full-width" custom_colors_enabled="custom_settings" two_line_button_background_color="#283563" two_line_button_background_color_hover="#3b4979" two_line_button_border_color="#3b4979" two_line_button_border_color_hover="#3b4979" two_line_button_box_shadow_color="rgba(255,255,255,0.01)" two_line_button_box_shadow_blur_radius_hover="0" two_line_button_box_shadow_color_hover="rgba(255,255,255,0.01)" two_line_button_second_line_color="#ffffff" two_line_button_second_line_color_hover="#ffffff" two_line_button_icon_color="#ffc100" two_line_button_icon_color_hover="#ffc100"][/ueldo_shortcode_button][ueldo_shortcode_gap class_name="ueldo_vc_element_29274679313281" large_height="30"][ueldo_shortcode_button class_name="ueldo_vc_element_17286745983877" button_type="two-line-button" button_text="" second_line_text="'. esc_html( __( 'Lightning protection', 'ueldo' ) ) .'" button_url="url:'. rawurlencode( ueldo_get_website_dir() ) .'lightning-protection%2F|title:'. rawurlencode( esc_html( __( 'Lightning protection', 'ueldo' ) ) ) .'||" show_button_icon="yes" button_icon_position="above-left" {ueldopredefinedsections:icon|key:flaticon-flash,flaticon-technology|url:https://www.flaticon.com/free-icon/flash_248053|slug:button_icon_} custom_sizes_enabled="custom_settings" two_line_button_use_static_width="yes-full-width" custom_colors_enabled="custom_settings" two_line_button_background_color="#283563" two_line_button_background_color_hover="#3b4979" two_line_button_border_color="#3b4979" two_line_button_border_color_hover="#3b4979" two_line_button_box_shadow_color="rgba(255,255,255,0.01)" two_line_button_box_shadow_blur_radius_hover="0" two_line_button_box_shadow_color_hover="rgba(255,255,255,0.01)" two_line_button_second_line_color="#ffffff" two_line_button_second_line_color_hover="#ffffff" two_line_button_icon_color="#ffc100" two_line_button_icon_color_hover="#ffc100"][/ueldo_shortcode_button][/vc_column][vc_column width="1/3"][ueldo_shortcode_gap class_name="ueldo_vc_element_29452023652238" large_height="0" extra_small_custom_sizes="yes" extra_small_height="30"][ueldo_shortcode_button class_name="ueldo_vc_element_91236737148927" button_type="two-line-button" button_text="" second_line_text="'. esc_html( __( 'Fixing HHG devices', 'ueldo' ) ) .'" button_url="url:'. rawurlencode( ueldo_get_website_dir() ) .'fixing-hhg-devices%2F|title:'. rawurlencode( esc_html( __( 'Fixing HHG devices', 'ueldo' ) ) ) .'||" show_button_icon="yes" button_icon_position="above-left" {ueldopredefinedsections:icon|key:flaticon-washing-machine,flaticon-washing|url:https://www.flaticon.com/free-icon/washing-machine_125652|slug:button_icon_} custom_sizes_enabled="custom_settings" two_line_button_use_static_width="yes-full-width" custom_colors_enabled="custom_settings" two_line_button_background_color="#283563" two_line_button_background_color_hover="#3b4979" two_line_button_border_color="#3b4979" two_line_button_border_color_hover="#3b4979" two_line_button_box_shadow_color="rgba(255,255,255,0.01)" two_line_button_box_shadow_blur_radius_hover="0" two_line_button_box_shadow_color_hover="rgba(255,255,255,0.01)" two_line_button_second_line_color="#ffffff" two_line_button_second_line_color_hover="#ffffff" two_line_button_icon_color="#ffc100" two_line_button_icon_color_hover="#ffc100"][/ueldo_shortcode_button][ueldo_shortcode_gap class_name="ueldo_vc_element_81208393465816" large_height="30"][ueldo_shortcode_button class_name="ueldo_vc_element_46782751880531" button_type="two-line-button" button_text="" second_line_text="'. esc_html( __( 'Security lighting', 'ueldo' ) ) .'" button_url="url:'. rawurlencode( ueldo_get_website_dir() ) .'security-lighting%2F|title:'. rawurlencode( esc_html( __( 'Security lighting', 'ueldo' ) ) ) .'||" show_button_icon="yes" button_icon_position="above-left" {ueldopredefinedsections:icon|key:flaticon-plug,flaticon-technology|url:https://www.flaticon.com/free-icon/plug_248050|slug:button_icon_} custom_sizes_enabled="custom_settings" two_line_button_use_static_width="yes-full-width" custom_colors_enabled="custom_settings" two_line_button_background_color="#283563" two_line_button_background_color_hover="#3b4979" two_line_button_border_color="#3b4979" two_line_button_border_color_hover="#3b4979" two_line_button_box_shadow_color="rgba(255,255,255,0.01)" two_line_button_box_shadow_blur_radius_hover="0" two_line_button_box_shadow_color_hover="rgba(255,255,255,0.01)" two_line_button_second_line_color="#ffffff" two_line_button_second_line_color_hover="#ffffff" two_line_button_icon_color="#ffc100" two_line_button_icon_color_hover="#ffc100"][/ueldo_shortcode_button][/vc_column][/vc_row][vc_row][vc_column][ueldo_shortcode_gap class_name="ueldo_vc_element_78959993357113"][/vc_column][/vc_row][/vc_section]',

                'air-conditioning' => '[vc_section][vc_row][vc_column][ueldo_shortcode_gap class_name="ueldo_vc_element_86187681645013" extra_small_custom_sizes="yes" extra_small_height="20"][ueldo_shortcode_heading class_name="ueldo_vc_element_53482165991275" heading_tag="h1" heading_subtitle_text="'. esc_html( __( 'Services', 'ueldo' ) ) .'"][ueldo_shortcode_heading_text class_name="ueldo_vc_element_62987743341566" heading_text="'. esc_html( __( 'Air conditioning installation & service', 'ueldo' ) ) .'"][/ueldo_shortcode_heading][ueldo_shortcode_heading class_name="ueldo_vc_element_91646477563822" heading_tag="h6" display_heading_subtitle="no" custom_margins_enabled="custom_margins" custom_margin_bottom="60"][ueldo_shortcode_heading_text class_name="ueldo_vc_element_16405659674492" heading_text="Morbi non tempus orci. Integer sit amet rhoncus massa. Aliquam sed mauris et erat hendrerit egestas. Proin gravida felis at interdum facilisis. Etiam tempor dui nec lacus ornare feugiat."][/ueldo_shortcode_heading][/vc_column][/vc_row][vc_row][vc_column width="1/2"][vc_column_text]Duis fringilla efficitur tortor, convallis fermentum sapien consequat at. Maecenas vel enim quis leo tincidunt convallis id eget arcu. Quisque felis augue, pretium non arcu a, consectetur scelerisque augue. Duis tincidunt ullamcorper risus.<br /><br /> Et volutpat elit placerat ut. Phasellus malesuada metus interdum eros efficitur, vel fermentum lacus gravida. Nulla auctor risus varius ante gravida laoreet. Phasellus malesuada metus interdum eros efficitur, vel fermentum lacus gravida. Nulla auctor risus varius ante gravida laoreet.[/vc_column_text][/vc_column][vc_column width="1/2"][ueldo_shortcode_gap class_name="ueldo_vc_element_15076379370986" large_height="0" extra_small_custom_sizes="yes" extra_small_height="30"][vc_column_text]Proin tempor magna velit, vel placerat elit egestas sit amet. Etiam viverra, dui ut tristique iaculis, nunc mauris blandit magna, eu fringilla felis nulla sit amet neque. Nulla tempus enim vitae ante semper varius. Nunc eu lacus scelerisque, aliquet magna non, ultricies ligula. Maecenas eu suscipit ante.<br /><br /> Curabitur sagittis non augue id mattis. Pellentesque eu neque felis. Duis suscipit nibh et risus malesuada tempor. Fusce fermentum, eros at sagittis laoreet, velit dolor tristique diam, a laoreet lectus nunc sit amet diam.[/vc_column_text][/vc_column][/vc_row][/vc_section][vc_section][vc_row full_width="stretch_row_content_no_spaces" el_class="ueldo-vc-row-overflow-visible"][vc_column][ueldo_shortcode_gap class_name="ueldo_vc_element_15076289024656"][ueldo_shortcode_tabs class_name="ueldo_vc_element_15076288362014" tabs_content_style="style-03" content_position="right"][ueldo_shortcode_tabs_single_tab class_name="ueldo_vc_element_15076288572947"][ueldo_shortcode_heading class_name="ueldo_vc_element_15076286691384" heading_subtitle_text="'. esc_html( __( 'Documents & forms', 'ueldo' ) ) .'"][ueldo_shortcode_heading_text class_name="ueldo_vc_element_15076286809682" heading_text="'. esc_html( __( 'Download brochures & documents', 'ueldo' ) ) .'"][/ueldo_shortcode_heading][ueldo_shortcode_button class_name="ueldo_vc_element_36473857041484" button_type="two-line-button" button_text="'. esc_html( __( 'File size: 34kb', 'ueldo' ) ) .'" second_line_text="'. esc_html( __( 'Details info.pdf', 'ueldo' ) ) .'" show_button_icon="yes" button_icon_position="before" button_icon_fontawesome="fa fa-file-pdf-o" custom_sizes_enabled="custom_settings" two_line_button_use_static_width="yes-full-width"][/ueldo_shortcode_button][ueldo_shortcode_gap class_name="ueldo_vc_element_47045131001071" large_height="10"][ueldo_shortcode_button class_name="ueldo_vc_element_64557587615519" button_type="two-line-button" button_text="'. esc_html( __( 'File size: 17kb', 'ueldo' ) ) .'" second_line_text="'. esc_html( __( 'Brief example.pdf', 'ueldo' ) ) .'" show_button_icon="yes" button_icon_position="before" button_icon_fontawesome="fa fa-file-pdf-o" custom_sizes_enabled="custom_settings" two_line_button_use_static_width="yes-full-width"][/ueldo_shortcode_button][ueldo_shortcode_gap class_name="ueldo_vc_element_83089627712762" large_height="10"][ueldo_shortcode_button class_name="ueldo_vc_element_21645318850293" button_type="two-line-button" button_text="'. esc_html( __( 'File size: 54kb', 'ueldo' ) ) .'" second_line_text="'. esc_html( __( 'Calculation.xls', 'ueldo' ) ) .'" show_button_icon="yes" button_icon_position="before" button_icon_fontawesome="fa fa-file-excel-o" custom_sizes_enabled="custom_settings" two_line_button_use_static_width="yes-full-width"][/ueldo_shortcode_button][/ueldo_shortcode_tabs_single_tab][/ueldo_shortcode_tabs][/vc_column][/vc_row][/vc_section]',

                'fixing-hhg-devices' => '[vc_section][vc_row][vc_column][ueldo_shortcode_gap class_name="ueldo_vc_element_86187681645013" extra_small_custom_sizes="yes" extra_small_height="20"][ueldo_shortcode_heading class_name="ueldo_vc_element_53482165991275" heading_tag="h1" heading_subtitle_text="'. esc_html( __( 'Services', 'ueldo' ) ) .'"][ueldo_shortcode_heading_text class_name="ueldo_vc_element_62987743341566" heading_text="'. esc_html( __( 'Fixing HHG devices', 'ueldo' ) ) .'"][/ueldo_shortcode_heading][ueldo_shortcode_heading class_name="ueldo_vc_element_91646477563822" heading_tag="h6" display_heading_subtitle="no" custom_margins_enabled="custom_margins" custom_margin_bottom="60"][ueldo_shortcode_heading_text class_name="ueldo_vc_element_16405659674492" heading_text="Morbi non tempus orci. Integer sit amet rhoncus massa. Aliquam sed mauris et erat hendrerit egestas. Proin gravida felis at interdum facilisis. Etiam tempor dui nec lacus ornare feugiat."][/ueldo_shortcode_heading][/vc_column][/vc_row][vc_row][vc_column width="1/2"][vc_column_text]Duis fringilla efficitur tortor, convallis fermentum sapien consequat at. Maecenas vel enim quis leo tincidunt convallis id eget arcu. Quisque felis augue, pretium non arcu a, consectetur scelerisque augue. Duis tincidunt ullamcorper risus.<br /><br /> Et volutpat elit placerat ut. Phasellus malesuada metus interdum eros efficitur, vel fermentum lacus gravida. Nulla auctor risus varius ante gravida laoreet. Phasellus malesuada metus interdum eros efficitur, vel fermentum lacus gravida. Nulla auctor risus varius ante gravida laoreet.[/vc_column_text][/vc_column][vc_column width="1/2"][ueldo_shortcode_gap class_name="ueldo_vc_element_15076379370986" large_height="0" extra_small_custom_sizes="yes" extra_small_height="30"][vc_column_text]Proin tempor magna velit, vel placerat elit egestas sit amet. Etiam viverra, dui ut tristique iaculis, nunc mauris blandit magna, eu fringilla felis nulla sit amet neque. Nulla tempus enim vitae ante semper varius. Nunc eu lacus scelerisque, aliquet magna non, ultricies ligula. Maecenas eu suscipit ante.<br /><br /> Curabitur sagittis non augue id mattis. Pellentesque eu neque felis. Duis suscipit nibh et risus malesuada tempor. Fusce fermentum, eros at sagittis laoreet, velit dolor tristique diam, a laoreet lectus nunc sit amet diam.[/vc_column_text][/vc_column][/vc_row][/vc_section][vc_section][vc_row full_width="stretch_row_content_no_spaces" el_class="ueldo-vc-row-overflow-visible"][vc_column][ueldo_shortcode_gap class_name="ueldo_vc_element_15076289024656"][ueldo_shortcode_tabs class_name="ueldo_vc_element_15076288362014" tabs_content_style="style-03" content_position="right"][ueldo_shortcode_tabs_single_tab class_name="ueldo_vc_element_15076288572947"][ueldo_shortcode_heading class_name="ueldo_vc_element_15076286691384" heading_subtitle_text="'. esc_html( __( 'Documents & forms', 'ueldo' ) ) .'"][ueldo_shortcode_heading_text class_name="ueldo_vc_element_15076286809682" heading_text="'. esc_html( __( 'Download brochures & documents', 'ueldo' ) ) .'"][/ueldo_shortcode_heading][ueldo_shortcode_button class_name="ueldo_vc_element_36473857041484" button_type="two-line-button" button_text="'. esc_html( __( 'File size: 34kb', 'ueldo' ) ) .'" second_line_text="'. esc_html( __( 'Details info.pdf', 'ueldo' ) ) .'" show_button_icon="yes" button_icon_position="before" button_icon_fontawesome="fa fa-file-pdf-o" custom_sizes_enabled="custom_settings" two_line_button_use_static_width="yes-full-width"][/ueldo_shortcode_button][ueldo_shortcode_gap class_name="ueldo_vc_element_47045131001071" large_height="10"][ueldo_shortcode_button class_name="ueldo_vc_element_64557587615519" button_type="two-line-button" button_text="'. esc_html( __( 'File size: 17kb', 'ueldo' ) ) .'" second_line_text="'. esc_html( __( 'Brief example.pdf', 'ueldo' ) ) .'" show_button_icon="yes" button_icon_position="before" button_icon_fontawesome="fa fa-file-pdf-o" custom_sizes_enabled="custom_settings" two_line_button_use_static_width="yes-full-width"][/ueldo_shortcode_button][ueldo_shortcode_gap class_name="ueldo_vc_element_83089627712762" large_height="10"][ueldo_shortcode_button class_name="ueldo_vc_element_21645318850293" button_type="two-line-button" button_text="'. esc_html( __( 'File size: 54kb', 'ueldo' ) ) .'" second_line_text="'. esc_html( __( 'Calculation.xls', 'ueldo' ) ) .'" show_button_icon="yes" button_icon_position="before" button_icon_fontawesome="fa fa-file-excel-o" custom_sizes_enabled="custom_settings" two_line_button_use_static_width="yes-full-width"][/ueldo_shortcode_button][/ueldo_shortcode_tabs_single_tab][/ueldo_shortcode_tabs][/vc_column][/vc_row][/vc_section]',

                'lightning-protection' => '[vc_section][vc_row][vc_column][ueldo_shortcode_gap class_name="ueldo_vc_element_86187681645013" extra_small_custom_sizes="yes" extra_small_height="20"][ueldo_shortcode_heading class_name="ueldo_vc_element_53482165991275" heading_tag="h1" heading_subtitle_text="'. esc_html( __( 'Services', 'ueldo' ) ) .'"][ueldo_shortcode_heading_text class_name="ueldo_vc_element_62987743341566" heading_text="'. esc_html( __( 'Lightning protection', 'ueldo' ) ) .'"][/ueldo_shortcode_heading][ueldo_shortcode_heading class_name="ueldo_vc_element_91646477563822" heading_tag="h6" display_heading_subtitle="no" custom_margins_enabled="custom_margins" custom_margin_bottom="60"][ueldo_shortcode_heading_text class_name="ueldo_vc_element_16405659674492" heading_text="Morbi non tempus orci. Integer sit amet rhoncus massa. Aliquam sed mauris et erat hendrerit egestas. Proin gravida felis at interdum facilisis. Etiam tempor dui nec lacus ornare feugiat."][/ueldo_shortcode_heading][/vc_column][/vc_row][vc_row][vc_column width="1/2"][vc_column_text]Duis fringilla efficitur tortor, convallis fermentum sapien consequat at. Maecenas vel enim quis leo tincidunt convallis id eget arcu. Quisque felis augue, pretium non arcu a, consectetur scelerisque augue. Duis tincidunt ullamcorper risus.<br /><br /> Et volutpat elit placerat ut. Phasellus malesuada metus interdum eros efficitur, vel fermentum lacus gravida. Nulla auctor risus varius ante gravida laoreet. Phasellus malesuada metus interdum eros efficitur, vel fermentum lacus gravida. Nulla auctor risus varius ante gravida laoreet.[/vc_column_text][/vc_column][vc_column width="1/2"][ueldo_shortcode_gap class_name="ueldo_vc_element_15076379370986" large_height="0" extra_small_custom_sizes="yes" extra_small_height="30"][vc_column_text]Proin tempor magna velit, vel placerat elit egestas sit amet. Etiam viverra, dui ut tristique iaculis, nunc mauris blandit magna, eu fringilla felis nulla sit amet neque. Nulla tempus enim vitae ante semper varius. Nunc eu lacus scelerisque, aliquet magna non, ultricies ligula. Maecenas eu suscipit ante.<br /><br /> Curabitur sagittis non augue id mattis. Pellentesque eu neque felis. Duis suscipit nibh et risus malesuada tempor. Fusce fermentum, eros at sagittis laoreet, velit dolor tristique diam, a laoreet lectus nunc sit amet diam.[/vc_column_text][/vc_column][/vc_row][/vc_section][vc_section][vc_row full_width="stretch_row_content_no_spaces" el_class="ueldo-vc-row-overflow-visible"][vc_column][ueldo_shortcode_gap class_name="ueldo_vc_element_15076289024656"][ueldo_shortcode_tabs class_name="ueldo_vc_element_15076288362014" tabs_content_style="style-03" content_position="right"][ueldo_shortcode_tabs_single_tab class_name="ueldo_vc_element_15076288572947"][ueldo_shortcode_heading class_name="ueldo_vc_element_15076286691384" heading_subtitle_text="'. esc_html( __( 'Documents & forms', 'ueldo' ) ) .'"][ueldo_shortcode_heading_text class_name="ueldo_vc_element_15076286809682" heading_text="'. esc_html( __( 'Download brochures & documents', 'ueldo' ) ) .'"][/ueldo_shortcode_heading][ueldo_shortcode_button class_name="ueldo_vc_element_36473857041484" button_type="two-line-button" button_text="'. esc_html( __( 'File size: 34kb', 'ueldo' ) ) .'" second_line_text="'. esc_html( __( 'Details info.pdf', 'ueldo' ) ) .'" show_button_icon="yes" button_icon_position="before" button_icon_fontawesome="fa fa-file-pdf-o" custom_sizes_enabled="custom_settings" two_line_button_use_static_width="yes-full-width"][/ueldo_shortcode_button][ueldo_shortcode_gap class_name="ueldo_vc_element_47045131001071" large_height="10"][ueldo_shortcode_button class_name="ueldo_vc_element_64557587615519" button_type="two-line-button" button_text="'. esc_html( __( 'File size: 17kb', 'ueldo' ) ) .'" second_line_text="'. esc_html( __( 'Brief example.pdf', 'ueldo' ) ) .'" show_button_icon="yes" button_icon_position="before" button_icon_fontawesome="fa fa-file-pdf-o" custom_sizes_enabled="custom_settings" two_line_button_use_static_width="yes-full-width"][/ueldo_shortcode_button][ueldo_shortcode_gap class_name="ueldo_vc_element_83089627712762" large_height="10"][ueldo_shortcode_button class_name="ueldo_vc_element_21645318850293" button_type="two-line-button" button_text="'. esc_html( __( 'File size: 54kb', 'ueldo' ) ) .'" second_line_text="'. esc_html( __( 'Calculation.xls', 'ueldo' ) ) .'" show_button_icon="yes" button_icon_position="before" button_icon_fontawesome="fa fa-file-excel-o" custom_sizes_enabled="custom_settings" two_line_button_use_static_width="yes-full-width"][/ueldo_shortcode_button][/ueldo_shortcode_tabs_single_tab][/ueldo_shortcode_tabs][/vc_column][/vc_row][/vc_section]',

                'outdoor-lighting' => '[vc_section][vc_row][vc_column][ueldo_shortcode_gap class_name="ueldo_vc_element_86187681645013" extra_small_custom_sizes="yes" extra_small_height="20"][ueldo_shortcode_heading class_name="ueldo_vc_element_53482165991275" heading_tag="h1" heading_subtitle_text="'. esc_html( __( 'Services', 'ueldo' ) ) .'"][ueldo_shortcode_heading_text class_name="ueldo_vc_element_62987743341566" heading_text="'. esc_html( __( 'Outdoor lighting', 'ueldo' ) ) .'"][/ueldo_shortcode_heading][ueldo_shortcode_heading class_name="ueldo_vc_element_91646477563822" heading_tag="h6" display_heading_subtitle="no" custom_margins_enabled="custom_margins" custom_margin_bottom="60"][ueldo_shortcode_heading_text class_name="ueldo_vc_element_16405659674492" heading_text="Morbi non tempus orci. Integer sit amet rhoncus massa. Aliquam sed mauris et erat hendrerit egestas. Proin gravida felis at interdum facilisis. Etiam tempor dui nec lacus ornare feugiat."][/ueldo_shortcode_heading][/vc_column][/vc_row][vc_row][vc_column width="1/2"][vc_column_text]Duis fringilla efficitur tortor, convallis fermentum sapien consequat at. Maecenas vel enim quis leo tincidunt convallis id eget arcu. Quisque felis augue, pretium non arcu a, consectetur scelerisque augue. Duis tincidunt ullamcorper risus.<br /><br /> Et volutpat elit placerat ut. Phasellus malesuada metus interdum eros efficitur, vel fermentum lacus gravida. Nulla auctor risus varius ante gravida laoreet. Phasellus malesuada metus interdum eros efficitur, vel fermentum lacus gravida. Nulla auctor risus varius ante gravida laoreet.[/vc_column_text][/vc_column][vc_column width="1/2"][ueldo_shortcode_gap class_name="ueldo_vc_element_15076379370986" large_height="0" extra_small_custom_sizes="yes" extra_small_height="30"][vc_column_text]Proin tempor magna velit, vel placerat elit egestas sit amet. Etiam viverra, dui ut tristique iaculis, nunc mauris blandit magna, eu fringilla felis nulla sit amet neque. Nulla tempus enim vitae ante semper varius. Nunc eu lacus scelerisque, aliquet magna non, ultricies ligula. Maecenas eu suscipit ante.<br /><br /> Curabitur sagittis non augue id mattis. Pellentesque eu neque felis. Duis suscipit nibh et risus malesuada tempor. Fusce fermentum, eros at sagittis laoreet, velit dolor tristique diam, a laoreet lectus nunc sit amet diam.[/vc_column_text][/vc_column][/vc_row][/vc_section][vc_section][vc_row full_width="stretch_row_content_no_spaces" el_class="ueldo-vc-row-overflow-visible"][vc_column][ueldo_shortcode_gap class_name="ueldo_vc_element_15076289024656"][ueldo_shortcode_tabs class_name="ueldo_vc_element_15076288362014" tabs_content_style="style-03" content_position="right"][ueldo_shortcode_tabs_single_tab class_name="ueldo_vc_element_15076288572947"][ueldo_shortcode_heading class_name="ueldo_vc_element_15076286691384" heading_subtitle_text="'. esc_html( __( 'Documents & forms', 'ueldo' ) ) .'"][ueldo_shortcode_heading_text class_name="ueldo_vc_element_15076286809682" heading_text="'. esc_html( __( 'Download brochures & documents', 'ueldo' ) ) .'"][/ueldo_shortcode_heading][ueldo_shortcode_button class_name="ueldo_vc_element_36473857041484" button_type="two-line-button" button_text="'. esc_html( __( 'File size: 34kb', 'ueldo' ) ) .'" second_line_text="'. esc_html( __( 'Details info.pdf', 'ueldo' ) ) .'" show_button_icon="yes" button_icon_position="before" button_icon_fontawesome="fa fa-file-pdf-o" custom_sizes_enabled="custom_settings" two_line_button_use_static_width="yes-full-width"][/ueldo_shortcode_button][ueldo_shortcode_gap class_name="ueldo_vc_element_47045131001071" large_height="10"][ueldo_shortcode_button class_name="ueldo_vc_element_64557587615519" button_type="two-line-button" button_text="'. esc_html( __( 'File size: 17kb', 'ueldo' ) ) .'" second_line_text="'. esc_html( __( 'Brief example.pdf', 'ueldo' ) ) .'" show_button_icon="yes" button_icon_position="before" button_icon_fontawesome="fa fa-file-pdf-o" custom_sizes_enabled="custom_settings" two_line_button_use_static_width="yes-full-width"][/ueldo_shortcode_button][ueldo_shortcode_gap class_name="ueldo_vc_element_83089627712762" large_height="10"][ueldo_shortcode_button class_name="ueldo_vc_element_21645318850293" button_type="two-line-button" button_text="'. esc_html( __( 'File size: 54kb', 'ueldo' ) ) .'" second_line_text="'. esc_html( __( 'Calculation.xls', 'ueldo' ) ) .'" show_button_icon="yes" button_icon_position="before" button_icon_fontawesome="fa fa-file-excel-o" custom_sizes_enabled="custom_settings" two_line_button_use_static_width="yes-full-width"][/ueldo_shortcode_button][/ueldo_shortcode_tabs_single_tab][/ueldo_shortcode_tabs][/vc_column][/vc_row][/vc_section]',

                'security-lighting' => '[vc_section][vc_row][vc_column][ueldo_shortcode_gap class_name="ueldo_vc_element_86187681645013" extra_small_custom_sizes="yes" extra_small_height="20"][ueldo_shortcode_heading class_name="ueldo_vc_element_53482165991275" heading_tag="h1" heading_subtitle_text="'. esc_html( __( 'Services', 'ueldo' ) ) .'"][ueldo_shortcode_heading_text class_name="ueldo_vc_element_62987743341566" heading_text="'. esc_html( __( 'Security lighting', 'ueldo' ) ) .'"][/ueldo_shortcode_heading][ueldo_shortcode_heading class_name="ueldo_vc_element_91646477563822" heading_tag="h6" display_heading_subtitle="no" custom_margins_enabled="custom_margins" custom_margin_bottom="60"][ueldo_shortcode_heading_text class_name="ueldo_vc_element_16405659674492" heading_text="Morbi non tempus orci. Integer sit amet rhoncus massa. Aliquam sed mauris et erat hendrerit egestas. Proin gravida felis at interdum facilisis. Etiam tempor dui nec lacus ornare feugiat."][/ueldo_shortcode_heading][/vc_column][/vc_row][vc_row][vc_column width="1/2"][vc_column_text]Duis fringilla efficitur tortor, convallis fermentum sapien consequat at. Maecenas vel enim quis leo tincidunt convallis id eget arcu. Quisque felis augue, pretium non arcu a, consectetur scelerisque augue. Duis tincidunt ullamcorper risus.<br /><br /> Et volutpat elit placerat ut. Phasellus malesuada metus interdum eros efficitur, vel fermentum lacus gravida. Nulla auctor risus varius ante gravida laoreet. Phasellus malesuada metus interdum eros efficitur, vel fermentum lacus gravida. Nulla auctor risus varius ante gravida laoreet.[/vc_column_text][/vc_column][vc_column width="1/2"][ueldo_shortcode_gap class_name="ueldo_vc_element_15076379370986" large_height="0" extra_small_custom_sizes="yes" extra_small_height="30"][vc_column_text]Proin tempor magna velit, vel placerat elit egestas sit amet. Etiam viverra, dui ut tristique iaculis, nunc mauris blandit magna, eu fringilla felis nulla sit amet neque. Nulla tempus enim vitae ante semper varius. Nunc eu lacus scelerisque, aliquet magna non, ultricies ligula. Maecenas eu suscipit ante.<br /><br /> Curabitur sagittis non augue id mattis. Pellentesque eu neque felis. Duis suscipit nibh et risus malesuada tempor. Fusce fermentum, eros at sagittis laoreet, velit dolor tristique diam, a laoreet lectus nunc sit amet diam.[/vc_column_text][/vc_column][/vc_row][/vc_section][vc_section][vc_row full_width="stretch_row_content_no_spaces" el_class="ueldo-vc-row-overflow-visible"][vc_column][ueldo_shortcode_gap class_name="ueldo_vc_element_15076289024656"][ueldo_shortcode_tabs class_name="ueldo_vc_element_15076288362014" tabs_content_style="style-03" content_position="right"][ueldo_shortcode_tabs_single_tab class_name="ueldo_vc_element_15076288572947"][ueldo_shortcode_heading class_name="ueldo_vc_element_15076286691384" heading_subtitle_text="'. esc_html( __( 'Documents & forms', 'ueldo' ) ) .'"][ueldo_shortcode_heading_text class_name="ueldo_vc_element_15076286809682" heading_text="'. esc_html( __( 'Download brochures & documents', 'ueldo' ) ) .'"][/ueldo_shortcode_heading][ueldo_shortcode_button class_name="ueldo_vc_element_36473857041484" button_type="two-line-button" button_text="'. esc_html( __( 'File size: 34kb', 'ueldo' ) ) .'" second_line_text="'. esc_html( __( 'Details info.pdf', 'ueldo' ) ) .'" show_button_icon="yes" button_icon_position="before" button_icon_fontawesome="fa fa-file-pdf-o" custom_sizes_enabled="custom_settings" two_line_button_use_static_width="yes-full-width"][/ueldo_shortcode_button][ueldo_shortcode_gap class_name="ueldo_vc_element_47045131001071" large_height="10"][ueldo_shortcode_button class_name="ueldo_vc_element_64557587615519" button_type="two-line-button" button_text="'. esc_html( __( 'File size: 17kb', 'ueldo' ) ) .'" second_line_text="'. esc_html( __( 'Brief example.pdf', 'ueldo' ) ) .'" show_button_icon="yes" button_icon_position="before" button_icon_fontawesome="fa fa-file-pdf-o" custom_sizes_enabled="custom_settings" two_line_button_use_static_width="yes-full-width"][/ueldo_shortcode_button][ueldo_shortcode_gap class_name="ueldo_vc_element_83089627712762" large_height="10"][ueldo_shortcode_button class_name="ueldo_vc_element_21645318850293" button_type="two-line-button" button_text="'. esc_html( __( 'File size: 54kb', 'ueldo' ) ) .'" second_line_text="'. esc_html( __( 'Calculation.xls', 'ueldo' ) ) .'" show_button_icon="yes" button_icon_position="before" button_icon_fontawesome="fa fa-file-excel-o" custom_sizes_enabled="custom_settings" two_line_button_use_static_width="yes-full-width"][/ueldo_shortcode_button][/ueldo_shortcode_tabs_single_tab][/ueldo_shortcode_tabs][/vc_column][/vc_row][/vc_section]',

                'solar-energy' => '[vc_section][vc_row][vc_column][ueldo_shortcode_gap class_name="ueldo_vc_element_86187681645013" extra_small_custom_sizes="yes" extra_small_height="20"][ueldo_shortcode_heading class_name="ueldo_vc_element_53482165991275" heading_tag="h1" heading_subtitle_text="'. esc_html( __( 'Services', 'ueldo' ) ) .'"][ueldo_shortcode_heading_text class_name="ueldo_vc_element_62987743341566" heading_text="'. esc_html( __( 'Solar energy', 'ueldo' ) ) .'"][/ueldo_shortcode_heading][ueldo_shortcode_heading class_name="ueldo_vc_element_91646477563822" heading_tag="h6" display_heading_subtitle="no" custom_margins_enabled="custom_margins" custom_margin_bottom="60"][ueldo_shortcode_heading_text class_name="ueldo_vc_element_16405659674492" heading_text="Morbi non tempus orci. Integer sit amet rhoncus massa. Aliquam sed mauris et erat hendrerit egestas. Proin gravida felis at interdum facilisis. Etiam tempor dui nec lacus ornare feugiat."][/ueldo_shortcode_heading][/vc_column][/vc_row][vc_row][vc_column width="1/2"][vc_column_text]Duis fringilla efficitur tortor, convallis fermentum sapien consequat at. Maecenas vel enim quis leo tincidunt convallis id eget arcu. Quisque felis augue, pretium non arcu a, consectetur scelerisque augue. Duis tincidunt ullamcorper risus.<br /><br /> Et volutpat elit placerat ut. Phasellus malesuada metus interdum eros efficitur, vel fermentum lacus gravida. Nulla auctor risus varius ante gravida laoreet. Phasellus malesuada metus interdum eros efficitur, vel fermentum lacus gravida. Nulla auctor risus varius ante gravida laoreet.[/vc_column_text][/vc_column][vc_column width="1/2"][ueldo_shortcode_gap class_name="ueldo_vc_element_15076379370986" large_height="0" extra_small_custom_sizes="yes" extra_small_height="30"][vc_column_text]Proin tempor magna velit, vel placerat elit egestas sit amet. Etiam viverra, dui ut tristique iaculis, nunc mauris blandit magna, eu fringilla felis nulla sit amet neque. Nulla tempus enim vitae ante semper varius. Nunc eu lacus scelerisque, aliquet magna non, ultricies ligula. Maecenas eu suscipit ante.<br /><br /> Curabitur sagittis non augue id mattis. Pellentesque eu neque felis. Duis suscipit nibh et risus malesuada tempor. Fusce fermentum, eros at sagittis laoreet, velit dolor tristique diam, a laoreet lectus nunc sit amet diam.[/vc_column_text][/vc_column][/vc_row][/vc_section][vc_section][vc_row full_width="stretch_row_content_no_spaces" el_class="ueldo-vc-row-overflow-visible"][vc_column][ueldo_shortcode_gap class_name="ueldo_vc_element_15076289024656"][ueldo_shortcode_tabs class_name="ueldo_vc_element_15076288362014" tabs_content_style="style-03" content_position="right"][ueldo_shortcode_tabs_single_tab class_name="ueldo_vc_element_15076288572947"][ueldo_shortcode_heading class_name="ueldo_vc_element_15076286691384" heading_subtitle_text="'. esc_html( __( 'Documents & forms', 'ueldo' ) ) .'"][ueldo_shortcode_heading_text class_name="ueldo_vc_element_15076286809682" heading_text="'. esc_html( __( 'Download brochures & documents', 'ueldo' ) ) .'"][/ueldo_shortcode_heading][ueldo_shortcode_button class_name="ueldo_vc_element_36473857041484" button_type="two-line-button" button_text="'. esc_html( __( 'File size: 34kb', 'ueldo' ) ) .'" second_line_text="'. esc_html( __( 'Details info.pdf', 'ueldo' ) ) .'" show_button_icon="yes" button_icon_position="before" button_icon_fontawesome="fa fa-file-pdf-o" custom_sizes_enabled="custom_settings" two_line_button_use_static_width="yes-full-width"][/ueldo_shortcode_button][ueldo_shortcode_gap class_name="ueldo_vc_element_47045131001071" large_height="10"][ueldo_shortcode_button class_name="ueldo_vc_element_64557587615519" button_type="two-line-button" button_text="'. esc_html( __( 'File size: 17kb', 'ueldo' ) ) .'" second_line_text="'. esc_html( __( 'Brief example.pdf', 'ueldo' ) ) .'" show_button_icon="yes" button_icon_position="before" button_icon_fontawesome="fa fa-file-pdf-o" custom_sizes_enabled="custom_settings" two_line_button_use_static_width="yes-full-width"][/ueldo_shortcode_button][ueldo_shortcode_gap class_name="ueldo_vc_element_83089627712762" large_height="10"][ueldo_shortcode_button class_name="ueldo_vc_element_21645318850293" button_type="two-line-button" button_text="'. esc_html( __( 'File size: 54kb', 'ueldo' ) ) .'" second_line_text="'. esc_html( __( 'Calculation.xls', 'ueldo' ) ) .'" show_button_icon="yes" button_icon_position="before" button_icon_fontawesome="fa fa-file-excel-o" custom_sizes_enabled="custom_settings" two_line_button_use_static_width="yes-full-width"][/ueldo_shortcode_button][/ueldo_shortcode_tabs_single_tab][/ueldo_shortcode_tabs][/vc_column][/vc_row][/vc_section]',

                'line-under-blog-pages' => '[vc_section full_width="stretch_row_content"][vc_row full_width="stretch_row_content_no_spaces"][vc_column][ueldo_shortcode_delimiter class_name="ueldo_vc_element_15073048527177" large_height="1" margin_bottom="0"][/vc_column][/vc_row][/vc_section]',

                'flying-header' => '[vc_section full_width="stretch_row" el_class="ueldo-vc-section-overflow-visible"][vc_row full_width="stretch_row_content_no_spaces" el_class="ueldo-vc-row-overflow-visible"][vc_column][ueldo_shortcode_row_layer class_name="ueldo_vc_element_915069400687666" layer_for_row_or_section="section" color="#ffffff"][ueldo_shortcode_gap class_name="ueldo_vc_element_15076363071374" large_height="0" small_custom_sizes="yes" small_height="16"][ueldo_shortcode_inline_container class_name="ueldo_vc_element_915071035946428"][ueldo_shortcode_inline_container_element class_name="ueldo_vc_element_915071085717584" large_width_type="px" large_width_px="30"][/ueldo_shortcode_inline_container_element][ueldo_shortcode_inline_container_element class_name="ueldo_vc_element_91507103597685" large_width_type="px" large_width_px="182"][ueldo_shortcode_website_logo class_name="ueldo_vc_element_915071084928465" large_width_type="px" large_width_px="182" {ueldopredefinedsections:image|context:electrician-logo-dark}][/ueldo_shortcode_inline_container_element][ueldo_shortcode_inline_container_element class_name="ueldo_vc_element_915071036042777" large_width_type="calc" large_width_calc_px="242" large_content_alignment="right"][ueldo_shortcode_header_menu class_name="ueldo_vc_element_915071036115266" menu_style="04" menu_width_style="inline" custom_sizes_enabled="custom_settings" menu_element_margin_top_bottom_for_02_04="8" custom_colors_enabled="custom_settings" menu_element_background_color="#ffffff" menu_element_color="#3a4879" active_menu_element_color="#ffc000" active_menu_element_bottom_line_color="#f4f5f7" submenu_element_bottom_border_color="rgba(0,0,0,0.05)"][ueldo_shortcode_button class_name="ueldo_vc_element_523111875300835" button_visible_on_devices="large,medium,small" button_text="'. esc_html( __( 'Call now!', 'ueldo' ) ) .'" button_url="url:tel%3A18001234567|title:'. rawurlencode( esc_html( __( 'Call us', 'ueldo' ) ) ) .'||" button_alignment="inline" show_button_icon="yes" button_icon_position="before" {ueldopredefinedsections:icon|key:flaticon-light-bulb,flaticon-technology|url:https://www.flaticon.com/free-icon/light-bulb_248093|slug:button_icon_} custom_sizes_enabled="custom_settings" additional_margin_before="15" standard_button_padding_top="10" standard_button_padding_right="20" standard_button_padding_bottom="13" standard_button_padding_left="20" standard_button_use_static_height="no" standard_button_margin_between_icon_and_text="10" standard_button_border_width="0" custom_colors_enabled="custom_settings" standard_button_background_color="#293664" standard_button_border_color="#293664" standard_button_box_shadow_vertical_length="0" standard_button_box_shadow_blur_radius="0" standard_button_box_shadow_color="rgba(255,255,255,0.01)" standard_button_icon_color="rgba(255,255,255,0.5)" standard_button_icon_color_hover="rgba(255,255,255,0.5)"][/ueldo_shortcode_button][ueldo_shortcode_button class_name="ueldo_vc_element_658258273627080" button_visible_on_devices="extra-small" button_text="" button_url="url:tel%3A18001234567|title:'. rawurlencode( esc_html( __( 'Call us', 'ueldo' ) ) ) .'||" button_alignment="inline" show_button_icon="yes" button_icon_position="before" button_icon_fontawesome="fa fa-volume-control-phone" custom_sizes_enabled="custom_settings" additional_margin_before="15" standard_button_padding_top="10" standard_button_padding_right="20" standard_button_padding_bottom="13" standard_button_padding_left="20" standard_button_use_static_height="no" standard_button_margin_between_icon_and_text="10" standard_button_border_width="0" custom_colors_enabled="custom_settings" standard_button_background_color="#293664" standard_button_border_color="#293664" standard_button_box_shadow_vertical_length="0" standard_button_box_shadow_blur_radius="0" standard_button_box_shadow_color="rgba(255,255,255,0.01)" standard_button_icon_color="rgba(255,255,255,0.5)" standard_button_icon_color_hover="rgba(255,255,255,0.5)"][/ueldo_shortcode_button][ueldo_shortcode_button class_name="ueldo_vc_element_895321808666596" button_visible_on_devices="small,extra-small" button_text="" action_after_click="show_hide_side_menu" button_alignment="inline" show_button_icon="yes" button_icon_position="before" button_icon_fontawesome="fa fa-bars" custom_sizes_enabled="custom_settings" additional_margin_before="15" standard_button_padding_top="10" standard_button_padding_right="20" standard_button_padding_bottom="13" standard_button_padding_left="20" standard_button_use_static_height="no" standard_button_margin_between_icon_and_text="10" standard_button_border_width="0" custom_colors_enabled="custom_settings" standard_button_background_color="#293664" standard_button_border_color="#293664" standard_button_box_shadow_vertical_length="0" standard_button_box_shadow_blur_radius="0" standard_button_box_shadow_color="rgba(255,255,255,0.01)" standard_button_icon_color="rgba(255,255,255,0.5)" standard_button_icon_color_hover="rgba(255,255,255,0.5)"][/ueldo_shortcode_button][/ueldo_shortcode_inline_container_element][ueldo_shortcode_inline_container_element class_name="ueldo_vc_element_915071085801334" large_width_type="px" large_width_px="30"][/ueldo_shortcode_inline_container_element][/ueldo_shortcode_inline_container][ueldo_shortcode_gap class_name="ueldo_vc_element_15076362982578" large_height="0" small_custom_sizes="yes" small_height="16"][ueldo_shortcode_delimiter class_name="ueldo_vc_element_915071030850423" large_height="1" margin_bottom="0" custom_colors_enabled="custom_settings" background_color="rgba(40,53,99,0.05)"][/vc_column][/vc_row][/vc_section]',

                'footer' => '[vc_section][vc_row][vc_column][ueldo_shortcode_gap class_name="ueldo_vc_element_21628236370608"][/vc_column][/vc_row][vc_row el_class="ueldo-vc-row-overflow-visible"][vc_column width="1/3"][vc_column_text]<strong>'. esc_html( __( 'Ueldo Electrician, LLC', 'ueldo' ) ) .'</strong><br /><br /> '. esc_html( __( '54321 Example Street,', 'ueldo' ) ) .'<br /> '. esc_html( __( 'Los Angeles, CA', 'ueldo' ) ) .'<br /><br /> '. esc_html( __( 'E-mail:', 'ueldo' ) ) .' <a href="'. esc_url( __( 'mailto:contact@example.com', 'ueldo' ) ) .'">'. esc_html( __( 'contact@example.com', 'ueldo' ) ) .'</a><br /> '. esc_html( __( 'Services:', 'ueldo' ) ) .' <a href="'. esc_url( __( 'mailto:services@example.com', 'ueldo' ) ) .'">'. esc_html( __( 'services@example.com', 'ueldo' ) ) .'</a>[/vc_column_text][/vc_column][vc_column width="1/4"][ueldo_shortcode_gap class_name="ueldo_vc_element_51326126234272" large_height="0" extra_small_custom_sizes="yes"][vc_column_text]<strong>'. esc_html( __( 'Services', 'ueldo' ) ) .'</strong><br /><br /> <a href="/air-conditioning/">'. esc_html( __( 'Air conditioning', 'ueldo' ) ) .'</a><br /> <a href="/fixing-hhg-devices/">'. esc_html( __( 'Fixing HHG devices', 'ueldo' ) ) .'</a><br /> <a href="/lightning-protection/">'. esc_html( __( 'Lightning protection', 'ueldo' ) ) .'</a><br /> <a href="/security-lighting/">'. esc_html( __( 'Security lighting', 'ueldo' ) ) .'</a><br /> <a href="/solar-energy/">'. esc_html( __( 'Solar energy', 'ueldo' ) ) .'</a>[/vc_column_text][/vc_column][vc_column width="5/12" offset="vc_hidden-xs"][ueldo_shortcode_heading class_name="ueldo_vc_element_78047583616094" text_align="right" heading_url="url:tel%3A18001234567|title:'. rawurlencode( esc_html( __( 'Call us', 'ueldo' ) ) ) .'||" custom_margins_enabled="custom_margins" heading_subtitle_text="'. esc_html( __( 'Call us, we\'ll help ASAP!', 'ueldo' ) ) .'" custom_margin_bottom="45"][ueldo_shortcode_heading_text class_name="ueldo_vc_element_53062275668360" heading_text="1-800-123-4567" font_family="headings-bold-font" custom_font_size_and_line_height_enabled="custom_settings" font_size="42" line_height="1" letter_spacing="-2"][/ueldo_shortcode_heading][ueldo_shortcode_inline_container class_name="ueldo_vc_element_74968043957756"][ueldo_shortcode_inline_container_element class_name="ueldo_vc_element_48574911305854" large_width_percentage="100%" large_content_alignment="right"][ueldo_shortcode_button class_name="ueldo_vc_element_6499299008383" button_text="" button_text_alignment="center" button_url="url:%23|title:'. rawurlencode( esc_html( __( 'Facebook', 'ueldo' ) ) ) .'||" button_alignment="inline" show_button_icon="yes" button_icon_fontawesome="fa fa-facebook" custom_sizes_enabled="custom_settings" additional_margin_after="15" standard_button_padding_top="10" standard_button_padding_right="0" standard_button_padding_bottom="10" standard_button_padding_left="0" standard_button_use_static_height="no" standard_button_use_static_width="yes-pixels" standard_button_static_width="50" custom_colors_enabled="custom_settings" standard_button_background_color="#ffc100" standard_button_background_color_hover="#3a4879" standard_button_border_color="#ffc100" standard_button_border_color_hover="#3a4879" standard_button_box_shadow_vertical_length="0" standard_button_box_shadow_blur_radius="0" standard_button_box_shadow_color="rgba(255,255,255,0.01)" standard_button_box_shadow_color_hover="rgba(58,72,121,0.15)" standard_button_text_color="#3a4879" standard_button_icon_color="#3a4879" standard_button_icon_color_hover="#ffffff"][/ueldo_shortcode_button][ueldo_shortcode_button class_name="ueldo_vc_element_5535262883918" button_text="" button_text_alignment="center" button_url="url:%23|title:'. rawurlencode( esc_html( __( 'Twitter', 'ueldo' ) ) ) .'||" button_alignment="inline" show_button_icon="yes" button_icon_fontawesome="fa fa-twitter" custom_sizes_enabled="custom_settings" additional_margin_after="15" standard_button_padding_top="10" standard_button_padding_right="0" standard_button_padding_bottom="10" standard_button_padding_left="0" standard_button_use_static_height="no" standard_button_use_static_width="yes-pixels" standard_button_static_width="50" custom_colors_enabled="custom_settings" standard_button_background_color="#ffc100" standard_button_background_color_hover="#3a4879" standard_button_border_color="#ffc100" standard_button_border_color_hover="#3a4879" standard_button_box_shadow_vertical_length="0" standard_button_box_shadow_blur_radius="0" standard_button_box_shadow_color="rgba(255,255,255,0.01)" standard_button_box_shadow_color_hover="rgba(58,72,121,0.15)" standard_button_text_color="#3a4879" standard_button_icon_color="#3a4879" standard_button_icon_color_hover="#ffffff"][/ueldo_shortcode_button][ueldo_shortcode_button class_name="ueldo_vc_element_3317550961763" button_text="" button_text_alignment="center" button_url="url:%23|title:'. rawurlencode( esc_html( __( 'Yelp', 'ueldo' ) ) ) .'||" button_alignment="inline" show_button_icon="yes" button_icon_fontawesome="fa fa-yelp" custom_sizes_enabled="custom_settings" standard_button_padding_top="10" standard_button_padding_right="0" standard_button_padding_bottom="10" standard_button_padding_left="0" standard_button_use_static_height="no" standard_button_use_static_width="yes-pixels" standard_button_static_width="50" custom_colors_enabled="custom_settings" standard_button_background_color="#ffc100" standard_button_background_color_hover="#3a4879" standard_button_border_color="#ffc100" standard_button_border_color_hover="#3a4879" standard_button_box_shadow_vertical_length="0" standard_button_box_shadow_blur_radius="0" standard_button_box_shadow_color="rgba(255,255,255,0.01)" standard_button_box_shadow_color_hover="rgba(58,72,121,0.15)" standard_button_text_color="#3a4879" standard_button_icon_color="#3a4879" standard_button_icon_color_hover="#ffffff"][/ueldo_shortcode_button][/ueldo_shortcode_inline_container_element][/ueldo_shortcode_inline_container][/vc_column][/vc_row][vc_row el_class="ueldo-vc-row-overflow-visible"][vc_column offset="vc_hidden-lg vc_hidden-md vc_hidden-sm"][ueldo_shortcode_gap class_name="ueldo_vc_element_24144564415689" large_height="0" extra_small_custom_sizes="yes"][ueldo_shortcode_heading class_name="ueldo_vc_element_37804025399542" heading_url="url:tel%3A18001234567|title:'. rawurlencode( esc_html( __( 'Call us', 'ueldo' ) ) ) .'||" custom_margins_enabled="custom_margins" heading_subtitle_text="'. esc_html( __( 'Call us, we\'ll help ASAP!', 'ueldo' ) ) .'" custom_margin_bottom="45"][ueldo_shortcode_heading_text class_name="ueldo_vc_element_73999229727862" heading_text="1-800-123-4567" font_family="headings-bold-font" custom_font_size_and_line_height_enabled="custom_settings" font_size="42" line_height="1" letter_spacing="-2"][/ueldo_shortcode_heading][ueldo_shortcode_inline_container class_name="ueldo_vc_element_50588454324380"][ueldo_shortcode_inline_container_element class_name="ueldo_vc_element_72071828023549" large_width_percentage="100%"][ueldo_shortcode_button class_name="ueldo_vc_element_4772274495656" button_text="" button_text_alignment="center" button_url="url:%23|title:'. rawurlencode( esc_html( __( 'Facebook', 'ueldo' ) ) ) .'||" button_alignment="inline" show_button_icon="yes" button_icon_fontawesome="fa fa-facebook" custom_sizes_enabled="custom_settings" additional_margin_after="15" standard_button_padding_top="10" standard_button_padding_right="0" standard_button_padding_bottom="10" standard_button_padding_left="0" standard_button_use_static_height="no" standard_button_use_static_width="yes-pixels" standard_button_static_width="50" custom_colors_enabled="custom_settings" standard_button_background_color="#ffc100" standard_button_background_color_hover="#3a4879" standard_button_border_color="#ffc100" standard_button_border_color_hover="#3a4879" standard_button_box_shadow_vertical_length="0" standard_button_box_shadow_blur_radius="0" standard_button_box_shadow_color="rgba(255,255,255,0.01)" standard_button_box_shadow_color_hover="rgba(58,72,121,0.15)" standard_button_text_color="#3a4879" standard_button_icon_color="#3a4879" standard_button_icon_color_hover="#ffffff"][/ueldo_shortcode_button][ueldo_shortcode_button class_name="ueldo_vc_element_8114478636738" button_text="" button_text_alignment="center" button_url="url:%23|title:'. rawurlencode( esc_html( __( 'Twitter', 'ueldo' ) ) ) .'||" button_alignment="inline" show_button_icon="yes" button_icon_fontawesome="fa fa-twitter" custom_sizes_enabled="custom_settings" additional_margin_after="15" standard_button_padding_top="10" standard_button_padding_right="0" standard_button_padding_bottom="10" standard_button_padding_left="0" standard_button_use_static_height="no" standard_button_use_static_width="yes-pixels" standard_button_static_width="50" custom_colors_enabled="custom_settings" standard_button_background_color="#ffc100" standard_button_background_color_hover="#3a4879" standard_button_border_color="#ffc100" standard_button_border_color_hover="#3a4879" standard_button_box_shadow_vertical_length="0" standard_button_box_shadow_blur_radius="0" standard_button_box_shadow_color="rgba(255,255,255,0.01)" standard_button_box_shadow_color_hover="rgba(58,72,121,0.15)" standard_button_text_color="#3a4879" standard_button_icon_color="#3a4879" standard_button_icon_color_hover="#ffffff"][/ueldo_shortcode_button][ueldo_shortcode_button class_name="ueldo_vc_element_7439785292543" button_text="" button_text_alignment="center" button_url="url:%23|title:'. rawurlencode( esc_html( __( 'Yelp', 'ueldo' ) ) ) .'||" button_alignment="inline" show_button_icon="yes" button_icon_fontawesome="fa fa-yelp" custom_sizes_enabled="custom_settings" standard_button_padding_top="10" standard_button_padding_right="0" standard_button_padding_bottom="10" standard_button_padding_left="0" standard_button_use_static_height="no" standard_button_use_static_width="yes-pixels" standard_button_static_width="50" custom_colors_enabled="custom_settings" standard_button_background_color="#ffc100" standard_button_background_color_hover="#3a4879" standard_button_border_color="#ffc100" standard_button_border_color_hover="#3a4879" standard_button_box_shadow_vertical_length="0" standard_button_box_shadow_blur_radius="0" standard_button_box_shadow_color="rgba(255,255,255,0.01)" standard_button_box_shadow_color_hover="rgba(58,72,121,0.15)" standard_button_text_color="#3a4879" standard_button_icon_color="#3a4879" standard_button_icon_color_hover="#ffffff"][/ueldo_shortcode_button][/ueldo_shortcode_inline_container_element][/ueldo_shortcode_inline_container][/vc_column][/vc_row][vc_row][vc_column][ueldo_shortcode_gap class_name="ueldo_vc_element_15071202686098"][/vc_column][/vc_row][/vc_section]',

                'header' => '[vc_section full_width="stretch_row" el_class="ueldo-vc-section-overflow-visible"][vc_row full_width="stretch_row_content_no_spaces" el_class="ueldo-vc-row-overflow-visible"][vc_column][ueldo_shortcode_gap class_name="ueldo_vc_element_25389092939341" large_height="0" small_custom_sizes="yes" small_height="16"][ueldo_shortcode_row_layer class_name="ueldo_vc_element_15069400687666" layer_for_row_or_section="section" color="#283563"][ueldo_shortcode_inline_container class_name="ueldo_vc_element_15071035946428"][ueldo_shortcode_inline_container_element class_name="ueldo_vc_element_15071085717584" large_width_type="px" large_width_px="30"][/ueldo_shortcode_inline_container_element][ueldo_shortcode_inline_container_element class_name="ueldo_vc_element_1507103597685" large_width_type="px" large_width_px="182"][ueldo_shortcode_website_logo class_name="ueldo_vc_element_15071084928465" large_width_type="px" large_width_px="182" {ueldopredefinedsections:image|context:electrician-logo-white}][/ueldo_shortcode_inline_container_element][ueldo_shortcode_inline_container_element class_name="ueldo_vc_element_15071036042777" large_width_type="calc" large_width_calc_px="242" large_content_alignment="right"][ueldo_shortcode_header_menu class_name="ueldo_vc_element_15071036115266" menu_style="02" menu_width_style="inline" custom_sizes_enabled="custom_settings" menu_element_margin_top_bottom_for_02_04="8"][ueldo_shortcode_button class_name="ueldo_vc_element_55940922776363" button_visible_on_devices="large,medium,small" button_text="'. esc_html( __( 'Call now!', 'ueldo' ) ) .'" button_url="url:tel%3A18001234567|title:'. rawurlencode( esc_html( __( 'Call us', 'ueldo' ) ) ) .'||" button_alignment="inline" show_button_icon="yes" button_icon_position="before" {ueldopredefinedsections:icon|key:flaticon-light-bulb,flaticon-technology|url:https://www.flaticon.com/free-icon/light-bulb_248093|slug:button_icon_} custom_sizes_enabled="custom_settings" additional_margin_before="15" standard_button_padding_top="10" standard_button_padding_right="20" standard_button_padding_bottom="13" standard_button_padding_left="20" standard_button_use_static_height="no" standard_button_margin_between_icon_and_text="10" standard_button_border_width="0" custom_colors_enabled="custom_settings" standard_button_background_color="#ffc100" standard_button_background_color_hover="#3a4879" standard_button_border_color="#ffc100" standard_button_border_color_hover="#3a4879" standard_button_box_shadow_vertical_length="0" standard_button_box_shadow_blur_radius="0" standard_button_box_shadow_color="rgba(255,255,255,0.01)" standard_button_box_shadow_vertical_length_hover="0" standard_button_box_shadow_blur_radius_hover="0" standard_button_box_shadow_color_hover="rgba(255,255,255,0.01)" standard_button_text_color="#3a4879" standard_button_icon_color="#3a4879" standard_button_icon_color_hover="rgba(255,255,255,0.3)"][/ueldo_shortcode_button][ueldo_shortcode_button class_name="ueldo_vc_element_49155740366546" button_visible_on_devices="extra-small" button_text="" button_url="url:tel%3A18001234567|title:'. rawurlencode( esc_html( __( 'Call us', 'ueldo' ) ) ) .'||" button_alignment="inline" show_button_icon="yes" button_icon_position="before" button_icon_fontawesome="fa fa-volume-control-phone" custom_sizes_enabled="custom_settings" additional_margin_before="15" standard_button_padding_top="10" standard_button_padding_right="20" standard_button_padding_bottom="13" standard_button_padding_left="20" standard_button_use_static_height="no" standard_button_margin_between_icon_and_text="10" standard_button_border_width="0" custom_colors_enabled="custom_settings" standard_button_background_color="#ffc100" standard_button_background_color_hover="#3a4879" standard_button_border_color="#ffc100" standard_button_border_color_hover="#3a4879" standard_button_box_shadow_vertical_length="0" standard_button_box_shadow_blur_radius="0" standard_button_box_shadow_color="rgba(255,255,255,0.01)" standard_button_box_shadow_vertical_length_hover="0" standard_button_box_shadow_blur_radius_hover="0" standard_button_box_shadow_color_hover="rgba(255,255,255,0.01)" standard_button_text_color="#3a4879" standard_button_icon_color="#3a4879" standard_button_icon_color_hover="rgba(255,255,255,0.3)"][/ueldo_shortcode_button][ueldo_shortcode_button class_name="ueldo_vc_element_49623299093533" button_visible_on_devices="small,extra-small" button_text="" action_after_click="show_hide_side_menu" button_alignment="inline" show_button_icon="yes" button_icon_position="before" button_icon_fontawesome="fa fa-bars" custom_sizes_enabled="custom_settings" additional_margin_before="15" standard_button_padding_top="10" standard_button_padding_right="20" standard_button_padding_bottom="13" standard_button_padding_left="20" standard_button_use_static_height="no" standard_button_margin_between_icon_and_text="10" standard_button_border_width="0" custom_colors_enabled="custom_settings" standard_button_background_color="#ffc100" standard_button_background_color_hover="#3a4879" standard_button_border_color="#ffc100" standard_button_border_color_hover="#3a4879" standard_button_box_shadow_vertical_length="0" standard_button_box_shadow_blur_radius="0" standard_button_box_shadow_color="rgba(255,255,255,0.01)" standard_button_box_shadow_vertical_length_hover="0" standard_button_box_shadow_blur_radius_hover="0" standard_button_box_shadow_color_hover="rgba(255,255,255,0.01)" standard_button_text_color="#3a4879" standard_button_icon_color="#3a4879" standard_button_icon_color_hover="rgba(255,255,255,0.3)"][/ueldo_shortcode_button][/ueldo_shortcode_inline_container_element][ueldo_shortcode_inline_container_element class_name="ueldo_vc_element_15071085801334" large_width_type="px" large_width_px="30"][/ueldo_shortcode_inline_container_element][/ueldo_shortcode_inline_container][ueldo_shortcode_gap class_name="ueldo_vc_element_70913951951322" large_height="0" small_custom_sizes="yes" small_height="16"][ueldo_shortcode_delimiter class_name="ueldo_vc_element_15071030850423" large_height="1" margin_bottom="0" custom_colors_enabled="custom_settings" background_color="rgba(255,255,255,0.08)"][/vc_column][/vc_row][/vc_section]',

                'additional-before-side-menu' => '[vc_section][vc_row el_class="ueldo-vc-row-overflow-visible"][vc_column][ueldo_shortcode_gap class_name="ueldo_vc_element_1507632531466" large_height="20"][ueldo_shortcode_inline_container class_name="ueldo_vc_element_1507633177633"][ueldo_shortcode_inline_container_element class_name="ueldo_vc_element_15076331810288" large_width_percentage="100%" large_content_alignment="center"][ueldo_shortcode_button class_name="ueldo_vc_element_16225133398447" button_text="'. esc_html( __( 'Close', 'ueldo' ) ) .'" button_text_alignment="center" action_after_click="show_hide_side_menu" button_alignment="inline" show_button_icon="yes" button_icon_position="before" button_icon_fontawesome="fa fa-times" custom_sizes_enabled="custom_settings" additional_margin_after="10" standard_button_padding_top="15" standard_button_padding_right="20" standard_button_padding_bottom="17" standard_button_padding_left="20" standard_button_use_static_height="no" custom_colors_enabled="custom_settings" standard_button_background_color="#ffc71b" standard_button_border_color="#ffc71b" standard_button_box_shadow_color_hover="rgba(255,199,27,0.25)" standard_button_text_color="#293664" standard_button_icon_color="#d00707" standard_button_icon_color_hover="rgba(255,255,255,0.5)"][/ueldo_shortcode_button][ueldo_shortcode_button class_name="ueldo_vc_element_41307346415239" button_text="'. esc_html( __( 'Call', 'ueldo' ) ) .'" button_text_alignment="center" button_url="url:tel%3A18001234567|title:'. rawurlencode( esc_html( __( 'Call us', 'ueldo' ) ) ) .'||" button_alignment="inline" show_button_icon="yes" button_icon_position="before" button_icon_fontawesome="fa fa-volume-control-phone" custom_sizes_enabled="custom_settings" standard_button_padding_top="15" standard_button_padding_right="20" standard_button_padding_bottom="17" standard_button_padding_left="20" standard_button_use_static_height="no" custom_colors_enabled="custom_settings" standard_button_background_color="#ffc71b" standard_button_border_color="#ffc71b" standard_button_box_shadow_color_hover="rgba(255,199,27,0.25)" standard_button_text_color="#293664" standard_button_icon_color="#229210" standard_button_icon_color_hover="rgba(255,255,255,0.5)"][/ueldo_shortcode_button][/ueldo_shortcode_inline_container_element][/ueldo_shortcode_inline_container][/vc_column][/vc_row][/vc_section]',

                'additional-after-side-menu' => ''
            );

            # return result
            return( $page_slug == false ? $contents : ( isset( $contents[esc_attr( $page_slug )] ) ? $contents[esc_attr( $page_slug )] : false ) );
        }

       /**
        *
        * end of class methods.
        *
        */
    }

   /**
    *
    * end of file.
    *
    */

?>