<?php

   /**
    *
    * register load demo data page
    *
    */

    add_action( 'admin_menu', 'ueldo_plugin_add_load_demo_data_page' );
    function ueldo_plugin_add_load_demo_data_page() {

        # add theme page for load demo data
        $ueldo_load_demo_data_page = add_submenu_page(
            'ueldo_dashboard',
            esc_html( __( 'Load Demo Data', 'ueldo' ) ),
            esc_html( __( 'Load Demo Data', 'ueldo' ) ),
            'manage_options',
            'ueldo_load_demo_data',
            'ueldo_show_load_demo_data_page'
        );

        # load scripts and styles for load demo data page
        add_action( 'load-'. $ueldo_load_demo_data_page, 'ueldo_load_scripts_for_load_demo_data_page' );
    }

   /**
    *
    * add action - enqueue scripts and styles for load demo data page
    *
    */

    function ueldo_load_scripts_for_load_demo_data_page() {

        # add action for "admin_enqueue_scripts" hook
        add_action( 'admin_enqueue_scripts', 'ueldo_scripts_and_styles_for_load_demo_data_page' );
    }

   /**
    *
    * all scripts and styles needed by load demo data page
    *
    */

    function ueldo_scripts_and_styles_for_load_demo_data_page() {

        # global variables
        global $ueldo_cache_option;

        # enqueue media library
        wp_enqueue_media();

        # enqueue load demo data script
        wp_enqueue_script( 'ueldo-plugin-load-demo-data-javascript-functions', ueldo_plugin_get_url() .'_parts/_load-demo-data/load-demo-data.js', array( 'jquery' ), null, true );

        # localize template directory path for scripts
        wp_localize_script( 'ueldo-plugin-load-demo-data-javascript-functions', 'ueldo_plugin_load_demo_data_javascript_functions_l10n', array(
            'ajax_file_path' => ueldo_plugin_get_url() .'_parts/_load-demo-data/load-demo-data-ajax.php',
            'install_selected_parts' => esc_html( __( 'Install selected parts', 'ueldo' ) ),
            'or_cancel_parts_selection' => esc_html( __( 'or cancel parts selection', 'ueldo' ) ),
            'install_complete_template' => esc_html( __( 'Install complete template', 'ueldo' ) ),
            'or_install_some_parts_only' => esc_html( __( 'or install some parts only', 'ueldo' ) ),
            'please_wait' => esc_html( __( 'Please wait...', 'ueldo' ) ),
            'load_demo_data' => esc_html( __( 'Load demo data', 'ueldo' ) ),
            'activated' => esc_html( __( 'Activated', 'ueldo' ) ),
            'notactivated' => esc_html( __( 'Not activated', 'ueldo' ) ),
            'notinstalled' => esc_html( __( 'Not installed', 'ueldo' ) ),
            'installing_and_activating' => esc_html( __( 'Installing and activating...', 'ueldo' ) ),
            'activating' => esc_html( __( 'Activating...', 'ueldo' ) ),
            'next_step' => esc_html( __( 'Next step', 'ueldo' ) ),
            'custom_icons' => esc_html( __( 'Custom icons:', 'ueldo' ) ),
            'icon' => esc_html( __( 'Icon:', 'ueldo' ) ),
            'replace_with_icon_from_library' => esc_html( __( 'Replace with icon from library:', 'ueldo' ) ),
            'fontawesome' => esc_html( __( 'Font Awesome', 'ueldo' ) ),
            'openiconic' => esc_html( __( 'Open Iconic', 'ueldo' ) ),
            'typicons' => esc_html( __( 'Typicons', 'ueldo' ) ),
            'entypo' => esc_html( __( 'Entypo', 'ueldo' ) ),
            'linecons' => esc_html( __( 'Linecons', 'ueldo' ) ),
            'monosocial' => esc_html( __( 'Mono Social', 'ueldo' ) ),
            'material' => esc_html( __( 'Material', 'ueldo' ) ),
            'use_this_icon_instead' => esc_html( __( 'Use this icon instead:', 'ueldo' ) ),
            'search' => esc_html( __( 'Search...', 'ueldo' ) ),
            'couldnt_find_some_flaticon_icons' => esc_html( __( 'Couldn\'t find some Flaticon icons', 'ueldo' ) ),
            'this_icons_can_not_be_found_in_any_of_libraries_installed_on_this_website' => esc_html( __( 'This icons can not be found in any of libraries installed on this website.', 'ueldo' ) ),
            'why_it_is_not_included' => esc_html( __( 'Why it\'s not included?', 'ueldo' ) ),
            'why_it_is_not_included_answer' => esc_html( __( 'We can not include icons with this theme because of the Flaticon licence which doesn\'t allow redistribution in any ways.', 'ueldo' ) ),
            'how_to_include_it' => esc_html( __( 'How to include it?', 'ueldo' ) ),
            'how_to_include_it_answer' => sprintf( wp_kses( __( 'You can download this icons for free, directly from Flaticon. After download, you can add it to this theme via built-in <a href="%s" target="_blank">Ueldo Icons Uploader</a> tool.', 'ueldo' ), array( 'a' => array( 'href' => array(), 'target' => array() ) ) ), esc_url( get_admin_url() .'admin.php?page=ueldo_icons_uploader' ) ),
            'icons_pack' => esc_html( __( 'Icons pack:', 'ueldo' ) ),
            'more_than_one_possible_icon_found' => sprintf( esc_html( __( 'More than one possible choices found for "%s" icon', 'ueldo' ) ), '{ueldopredefinedsections:iconname}' ),
            'more_than_one_possible_icon_found_description' => sprintf( esc_html( __( 'There\'s more than one icon found with this name, please specify which one you want to use (preview icon used in this section: <a href="%1$s" target="_blank">%2$s</a>).', 'ueldo' ) ), '{ueldopredefinedsections:iconurl}', '{ueldopredefinedsections:iconname}' ),
            'not_found_any_icons' => esc_html( __( 'Not found any icons.', 'ueldo' ) ),
            'run_the_install' => esc_html( __( 'Run the install!', 'ueldo' ) )
        ));

        # enqueue load demo data stylesheet
        wp_enqueue_style( 'ueldo-plugin-load-demo-data-stylesheet', ueldo_plugin_get_url() .'_parts/_load-demo-data/load-demo-data.css', false, null );

        # enqueue animate.css library
        wp_enqueue_style( 'animate-css', get_template_directory_uri() .'/_assets/_libs/animate.css', false, null );

        # do we have custom icons added?
        if( ueldo_plugin_is_any_custom_icon_added() ) {

            # enqueue custom icons stylesheet
            ueldo_plugin_enqueue_custom_icons_stylesheet();

            # get all custom icon fonts
            $icon_fonts = $ueldo_cache_option -> get_option( 'ueldo_custom_icons' );

            # do we have custom icons added?
            if( $icon_fonts != false ) {

                # prepare inline script content
                $script = 'var ueldo_custom_icons = []; ';

                # prepare inline script content for clarification popup
                $script_icon_fonts_names = 'var ueldo_custom_icon_fonts_names = { ';

                # is it first icons font?
                $first_icons_font = true;

                # walk for each icon
                foreach( $icon_fonts as $icon_font ) {

                    # update script content
                    $script .= 'ueldo_custom_icons[\''. esc_attr( $icon_font['unique_key'] ) .'\'] = [ ';

                    # update script content for clarification popup
                    $script_icon_fonts_names .= ( $first_icons_font == false ? ', ' : '' ) .'"'. $icon_font['unique_key'] .'": "'. $icon_font['name'] .'"';

                    # update icons font flag
                    $first_icons_font = false;

                    # first icon flag
                    $is_first_icon = true;

                    # walk for each icons
                    foreach( $icon_font['icons'] as $icon ) {

                        # update script content
                        $script .= ( $is_first_icon == true ? '' : ', ' ) .'[ \''. $icon .'\' ]';

                        # update first icon flag
                        $is_first_icon = false;
                    }

                    # close script content
                    $script .= ' ]; ';
                }

                # close inline script content for clarification popup
                $script_icon_fonts_names .= ' }; ';

                # merge scripts
                $scripts = $script . $script_icon_fonts_names;

                # add inline script
                wp_add_inline_script( 'ueldo-plugin-load-demo-data-javascript-functions', $scripts );

                # remove temporary variables
                unset( $icon_fonts, $script, $script_icon_fonts_names, $first_icons_font, $icon_font, $is_first_icon, $icon, $scripts );
            }
        }

        # include visual composer icons, if is this plugin activated
        if( ueldo_plugins::is_active_plugin( 'visual-composer' ) ) {

            # include visual composer icon fonts
            ueldo_register_vc_iconfonts();
        }

        # create javascript variable with icon font sources
        else {

            # prepare inline script content
            $script = 'var ueldo_vc_iconfonts = { ';

            # is first icon font?
            $is_first_iconfont = true;

            # walk for each icon font
            foreach( ueldo_load_demo_data_get_vc_iconfonts_data() as $iconfont_key => $iconfont_source ) {

                # update script
                $script .= ( $is_first_iconfont == true ? '' : ', ' ) .'"'. esc_attr( $iconfont_key ) .'": "'. esc_url( $iconfont_source ) .'"';

                # update flag
                $is_first_iconfont = false;
            }

            # close inline script content
            $script .= ' }; ';

            # add inline script
            wp_add_inline_script( 'ueldo-plugin-load-demo-data-javascript-functions', $script );

            # remove temporary variables
            unset( $script, $is_first_iconfont, $iconfont_key, $iconfont_source );
        }
    }

   /**
    *
    * get visual composer icon fonts data
    *
    */

    function ueldo_load_demo_data_get_vc_iconfonts_data() {

        # return result
        return( array(
            'vc_openiconic' => esc_url( plugins_url() .'/js_composer/assets/css/lib/vc-open-iconic/vc_openiconic.min.css' ),
            'vc_typicons' => esc_url( plugins_url() .'/js_composer/assets/css/lib/typicons/src/font/typicons.min.css' ),
            'vc_entypo' => esc_url( plugins_url() .'/js_composer/assets/css/lib/vc-entypo/vc_entypo.min.css' ),
            'vc_linecons' => esc_url( plugins_url() .'/js_composer/assets/css/lib/vc-linecons/vc_linecons_icons.min.css' ),
            'vc_monosocialiconsfont' => esc_url( plugins_url() .'/js_composer/assets/css/lib/monosocialiconsfont/monosocialiconsfont.min.css' ),
            'vc_material' => esc_url( plugins_url() .'/js_composer/assets/css/lib/vc-material/vc_material.min.css' )
        ));
    }

   /**
    *
    * get array of all available demo templates
    *
    */

    function ueldo_load_demo_data_get_demo_templates_array() {

        # return result
        return( array(
            'accountant' => esc_html( __( 'Accountant', 'ueldo' ) ),
            'barbershop' => esc_html( __( 'Barbershop', 'ueldo' ) ),
            'cafe' => esc_html( __( 'Caf&eacute;', 'ueldo' ) ),
            'creative-agency' => esc_html( __( 'Creative Agency', 'ueldo' ) ),
            'dentist' => esc_html( __( 'Dentist', 'ueldo' ) ),
            'electrician' => esc_html( __( 'Electrician', 'ueldo' ) ),
            'kayaks' => esc_html( __( 'Kayaks', 'ueldo' ) ),
            'runners-club' => esc_html( __( 'Runners Club', 'ueldo' ) ),
            'stud' => esc_html( __( 'Stud', 'ueldo' ) )
        ));
    }

   /**
    *
    * this function displays load demo data page
    *
    */

    function ueldo_show_load_demo_data_page() {

        ?>
        <div class="wrap">

            <div class="ueldo-load-demo-data-wrapper">

                <?php

                    # walk for each template demo
                    foreach( ueldo_load_demo_data_get_demo_templates_array() as $template_key => $template_title ) {

                        ?>
                        <div class="ueldo-load-demo-data-single-template">

                            <div class="ueldo-load-demo-data-single-template-content">

                                <img src="<?php echo esc_url( ueldo_plugin_get_url() ); ?>/_parts/_load-demo-data/_images/<?php echo esc_attr( $template_key ); ?>.jpg" alt="<?php echo esc_attr( $template_title ); ?>" />
                                <div class="ueldo-load-demo-data-single-template-content-heading">

                                    <h3><?php echo esc_attr( $template_title ); ?></h3>
                                    <div class="ueldo-load-demo-data-single-template-content-heading-button">

                                        <button class="button button-primary" data-template="<?php echo esc_attr( $template_key ); ?>"><?php echo esc_html( __( 'Load demo data', 'ueldo' ) ); ?></button>
                                        <a href="<?php echo esc_url( ueldo_get_external_url( 'ueldo-com' ) ); echo esc_attr( $template_key ); ?>/" class="button button-secondary" target="_blank"><?php echo esc_html( __( 'Preview', 'ueldo' ) ); ?></a>

                                    </div>

                                </div>

                            </div>

                        </div>
                        <?php
                    }

                ?>

            </div>

            <div id="ueldo-load-demo-data-popup">

                <div class="ueldo-load-demo-data-popup-content">

                    <button type="button" class="media-modal-close"><span class="media-modal-icon"></span></button>

                    <div class="ueldo-load-demo-data-popup-content-step" data-step-id="1">

                        <h4><?php echo esc_html( __( 'Step 1.', 'ueldo' ) ); ?></h4>
                        <h3><?php echo esc_html( __( 'Choose which elements you want to install:', 'ueldo' ) ); ?></h3>

                        <div class="ueldo-load-demo-data-popup-content-options">

                            <label><input type="checkbox" checked="checked" value="all" class="ueldo-load-demo-data-popup-content-options-checkbox-all" /> <span><?php echo esc_html( __( 'All', 'ueldo' ) ); ?></span></label>

                        </div>

                        <button class="ueldo-load-demo-data-popup-content-button-primary" data-choice="complete"><?php echo esc_html( __( 'Install complete template', 'ueldo' ) ); ?></button>
                        <span class="ueldo-load-demo-data-popup-content-button-alt-option" data-choice="parts-only"><?php echo esc_html( __( 'or install some parts only', 'ueldo' ) ); ?></span>

                    </div>

                    <div class="ueldo-load-demo-data-popup-content-step" data-step-id="2">

                        <h4><?php echo esc_html( __( 'Step 2.', 'ueldo' ) ); ?></h4>
                        <h3><?php echo esc_html( __( 'Following plugins are required to import this template:', 'ueldo' ) ); ?></h3>

                        <table class="ueldo-load-demo-data-popup-plugins-table"></table>

                        <button class="ueldo-load-demo-data-popup-content-button-primary" data-active="no"><?php echo esc_html( __( 'Next step', 'ueldo' ) ); ?></button>

                    </div>

                    <div class="ueldo-load-demo-data-popup-content-step" data-step-id="3">

                        <h4><?php echo esc_html( __( 'Step 3.', 'ueldo' ) ); ?></h4>
                        <h3><?php echo esc_html( __( 'Select icons to use with this template:', 'ueldo' ) ); ?></h3>

                        <div class="ueldo-load-demo-data-popup-content-step-flaticon-clarifications"></div>

                        <button class="ueldo-load-demo-data-popup-content-button-primary"><?php echo esc_html( __( 'Next step', 'ueldo' ) ); ?></button>

                    </div>

                    <div class="ueldo-load-demo-data-popup-content-step" data-step-id="4">

                        <h3><?php echo esc_html( __( 'Everything is ready to start installation!', 'ueldo' ) ); ?></h3>
                        <p><?php echo esc_html( __( 'Please note: your website elements like posts, pages, contents, settings might be removed or replaced. If you don\'t want to loose it, please create a backup copy before demo data installation.', 'ueldo' ) ); ?></p>

                        <button class="ueldo-load-demo-data-popup-content-button-primary ueldo-load-demo-data-popup-content-button-primary-green"><?php echo esc_html( __( 'Run the install!', 'ueldo' ) ); ?></button>

                    </div>

                    <div class="ueldo-load-demo-data-popup-content-step" data-step-id="5">

                        <span class="ueldo-load-demo-data-popup-content-step-icon"><i class="fa fa-check"></i></span>

                        <h2><?php echo esc_html( __( 'All goes fine!', 'ueldo' ) ); ?></h2>
                        <p><strong><?php echo esc_html( __( 'Demo data installed successfuly - please check your website!', 'ueldo' ) ); ?></strong></p>
                        <p><?php echo esc_html( __( 'Please also remember that you can count on our support and assist with any problems or questions about this theme. Just send us an email at support@martanian.com, we\'ll do our best to help.', 'ueldo' ) ); ?></p>

                        <a href="<?php echo esc_url( home_url( '/' ) ); ?>" target="_blank" class="ueldo-load-demo-data-popup-content-button-primary ueldo-load-demo-data-popup-content-button-primary-green"><?php echo esc_html( __( 'Visit your home page', 'ueldo' ) ); ?></a>
                        <span class="ueldo-load-demo-data-popup-content-button-alt-option"><?php echo esc_html( __( 'or close this popup', 'ueldo' ) ); ?></span>

                    </div>

                </div>

            </div>

            <div id="ueldo-load-demo-data-error-notice">

                <div class="ueldo-load-demo-data-error-notice-content">

                    <button type="button" class="media-modal-close"><span class="media-modal-icon"></span></button>

                    <h3><?php echo esc_html( __( 'Unexpected error appear', 'ueldo' ) ); ?></h3>

                    <p class="ueldo-load-demo-data-error-notice-content-text"></p>
                    <p class="ueldo-load-demo-data-error-notice-content-tip"><?php echo sprintf( wp_kses( __( 'Please contact us at <a href="%s">support@martanian.com</a>, we\'ll do our best to fix this as fast as possible.', 'ueldo' ), array(  'a' => array( 'href' => array() ) ) ), esc_url( 'mailto:support@martanian.com' ) ); ?></p>

                </div>

            </div>

        </div>
        <?php
    }

   /**
    *
    * end of file.
    *
    */

?>