<?php

   /**
    *
    * map the shortcode settings with visual composer
    *
    */

    vc_map( ueldo_update_custom_vc_shortcode_settings( array(
        'name' => esc_html( __( 'Attributes box - single attribute', 'ueldo' ) ),
        'description' => esc_html( __( 'Single attribute for attributes box', 'ueldo' ) ),
        'base' => 'ueldo_shortcode_attributes_box_single_attribute',
        'content_element' => true,
        'category' => esc_html( __( 'Ueldo', 'ueldo' ) ),
        'icon' => esc_url( get_template_directory_uri() .'/_assets/_img/vc-icon.png' ),
        'as_child' => array( 'only' => 'ueldo_shortcode_attributes_box' ),
        'params' => array(

           /**
            *
            * class name
            *
            */

            ueldo_add_custom_vc_shortcode_settings( 'class-name', '', '', array(), esc_html( __( 'Attribute content', 'ueldo' ) ) ),

           /**
            *
            * group: attribute content
            *
            */

            array(
                'type' => 'textfield',
                'heading' => esc_html( __( 'Attribute title', 'ueldo' ) ),
                'param_name' => 'title',
                'admin_label' => true,
                'std' => esc_html( __( 'High qualified team', 'ueldo' ) ),
                'group' => esc_html( __( 'Attribute content', 'ueldo' ) )
            ),

            array(
                'type' => 'textarea_html',
                'heading' => esc_html( __( 'Attribute description', 'ueldo' ) ),
                'param_name' => 'content',
                'group' => esc_html( __( 'Attribute content', 'ueldo' ) )
            ),

            'ueldo_custom_vc_shortcode_additional_settings_01' => ueldo_add_custom_vc_shortcode_settings(
                'icons',
                'icon_',
                esc_html( __( 'Attribute icon', 'ueldo' ) ),
                array(),
                esc_html( __( 'Attribute content', 'ueldo' ) )
            ),

           /**
            *
            * group: colors
            *
            */

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Use custom colors?', 'ueldo' ) ),
                'param_name' => 'custom_colors_enabled',
                'value' => array(
                    esc_html( __( 'No, use theme defaults', 'ueldo' ) ) => 'theme_defaults',
                    esc_html( __( 'Yes, use custom colors', 'ueldo' ) ) => 'custom_settings'
                ),
                'std' => 'theme_defaults',
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Background color', 'ueldo' ) ),
            				'param_name' => 'background_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Attribute icon color', 'ueldo' ) ),
            				'param_name' => 'attribute_icon_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Attribute title color', 'ueldo' ) ),
            				'param_name' => 'attribute_title_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-headings-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			)

           /**
            *
            * end of fields.
            *
            */
        )

       /**
        *
        * end of shortcode settings
        *
        */

    )));

   /**
    *
    * extend WPBakeryShortCode class
    *
    */

    if( class_exists( 'WPBakeryShortCode' ) ) {

        class WPBakeryShortCode_Ueldo_Shortcode_Attributes_Box_Single_Attribute extends WPBakeryShortCode {
        }
    }

   /**
    *
    * end of shortcode map.
    *
    */

?>