<?php

   /**
    *
    * map the shortcode settings with visual composer
    *
    */

    vc_map( ueldo_update_custom_vc_shortcode_settings( array(
        'name' => esc_html( __( 'Button', 'ueldo' ) ),
        'description' => esc_html( __( 'Button for any link or action', 'ueldo' ) ),
        'base' => 'ueldo_shortcode_button',
        'content_element' => true,
        'category' => esc_html( __( 'Ueldo', 'ueldo' ) ),
        'icon' => esc_url( get_template_directory_uri() .'/_assets/_img/vc-icon.png' ),
        'params' => array(

           /**
            *
            * class name
            *
            */

            ueldo_add_custom_vc_shortcode_settings( 'class-name', '', '', array(), esc_html( __( 'Button data', 'ueldo' ) ) ),

           /**
            *
            * group: button data
            *
            */

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Button type', 'ueldo' ) ),
                'param_name' => 'button_type',
                'value' => array(
                    esc_html( __( 'Standard button', 'ueldo' ) ) => 'standard-button',
                    esc_html( __( 'Two-line button', 'ueldo' ) ) => 'two-line-button',
                ),
                'std' => 'standard-button',
                'group' => esc_html( __( 'Button data', 'ueldo' ) )
            ),

            array(
                'type' => 'checkbox',
                'heading' => esc_html( __( 'Button visible on devices:', 'ueldo' ) ),
                'param_name' => 'button_visible_on_devices',
                'value' => array(
                    esc_html( __( 'Large', 'ueldo' ) ) => 'large',
                    esc_html( __( 'Medium', 'ueldo' ) ) => 'medium',
                    esc_html( __( 'Small', 'ueldo' ) ) => 'small',
                    esc_html( __( 'Extra small', 'ueldo' ) ) => 'extra-small'
                ),
                'std' => 'large,medium,small,extra-small',
                'group' => esc_html( __( 'Button data', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_button_first_line_content',
                'std' => '',
                'group' => esc_html( __( 'Button data', 'ueldo' ) )
            ),

            array(
                'type' => 'textfield',
                'heading' => esc_html( __( 'Button text', 'ueldo' ) ),
                'param_name' => 'button_text',
                'admin_label' => true,
                'std' => esc_html( __( 'Contact us', 'ueldo' ) ),
                'group' => esc_html( __( 'Button data', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Button text font family', 'ueldo' ) ),
                'param_name' => 'standard_button_text_font_family',
                'value' => ueldo_vc_get_heading_text_fonts(),
                'std' => ueldo_get_default_font_key( 'headings-subtitle-font' ),
                'dependency' => array(
                    'element' => 'button_type',
                    'value' => 'standard-button'
                ),
                'group' => esc_html( __( 'Button data', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Button text font family', 'ueldo' ) ),
                'param_name' => 'two_line_button_text_font_family',
                'value' => ueldo_vc_get_heading_text_fonts(),
                'std' => ueldo_get_default_font_key( 'general-font' ),
                'dependency' => array(
                    'element' => 'button_type',
                    'value' => 'two-line-button'
                ),
                'group' => esc_html( __( 'Button data', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_button_second_line_content',
                'std' => '',
                'dependency' => array(
                    'element' => 'button_type',
                    'value' => 'two-line-button'
                ),
                'group' => esc_html( __( 'Button data', 'ueldo' ) )
            ),

            array(
                'type' => 'textfield',
                'heading' => esc_html( __( 'Second line text', 'ueldo' ) ),
                'param_name' => 'second_line_text',
                'dependency' => array(
                    'element' => 'button_type',
                    'value' => 'two-line-button'
                ),
                'std' => esc_html( __( '1-800-123-4567', 'ueldo' ) ),
                'group' => esc_html( __( 'Button data', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Second line position', 'ueldo' ) ),
                'param_name' => 'second_line_position',
                'value' => array(
                    esc_html( __( 'Top', 'ueldo' ) ) => 'top',
                    esc_html( __( 'Bottom', 'ueldo' ) ) => 'bottom',
                ),
                'std' => 'bottom',
                'dependency' => array(
                    'element' => 'button_type',
                    'value' => 'two-line-button'
                ),
                'group' => esc_html( __( 'Button data', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Second line text font family', 'ueldo' ) ),
                'param_name' => 'second_line_text_font_family',
                'value' => ueldo_vc_get_heading_text_fonts(),
                'std' => ueldo_get_default_font_key( 'headings-subtitle-font' ),
                'dependency' => array(
                    'element' => 'button_type',
                    'value' => 'two-line-button'
                ),
                'group' => esc_html( __( 'Button data', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_button_text_alignment',
                'std' => '',
                'group' => esc_html( __( 'Button data', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Button text alignment', 'ueldo' ) ),
                'param_name' => 'button_text_alignment',
                'value' => array(
                    esc_html( __( 'Left', 'ueldo' ) ) => 'left',
                    esc_html( __( 'Center', 'ueldo' ) ) => 'center',
                    esc_html( __( 'Right', 'ueldo' ) ) => 'right'
                ),
                'std' => esc_attr( ueldo_is_rtl() ? 'right' : 'left' ),
                'group' => esc_html( __( 'Button data', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_button_link',
                'std' => '',
                'group' => esc_html( __( 'Button data', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Action after click on button', 'ueldo' ) ),
                'param_name' => 'action_after_click',
                'value' => array(
                    esc_html( __( 'As link (redirect to URL)', 'ueldo' ) ) => 'link',
                    esc_html( __( 'Show / hide responsive flying sidebar (if allowed)', 'ueldo' ) ) => 'show_hide_flying_sidebar',
                    esc_html( __( 'Show / hide side menu', 'ueldo' ) ) => 'show_hide_side_menu'
                ),
                'std' => 'link',
                'group' => esc_html( __( 'Button data', 'ueldo' ) )
            ),

            array(
                'type' => 'vc_link',
                'heading' => esc_html( __( 'URL (button link)', 'ueldo' ) ),
                'param_name' => 'button_url',
                'std' => ueldo_get_default_button_url( '#', esc_html( __( 'Contact us', 'ueldo' ) ), '_blank' ),
                'dependency' => array(
                    'element' => 'action_after_click',
                    'value' => 'link'
                ),
                'group' => esc_html( __( 'Button data', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Display button only on blog pages?', 'ueldo' ) ),
                'param_name' => 'display_button_on_blog_only',
                'value' => array(
                    esc_html( __( 'Yes', 'ueldo' ) ) => 'yes',
                    esc_html( __( 'No', 'ueldo' ) ) => 'no'
                ),
                'std' => 'yes',
                'dependency' => array(
                    'element' => 'action_after_click',
                    'value' => 'show_hide_flying_sidebar'
                ),
                'group' => esc_html( __( 'Button data', 'ueldo' ) )
            ),

           /**
            *
            * group: button style
            *
            */

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Button alignment', 'ueldo' ) ),
                'param_name' => 'button_alignment',
                'value' => array(
                    esc_html( __( 'Inline', 'ueldo' ) ) => 'inline',
                    esc_html( __( 'Left', 'ueldo' ) ) => 'left',
                    esc_html( __( 'Center', 'ueldo' ) ) => 'center',
                    esc_html( __( 'Right', 'ueldo' ) ) => 'right'
                ),
                'std' => esc_attr( ueldo_is_rtl() ? 'right' : 'left' ),
                'group' => esc_html( __( 'Button style', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_button_icon',
                'std' => '',
                'group' => esc_html( __( 'Button style', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Show button icon', 'ueldo' ) ),
                'param_name' => 'show_button_icon',
                'value' => array(
                    esc_html( __( 'No', 'ueldo' ) ) => 'no',
                    esc_html( __( 'Yes', 'ueldo' ) ) => 'yes'
                ),
                'std' => 'no',
                'group' => esc_html( __( 'Button style', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Button icon position', 'ueldo' ) ),
                'param_name' => 'button_icon_position',
                'value' => array(
                    esc_html( __( 'After the text', 'ueldo' ) ) => 'after',
                    esc_html( __( 'Before the text', 'ueldo' ) ) => 'before',
                    esc_html( __( 'Above the text, aligned to left', 'ueldo' ) ) => 'above-left',
                    esc_html( __( 'Above the text, centered', 'ueldo' ) ) => 'above-centered',
                    esc_html( __( 'Above the text, aligned to right', 'ueldo' ) ) => 'above-right',
                    esc_html( __( 'Under the text, aligned to left', 'ueldo' ) ) => 'under-left',
                    esc_html( __( 'Under the text, centered', 'ueldo' ) ) => 'under-centered',
                    esc_html( __( 'Under the text, aligned to right', 'ueldo' ) ) => 'under-right'
                ),
                'dependency' => array(
                    'element' => 'show_button_icon',
                    'value' => 'yes'
                ),
                'std' => 'after',
                'group' => esc_html( __( 'Button style', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Button icon visibility', 'ueldo' ) ),
                'param_name' => 'button_icon_visibility',
                'value' => array(
                    esc_html( __( 'Visible', 'ueldo' ) ) => 'visible',
                    esc_html( __( 'Visible on hover only', 'ueldo' ) ) => 'on_hover_only'
                ),
                'dependency' => array(
                    'element' => 'show_button_icon',
                    'value' => 'yes'
                ),
                'std' => 'visible',
                'group' => esc_html( __( 'Button style', 'ueldo' ) )
            ),

            'ueldo_custom_vc_shortcode_additional_settings_01' => ueldo_add_custom_vc_shortcode_settings(
                'icons',
                'button_icon_',
                esc_html( __( 'Button icon', 'ueldo' ) ),
                array(
                    'element' => 'show_button_icon',
                    'value' => 'yes'
                ),
                esc_html( __( 'Button style', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_hover_transform',
                'std' => '',
                'group' => esc_html( __( 'Button style', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Hover transform enabled?', 'ueldo' ) ),
                'param_name' => 'hover_transform_enabled',
                'value' => array(
                    esc_html( __( 'No', 'ueldo' ) ) => 'no',
                    esc_html( __( 'Yes', 'ueldo' ) ) => 'yes'
                ),
                'std' => 'no',
                'group' => esc_html( __( 'Button style', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Hover transform Y value', 'ueldo' ) ),
                'param_name' => 'hover_transform_y_value',
                'std' => '-3',
                'ueldo-number-field-minus-allowed' => true,
                'dependency' => array(
                    'element' => 'hover_transform_enabled',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Button style', 'ueldo' ) )
            ),

           /**
            *
            * text before / after the button
            *
            */

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Text position', 'ueldo' ) ),
                'param_name' => 'text_near_button_position',
                'value' => array(
                    esc_html( __( 'Before button', 'ueldo' ) ) => 'before',
                    esc_html( __( 'After button', 'ueldo' ) ) => 'after'
                ),
                'std' => 'after',
                'group' => esc_html( __( 'Text near the button', 'ueldo' ) )
            ),

            array(
                'type' => 'textarea_html',
                'heading' => esc_html( __( 'Text near button content', 'ueldo' ) ),
                'param_name' => 'content',
                'group' => esc_html( __( 'Text near the button', 'ueldo' ) )
            ),

           /**
            *
            * group: sizes
            *
            */

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Use custom sizes?', 'ueldo' ) ),
                'param_name' => 'custom_sizes_enabled',
                'value' => array(
                    esc_html( __( 'No, use theme defaults', 'ueldo' ) ) => 'theme_defaults',
                    esc_html( __( 'Yes, use custom sizes', 'ueldo' ) ) => 'custom_settings'
                ),
                'std' => 'theme_defaults',
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_button_additional_margins',
                'std' => '',
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Additional margin before button', 'ueldo' ) ),
                'param_name' => 'additional_margin_before',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => true,
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Additional margin after button', 'ueldo' ) ),
                'param_name' => 'additional_margin_after',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => true,
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Additional margin under button (bottom)', 'ueldo' ) ),
                'param_name' => 'additional_margin_under',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => true,
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Additional margin above button (top)', 'ueldo' ) ),
                'param_name' => 'additional_margin_above',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => true,
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Margin between button and text near button', 'ueldo' ) ),
                'param_name' => 'margin_between_button_and_text_near_button',
                'std' => '15',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_standard_button_font_sizes',
                'std' => '',
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Button text font size', 'ueldo' ) ),
                'param_name' => 'standard_button_font_size',
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'buttons-global-button-font-size' ) ),
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Button text letter spacing', 'ueldo' ) ),
                'param_name' => 'standard_button_font_letter_spacing',
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'buttons-global-button-letter-spacing' ) ),
                'ueldo-number-field-minus-allowed' => true,
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Button icon size', 'ueldo' ) ),
                'param_name' => 'standard_button_icon_size',
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'buttons-global-button-icon-size' ) ),
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_standard_button_paddings',
                'std' => '',
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Button padding top', 'ueldo' ) ),
                'param_name' => 'standard_button_padding_top',
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'buttons-global-button-padding-top' ) ),
                'ueldo-number-field-minus-allowed' => false,
                'ueldo-number-field-decimals-allowed' => true,
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Button padding right', 'ueldo' ) ),
                'param_name' => 'standard_button_padding_right',
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'buttons-global-button-padding-right' ) ),
                'ueldo-number-field-minus-allowed' => false,
                'ueldo-number-field-decimals-allowed' => true,
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Button padding bottom', 'ueldo' ) ),
                'param_name' => 'standard_button_padding_bottom',
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'buttons-global-button-padding-bottom' ) ),
                'ueldo-number-field-minus-allowed' => false,
                'ueldo-number-field-decimals-allowed' => true,
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Button padding left', 'ueldo' ) ),
                'param_name' => 'standard_button_padding_left',
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'buttons-global-button-padding-left' ) ),
                'ueldo-number-field-minus-allowed' => false,
                'ueldo-number-field-decimals-allowed' => true,
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_standard_button_static_height_and_width',
                'std' => '',
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Use static height for button?', 'ueldo' ) ),
                'param_name' => 'standard_button_use_static_height',
                'value' => array(
                    esc_html( __( 'No', 'ueldo' ) ) => 'no',
                    esc_html( __( 'Yes', 'ueldo' ) ) => 'yes'
                ),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'buttons-global-button-use-static-height' ) ),
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Button static height', 'ueldo' ) ),
                'param_name' => 'standard_button_static_height',
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'buttons-global-button-static-height' ) ),
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'standard_button_use_static_height',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Use static width for button?', 'ueldo' ) ),
                'param_name' => 'standard_button_use_static_width',
                'value' => array(
                    esc_html( __( 'No', 'ueldo' ) ) => 'no',
                    esc_html( __( 'Yes, full-width (100% of container)', 'ueldo' ) ) => 'yes-full-width',
                    esc_html( __( 'Yes, pixels value', 'ueldo' ) ) => 'yes-pixels'
                ),
                'std' => 'no',
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Button static width', 'ueldo' ) ),
                'param_name' => 'standard_button_static_width',
                'std' => '180',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'standard_button_use_static_width',
                    'value' => 'yes-pixels'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_standard_button_icon_to_text_margin',
                'std' => '',
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Margin between icon and button text', 'ueldo' ) ),
                'param_name' => 'standard_button_margin_between_icon_and_text',
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'buttons-global-button-margin-between-text-and-icon' ) ),
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_standard_button_border',
                'std' => '',
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Button border radius', 'ueldo' ) ),
                'param_name' => 'standard_button_border_radius',
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'buttons-global-button-border-radius' ) ),
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Button border width', 'ueldo' ) ),
                'param_name' => 'standard_button_border_width',
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'buttons-global-button-border-width' ) ),
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_two_line_button_font_sizes',
                'std' => '',
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Button title font size', 'ueldo' ) ),
                'param_name' => 'two_line_button_title_font_size',
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'font-size-h4' ) ),
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Button title letter spacing', 'ueldo' ) ),
                'param_name' => 'two_line_button_title_letter_spacing',
                'std' => '-1',
                'ueldo-number-field-minus-allowed' => true,
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Button subtitle font size', 'ueldo' ) ),
                'param_name' => 'two_line_button_subtitle_font_size',
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'font-size-smallest-content' ) ),
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Button icon size', 'ueldo' ) ),
                'param_name' => 'two_line_button_icon_size',
                'std' => '30',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Margin between button title and subtitle', 'ueldo' ) ),
                'param_name' => 'two_line_button_margin_between_title_and_subtitle',
                'std' => '9',
                'ueldo-number-field-minus-allowed' => true,
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Margin between icon and button texts', 'ueldo' ) ),
                'param_name' => 'two_line_button_margin_between_icon_and_button_texts',
                'std' => '17',
                'ueldo-number-field-minus-allowed' => true,
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_two_line_button_paddings',
                'std' => '',
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Button padding top', 'ueldo' ) ),
                'param_name' => 'two_line_button_padding_top',
                'std' => '20',
                'ueldo-number-field-minus-allowed' => false,
                'ueldo-number-field-decimals-allowed' => true,
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Button padding right', 'ueldo' ) ),
                'param_name' => 'two_line_button_padding_right',
                'std' => '20',
                'ueldo-number-field-minus-allowed' => false,
                'ueldo-number-field-decimals-allowed' => true,
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Button padding bottom', 'ueldo' ) ),
                'param_name' => 'two_line_button_padding_bottom',
                'std' => '20',
                'ueldo-number-field-minus-allowed' => false,
                'ueldo-number-field-decimals-allowed' => true,
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Button padding left', 'ueldo' ) ),
                'param_name' => 'two_line_button_padding_left',
                'std' => '20',
                'ueldo-number-field-minus-allowed' => false,
                'ueldo-number-field-decimals-allowed' => true,
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_two_line_button_static_height_and_width',
                'std' => '',
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Use static height for button?', 'ueldo' ) ),
                'param_name' => 'two_line_button_use_static_height',
                'value' => array(
                    esc_html( __( 'No', 'ueldo' ) ) => 'no',
                    esc_html( __( 'Yes', 'ueldo' ) ) => 'yes'
                ),
                'std' => 'no',
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Button static height', 'ueldo' ) ),
                'param_name' => 'two_line_button_static_height',
                'std' => '83',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'two_line_button_use_static_height',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Use static width for button?', 'ueldo' ) ),
                'param_name' => 'two_line_button_use_static_width',
                'value' => array(
                    esc_html( __( 'No', 'ueldo' ) ) => 'no',
                    esc_html( __( 'Yes, full-width (100% of container)', 'ueldo' ) ) => 'yes-full-width',
                    esc_html( __( 'Yes, pixels value', 'ueldo' ) ) => 'yes-pixels'
                ),
                'std' => 'no',
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Button static width', 'ueldo' ) ),
                'param_name' => 'two_line_button_static_width',
                'std' => '235',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'two_line_button_use_static_width',
                    'value' => 'yes-pixels'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_two_line_button_border',
                'std' => '',
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Button border radius', 'ueldo' ) ),
                'param_name' => 'two_line_button_border_radius',
                'std' => '4',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Button border width', 'ueldo' ) ),
                'param_name' => 'two_line_button_border_width',
                'std' => '1',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

           /**
            *
            * group: colors
            *
            */

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Use custom colors?', 'ueldo' ) ),
                'param_name' => 'custom_colors_enabled',
                'value' => array(
                    esc_html( __( 'No, use theme defaults', 'ueldo' ) ) => 'theme_defaults',
                    esc_html( __( 'Yes, use custom colors', 'ueldo' ) ) => 'custom_settings'
                ),
                'std' => 'theme_defaults',
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'colorpicker',
                'heading' => esc_html( __( 'Background color', 'ueldo' ) ),
                'param_name' => 'standard_button_background_color',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings'
                ),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'buttons-global-button-background-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'colorpicker',
                'heading' => esc_html( __( 'Background color (on hover)', 'ueldo' ) ),
                'param_name' => 'standard_button_background_color_hover',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings'
                ),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'buttons-global-button-background-color-hover' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'colorpicker',
                'heading' => esc_html( __( 'Border color', 'ueldo' ) ),
                'param_name' => 'standard_button_border_color',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings'
                ),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'buttons-global-button-border-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'colorpicker',
                'heading' => esc_html( __( 'Border color (on hover)', 'ueldo' ) ),
                'param_name' => 'standard_button_border_color_hover',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings'
                ),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'buttons-global-button-border-color-hover' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            # standard button box shadow

            array(
                'type' => 'ueldo_box_shadow_horizontal_length',
                'heading' => esc_html( __( 'Box shadow', 'ueldo' ) ),
                'param_name' => 'standard_button_box_shadow_horizontal_length',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'buttons-global-button-box-shadow', 'horizontal-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_vertical_length',
                'heading' => '',
                'param_name' => 'standard_button_box_shadow_vertical_length',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'buttons-global-button-box-shadow', 'vertical-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_blur_radius',
                'heading' => '',
                'param_name' => 'standard_button_box_shadow_blur_radius',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'buttons-global-button-box-shadow', 'blur-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_spread_radius',
                'heading' => '',
                'param_name' => 'standard_button_box_shadow_spread_radius',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'buttons-global-button-box-shadow', 'spread-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'colorpicker',
                'heading' => '',
                'param_name' => 'standard_button_box_shadow_color',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings'
                ),
                'std' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'buttons-global-button-box-shadow', 'color' ) ),
                'edit_field_class' => 'vc_col-xs-4',
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            # standard button box shadow (on hover)

            array(
                'type' => 'ueldo_box_shadow_horizontal_length',
                'heading' => esc_html( __( 'Box shadow (on hover)', 'ueldo' ) ),
                'param_name' => 'standard_button_box_shadow_horizontal_length_hover',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'buttons-global-button-box-shadow-hover', 'horizontal-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_vertical_length',
                'heading' => '',
                'param_name' => 'standard_button_box_shadow_vertical_length_hover',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'buttons-global-button-box-shadow-hover', 'vertical-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_blur_radius',
                'heading' => '',
                'param_name' => 'standard_button_box_shadow_blur_radius_hover',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'buttons-global-button-box-shadow-hover', 'blur-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_spread_radius',
                'heading' => '',
                'param_name' => 'standard_button_box_shadow_spread_radius_hover',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'buttons-global-button-box-shadow-hover', 'spread-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'colorpicker',
                'heading' => '',
                'param_name' => 'standard_button_box_shadow_color_hover',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings'
                ),
                'std' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'buttons-global-button-box-shadow-hover', 'color' ) ),
                'edit_field_class' => 'vc_col-xs-4',
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            # end of standard button box shadow (on hover)

            array(
                'type' => 'colorpicker',
                'heading' => esc_html( __( 'Background color', 'ueldo' ) ),
                'param_name' => 'two_line_button_background_color',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings'
                ),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'colorpicker',
                'heading' => esc_html( __( 'Background color (on hover)', 'ueldo' ) ),
                'param_name' => 'two_line_button_background_color_hover',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings'
                ),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'colorpicker',
                'heading' => esc_html( __( 'Border color', 'ueldo' ) ),
                'param_name' => 'two_line_button_border_color',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings'
                ),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-border-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'colorpicker',
                'heading' => esc_html( __( 'Border color (on hover)', 'ueldo' ) ),
                'param_name' => 'two_line_button_border_color_hover',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings'
                ),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-hover-border-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            # two-line button box shadow

            array(
                'type' => 'ueldo_box_shadow_horizontal_length',
                'heading' => esc_html( __( 'Box shadow', 'ueldo' ) ),
                'param_name' => 'two_line_button_box_shadow_horizontal_length',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'horizontal-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_vertical_length',
                'heading' => '',
                'param_name' => 'two_line_button_box_shadow_vertical_length',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'vertical-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_blur_radius',
                'heading' => '',
                'param_name' => 'two_line_button_box_shadow_blur_radius',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'blur-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_spread_radius',
                'heading' => '',
                'param_name' => 'two_line_button_box_shadow_spread_radius',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'spread-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'colorpicker',
                'heading' => '',
                'param_name' => 'two_line_button_box_shadow_color',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings'
                ),
                'std' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'color' ) ),
                'edit_field_class' => 'vc_col-xs-4',
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            # two-line button box shadow (on hover)

            array(
                'type' => 'ueldo_box_shadow_horizontal_length',
                'heading' => esc_html( __( 'Box shadow (on hover)', 'ueldo' ) ),
                'param_name' => 'two_line_button_box_shadow_horizontal_length_hover',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'horizontal-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_vertical_length',
                'heading' => '',
                'param_name' => 'two_line_button_box_shadow_vertical_length_hover',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'vertical-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_blur_radius',
                'heading' => '',
                'param_name' => 'two_line_button_box_shadow_blur_radius_hover',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'blur-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_spread_radius',
                'heading' => '',
                'param_name' => 'two_line_button_box_shadow_spread_radius_hover',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'spread-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'colorpicker',
                'heading' => '',
                'param_name' => 'two_line_button_box_shadow_color_hover',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings'
                ),
                'std' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'color' ) ),
                'edit_field_class' => 'vc_col-xs-4',
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            # end of two-line button box shadow (on hover)

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Text color', 'ueldo' ) ),
            				'param_name' => 'standard_button_text_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings'
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'buttons-global-button-text-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Text color (on hover)', 'ueldo' ) ),
            				'param_name' => 'standard_button_text_color_hover',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings'
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'buttons-global-button-text-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            # standard button: text shadow

            array(
                'type' => 'ueldo_text_shadow_horizontal_length',
                'heading' => esc_html( __( 'Text shadow', 'ueldo' ) ),
                'param_name' => 'standard_button_text_shadow_horizontal_length',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-4',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings'
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_text_shadow_vertical_length',
                'heading' => '',
                'param_name' => 'standard_button_text_shadow_vertical_length',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-4',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings'
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_text_shadow_blur_radius',
                'heading' => '',
                'param_name' => 'standard_button_text_shadow_blur_radius',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-4',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings'
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
            				'type' => 'colorpicker',
            				'heading' => '',
            				'param_name' => 'standard_button_text_shadow_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings'
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            # standard button: text shadow (on hover)

            array(
                'type' => 'ueldo_text_shadow_horizontal_length',
                'heading' => esc_html( __( 'Text shadow (on hover)', 'ueldo' ) ),
                'param_name' => 'standard_button_text_shadow_horizontal_length_hover',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-4',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings'
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_text_shadow_vertical_length',
                'heading' => '',
                'param_name' => 'standard_button_text_shadow_vertical_length_hover',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-4',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings'
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_text_shadow_blur_radius',
                'heading' => '',
                'param_name' => 'standard_button_text_shadow_blur_radius_hover',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-4',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings'
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
            				'type' => 'colorpicker',
            				'heading' => '',
            				'param_name' => 'standard_button_text_shadow_color_hover',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings'
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            # end of standard button: text shadow (on hover)

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'First-line text color', 'ueldo' ) ),
            				'param_name' => 'two_line_button_first_line_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings'
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-content-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'First-line text color (on hover)', 'ueldo' ) ),
            				'param_name' => 'two_line_button_first_line_color_hover',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings'
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-content-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            # two-line button: first-line text shadow

            array(
                'type' => 'ueldo_text_shadow_horizontal_length',
                'heading' => esc_html( __( 'First-line text shadow', 'ueldo' ) ),
                'param_name' => 'two_line_button_first_line_text_shadow_horizontal_length',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-4',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings'
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_text_shadow_vertical_length',
                'heading' => '',
                'param_name' => 'two_line_button_first_line_text_shadow_vertical_length',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-4',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings'
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_text_shadow_blur_radius',
                'heading' => '',
                'param_name' => 'two_line_button_first_line_text_shadow_blur_radius',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-4',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings'
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
            				'type' => 'colorpicker',
            				'heading' => '',
            				'param_name' => 'two_line_button_first_line_text_shadow_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings'
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            # two-line button: first-line text shadow (on hover)

            array(
                'type' => 'ueldo_text_shadow_horizontal_length',
                'heading' => esc_html( __( 'First-line text shadow (on hover)', 'ueldo' ) ),
                'param_name' => 'two_line_button_first_line_text_shadow_horizontal_length_hover',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-4',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings'
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_text_shadow_vertical_length',
                'heading' => '',
                'param_name' => 'two_line_button_first_line_text_shadow_vertical_length_hover',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-4',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings'
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_text_shadow_blur_radius',
                'heading' => '',
                'param_name' => 'two_line_button_first_line_text_shadow_blur_radius_hover',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-4',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings'
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
            				'type' => 'colorpicker',
            				'heading' => '',
            				'param_name' => 'two_line_button_first_line_text_shadow_color_hover',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings'
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            # end of two-line button: first-line text shadow (on hover)

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Second-line text color', 'ueldo' ) ),
            				'param_name' => 'two_line_button_second_line_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings'
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-headings-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Second-line text color (on hover)', 'ueldo' ) ),
            				'param_name' => 'two_line_button_second_line_color_hover',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings'
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-headings-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            # two-line button: second-line text shadow

            array(
                'type' => 'ueldo_text_shadow_horizontal_length',
                'heading' => esc_html( __( 'Second-line text shadow', 'ueldo' ) ),
                'param_name' => 'two_line_button_second_line_text_shadow_horizontal_length',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-4',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings'
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_text_shadow_vertical_length',
                'heading' => '',
                'param_name' => 'two_line_button_second_line_text_shadow_vertical_length',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-4',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings'
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_text_shadow_blur_radius',
                'heading' => '',
                'param_name' => 'two_line_button_second_line_text_shadow_blur_radius',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-4',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings'
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
            				'type' => 'colorpicker',
            				'heading' => '',
            				'param_name' => 'two_line_button_second_line_text_shadow_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings'
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            # two-line button: second-line text shadow (on hover)

            array(
                'type' => 'ueldo_text_shadow_horizontal_length',
                'heading' => esc_html( __( 'Second-line text shadow (on hover)', 'ueldo' ) ),
                'param_name' => 'two_line_button_second_line_text_shadow_horizontal_length_hover',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-4',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings'
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_text_shadow_vertical_length',
                'heading' => '',
                'param_name' => 'two_line_button_second_line_text_shadow_vertical_length_hover',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-4',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings'
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_text_shadow_blur_radius',
                'heading' => '',
                'param_name' => 'two_line_button_second_line_text_shadow_blur_radius_hover',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-4',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings'
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
            				'type' => 'colorpicker',
            				'heading' => '',
            				'param_name' => 'two_line_button_second_line_text_shadow_color_hover',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings'
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            # end of two-line button: second-line text shadow (on hover)

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Icon color', 'ueldo' ) ),
            				'param_name' => 'standard_button_icon_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings'
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'buttons-global-button-icon-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Icon color (on hover)', 'ueldo' ) ),
            				'param_name' => 'standard_button_icon_color_hover',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings'
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'buttons-global-button-icon-color-hover' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            # standard button: icon shadow

            array(
                'type' => 'ueldo_text_shadow_horizontal_length',
                'heading' => esc_html( __( 'Icon shadow', 'ueldo' ) ),
                'param_name' => 'standard_button_icon_text_shadow_horizontal_length',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-4',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings'
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_text_shadow_vertical_length',
                'heading' => '',
                'param_name' => 'standard_button_icon_text_shadow_vertical_length',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-4',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings'
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_text_shadow_blur_radius',
                'heading' => '',
                'param_name' => 'standard_button_icon_text_shadow_blur_radius',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-4',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings'
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
            				'type' => 'colorpicker',
            				'heading' => '',
            				'param_name' => 'standard_button_icon_text_shadow_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings'
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            # standard button: icon shadow (on hover)

            array(
                'type' => 'ueldo_text_shadow_horizontal_length',
                'heading' => esc_html( __( 'Icon shadow (on hover)', 'ueldo' ) ),
                'param_name' => 'standard_button_icon_text_shadow_horizontal_length_hover',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-4',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings'
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_text_shadow_vertical_length',
                'heading' => '',
                'param_name' => 'standard_button_icon_text_shadow_vertical_length_hover',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-4',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings'
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_text_shadow_blur_radius',
                'heading' => '',
                'param_name' => 'standard_button_icon_text_shadow_blur_radius_hover',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-4',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings'
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
            				'type' => 'colorpicker',
            				'heading' => '',
            				'param_name' => 'standard_button_icon_text_shadow_color_hover',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings'
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            # end of standard button: icon shadow (on hover)

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Icon color', 'ueldo' ) ),
            				'param_name' => 'two_line_button_icon_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings'
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-icon-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Icon color (on hover)', 'ueldo' ) ),
            				'param_name' => 'two_line_button_icon_color_hover',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings'
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-icon-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            # two-line button: icon shadow

            array(
                'type' => 'ueldo_text_shadow_horizontal_length',
                'heading' => esc_html( __( 'Icon shadow', 'ueldo' ) ),
                'param_name' => 'two_line_button_icon_text_shadow_horizontal_length',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-4',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings'
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_text_shadow_vertical_length',
                'heading' => '',
                'param_name' => 'two_line_button_icon_text_shadow_vertical_length',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-4',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings'
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_text_shadow_blur_radius',
                'heading' => '',
                'param_name' => 'two_line_button_icon_text_shadow_blur_radius',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-4',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings'
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
            				'type' => 'colorpicker',
            				'heading' => '',
            				'param_name' => 'two_line_button_icon_text_shadow_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings'
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            # two-line button: icon shadow (on hover)

            array(
                'type' => 'ueldo_text_shadow_horizontal_length',
                'heading' => esc_html( __( 'Icon shadow (on hover)', 'ueldo' ) ),
                'param_name' => 'two_line_button_icon_text_shadow_horizontal_length_hover',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-4',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings'
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_text_shadow_vertical_length',
                'heading' => '',
                'param_name' => 'two_line_button_icon_text_shadow_vertical_length_hover',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-4',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings'
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_text_shadow_blur_radius',
                'heading' => '',
                'param_name' => 'two_line_button_icon_text_shadow_blur_radius_hover',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-4',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings'
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
            				'type' => 'colorpicker',
            				'heading' => '',
            				'param_name' => 'two_line_button_icon_text_shadow_color_hover',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings'
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			)

            # end of two-line button: icon shadow (on hover)

           /**
            *
            * end of fields.
            *
            */
        )

       /**
        *
        * end of shortcode settings
        *
        */

    )));

   /**
    *
    * extend WPBakeryShortCode class
    *
    */

    if( class_exists( 'WPBakeryShortCode' ) ) {

        class WPBakeryShortCode_Ueldo_Shortcode_Button extends WPBakeryShortCode {
        }
    }

   /**
    *
    * end of shortcode map.
    *
    */

?>