<?php

   /**
    *
    * map the shortcode settings with visual composer
    *
    */

    vc_map( ueldo_update_custom_vc_shortcode_settings( array(
        'name' => esc_html( __( 'Card', 'ueldo' ) ),
        'description' => esc_html( __( 'Display content in card style', 'ueldo' ) ),
        'base' => 'ueldo_shortcode_card',
        'content_element' => true,
        'category' => esc_html( __( 'Ueldo', 'ueldo' ) ),
        'icon' => esc_url( get_template_directory_uri() .'/_assets/_img/vc-icon.png' ),
        'is_container' => true,
        'js_view' => 'VcColumnView',
        'params' => array(

           /**
            *
            * class name
            *
            */

            ueldo_add_custom_vc_shortcode_settings( 'class-name', '', '', array(), esc_html( __( 'General settings', 'ueldo' ) ) ),

           /**
            *
            * group: general settings
            *
            */

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Border width', 'ueldo' ) ),
                'param_name' => 'border_width',
                'std' => '1',
                'ueldo-number-field-minus-allowed' => false,
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Border radius', 'ueldo' ) ),
                'param_name' => 'border_radius',
                'std' => '4',
                'ueldo-number-field-minus-allowed' => false,
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_static_height',
                'std' => '',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Use static height?', 'ueldo' ) ),
                'param_name' => 'use_static_height',
                'value' => array(
                    esc_html( __( 'Yes', 'ueldo' ) ) => 'yes',
                    esc_html( __( 'No', 'ueldo' ) ) => 'no'
                ),
                'std' => 'no',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Static height (px)', 'ueldo' ) ),
                'param_name' => 'static_height_px',
                'std' => '300',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'use_static_height',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

           /**
            *
            * group: padding
            *
            */

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Padding top', 'ueldo' ) ),
                'param_name' => 'padding_top',
                'std' => '25',
                'ueldo-number-field-minus-allowed' => false,
                'group' => esc_html( __( 'Padding', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Padding right', 'ueldo' ) ),
                'param_name' => 'padding_right',
                'std' => '30',
                'ueldo-number-field-minus-allowed' => false,
                'group' => esc_html( __( 'Padding', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Padding bottom', 'ueldo' ) ),
                'param_name' => 'padding_bottom',
                'std' => '25',
                'ueldo-number-field-minus-allowed' => false,
                'group' => esc_html( __( 'Padding', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Padding left', 'ueldo' ) ),
                'param_name' => 'padding_left',
                'std' => '30',
                'ueldo-number-field-minus-allowed' => false,
                'group' => esc_html( __( 'Padding', 'ueldo' ) )
            ),

           /**
            *
            * group: margin
            *
            */

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Margin top', 'ueldo' ) ),
                'param_name' => 'margin_top',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => true,
                'group' => esc_html( __( 'Margin', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Margin right', 'ueldo' ) ),
                'param_name' => 'margin_right',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => true,
                'group' => esc_html( __( 'Margin', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Margin bottom', 'ueldo' ) ),
                'param_name' => 'margin_bottom',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => true,
                'group' => esc_html( __( 'Margin', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Margin left', 'ueldo' ) ),
                'param_name' => 'margin_left',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => true,
                'group' => esc_html( __( 'Margin', 'ueldo' ) )
            ),

           /**
            *
            * group: colors
            *
            */

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Use custom colors?', 'ueldo' ) ),
                'param_name' => 'custom_colors_enabled',
                'value' => array(
                    esc_html( __( 'No, use theme defaults', 'ueldo' ) ) => 'theme_defaults',
                    esc_html( __( 'Yes, use custom colors', 'ueldo' ) ) => 'custom_settings'
                ),
                'std' => 'theme_defaults',
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            # box shadow

            array(
                'type' => 'ueldo_box_shadow_horizontal_length',
                'heading' => esc_html( __( 'Box shadow', 'ueldo' ) ),
                'param_name' => 'box_shadow_horizontal_length',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'horizontal-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings',
                ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_vertical_length',
                'heading' => '',
                'param_name' => 'box_shadow_vertical_length',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'vertical-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings',
                ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_blur_radius',
                'heading' => '',
                'param_name' => 'box_shadow_blur_radius',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'blur-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings',
                ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_spread_radius',
                'heading' => '',
                'param_name' => 'box_shadow_spread_radius',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'spread-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings',
                ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'colorpicker',
                'heading' => '',
                'param_name' => 'box_shadow_color',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings',
                ),
                'std' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'color' ) ),
                'edit_field_class' => 'vc_col-xs-4',
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            # box shadow (on hover)

            array(
                'type' => 'ueldo_box_shadow_horizontal_length',
                'heading' => esc_html( __( 'Box shadow (on hover)', 'ueldo' ) ),
                'param_name' => 'box_shadow_horizontal_length_hover',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'horizontal-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings',
                ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_vertical_length',
                'heading' => '',
                'param_name' => 'box_shadow_vertical_length_hover',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'vertical-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings',
                ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_blur_radius',
                'heading' => '',
                'param_name' => 'box_shadow_blur_radius_hover',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'blur-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings',
                ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_spread_radius',
                'heading' => '',
                'param_name' => 'box_shadow_spread_radius_hover',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'spread-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings',
                ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'colorpicker',
                'heading' => '',
                'param_name' => 'box_shadow_color_hover',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings',
                ),
                'std' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'color' ) ),
                'edit_field_class' => 'vc_col-xs-4',
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            # end of box shadow (on hover)

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Background color', 'ueldo' ) ),
            				'param_name' => 'background_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Background color (on hover)', 'ueldo' ) ),
            				'param_name' => 'background_color_hover',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Border color', 'ueldo' ) ),
            				'param_name' => 'border_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-border-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Border color (on hover)', 'ueldo' ) ),
            				'param_name' => 'border_color_hover',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-hover-border-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			)

           /**
            *
            * end of fields.
            *
            */
        )

       /**
        *
        * end of shortcode settings
        *
        */

    )));

   /**
    *
    * extend WPBakeryShortCode class
    *
    */

    if( class_exists( 'WPBakeryShortCodesContainer' ) ) {

        class WPBakeryShortCode_Ueldo_Shortcode_Card extends WPBakeryShortCodesContainer {
        }
    }

   /**
    *
    * end of shortcode map.
    *
    */

?>