<?php

   /**
    *
    * map the shortcode settings with visual composer
    *
    */

    vc_map( ueldo_update_custom_vc_shortcode_settings( array(
        'name' => esc_html( __( 'Delimiter', 'ueldo' ) ),
        'description' => esc_html( __( 'Decoration line', 'ueldo' ) ),
        'base' => 'ueldo_shortcode_delimiter',
        'content_element' => true,
        'category' => esc_html( __( 'Ueldo', 'ueldo' ) ),
        'icon' => esc_url( get_template_directory_uri() .'/_assets/_img/vc-icon.png' ),
        'params' => array(

           /**
            *
            * class name
            *
            */

            ueldo_add_custom_vc_shortcode_settings( 'class-name', '', '', array(), esc_html( __( 'General settings', 'ueldo' ) ) ),

           /**
            *
            * group: general settings
            *
            */

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Horizontal alignment', 'ueldo' ) ),
                'param_name' => 'horizontal_alignment',
                'value' => array(
                    esc_html( __( 'Left', 'ueldo' ) ) => 'left',
                    esc_html( __( 'Center', 'ueldo' ) ) => 'center',
                    esc_html( __( 'Right', 'ueldo' ) ) => 'right'
                ),
                'std' => esc_attr( ueldo_is_rtl() ? 'right' : 'left' ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_border_radius',
                'std' => '',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Border radius', 'ueldo' ) ),
                'param_name' => 'border_radius',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_large_devices',
                'std' => '',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Width type on large devices', 'ueldo' ) ),
                'param_name' => 'large_width_type',
                'value' => array(
                    esc_html( __( 'Percentage', 'ueldo' ) ) => 'percentage',
                    esc_html( __( 'Pixels', 'ueldo' ) ) => 'px',
                    esc_html( __( 'Calc', 'ueldo' ) ) => 'calc'
                ),
                'std' => 'percentage',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Width value on large devices', 'ueldo' ) ),
                'param_name' => 'large_width_percentage',
                'value' => ueldo_get_vc_loop_option_percents(),
                'std' => '100%',
                'dependency' => array(
                    'element' => 'large_width_type',
                    'value' => 'percentage'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Width value on large devices', 'ueldo' ) ),
                'param_name' => 'large_width_px',
                'std' => '100',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'large_width_type',
                    'value' => 'px'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            /**/

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Width value on large devices', 'ueldo' ) ),
                'param_name' => 'large_width_calc_base',
                'value' => ueldo_get_vc_loop_option_percents(),
                'std' => '100%',
                'edit_field_class' => 'vc_col-xs-5 ueldo-vc-calc-field ueldo-calc-field-width-large',
                'dependency' => array(
                    'element' => 'large_width_type',
                    'value' => 'calc'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'param_name' => 'large_width_calc_operator',
                'value' => array(
                    '+',
                    '-'
                ),
                'std' => '-',
                'edit_field_class' => 'vc_col-xs-2 ueldo-vc-calc-field ueldo-calc-field-width-large',
                'dependency' => array(
                    'element' => 'large_width_type',
                    'value' => 'calc'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'param_name' => 'large_width_calc_px',
                'std' => '100',
                'ueldo-number-field-minus-allowed' => false,
                'edit_field_class' => 'vc_col-xs-5 ueldo-vc-calc-field ueldo-calc-field-width-large ueldo-vc-calc-field-last',
                'dependency' => array(
                    'element' => 'large_width_type',
                    'value' => 'calc'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            /**/

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Height on large devices', 'ueldo' ) ),
                'param_name' => 'large_height',
                'std' => '3',
                'ueldo-number-field-minus-allowed' => false,
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_medium_devices',
                'std' => '',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Custom sizes for medium devices?', 'ueldo' ) ),
                'param_name' => 'medium_custom_sizes',
                'value' => array(
                    esc_html( __( 'Yes, use custom sizes', 'ueldo' ) ) => 'yes',
                    esc_html( __( 'No, use as same sizes as for large devices', 'ueldo' ) ) => 'no-large'
                ),
                'std' => 'no-large',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Width type on medium devices', 'ueldo' ) ),
                'param_name' => 'medium_width_type',
                'value' => array(
                    esc_html( __( 'Percentage', 'ueldo' ) ) => 'percentage',
                    esc_html( __( 'Pixels', 'ueldo' ) ) => 'px',
                    esc_html( __( 'Calc', 'ueldo' ) ) => 'calc'
                ),
                'std' => 'percentage',
                'dependency' => array(
                    'element' => 'medium_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Width value on medium devices', 'ueldo' ) ),
                'param_name' => 'medium_width_percentage',
                'value' => ueldo_get_vc_loop_option_percents(),
                'std' => '100%',
                'dependency' => array(
                    'element' => 'medium_width_type',
                    'value' => 'percentage'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Width value on medium devices', 'ueldo' ) ),
                'param_name' => 'medium_width_px',
                'std' => '100',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'medium_width_type',
                    'value' => 'px'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            /**/

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Width value on medium devices', 'ueldo' ) ),
                'param_name' => 'medium_width_calc_base',
                'value' => ueldo_get_vc_loop_option_percents(),
                'std' => '100%',
                'edit_field_class' => 'vc_col-xs-5 ueldo-vc-calc-field ueldo-calc-field-width-medium',
                'dependency' => array(
                    'element' => 'medium_width_type',
                    'value' => 'calc'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'param_name' => 'medium_width_calc_operator',
                'value' => array(
                    '+',
                    '-'
                ),
                'std' => '-',
                'edit_field_class' => 'vc_col-xs-2 ueldo-vc-calc-field ueldo-calc-field-width-medium',
                'dependency' => array(
                    'element' => 'medium_width_type',
                    'value' => 'calc'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'param_name' => 'medium_width_calc_px',
                'std' => '100',
                'ueldo-number-field-minus-allowed' => false,
                'edit_field_class' => 'vc_col-xs-5 ueldo-vc-calc-field ueldo-calc-field-width-medium ueldo-vc-calc-field-last',
                'dependency' => array(
                    'element' => 'medium_width_type',
                    'value' => 'calc'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            /**/

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Height on medium devices', 'ueldo' ) ),
                'param_name' => 'medium_height',
                'std' => '3',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'medium_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_small_devices',
                'std' => '',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Custom sizes for small devices?', 'ueldo' ) ),
                'param_name' => 'small_custom_sizes',
                'value' => array(
                    esc_html( __( 'Yes, use custom sizes', 'ueldo' ) ) => 'yes',
                    esc_html( __( 'No, use as same sizes as for large devices', 'ueldo' ) ) => 'no-large',
                    esc_html( __( 'No, use as same sizes as for medium devices', 'ueldo' ) ) => 'no-medium'
                ),
                'std' => 'no-medium',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Width type on small devices', 'ueldo' ) ),
                'param_name' => 'small_width_type',
                'value' => array(
                    esc_html( __( 'Percentage', 'ueldo' ) ) => 'percentage',
                    esc_html( __( 'Pixels', 'ueldo' ) ) => 'px',
                    esc_html( __( 'Calc', 'ueldo' ) ) => 'calc'
                ),
                'std' => 'percentage',
                'dependency' => array(
                    'element' => 'small_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Width value on small devices', 'ueldo' ) ),
                'param_name' => 'small_width_percentage',
                'value' => ueldo_get_vc_loop_option_percents(),
                'std' => '100%',
                'dependency' => array(
                    'element' => 'small_width_type',
                    'value' => 'percentage'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Width value on small devices', 'ueldo' ) ),
                'param_name' => 'small_width_px',
                'std' => '100',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'small_width_type',
                    'value' => 'px'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            /**/

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Width value on small devices', 'ueldo' ) ),
                'param_name' => 'small_width_calc_base',
                'value' => ueldo_get_vc_loop_option_percents(),
                'std' => '100%',
                'edit_field_class' => 'vc_col-xs-5 ueldo-vc-calc-field ueldo-calc-field-width-small',
                'dependency' => array(
                    'element' => 'small_width_type',
                    'value' => 'calc'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'param_name' => 'small_width_calc_operator',
                'value' => array(
                    '+',
                    '-'
                ),
                'std' => '-',
                'edit_field_class' => 'vc_col-xs-2 ueldo-vc-calc-field ueldo-calc-field-width-small',
                'dependency' => array(
                    'element' => 'small_width_type',
                    'value' => 'calc'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'param_name' => 'small_width_calc_px',
                'std' => '100',
                'ueldo-number-field-minus-allowed' => false,
                'edit_field_class' => 'vc_col-xs-5 ueldo-vc-calc-field ueldo-calc-field-width-small ueldo-vc-calc-field-last',
                'dependency' => array(
                    'element' => 'small_width_type',
                    'value' => 'calc'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            /**/

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Height on small devices', 'ueldo' ) ),
                'param_name' => 'small_height',
                'std' => '3',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'small_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_extra_small_devices',
                'std' => '',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Custom sizes for extra small devices?', 'ueldo' ) ),
                'param_name' => 'extra_small_custom_sizes',
                'value' => array(
                    esc_html( __( 'Yes, use custom sizes', 'ueldo' ) ) => 'yes',
                    esc_html( __( 'No, use as same sizes as for large devices', 'ueldo' ) ) => 'no-large',
                    esc_html( __( 'No, use as same sizes as for medium devices', 'ueldo' ) ) => 'no-medium',
                    esc_html( __( 'No, use as same sizes as for small devices', 'ueldo' ) ) => 'no-small'
                ),
                'std' => 'no-small',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Width type on small devices', 'ueldo' ) ),
                'param_name' => 'extra_small_width_type',
                'value' => array(
                    esc_html( __( 'Percentage', 'ueldo' ) ) => 'percentage',
                    esc_html( __( 'Pixels', 'ueldo' ) ) => 'px',
                    esc_html( __( 'Calc', 'ueldo' ) ) => 'calc'
                ),
                'std' => 'percentage',
                'dependency' => array(
                    'element' => 'extra_small_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Width value on small devices', 'ueldo' ) ),
                'param_name' => 'extra_small_width_percentage',
                'value' => ueldo_get_vc_loop_option_percents(),
                'std' => '100%',
                'dependency' => array(
                    'element' => 'extra_small_width_type',
                    'value' => 'percentage'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Width value on small devices', 'ueldo' ) ),
                'param_name' => 'extra_small_width_px',
                'std' => '100',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'extra_small_width_type',
                    'value' => 'px'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            /**/

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Width value on extra small devices', 'ueldo' ) ),
                'param_name' => 'extra_small_width_calc_base',
                'value' => ueldo_get_vc_loop_option_percents(),
                'std' => '100%',
                'edit_field_class' => 'vc_col-xs-5 ueldo-vc-calc-field ueldo-calc-field-width-extra-small',
                'dependency' => array(
                    'element' => 'extra_small_width_type',
                    'value' => 'calc'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'param_name' => 'extra_small_width_calc_operator',
                'value' => array(
                    '+',
                    '-'
                ),
                'std' => '-',
                'edit_field_class' => 'vc_col-xs-2 ueldo-vc-calc-field ueldo-calc-field-width-extra-small',
                'dependency' => array(
                    'element' => 'extra_small_width_type',
                    'value' => 'calc'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'param_name' => 'extra_small_width_calc_px',
                'std' => '100',
                'ueldo-number-field-minus-allowed' => false,
                'edit_field_class' => 'vc_col-xs-5 ueldo-vc-calc-field ueldo-calc-field-width-extra-small ueldo-vc-calc-field-last',
                'dependency' => array(
                    'element' => 'extra_small_width_type',
                    'value' => 'calc'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            /**/

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Height on extra small devices', 'ueldo' ) ),
                'param_name' => 'extra_small_height',
                'std' => '3',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'extra_small_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

           /**
            *
            * group: margins
            *
            */

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Margin top', 'ueldo' ) ),
                'param_name' => 'margin_top',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => true,
                'group' => esc_html( __( 'Margins', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Margin right', 'ueldo' ) ),
                'param_name' => 'margin_right',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => true,
                'dependency' => array(
                    'element' => 'horizontal_alignment',
                    'value' => array(
                        'left',
                        'right'
                    )
                ),
                'group' => esc_html( __( 'Margins', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Margin bottom', 'ueldo' ) ),
                'param_name' => 'margin_bottom',
                'std' => '30',
                'ueldo-number-field-minus-allowed' => true,
                'group' => esc_html( __( 'Margins', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Margin left', 'ueldo' ) ),
                'param_name' => 'margin_left',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => true,
                'dependency' => array(
                    'element' => 'horizontal_alignment',
                    'value' => array(
                        'left',
                        'right'
                    )
                ),
                'group' => esc_html( __( 'Margins', 'ueldo' ) )
            ),

           /**
            *
            * group: colors
            *
            */

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Use custom colors?', 'ueldo' ) ),
                'param_name' => 'custom_colors_enabled',
                'value' => array(
                    esc_html( __( 'No, use theme defaults', 'ueldo' ) ) => 'theme_defaults',
                    esc_html( __( 'Yes, use custom colors', 'ueldo' ) ) => 'custom_settings'
                ),
                'std' => 'theme_defaults',
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Background color', 'ueldo' ) ),
            				'param_name' => 'background_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-border-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			)

           /**
            *
            * end of fields.
            *
            */
        )

       /**
        *
        * end of shortcode settings
        *
        */

    )));

   /**
    *
    * extend WPBakeryShortCode class
    *
    */

    if( class_exists( 'WPBakeryShortCode' ) ) {

        class WPBakeryShortCode_Ueldo_Shortcode_Delimiter extends WPBakeryShortCode {
        }
    }

   /**
    *
    * end of shortcode map.
    *
    */

?>