<?php

   /**
    *
    * map the shortcode settings with visual composer
    *
    */

    vc_map( ueldo_update_custom_vc_shortcode_settings( array(
        'name' => esc_html( __( 'Filtered masonry cell', 'ueldo' ) ),
        'description' => esc_html( __( 'Single cell for a Filtered Masonry element', 'ueldo' ) ),
        'base' => 'ueldo_shortcode_filtered_masonry_cell',
        'content_element' => true,
        'category' => esc_html( __( 'Ueldo', 'ueldo' ) ),
        'icon' => esc_url( get_template_directory_uri() .'/_assets/_img/vc-icon.png' ),
        'is_container' => true,
        'js_view' => 'VcColumnView',
        'as_child' => array( 'only' => 'ueldo_shortcode_filtered_masonry' ),
        'params' => array(

           /**
            *
            * class name
            *
            */

            ueldo_add_custom_vc_shortcode_settings( 'class-name', '', '', array(), esc_html( __( 'General settings', 'ueldo' ) ) ),

           /**
            *
            * general settings
            *
            */

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Width', 'ueldo' ) ),
                'param_name' => 'width',
                'value' => array(
                    esc_html( __( 'Normal', 'ueldo' ) ) => 'normal',
                    esc_html( __( 'Double', 'ueldo' ) ) => 'double'
                ),
                'std' => 'normal',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'textfield',
                'heading' => esc_html( __( 'Filter category', 'ueldo' ) ),
                'param_name' => 'filter_category',
                'admin_label' => true,
                'std' => esc_html( __( 'Photography', 'ueldo' ) ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

           /**
            *
            * group: large devices
            *
            */

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Use static height on large devices?', 'ueldo' ) ),
                'param_name' => 'large_static_height',
                'value' => array(
                    esc_html( __( 'Yes', 'ueldo' ) ) => 'yes',
                    esc_html( __( 'No', 'ueldo' ) ) => 'no'
                ),
                'std' => 'no',
                'group' => esc_html( __( 'Large devices', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Static height on large devices', 'ueldo' ) ),
                'param_name' => 'large_static_height_px',
                'std' => '300',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'large_static_height',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Large devices', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_large_paddings',
                'std' => '',
                'group' => esc_html( __( 'Large devices', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Padding top on large devices', 'ueldo' ) ),
                'param_name' => 'large_padding_top',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'group' => esc_html( __( 'Large devices', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Padding right on large devices', 'ueldo' ) ),
                'param_name' => 'large_padding_right',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'group' => esc_html( __( 'Large devices', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Padding bottom on large devices', 'ueldo' ) ),
                'param_name' => 'large_padding_bottom',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'group' => esc_html( __( 'Large devices', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Padding left on large devices', 'ueldo' ) ),
                'param_name' => 'large_padding_left',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'group' => esc_html( __( 'Large devices', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_large_borders',
                'std' => '',
                'group' => esc_html( __( 'Large devices', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Border top width on large devices', 'ueldo' ) ),
                'param_name' => 'large_border_top_width',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'group' => esc_html( __( 'Large devices', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Border right width on large devices', 'ueldo' ) ),
                'param_name' => 'large_border_right_width',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'group' => esc_html( __( 'Large devices', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Border bottom width on large devices', 'ueldo' ) ),
                'param_name' => 'large_border_bottom_width',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'group' => esc_html( __( 'Large devices', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Border left width on large devices', 'ueldo' ) ),
                'param_name' => 'large_border_left_width',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'group' => esc_html( __( 'Large devices', 'ueldo' ) )
            ),

           /**
            *
            * group: medium devices
            *
            */

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Custom sizes for medium devices?', 'ueldo' ) ),
                'param_name' => 'medium_custom_sizes',
                'value' => array(
                    esc_html( __( 'Yes, use custom sizes', 'ueldo' ) ) => 'yes',
                    esc_html( __( 'No, use as same sizes as for large devices', 'ueldo' ) ) => 'no-large'
                ),
                'std' => 'no-large',
                'group' => esc_html( __( 'Medium devices', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_medium_static_height',
                'std' => '',
                'dependency' => array(
                    'element' => 'medium_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Medium devices', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Use static height on medium devices?', 'ueldo' ) ),
                'param_name' => 'medium_static_height',
                'value' => array(
                    esc_html( __( 'Yes', 'ueldo' ) ) => 'yes',
                    esc_html( __( 'No', 'ueldo' ) ) => 'no'
                ),
                'std' => 'no',
                'dependency' => array(
                    'element' => 'medium_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Medium devices', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Static height on medium devices', 'ueldo' ) ),
                'param_name' => 'medium_static_height_px',
                'std' => '300',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'medium_static_height',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Medium devices', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_medium_paddings',
                'std' => '',
                'dependency' => array(
                    'element' => 'medium_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Medium devices', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Padding top on medium devices', 'ueldo' ) ),
                'param_name' => 'medium_padding_top',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'medium_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Medium devices', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Padding right on medium devices', 'ueldo' ) ),
                'param_name' => 'medium_padding_right',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'medium_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Medium devices', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Padding bottom on medium devices', 'ueldo' ) ),
                'param_name' => 'medium_padding_bottom',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'medium_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Medium devices', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Padding left on medium devices', 'ueldo' ) ),
                'param_name' => 'medium_padding_left',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'medium_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Medium devices', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_medium_borders',
                'std' => '',
                'dependency' => array(
                    'element' => 'medium_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Medium devices', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Border top width on medium devices', 'ueldo' ) ),
                'param_name' => 'medium_border_top_width',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'medium_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Medium devices', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Border right width on medium devices', 'ueldo' ) ),
                'param_name' => 'medium_border_right_width',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'medium_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Medium devices', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Border bottom width on medium devices', 'ueldo' ) ),
                'param_name' => 'medium_border_bottom_width',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'medium_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Medium devices', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Border left width on medium devices', 'ueldo' ) ),
                'param_name' => 'medium_border_left_width',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'medium_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Medium devices', 'ueldo' ) )
            ),

           /**
            *
            * group: small devices
            *
            */

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Custom sizes for small devices?', 'ueldo' ) ),
                'param_name' => 'small_custom_sizes',
                'value' => array(
                    esc_html( __( 'Yes, use custom sizes', 'ueldo' ) ) => 'yes',
                    esc_html( __( 'No, use as same sizes as for large devices', 'ueldo' ) ) => 'no-large',
                    esc_html( __( 'No, use as same sizes as for medium devices', 'ueldo' ) ) => 'no-medium'
                ),
                'std' => 'no-medium',
                'group' => esc_html( __( 'Small devices', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_small_static_height',
                'std' => '',
                'dependency' => array(
                    'element' => 'small_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Small devices', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Use static height on small devices?', 'ueldo' ) ),
                'param_name' => 'small_static_height',
                'value' => array(
                    esc_html( __( 'Yes', 'ueldo' ) ) => 'yes',
                    esc_html( __( 'No', 'ueldo' ) ) => 'no'
                ),
                'std' => 'no',
                'dependency' => array(
                    'element' => 'small_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Small devices', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Static height on small devices', 'ueldo' ) ),
                'param_name' => 'small_static_height_px',
                'std' => '300',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'small_static_height',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Small devices', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_small_paddings',
                'std' => '',
                'dependency' => array(
                    'element' => 'small_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Small devices', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Padding top on small devices', 'ueldo' ) ),
                'param_name' => 'small_padding_top',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'small_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Small devices', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Padding right on small devices', 'ueldo' ) ),
                'param_name' => 'small_padding_right',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'small_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Small devices', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Padding bottom on small devices', 'ueldo' ) ),
                'param_name' => 'small_padding_bottom',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'small_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Small devices', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Padding left on small devices', 'ueldo' ) ),
                'param_name' => 'small_padding_left',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'small_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Small devices', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_small_borders',
                'std' => '',
                'dependency' => array(
                    'element' => 'small_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Small devices', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Border top width on small devices', 'ueldo' ) ),
                'param_name' => 'small_border_top_width',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'small_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Small devices', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Border right width on small devices', 'ueldo' ) ),
                'param_name' => 'small_border_right_width',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'small_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Small devices', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Border bottom width on small devices', 'ueldo' ) ),
                'param_name' => 'small_border_bottom_width',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'small_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Small devices', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Border left width on small devices', 'ueldo' ) ),
                'param_name' => 'small_border_left_width',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'small_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Small devices', 'ueldo' ) )
            ),

           /**
            *
            * group: extra small devices
            *
            */

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Custom sizes for extra small devices?', 'ueldo' ) ),
                'param_name' => 'extra_small_custom_sizes',
                'value' => array(
                    esc_html( __( 'Yes, use custom sizes', 'ueldo' ) ) => 'yes',
                    esc_html( __( 'No, use as same sizes as for large devices', 'ueldo' ) ) => 'no-large',
                    esc_html( __( 'No, use as same sizes as for medium devices', 'ueldo' ) ) => 'no-medium',
                    esc_html( __( 'No, use as same sizes as for small devices', 'ueldo' ) ) => 'no-small'
                ),
                'std' => 'no-small',
                'group' => esc_html( __( 'Extra small devices', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_extra_small_static_height',
                'std' => '',
                'dependency' => array(
                    'element' => 'extra_small_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Extra small devices', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Use static height on extra small devices?', 'ueldo' ) ),
                'param_name' => 'extra_small_static_height',
                'value' => array(
                    esc_html( __( 'Yes', 'ueldo' ) ) => 'yes',
                    esc_html( __( 'No', 'ueldo' ) ) => 'no'
                ),
                'std' => 'no',
                'dependency' => array(
                    'element' => 'extra_small_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Extra small devices', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Static height on extra small devices', 'ueldo' ) ),
                'param_name' => 'extra_small_static_height_px',
                'std' => '300',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'extra_small_static_height',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Extra small devices', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_extra_small_paddings',
                'std' => '',
                'dependency' => array(
                    'element' => 'extra_small_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Extra small devices', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Padding top on extra small devices', 'ueldo' ) ),
                'param_name' => 'extra_small_padding_top',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'extra_small_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Extra small devices', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Padding right on extra small devices', 'ueldo' ) ),
                'param_name' => 'extra_small_padding_right',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'extra_small_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Extra small devices', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Padding bottom on extra small devices', 'ueldo' ) ),
                'param_name' => 'extra_small_padding_bottom',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'extra_small_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Extra small devices', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Padding left on extra small devices', 'ueldo' ) ),
                'param_name' => 'extra_small_padding_left',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'extra_small_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Extra small devices', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_extra_small_borders',
                'std' => '',
                'dependency' => array(
                    'element' => 'extra_small_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Extra small devices', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Border top width on extra small devices', 'ueldo' ) ),
                'param_name' => 'extra_small_border_top_width',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'extra_small_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Extra small devices', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Border right width on extra small devices', 'ueldo' ) ),
                'param_name' => 'extra_small_border_right_width',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'extra_small_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Extra small devices', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Border bottom width on extra small devices', 'ueldo' ) ),
                'param_name' => 'extra_small_border_bottom_width',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'extra_small_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Extra small devices', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Border left width on extra small devices', 'ueldo' ) ),
                'param_name' => 'extra_small_border_left_width',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'extra_small_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Extra small devices', 'ueldo' ) )
            )

           /**
            *
            * end of fields.
            *
            */
        )

       /**
        *
        * end of shortcode settings
        *
        */

    )));

   /**
    *
    * extend WPBakeryShortCode class
    *
    */

    if( class_exists( 'WPBakeryShortCodesContainer' ) ) {

        class WPBakeryShortCode_Ueldo_Shortcode_Filtered_Masonry_Cell extends WPBakeryShortCodesContainer {
        }
    }

   /**
    *
    * end of shortcode map.
    *
    */

?>