<?php

   /**
    *
    * map the shortcode settings with visual composer
    *
    */

    vc_map( ueldo_update_custom_vc_shortcode_settings( array(
        'name' => esc_html( __( 'Form', 'ueldo' ) ),
        'description' => esc_html( __( 'Use this element if you want to set your custom colors to single form', 'ueldo' ) ),
        'base' => 'ueldo_shortcode_form',
        'content_element' => true,
        'category' => esc_html( __( 'Ueldo', 'ueldo' ) ),
        'icon' => esc_url( get_template_directory_uri() .'/_assets/_img/vc-icon.png' ),
        'params' => array(

           /**
            *
            * class name
            *
            */

            ueldo_add_custom_vc_shortcode_settings( 'class-name', '', '', array(), esc_html( __( 'General settings', 'ueldo' ) ) ),

           /**
            *
            * group: general settings
            *
            */

            array(
                'type' => 'textfield',
                'heading' => esc_html( __( 'Form shortcode', 'ueldo' ) ),
                'param_name' => 'form_shortcode',
                'std' => '',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

           /**
            *
            * group: colors
            *
            */

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Use custom colors?', 'ueldo' ) ),
                'param_name' => 'custom_colors_enabled',
                'value' => array(
                    esc_html( __( 'No, use theme defaults', 'ueldo' ) ) => 'theme_defaults',
                    esc_html( __( 'Yes, use custom colors', 'ueldo' ) ) => 'custom_settings'
                ),
                'std' => 'theme_defaults',
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Form field border color', 'ueldo' ) ),
            				'param_name' => 'form_field_border_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'forms-field-border-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Form field border color (on hover)', 'ueldo' ) ),
            				'param_name' => 'form_field_border_color_hover',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'forms-field-border-color-on-hover' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Form field border color (on focus)', 'ueldo' ) ),
            				'param_name' => 'form_field_border_color_focus',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'forms-field-border-color-on-focus' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Form field background color', 'ueldo' ) ),
            				'param_name' => 'form_field_background_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'forms-field-background-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Form field text color', 'ueldo' ) ),
            				'param_name' => 'form_field_text_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'forms-field-text-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Form field placeholder text color', 'ueldo' ) ),
            				'param_name' => 'form_field_placeholder_text_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'forms-placeholder-text-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            # form field box shadow

            array(
                'type' => 'ueldo_box_shadow_horizontal_length',
                'heading' => esc_html( __( 'Form field box shadow', 'ueldo' ) ),
                'param_name' => 'form_field_box_shadow_horizontal_length',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'forms-field-box-shadow', 'horizontal-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings',
                ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_vertical_length',
                'heading' => '',
                'param_name' => 'form_field_box_shadow_vertical_length',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'forms-field-box-shadow', 'vertical-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings',
                ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_blur_radius',
                'heading' => '',
                'param_name' => 'form_field_box_shadow_blur_radius',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'forms-field-box-shadow', 'blur-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings',
                ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_spread_radius',
                'heading' => '',
                'param_name' => 'form_field_box_shadow_spread_radius',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'forms-field-box-shadow', 'spread-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings',
                ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'colorpicker',
                'heading' => '',
                'param_name' => 'form_field_box_shadow_color',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings',
                ),
                'std' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'forms-field-box-shadow', 'color' ) ),
                'edit_field_class' => 'vc_col-xs-4',
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            # form field inset box shadow

            array(
                'type' => 'ueldo_box_shadow_horizontal_length',
                'heading' => esc_html( __( 'Form field inset box shadow', 'ueldo' ) ),
                'param_name' => 'form_field_inset_box_shadow_horizontal_length',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'forms-field-inset-box-shadow', 'horizontal-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_vertical_length',
                'heading' => '',
                'param_name' => 'form_field_inset_box_shadow_vertical_length',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'forms-field-inset-box-shadow', 'vertical-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_blur_radius',
                'heading' => '',
                'param_name' => 'form_field_inset_box_shadow_blur_radius',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'forms-field-inset-box-shadow', 'blur-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_spread_radius',
                'heading' => '',
                'param_name' => 'form_field_inset_box_shadow_spread_radius',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'forms-field-inset-box-shadow', 'spread-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
            				'type' => 'colorpicker',
            				'heading' => '',
            				'param_name' => 'form_field_inset_box_shadow_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'forms-field-inset-box-shadow', 'color' ) ),
                'edit_field_class' => 'vc_col-xs-4',
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            # end of form field inset box shadow

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Form field error border color', 'ueldo' ) ),
            				'param_name' => 'form_field_error_border_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'forms-field-border-color-for-invalid-values' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Error notice text color', 'ueldo' ) ),
            				'param_name' => 'error_notice_text_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'forms-invalid-field-tip-text-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Label color', 'ueldo' ) ),
            				'param_name' => 'label_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-headings-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Static text color', 'ueldo' ) ),
            				'param_name' => 'static_text_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-content-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
                'type' => 'colorpicker',
                'heading' => esc_html( __( 'Link color', 'ueldo' ) ),
                'param_name' => 'link_color',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings',
                ),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Inside field (for select, date fields) icon color', 'ueldo' ) ),
            				'param_name' => 'inside_field_icon_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'forms-select-and-date-field-icon-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Inside field (for select, date fields) icon border color', 'ueldo' ) ),
            				'param_name' => 'inside_field_icon_border_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'forms-select-and-date-field-icon-border-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Inside field (for select, date fields) icon background color', 'ueldo' ) ),
            				'param_name' => 'inside_field_icon_background_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'forms-select-and-date-field-icon-background-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Radio / checkbox field active icon color', 'ueldo' ) ),
            				'param_name' => 'radio_checkbox_field_active_icon_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'forms-checkbox-radio-main-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Bottom border color for section', 'ueldo' ) ),
            				'param_name' => 'section_bottom_border_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-border-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Submit button text color', 'ueldo' ) ),
            				'param_name' => 'submit_button_text_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( $ueldo_styles_cache -> get_style_key_depended( 'buttons-form-submit-button-text-color', 'buttons-global-button-text-color', array( 'buttons-form-submit-button-custom-styles-enabled' => 'use-custom-styles' ) ) ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Submit button background color', 'ueldo' ) ),
            				'param_name' => 'submit_button_background_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( $ueldo_styles_cache -> get_style_key_depended( 'buttons-form-submit-button-background-color', 'buttons-global-button-background-color', array( 'buttons-form-submit-button-custom-styles-enabled' => 'use-custom-styles' ) ) ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Submit button border color', 'ueldo' ) ),
            				'param_name' => 'submit_button_border_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( $ueldo_styles_cache -> get_style_key_depended( 'buttons-form-submit-button-border-color', 'buttons-global-button-border-color', array( 'buttons-form-submit-button-custom-styles-enabled' => 'use-custom-styles' ) ) ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Submit button text color (on hover)', 'ueldo' ) ),
            				'param_name' => 'submit_button_text_color_hover',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( $ueldo_styles_cache -> get_style_key_depended( 'buttons-form-submit-button-text-color-hover', 'buttons-global-button-text-color-hover', array( 'buttons-form-submit-button-custom-styles-enabled' => 'use-custom-styles' ) ) ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Submit button background color (on hover)', 'ueldo' ) ),
            				'param_name' => 'submit_button_background_color_hover',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( $ueldo_styles_cache -> get_style_key_depended( 'buttons-form-submit-button-background-color-hover', 'buttons-global-button-background-color-hover', array( 'buttons-form-submit-button-custom-styles-enabled' => 'use-custom-styles' ) ) ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Submit button border color (on hover)', 'ueldo' ) ),
            				'param_name' => 'submit_button_border_color_hover',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( $ueldo_styles_cache -> get_style_key_depended( 'buttons-form-submit-button-border-color-hover', 'buttons-global-button-border-color-hover', array( 'buttons-form-submit-button-custom-styles-enabled' => 'use-custom-styles' ) ) ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            # submit button box shadow

            array(
                'type' => 'ueldo_box_shadow_horizontal_length',
                'heading' => esc_html( __( 'Box shadow', 'ueldo' ) ),
                'param_name' => 'submit_button_box_shadow_horizontal_length',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( $ueldo_styles_cache -> get_style_key_depended( 'buttons-form-submit-button-box-shadow', 'buttons-global-button-box-shadow', array( 'buttons-form-submit-button-custom-styles-enabled' => 'use-custom-styles' ) ), 'horizontal-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_vertical_length',
                'heading' => '',
                'param_name' => 'submit_button_box_shadow_vertical_length',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( $ueldo_styles_cache -> get_style_key_depended( 'buttons-form-submit-button-box-shadow', 'buttons-global-button-box-shadow', array( 'buttons-form-submit-button-custom-styles-enabled' => 'use-custom-styles' ) ), 'vertical-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_blur_radius',
                'heading' => '',
                'param_name' => 'submit_button_box_shadow_blur_radius',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( $ueldo_styles_cache -> get_style_key_depended( 'buttons-form-submit-button-box-shadow', 'buttons-global-button-box-shadow', array( 'buttons-form-submit-button-custom-styles-enabled' => 'use-custom-styles' ) ), 'blur-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_spread_radius',
                'heading' => '',
                'param_name' => 'submit_button_box_shadow_spread_radius',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( $ueldo_styles_cache -> get_style_key_depended( 'buttons-form-submit-button-box-shadow', 'buttons-global-button-box-shadow', array( 'buttons-form-submit-button-custom-styles-enabled' => 'use-custom-styles' ) ), 'spread-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'colorpicker',
                'heading' => '',
                'param_name' => 'submit_button_box_shadow_color',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings'
                ),
                'std' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( $ueldo_styles_cache -> get_style_key_depended( 'buttons-form-submit-button-box-shadow', 'buttons-global-button-box-shadow', array( 'buttons-form-submit-button-custom-styles-enabled' => 'use-custom-styles' ) ), 'color' ) ),
                'edit_field_class' => 'vc_col-xs-4',
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            # submit button box shadow (on hover)

            array(
                'type' => 'ueldo_box_shadow_horizontal_length',
                'heading' => esc_html( __( 'Box shadow (on hover)', 'ueldo' ) ),
                'param_name' => 'submit_button_box_shadow_horizontal_length_hover',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( $ueldo_styles_cache -> get_style_key_depended( 'buttons-form-submit-button-box-shadow-hover', 'buttons-global-button-box-shadow-hover', array( 'buttons-form-submit-button-custom-styles-enabled' => 'use-custom-styles' ) ), 'horizontal-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_vertical_length',
                'heading' => '',
                'param_name' => 'submit_button_box_shadow_vertical_length_hover',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( $ueldo_styles_cache -> get_style_key_depended( 'buttons-form-submit-button-box-shadow-hover', 'buttons-global-button-box-shadow-hover', array( 'buttons-form-submit-button-custom-styles-enabled' => 'use-custom-styles' ) ), 'vertical-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_blur_radius',
                'heading' => '',
                'param_name' => 'submit_button_box_shadow_blur_radius_hover',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( $ueldo_styles_cache -> get_style_key_depended( 'buttons-form-submit-button-box-shadow-hover', 'buttons-global-button-box-shadow-hover', array( 'buttons-form-submit-button-custom-styles-enabled' => 'use-custom-styles' ) ), 'blur-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_spread_radius',
                'heading' => '',
                'param_name' => 'submit_button_box_shadow_spread_radius_hover',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( $ueldo_styles_cache -> get_style_key_depended( 'buttons-form-submit-button-box-shadow-hover', 'buttons-global-button-box-shadow-hover', array( 'buttons-form-submit-button-custom-styles-enabled' => 'use-custom-styles' ) ), 'spread-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'colorpicker',
                'heading' => '',
                'param_name' => 'submit_button_box_shadow_color_hover',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings'
                ),
                'std' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( $ueldo_styles_cache -> get_style_key_depended( 'buttons-form-submit-button-box-shadow-hover', 'buttons-global-button-box-shadow-hover', array( 'buttons-form-submit-button-custom-styles-enabled' => 'use-custom-styles' ) ), 'color' ) ),
                'edit_field_class' => 'vc_col-xs-4',
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            )

            # end of submit button box shadow (on hover)

           /**
            *
            * end of fields.
            *
            */
        )

       /**
        *
        * end of shortcode settings
        *
        */

    )));

   /**
    *
    * extend WPBakeryShortCode class
    *
    */

    if( class_exists( 'WPBakeryShortCode' ) ) {

        class WPBakeryShortCode_Ueldo_Shortcode_Form extends WPBakeryShortCode {
        }
    }

   /**
    *
    * end of shortcode map.
    *
    */

?>