<?php

   /**
    *
    * map the shortcode settings with visual composer
    *
    */

    vc_map( ueldo_update_custom_vc_shortcode_settings( array(
        'name' => esc_html( __( 'Testimonials (full width loop)', 'ueldo' ) ),
        'description' => esc_html( __( 'Display testimonials loop in full row', 'ueldo' ) ),
        'base' => 'ueldo_shortcode_full_width_testimonials',
        'content_element' => true,
        'category' => esc_html( __( 'Ueldo', 'ueldo' ) ),
        'icon' => esc_url( get_template_directory_uri() .'/_assets/_img/vc-icon.png' ),
        'is_container' => true,
        'js_view' => 'VcColumnView',
        'as_parent' => array( 'only' => 'ueldo_shortcode_full_width_testimonials_single_testimonial' ),
        'as_child' => array( 'except' => 'ueldo_shortcode_full_width_testimonials_single_testimonial' ),
        'params' => array(

           /**
            *
            * class name
            *
            */

            ueldo_add_custom_vc_shortcode_settings( 'class-name', '', '', array(), esc_html( __( 'General settings', 'ueldo' ) ) ),

           /**
            *
            * group: general settings
            *
            */

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Type', 'ueldo' ) ),
                'param_name' => 'type',
                'value' => array(
                    esc_html( __( 'Companies (logos)', 'ueldo' ) ) => 'companies',
                    esc_html( __( 'Persons', 'ueldo' ) ) => 'persons'
                ),
                'std' => 'companies',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Use custom sizes for person images?', 'ueldo' ) ),
                'param_name' => 'person_images_custom_sizes_enabled',
                'value' => array(
                    esc_html( __( 'No, use theme defaults', 'ueldo' ) ) => 'theme_defaults',
                    esc_html( __( 'Yes, use custom sizes', 'ueldo' ) ) => 'custom_settings'
                ),
                'std' => 'theme_defaults',
                'dependency' => array(
                    'element' => 'type',
                    'value' => 'persons'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Author name position', 'ueldo' ) ),
                'param_name' => 'author_name_position',
                'value' => array(
                    esc_html( __( 'Above person images', 'ueldo' ) ) => 'above-person-images',
                    esc_html( __( 'Under person images', 'ueldo' ) ) => 'under-person-images',
                    esc_html( __( 'Above content', 'ueldo' ) ) => 'above-content',
                    esc_html( __( 'Under content', 'ueldo' ) ) => 'under-content'
                ),
                'std' => 'under-content',
                'dependency' => array(
                    'element' => 'type',
                    'value' => 'persons'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Animation style', 'ueldo' ) ),
                'param_name' => 'animation_style',
                'value' => array(
                    esc_html( __( 'Standard', 'ueldo' ) ) => 'standard',
                    esc_html( __( 'Active on center', 'ueldo' ) ) => 'on_center'
                ),
                'std' => 'standard',
                'dependency' => array(
                    'element' => 'type',
                    'value' => 'companies'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Content position', 'ueldo' ) ),
                'param_name' => 'content_position',
                'value' => array(
                    esc_html( __( 'Under selectors', 'ueldo' ) ) => 'under',
                    esc_html( __( 'Above selectors', 'ueldo' ) ) => 'above'
                ),
                'std' => 'under',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Go back to first testimonial after last?', 'ueldo' ) ),
                'param_name' => 'first_after_last',
                'value' => array(
                    esc_html( __( 'Yes', 'ueldo' ) ) => 'yes',
                    esc_html( __( 'No', 'ueldo' ) ) => 'no'
                ),
                'std' => 'yes',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_sizes',
                'std' => '',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Space between logos and content', 'ueldo' ) ),
                'param_name' => 'space_between_logos_and_content',
                'value' => array(
                    esc_html( __( 'Use theme defaults', 'ueldo' ) ) => 'theme_defaults',
                    esc_html( __( 'Use custom space size', 'ueldo' ) ) => 'custom_settings'
                ),
                'std' => 'theme_defaults',
                'dependency' => array(
                    'element' => 'type',
                    'value' => 'companies'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Space between logos and content (pixels)', 'ueldo' ) ),
                'param_name' => 'space_between_logos_and_content_px',
                'std' => '60',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'space_between_logos_and_content',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Author description margin (pixels)', 'ueldo' ) ),
                'param_name' => 'author_description_margin_px',
                'std' => '30',
                'ueldo-number-field-minus-allowed' => false,
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

           /**
            *
            * group: person images sizes
            *
            */

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Person images loop padding top', 'ueldo' ) ),
                'param_name' => 'person_images_loop_padding_top',
                'std' => '45',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'person_images_custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Person images sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Person images loop padding bottom', 'ueldo' ) ),
                'param_name' => 'person_images_loop_padding_bottom',
                'std' => '45',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'person_images_custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Person images sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Person images border radius type', 'ueldo' ) ),
                'param_name' => 'person_images_border_radius',
                'value' => array(
                    esc_html( __( 'Circle (100%)', 'ueldo' ) ) => '100%',
                    esc_html( __( 'Pixels', 'ueldo' ) ) => 'px'
                ),
                'std' => '100%',
                'dependency' => array(
                    'element' => 'person_images_custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Person images sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Person images border radius (pixels)', 'ueldo' ) ),
                'param_name' => 'person_images_border_radius_px',
                'std' => '4',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'person_images_border_radius',
                    'value' => 'px'
                ),
                'group' => esc_html( __( 'Person images sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Current person image border radius type', 'ueldo' ) ),
                'param_name' => 'current_person_image_border_radius',
                'value' => array(
                    esc_html( __( 'As same as for other images', 'ueldo' ) ) => 'same',
                    esc_html( __( 'Circle (100%)', 'ueldo' ) ) => '100%',
                    esc_html( __( 'Pixels', 'ueldo' ) ) => 'px'
                ),
                'std' => 'same',
                'dependency' => array(
                    'element' => 'person_images_custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Person images sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Current person image border radius (pixels)', 'ueldo' ) ),
                'param_name' => 'current_person_image_border_radius_px',
                'std' => '4',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'current_person_image_border_radius',
                    'value' => 'px'
                ),
                'group' => esc_html( __( 'Person images sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Person images width', 'ueldo' ) ),
                'param_name' => 'person_images_width',
                'std' => '40',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'person_images_custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Person images sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Person images height', 'ueldo' ) ),
                'param_name' => 'person_images_height',
                'std' => '40',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'person_images_custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Person images sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Current person image width', 'ueldo' ) ),
                'param_name' => 'current_person_image_width',
                'std' => '60',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'person_images_custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Person images sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Current person image height', 'ueldo' ) ),
                'param_name' => 'current_person_image_height',
                'std' => '60',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'person_images_custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Person images sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Space between person images', 'ueldo' ) ),
                'param_name' => 'space_between_person_images',
                'std' => '20',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'person_images_custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Person images sizes', 'ueldo' ) )
            ),

           /**
            *
            * group: next / prev arrows
            *
            */

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Use custom settings for next / prev arrows?', 'ueldo' ) ),
                'param_name' => 'custom_next_prev_arrows_settings',
                'value' => array(
                    esc_html( __( 'No, use theme defaults', 'ueldo' ) ) => 'theme_defaults',
                    esc_html( __( 'Yes, use custom settings', 'ueldo' ) ) => 'custom_settings'
                ),
                'std' => 'theme_defaults',
                'group' => esc_html( __( 'Next / prev arrows', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Enable arrows animation?', 'ueldo' ) ),
                'param_name' => 'enable_arrows_animation',
                'value' => array(
                    esc_html( __( 'Yes', 'ueldo' ) ) => 'yes',
                    esc_html( __( 'No', 'ueldo' ) ) => 'no'
                ),
                'std' => 'yes',
                'dependency' => array(
                    'element' => 'custom_next_prev_arrows_settings',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Next / prev arrows', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Arrow font size', 'ueldo' ) ),
                'param_name' => 'arrow_font_size',
                'std' => '17',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'custom_next_prev_arrows_settings',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Next / prev arrows', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Arrow padding top and bottom', 'ueldo' ) ),
                'param_name' => 'arrow_padding_top_bottom',
                'std' => '10',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'custom_next_prev_arrows_settings',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Next / prev arrows', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Arrow padding left and right', 'ueldo' ) ),
                'param_name' => 'arrow_padding_left_right',
                'std' => '10',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'custom_next_prev_arrows_settings',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Next / prev arrows', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Arrow border radius', 'ueldo' ) ),
                'param_name' => 'arrow_border_radius',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'custom_next_prev_arrows_settings',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Next / prev arrows', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Arrow border width', 'ueldo' ) ),
                'param_name' => 'arrow_border_width',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'custom_next_prev_arrows_settings',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Next / prev arrows', 'ueldo' ) )
            ),

           /**
            *
            * group: colors
            *
            */

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Use custom colors?', 'ueldo' ) ),
                'param_name' => 'custom_colors_enabled',
                'value' => array(
                    esc_html( __( 'No, use theme defaults', 'ueldo' ) ) => 'theme_defaults',
                    esc_html( __( 'Yes, use custom colors', 'ueldo' ) ) => 'custom_settings'
                ),
                'std' => 'theme_defaults',
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Background color', 'ueldo' ) ),
            				'param_name' => 'background_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Author name color', 'ueldo' ) ),
            				'param_name' => 'author_name_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-headings-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Author description color', 'ueldo' ) ),
            				'param_name' => 'author_description_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-content-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            # persons images box shadow

            array(
                'type' => 'ueldo_box_shadow_horizontal_length',
                'heading' => esc_html( __( 'Persons images: box shadow', 'ueldo' ) ),
                'param_name' => 'persons_images_box_shadow_horizontal_length',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_vertical_length',
                'heading' => '',
                'param_name' => 'persons_images_box_shadow_vertical_length',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_blur_radius',
                'heading' => '',
                'param_name' => 'persons_images_box_shadow_blur_radius',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_spread_radius',
                'heading' => '',
                'param_name' => 'persons_images_box_shadow_spread_radius',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
            				'type' => 'colorpicker',
            				'heading' => '',
            				'param_name' => 'persons_images_box_shadow_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) ),
                'edit_field_class' => 'vc_col-xs-4',
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            # persons images box shadow on hover

            array(
                'type' => 'ueldo_box_shadow_horizontal_length',
                'heading' => esc_html( __( 'Persons images: box shadow (on hover)', 'ueldo' ) ),
                'param_name' => 'persons_images_box_shadow_horizontal_length_hover',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_vertical_length',
                'heading' => '',
                'param_name' => 'persons_images_box_shadow_vertical_length_hover',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_blur_radius',
                'heading' => '',
                'param_name' => 'persons_images_box_shadow_blur_radius_hover',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_spread_radius',
                'heading' => '',
                'param_name' => 'persons_images_box_shadow_spread_radius_hover',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
            				'type' => 'colorpicker',
            				'heading' => '',
            				'param_name' => 'persons_images_box_shadow_color_hover',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) ),
                'edit_field_class' => 'vc_col-xs-4',
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            # active person image box shadow

            array(
                'type' => 'ueldo_box_shadow_horizontal_length',
                'heading' => esc_html( __( 'Active person image: box shadow', 'ueldo' ) ),
                'param_name' => 'active_person_image_box_shadow_horizontal_length',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'horizontal-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_vertical_length',
                'heading' => '',
                'param_name' => 'active_person_image_box_shadow_vertical_length',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'vertical-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_blur_radius',
                'heading' => '',
                'param_name' => 'active_person_image_box_shadow_blur_radius',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'blur-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_spread_radius',
                'heading' => '',
                'param_name' => 'active_person_image_box_shadow_spread_radius',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'spread-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
            				'type' => 'colorpicker',
            				'heading' => '',
            				'param_name' => 'active_person_image_box_shadow_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'color' ) ),
                'edit_field_class' => 'vc_col-xs-4',
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            # active person image box shadow on hover

            array(
                'type' => 'ueldo_box_shadow_horizontal_length',
                'heading' => esc_html( __( 'Active person image: box shadow (on hover)', 'ueldo' ) ),
                'param_name' => 'active_person_image_box_shadow_horizontal_length_hover',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'horizontal-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_vertical_length',
                'heading' => '',
                'param_name' => 'active_person_image_box_shadow_vertical_length_hover',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'vertical-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_blur_radius',
                'heading' => '',
                'param_name' => 'active_person_image_box_shadow_blur_radius_hover',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'blur-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_spread_radius',
                'heading' => '',
                'param_name' => 'active_person_image_box_shadow_spread_radius_hover',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'spread-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
            				'type' => 'colorpicker',
            				'heading' => '',
            				'param_name' => 'active_person_image_box_shadow_color_hover',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'color' ) ),
                'edit_field_class' => 'vc_col-xs-4',
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            # end of active person image box shadow on hover

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Next / prev arrow color', 'ueldo' ) ),
            				'param_name' => 'next_prev_arrow_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-icon-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Next / prev arrow color (on hover)', 'ueldo' ) ),
            				'param_name' => 'next_prev_arrow_color_hover',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Next / prev arrow container background', 'ueldo' ) ),
            				'param_name' => 'next_prev_arrow_container_background',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Next / prev arrow container background (on hover)', 'ueldo' ) ),
            				'param_name' => 'next_prev_arrow_container_background_hover',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Next / prev arrow container border color', 'ueldo' ) ),
            				'param_name' => 'next_prev_arrow_container_border_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Next / prev arrow container border color (on hover)', 'ueldo' ) ),
            				'param_name' => 'next_prev_arrow_container_border_color_hover',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            # next / prev arrow container box shadow

            array(
                'type' => 'ueldo_box_shadow_horizontal_length',
                'heading' => esc_html( __( 'Next / prev arrow container: box shadow', 'ueldo' ) ),
                'param_name' => 'next_prev_arrow_container_box_shadow_horizontal_length',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_vertical_length',
                'heading' => '',
                'param_name' => 'next_prev_arrow_container_box_shadow_vertical_length',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_blur_radius',
                'heading' => '',
                'param_name' => 'next_prev_arrow_container_box_shadow_blur_radius',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_spread_radius',
                'heading' => '',
                'param_name' => 'next_prev_arrow_container_box_shadow_spread_radius',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
            				'type' => 'colorpicker',
            				'heading' => '',
            				'param_name' => 'next_prev_arrow_container_box_shadow_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) ),
                'edit_field_class' => 'vc_col-xs-4',
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            # next / prev arrow container box shadow (on hover)

            array(
                'type' => 'ueldo_box_shadow_horizontal_length',
                'heading' => esc_html( __( 'Next / prev arrow container: box shadow (on hover)', 'ueldo' ) ),
                'param_name' => 'next_prev_arrow_container_box_shadow_horizontal_length_hover',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_vertical_length',
                'heading' => '',
                'param_name' => 'next_prev_arrow_container_box_shadow_vertical_length_hover',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_blur_radius',
                'heading' => '',
                'param_name' => 'next_prev_arrow_container_box_shadow_blur_radius_hover',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_spread_radius',
                'heading' => '',
                'param_name' => 'next_prev_arrow_container_box_shadow_spread_radius_hover',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
            				'type' => 'colorpicker',
            				'heading' => '',
            				'param_name' => 'next_prev_arrow_container_box_shadow_color_hover',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) ),
                'edit_field_class' => 'vc_col-xs-4',
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			)

            # end of next / prev arrow container box shadow (on hover)

           /**
            *
            * end of fields.
            *
            */
        )

       /**
        *
        * end of shortcode settings
        *
        */

    )));

   /**
    *
    * extend WPBakeryShortCode class
    *
    */

    if( class_exists( 'WPBakeryShortCodesContainer' ) ) {

        class WPBakeryShortCode_Ueldo_Shortcode_Full_Width_Testimonials extends WPBakeryShortCodesContainer {
        }
    }

   /**
    *
    * end of shortcode map.
    *
    */

?>