<?php

   /**
    *
    * map the shortcode settings with visual composer
    *
    */

    vc_map( ueldo_update_custom_vc_shortcode_settings( array(
        'name' => esc_html( __( 'Single testimonial', 'ueldo' ) ),
        'description' => esc_html( __( 'Single testimonial in loop', 'ueldo' ) ),
        'base' => 'ueldo_shortcode_full_width_testimonials_single_testimonial',
        'content_element' => true,
        'category' => esc_html( __( 'Ueldo', 'ueldo' ) ),
        'icon' => esc_url( get_template_directory_uri() .'/_assets/_img/vc-icon.png' ),
        'is_container' => true,
        'js_view' => 'VcColumnView',
        'as_child' => array( 'only' => 'ueldo_shortcode_full_width_testimonials' ),
        'params' => array(

           /**
            *
            * class name
            *
            */

            ueldo_add_custom_vc_shortcode_settings( 'class-name', '', '', array(), esc_html( __( 'General settings', 'ueldo' ) ) ),

           /**
            *
            * group: general settings
            *
            */

            array(
                'type' => 'textfield',
                'heading' => esc_html( __( 'Author name', 'ueldo' ) ),
                'param_name' => 'author_name',
                'admin_label' => true,
                'std' => esc_html( __( 'John Doe', 'ueldo' ) ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'textfield',
                'heading' => esc_html( __( 'Author description', 'ueldo' ) ),
                'param_name' => 'author_description',
                'std' => esc_html( __( 'Regular customer', 'ueldo' ) ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

           /**
            *
            * group: image
            *
            */

            array(
                'type' => 'attach_image',
                'heading' => esc_html( __( 'Image', 'ueldo' ) ),
                'param_name' => 'image',
                'group' => esc_html( __( 'Image', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Vertical position of image', 'ueldo' ) ),
                'param_name' => 'image_position_y',
                'value' => ueldo_get_vc_loop_option_percents(),
                'std' => '50%',
                'group' => esc_html( __( 'Image', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Horizontal position of image', 'ueldo' ) ),
                'param_name' => 'image_position_x',
                'value' => ueldo_get_vc_loop_option_percents(),
                'std' => '50%',
                'group' => esc_html( __( 'Image', 'ueldo' ) )
            ),

            array(
                'type' => 'textfield',
                'heading' => esc_html( __( 'Image alternative text', 'ueldo' ) ),
                'std' => esc_html( __( 'Image', 'ueldo' ) ),
                'param_name' => 'image_alt',
                'group' => esc_html( __( 'Image', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Image opacity', 'ueldo' ) ),
                'param_name' => 'image_opacity',
                'value' => ueldo_get_vc_loop_option_percents(),
                'std' => esc_html( __( '100%', 'ueldo' ) ),
                'group' => esc_html( __( 'Image', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Display other image on hover', 'ueldo' ) ),
                'param_name' => 'other_image_on_hover',
                'value' => array(
                    esc_html( __( 'No', 'ueldo' ) ) => 'no',
                    esc_html( __( 'Yes', 'ueldo' ) ) => 'yes'
                ),
                'std' => 'no',
                'group' => esc_html( __( 'Image', 'ueldo' ) )
            ),

           /**
            *
            * group: hover image
            *
            */

            array(
                'type' => 'attach_image',
                'heading' => esc_html( __( 'Hover image', 'ueldo' ) ),
                'param_name' => 'hover_image',
                'dependency' => array(
                    'element' => 'other_image_on_hover',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Hover image', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Vertical position of hover image', 'ueldo' ) ),
                'param_name' => 'hover_image_position_y',
                'value' => ueldo_get_vc_loop_option_percents(),
                'std' => '50%',
                'dependency' => array(
                    'element' => 'other_image_on_hover',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Hover image', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Horizontal position of hover image', 'ueldo' ) ),
                'param_name' => 'hover_image_position_x',
                'value' => ueldo_get_vc_loop_option_percents(),
                'std' => '50%',
                'dependency' => array(
                    'element' => 'other_image_on_hover',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Hover image', 'ueldo' ) )
            ),

            array(
                'type' => 'textfield',
                'heading' => esc_html( __( 'Hover image alternative text', 'ueldo' ) ),
                'std' => esc_html( __( 'Image', 'ueldo' ) ),
                'param_name' => 'hover_image_alt',
                'dependency' => array(
                    'element' => 'other_image_on_hover',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Hover image', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Image opacity', 'ueldo' ) ),
                'param_name' => 'hover_image_opacity',
                'value' => ueldo_get_vc_loop_option_percents(),
                'std' => esc_html( __( '100%', 'ueldo' ) ),
                'dependency' => array(
                    'element' => 'other_image_on_hover',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Hover image', 'ueldo' ) )
            )

           /**
            *
            * end of fields.
            *
            */
        )

       /**
        *
        * end of shortcode settings
        *
        */

    )));

   /**
    *
    * extend WPBakeryShortCode class
    *
    */

    if( class_exists( 'WPBakeryShortCodesContainer' ) ) {

        class WPBakeryShortCode_Ueldo_Shortcode_Full_Width_Testimonials_Single_Testimonial extends WPBakeryShortCodesContainer {
        }
    }

   /**
    *
    * end of shortcode map.
    *
    */

?>