<?php

   /**
    *
    * map the shortcode settings with visual composer
    *
    */

    vc_map( ueldo_update_custom_vc_shortcode_settings( array(
        'name' => esc_html( __( 'Gap', 'ueldo' ) ),
        'description' => esc_html( __( 'Add gap for elements, with height depends on screen size', 'ueldo' ) ),
        'base' => 'ueldo_shortcode_gap',
        'content_element' => true,
        'category' => esc_html( __( 'Ueldo', 'ueldo' ) ),
        'icon' => esc_url( get_template_directory_uri() .'/_assets/_img/vc-icon.png' ),
        'params' => array(

           /**
            *
            * class name
            *
            */

            ueldo_add_custom_vc_shortcode_settings( 'class-name', '', '', array(), esc_html( __( 'General settings', 'ueldo' ) ) ),

           /**
            *
            * group: general settings
            *
            */

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Height on large devices', 'ueldo' ) ),
                'param_name' => 'large_height',
                'std' => '60',
                'ueldo-number-field-minus-allowed' => false,
                'admin_label' => true,
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_medium_devices',
                'std' => '',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Custom height for medium devices?', 'ueldo' ) ),
                'param_name' => 'medium_custom_sizes',
                'value' => array(
                    esc_html( __( 'Yes, use custom sizes', 'ueldo' ) ) => 'yes',
                    esc_html( __( 'No, use as same sizes as for large devices', 'ueldo' ) ) => 'no-large'
                ),
                'std' => 'no-large',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Height on medium devices', 'ueldo' ) ),
                'param_name' => 'medium_height',
                'std' => '60',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'medium_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_small_devices',
                'std' => '',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Custom height for small devices?', 'ueldo' ) ),
                'param_name' => 'small_custom_sizes',
                'value' => array(
                    esc_html( __( 'Yes, use custom sizes', 'ueldo' ) ) => 'yes',
                    esc_html( __( 'No, use as same sizes as for large devices', 'ueldo' ) ) => 'no-large',
                    esc_html( __( 'No, use as same sizes as for medium devices', 'ueldo' ) ) => 'no-medium'
                ),
                'std' => 'no-medium',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Height on small devices', 'ueldo' ) ),
                'param_name' => 'small_height',
                'std' => '60',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'small_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_extra_small_devices',
                'std' => '',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Custom height for extra small devices?', 'ueldo' ) ),
                'param_name' => 'extra_small_custom_sizes',
                'value' => array(
                    esc_html( __( 'Yes, use custom sizes', 'ueldo' ) ) => 'yes',
                    esc_html( __( 'No, use as same sizes as for large devices', 'ueldo' ) ) => 'no-large',
                    esc_html( __( 'No, use as same sizes as for medium devices', 'ueldo' ) ) => 'no-medium',
                    esc_html( __( 'No, use as same sizes as for small devices', 'ueldo' ) ) => 'no-small'
                ),
                'std' => 'no-small',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Height on extra small devices', 'ueldo' ) ),
                'param_name' => 'extra_small_height',
                'std' => '60',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'extra_small_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            )

           /**
            *
            * end of fields.
            *
            */
        )

       /**
        *
        * end of shortcode settings
        *
        */

    )));

   /**
    *
    * extend WPBakeryShortCode class
    *
    */

    if( class_exists( 'WPBakeryShortCode' ) ) {

        class WPBakeryShortCode_Ueldo_Shortcode_Gap extends WPBakeryShortCode {
        }
    }

   /**
    *
    * end of shortcode map.
    *
    */

?>