<?php

   /**
    *
    * map the shortcode settings with visual composer
    *
    */

    vc_map( ueldo_update_custom_vc_shortcode_settings( array(
        'name' => esc_html( __( 'Google map', 'ueldo' ) ),
        'description' => esc_html( __( 'Display Google map', 'ueldo' ) ),
        'base' => 'ueldo_shortcode_google_map',
        'content_element' => true,
        'category' => esc_html( __( 'Ueldo', 'ueldo' ) ),
        'icon' => esc_url( get_template_directory_uri() .'/_assets/_img/vc-icon.png' ),
        'params' => array(

           /**
            *
            * class name
            *
            */

            ueldo_add_custom_vc_shortcode_settings( 'class-name', '', '', array(), esc_html( __( 'General settings', 'ueldo' ) ) ),

           /**
            *
            * group: general settings
            *
            */

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Choose the Google map', 'ueldo' ) ),
                'param_name' => 'google_map_id',
                'value' => ueldo_get_vc_loop_google_maps(),
                'dependency' => array(
                    'element' => 'image_content_type',
                    'value' => 'google-map'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Horizontal alignment', 'ueldo' ) ),
                'param_name' => 'horizontal_alignment',
                'value' => array(
                    esc_html( __( 'Left', 'ueldo' ) ) => 'left',
                    esc_html( __( 'Center', 'ueldo' ) ) => 'center',
                    esc_html( __( 'Right', 'ueldo' ) ) => 'right'
                ),
                'std' => esc_attr( ueldo_is_rtl() ? 'right' : 'left' ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

           /**
            *
            * group: sizes
            *
            */

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Border radius', 'ueldo' ) ),
                'param_name' => 'border_radius',
                'std' => '4',
                'ueldo-number-field-minus-allowed' => false,
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Border width', 'ueldo' ) ),
                'param_name' => 'border_width',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_large_device',
                'std' => '',
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Large device: width type', 'ueldo' ) ),
                'param_name' => 'large_width_type',
                'value' => array(
                    esc_html( __( 'Percentage', 'ueldo' ) ) => 'percentage',
                    esc_html( __( 'Pixels', 'ueldo' ) ) => 'px'
                ),
                'std' => 'percentage',
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Large device: width (percentage)', 'ueldo' ) ),
                'param_name' => 'large_width_percentage',
                'value' => ueldo_get_vc_loop_option_percents(),
                'std' => '100%',
                'dependency' => array(
                    'element' => 'large_width_type',
                    'value' => 'percentage'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Large device: width (pixels)', 'ueldo' ) ),
                'param_name' => 'large_width_px',
                'std' => '100',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'large_width_type',
                    'value' => 'px'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Large device: height', 'ueldo' ) ),
                'param_name' => 'large_height_px',
                'std' => '300',
                'ueldo-number-field-minus-allowed' => false,
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_medium_device',
                'std' => '',
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Custom sizes for medium devices?', 'ueldo' ) ),
                'param_name' => 'medium_custom_sizes',
                'value' => array(
                    esc_html( __( 'Yes, use custom sizes', 'ueldo' ) ) => 'yes',
                    esc_html( __( 'No, use as same sizes as for large devices', 'ueldo' ) ) => 'no-large'
                ),
                'std' => 'no-large',
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Medium device: width type', 'ueldo' ) ),
                'param_name' => 'medium_width_type',
                'value' => array(
                    esc_html( __( 'Percentage', 'ueldo' ) ) => 'percentage',
                    esc_html( __( 'Pixels', 'ueldo' ) ) => 'px'
                ),
                'std' => 'percentage',
                'dependency' => array(
                    'element' => 'medium_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Medium device: width (percentage)', 'ueldo' ) ),
                'param_name' => 'medium_width_percentage',
                'value' => ueldo_get_vc_loop_option_percents(),
                'std' => '100%',
                'dependency' => array(
                    'element' => 'medium_width_type',
                    'value' => 'percentage'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Medium device: width (pixels)', 'ueldo' ) ),
                'param_name' => 'medium_width_px',
                'std' => '100',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'medium_width_type',
                    'value' => 'px'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Medium device: height', 'ueldo' ) ),
                'param_name' => 'medium_height_px',
                'std' => '300',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'medium_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_medium_small',
                'std' => '',
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Custom sizes for small devices?', 'ueldo' ) ),
                'param_name' => 'small_custom_sizes',
                'value' => array(
                    esc_html( __( 'Yes, use custom sizes', 'ueldo' ) ) => 'yes',
                    esc_html( __( 'No, use as same sizes as for large devices', 'ueldo' ) ) => 'no-large',
                    esc_html( __( 'No, use as same sizes as for medium devices', 'ueldo' ) ) => 'no-medium'
                ),
                'std' => 'no-medium',
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Small device: width type', 'ueldo' ) ),
                'param_name' => 'small_width_type',
                'value' => array(
                    esc_html( __( 'Percentage', 'ueldo' ) ) => 'percentage',
                    esc_html( __( 'Pixels', 'ueldo' ) ) => 'px'
                ),
                'std' => 'percentage',
                'dependency' => array(
                    'element' => 'small_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Small device: width (percentage)', 'ueldo' ) ),
                'param_name' => 'small_width_percentage',
                'value' => ueldo_get_vc_loop_option_percents(),
                'std' => '100%',
                'dependency' => array(
                    'element' => 'small_width_type',
                    'value' => 'percentage'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Small device: width (pixels)', 'ueldo' ) ),
                'param_name' => 'small_width_px',
                'std' => '100',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'small_width_type',
                    'value' => 'px'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Small device: height', 'ueldo' ) ),
                'param_name' => 'small_height_px',
                'std' => '300',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'small_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_extra_small_device',
                'std' => '',
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Custom sizes for extra small devices?', 'ueldo' ) ),
                'param_name' => 'extra_small_custom_sizes',
                'value' => array(
                    esc_html( __( 'Yes, use custom sizes', 'ueldo' ) ) => 'yes',
                    esc_html( __( 'No, use as same sizes as for large devices', 'ueldo' ) ) => 'no-large',
                    esc_html( __( 'No, use as same sizes as for medium devices', 'ueldo' ) ) => 'no-medium',
                    esc_html( __( 'No, use as same sizes as for small devices', 'ueldo' ) ) => 'no-small'
                ),
                'std' => 'no-small',
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Extra small device: width type', 'ueldo' ) ),
                'param_name' => 'extra_small_width_type',
                'value' => array(
                    esc_html( __( 'Percentage', 'ueldo' ) ) => 'percentage',
                    esc_html( __( 'Pixels', 'ueldo' ) ) => 'px'
                ),
                'std' => 'percentage',
                'dependency' => array(
                    'element' => 'extra_small_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Extra small device: width (percentage)', 'ueldo' ) ),
                'param_name' => 'extra_small_width_percentage',
                'value' => ueldo_get_vc_loop_option_percents(),
                'std' => '100%',
                'dependency' => array(
                    'element' => 'extra_small_width_type',
                    'value' => 'percentage'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Extra small device: width (pixels)', 'ueldo' ) ),
                'param_name' => 'extra_small_width_px',
                'std' => '100',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'extra_small_width_type',
                    'value' => 'px'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Extra small device: height', 'ueldo' ) ),
                'param_name' => 'extra_small_height_px',
                'std' => '300',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'extra_small_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

           /**
            *
            * group: margins
            *
            */

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Margin top', 'ueldo' ) ),
                'param_name' => 'margin_top',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => true,
                'group' => esc_html( __( 'Margins', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Margin right', 'ueldo' ) ),
                'param_name' => 'margin_right',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => true,
                'dependency' => array(
                    'element' => 'horizontal_alignment',
                    'value' => array(
                        'left',
                        'right'
                    )
                ),
                'group' => esc_html( __( 'Margins', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Margin bottom', 'ueldo' ) ),
                'param_name' => 'margin_bottom',
                'std' => '30',
                'ueldo-number-field-minus-allowed' => true,
                'group' => esc_html( __( 'Margins', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Margin left', 'ueldo' ) ),
                'param_name' => 'margin_left',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => true,
                'dependency' => array(
                    'element' => 'horizontal_alignment',
                    'value' => array(
                        'left',
                        'right'
                    )
                ),
                'group' => esc_html( __( 'Margins', 'ueldo' ) )
            ),

           /**
            *
            * group: colors
            *
            */

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Use custom colors?', 'ueldo' ) ),
                'param_name' => 'custom_colors_enabled',
                'value' => array(
                    esc_html( __( 'No, use theme defaults', 'ueldo' ) ) => 'theme_defaults',
                    esc_html( __( 'Yes, use custom colors', 'ueldo' ) ) => 'custom_settings'
                ),
                'std' => 'theme_defaults',
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Border color', 'ueldo' ) ),
            				'param_name' => 'border_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Box shadow type', 'ueldo' ) ),
                'param_name' => 'box_shadow_type',
                'value' => array(
                    esc_html( __( 'Outset', 'ueldo' ) ) => 'outset',
                    esc_html( __( 'Inset in top and bottom', 'ueldo' ) ) => 'inset_top_bottom'
                ),
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings',
                ),
                'std' => 'outset',
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            # box shadow outset

            array(
                'type' => 'ueldo_box_shadow_horizontal_length',
                'heading' => esc_html( __( 'Box shadow', 'ueldo' ) ),
                'param_name' => 'box_shadow_horizontal_length',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'horizontal-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'box_shadow_type',
                    'value' => 'outset',
                ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_vertical_length',
                'heading' => '',
                'param_name' => 'box_shadow_vertical_length',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'vertical-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'box_shadow_type',
                    'value' => 'outset',
                ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_blur_radius',
                'heading' => '',
                'param_name' => 'box_shadow_blur_radius',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'blur-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'box_shadow_type',
                    'value' => 'outset',
                ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_spread_radius',
                'heading' => '',
                'param_name' => 'box_shadow_spread_radius',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'spread-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'box_shadow_type',
                    'value' => 'outset',
                ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'colorpicker',
                'heading' => '',
                'param_name' => 'box_shadow_color',
                'dependency' => array(
                    'element' => 'box_shadow_type',
                    'value' => 'outset',
                ),
                'std' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'color' ) ),
                'edit_field_class' => 'vc_col-xs-4',
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            # box shadow top

            array(
                'type' => 'ueldo_box_shadow_horizontal_length',
                'heading' => esc_html( __( 'Inset box shadow (top)', 'ueldo' ) ),
                'param_name' => 'inset_top_box_shadow_horizontal_length',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-top', 'horizontal-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'box_shadow_type',
                    'value' => 'inset_top_bottom',
                ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_vertical_length',
                'heading' => '',
                'param_name' => 'inset_top_box_shadow_vertical_length',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-top', 'vertical-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'box_shadow_type',
                    'value' => 'inset_top_bottom',
                ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_blur_radius',
                'heading' => '',
                'param_name' => 'inset_top_box_shadow_blur_radius',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-top', 'blur-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'box_shadow_type',
                    'value' => 'inset_top_bottom',
                ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_spread_radius',
                'heading' => '',
                'param_name' => 'inset_top_box_shadow_spread_radius',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-top', 'spread-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'box_shadow_type',
                    'value' => 'inset_top_bottom',
                ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'colorpicker',
                'heading' => '',
                'param_name' => 'inset_top_box_shadow_color',
                'dependency' => array(
                    'element' => 'box_shadow_type',
                    'value' => 'inset_top_bottom',
                ),
                'std' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-top', 'color' ) ),
                'edit_field_class' => 'vc_col-xs-4',
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            # box shadow bottom

            array(
                'type' => 'ueldo_box_shadow_horizontal_length',
                'heading' => esc_html( __( 'Inset box shadow (bottom)', 'ueldo' ) ),
                'param_name' => 'inset_bottom_box_shadow_horizontal_length',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-bottom', 'horizontal-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'box_shadow_type',
                    'value' => 'inset_top_bottom',
                ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_vertical_length',
                'heading' => '',
                'param_name' => 'inset_bottom_box_shadow_vertical_length',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-bottom', 'vertical-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'box_shadow_type',
                    'value' => 'inset_top_bottom',
                ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_blur_radius',
                'heading' => '',
                'param_name' => 'inset_bottom_box_shadow_blur_radius',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-bottom', 'blur-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'box_shadow_type',
                    'value' => 'inset_top_bottom',
                ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_spread_radius',
                'heading' => '',
                'param_name' => 'inset_bottom_box_shadow_spread_radius',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-bottom', 'spread-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'box_shadow_type',
                    'value' => 'inset_top_bottom',
                ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'colorpicker',
                'heading' => '',
                'param_name' => 'inset_bottom_box_shadow_color',
                'dependency' => array(
                    'element' => 'box_shadow_type',
                    'value' => 'inset_top_bottom',
                ),
                'std' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-bottom', 'color' ) ),
                'edit_field_class' => 'vc_col-xs-4',
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            )

           /**
            *
            * end of fields.
            *
            */
        )

       /**
        *
        * end of shortcode settings
        *
        */

    )));

   /**
    *
    * extend WPBakeryShortCode class
    *
    */

    if( class_exists( 'WPBakeryShortCode' ) ) {

        class WPBakeryShortCode_Ueldo_Shortcode_Google_Map extends WPBakeryShortCode {
        }
    }

   /**
    *
    * end of shortcode map.
    *
    */

?>