<?php

   /**
    *
    * map the shortcode settings with visual composer
    *
    */

    vc_map( ueldo_update_custom_vc_shortcode_settings( array(
        'name' => esc_html( __( 'Heading', 'ueldo' ) ),
        'description' => esc_html( __( 'Custom heading with Google fonts', 'ueldo' ) ),
        'base' => 'ueldo_shortcode_heading',
        'content_element' => true,
        'category' => esc_html( __( 'Ueldo', 'ueldo' ) ),
        'icon' => esc_url( get_template_directory_uri() .'/_assets/_img/vc-icon.png' ),
        'is_container' => true,
        'js_view' => 'VcColumnView',
        'as_parent' => array( 'only' => 'ueldo_shortcode_heading_text' ),
        'params' => array(

           /**
            *
            * class name
            *
            */

            ueldo_add_custom_vc_shortcode_settings( 'class-name', '', '', array(), esc_html( __( 'Heading', 'ueldo' ) ) ),

           /**
            *
            * group: heading
            *
            */

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Heading tag', 'ueldo' ) ),
                'param_name' => 'heading_tag',
                'value' => array(
                    esc_html( __( 'h1', 'ueldo' ) ) => 'h1',
                    esc_html( __( 'h2', 'ueldo' ) ) => 'h2',
                    esc_html( __( 'h3', 'ueldo' ) ) => 'h3',
                    esc_html( __( 'h4', 'ueldo' ) ) => 'h4',
                    esc_html( __( 'h5', 'ueldo' ) ) => 'h5',
                    esc_html( __( 'h6', 'ueldo' ) ) => 'h6',
                    esc_html( __( 'paragraph', 'ueldo' ) ) => 'p',
                ),
                'std' => 'h2',
                'group' => esc_html( __( 'Heading', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Text align', 'ueldo' ) ),
                'param_name' => 'text_align',
                'value' => array(
                    esc_html( __( 'Inline', 'ueldo' ) ) => 'inline',
                    esc_html( __( 'Left', 'ueldo' ) ) => 'left',
                    esc_html( __( 'Center', 'ueldo' ) ) => 'center',
                    esc_html( __( 'Right', 'ueldo' ) ) => 'right'
                ),
                'std' => esc_attr( ueldo_is_rtl() ? 'right' : 'left' ),
                'group' => esc_html( __( 'Heading', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_display_heading_subtitle',
                'std' => '',
                'group' => esc_html( __( 'Heading', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Display heading subtitle', 'ueldo' ) ),
                'param_name' => 'display_heading_subtitle',
                'value' => array(
                    esc_html( __( 'No', 'ueldo' ) ) => 'no',
                    esc_html( __( 'Yes, above the heading text', 'ueldo' ) ) => 'yes-above',
                    esc_html( __( 'Yes, under the heading text', 'ueldo' ) ) => 'yes-under'
                ),
                'std' => 'yes-above',
                'group' => esc_html( __( 'Heading', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_url',
                'std' => '',
                'group' => esc_html( __( 'Heading', 'ueldo' ) )
            ),

            array(
                'type' => 'vc_link',
                'heading' => esc_html( __( 'URL (link)', 'ueldo' ) ),
                'param_name' => 'heading_url',
                'std' => '',
                'group' => esc_html( __( 'Heading', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_margins',
                'std' => '',
                'group' => esc_html( __( 'Heading', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Margins', 'ueldo' ) ),
                'param_name' => 'custom_margins_enabled',
                'value' => array(
                    esc_html( __( 'Use theme defaults', 'ueldo' ) ) => 'theme_defaults',
                    esc_html( __( 'Use custom margins', 'ueldo' ) ) => 'custom_margins'
                ),
                'std' => 'theme_defaults',
                'group' => esc_html( __( 'Heading', 'ueldo' ) )
            ),

           /**
            *
            * group: heading subtitle
            *
            */

            array(
                'type' => 'textfield',
                'heading' => esc_html( __( 'Heading subtitle text', 'ueldo' ) ),
                'param_name' => 'heading_subtitle_text',
                'dependency' => array(
                    'element' => 'display_heading_subtitle',
                    'value' => array(
                        'yes-above',
                        'yes-under'
                    )
                ),
                'std' => esc_html( __( 'Meet our company', 'ueldo' ) ),
                'group' => esc_html( __( 'Heading subtitle', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_heading_subtitle_text_font',
                'std' => '',
                'dependency' => array(
                    'element' => 'display_heading_subtitle',
                    'value' => array(
                        'yes-above',
                        'yes-under'
                    )
                ),
                'group' => esc_html( __( 'Heading subtitle', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Custom font settings for heading subtitle?', 'ueldo' ) ),
                'param_name' => 'custom_font_for_heading_subtitle',
                'value' => array(
                    esc_html( __( 'Use theme defaults', 'ueldo' ) ) => 'theme_defaults',
                    esc_html( __( 'Use custom settings', 'ueldo' ) ) => 'custom_settings'
                ),
                'dependency' => array(
                    'element' => 'display_heading_subtitle',
                    'value' => array(
                        'yes-above',
                        'yes-under'
                    )
                ),
                'std' => 'theme_defaults',
                'group' => esc_html( __( 'Heading subtitle', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Heading subtitle font family', 'ueldo' ) ),
                'param_name' => 'heading_subtitle_font_family',
                'value' => ueldo_vc_get_heading_text_fonts(),
                'std' => ueldo_get_default_font_key( 'headings-subtitle-font' ),
                'dependency' => array(
                    'element' => 'custom_font_for_heading_subtitle',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Heading subtitle', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Uppercase enabled for heading subtitle?', 'ueldo' ) ),
                'param_name' => 'heading_subtitle_uppercase_enabled',
                'value' => array(
                    esc_html( __( 'Yes', 'ueldo' ) ) => 'yes',
                    esc_html( __( 'No', 'ueldo' ) ) => 'no'
                ),
                'dependency' => array(
                    'element' => 'custom_font_for_heading_subtitle',
                    'value' => 'custom_settings'
                ),
                'std' => 'yes',
                'group' => esc_html( __( 'Heading subtitle', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Heading subtitle font size', 'ueldo' ) ),
                'param_name' => 'heading_subtitle_font_size',
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'font-size-content' ) ),
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'custom_font_for_heading_subtitle',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Heading subtitle', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_em_number',
                'heading' => esc_html( __( 'Heading subtitle line height', 'ueldo' ) ),
                'param_name' => 'heading_subtitle_line_height',
                'std' => '1.0',
                'dependency' => array(
                    'element' => 'custom_font_for_heading_subtitle',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Heading subtitle', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_font_color',
                'std' => '',
                'dependency' => array(
                    'element' => 'display_heading_subtitle',
                    'value' => array(
                        'yes-above',
                        'yes-under'
                    )
                ),
                'group' => esc_html( __( 'Heading subtitle', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Heading subtitle font color', 'ueldo' ) ),
                'param_name' => 'custom_heading_subtitle_font_color_enabled',
                'value' => array(
                    esc_html( __( 'Use theme defaults', 'ueldo' ) ) => 'theme_defaults',
                    esc_html( __( 'Use custom font color', 'ueldo' ) ) => 'custom_settings'
                ),
                'std' => 'theme_defaults',
                'dependency' => array(
                    'element' => 'display_heading_subtitle',
                    'value' => array(
                        'yes-above',
                        'yes-under'
                    )
                ),
                'group' => esc_html( __( 'Heading subtitle', 'ueldo' ) )
            ),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Heading subtitle custom font color', 'ueldo' ) ),
            				'param_name' => 'heading_subtitle_font_color',
            				'dependency' => array(
               					'element' => 'custom_heading_subtitle_font_color_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-headings-subtitle-color' ) ),
                'group' => esc_html( __( 'Heading subtitle', 'ueldo' ) )
         			),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_margin',
                'std' => '',
                'dependency' => array(
                    'element' => 'display_heading_subtitle',
                    'value' => array(
                        'yes-above',
                        'yes-under'
                    )
                ),
                'group' => esc_html( __( 'Heading subtitle', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Custom space between heading subtitle and heading text', 'ueldo' ) ),
                'param_name' => 'heading_subtitle_custom_margin_enabled',
                'value' => array(
                    esc_html( __( 'Use theme defaults', 'ueldo' ) ) => 'theme_defaults',
                    esc_html( __( 'Use custom space value', 'ueldo' ) ) => 'custom_settings'
                ),
                'std' => 'theme_defaults',
                'dependency' => array(
                    'element' => 'display_heading_subtitle',
                    'value' => array(
                        'yes-above',
                        'yes-under'
                    )
                ),
                'group' => esc_html( __( 'Heading subtitle', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Space between heading subtitle and heading text value', 'ueldo' ) ),
                'param_name' => 'heading_subtitle_margin',
                'std' => '15',
                'ueldo-number-field-minus-allowed' => true,
                'dependency' => array(
                    'element' => 'heading_subtitle_custom_margin_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Heading subtitle', 'ueldo' ) )
            ),

           /**
            *
            * group: margins
            *
            */

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Margin top', 'ueldo' ) ),
                'param_name' => 'custom_margin_top',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => true,
                'dependency' => array(
                    'element' => 'custom_margins_enabled',
                    'value' => 'custom_margins'
                ),
                'group' => esc_html( __( 'Margins', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Margin right', 'ueldo' ) ),
                'param_name' => 'custom_margin_right',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => true,
                'dependency' => array(
                    'element' => 'custom_margins_enabled',
                    'value' => 'custom_margins'
                ),
                'group' => esc_html( __( 'Margins', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Margin bottom', 'ueldo' ) ),
                'param_name' => 'custom_margin_bottom',
                'std' => '30',
                'ueldo-number-field-minus-allowed' => true,
                'dependency' => array(
                    'element' => 'custom_margins_enabled',
                    'value' => 'custom_margins'
                ),
                'group' => esc_html( __( 'Margins', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Margin left', 'ueldo' ) ),
                'param_name' => 'custom_margin_left',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => true,
                'dependency' => array(
                    'element' => 'custom_margins_enabled',
                    'value' => 'custom_margins'
                ),
                'group' => esc_html( __( 'Margins', 'ueldo' ) )
            )

           /**
            *
            * end of fields.
            *
            */
        )

       /**
        *
        * end of shortcode settings
        *
        */

    )));

   /**
    *
    * extend WPBakeryShortCode class
    *
    */

    if( class_exists( 'WPBakeryShortCodesContainer' ) ) {

        class WPBakeryShortCode_Ueldo_Shortcode_Heading extends WPBakeryShortCodesContainer {
        }
    }

   /**
    *
    * end of shortcode map.
    *
    */

?>