<?php

   /**
    *
    * map the shortcode settings with visual composer
    *
    */

    vc_map( ueldo_update_custom_vc_shortcode_settings( array(
        'name' => esc_html( __( 'Heading text', 'ueldo' ) ),
        'description' => esc_html( __( 'Custom heading text element', 'ueldo' ) ),
        'base' => 'ueldo_shortcode_heading_text',
        'content_element' => true,
        'category' => esc_html( __( 'Ueldo', 'ueldo' ) ),
        'icon' => esc_url( get_template_directory_uri() .'/_assets/_img/vc-icon.png' ),
        'as_child' => array( 'only' => 'ueldo_shortcode_heading' ),
        'params' => array(

           /**
            *
            * class name
            *
            */

            ueldo_add_custom_vc_shortcode_settings( 'class-name', '', '', array(), esc_html( __( 'Heading text', 'ueldo' ) ) ),

           /**
            *
            * group: heading text
            *
            */

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Heading text type', 'ueldo' ) ),
                'param_name' => 'heading_text_type',
                'value' => array(
                    esc_html( __( 'Custom text', 'ueldo' ) ) => 'custom_text',
                    esc_html( __( 'Counter', 'ueldo' ) ) => 'counter',
                    esc_html( __( 'Archive title', 'ueldo' ) ) => 'archive_title',
                    esc_html( __( 'Search query', 'ueldo' ) ) => 'search_query'
                ),
                'std' => 'custom_text',
                'group' => esc_html( __( 'Heading text', 'ueldo' ) )
            ),

            array(
                'type' => 'textfield',
                'heading' => esc_html( __( 'Heading text', 'ueldo' ) ),
                'param_name' => 'heading_text',
                'admin_label' => true,
                'std' => esc_html( __( 'Hello!', 'ueldo' ) ),
                'dependency' => array(
                    'element' => 'heading_text_type',
                    'value' => 'custom_text'
                ),
                'group' => esc_html( __( 'Heading text', 'ueldo' ) )
            ),

            /**/

            array(
                'type' => 'ueldo_number',
                'heading' => esc_html( __( 'Counter value', 'ueldo' ) ),
                'std' => '3500',
                'ueldo-number-field-minus-allowed' => false,
                'param_name' => 'counter_value',
                'dependency' => array(
                    'element' => 'heading_text_type',
                    'value' => 'counter'
                ),
                'group' => esc_html( __( 'Heading text', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_number',
                'heading' => esc_html( __( 'Counter duration', 'ueldo' ) ),
                'std' => '2000',
                'ueldo-number-field-minus-allowed' => false,
                'param_name' => 'counter_duration',
                'dependency' => array(
                    'element' => 'heading_text_type',
                    'value' => 'counter'
                ),
                'group' => esc_html( __( 'Heading text', 'ueldo' ) )
            ),

            /**/

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_heading_text_font',
                'std' => '',
                'group' => esc_html( __( 'Heading text', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Font family', 'ueldo' ) ),
                'param_name' => 'font_family',
                'value' => ueldo_vc_get_heading_text_fonts(),
                'std' => ueldo_get_default_font_key( 'headings-font' ),
                'group' => esc_html( __( 'Heading text', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Font size and line height', 'ueldo' ) ),
                'param_name' => 'custom_font_size_and_line_height_enabled',
                'value' => array(
                    esc_html( __( 'Use theme defaults', 'ueldo' ) ) => 'theme_defaults',
                    esc_html( __( 'Use custom settings', 'ueldo' ) ) => 'custom_settings'
                ),
                'std' => 'theme_defaults',
                'group' => esc_html( __( 'Heading text', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Font size', 'ueldo' ) ),
                'param_name' => 'font_size',
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'font-size-h1' ) ),
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'custom_font_size_and_line_height_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Heading text', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_em_number',
                'heading' => esc_html( __( 'Line height', 'ueldo' ) ),
                'param_name' => 'line_height',
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'line-height-headings' ) ),
                'dependency' => array(
                    'element' => 'custom_font_size_and_line_height_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Heading text', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Letter spacing', 'ueldo' ) ),
                'param_name' => 'letter_spacing',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => true,
                'dependency' => array(
                    'element' => 'custom_font_size_and_line_height_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Heading text', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_heading_text_font_color',
                'std' => '',
                'group' => esc_html( __( 'Heading text', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Font color', 'ueldo' ) ),
                'param_name' => 'custom_font_color_enabled',
                'value' => array(
                    esc_html( __( 'Use theme defaults', 'ueldo' ) ) => 'theme_defaults',
                    esc_html( __( 'Use custom font color', 'ueldo' ) ) => 'custom_settings'
                ),
                'std' => 'theme_defaults',
                'group' => esc_html( __( 'Heading text', 'ueldo' ) )
            ),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Custom font color', 'ueldo' ) ),
            				'param_name' => 'font_color',
            				'dependency' => array(
               					'element' => 'custom_font_color_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                'group' => esc_html( __( 'Heading text', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Custom font color (on hover)', 'ueldo' ) ),
            				'param_name' => 'font_color_hover',
            				'dependency' => array(
               					'element' => 'custom_font_color_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                'group' => esc_html( __( 'Heading text', 'ueldo' ) )
         			),

           /**
            *
            * group: margins and paddings
            *
            */

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Additional margin before text', 'ueldo' ) ),
                'param_name' => 'additional_margin_before',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => true,
                'group' => esc_html( __( 'Margins and paddings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Additional margin after text', 'ueldo' ) ),
                'param_name' => 'additional_margin_after',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => true,
                'group' => esc_html( __( 'Margins and paddings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Additional padding on left side', 'ueldo' ) ),
                'param_name' => 'additional_padding_left',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'group' => esc_html( __( 'Margins and paddings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Additional padding on right side', 'ueldo' ) ),
                'param_name' => 'additional_padding_right',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'group' => esc_html( __( 'Margins and paddings', 'ueldo' ) )
            ),

           /**
            *
            * group: highlights
            *
            */

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Add highlights?', 'ueldo' ) ),
                'param_name' => 'add_highlights',
                'value' => array(
                    esc_html( __( 'No', 'ueldo' ) ) => 'no',
                    esc_html( __( 'Yes, add only underline', 'ueldo' ) ) => 'yes-underline',
                    esc_html( __( 'Yes, add only background color', 'ueldo' ) ) => 'yes-background',
                    esc_html( __( 'Yes, add underline and background color', 'ueldo' ) ) => 'yes-underline-background'
                ),
                'std' => 'no',
                'group' => esc_html( __( 'Highlights', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_highlight_underline',
                'std' => '',
                'dependency' => array(
               					'element' => 'add_highlights',
               					'value' => array(
                        'yes-underline',
                        'yes-underline-background'
                    )
            				),
                'group' => esc_html( __( 'Highlights', 'ueldo' ) )
            ),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Underline color', 'ueldo' ) ),
            				'param_name' => 'underline_color',
            				'dependency' => array(
               					'element' => 'add_highlights',
               					'value' => array(
                        'yes-underline',
                        'yes-underline-background'
                    )
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                'group' => esc_html( __( 'Highlights', 'ueldo' ) )
         			),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Underline height', 'ueldo' ) ),
                'param_name' => 'underline_height',
                'std' => '4',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
               					'element' => 'add_highlights',
               					'value' => array(
                        'yes-underline',
                        'yes-underline-background'
                    )
            				),
                'group' => esc_html( __( 'Highlights', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Underline margin bottom', 'ueldo' ) ),
                'param_name' => 'underline_margin_bottom',
                'std' => '11',
                'ueldo-number-field-minus-allowed' => true,
                'dependency' => array(
               					'element' => 'add_highlights',
               					'value' => array(
                        'yes-underline',
                        'yes-underline-background'
                    )
            				),
                'group' => esc_html( __( 'Highlights', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_highlight_background_color',
                'std' => '',
                'dependency' => array(
               					'element' => 'add_highlights',
               					'value' => array(
                        'yes-background',
                        'yes-underline-background'
                    )
            				),
                'group' => esc_html( __( 'Highlights', 'ueldo' ) )
            ),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Background color', 'ueldo' ) ),
            				'param_name' => 'background_color',
            				'dependency' => array(
               					'element' => 'add_highlights',
               					'value' => array(
                        'yes-background',
                        'yes-underline-background'
                    )
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                'group' => esc_html( __( 'Highlights', 'ueldo' ) )
         			)

           /**
            *
            * end of fields.
            *
            */
        )

       /**
        *
        * end of shortcode settings
        *
        */

    )));

   /**
    *
    * extend WPBakeryShortCode class
    *
    */

    if( class_exists( 'WPBakeryShortCode' ) ) {

        class WPBakeryShortCode_Ueldo_Shortcode_Heading_Text extends WPBakeryShortCode {
        }
    }

   /**
    *
    * end of shortcode map.
    *
    */

?>