<?php

   /**
    *
    * map the shortcode settings with visual composer
    *
    */

    vc_map( ueldo_update_custom_vc_shortcode_settings( array(
        'name' => esc_html( __( 'Icon', 'ueldo' ) ),
        'description' => esc_html( __( 'Display single icon', 'ueldo' ) ),
        'base' => 'ueldo_shortcode_icon',
        'content_element' => true,
        'category' => esc_html( __( 'Ueldo', 'ueldo' ) ),
        'icon' => esc_url( get_template_directory_uri() .'/_assets/_img/vc-icon.png' ),
        'params' => array(

           /**
            *
            * class name
            *
            */

            ueldo_add_custom_vc_shortcode_settings( 'class-name', '', '', array(), esc_html( __( 'General settings', 'ueldo' ) ) ),

           /**
            *
            * group: general settings
            *
            */

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Icon alignment', 'ueldo' ) ),
                'param_name' => 'icon_alignment',
                'value' => array(
                    esc_html( __( 'Left', 'ueldo' ) ) => 'left',
                    esc_html( __( 'Center', 'ueldo' ) ) => 'center',
                    esc_html( __( 'Right', 'ueldo' ) ) => 'right',
                    esc_html( __( 'Inline', 'ueldo' ) ) => 'inline'
                ),
                'std' => esc_attr( ueldo_is_rtl() ? 'right' : 'left' ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_icon',
                'std' => '',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            'ueldo_custom_vc_shortcode_additional_settings_01' => ueldo_add_custom_vc_shortcode_settings(
                'icons',
                'icon_',
                esc_html( __( 'Icon', 'ueldo' ) ),
                array(),
                esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_icon_url',
                'std' => '',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Add URL (link) to icon?', 'ueldo' ) ),
                'param_name' => 'add_url_to_icon',
                'value' => array(
                    esc_html( __( 'Yes', 'ueldo' ) ) => 'yes',
                    esc_html( __( 'No', 'ueldo' ) ) => 'no'
                ),
                'std' => 'no',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'vc_link',
                'heading' => esc_html( __( 'URL (link)', 'ueldo' ) ),
                'param_name' => 'icon_url',
                'std' => ueldo_get_default_button_url( '#', esc_html( __( 'Contact us', 'ueldo' ) ), '_blank' ),
                'dependency' => array(
                    'element' => 'add_url_to_icon',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

           /**
            *
            * group: sizes
            *
            */

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Use custom sizes?', 'ueldo' ) ),
                'param_name' => 'custom_sizes_enabled',
                'value' => array(
                    esc_html( __( 'Use theme defaults', 'ueldo' ) ) => 'theme_defaults',
                    esc_html( __( 'Use custom settings', 'ueldo' ) ) => 'custom_settings'
                ),
                'std' => 'theme_defaults',
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_sizes_icon',
                'std' => '',
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Icon size', 'ueldo' ) ),
                'param_name' => 'icon_size',
                'std' => '30',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_sizes_margins',
                'std' => '',
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Margin top', 'ueldo' ) ),
                'param_name' => 'margin_top',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => true,
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Margin right', 'ueldo' ) ),
                'param_name' => 'margin_right',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => true,
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Margin bottom', 'ueldo' ) ),
                'param_name' => 'margin_bottom',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => true,
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Margin left', 'ueldo' ) ),
                'param_name' => 'margin_left',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => true,
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

           /**
            *
            * group: colors
            *
            */

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Use custom colors?', 'ueldo' ) ),
                'param_name' => 'custom_colors_enabled',
                'value' => array(
                    esc_html( __( 'No, use theme defaults', 'ueldo' ) ) => 'theme_defaults',
                    esc_html( __( 'Yes, use custom colors', 'ueldo' ) ) => 'custom_settings'
                ),
                'std' => 'theme_defaults',
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_colors',
                'std' => '',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Icon color', 'ueldo' ) ),
            				'param_name' => 'icon_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-icon-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            # icon shadow

            array(
                'type' => 'ueldo_text_shadow_horizontal_length',
                'heading' => esc_html( __( 'Icon shadow', 'ueldo' ) ),
                'param_name' => 'icon_shadow_horizontal_length',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-4',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings'
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_text_shadow_vertical_length',
                'heading' => '',
                'param_name' => 'icon_shadow_vertical_length',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-4',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings'
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_text_shadow_blur_radius',
                'heading' => '',
                'param_name' => 'icon_shadow_blur_radius',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-4',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings'
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
            				'type' => 'colorpicker',
            				'heading' => '',
            				'param_name' => 'icon_shadow_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings'
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            # end of icon shadow

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_different_colors_on_hover',
                'std' => '',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings'
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Different colors on hover?', 'ueldo' ) ),
                'param_name' => 'different_colors_on_hover',
                'value' => array(
                    esc_html( __( 'Yes', 'ueldo' ) ) => 'yes',
                    esc_html( __( 'No', 'ueldo' ) ) => 'no'
                ),
                'std' => 'no',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings'
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Icon color (on hover)', 'ueldo' ) ),
            				'param_name' => 'icon_color_hover',
            				'dependency' => array(
               					'element' => 'different_colors_on_hover',
               					'value' => 'yes'
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-icon-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            # icon shadow

            array(
                'type' => 'ueldo_text_shadow_horizontal_length',
                'heading' => esc_html( __( 'Icon shadow (on hover)', 'ueldo' ) ),
                'param_name' => 'icon_shadow_horizontal_length_hover',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-4',
                'dependency' => array(
               					'element' => 'different_colors_on_hover',
               					'value' => 'yes'
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_text_shadow_vertical_length',
                'heading' => '',
                'param_name' => 'icon_shadow_vertical_length_hover',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-4',
                'dependency' => array(
               					'element' => 'different_colors_on_hover',
               					'value' => 'yes'
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_text_shadow_blur_radius',
                'heading' => '',
                'param_name' => 'icon_shadow_blur_radius_hover',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-4',
                'dependency' => array(
               					'element' => 'different_colors_on_hover',
               					'value' => 'yes'
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
            				'type' => 'colorpicker',
            				'heading' => '',
            				'param_name' => 'icon_shadow_color_hover',
            				'dependency' => array(
               					'element' => 'different_colors_on_hover',
               					'value' => 'yes'
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			)

            # end of icon shadow

           /**
            *
            * end of fields.
            *
            */
        )

       /**
        *
        * end of shortcode settings
        *
        */

    )));

   /**
    *
    * extend WPBakeryShortCode class
    *
    */

    if( class_exists( 'WPBakeryShortCode' ) ) {

        class WPBakeryShortCode_Ueldo_Shortcode_Icon extends WPBakeryShortCode {
        }
    }

   /**
    *
    * end of shortcode map.
    *
    */

?>