<?php

   /**
    *
    * map the shortcode settings with visual composer
    *
    */

    vc_map( ueldo_update_custom_vc_shortcode_settings( array(
        'name' => esc_html( __( 'Info box', 'ueldo' ) ),
        'description' => esc_html( __( 'Beauty styled informations', 'ueldo' ) ),
        'base' => 'ueldo_shortcode_info_box',
        'content_element' => true,
        'category' => esc_html( __( 'Ueldo', 'ueldo' ) ),
        'icon' => esc_url( get_template_directory_uri() .'/_assets/_img/vc-icon.png' ),
        'is_container' => true,
        'js_view' => 'VcColumnView',
        'as_parent' => array( 'only' => 'ueldo_shortcode_button,ueldo_shortcode_gap,vc_column_text,vc_empty_space' ),
        'params' => array(

           /**
            *
            * class name
            *
            */

            ueldo_add_custom_vc_shortcode_settings( 'class-name', '', '', array(), esc_html( __( 'General', 'ueldo' ) ) ),

           /**
            *
            * group: general
            *
            */

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Box content alignment', 'ueldo' ) ),
                'param_name' => 'content_alignment',
                'value' => array(
                    esc_html( __( 'Left', 'ueldo' ) ) => 'left',
                    esc_html( __( 'Center', 'ueldo' ) ) => 'center',
                    esc_html( __( 'Right', 'ueldo' ) ) => 'right'
                ),
                'std' => 'center',
                'group' => esc_html( __( 'General', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Box content position', 'ueldo' ) ),
                'param_name' => 'content_position',
                'value' => array(
                    esc_html( __( 'In the bottom', 'ueldo' ) ) => 'bottom',
                    esc_html( __( 'Inline', 'ueldo' ) ) => 'inline',
                ),
                'std' => 'bottom',
                'group' => esc_html( __( 'General', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Heading text vertical alignment', 'ueldo' ) ),
                'param_name' => 'heading_vertical_alignment',
                'value' => array(
                    esc_html( __( 'Top', 'ueldo' ) ) => 'top',
                    esc_html( __( 'Middle', 'ueldo' ) ) => 'middle',
                    esc_html( __( 'Bottom', 'ueldo' ) ) => 'bottom'
                ),
                'std' => 'middle',
                'dependency' => array(
                    'element' => 'content_position',
                    'value' => 'inline',
                ),
                'group' => esc_html( __( 'General', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Nested shortcodes visibility', 'ueldo' ) ),
                'param_name' => 'nested_shortcodes_visibility',
                'value' => array(
                    esc_html( __( 'Visible', 'ueldo' ) ) => 'visible',
                    esc_html( __( 'On hover only', 'ueldo' ) ) => 'on_hover',
                ),
                'std' => 'visible',
                'group' => esc_html( __( 'General', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Display additional info box element', 'ueldo' ) ),
                'param_name' => 'display_additional_info_box_element',
                'value' => array(
                    esc_html( __( 'Yes', 'ueldo' ) ) => 'yes',
                    esc_html( __( 'No', 'ueldo' ) ) => 'no'
                ),
                'std' => 'no',
                'group' => esc_html( __( 'General', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_whole_box_link',
                'std' => '',
                'group' => esc_html( __( 'General', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Add link to whole box', 'ueldo' ) ),
                'param_name' => 'whole_box_link',
                'value' => array(
                    esc_html( __( 'Yes', 'ueldo' ) ) => 'yes',
                    esc_html( __( 'No', 'ueldo' ) ) => 'no'
                ),
                'std' => 'no',
                'group' => esc_html( __( 'General', 'ueldo' ) )
            ),

            array(
                'type' => 'vc_link',
                'heading' => esc_html( __( 'URL (whole box link)', 'ueldo' ) ),
                'param_name' => 'box_link_url',
                'std' => ueldo_get_default_button_url( '#', esc_html( __( 'Contact us', 'ueldo' ) ) ),
                'dependency' => array(
               					'element' => 'whole_box_link',
               					'value' => 'yes',
            				),
                'group' => esc_html( __( 'General', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_info_box_heading',
                'std' => '',
                'group' => esc_html( __( 'General', 'ueldo' ) )
            ),

            array(
                'type' => 'textfield',
                'heading' => esc_html( __( 'Info box title', 'ueldo' ) ),
                'param_name' => 'info_box_title',
                'std' => esc_html( __( 'Huge experience', 'ueldo' ) ),
                'group' => esc_html( __( 'General', 'ueldo' ) )
            ),

            array(
                'type' => 'textfield',
                'heading' => esc_html( __( 'Info box sub-title', 'ueldo' ) ),
                'param_name' => 'info_box_subtitle',
                'std' => esc_html( __( 'Find out more!', 'ueldo' ) ),
                'group' => esc_html( __( 'General', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_info_box_title_heading',
                'std' => '',
                'group' => esc_html( __( 'General', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Info box title heading type', 'ueldo' ) ),
                'param_name' => 'info_box_title_heading_type',
                'value' => array(
                    esc_html( __( 'h1', 'ueldo' ) ) => 'h1',
                    esc_html( __( 'h2', 'ueldo' ) ) => 'h2',
                    esc_html( __( 'h3', 'ueldo' ) ) => 'h3',
                    esc_html( __( 'h4', 'ueldo' ) ) => 'h4',
                    esc_html( __( 'h5', 'ueldo' ) ) => 'h5',
                    esc_html( __( 'h6', 'ueldo' ) ) => 'h6'
                ),
                'std' => 'h6',
                'group' => esc_html( __( 'General', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Use custom font size for info element title?', 'ueldo' ) ),
                'param_name' => 'info_box_title_use_custom_font_size',
                'value' => array(
                    esc_html( __( 'No, use theme defaults', 'ueldo' ) ) => 'theme_defaults',
                    esc_html( __( 'Yes, use custom font size', 'ueldo' ) ) => 'custom_setting'
                ),
                'std' => 'theme_defaults',
                'group' => esc_html( __( 'General', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Info element title text font size', 'ueldo' ) ),
                'param_name' => 'info_element_title_text_font_size',
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'font-size-h6' ) ),
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'info_box_title_use_custom_font_size',
                    'value' => 'custom_setting'
                ),
                'group' => esc_html( __( 'General', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Info element title margin top', 'ueldo' ) ),
                'param_name' => 'info_element_title_margin_top',
                'std' => '30',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'content_position',
                    'value' => 'bottom'
                ),
                'group' => esc_html( __( 'General', 'ueldo' ) )
            ),

           /**
            *
            * group: info element
            *
            */

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Display as', 'ueldo' ) ),
                'param_name' => 'info_element_display_as',
                'value' => array(
                    esc_html( __( 'Static element', 'ueldo' ) ) => 'static',
                    esc_html( __( 'Progress bar', 'ueldo' ) ) => 'progress-bar'
                ),
                'std' => 'static',
                'group' => esc_html( __( 'Info element', 'ueldo' ) )
            ),

            # progress bar

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Progress bar value', 'ueldo' ) ),
                'param_name' => 'progress_bar_value',
                'value' => ueldo_get_vc_loop_option_percents(),
                'std' => '100%',
                'dependency' => array(
               					'element' => 'info_element_display_as',
               					'value' => 'progress-bar',
            				),
                'group' => esc_html( __( 'Info element', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Progress bar duration', 'ueldo' ) ),
                'param_name' => 'progress_bar_duration',
                'value' => ueldo_get_vc_loop_option_intervals( 7 ),
                'std' => '3000',
                'dependency' => array(
               					'element' => 'info_element_display_as',
               					'value' => 'progress-bar',
            				),
                'group' => esc_html( __( 'Info element', 'ueldo' ) )
            ),

            # info element size

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_info_element_sizes',
                'std' => '',
                'group' => esc_html( __( 'Info element', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Info element width', 'ueldo' ) ),
                'param_name' => 'info_element_width',
                'std' => '100',
                'ueldo-number-field-minus-allowed' => false,
                'group' => esc_html( __( 'Info element', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Info element height', 'ueldo' ) ),
                'param_name' => 'info_element_height',
                'std' => '100',
                'ueldo-number-field-minus-allowed' => false,
                'group' => esc_html( __( 'Info element', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Info element border width', 'ueldo' ) ),
                'param_name' => 'info_element_border_width',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'group' => esc_html( __( 'Info element', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Info element border radius', 'ueldo' ) ),
                'param_name' => 'info_element_border_radius',
                'value' => array(
                    esc_html( __( '100% (circle)', 'ueldo' ) ) => 'circle',
                    esc_html( __( 'Value in pixels', 'ueldo' ) ) => 'px'
                ),
                'std' => 'circle',
                'group' => esc_html( __( 'Info element', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Info element border radius (px)', 'ueldo' ) ),
                'param_name' => 'info_element_border_radius_px',
                'std' => '4',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
               					'element' => 'info_element_border_radius',
               					'value' => 'px',
            				),
                'group' => esc_html( __( 'Info element', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Progress bar inset border radius', 'ueldo' ) ),
                'param_name' => 'progress_bar_inset_border_radius',
                'value' => array(
                    esc_html( __( 'As same as info element border radius', 'ueldo' ) ) => 'same',
                    esc_html( __( '100% (circle)', 'ueldo' ) ) => 'circle',
                    esc_html( __( 'Value in pixels', 'ueldo' ) ) => 'px'
                ),
                'std' => 'same',
                'dependency' => array(
               					'element' => 'info_element_display_as',
               					'value' => 'progress-bar',
            				),
                'group' => esc_html( __( 'Info element', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Progress bar inset border radius (px)', 'ueldo' ) ),
                'param_name' => 'progress_bar_inset_border_radius_px',
                'std' => '4',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
               					'element' => 'progress_bar_inset_border_radius',
               					'value' => 'px',
            				),
                'group' => esc_html( __( 'Info element', 'ueldo' ) )
            ),

            # info element size (on hover)

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_info_element_sizes_on_hover',
                'std' => '',
                'group' => esc_html( __( 'Info element', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Use different sizes on hover?', 'ueldo' ) ),
                'param_name' => 'info_element_different_sizes_on_hover',
                'value' => array(
                    esc_html( __( 'Yes', 'ueldo' ) ) => 'yes',
                    esc_html( __( 'No', 'ueldo' ) ) => 'no'
                ),
                'std' => 'no',
                'group' => esc_html( __( 'Info element', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Info element width (on hover)', 'ueldo' ) ),
                'param_name' => 'info_element_width_hover',
                'std' => '100',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
               					'element' => 'info_element_different_sizes_on_hover',
               					'value' => 'yes',
            				),
                'group' => esc_html( __( 'Info element', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Info element height (on hover)', 'ueldo' ) ),
                'param_name' => 'info_element_height_hover',
                'std' => '100',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
               					'element' => 'info_element_different_sizes_on_hover',
               					'value' => 'yes',
            				),
                'group' => esc_html( __( 'Info element', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Info element border width (on hover)', 'ueldo' ) ),
                'param_name' => 'info_element_border_width_hover',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
               					'element' => 'info_element_different_sizes_on_hover',
               					'value' => 'yes',
            				),
                'group' => esc_html( __( 'Info element', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Info element border radius (on hover)', 'ueldo' ) ),
                'param_name' => 'info_element_border_radius_hover',
                'value' => array(
                    esc_html( __( '100% (circle)', 'ueldo' ) ) => 'circle',
                    esc_html( __( 'Value in pixels', 'ueldo' ) ) => 'px'
                ),
                'std' => 'circle',
                'dependency' => array(
               					'element' => 'info_element_different_sizes_on_hover',
               					'value' => 'yes',
            				),
                'group' => esc_html( __( 'Info element', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Info element border radius (px, on hover)', 'ueldo' ) ),
                'param_name' => 'info_element_border_radius_px_hover',
                'std' => '4',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
               					'element' => 'info_element_border_radius_hover',
               					'value' => 'px',
            				),
                'group' => esc_html( __( 'Info element', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Progress bar inset border radius (on hover)', 'ueldo' ) ),
                'param_name' => 'progress_bar_inset_border_radius_hover',
                'value' => array(
                    esc_html( __( 'As same as info element border radius', 'ueldo' ) ) => 'same',
                    esc_html( __( '100% (circle)', 'ueldo' ) ) => 'circle',
                    esc_html( __( 'Value in pixels', 'ueldo' ) ) => 'px'
                ),
                'std' => 'same',
                'dependency' => array(
               					'element' => 'info_element_different_sizes_on_hover',
               					'value' => 'yes',
            				),
                'group' => esc_html( __( 'Info element', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Progress bar inset border radius (on hover, px)', 'ueldo' ) ),
                'param_name' => 'progress_bar_inset_border_radius_px_hover',
                'std' => '4',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
               					'element' => 'progress_bar_inset_border_radius_hover',
               					'value' => 'px',
            				),
                'group' => esc_html( __( 'Info element', 'ueldo' ) )
            ),

            # info element type

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_info_element_type',
                'std' => '',
                'group' => esc_html( __( 'Info element', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Info element type', 'ueldo' ) ),
                'param_name' => 'info_element_type',
                'value' => array(
                    esc_html( __( 'Icon', 'ueldo' ) ) => 'icon',
                    esc_html( __( 'Text', 'ueldo' ) ) => 'text',
                    esc_html( __( 'Counter', 'ueldo' ) ) => 'counter',
                    esc_html( __( 'Image', 'ueldo' ) ) => 'image'
                ),
                'std' => 'icon',
                'group' => esc_html( __( 'Info element', 'ueldo' ) )
            ),

            # info element type: icon

            'ueldo_custom_vc_shortcode_additional_settings_01' => ueldo_add_custom_vc_shortcode_settings(
                'icons',
                'info_element_icon_',
                esc_html( __( 'Info element icon', 'ueldo' ) ),
                array(
                    'element' => 'info_element_type',
                    'value' => 'icon'
                ),
                esc_html( __( 'Info element', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Info element icon size', 'ueldo' ) ),
                'param_name' => 'info_element_icon_custom_size_enabled',
                'value' => array(
                    esc_html( __( 'Use theme defaults', 'ueldo' ) ) => 'theme_defaults',
                    esc_html( __( 'Use custom settings', 'ueldo' ) ) => 'custom_settings'
                ),
                'std' => 'theme_defaults',
                'dependency' => array(
               					'element' => 'info_element_type',
               					'value' => 'icon',
            				),
                'group' => esc_html( __( 'Info element', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Info element icon size value', 'ueldo' ) ),
                'param_name' => 'info_element_icon_custom_size',
                'std' => '48',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'info_element_icon_custom_size_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Info element', 'ueldo' ) )
            ),

            # info element type: text

            array(
                'type' => 'textfield',
                'heading' => esc_html( __( 'Info element text', 'ueldo' ) ),
                'param_name' => 'info_element_text',
                'std' => esc_html( __( 'Contact us', 'ueldo' ) ),
                'dependency' => array(
               					'element' => 'info_element_type',
               					'value' => 'text',
            				),
                'group' => esc_html( __( 'Info element', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Info element text font settings', 'ueldo' ) ),
                'param_name' => 'info_element_text_custom_font_enabled',
                'value' => array(
                    esc_html( __( 'Use theme defaults', 'ueldo' ) ) => 'theme_defaults',
                    esc_html( __( 'Use custom settings', 'ueldo' ) ) => 'custom_settings'
                ),
                'std' => 'theme_defaults',
                'dependency' => array(
               					'element' => 'info_element_type',
               					'value' => 'text',
            				),
                'group' => esc_html( __( 'Info element', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Info element text font size', 'ueldo' ) ),
                'param_name' => 'info_element_text_font_size',
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'font-size-h1' ) ),
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'info_element_text_custom_font_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Info element', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_em_number',
                'heading' => esc_html( __( 'Info element text line height', 'ueldo' ) ),
                'param_name' => 'info_element_text_line_height',
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'line-height-headings' ) ),
                'dependency' => array(
                    'element' => 'info_element_text_custom_font_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Info element', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Info element text font family', 'ueldo' ) ),
                'param_name' => 'info_element_text_font_family',
                'value' => ueldo_vc_get_heading_text_fonts(),
                'std' => ueldo_get_default_font_key( 'headings-font' ),
                'dependency' => array(
               					'element' => 'info_element_text_custom_font_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Info element', 'ueldo' ) )
            ),

            # info element type: counter

            array(
                'type' => 'ueldo_number',
                'heading' => esc_html( __( 'Info element counter value', 'ueldo' ) ),
                'std' => '3500',
                'ueldo-number-field-minus-allowed' => false,
                'param_name' => 'info_element_counter_value',
                'dependency' => array(
                    'element' => 'info_element_type',
                    'value' => 'counter'
                ),
                'group' => esc_html( __( 'Info element', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_number',
                'heading' => esc_html( __( 'Info element counter duration', 'ueldo' ) ),
                'std' => '2000',
                'ueldo-number-field-minus-allowed' => false,
                'param_name' => 'info_element_counter_duration',
                'dependency' => array(
                    'element' => 'info_element_type',
                    'value' => 'counter'
                ),
                'group' => esc_html( __( 'Info element', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Info element counter font settings', 'ueldo' ) ),
                'param_name' => 'info_element_counter_custom_font_enabled',
                'value' => array(
                    esc_html( __( 'Use theme defaults', 'ueldo' ) ) => 'theme_defaults',
                    esc_html( __( 'Use custom settings', 'ueldo' ) ) => 'custom_settings'
                ),
                'std' => 'theme_defaults',
                'dependency' => array(
               					'element' => 'info_element_type',
               					'value' => 'counter',
            				),
                'group' => esc_html( __( 'Info element', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Info element counter font size', 'ueldo' ) ),
                'param_name' => 'info_element_counter_font_size',
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'font-size-h1' ) ),
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'info_element_counter_custom_font_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Info element', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_em_number',
                'heading' => esc_html( __( 'Info element counter line height', 'ueldo' ) ),
                'param_name' => 'info_element_counter_line_height',
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'line-height-headings' ) ),
                'dependency' => array(
                    'element' => 'info_element_counter_custom_font_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Info element', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Info element counter font family', 'ueldo' ) ),
                'param_name' => 'info_element_counter_font_family',
                'value' => ueldo_vc_get_heading_text_fonts(),
                'std' => ueldo_get_default_font_key( 'headings-font' ),
                'dependency' => array(
               					'element' => 'info_element_counter_custom_font_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Info element', 'ueldo' ) )
            ),

            # info element type: image

            array(
                'type' => 'attach_image',
                'heading' => esc_html( __( 'Info element image', 'ueldo' ) ),
                'param_name' => 'image',
                'dependency' => array(
                    'element' => 'info_element_type',
                    'value' => 'image'
                ),
                'group' => esc_html( __( 'Info element', 'ueldo' ) )
            ),

            array(
                'type' => 'textfield',
                'heading' => esc_html( __( 'Info element image alternative text', 'ueldo' ) ),
                'std' => esc_html( __( 'Image', 'ueldo' ) ),
                'param_name' => 'image_alt',
                'dependency' => array(
                    'element' => 'info_element_type',
                    'value' => 'image'
                ),
                'group' => esc_html( __( 'Info element', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_info_element_alignment',
                'std' => '',
                'group' => esc_html( __( 'Info element', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Info element horizontal alignment', 'ueldo' ) ),
                'param_name' => 'info_element_horizontal_alignment',
                'value' => array(
                    esc_html( __( 'Left', 'ueldo' ) ) => 'left',
                    esc_html( __( 'Center', 'ueldo' ) ) => 'center',
                    esc_html( __( 'Right', 'ueldo' ) ) => 'right'
                ),
                'std' => 'center',
                'group' => esc_html( __( 'Info element', 'ueldo' ) )
            ),

           /**
            *
            * group: additional info element
            *
            */

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Additional info element position', 'ueldo' ) ),
                'param_name' => 'additional_info_element_position',
                'value' => array(
                    esc_html( __( 'Left top', 'ueldo' ) ) => 'left_top',
                    esc_html( __( 'Left center', 'ueldo' ) ) => 'left_center',
                    esc_html( __( 'Left bottom', 'ueldo' ) ) => 'left_bottom',
                    esc_html( __( 'Center top', 'ueldo' ) ) => 'center_top',
                    esc_html( __( 'Center bottom', 'ueldo' ) ) => 'center_bottom',
                    esc_html( __( 'Right top', 'ueldo' ) ) => 'right_top',
                    esc_html( __( 'Right center', 'ueldo' ) ) => 'right_center',
                    esc_html( __( 'Right bottom', 'ueldo' ) ) => 'right_bottom'
                ),
                'std' => 'right_bottom',
                'dependency' => array(
                    'element' => 'display_additional_info_box_element',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Additional info element', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Additional info element width', 'ueldo' ) ),
                'param_name' => 'additional_info_element_width',
                'std' => '36',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'display_additional_info_box_element',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Additional info element', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Additional info element height', 'ueldo' ) ),
                'param_name' => 'additional_info_element_height',
                'std' => '36',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'display_additional_info_box_element',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Additional info element', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Additional info element margin left', 'ueldo' ) ),
                'param_name' => 'additional_info_element_margin_left',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => true,
                'dependency' => array(
                    'element' => 'additional_info_element_position',
                    'value' => array(
                        'left_top',
                        'left_center',
                        'left_bottom'
                    )
                ),
                'group' => esc_html( __( 'Additional info element', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Additional info element margin right', 'ueldo' ) ),
                'param_name' => 'additional_info_element_margin_right',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => true,
                'dependency' => array(
                    'element' => 'additional_info_element_position',
                    'value' => array(
                        'right_top',
                        'right_center',
                        'right_bottom'
                    )
                ),
                'group' => esc_html( __( 'Additional info element', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Additional info element margin top', 'ueldo' ) ),
                'param_name' => 'additional_info_element_margin_top',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => true,
                'dependency' => array(
                    'element' => 'additional_info_element_position',
                    'value' => array(
                        'left_top',
                        'right_top',
                        'center_top'
                    )
                ),
                'group' => esc_html( __( 'Additional info element', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Additional info element margin bottom', 'ueldo' ) ),
                'param_name' => 'additional_info_element_margin_bottom',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => true,
                'dependency' => array(
                    'element' => 'additional_info_element_position',
                    'value' => array(
                        'left_bottom',
                        'right_bottom',
                        'center_bottom'
                    )
                ),
                'group' => esc_html( __( 'Additional info element', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Additional info element border width', 'ueldo' ) ),
                'param_name' => 'additional_info_element_border_width',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'display_additional_info_box_element',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Additional info element', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Additional info element border radius', 'ueldo' ) ),
                'param_name' => 'additional_info_element_border_radius',
                'value' => array(
                    esc_html( __( '100% (circle)', 'ueldo' ) ) => 'circle',
                    esc_html( __( 'Value in pixels', 'ueldo' ) ) => 'px'
                ),
                'std' => 'circle',
                'dependency' => array(
                    'element' => 'display_additional_info_box_element',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Additional info element', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Additional info element border radius (px)', 'ueldo' ) ),
                'param_name' => 'additional_info_element_border_radius_px',
                'std' => '4',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'additional_info_element_border_radius',
                    'value' => 'px',
                ),
                'group' => esc_html( __( 'Additional info element', 'ueldo' ) )
            ),

            # info element size (on hover)

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_additional_info_element_hover_sizes',
                'std' => '',
                'dependency' => array(
                    'element' => 'display_additional_info_box_element',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Additional info element', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Use different sizes on hover?', 'ueldo' ) ),
                'param_name' => 'additional_info_element_different_sizes_on_hover',
                'value' => array(
                    esc_html( __( 'Yes', 'ueldo' ) ) => 'yes',
                    esc_html( __( 'No', 'ueldo' ) ) => 'no'
                ),
                'std' => 'no',
                'dependency' => array(
                    'element' => 'display_additional_info_box_element',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Additional info element', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Additional info element width (on hover)', 'ueldo' ) ),
                'param_name' => 'additional_info_element_width_hover',
                'std' => '36',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'additional_info_element_different_sizes_on_hover',
                    'value' => 'yes',
                ),
                'group' => esc_html( __( 'Additional info element', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Additional info element height (on hover)', 'ueldo' ) ),
                'param_name' => 'additional_info_element_height_hover',
                'std' => '36',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'additional_info_element_different_sizes_on_hover',
                    'value' => 'yes',
                ),
                'group' => esc_html( __( 'Additional info element', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Additional info element margin left (on hover)', 'ueldo' ) ),
                'param_name' => 'additional_info_element_margin_left_hover',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => true,
                'dependency' => array(
                    'element' => 'additional_info_element_position',
                    'value' => array(
                        'left_top',
                        'left_center',
                        'left_bottom'
                    )
                ),
                'group' => esc_html( __( 'Additional info element', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Additional info element margin right (on hover)', 'ueldo' ) ),
                'param_name' => 'additional_info_element_margin_right_hover',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => true,
                'dependency' => array(
                    'element' => 'additional_info_element_position',
                    'value' => array(
                        'right_top',
                        'right_center',
                        'right_bottom'
                    )
                ),
                'group' => esc_html( __( 'Additional info element', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Additional info element margin top (on hover)', 'ueldo' ) ),
                'param_name' => 'additional_info_element_margin_top_hover',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => true,
                'dependency' => array(
                    'element' => 'additional_info_element_position',
                    'value' => array(
                        'left_top',
                        'right_top',
                        'center_top'
                    )
                ),
                'group' => esc_html( __( 'Additional info element', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Additional info element margin bottom (on hover)', 'ueldo' ) ),
                'param_name' => 'additional_info_element_margin_bottom_hover',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => true,
                'dependency' => array(
                    'element' => 'additional_info_element_position',
                    'value' => array(
                        'left_bottom',
                        'right_bottom',
                        'center_bottom'
                    )
                ),
                'group' => esc_html( __( 'Additional info element', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Additional info element border width (on hover)', 'ueldo' ) ),
                'param_name' => 'additional_info_element_border_width_hover',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'additional_info_element_different_sizes_on_hover',
                    'value' => 'yes',
                ),
                'group' => esc_html( __( 'Additional info element', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Additional info element border radius (on hover)', 'ueldo' ) ),
                'param_name' => 'additional_info_element_border_radius_hover',
                'value' => array(
                    esc_html( __( '100% (circle)', 'ueldo' ) ) => 'circle',
                    esc_html( __( 'Value in pixels', 'ueldo' ) ) => 'px'
                ),
                'std' => 'circle',
                'dependency' => array(
                    'element' => 'additional_info_element_different_sizes_on_hover',
                    'value' => 'yes',
                ),
                'group' => esc_html( __( 'Additional info element', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Additional info element border radius (px, on hover)', 'ueldo' ) ),
                'param_name' => 'additional_info_element_border_radius_px_hover',
                'std' => '4',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'additional_info_element_border_radius_hover',
                    'value' => 'px',
                ),
                'group' => esc_html( __( 'Additional info element', 'ueldo' ) )
            ),

            # info element type

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_additional_info_element_type',
                'std' => '',
                'dependency' => array(
                    'element' => 'display_additional_info_box_element',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Additional info element', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Additional info element type', 'ueldo' ) ),
                'param_name' => 'additional_info_element_type',
                'value' => array(
                    esc_html( __( 'Icon', 'ueldo' ) ) => 'icon',
                    esc_html( __( 'Text', 'ueldo' ) ) => 'text',
                    esc_html( __( 'Counter', 'ueldo' ) ) => 'counter',
                    esc_html( __( 'Image', 'ueldo' ) ) => 'image'
                ),
                'std' => 'text',
                'dependency' => array(
                    'element' => 'display_additional_info_box_element',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Additional info element', 'ueldo' ) )
            ),

            # info element type: icon

            'ueldo_custom_vc_shortcode_additional_settings_02' => ueldo_add_custom_vc_shortcode_settings(
                'icons',
                'additional_info_element_icon_',
                esc_html( __( 'Additional info element icon', 'ueldo' ) ),
                array(
                    'element' => 'additional_info_element_type',
                    'value' => 'icon'
                ),
                esc_html( __( 'Additional info element', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Additional info element icon size', 'ueldo' ) ),
                'param_name' => 'additional_info_element_icon_custom_size_enabled',
                'value' => array(
                    esc_html( __( 'Use theme defaults', 'ueldo' ) ) => 'theme_defaults',
                    esc_html( __( 'Use custom settings', 'ueldo' ) ) => 'custom_settings'
                ),
                'std' => 'theme_defaults',
                'dependency' => array(
                    'element' => 'additional_info_element_type',
                    'value' => 'icon',
                ),
                'group' => esc_html( __( 'Additional info element', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Additional info element icon size value', 'ueldo' ) ),
                'param_name' => 'additional_info_element_icon_custom_size',
                'std' => '16',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'additional_info_element_icon_custom_size_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Additional info element', 'ueldo' ) )
            ),

            # info element type: text

            array(
                'type' => 'textfield',
                'heading' => esc_html( __( 'Additional info element text', 'ueldo' ) ),
                'param_name' => 'additional_info_element_text',
                'std' => esc_html( __( '1', 'ueldo' ) ),
                'dependency' => array(
                    'element' => 'additional_info_element_type',
                    'value' => 'text',
                ),
                'group' => esc_html( __( 'Additional info element', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Additional info element text font settings', 'ueldo' ) ),
                'param_name' => 'additional_info_element_text_custom_font_enabled',
                'value' => array(
                    esc_html( __( 'Use theme defaults', 'ueldo' ) ) => 'theme_defaults',
                    esc_html( __( 'Use custom settings', 'ueldo' ) ) => 'custom_settings'
                ),
                'std' => 'theme_defaults',
                'dependency' => array(
                    'element' => 'additional_info_element_type',
                    'value' => 'text',
                ),
                'group' => esc_html( __( 'Additional info element', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Additional info element text font size', 'ueldo' ) ),
                'param_name' => 'additional_info_element_text_font_size',
                'std' => '16',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'additional_info_element_text_custom_font_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Additional info element', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_em_number',
                'heading' => esc_html( __( 'Additional info element text line height', 'ueldo' ) ),
                'param_name' => 'additional_info_element_text_line_height',
                'std' => '1.0',
                'dependency' => array(
                    'element' => 'additional_info_element_text_custom_font_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Additional info element', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Additional info element text font family', 'ueldo' ) ),
                'param_name' => 'additional_info_element_text_font_family',
                'value' => ueldo_vc_get_heading_text_fonts(),
                'std' => ueldo_get_default_font_key( 'headings-font' ),
                'dependency' => array(
                    'element' => 'additional_info_element_text_custom_font_enabled',
                    'value' => 'custom_settings',
                ),
                'group' => esc_html( __( 'Additional info element', 'ueldo' ) )
            ),

            # info element type: counter

            array(
                'type' => 'ueldo_number',
                'heading' => esc_html( __( 'Additional info element counter value', 'ueldo' ) ),
                'std' => '3500',
                'ueldo-number-field-minus-allowed' => false,
                'param_name' => 'additional_info_element_counter_value',
                'dependency' => array(
                    'element' => 'additional_info_element_type',
                    'value' => 'counter'
                ),
                'group' => esc_html( __( 'Additional info element', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_number',
                'heading' => esc_html( __( 'Additional info element counter duration', 'ueldo' ) ),
                'std' => '2000',
                'ueldo-number-field-minus-allowed' => false,
                'param_name' => 'additional_info_element_counter_duration',
                'dependency' => array(
                    'element' => 'additional_info_element_type',
                    'value' => 'counter'
                ),
                'group' => esc_html( __( 'Additional info element', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Additional info element counter font settings', 'ueldo' ) ),
                'param_name' => 'additional_info_element_counter_custom_font_enabled',
                'value' => array(
                    esc_html( __( 'Use theme defaults', 'ueldo' ) ) => 'theme_defaults',
                    esc_html( __( 'Use custom settings', 'ueldo' ) ) => 'custom_settings'
                ),
                'std' => 'theme_defaults',
                'dependency' => array(
                    'element' => 'additional_info_element_type',
                    'value' => 'counter',
                ),
                'group' => esc_html( __( 'Additional info element', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Additional info element counter font size', 'ueldo' ) ),
                'param_name' => 'additional_info_element_counter_font_size',
                'std' => '16',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'additional_info_element_counter_custom_font_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Additional info element', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_em_number',
                'heading' => esc_html( __( 'Additional info element counter line height', 'ueldo' ) ),
                'param_name' => 'additional_info_element_counter_line_height',
                'std' => '1.0',
                'dependency' => array(
                    'element' => 'additional_info_element_counter_custom_font_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Additional info element', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Additional info element counter font family', 'ueldo' ) ),
                'param_name' => 'additional_info_element_counter_font_family',
                'value' => ueldo_vc_get_heading_text_fonts(),
                'std' => ueldo_get_default_font_key( 'headings-font' ),
                'dependency' => array(
                    'element' => 'additional_info_element_counter_custom_font_enabled',
                    'value' => 'custom_settings',
                ),
                'group' => esc_html( __( 'Additional info element', 'ueldo' ) )
            ),

            # info element type: image

            array(
                'type' => 'attach_image',
                'heading' => esc_html( __( 'Additional info element image', 'ueldo' ) ),
                'param_name' => 'additional_info_element_image',
                'dependency' => array(
                    'element' => 'additional_info_element_type',
                    'value' => 'image'
                ),
                'group' => esc_html( __( 'Additional info element', 'ueldo' ) )
            ),

            array(
                'type' => 'textfield',
                'heading' => esc_html( __( 'Additional info element image alternative text', 'ueldo' ) ),
                'std' => esc_html( __( 'Image', 'ueldo' ) ),
                'param_name' => 'additional_info_element_image_alt',
                'dependency' => array(
                    'element' => 'additional_info_element_type',
                    'value' => 'image'
                ),
                'group' => esc_html( __( 'Additional info element', 'ueldo' ) )
            ),

           /**
            *
            * group: colors
            *
            */

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Use custom colors?', 'ueldo' ) ),
                'param_name' => 'custom_colors_enabled',
                'value' => array(
                    esc_html( __( 'No, use theme defaults', 'ueldo' ) ) => 'theme_defaults',
                    esc_html( __( 'Yes, use custom colors', 'ueldo' ) ) => 'custom_settings'
                ),
                'std' => 'theme_defaults',
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Info element background color', 'ueldo' ) ),
            				'param_name' => 'info_element_background_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'info-box-element-background-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Info element background color (on hover)', 'ueldo' ) ),
            				'param_name' => 'info_element_background_color_hover',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'info-box-element-background-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Info element border color', 'ueldo' ) ),
            				'param_name' => 'info_element_border_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'info-box-element-border-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Info element border color (on hover)', 'ueldo' ) ),
            				'param_name' => 'info_element_border_color_hover',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'info-box-element-border-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Info element icon color', 'ueldo' ) ),
            				'param_name' => 'info_element_icon_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Info element icon color (on hover)', 'ueldo' ) ),
            				'param_name' => 'info_element_icon_color_hover',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Info element text color', 'ueldo' ) ),
            				'param_name' => 'info_element_text_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Info element text color (on hover)', 'ueldo' ) ),
            				'param_name' => 'info_element_text_color_hover',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Info element counter color', 'ueldo' ) ),
            				'param_name' => 'info_element_counter_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Info element counter color (on hover)', 'ueldo' ) ),
            				'param_name' => 'info_element_counter_color_hover',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            # info element box shadow

            array(
                'type' => 'ueldo_box_shadow_horizontal_length',
                'heading' => esc_html( __( 'Info element box shadow', 'ueldo' ) ),
                'param_name' => 'info_element_box_shadow_horizontal_length',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_vertical_length',
                'heading' => '',
                'param_name' => 'info_element_box_shadow_vertical_length',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_blur_radius',
                'heading' => '',
                'param_name' => 'info_element_box_shadow_blur_radius',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_spread_radius',
                'heading' => '',
                'param_name' => 'info_element_box_shadow_spread_radius',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
            				'type' => 'colorpicker',
            				'heading' => '',
            				'param_name' => 'info_element_box_shadow_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) ),
                'edit_field_class' => 'vc_col-xs-4',
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            # info element box shadow (on hover)

            array(
                'type' => 'ueldo_box_shadow_horizontal_length',
                'heading' => esc_html( __( 'Info element box shadow (on hover)', 'ueldo' ) ),
                'param_name' => 'info_element_box_shadow_horizontal_length_hover',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings',
                ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_vertical_length',
                'heading' => '',
                'param_name' => 'info_element_box_shadow_vertical_length_hover',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings',
                ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_blur_radius',
                'heading' => '',
                'param_name' => 'info_element_box_shadow_blur_radius_hover',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings',
                ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_spread_radius',
                'heading' => '',
                'param_name' => 'info_element_box_shadow_spread_radius_hover',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings',
                ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'colorpicker',
                'heading' => '',
                'param_name' => 'info_element_box_shadow_color_hover',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings',
                ),
                'std' => esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) ),
                'edit_field_class' => 'vc_col-xs-4',
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            # end of info element box shadow (on hover)

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Additional info element background color', 'ueldo' ) ),
            				'param_name' => 'additional_info_element_background_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Additional info element background color (on hover)', 'ueldo' ) ),
            				'param_name' => 'additional_info_element_background_color_hover',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Additional info element border color', 'ueldo' ) ),
            				'param_name' => 'additional_info_element_border_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Additional info element border color (on hover)', 'ueldo' ) ),
            				'param_name' => 'additional_info_element_border_color_hover',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Additional info element icon color', 'ueldo' ) ),
            				'param_name' => 'additional_info_element_icon_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color-contrast-text-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Additional info element icon color (on hover)', 'ueldo' ) ),
            				'param_name' => 'additional_info_element_icon_color_hover',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color-contrast-text-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Additional info element text color', 'ueldo' ) ),
            				'param_name' => 'additional_info_element_text_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color-contrast-text-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Additional info element text color (on hover)', 'ueldo' ) ),
            				'param_name' => 'additional_info_element_text_color_hover',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color-contrast-text-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
                'type' => 'colorpicker',
                'heading' => esc_html( __( 'Additional info element counter color', 'ueldo' ) ),
                'param_name' => 'additional_info_element_counter_color',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings',
                ),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color-contrast-text-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'colorpicker',
                'heading' => esc_html( __( 'Additional info element counter color (on hover)', 'ueldo' ) ),
                'param_name' => 'additional_info_element_counter_color_hover',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings',
                ),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color-contrast-text-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            # additional info element box shadow

            array(
                'type' => 'ueldo_box_shadow_horizontal_length',
                'heading' => esc_html( __( 'Additional info element box shadow', 'ueldo' ) ),
                'param_name' => 'additional_info_element_box_shadow_horizontal_length',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_pattern( 'pulsating-circles-tip-and-info-box-additional-element-box-shadow', 'horizontal-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings',
                ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_vertical_length',
                'heading' => '',
                'param_name' => 'additional_info_element_box_shadow_vertical_length',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_pattern( 'pulsating-circles-tip-and-info-box-additional-element-box-shadow', 'vertical-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings',
                ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_blur_radius',
                'heading' => '',
                'param_name' => 'additional_info_element_box_shadow_blur_radius',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_pattern( 'pulsating-circles-tip-and-info-box-additional-element-box-shadow', 'blur-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings',
                ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_spread_radius',
                'heading' => '',
                'param_name' => 'additional_info_element_box_shadow_spread_radius',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_pattern( 'pulsating-circles-tip-and-info-box-additional-element-box-shadow', 'spread-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings',
                ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'colorpicker',
                'heading' => '',
                'param_name' => 'additional_info_element_box_shadow_color',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings',
                ),
                'std' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_pattern( 'pulsating-circles-tip-and-info-box-additional-element-box-shadow', 'color' ) ),
                'edit_field_class' => 'vc_col-xs-4',
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            # additional info element box shadow (on hover)

            array(
                'type' => 'ueldo_box_shadow_horizontal_length',
                'heading' => esc_html( __( 'Additional info element box shadow (on hover)', 'ueldo' ) ),
                'param_name' => 'additional_info_element_box_shadow_horizontal_length_hover',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_pattern( 'pulsating-circles-tip-and-info-box-additional-element-box-shadow', 'horizontal-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings',
                ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_vertical_length',
                'heading' => '',
                'param_name' => 'additional_info_element_box_shadow_vertical_length_hover',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_pattern( 'pulsating-circles-tip-and-info-box-additional-element-box-shadow', 'vertical-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings',
                ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_blur_radius',
                'heading' => '',
                'param_name' => 'additional_info_element_box_shadow_blur_radius_hover',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_pattern( 'pulsating-circles-tip-and-info-box-additional-element-box-shadow', 'blur-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings',
                ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_spread_radius',
                'heading' => '',
                'param_name' => 'additional_info_element_box_shadow_spread_radius_hover',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_pattern( 'pulsating-circles-tip-and-info-box-additional-element-box-shadow', 'spread-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings',
                ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'colorpicker',
                'heading' => '',
                'param_name' => 'additional_info_element_box_shadow_color_hover',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings',
                ),
                'std' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_pattern( 'pulsating-circles-tip-and-info-box-additional-element-box-shadow', 'color' ) ),
                'edit_field_class' => 'vc_col-xs-4',
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            # end of additional info element box shadow (on hover)

            array(
                'type' => 'colorpicker',
                'heading' => esc_html( __( 'Info box title color', 'ueldo' ) ),
                'param_name' => 'info_box_title_color',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings',
                ),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-headings-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'colorpicker',
                'heading' => esc_html( __( 'Info box title color (on hover)', 'ueldo' ) ),
                'param_name' => 'info_box_title_color_hover',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings',
                ),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-headings-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'colorpicker',
                'heading' => esc_html( __( 'Info box description color', 'ueldo' ) ),
                'param_name' => 'info_box_description_color',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings',
                ),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-content-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'colorpicker',
                'heading' => esc_html( __( 'Info box description color (on hover)', 'ueldo' ) ),
                'param_name' => 'info_box_description_color_hover',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings',
                ),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-content-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            )

           /**
            *
            * end of fields.
            *
            */
        )

       /**
        *
        * end of shortcode settings
        *
        */

    )));

   /**
    *
    * extend WPBakeryShortCode class
    *
    */

    if( class_exists( 'WPBakeryShortCodesContainer' ) ) {

        class WPBakeryShortCode_Ueldo_Shortcode_Info_Box extends WPBakeryShortCodesContainer {
        }
    }

   /**
    *
    * end of shortcode map.
    *
    */

?>