<?php

   /**
    *
    * map the shortcode settings with visual composer
    *
    */

    vc_map( ueldo_update_custom_vc_shortcode_settings( array(
        'name' => esc_html( __( 'Inline container', 'ueldo' ) ),
        'description' => esc_html( __( 'Display your content elements inline', 'ueldo' ) ),
        'base' => 'ueldo_shortcode_inline_container',
        'content_element' => true,
        'category' => esc_html( __( 'Ueldo', 'ueldo' ) ),
        'icon' => esc_url( get_template_directory_uri() .'/_assets/_img/vc-icon.png' ),
        'is_container' => true,
        'js_view' => 'VcColumnView',
        'as_parent' => array( 'only' => 'ueldo_shortcode_inline_container_element' ),
        'params' => array(

           /**
            *
            * class name
            *
            */

            ueldo_add_custom_vc_shortcode_settings( 'class-name', '', '', array(), esc_html( __( 'General settings', 'ueldo' ) ) ),

           /**
            *
            * group: general settings
            *
            */

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Verical alignment', 'ueldo' ) ),
                'param_name' => 'vertical_alignment',
                'value' => array(
                    esc_html( __( 'Top', 'ueldo' ) ) => 'top',
                    esc_html( __( 'Middle', 'ueldo' ) ) => 'middle',
                    esc_html( __( 'Bottom', 'ueldo' ) ) => 'bottom'
                ),
                'std' => 'middle',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            )

           /**
            *
            * end of fields.
            *
            */
        )

       /**
        *
        * end of shortcode settings
        *
        */

    )));

   /**
    *
    * extend WPBakeryShortCode class
    *
    */

    if( class_exists( 'WPBakeryShortCodesContainer' ) ) {

        class WPBakeryShortCode_Ueldo_Shortcode_Inline_Container extends WPBakeryShortCodesContainer {
        }
    }

   /**
    *
    * end of shortcode map.
    *
    */

?>