<?php

   /**
    *
    * map the shortcode settings with visual composer
    *
    */

    vc_map( ueldo_update_custom_vc_shortcode_settings( array(
        'name' => esc_html( __( 'Inline container: element', 'ueldo' ) ),
        'description' => esc_html( __( 'Single element in inline container', 'ueldo' ) ),
        'base' => 'ueldo_shortcode_inline_container_element',
        'content_element' => true,
        'category' => esc_html( __( 'Ueldo', 'ueldo' ) ),
        'icon' => esc_url( get_template_directory_uri() .'/_assets/_img/vc-icon.png' ),
        'is_container' => true,
        'js_view' => 'VcColumnView',
        'as_child' => array( 'only' => 'ueldo_shortcode_inline_container' ),
        'params' => array(

           /**
            *
            * class name
            *
            */

            ueldo_add_custom_vc_shortcode_settings( 'class-name', '', '', array(), esc_html( __( 'General settings', 'ueldo' ) ) ),

           /**
            *
            * group: general settings
            *
            */

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Large device: width type', 'ueldo' ) ),
                'param_name' => 'large_width_type',
                'value' => array(
                    esc_html( __( 'Percentage', 'ueldo' ) ) => 'percentage',
                    esc_html( __( 'Pixels', 'ueldo' ) ) => 'px',
                    esc_html( __( 'Calc', 'ueldo' ) ) => 'calc'
                ),
                'std' => 'percentage',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Large device: width (percentage)', 'ueldo' ) ),
                'param_name' => 'large_width_percentage',
                'value' => ueldo_get_vc_loop_option_percents(),
                'std' => '50%',
                'dependency' => array(
                    'element' => 'large_width_type',
                    'value' => 'percentage'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Large device: width (pixels)', 'ueldo' ) ),
                'param_name' => 'large_width_px',
                'std' => '100',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'large_width_type',
                    'value' => 'px'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            /**/

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Large device: width (calc)', 'ueldo' ) ),
                'param_name' => 'large_width_calc_base',
                'value' => ueldo_get_vc_loop_option_percents(),
                'std' => '100%',
                'edit_field_class' => 'vc_col-xs-5 ueldo-vc-calc-field ueldo-calc-field-width-large',
                'dependency' => array(
                    'element' => 'large_width_type',
                    'value' => 'calc'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'param_name' => 'large_width_calc_operator',
                'value' => array(
                    '+',
                    '-'
                ),
                'std' => '-',
                'edit_field_class' => 'vc_col-xs-2 ueldo-vc-calc-field ueldo-calc-field-width-large',
                'dependency' => array(
                    'element' => 'large_width_type',
                    'value' => 'calc'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'param_name' => 'large_width_calc_px',
                'std' => '100',
                'ueldo-number-field-minus-allowed' => false,
                'edit_field_class' => 'vc_col-xs-5 ueldo-vc-calc-field ueldo-calc-field-width-large ueldo-vc-calc-field-last',
                'dependency' => array(
                    'element' => 'large_width_type',
                    'value' => 'calc'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            /**/

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Large device: content alignment', 'ueldo' ) ),
                'param_name' => 'large_content_alignment',
                'value' => array(
                    esc_html( __( 'Left', 'ueldo' ) ) => 'left',
                    esc_html( __( 'Center', 'ueldo' ) ) => 'center',
                    esc_html( __( 'Right', 'ueldo' ) ) => 'right'
                ),
                'std' => esc_attr( ueldo_is_rtl() ? 'right' : 'left' ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_medium_device',
                'std' => '',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Custom sizes for medium devices?', 'ueldo' ) ),
                'param_name' => 'medium_custom_sizes',
                'value' => array(
                    esc_html( __( 'Yes, use custom sizes', 'ueldo' ) ) => 'yes',
                    esc_html( __( 'No, use as same sizes as for large devices', 'ueldo' ) ) => 'no-large'
                ),
                'std' => 'no-large',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Medium device: width type', 'ueldo' ) ),
                'param_name' => 'medium_width_type',
                'value' => array(
                    esc_html( __( 'Percentage', 'ueldo' ) ) => 'percentage',
                    esc_html( __( 'Pixels', 'ueldo' ) ) => 'px',
                    esc_html( __( 'Calc', 'ueldo' ) ) => 'calc'
                ),
                'std' => 'percentage',
                'dependency' => array(
                    'element' => 'medium_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Medium device: width (percentage)', 'ueldo' ) ),
                'param_name' => 'medium_width_percentage',
                'value' => ueldo_get_vc_loop_option_percents(),
                'std' => '50%',
                'dependency' => array(
                    'element' => 'medium_width_type',
                    'value' => 'percentage'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Medium device: width (pixels)', 'ueldo' ) ),
                'param_name' => 'medium_width_px',
                'std' => '100',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'medium_width_type',
                    'value' => 'px'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            /**/

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Medium device: width (calc)', 'ueldo' ) ),
                'param_name' => 'medium_width_calc_base',
                'value' => ueldo_get_vc_loop_option_percents(),
                'std' => '100%',
                'edit_field_class' => 'vc_col-xs-5 ueldo-vc-calc-field ueldo-calc-field-width-medium',
                'dependency' => array(
                    'element' => 'medium_width_type',
                    'value' => 'calc'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'param_name' => 'medium_width_calc_operator',
                'value' => array(
                    '+',
                    '-'
                ),
                'std' => '-',
                'edit_field_class' => 'vc_col-xs-2 ueldo-vc-calc-field ueldo-calc-field-width-medium',
                'dependency' => array(
                    'element' => 'medium_width_type',
                    'value' => 'calc'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'param_name' => 'medium_width_calc_px',
                'std' => '100',
                'ueldo-number-field-minus-allowed' => false,
                'edit_field_class' => 'vc_col-xs-5 ueldo-vc-calc-field ueldo-calc-field-width-medium ueldo-vc-calc-field-last',
                'dependency' => array(
                    'element' => 'medium_width_type',
                    'value' => 'calc'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            /**/

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Medium device: content alignment', 'ueldo' ) ),
                'param_name' => 'medium_content_alignment',
                'value' => array(
                    esc_html( __( 'Left', 'ueldo' ) ) => 'left',
                    esc_html( __( 'Center', 'ueldo' ) ) => 'center',
                    esc_html( __( 'Right', 'ueldo' ) ) => 'right'
                ),
                'std' => esc_attr( ueldo_is_rtl() ? 'right' : 'left' ),
                'dependency' => array(
                    'element' => 'medium_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
               'type' => 'ueldo_divider',
               'param_name' => 'divider_small_device',
               'std' => '',
               'group' => esc_html( __( 'General settings', 'ueldo' ) )
           ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Custom sizes for small devices?', 'ueldo' ) ),
                'param_name' => 'small_custom_sizes',
                'value' => array(
                    esc_html( __( 'Yes, use custom sizes', 'ueldo' ) ) => 'yes',
                    esc_html( __( 'No, use as same sizes as for large devices', 'ueldo' ) ) => 'no-large',
                    esc_html( __( 'No, use as same sizes as for medium devices', 'ueldo' ) ) => 'no-medium'
                ),
                'std' => 'no-medium',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Small device: width type', 'ueldo' ) ),
                'param_name' => 'small_width_type',
                'value' => array(
                    esc_html( __( 'Percentage', 'ueldo' ) ) => 'percentage',
                    esc_html( __( 'Pixels', 'ueldo' ) ) => 'px',
                    esc_html( __( 'Calc', 'ueldo' ) ) => 'calc'
                ),
                'std' => 'percentage',
                'dependency' => array(
                    'element' => 'small_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Small device: width (percentage)', 'ueldo' ) ),
                'param_name' => 'small_width_percentage',
                'value' => ueldo_get_vc_loop_option_percents(),
                'std' => '100%',
                'dependency' => array(
                    'element' => 'small_width_type',
                    'value' => 'percentage'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Small device: width (pixels)', 'ueldo' ) ),
                'param_name' => 'small_width_px',
                'std' => '100',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'small_width_type',
                    'value' => 'px'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            /**/

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Small device: width (calc)', 'ueldo' ) ),
                'param_name' => 'small_width_calc_base',
                'value' => ueldo_get_vc_loop_option_percents(),
                'std' => '100%',
                'edit_field_class' => 'vc_col-xs-5 ueldo-vc-calc-field ueldo-calc-field-width-small',
                'dependency' => array(
                    'element' => 'small_width_type',
                    'value' => 'calc'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'param_name' => 'small_width_calc_operator',
                'value' => array(
                    '+',
                    '-'
                ),
                'std' => '-',
                'edit_field_class' => 'vc_col-xs-2 ueldo-vc-calc-field ueldo-calc-field-width-small',
                'dependency' => array(
                    'element' => 'small_width_type',
                    'value' => 'calc'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'param_name' => 'small_width_calc_px',
                'std' => '100',
                'ueldo-number-field-minus-allowed' => false,
                'edit_field_class' => 'vc_col-xs-5 ueldo-vc-calc-field ueldo-calc-field-width-small ueldo-vc-calc-field-last',
                'dependency' => array(
                    'element' => 'small_width_type',
                    'value' => 'calc'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            /**/

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Small device: content alignment', 'ueldo' ) ),
                'param_name' => 'small_content_alignment',
                'value' => array(
                    esc_html( __( 'Left', 'ueldo' ) ) => 'left',
                    esc_html( __( 'Center', 'ueldo' ) ) => 'center',
                    esc_html( __( 'Right', 'ueldo' ) ) => 'right'
                ),
                'std' => esc_attr( ueldo_is_rtl() ? 'right' : 'left' ),
                'dependency' => array(
                    'element' => 'small_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_extra_small_device',
                'std' => '',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Custom sizes for extra small devices?', 'ueldo' ) ),
                'param_name' => 'extra_small_custom_sizes',
                'value' => array(
                    esc_html( __( 'Yes, use custom sizes', 'ueldo' ) ) => 'yes',
                    esc_html( __( 'No, use as same sizes as for large devices', 'ueldo' ) ) => 'no-large',
                    esc_html( __( 'No, use as same sizes as for medium devices', 'ueldo' ) ) => 'no-medium',
                    esc_html( __( 'No, use as same sizes as for small devices', 'ueldo' ) ) => 'no-small'
                ),
                'std' => 'no-small',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Extra small device: width type', 'ueldo' ) ),
                'param_name' => 'extra_small_width_type',
                'value' => array(
                    esc_html( __( 'Percentage', 'ueldo' ) ) => 'percentage',
                    esc_html( __( 'Pixels', 'ueldo' ) ) => 'px',
                    esc_html( __( 'Calc', 'ueldo' ) ) => 'calc'
                ),
                'std' => 'percentage',
                'dependency' => array(
                    'element' => 'extra_small_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Extra small device: width (percentage)', 'ueldo' ) ),
                'param_name' => 'extra_small_width_percentage',
                'value' => ueldo_get_vc_loop_option_percents(),
                'std' => '100%',
                'dependency' => array(
                    'element' => 'extra_small_width_type',
                    'value' => 'percentage'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Extra small device: width (pixels)', 'ueldo' ) ),
                'param_name' => 'extra_small_width_px',
                'std' => '100',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'extra_small_width_type',
                    'value' => 'px'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            /**/

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Extra device: width (calc)', 'ueldo' ) ),
                'param_name' => 'extra_small_width_calc_base',
                'value' => ueldo_get_vc_loop_option_percents(),
                'std' => '100%',
                'edit_field_class' => 'vc_col-xs-5 ueldo-vc-calc-field ueldo-calc-field-width-extra-small',
                'dependency' => array(
                    'element' => 'extra_small_width_type',
                    'value' => 'calc'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'param_name' => 'extra_small_width_calc_operator',
                'value' => array(
                    '+',
                    '-'
                ),
                'std' => '-',
                'edit_field_class' => 'vc_col-xs-2 ueldo-vc-calc-field ueldo-calc-field-width-extra-small',
                'dependency' => array(
                    'element' => 'extra_small_width_type',
                    'value' => 'calc'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'param_name' => 'extra_small_width_calc_px',
                'std' => '100',
                'ueldo-number-field-minus-allowed' => false,
                'edit_field_class' => 'vc_col-xs-5 ueldo-vc-calc-field ueldo-calc-field-width-extra-small ueldo-vc-calc-field-last',
                'dependency' => array(
                    'element' => 'extra_small_width_type',
                    'value' => 'calc'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            /**/

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Extra small device: content alignment', 'ueldo' ) ),
                'param_name' => 'extra_small_content_alignment',
                'value' => array(
                    esc_html( __( 'Left', 'ueldo' ) ) => 'left',
                    esc_html( __( 'Center', 'ueldo' ) ) => 'center',
                    esc_html( __( 'Right', 'ueldo' ) ) => 'right'
                ),
                'std' => esc_attr( ueldo_is_rtl() ? 'right' : 'left' ),
                'dependency' => array(
                    'element' => 'extra_small_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            )

           /**
            *
            * end of fields.
            *
            */
        )

       /**
        *
        * end of shortcode settings
        *
        */

    )));

   /**
    *
    * extend WPBakeryShortCode class
    *
    */

    if( class_exists( 'WPBakeryShortCodesContainer' ) ) {

        class WPBakeryShortCode_Ueldo_Shortcode_Inline_Container_Element extends WPBakeryShortCodesContainer {
        }
    }

   /**
    *
    * end of shortcode map.
    *
    */

?>