<?php

   /**
    *
    * map the shortcode settings with visual composer
    *
    */

    vc_map( ueldo_update_custom_vc_shortcode_settings( array(
        'name' => esc_html( __( 'Loop', 'ueldo' ) ),
        'description' => esc_html( __( 'Display other elements in a loop', 'ueldo' ) ),
        'base' => 'ueldo_shortcode_loop',
        'content_element' => true,
        'category' => esc_html( __( 'Ueldo', 'ueldo' ) ),
        'icon' => esc_url( get_template_directory_uri() .'/_assets/_img/vc-icon.png' ),
        'is_container' => true,
        'js_view' => 'VcColumnView',
        'as_parent' => array( 'only' => 'ueldo_shortcode_loop_cell' ),
        'as_child' => array( 'except' => 'ueldo_shortcode_loop,ueldo_shortcode_loop_cell' ),
        'params' => array(

           /**
            *
            * class name
            *
            */

            ueldo_add_custom_vc_shortcode_settings( 'class-name', '', '', array(), esc_html( __( 'General settings', 'ueldo' ) ) ),

           /**
            *
            * group: general settings
            *
            */

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Columns', 'ueldo' ) ),
                'param_name' => 'columns',
                'value' => array(
                    '1',
                    '2',
                    '3',
                    '4'
                ),
                'std' => '3',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Switch to one column per row from', 'ueldo' ) ),
                'param_name' => 'one_column_from',
                'value' => array(
                    esc_html( __( 'Medium devices', 'ueldo' ) ) => 'medium',
                    esc_html( __( 'Small devices', 'ueldo' ) ) => 'small',
                    esc_html( __( 'Extra small devices', 'ueldo' ) ) => 'extra_small'
                ),
                'std' => 'small',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Rows', 'ueldo' ) ),
                'param_name' => 'rows',
                'value' => array(
                    '1',
                    '2',
                    '3',
                    '4',
                    '5'
                ),
                'std' => '1',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_masonry',
                'std' => '',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Masonry mode enabled?', 'ueldo' ) ),
                'param_name' => 'masonry_enabled',
                'value' => array(
                    esc_html( __( 'Yes', 'ueldo' ) ) => 'yes',
                    esc_html( __( 'No', 'ueldo' ) ) => 'no'
                ),
                'std' => 'no',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_margins',
                'std' => '',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Margin between columns', 'ueldo' ) ),
                'param_name' => 'margin_between_columns',
                'std' => '30',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'columns',
                    'value' => array(
                        '2',
                        '3',
                        '4'
                    )
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Margin between rows', 'ueldo' ) ),
                'param_name' => 'margin_between_rows',
                'std' => '30',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'rows',
                    'value' => array(
                        '2',
                        '3',
                        '4',
                        '5'
                    )
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

           /**
            *
            * group: next / prev arrows
            *
            */

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Use separated next / prev arrows?', 'ueldo' ) ),
                'param_name' => 'use_separate_next_prev_arrows',
                'value' => array(
                    esc_html( __( 'No, use next/prev arrows integrated with loop (on left and right side)', 'ueldo' ) ) => 'integrated',
                    esc_html( __( 'Yes, use separated next / prev arrows (in any other element)', 'ueldo' ) ) => 'separated'
                ),
                'std' => 'integrated',
                'group' => esc_html( __( 'Next / prev arrows', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_custom_unique_shortcode',
                'heading' => esc_html( __( 'Shortcode', 'ueldo' ) ),
                'param_name' => 'separate_next_prev_arrow_shortcode',
                'std' => '',
                'dependency' => array(
                    'element' => 'use_separate_next_prev_arrows',
                    'value' => 'separated'
                ),
                'group' => esc_html( __( 'Next / prev arrows', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_next_prev_arrows_settings',
                'std' => '',
                'group' => esc_html( __( 'Next / prev arrows', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Use custom settings for next / prev arrows?', 'ueldo' ) ),
                'param_name' => 'custom_next_prev_arrows_settings',
                'value' => array(
                    esc_html( __( 'No, use theme defaults', 'ueldo' ) ) => 'theme_defaults',
                    esc_html( __( 'Yes, use custom settings', 'ueldo' ) ) => 'custom_settings'
                ),
                'std' => 'theme_defaults',
                'group' => esc_html( __( 'Next / prev arrows', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Enable arrows animation?', 'ueldo' ) ),
                'param_name' => 'enable_arrows_animation',
                'value' => array(
                    esc_html( __( 'Yes', 'ueldo' ) ) => 'yes',
                    esc_html( __( 'No', 'ueldo' ) ) => 'no'
                ),
                'std' => 'yes',
                'dependency' => array(
                    'element' => 'custom_next_prev_arrows_settings',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Next / prev arrows', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Arrow font size', 'ueldo' ) ),
                'param_name' => 'arrow_font_size',
                'std' => '17',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'custom_next_prev_arrows_settings',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Next / prev arrows', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Arrow padding top and bottom', 'ueldo' ) ),
                'param_name' => 'arrow_padding_top_bottom',
                'std' => '10',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'custom_next_prev_arrows_settings',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Next / prev arrows', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Arrow padding left and right', 'ueldo' ) ),
                'param_name' => 'arrow_padding_left_right',
                'std' => '10',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'custom_next_prev_arrows_settings',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Next / prev arrows', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Arrow border radius', 'ueldo' ) ),
                'param_name' => 'arrow_border_radius',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'custom_next_prev_arrows_settings',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Next / prev arrows', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Arrow border width', 'ueldo' ) ),
                'param_name' => 'arrow_border_width',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'custom_next_prev_arrows_settings',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Next / prev arrows', 'ueldo' ) )
            ),

           /**
            *
            * group: auto-change tabs
            *
            */

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Auto-change enabled?', 'ueldo' ) ),
                'param_name' => 'autochange_enabled',
                'value' => array(
                    esc_html( __( 'No', 'ueldo' ) ) => 'no',
                    esc_html( __( 'Yes', 'ueldo' ) ) => 'yes'
                ),
                'std' => 'no',
                'group' => esc_html( __( 'Auto-change', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Interval between each auto-change', 'ueldo' ) ),
                'param_name' => 'autochange_interval',
                'value' => ueldo_get_vc_loop_option_intervals(),
                'std' => '6000',
                'dependency' => array(
                    'element' => 'autochange_enabled',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Auto-change', 'ueldo' ) )
            ),

           /**
            *
            * group: colors
            *
            */

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Use custom colors?', 'ueldo' ) ),
                'param_name' => 'custom_colors_enabled',
                'value' => array(
                    esc_html( __( 'No, use theme defaults', 'ueldo' ) ) => 'theme_defaults',
                    esc_html( __( 'Yes, use custom colors', 'ueldo' ) ) => 'custom_settings'
                ),
                'std' => 'theme_defaults',
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Cells border color', 'ueldo' ) ),
            				'param_name' => 'cells_border_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-border-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Loop background color', 'ueldo' ) ),
            				'param_name' => 'loop_background_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Next / prev arrow color', 'ueldo' ) ),
            				'param_name' => 'next_prev_arrow_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-icon-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Next / prev arrow color (on hover)', 'ueldo' ) ),
            				'param_name' => 'next_prev_arrow_color_hover',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Next / prev arrow container background', 'ueldo' ) ),
            				'param_name' => 'next_prev_arrow_container_background',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Next / prev arrow container background (on hover)', 'ueldo' ) ),
            				'param_name' => 'next_prev_arrow_container_background_hover',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Next / prev arrow container border color', 'ueldo' ) ),
            				'param_name' => 'next_prev_arrow_container_border_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Next / prev arrow container border color (on hover)', 'ueldo' ) ),
            				'param_name' => 'next_prev_arrow_container_border_color_hover',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            # next / prev arrow container box shadow

            array(
                'type' => 'ueldo_box_shadow_horizontal_length',
                'heading' => esc_html( __( 'Next / prev arrow container: box shadow', 'ueldo' ) ),
                'param_name' => 'next_prev_arrow_container_box_shadow_horizontal_length',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_vertical_length',
                'heading' => '',
                'param_name' => 'next_prev_arrow_container_box_shadow_vertical_length',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_blur_radius',
                'heading' => '',
                'param_name' => 'next_prev_arrow_container_box_shadow_blur_radius',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_spread_radius',
                'heading' => '',
                'param_name' => 'next_prev_arrow_container_box_shadow_spread_radius',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
            				'type' => 'colorpicker',
            				'heading' => '',
            				'param_name' => 'next_prev_arrow_container_box_shadow_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) ),
                'edit_field_class' => 'vc_col-xs-4',
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            # next / prev arrow container box shadow (on hover)

            array(
                'type' => 'ueldo_box_shadow_horizontal_length',
                'heading' => esc_html( __( 'Next / prev arrow container: box shadow (on hover)', 'ueldo' ) ),
                'param_name' => 'next_prev_arrow_container_box_shadow_horizontal_length_hover',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_vertical_length',
                'heading' => '',
                'param_name' => 'next_prev_arrow_container_box_shadow_vertical_length_hover',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_blur_radius',
                'heading' => '',
                'param_name' => 'next_prev_arrow_container_box_shadow_blur_radius_hover',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_spread_radius',
                'heading' => '',
                'param_name' => 'next_prev_arrow_container_box_shadow_spread_radius_hover',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
            				'type' => 'colorpicker',
            				'heading' => '',
            				'param_name' => 'next_prev_arrow_container_box_shadow_color_hover',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) ),
                'edit_field_class' => 'vc_col-xs-4',
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			)

            # end of next / prev arrow container box shadow (on hover)

           /**
            *
            * end of fields.
            *
            */
        )

       /**
        *
        * end of shortcode settings
        *
        */

    )));

   /**
    *
    * extend WPBakeryShortCode class
    *
    */

    if( class_exists( 'WPBakeryShortCodesContainer' ) ) {

        class WPBakeryShortCode_Ueldo_Shortcode_Loop extends WPBakeryShortCodesContainer {
        }
    }

   /**
    *
    * end of shortcode map.
    *
    */

?>