<?php

   /**
    *
    * map the shortcode settings with visual composer
    *
    */

    vc_map( ueldo_update_custom_vc_shortcode_settings( array(
        'name' => esc_html( __( 'Opening hours box', 'ueldo' ) ),
        'description' => esc_html( __( 'Display your company opening hours table', 'ueldo' ) ),
        'base' => 'ueldo_shortcode_opening_hours_box',
        'content_element' => true,
        'category' => esc_html( __( 'Ueldo', 'ueldo' ) ),
        'icon' => esc_url( get_template_directory_uri() .'/_assets/_img/vc-icon.png' ),
        'is_container' => true,
        'js_view' => 'VcColumnView',
        'as_parent' => array( 'only' => 'ueldo_shortcode_opening_hours_box_element' ),
        'as_child' => array( 'except' => 'ueldo_shortcode_opening_hours_box' ),
        'params' => array(

           /**
            *
            * class name
            *
            */

            ueldo_add_custom_vc_shortcode_settings( 'class-name', '', '', array(), esc_html( __( 'General settings', 'ueldo' ) ) ),

           /**
            *
            * group: general settings
            *
            */

            array(
                'type' => 'textfield',
                'heading' => esc_html( __( 'Box title', 'ueldo' ) ),
                'param_name' => 'box_title',
                'std' => esc_html( __( 'Today', 'ueldo' ) ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Heading position', 'ueldo' ) ),
                'param_name' => 'heading_position',
                'value' => array(
                    esc_html( __( 'Top', 'ueldo' ) ) => 'top',
                    esc_html( __( 'Bottom', 'ueldo' ) ) => 'bottom'
                ),
                'std' => 'top',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_elements_responsiveness',
                'std' => '',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Switch opening hours elements to one line from:', 'ueldo' ) ),
                'param_name' => 'switch_elements_to_one_line_from',
                'value' => array(
                    esc_html( __( 'Large devices', 'ueldo' ) ) => 'large',
                    esc_html( __( 'Medium devices', 'ueldo' ) ) => 'medium',
                    esc_html( __( 'Small devices', 'ueldo' ) ) => 'small',
                    esc_html( __( 'Extra small devices', 'ueldo' ) ) => 'extra-small'
                ),
                'std' => 'extra-small',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_display_opening_hours_status',
                'std' => '',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Display opening hours status?', 'ueldo' ) ),
                'param_name' => 'display_opening_hours_status',
                'value' => array(
                    esc_html( __( 'Yes', 'ueldo' ) ) => 'yes',
                    esc_html( __( 'No', 'ueldo' ) ) => 'no'
                ),
                'std' => 'yes',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

           /**
            *
            * group: opening hours status
            *
            */

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Opening hours status position', 'ueldo' ) ),
                'param_name' => 'opening_hours_status_position',
                'value' => array(
                    ( ueldo_is_rtl() ? esc_html( __( 'Right (box title on left side)', 'ueldo' ) ) : esc_html( __( 'Left (box title on right side)', 'ueldo' ) ) ) => 'left',
                    ( ueldo_is_rtl() ? esc_html( __( 'Left (box title on right side)', 'ueldo' ) ) : esc_html( __( 'Right (box title on left side)', 'ueldo' ) ) ) => 'right'
                ),
                'std' => 'right',
                'dependency' => array(
                    'element' => 'display_opening_hours_status',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Opening hours status', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_opening_hours_status',
                'std' => '',
                'dependency' => array(
                    'element' => 'display_opening_hours_status',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Opening hours status', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Opening hours status', 'ueldo' ) ),
                'param_name' => 'status',
                'value' => ueldo_get_opening_hours_statuses_array(),
                'description' => esc_html( __( 'You can add / edit / remove opening hours statuses in Ueldo Theme Options page.', 'ueldo' ) ),
                'std' => 'none',
                'dependency' => array(
                    'element' => 'display_opening_hours_status',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Opening hours status', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Status dot position', 'ueldo' ) ),
                'param_name' => 'status_dot_position',
                'value' => array(
                    esc_html( __( 'Left', 'ueldo' ) ) => 'left',
                    esc_html( __( 'Right', 'ueldo' ) ) => 'right'
                ),
                'std' => esc_attr( ueldo_is_rtl() ? 'right' : 'left' ),
                'dependency' => array(
                    'element' => 'display_opening_hours_status',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Opening hours status', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_opening_hours_status_texts',
                'std' => '',
                'dependency' => array(
                    'element' => 'display_opening_hours_status',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Opening hours status', 'ueldo' ) )
            ),

            array(
                'type' => 'textfield',
                'heading' => esc_html( __( 'Text when open', 'ueldo' ) ),
                'param_name' => 'text_when_open',
                'std' => esc_html( __( 'We are open', 'ueldo' ) ),
                'dependency' => array(
                    'element' => 'display_opening_hours_status',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Opening hours status', 'ueldo' ) )
            ),

            array(
                'type' => 'textfield',
                'heading' => esc_html( __( 'Text when closed', 'ueldo' ) ),
                'param_name' => 'text_when_closed',
                'std' => esc_html( __( 'Closed already', 'ueldo' ) ),
                'dependency' => array(
                    'element' => 'display_opening_hours_status',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Opening hours status', 'ueldo' ) )
            ),

           /**
            *
            * group: sizes
            *
            */

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Use custom sizes?', 'ueldo' ) ),
                'param_name' => 'custom_sizes_enabled',
                'value' => array(
                    esc_html( __( 'No, use theme defaults', 'ueldo' ) ) => 'theme_defaults',
                    esc_html( __( 'Yes, use custom sizes', 'ueldo' ) ) => 'custom_settings'
                ),
                'std' => 'theme_defaults',
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_sizes_border',
                'std' => '',
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Border width', 'ueldo' ) ),
                'param_name' => 'border_width',
                'std' => '1',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Inset border width', 'ueldo' ) ),
                'param_name' => 'inset_border_width',
                'std' => '1',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Border radius', 'ueldo' ) ),
                'param_name' => 'border_radius',
                'std' => '4',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_sizes_elements_paddings',
                'std' => '',
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Elements padding top / bottom', 'ueldo' ) ),
                'param_name' => 'elements_padding_top_bottom',
                'std' => '20',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Elements padding left / right', 'ueldo' ) ),
                'param_name' => 'elements_padding_left_right',
                'std' => '30',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_sizes_elements_titles',
                'std' => '',
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Elements titles font size', 'ueldo' ) ),
                'param_name' => 'elements_titles_font_size',
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'font-size-content' ) ),
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_em_number',
                'heading' => esc_html( __( 'Elements titles font line height', 'ueldo' ) ),
                'param_name' => 'elements_titles_font_line_height',
                'std' => '1.0',
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Elements titles font family', 'ueldo' ) ),
                'param_name' => 'elements_titles_font_family',
                'value' => ueldo_vc_get_heading_text_fonts(),
                'std' => ueldo_get_default_font_key( 'headings-font' ),
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_sizes_elements_values',
                'std' => '',
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Elements values font size', 'ueldo' ) ),
                'param_name' => 'elements_values_font_size',
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'font-size-content' ) ),
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_em_number',
                'heading' => esc_html( __( 'Elements values font line height', 'ueldo' ) ),
                'param_name' => 'elements_values_font_line_height',
                'std' => '1.0',
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Elements values font family', 'ueldo' ) ),
                'param_name' => 'elements_values_font_family',
                'value' => ueldo_vc_get_heading_text_fonts(),
                'std' => ueldo_get_default_font_key( 'general-font' ),
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_sizes_elements_titles_and_values_margin',
                'std' => '',
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Margin between elements titles and values when switched to one-line', 'ueldo' ) ),
                'param_name' => 'margin_between_elements_titles_and_values_when_switched_to_one_line',
                'std' => '5',
                'ueldo-number-field-minus-allowed' => true,
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_sizes_box_title',
                'std' => '',
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Box title font size', 'ueldo' ) ),
                'param_name' => 'box_title_font_size',
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'font-size-content' ) ),
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_em_number',
                'heading' => esc_html( __( 'Box title font line height', 'ueldo' ) ),
                'param_name' => 'box_title_font_line_height',
                'std' => '1.0',
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Box title font family', 'ueldo' ) ),
                'param_name' => 'box_title_font_family',
                'value' => ueldo_vc_get_heading_text_fonts(),
                'std' => ueldo_get_default_font_key( 'headings-bold-font' ),
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_sizes_opening_hours_status_content',
                'std' => '',
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Opening hours status content font size', 'ueldo' ) ),
                'param_name' => 'opening_hours_status_content_font_size',
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'font-size-content' ) ),
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_em_number',
                'heading' => esc_html( __( 'Opening hours status content font line height', 'ueldo' ) ),
                'param_name' => 'opening_hours_status_content_font_line_height',
                'std' => '1.0',
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Opening hours status content font family', 'ueldo' ) ),
                'param_name' => 'opening_hours_status_content_font_family',
                'value' => ueldo_vc_get_heading_text_fonts(),
                'std' => ueldo_get_default_font_key( 'general-font' ),
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_sizes_opening_hours_status_dot',
                'std' => '',
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Opening hours status dot width / height', 'ueldo' ) ),
                'param_name' => 'opening_hours_status_dot_width_height',
                'std' => '6',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Margin between opening hours status dot and content', 'ueldo' ) ),
                'param_name' => 'margin_between_opening_hours_status_dot_and_content',
                'std' => '15',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

           /**
            *
            * group: colors
            *
            */

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Use custom colors?', 'ueldo' ) ),
                'param_name' => 'custom_colors_enabled',
                'value' => array(
                    esc_html( __( 'No, use theme defaults', 'ueldo' ) ) => 'theme_defaults',
                    esc_html( __( 'Yes, use custom colors', 'ueldo' ) ) => 'custom_settings'
                ),
                'std' => 'theme_defaults',
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Background color', 'ueldo' ) ),
            				'param_name' => 'background_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings'
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Background color (on hover)', 'ueldo' ) ),
            				'param_name' => 'background_color_hover',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings'
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Border color', 'ueldo' ) ),
            				'param_name' => 'border_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings'
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-border-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Border color (on hover)', 'ueldo' ) ),
            				'param_name' => 'border_color_hover',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings'
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-hover-border-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Inset border color', 'ueldo' ) ),
            				'param_name' => 'inset_border_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings'
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-inset-border-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            # box shadow

            array(
                'type' => 'ueldo_box_shadow_horizontal_length',
                'heading' => esc_html( __( 'Box shadow', 'ueldo' ) ),
                'param_name' => 'box_shadow_horizontal_length',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'horizontal-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings'
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_vertical_length',
                'heading' => '',
                'param_name' => 'box_shadow_vertical_length',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'vertical-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings'
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_blur_radius',
                'heading' => '',
                'param_name' => 'box_shadow_blur_radius',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'blur-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings'
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_spread_radius',
                'heading' => '',
                'param_name' => 'box_shadow_spread_radius',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'spread-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings'
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
            				'type' => 'colorpicker',
            				'heading' => '',
            				'param_name' => 'box_shadow_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings'
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'color' ) ),
                'edit_field_class' => 'vc_col-xs-4',
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            # box shadow (on hover)

            array(
                'type' => 'ueldo_box_shadow_horizontal_length',
                'heading' => esc_html( __( 'Box shadow (on hover)', 'ueldo' ) ),
                'param_name' => 'box_shadow_horizontal_length_hover',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'horizontal-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings'
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_vertical_length',
                'heading' => '',
                'param_name' => 'box_shadow_vertical_length_hover',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'vertical-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings'
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_blur_radius',
                'heading' => '',
                'param_name' => 'box_shadow_blur_radius_hover',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'blur-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings'
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_spread_radius',
                'heading' => '',
                'param_name' => 'box_shadow_spread_radius_hover',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'spread-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings'
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
            				'type' => 'colorpicker',
            				'heading' => '',
            				'param_name' => 'box_shadow_color_hover',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings'
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'color' ) ),
                'edit_field_class' => 'vc_col-xs-4',
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            # end of box shadow (on hover)

            array(
                'type' => 'colorpicker',
                'heading' => esc_html( __( 'Heading background color', 'ueldo' ) ),
                'param_name' => 'heading_background_color',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings'
                ),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-heading-or-active-tab-background-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'colorpicker',
                'heading' => esc_html( __( 'Box title color', 'ueldo' ) ),
                'param_name' => 'box_title_color',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings'
                ),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'colorpicker',
                'heading' => esc_html( __( 'Elements titles color', 'ueldo' ) ),
                'param_name' => 'elements_titles_color',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings'
                ),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-headings-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'colorpicker',
                'heading' => esc_html( __( 'Elements values color', 'ueldo' ) ),
                'param_name' => 'elements_values_color',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings'
                ),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-content-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'colorpicker',
                'heading' => esc_html( __( 'Opening hours status content color', 'ueldo' ) ),
                'param_name' => 'opening_hours_status_content_color',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings'
                ),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-content-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'colorpicker',
                'heading' => esc_html( __( 'Opening hours status dot color when open', 'ueldo' ) ),
                'param_name' => 'opening_hours_status_dot_color_when_open',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings'
                ),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'opening-hours-status-color-when-open' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'colorpicker',
                'heading' => esc_html( __( 'Opening hours status dot color when closed', 'ueldo' ) ),
                'param_name' => 'opening_hours_status_dot_color_when_closed',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings'
                ),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'opening-hours-status-color-when-closed' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            )

           /**
            *
            * end of fields.
            *
            */
        )

       /**
        *
        * end of shortcode settings
        *
        */

    )));

   /**
    *
    * extend WPBakeryShortCode class
    *
    */

    if( class_exists( 'WPBakeryShortCodesContainer' ) ) {

        class WPBakeryShortCode_Ueldo_Shortcode_Opening_Hours_Box extends WPBakeryShortCodesContainer {
        }
    }

   /**
    *
    * end of shortcode map.
    *
    */

?>