<?php

   /**
    *
    * map the shortcode settings with visual composer
    *
    */

    vc_map( ueldo_update_custom_vc_shortcode_settings( array(
        'name' => esc_html( __( 'Presentation', 'ueldo' ) ),
        'description' => esc_html( __( 'Display presentation images', 'ueldo' ) ),
        'base' => 'ueldo_shortcode_presentation',
        'content_element' => true,
        'category' => esc_html( __( 'Ueldo', 'ueldo' ) ),
        'icon' => esc_url( get_template_directory_uri() .'/_assets/_img/vc-icon.png' ),
        'is_container' => true,
        'js_view' => 'VcColumnView',
        'as_parent' => array( 'only' => 'ueldo_shortcode_presentation_element' ),
        'as_child' => array( 'except' => 'ueldo_shortcode_presentation_element,ueldo_shortcode_presentation' ),
        'params' => array(

           /**
            *
            * class name
            *
            */

            ueldo_add_custom_vc_shortcode_settings( 'class-name', '', '', array(), esc_html( __( 'General settings', 'ueldo' ) ) ),

           /**
            *
            * group: general settings
            *
            */

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Next / prev arrows animation enabled?', 'ueldo' ) ),
                'param_name' => 'next_prev_arrows_animation_enabled',
                'value' => array(
                    esc_html( __( 'Yes', 'ueldo' ) ) => 'yes',
                    esc_html( __( 'No', 'ueldo' ) ) => 'no'
                ),
                'std' => 'yes',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_prev_elements_text',
                'std' => '',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'textfield',
                'heading' => esc_html( __( 'Previous images text', 'ueldo' ) ),
                'std' => esc_html( __( 'Prev images', 'ueldo' ) ),
                'param_name' => 'prev_images_text',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_next_elements_text',
                'std' => '',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'textfield',
                'heading' => esc_html( __( 'Next images text', 'ueldo' ) ),
                'std' => esc_html( __( 'Next images', 'ueldo' ) ),
                'param_name' => 'next_images_text',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

           /**
            *
            * group: sizes
            *
            */

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Custom sizes enabled?', 'ueldo' ) ),
                'param_name' => 'custom_sizes_enabled',
                'value' => array(
                    esc_html( __( 'No, use theme defaults', 'ueldo' ) ) => 'theme_defaults',
                    esc_html( __( 'Yes, use custom settings', 'ueldo' ) ) => 'custom_settings'
                ),
                'std' => 'theme_defaults',
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_height_ratio',
                'std' => '',
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_number',
                'heading' => esc_html( __( 'Height to width ratio', 'ueldo' ) ),
                'description' => esc_html( __( '"100" means height as same as width, "50" means height is set to 50% value of width etc.)', 'ueldo' ) ),
                'param_name' => 'height_ratio',
                'std' => '54.54',
                'ueldo-number-field-minus-allowed' => false,
                'ueldo-number-field-decimals-allowed' => true,
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_border',
                'std' => '',
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Border width', 'ueldo' ) ),
                'param_name' => 'border_width',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Border radius', 'ueldo' ) ),
                'param_name' => 'border_radius',
                'std' => '4',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_images_switcher',
                'std' => '',
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Images switcher bottom margin', 'ueldo' ) ),
                'param_name' => 'images_switcher_bottom_margin',
                'std' => '-20',
                'ueldo-number-field-minus-allowed' => true,
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Images switcher border radius', 'ueldo' ) ),
                'param_name' => 'images_switcher_border_radius',
                'std' => '4',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Images switcher next / prev icon size', 'ueldo' ) ),
                'param_name' => 'images_switcher_next_prev_icon_size',
                'std' => '18',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Images switcher next / prev icon margin bottom', 'ueldo' ) ),
                'param_name' => 'images_switcher_next_prev_icon_margin',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => true,
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Images switcher next / prev font size', 'ueldo' ) ),
                'param_name' => 'images_switcher_next_prev_font_size',
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'font-size-content' ) ),
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_em_number',
                'heading' => esc_html( __( 'Images switcher next / prev font line height', 'ueldo' ) ),
                'param_name' => 'images_switcher_next_prev_line_height',
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'line-height-general' ) ),
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

           /**
            *
            * group: colors
            *
            */

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Use custom colors?', 'ueldo' ) ),
                'param_name' => 'custom_colors_enabled',
                'value' => array(
                    esc_html( __( 'No, use theme defaults', 'ueldo' ) ) => 'theme_defaults',
                    esc_html( __( 'Yes, use custom colors', 'ueldo' ) ) => 'custom_settings'
                ),
                'std' => 'theme_defaults',
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            # box shadow

            array(
                'type' => 'ueldo_box_shadow_horizontal_length',
                'heading' => esc_html( __( 'Box shadow', 'ueldo' ) ),
                'param_name' => 'box_shadow_horizontal_length',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'horizontal-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_vertical_length',
                'heading' => '',
                'param_name' => 'box_shadow_vertical_length',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'vertical-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_blur_radius',
                'heading' => '',
                'param_name' => 'box_shadow_blur_radius',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'blur-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_spread_radius',
                'heading' => '',
                'param_name' => 'box_shadow_spread_radius',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'spread-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
            				'type' => 'colorpicker',
            				'heading' => '',
            				'param_name' => 'box_shadow_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'color' ) ),
                'edit_field_class' => 'vc_col-xs-4',
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            # box shadow on hover

            array(
                'type' => 'ueldo_box_shadow_horizontal_length',
                'heading' => esc_html( __( 'Box shadow (on hover)', 'ueldo' ) ),
                'param_name' => 'box_shadow_horizontal_length_hover',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'horizontal-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings',
                ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_vertical_length',
                'heading' => '',
                'param_name' => 'box_shadow_vertical_length_hover',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'vertical-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings',
                ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_blur_radius',
                'heading' => '',
                'param_name' => 'box_shadow_blur_radius_hover',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'blur-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings',
                ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_spread_radius',
                'heading' => '',
                'param_name' => 'box_shadow_spread_radius_hover',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'spread-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings',
                ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'colorpicker',
                'heading' => '',
                'param_name' => 'box_shadow_color_hover',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings',
                ),
                'std' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'color' ) ),
                'edit_field_class' => 'vc_col-xs-4',
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            # end of box shadow on hover

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Border color', 'ueldo' ) ),
            				'param_name' => 'border_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-border-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Border color (on hover)', 'ueldo' ) ),
            				'param_name' => 'border_color_hover',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-border-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Images switcher background', 'ueldo' ) ),
            				'param_name' => 'images_switcher_background_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Images switcher background (on hover)', 'ueldo' ) ),
            				'param_name' => 'images_switcher_background_color_hover',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Images switcher inside border color', 'ueldo' ) ),
            				'param_name' => 'images_switcher_inside_border_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-border-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            # images switcher box shadow

            array(
                'type' => 'ueldo_box_shadow_horizontal_length',
                'heading' => esc_html( __( 'Images switcher box shadow', 'ueldo' ) ),
                'param_name' => 'images_switcher_box_shadow_horizontal_length',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_vertical_length',
                'heading' => '',
                'param_name' => 'images_switcher_box_shadow_vertical_length',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_blur_radius',
                'heading' => '',
                'param_name' => 'images_switcher_box_shadow_blur_radius',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_spread_radius',
                'heading' => '',
                'param_name' => 'images_switcher_box_shadow_spread_radius',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
            				'type' => 'colorpicker',
            				'heading' => '',
            				'param_name' => 'images_switcher_box_shadow_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) ),
                'edit_field_class' => 'vc_col-xs-4',
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            # images switcher box shadow (on hover)

            array(
                'type' => 'ueldo_box_shadow_horizontal_length',
                'heading' => esc_html( __( 'Images switcher box shadow (on hover)', 'ueldo' ) ),
                'param_name' => 'images_switcher_box_shadow_horizontal_length_hover',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings',
                ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_vertical_length',
                'heading' => '',
                'param_name' => 'images_switcher_box_shadow_vertical_length_hover',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings',
                ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_blur_radius',
                'heading' => '',
                'param_name' => 'images_switcher_box_shadow_blur_radius_hover',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings',
                ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_spread_radius',
                'heading' => '',
                'param_name' => 'images_switcher_box_shadow_spread_radius_hover',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings',
                ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'colorpicker',
                'heading' => '',
                'param_name' => 'images_switcher_box_shadow_color_hover',
                'dependency' => array(
                    'element' => 'custom_colors_enabled',
                    'value' => 'custom_settings',
                ),
                'std' => esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) ),
                'edit_field_class' => 'vc_col-xs-4',
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            # end of images switcher box shadow (on hover)

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Images switcher next / prev icon color', 'ueldo' ) ),
            				'param_name' => 'images_switcher_next_prev_icon_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Images switcher next / prev icon color (on hover)', 'ueldo' ) ),
            				'param_name' => 'images_switcher_next_prev_icon_color_hover',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Images switcher next / prev text color', 'ueldo' ) ),
            				'param_name' => 'images_switcher_next_prev_text_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-headings-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Images switcher next / prev text color (on hover)', 'ueldo' ) ),
            				'param_name' => 'images_switcher_next_prev_text_color_hover',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Images switcher inactive image overlay', 'ueldo' ) ),
            				'param_name' => 'images_switcher_inactive_image_overlay',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => $ueldo_styles_cache -> get_style_from_pattern( 'presentation-elements-switcher-inactive-elements-overlay' ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Images switcher active image border color', 'ueldo' ) ),
            				'param_name' => 'images_switcher_active_image_border_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			)

           /**
            *
            * end of fields.
            *
            */
        )

       /**
        *
        * end of shortcode settings
        *
        */

    )));

   /**
    *
    * extend WPBakeryShortCode class
    *
    */

    if( class_exists( 'WPBakeryShortCodesContainer' ) ) {

        class WPBakeryShortCode_Ueldo_Shortcode_Presentation extends WPBakeryShortCodesContainer {
        }
    }

   /**
    *
    * end of shortcode map.
    *
    */

?>