<?php

   /**
    *
    * map the shortcode settings with visual composer
    *
    */

    vc_map( ueldo_update_custom_vc_shortcode_settings( array(
        'name' => esc_html( __( 'Pricing list: attribute', 'ueldo' ) ),
        'description' => esc_html( __( 'Single attribute for pricing list', 'ueldo' ) ),
        'base' => 'ueldo_shortcode_pricing_list_attribute',
        'content_element' => true,
        'category' => esc_html( __( 'Ueldo', 'ueldo' ) ),
        'icon' => esc_url( get_template_directory_uri() .'/_assets/_img/vc-icon.png' ),
        'as_child' => array( 'only' => 'ueldo_shortcode_pricing_list_group' ),
        'params' => array(

           /**
            *
            * class name
            *
            */

            ueldo_add_custom_vc_shortcode_settings( 'class-name', '', '', array(), esc_html( __( 'Attribute', 'ueldo' ) ) ),

           /**
            *
            * group: attribute
            *
            */

            array(
                'type' => 'textfield',
                'heading' => esc_html( __( 'Attribute title', 'ueldo' ) ),
                'param_name' => 'title',
                'admin_label' => true,
                'std' => esc_html( __( 'Offer title', 'ueldo' ) ),
                'group' => esc_html( __( 'Attribute', 'ueldo' ) )
            ),

            array(
                'type' => 'textfield',
                'heading' => esc_html( __( 'Attribute price', 'ueldo' ) ),
                'param_name' => 'price',
                'std' => esc_html( __( '$19', 'ueldo' ) ),
                'group' => esc_html( __( 'Attribute', 'ueldo' ) )
            )

           /**
            *
            * end of fields.
            *
            */
        )

       /**
        *
        * end of shortcode settings
        *
        */

    )));

   /**
    *
    * extend WPBakeryShortCode class
    *
    */

    if( class_exists( 'WPBakeryShortCode' ) ) {

        class WPBakeryShortCode_Ueldo_Shortcode_Pricing_List_Attribute extends WPBakeryShortCode {
        }
    }

   /**
    *
    * end of shortcode map.
    *
    */

?>