<?php

   /**
    *
    * map the shortcode settings with visual composer
    *
    */

    vc_map( ueldo_update_custom_vc_shortcode_settings( array(
        'name' => esc_html( __( 'Pricing list: group', 'ueldo' ) ),
        'description' => esc_html( __( 'Group your pricing list attributes', 'ueldo' ) ),
        'base' => 'ueldo_shortcode_pricing_list_group',
        'content_element' => true,
        'category' => esc_html( __( 'Ueldo', 'ueldo' ) ),
        'icon' => esc_url( get_template_directory_uri() .'/_assets/_img/vc-icon.png' ),
        'is_container' => true,
        'js_view' => 'VcColumnView',
        'as_parent' => array( 'only' => 'ueldo_shortcode_pricing_list_attribute,ueldo_shortcode_button' ),
        'as_child' => array( 'only' => 'ueldo_shortcode_pricing_list' ),
        'params' => array(

           /**
            *
            * class name
            *
            */

            ueldo_add_custom_vc_shortcode_settings( 'class-name', '', '', array(), esc_html( __( 'Group', 'ueldo' ) ) ),

           /**
            *
            * group: group
            *
            */

            array(
                'type' => 'textfield',
                'heading' => esc_html( __( 'Title', 'ueldo' ) ),
                'param_name' => 'title',
                'admin_label' => true,
                'std' => esc_html( __( 'Our offer', 'ueldo' ) ),
                'group' => esc_html( __( 'Group', 'ueldo' ) )
            ),

            array(
                'type' => 'textfield',
                'heading' => esc_html( __( 'Description', 'ueldo' ) ),
                'param_name' => 'description',
                'std' => 'Maecenas ut ornare eros. Cras vitae nibh eget mauris placerat pellentesque.',
                'group' => esc_html( __( 'Group', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_display_group_icon',
                'std' => '',
                'group' => esc_html( __( 'Group', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Display group icon?', 'ueldo' ) ),
                'param_name' => 'display_group_icon',
                'value' => array(
                    esc_html( __( 'Yes', 'ueldo' ) ) => 'yes',
                    esc_html( __( 'No', 'ueldo' ) ) => 'no'
                ),
                'std' => 'yes',
                'group' => esc_html( __( 'Group', 'ueldo' ) )
            ),

            'ueldo_custom_vc_shortcode_additional_settings_01' => ueldo_add_custom_vc_shortcode_settings(
                'icons',
                'icon_',
                esc_html( __( 'Group icon', 'ueldo' ) ),
                array(
                    'element' => 'display_group_icon',
                    'value' => 'yes'
                ),
                esc_html( __( 'Group', 'ueldo' ) )
            )

           /**
            *
            * end of fields.
            *
            */
        )

       /**
        *
        * end of shortcode settings
        *
        */

    )));

   /**
    *
    * extend WPBakeryShortCode class
    *
    */

    if( class_exists( 'WPBakeryShortCodesContainer' ) ) {

        class WPBakeryShortCode_Ueldo_Shortcode_Pricing_List_Group extends WPBakeryShortCodesContainer {
        }
    }

   /**
    *
    * end of shortcode map.
    *
    */

?>