<?php

   /**
    *
    * map the shortcode settings with visual composer
    *
    */

    vc_map( ueldo_update_custom_vc_shortcode_settings( array(
        'name' => esc_html( __( 'Pricing table', 'ueldo' ) ),
        'description' => esc_html( __( 'Display your pricing attributes', 'ueldo' ) ),
        'base' => 'ueldo_shortcode_pricing_table',
        'content_element' => true,
        'category' => esc_html( __( 'Ueldo', 'ueldo' ) ),
        'icon' => esc_url( get_template_directory_uri() .'/_assets/_img/vc-icon.png' ),
        'is_container' => true,
        'js_view' => 'VcColumnView',
        'as_parent' => array( 'only' => 'ueldo_shortcode_pricing_table_attribute,ueldo_shortcode_button' ),
        'params' => array(

           /**
            *
            * class name
            *
            */

            ueldo_add_custom_vc_shortcode_settings( 'class-name', '', '', array(), esc_html( __( 'Pricing table', 'ueldo' ) ) ),

           /**
            *
            * group: pricing table
            *
            */

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Pricing table style', 'ueldo' ) ),
                'param_name' => 'pricing_table_style',
                'value' => array(
                    esc_html( __( 'Style 1', 'ueldo' ) ) => '01',
                    esc_html( __( 'Style 2', 'ueldo' ) ) => '02',
                    esc_html( __( 'Style 3', 'ueldo' ) ) => '03'
                ),
                'std' => '01',
                'group' => esc_html( __( 'Pricing table', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Content alignment', 'ueldo' ) ),
                'param_name' => 'content_alignment',
                'value' => array(
                    esc_html( __( 'Left', 'ueldo' ) ) => 'left',
                    esc_html( __( 'Center', 'ueldo' ) ) => 'center',
                    esc_html( __( 'Right', 'ueldo' ) ) => 'right'
                ),
                'std' => esc_attr( ueldo_is_rtl() ? 'right' : 'left' ),
                'group' => esc_html( __( 'Pricing table', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Horizontal alignment', 'ueldo' ) ),
                'param_name' => 'horizontal_alignment',
                'value' => array(
                    esc_html( __( 'Left', 'ueldo' ) ) => 'left',
                    esc_html( __( 'Center', 'ueldo' ) ) => 'center',
                    esc_html( __( 'Right', 'ueldo' ) ) => 'right'
                ),
                'std' => esc_attr( ueldo_is_rtl() ? 'right' : 'left' ),
                'group' => esc_html( __( 'Pricing table', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_title',
                'std' => '',
                'group' => esc_html( __( 'Pricing table', 'ueldo' ) )
            ),

            array(
                'type' => 'textfield',
                'heading' => esc_html( __( 'Title', 'ueldo' ) ),
                'param_name' => 'title',
                'std' => esc_html( __( 'Regular', 'ueldo' ) ),
                'group' => esc_html( __( 'Pricing table', 'ueldo' ) )
            ),

           /**
            *
            * group: price
            *
            */

            array(
                'type' => 'textfield',
                'heading' => esc_html( __( 'Price value', 'ueldo' ) ),
                'param_name' => 'price_value',
                'std' => esc_html( __( '25', 'ueldo' ) ),
                'group' => esc_html( __( 'Price', 'ueldo' ) )
            ),

            array(
                'type' => 'textfield',
                'heading' => esc_html( __( 'Price currency', 'ueldo' ) ),
                'param_name' => 'price_currency',
                'std' => esc_html( __( '$', 'ueldo' ) ),
                'group' => esc_html( __( 'Price', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Price currency side', 'ueldo' ) ),
                'param_name' => 'price_currency_side',
                'value' => array(
                    ( ueldo_is_rtl() ? esc_html( __( 'Right', 'ueldo' ) ) : esc_html( __( 'Left', 'ueldo' ) ) ) => 'left',
                    ( ueldo_is_rtl() ? esc_html( __( 'Left', 'ueldo' ) ) : esc_html( __( 'Right', 'ueldo' ) ) ) => 'right'
                ),
                'std' => esc_attr( ueldo_is_rtl() ? 'right' : 'left' ),
                'group' => esc_html( __( 'Price', 'ueldo' ) )
            ),

            array(
                'type' => 'textfield',
                'heading' => esc_html( __( 'Price additional element text', 'ueldo' ) ),
                'param_name' => 'price_additional_element_text',
                'std' => esc_html( __( '/ mo', 'ueldo' ) ),
                'group' => esc_html( __( 'Price', 'ueldo' ) )
            ),

           /**
            *
            * group: ribbon
            *
            */

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Show ribbon?', 'ueldo' ) ),
                'param_name' => 'show_ribbon',
                'value' => array(
                    esc_html( __( 'Yes', 'ueldo' ) ) => 'yes',
                    esc_html( __( 'No', 'ueldo' ) ) => 'no'
                ),
                'std' => 'no',
                'group' => esc_html( __( 'Ribbon', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Ribbon position', 'ueldo' ) ),
                'param_name' => 'ribbon_position',
                'value' => array(
                    esc_html( __( 'Left', 'ueldo' ) ) => 'left',
                    esc_html( __( 'Right', 'ueldo' ) ) => 'right'
                ),
                'std' => esc_attr( ueldo_is_rtl() ? 'right' : 'left' ),
                'dependency' => array(
                    'element' => 'show_ribbon',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Ribbon', 'ueldo' ) )
            ),

            array(
                'type' => 'textfield',
                'heading' => esc_html( __( 'Ribbon text', 'ueldo' ) ),
                'param_name' => 'ribbon_text',
                'std' => esc_html( __( 'Popular', 'ueldo' ) ),
                'dependency' => array(
                    'element' => 'show_ribbon',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Ribbon', 'ueldo' ) )
            ),

           /**
            *
            * level icons
            *
            */

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Display level icons?', 'ueldo' ) ),
                'param_name' => 'display_level_icons',
                'value' => array(
                    esc_html( __( 'Yes', 'ueldo' ) ) => 'yes',
                    esc_html( __( 'No', 'ueldo' ) ) => 'no'
                ),
                'std' => 'yes',
                'dependency' => array(
                    'element' => 'pricing_table_style',
                    'value' => '02'
                ),
                'group' => esc_html( __( 'Level icons', 'ueldo' ) )
            ),

            'ueldo_custom_vc_shortcode_additional_settings_01' => ueldo_add_custom_vc_shortcode_settings(
                'icons',
                'icon_',
                esc_html( __( 'Level icon', 'ueldo' ) ),
                array(
                    'element' => 'display_level_icons',
                    'value' => 'yes'
                ),
                esc_html( __( 'Level icons', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'How many times repeat the level icons?', 'ueldo' ) ),
                'param_name' => 'level_icons_repeat_number',
                'value' => array(
                    esc_html( __( '1', 'ueldo' ) ) => '1',
                    esc_html( __( '2', 'ueldo' ) ) => '2',
                    esc_html( __( '3', 'ueldo' ) ) => '3',
                    esc_html( __( '4', 'ueldo' ) ) => '4',
                    esc_html( __( '5', 'ueldo' ) ) => '5'
                ),
                'std' => '1',
                'dependency' => array(
                    'element' => 'display_level_icons',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Level icons', 'ueldo' ) )
            ),

           /**
            *
            * group: background image
            *
            */

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Use background image?', 'ueldo' ) ),
                'param_name' => 'use_background_image',
                'value' => array(
                    esc_html( __( 'No', 'ueldo' ) ) => 'no',
                    esc_html( __( 'Yes', 'ueldo' ) ) => 'yes'
                ),
                'std' => 'no',
                'dependency' => array(
                    'element' => 'pricing_table_style',
                    'value' => '03'
                ),
                'group' => esc_html( __( 'Background image', 'ueldo' ) )
            ),

            array(
                'type' => 'attach_image',
                'heading' => esc_html( __( 'Background image', 'ueldo' ) ),
                'param_name' => 'image',
                'dependency' => array(
                    'element' => 'use_background_image',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Background image', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Vertical position of background image', 'ueldo' ) ),
                'param_name' => 'image_position_y',
                'value' => ueldo_get_vc_loop_option_percents(),
                'std' => '50%',
                'dependency' => array(
                    'element' => 'use_background_image',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Background image', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Horizontal position of background image', 'ueldo' ) ),
                'param_name' => 'image_position_x',
                'value' => ueldo_get_vc_loop_option_percents(),
                'std' => '50%',
                'dependency' => array(
                    'element' => 'use_background_image',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Background image', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_background_image_alternative_text',
                'std' => '',
                'dependency' => array(
                    'element' => 'use_background_image',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Background image', 'ueldo' ) )
            ),

            array(
                'type' => 'textfield',
                'heading' => esc_html( __( 'Background image alternative text', 'ueldo' ) ),
                'std' => esc_html( __( 'Image', 'ueldo' ) ),
                'param_name' => 'image_alt',
                'dependency' => array(
                    'element' => 'use_background_image',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Background image', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_background_image_use_image_overlay',
                'std' => '',
                'dependency' => array(
                    'element' => 'use_background_image',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Background image', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Use image overlay?', 'ueldo' ) ),
                'param_name' => 'use_image_overlay',
                'value' => array(
                    esc_html( __( 'Yes, only for image', 'ueldo' ) ) => 'yes-only-image',
                    esc_html( __( 'Yes, for image and pricing table border', 'ueldo' ) ) => 'yes-all',
                    esc_html( __( 'No', 'ueldo' ) ) => 'no'
                ),
                'std' => 'no',
                'dependency' => array(
                    'element' => 'use_background_image',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Background image', 'ueldo' ) )
            ),

           /**
            *
            * group: sizes
            *
            */

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Border radius', 'ueldo' ) ),
                'param_name' => 'border_radius',
                'std' => '4',
                'ueldo-number-field-minus-allowed' => false,
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Border width', 'ueldo' ) ),
                'param_name' => 'border_width',
                'std' => '1',
                'ueldo-number-field-minus-allowed' => false,
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Border width between attributes', 'ueldo' ) ),
                'param_name' => 'border_between_attributes_width',
                'std' => '1',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'pricing_table_style',
                    'value' => '02'
                ),
                'group' => esc_html( __( 'Pricing table', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_large_device',
                'std' => '',
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Large device: width type', 'ueldo' ) ),
                'param_name' => 'large_width_type',
                'value' => array(
                    esc_html( __( 'Percentage', 'ueldo' ) ) => 'percentage',
                    esc_html( __( 'Pixels', 'ueldo' ) ) => 'px'
                ),
                'std' => 'percentage',
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Large device: width (percentage)', 'ueldo' ) ),
                'param_name' => 'large_width_percentage',
                'value' => ueldo_get_vc_loop_option_percents(),
                'std' => '100%',
                'dependency' => array(
                    'element' => 'large_width_type',
                    'value' => 'percentage'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Large device: width (pixels)', 'ueldo' ) ),
                'param_name' => 'large_width_px',
                'std' => '100',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'large_width_type',
                    'value' => 'px'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_medium_device',
                'std' => '',
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Custom sizes for medium devices?', 'ueldo' ) ),
                'param_name' => 'medium_custom_sizes',
                'value' => array(
                    esc_html( __( 'Yes, use custom sizes', 'ueldo' ) ) => 'yes',
                    esc_html( __( 'No, use as same sizes as for large devices', 'ueldo' ) ) => 'no-large'
                ),
                'std' => 'no-large',
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Medium device: width type', 'ueldo' ) ),
                'param_name' => 'medium_width_type',
                'value' => array(
                    esc_html( __( 'Percentage', 'ueldo' ) ) => 'percentage',
                    esc_html( __( 'Pixels', 'ueldo' ) ) => 'px'
                ),
                'std' => 'percentage',
                'dependency' => array(
                    'element' => 'medium_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Medium device: width (percentage)', 'ueldo' ) ),
                'param_name' => 'medium_width_percentage',
                'value' => ueldo_get_vc_loop_option_percents(),
                'std' => '100%',
                'dependency' => array(
                    'element' => 'medium_width_type',
                    'value' => 'percentage'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Medium device: width (pixels)', 'ueldo' ) ),
                'param_name' => 'medium_width_px',
                'std' => '100',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'medium_width_type',
                    'value' => 'px'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_medium_small',
                'std' => '',
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Custom sizes for small devices?', 'ueldo' ) ),
                'param_name' => 'small_custom_sizes',
                'value' => array(
                    esc_html( __( 'Yes, use custom sizes', 'ueldo' ) ) => 'yes',
                    esc_html( __( 'No, use as same sizes as for large devices', 'ueldo' ) ) => 'no-large',
                    esc_html( __( 'No, use as same sizes as for medium devices', 'ueldo' ) ) => 'no-medium'
                ),
                'std' => 'no-medium',
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Small device: width type', 'ueldo' ) ),
                'param_name' => 'small_width_type',
                'value' => array(
                    esc_html( __( 'Percentage', 'ueldo' ) ) => 'percentage',
                    esc_html( __( 'Pixels', 'ueldo' ) ) => 'px'
                ),
                'std' => 'percentage',
                'dependency' => array(
                    'element' => 'small_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Small device: width (percentage)', 'ueldo' ) ),
                'param_name' => 'small_width_percentage',
                'value' => ueldo_get_vc_loop_option_percents(),
                'std' => '100%',
                'dependency' => array(
                    'element' => 'small_width_type',
                    'value' => 'percentage'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Small device: width (pixels)', 'ueldo' ) ),
                'param_name' => 'small_width_px',
                'std' => '100',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'small_width_type',
                    'value' => 'px'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_extra_small_device',
                'std' => '',
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Custom sizes for extra small devices?', 'ueldo' ) ),
                'param_name' => 'extra_small_custom_sizes',
                'value' => array(
                    esc_html( __( 'Yes, use custom sizes', 'ueldo' ) ) => 'yes',
                    esc_html( __( 'No, use as same sizes as for large devices', 'ueldo' ) ) => 'no-large',
                    esc_html( __( 'No, use as same sizes as for medium devices', 'ueldo' ) ) => 'no-medium',
                    esc_html( __( 'No, use as same sizes as for small devices', 'ueldo' ) ) => 'no-small'
                ),
                'std' => 'no-small',
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Extra small device: width type', 'ueldo' ) ),
                'param_name' => 'extra_small_width_type',
                'value' => array(
                    esc_html( __( 'Percentage', 'ueldo' ) ) => 'percentage',
                    esc_html( __( 'Pixels', 'ueldo' ) ) => 'px'
                ),
                'std' => 'percentage',
                'dependency' => array(
                    'element' => 'extra_small_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Extra small device: width (percentage)', 'ueldo' ) ),
                'param_name' => 'extra_small_width_percentage',
                'value' => ueldo_get_vc_loop_option_percents(),
                'std' => '100%',
                'dependency' => array(
                    'element' => 'extra_small_width_type',
                    'value' => 'percentage'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Extra small device: width (pixels)', 'ueldo' ) ),
                'param_name' => 'extra_small_width_px',
                'std' => '100',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'extra_small_width_type',
                    'value' => 'px'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

           /**
            *
            * group: margins
            *
            */

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Margin top', 'ueldo' ) ),
                'param_name' => 'margin_top',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => true,
                'group' => esc_html( __( 'Margins', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Margin right', 'ueldo' ) ),
                'param_name' => 'margin_right',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => true,
                'dependency' => array(
                    'element' => 'horizontal_alignment',
                    'value' => array(
                        'left',
                        'right'
                    )
                ),
                'group' => esc_html( __( 'Margins', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Margin bottom', 'ueldo' ) ),
                'param_name' => 'margin_bottom',
                'std' => '30',
                'ueldo-number-field-minus-allowed' => true,
                'group' => esc_html( __( 'Margins', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Margin left', 'ueldo' ) ),
                'param_name' => 'margin_left',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => true,
                'dependency' => array(
                    'element' => 'horizontal_alignment',
                    'value' => array(
                        'left',
                        'right'
                    )
                ),
                'group' => esc_html( __( 'Margins', 'ueldo' ) )
            ),

           /**
            *
            * group: colors
            *
            */

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Use custom colors?', 'ueldo' ) ),
                'param_name' => 'custom_colors_enabled',
                'value' => array(
                    esc_html( __( 'No, use theme defaults', 'ueldo' ) ) => 'theme_defaults',
                    esc_html( __( 'Yes, use custom colors', 'ueldo' ) ) => 'custom_settings'
                ),
                'std' => 'theme_defaults',
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Background color', 'ueldo' ) ),
            				'param_name' => 'background_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Background color (on hover)', 'ueldo' ) ),
            				'param_name' => 'background_color_hover',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Border color', 'ueldo' ) ),
            				'param_name' => 'border_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-border-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Border color (on hover)', 'ueldo' ) ),
            				'param_name' => 'border_color_hover',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-hover-border-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            # box shadow

            array(
                'type' => 'ueldo_box_shadow_horizontal_length',
                'heading' => esc_html( __( 'Box shadow', 'ueldo' ) ),
                'param_name' => 'box_shadow_horizontal_length',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'horizontal-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_vertical_length',
                'heading' => '',
                'param_name' => 'box_shadow_vertical_length',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'vertical-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_blur_radius',
                'heading' => '',
                'param_name' => 'box_shadow_blur_radius',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'blur-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_spread_radius',
                'heading' => '',
                'param_name' => 'box_shadow_spread_radius',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'spread-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
            				'type' => 'colorpicker',
            				'heading' => '',
            				'param_name' => 'box_shadow_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'color' ) ),
                'edit_field_class' => 'vc_col-xs-4',
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            # box shadow (on hover)

            array(
                'type' => 'ueldo_box_shadow_horizontal_length',
                'heading' => esc_html( __( 'Box shadow (on hover)', 'ueldo' ) ),
                'param_name' => 'box_shadow_horizontal_length_hover',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'horizontal-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_vertical_length',
                'heading' => '',
                'param_name' => 'box_shadow_vertical_length_hover',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'vertical-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_blur_radius',
                'heading' => '',
                'param_name' => 'box_shadow_blur_radius_hover',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'blur-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_spread_radius',
                'heading' => '',
                'param_name' => 'box_shadow_spread_radius_hover',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'spread-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
            				'type' => 'colorpicker',
            				'heading' => '',
            				'param_name' => 'box_shadow_color_hover',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'color' ) ),
                'edit_field_class' => 'vc_col-xs-4',
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            # end of box shadow (on hover)

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Heading background color', 'ueldo' ) ),
            				'param_name' => 'heading_background_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-heading-or-active-tab-background-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Heading border color', 'ueldo' ) ),
            				'param_name' => 'heading_border_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-border-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Title color', 'ueldo' ) ),
            				'param_name' => 'title_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-headings-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Line under the title color', 'ueldo' ) ),
            				'param_name' => 'line_under_title_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-border-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Price value color', 'ueldo' ) ),
            				'param_name' => 'price_value_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Price currency color', 'ueldo' ) ),
            				'param_name' => 'price_currency_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Price additional element color', 'ueldo' ) ),
            				'param_name' => 'price_additional_element_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Ribbon background color', 'ueldo' ) ),
            				'param_name' => 'ribbon_background_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-border-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Ribbon text color', 'ueldo' ) ),
            				'param_name' => 'ribbon_text_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Level icons color', 'ueldo' ) ),
            				'param_name' => 'level_icons_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-background-icon-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Border between attributes color', 'ueldo' ) ),
            				'param_name' => 'border_between_attributes_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-inset-border-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Image overlay color', 'ueldo' ) ),
            				'param_name' => 'image_overlay_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'pricing-table-03-image-overlay-background-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			)

           /**
            *
            * end of fields.
            *
            */
        )

       /**
        *
        * end of shortcode settings
        *
        */

    )));

   /**
    *
    * extend WPBakeryShortCode class
    *
    */

    if( class_exists( 'WPBakeryShortCodesContainer' ) ) {

        class WPBakeryShortCode_Ueldo_Shortcode_Pricing_Table extends WPBakeryShortCodesContainer {
        }
    }

   /**
    *
    * end of shortcode map.
    *
    */

?>