<?php

   /**
    *
    * map the shortcode settings with visual composer
    *
    */

    vc_map( ueldo_update_custom_vc_shortcode_settings( array(
        'name' => esc_html( __( 'Row layer', 'ueldo' ) ),
        'description' => esc_html( __( 'Background layer for single row', 'ueldo' ) ),
        'base' => 'ueldo_shortcode_row_layer',
        'content_element' => true,
        'category' => esc_html( __( 'Ueldo', 'ueldo' ) ),
        'icon' => esc_url( get_template_directory_uri() .'/_assets/_img/vc-icon.png' ),
        'params' => array(

           /**
            *
            * class name
            *
            */

            ueldo_add_custom_vc_shortcode_settings( 'class-name', '', '', array(), esc_html( __( 'General settings', 'ueldo' ) ) ),

           /**
            *
            * group: general settings
            *
            */

            array(
                'type' => 'textfield',
                'heading' => esc_html( __( 'Layer title', 'ueldo' ) ),
                'param_name' => 'layer_title',
                'admin_label' => true,
                'std' => esc_html( __( 'Row background', 'ueldo' ) ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Layer for row or section?', 'ueldo' ) ),
                'param_name' => 'layer_for_row_or_section',
                'value' => array(
                    esc_html( __( 'Row', 'ueldo' ) ) => 'row',
                    esc_html( __( 'Section', 'ueldo' ) ) => 'section'
                ),
                'std' => 'row',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_layer_settings',
                'std' => '',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Layer visibility', 'ueldo' ) ),
                'param_name' => 'layer_visibility',
                'value' => array(
                    esc_html( __( 'Visible', 'ueldo' ) ) => 'visible',
                    esc_html( __( 'Visible on hover only', 'ueldo' ) ) => 'on_hover_only',
                    esc_html( __( 'Hide on hover', 'ueldo' ) ) => 'hide_on_hover'
                ),
                'std' => 'visible',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Layer opacity', 'ueldo' ) ),
                'param_name' => 'layer_opacity',
                'value' => ueldo_get_vc_loop_option_percents(),
                'std' => '100%',
                'description' => esc_html( __( 'Please note that if animation is used for layer, opacity will allways be 100%.', 'ueldo' ) ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Layer z-index', 'ueldo' ) ),
                'param_name' => 'layer_z_index',
                'value' => ueldo_get_vc_z_index_options(),
                'std' => '1',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Use custom layer sizes?', 'ueldo' ) ),
                'param_name' => 'custom_layer_sizes',
                'value' => array(
                    esc_html( __( 'Use theme defaults', 'ueldo' ) ) => 'theme_defaults',
                    esc_html( __( 'Use custom settings', 'ueldo' ) ) => 'custom_settings'
                ),
                'std' => 'theme_defaults',
                'dependency' => array(
               					'element' => 'layer_type',
               					'value' => array(
                        'color',
                        'image',
                        'youtube_video',
                        'text',
                        'icon'
                    )
            				),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_layer_type',
                'std' => '',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Layer type', 'ueldo' ) ),
                'param_name' => 'layer_type',
                'value' => array(
                    esc_html( __( 'Color', 'ueldo' ) ) => 'color',
                    esc_html( __( 'Image', 'ueldo' ) ) => 'image',
                    esc_html( __( 'Parallax image', 'ueldo' ) ) => 'parallax_image',
                    esc_html( __( 'YouTube Video', 'ueldo' ) ) => 'youtube_video',
                    esc_html( __( 'Text', 'ueldo' ) ) => 'text',
                    esc_html( __( 'Icon', 'ueldo' ) ) => 'icon'
                ),
                'std' => 'color',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            # color

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Color', 'ueldo' ) ),
            				'param_name' => 'color',
            				'dependency' => array(
               					'element' => 'layer_type',
               					'value' => 'color',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
         			),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Add box shadow to color?', 'ueldo' ) ),
                'param_name' => 'color_add_box_shadow',
                'value' => array(
                    esc_html( __( 'Yes, inset on top', 'ueldo' ) ) => 'yes-inset-on-top',
                    esc_html( __( 'Yes, inset on bottom', 'ueldo' ) ) => 'yes-inset-on-bottom',
                    esc_html( __( 'Yes, inset on top and bottom', 'ueldo' ) ) => 'yes-inset',
                    esc_html( __( 'Yes, outset', 'ueldo' ) ) => 'yes-outset',
                    esc_html( __( 'No', 'ueldo' ) ) => 'no'
                ),
                'dependency' => array(
                    'element' => 'layer_type',
                    'value' => 'color',
                ),
                'std' => 'no',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            # box shadow top

            array(
                'type' => 'ueldo_box_shadow_horizontal_length',
                'heading' => esc_html( __( 'Inset box shadow (top)', 'ueldo' ) ),
                'param_name' => 'color_inset_top_box_shadow_horizontal_length',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-top', 'horizontal-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'color_add_box_shadow',
                    'value' => array(
                        'yes-inset-on-top',
                        'yes-inset'
                    )
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_vertical_length',
                'heading' => '',
                'param_name' => 'color_inset_top_box_shadow_vertical_length',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-top', 'vertical-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'color_add_box_shadow',
                    'value' => array(
                        'yes-inset-on-top',
                        'yes-inset'
                    )
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_blur_radius',
                'heading' => '',
                'param_name' => 'color_inset_top_box_shadow_blur_radius',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-top', 'blur-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'color_add_box_shadow',
                    'value' => array(
                        'yes-inset-on-top',
                        'yes-inset'
                    )
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_spread_radius',
                'heading' => '',
                'param_name' => 'color_inset_top_box_shadow_spread_radius',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-top', 'spread-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'color_add_box_shadow',
                    'value' => array(
                        'yes-inset-on-top',
                        'yes-inset'
                    )
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'colorpicker',
                'heading' => '',
                'param_name' => 'color_inset_top_box_shadow_color',
                'dependency' => array(
                    'element' => 'color_add_box_shadow',
                    'value' => array(
                        'yes-inset-on-top',
                        'yes-inset'
                    )
                ),
                'std' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-top', 'color' ) ),
                'edit_field_class' => 'vc_col-xs-4',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            # box shadow bottom

            array(
                'type' => 'ueldo_box_shadow_horizontal_length',
                'heading' => esc_html( __( 'Inset box shadow (bottom)', 'ueldo' ) ),
                'param_name' => 'color_inset_bottom_box_shadow_horizontal_length',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-bottom', 'horizontal-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'color_add_box_shadow',
                    'value' => array(
                        'yes-inset-on-bottom',
                        'yes-inset'
                    )
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_vertical_length',
                'heading' => '',
                'param_name' => 'color_inset_bottom_box_shadow_vertical_length',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-bottom', 'vertical-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'color_add_box_shadow',
                    'value' => array(
                        'yes-inset-on-bottom',
                        'yes-inset'
                    )
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_blur_radius',
                'heading' => '',
                'param_name' => 'color_inset_bottom_box_shadow_blur_radius',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-bottom', 'blur-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'color_add_box_shadow',
                    'value' => array(
                        'yes-inset-on-bottom',
                        'yes-inset'
                    )
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_spread_radius',
                'heading' => '',
                'param_name' => 'color_inset_bottom_box_shadow_spread_radius',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-bottom', 'spread-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'color_add_box_shadow',
                    'value' => array(
                        'yes-inset-on-bottom',
                        'yes-inset'
                    )
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'colorpicker',
                'heading' => '',
                'param_name' => 'color_inset_bottom_box_shadow_color',
                'dependency' => array(
                    'element' => 'color_add_box_shadow',
                    'value' => array(
                        'yes-inset-on-bottom',
                        'yes-inset'
                    )
                ),
                'std' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-bottom', 'color' ) ),
                'edit_field_class' => 'vc_col-xs-4',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            # box shadow bottom

            array(
                'type' => 'ueldo_box_shadow_horizontal_length',
                'heading' => esc_html( __( 'Outset box shadow', 'ueldo' ) ),
                'param_name' => 'color_outset_box_shadow_horizontal_length',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'color_add_box_shadow',
                    'value' => 'yes-outset'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_vertical_length',
                'heading' => '',
                'param_name' => 'color_outset_box_shadow_vertical_length',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'color_add_box_shadow',
                    'value' => 'yes-outset'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_blur_radius',
                'heading' => '',
                'param_name' => 'color_outset_box_shadow_blur_radius',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'color_add_box_shadow',
                    'value' => 'yes-outset'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_spread_radius',
                'heading' => '',
                'param_name' => 'color_outset_box_shadow_spread_radius',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'color_add_box_shadow',
                    'value' => 'yes-outset'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'colorpicker',
                'heading' => '',
                'param_name' => 'color_outset_box_shadow_color',
                'dependency' => array(
                    'element' => 'color_add_box_shadow',
                    'value' => 'yes-outset'
                ),
                'std' => esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) ),
                'edit_field_class' => 'vc_col-xs-4',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Add border?', 'ueldo' ) ),
                'param_name' => 'color_add_border',
                'value' => array(
                    esc_html( __( 'Yes', 'ueldo' ) ) => 'yes',
                    esc_html( __( 'No', 'ueldo' ) ) => 'no'
                ),
                'dependency' => array(
                    'element' => 'layer_type',
                    'value' => 'color',
                ),
                'std' => 'no',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Border width', 'ueldo' ) ),
                'param_name' => 'color_border_width',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'color_add_border',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Border color', 'ueldo' ) ),
            				'param_name' => 'color_border_color',
            				'dependency' => array(
               					'element' => 'color_add_border',
               					'value' => 'yes',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-border-color' ) ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
         			),

            # image

            array(
                'type' => 'attach_image',
                'heading' => esc_html( __( 'Image', 'ueldo' ) ),
                'param_name' => 'image',
                'dependency' => array(
                    'element' => 'layer_type',
                    'value' => 'image'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Image size', 'ueldo' ) ),
                'param_name' => 'image_size',
                'value' => array(
                    esc_html( __( 'Cover', 'ueldo' ) ) => 'cover',
                    esc_html( __( 'Auto', 'ueldo' ) ) => 'auto'
                ),
                'std' => 'cover',
                'dependency' => array(
                    'element' => 'layer_type',
                    'value' => 'image'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Image repeat', 'ueldo' ) ),
                'param_name' => 'image_repeat',
                'value' => array(
                    esc_html( __( 'No repeat', 'ueldo' ) ) => 'no-repeat',
                    esc_html( __( 'Repeat only horizontally (repeat-x)', 'ueldo' ) ) => 'repeat-x',
                    esc_html( __( 'Repeat only vertically (repeat-y)', 'ueldo' ) ) => 'repeat-y',
                    esc_html( __( 'Repeat both vertically and horizontally', 'ueldo' ) ) => 'repeat'
                ),
                'std' => 'no-repeat',
                'dependency' => array(
                    'element' => 'image_size',
                    'value' => 'auto'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Vertical position of image', 'ueldo' ) ),
                'param_name' => 'image_position_y',
                'value' => ueldo_get_vc_loop_option_percents(),
                'std' => '50%',
                'dependency' => array(
                    'element' => 'layer_type',
                    'value' => 'image'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Horizontal position of image', 'ueldo' ) ),
                'param_name' => 'image_position_x',
                'value' => ueldo_get_vc_loop_option_percents(),
                'std' => '50%',
                'dependency' => array(
                    'element' => 'layer_type',
                    'value' => 'image'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'textfield',
                'heading' => esc_html( __( 'Image alternative text', 'ueldo' ) ),
                'std' => esc_html( __( 'Image', 'ueldo' ) ),
                'param_name' => 'image_alt',
                'dependency' => array(
                    'element' => 'layer_type',
                    'value' => 'image'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Add box shadow to image?', 'ueldo' ) ),
                'param_name' => 'image_add_box_shadow',
                'value' => array(
                    esc_html( __( 'Yes, inset on top', 'ueldo' ) ) => 'yes-inset-on-top',
                    esc_html( __( 'Yes, inset on bottom', 'ueldo' ) ) => 'yes-inset-on-bottom',
                    esc_html( __( 'Yes, inset on top and bottom', 'ueldo' ) ) => 'yes-inset',
                    esc_html( __( 'Yes, outset', 'ueldo' ) ) => 'yes-outset',
                    esc_html( __( 'No', 'ueldo' ) ) => 'no'
                ),
                'dependency' => array(
                    'element' => 'layer_type',
                    'value' => 'image',
                ),
                'std' => 'no',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            # box shadow top

            array(
                'type' => 'ueldo_box_shadow_horizontal_length',
                'heading' => esc_html( __( 'Inset box shadow (top)', 'ueldo' ) ),
                'param_name' => 'image_inset_top_box_shadow_horizontal_length',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-top', 'horizontal-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'image_add_box_shadow',
                    'value' => array(
                        'yes-inset-on-top',
                        'yes-inset'
                    )
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_vertical_length',
                'heading' => '',
                'param_name' => 'image_inset_top_box_shadow_vertical_length',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-top', 'vertical-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'image_add_box_shadow',
                    'value' => array(
                        'yes-inset-on-top',
                        'yes-inset'
                    )
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_blur_radius',
                'heading' => '',
                'param_name' => 'image_inset_top_box_shadow_blur_radius',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-top', 'blur-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'image_add_box_shadow',
                    'value' => array(
                        'yes-inset-on-top',
                        'yes-inset'
                    )
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_spread_radius',
                'heading' => '',
                'param_name' => 'image_inset_top_box_shadow_spread_radius',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-top', 'spread-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'image_add_box_shadow',
                    'value' => array(
                        'yes-inset-on-top',
                        'yes-inset'
                    )
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'colorpicker',
                'heading' => '',
                'param_name' => 'image_inset_top_box_shadow_color',
                'dependency' => array(
                    'element' => 'image_add_box_shadow',
                    'value' => array(
                        'yes-inset-on-top',
                        'yes-inset'
                    )
                ),
                'std' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-top', 'color' ) ),
                'edit_field_class' => 'vc_col-xs-4',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            # box shadow bottom

            array(
                'type' => 'ueldo_box_shadow_horizontal_length',
                'heading' => esc_html( __( 'Inset box shadow (bottom)', 'ueldo' ) ),
                'param_name' => 'image_inset_bottom_box_shadow_horizontal_length',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-bottom', 'horizontal-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'image_add_box_shadow',
                    'value' => array(
                        'yes-inset-on-bottom',
                        'yes-inset'
                    )
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_vertical_length',
                'heading' => '',
                'param_name' => 'image_inset_bottom_box_shadow_vertical_length',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-bottom', 'vertical-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'image_add_box_shadow',
                    'value' => array(
                        'yes-inset-on-bottom',
                        'yes-inset'
                    )
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_blur_radius',
                'heading' => '',
                'param_name' => 'image_inset_bottom_box_shadow_blur_radius',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-bottom', 'blur-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'image_add_box_shadow',
                    'value' => array(
                        'yes-inset-on-bottom',
                        'yes-inset'
                    )
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_spread_radius',
                'heading' => '',
                'param_name' => 'image_inset_bottom_box_shadow_spread_radius',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-bottom', 'spread-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'image_add_box_shadow',
                    'value' => array(
                        'yes-inset-on-bottom',
                        'yes-inset'
                    )
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'colorpicker',
                'heading' => '',
                'param_name' => 'image_inset_bottom_box_shadow_color',
                'dependency' => array(
                    'element' => 'image_add_box_shadow',
                    'value' => array(
                        'yes-inset-on-bottom',
                        'yes-inset'
                    )
                ),
                'std' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-bottom', 'color' ) ),
                'edit_field_class' => 'vc_col-xs-4',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            # outset box shadow

            array(
                'type' => 'ueldo_box_shadow_horizontal_length',
                'heading' => esc_html( __( 'Outset box shadow', 'ueldo' ) ),
                'param_name' => 'image_outset_box_shadow_horizontal_length',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'image_add_box_shadow',
                    'value' => 'yes-outset'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_vertical_length',
                'heading' => '',
                'param_name' => 'image_outset_box_shadow_vertical_length',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'image_add_box_shadow',
                    'value' => 'yes-outset'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_blur_radius',
                'heading' => '',
                'param_name' => 'image_outset_box_shadow_blur_radius',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'image_add_box_shadow',
                    'value' => 'yes-outset'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_spread_radius',
                'heading' => '',
                'param_name' => 'image_outset_box_shadow_spread_radius',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'image_add_box_shadow',
                    'value' => 'yes-outset'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'colorpicker',
                'heading' => '',
                'param_name' => 'image_outset_box_shadow_color',
                'dependency' => array(
                    'element' => 'image_add_box_shadow',
                    'value' => 'yes-outset'
                ),
                'std' => esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) ),
                'edit_field_class' => 'vc_col-xs-4',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Add border?', 'ueldo' ) ),
                'param_name' => 'image_add_border',
                'value' => array(
                    esc_html( __( 'Yes', 'ueldo' ) ) => 'yes',
                    esc_html( __( 'No', 'ueldo' ) ) => 'no'
                ),
                'dependency' => array(
                    'element' => 'layer_type',
                    'value' => 'image',
                ),
                'std' => 'no',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Border width', 'ueldo' ) ),
                'param_name' => 'image_border_width',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'image_add_border',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'colorpicker',
                'heading' => esc_html( __( 'Border color', 'ueldo' ) ),
                'param_name' => 'image_border_color',
                'dependency' => array(
                    'element' => 'image_add_border',
                    'value' => 'yes',
                ),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-border-color' ) ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            # parallax image

            array(
                'type' => 'attach_image',
                'heading' => esc_html( __( 'Image', 'ueldo' ) ),
                'param_name' => 'parallax_image',
                'dependency' => array(
                    'element' => 'layer_type',
                    'value' => 'parallax_image'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Vertical position of image', 'ueldo' ) ),
                'param_name' => 'parallax_image_position_y',
                'value' => ueldo_get_vc_loop_option_percents(),
                'std' => '50%',
                'dependency' => array(
                    'element' => 'layer_type',
                    'value' => 'parallax_image'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'textfield',
                'heading' => esc_html( __( 'Image alternative text', 'ueldo' ) ),
                'std' => esc_html( __( 'Image', 'ueldo' ) ),
                'param_name' => 'parallax_image_alt',
                'dependency' => array(
                    'element' => 'layer_type',
                    'value' => 'parallax_image'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Parallax speed', 'ueldo' ) ),
                'param_name' => 'parallax_speed',
                'value' => ueldo_get_vc_loop_option_percents(),
                'std' => '100%',
                'dependency' => array(
                    'element' => 'layer_type',
                    'value' => 'parallax_image'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Add inset box shadow on top and bottom?', 'ueldo' ) ),
                'param_name' => 'parallax_inset_box_shadow_top_bottom',
                'value' => array(
                    esc_html( __( 'Yes', 'ueldo' ) ) => 'yes',
                    esc_html( __( 'No', 'ueldo' ) ) => 'no'
                ),
                'dependency' => array(
                    'element' => 'layer_type',
                    'value' => 'parallax_image',
                ),
                'std' => 'no',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            # box shadow top

            array(
                'type' => 'ueldo_box_shadow_horizontal_length',
                'heading' => esc_html( __( 'Inset box shadow (top)', 'ueldo' ) ),
                'param_name' => 'parallax_inset_top_box_shadow_horizontal_length',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-top', 'horizontal-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'parallax_inset_box_shadow_top_bottom',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_vertical_length',
                'heading' => '',
                'param_name' => 'parallax_inset_top_box_shadow_vertical_length',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-top', 'vertical-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'parallax_inset_box_shadow_top_bottom',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_blur_radius',
                'heading' => '',
                'param_name' => 'parallax_inset_top_box_shadow_blur_radius',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-top', 'blur-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'parallax_inset_box_shadow_top_bottom',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_spread_radius',
                'heading' => '',
                'param_name' => 'parallax_inset_top_box_shadow_spread_radius',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-top', 'spread-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'parallax_inset_box_shadow_top_bottom',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'colorpicker',
                'heading' => '',
                'param_name' => 'parallax_inset_top_box_shadow_color',
                'dependency' => array(
                    'element' => 'parallax_inset_box_shadow_top_bottom',
                    'value' => 'yes'
                ),
                'std' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-top', 'color' ) ),
                'edit_field_class' => 'vc_col-xs-4',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            # box shadow bottom

            array(
                'type' => 'ueldo_box_shadow_horizontal_length',
                'heading' => esc_html( __( 'Inset box shadow (bottom)', 'ueldo' ) ),
                'param_name' => 'parallax_inset_bottom_box_shadow_horizontal_length',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-bottom', 'horizontal-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'parallax_inset_box_shadow_top_bottom',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_vertical_length',
                'heading' => '',
                'param_name' => 'parallax_inset_bottom_box_shadow_vertical_length',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-bottom', 'vertical-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'parallax_inset_box_shadow_top_bottom',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_blur_radius',
                'heading' => '',
                'param_name' => 'parallax_inset_bottom_box_shadow_blur_radius',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-bottom', 'blur-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'parallax_inset_box_shadow_top_bottom',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_spread_radius',
                'heading' => '',
                'param_name' => 'parallax_inset_bottom_box_shadow_spread_radius',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-bottom', 'spread-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'parallax_inset_box_shadow_top_bottom',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'colorpicker',
                'heading' => '',
                'param_name' => 'parallax_inset_bottom_box_shadow_color',
                'dependency' => array(
                    'element' => 'parallax_inset_box_shadow_top_bottom',
                    'value' => 'yes'
                ),
                'std' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-bottom', 'color' ) ),
                'edit_field_class' => 'vc_col-xs-4',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            # youtube video

            array(
                'type' => 'textfield',
                'heading' => esc_html( __( 'Video ID', 'ueldo' ) ),
                'std' => 'e452W2Kj-yg',
                'param_name' => 'video_id',
                'dependency' => array(
                    'element' => 'layer_type',
                    'value' => 'youtube_video'
                ),
                'description' => esc_html( __( 'For example: YouTube video ID for video available on this link: "https://www.youtube.com/watch?v=e452W2Kj-yg" is: "e452W2Kj-yg"', 'ueldo' ) ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Add box shadow to video?', 'ueldo' ) ),
                'param_name' => 'video_add_box_shadow',
                'value' => array(
                    esc_html( __( 'Yes, inset on top', 'ueldo' ) ) => 'yes-inset-on-top',
                    esc_html( __( 'Yes, inset on bottom', 'ueldo' ) ) => 'yes-inset-on-bottom',
                    esc_html( __( 'Yes, inset on top and bottom', 'ueldo' ) ) => 'yes-inset',
                    esc_html( __( 'Yes, outset', 'ueldo' ) ) => 'yes-outset',
                    esc_html( __( 'No', 'ueldo' ) ) => 'no'
                ),
                'dependency' => array(
                    'element' => 'layer_type',
                    'value' => 'youtube_video',
                ),
                'std' => 'no',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            # box shadow top

            array(
                'type' => 'ueldo_box_shadow_horizontal_length',
                'heading' => esc_html( __( 'Inset box shadow (top)', 'ueldo' ) ),
                'param_name' => 'video_inset_top_box_shadow_horizontal_length',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-top', 'horizontal-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'video_add_box_shadow',
                    'value' => array(
                        'yes-inset-on-top',
                        'yes-inset'
                    )
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_vertical_length',
                'heading' => '',
                'param_name' => 'video_inset_top_box_shadow_vertical_length',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-top', 'vertical-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'video_add_box_shadow',
                    'value' => array(
                        'yes-inset-on-top',
                        'yes-inset'
                    )
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_blur_radius',
                'heading' => '',
                'param_name' => 'video_inset_top_box_shadow_blur_radius',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-top', 'blur-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'video_add_box_shadow',
                    'value' => array(
                        'yes-inset-on-top',
                        'yes-inset'
                    )
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_spread_radius',
                'heading' => '',
                'param_name' => 'video_inset_top_box_shadow_spread_radius',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-top', 'spread-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'video_add_box_shadow',
                    'value' => array(
                        'yes-inset-on-top',
                        'yes-inset'
                    )
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'colorpicker',
                'heading' => '',
                'param_name' => 'video_inset_top_box_shadow_color',
                'dependency' => array(
                    'element' => 'video_add_box_shadow',
                    'value' => array(
                        'yes-inset-on-top',
                        'yes-inset'
                    )
                ),
                'std' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-top', 'color' ) ),
                'edit_field_class' => 'vc_col-xs-4',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            # box shadow bottom

            array(
                'type' => 'ueldo_box_shadow_horizontal_length',
                'heading' => esc_html( __( 'Inset box shadow (bottom)', 'ueldo' ) ),
                'param_name' => 'video_inset_bottom_box_shadow_horizontal_length',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-bottom', 'horizontal-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'video_add_box_shadow',
                    'value' => array(
                        'yes-inset-on-bottom',
                        'yes-inset'
                    )
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_vertical_length',
                'heading' => '',
                'param_name' => 'video_inset_bottom_box_shadow_vertical_length',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-bottom', 'vertical-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'video_add_box_shadow',
                    'value' => array(
                        'yes-inset-on-bottom',
                        'yes-inset'
                    )
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_blur_radius',
                'heading' => '',
                'param_name' => 'video_inset_bottom_box_shadow_blur_radius',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-bottom', 'blur-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'video_add_box_shadow',
                    'value' => array(
                        'yes-inset-on-bottom',
                        'yes-inset'
                    )
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_spread_radius',
                'heading' => '',
                'param_name' => 'video_inset_bottom_box_shadow_spread_radius',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-bottom', 'spread-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'video_add_box_shadow',
                    'value' => array(
                        'yes-inset-on-bottom',
                        'yes-inset'
                    )
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'colorpicker',
                'heading' => '',
                'param_name' => 'video_inset_bottom_box_shadow_color',
                'dependency' => array(
                    'element' => 'video_add_box_shadow',
                    'value' => array(
                        'yes-inset-on-bottom',
                        'yes-inset'
                    )
                ),
                'std' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-bottom', 'color' ) ),
                'edit_field_class' => 'vc_col-xs-4',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            # box shadow bottom

            array(
                'type' => 'ueldo_box_shadow_horizontal_length',
                'heading' => esc_html( __( 'Outset box shadow', 'ueldo' ) ),
                'param_name' => 'video_outset_box_shadow_horizontal_length',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'video_add_box_shadow',
                    'value' => 'yes-outset'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_vertical_length',
                'heading' => '',
                'param_name' => 'video_outset_box_shadow_vertical_length',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'video_add_box_shadow',
                    'value' => 'yes-outset'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_blur_radius',
                'heading' => '',
                'param_name' => 'video_outset_box_shadow_blur_radius',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'video_add_box_shadow',
                    'value' => 'yes-outset'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_spread_radius',
                'heading' => '',
                'param_name' => 'video_outset_box_shadow_spread_radius',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
                    'element' => 'video_add_box_shadow',
                    'value' => 'yes-outset'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'colorpicker',
                'heading' => '',
                'param_name' => 'video_outset_box_shadow_color',
                'dependency' => array(
                    'element' => 'video_add_box_shadow',
                    'value' => 'yes-outset'
                ),
                'std' => esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) ),
                'edit_field_class' => 'vc_col-xs-4',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            # text

            array(
                'type' => 'textfield',
                'heading' => esc_html( __( 'Text', 'ueldo' ) ),
                'std' => esc_html( __( 'Text', 'ueldo' ) ),
                'param_name' => 'text_content',
                'dependency' => array(
                    'element' => 'layer_type',
                    'value' => 'text'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Text rotate', 'ueldo' ) ),
                'param_name' => 'text_rotate',
                'value' => ueldo_get_rotate_deg_options(),
                'dependency' => array(
                    'element' => 'layer_type',
                    'value' => 'text'
                ),
                'std' => '0deg',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Font family', 'ueldo' ) ),
                'param_name' => 'text_font_family',
                'value' => ueldo_vc_get_heading_text_fonts(),
                'std' => ueldo_get_default_font_key( 'headings-bold-font' ),
                'dependency' => array(
                    'element' => 'layer_type',
                    'value' => 'text'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Uppercase enabled?', 'ueldo' ) ),
                'param_name' => 'text_uppercase_enabled',
                'value' => array(
                    esc_html( __( 'Yes', 'ueldo' ) ) => 'yes',
                    esc_html( __( 'No', 'ueldo' ) ) => 'no'
                ),
                'dependency' => array(
                    'element' => 'layer_type',
                    'value' => 'text'
                ),
                'std' => 'yes',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Text alignment', 'ueldo' ) ),
                'param_name' => 'text_alignment',
                'value' => array(
                    esc_html( __( 'Left', 'ueldo' ) ) => 'left',
                    esc_html( __( 'Center', 'ueldo' ) ) => 'center',
                    esc_html( __( 'Right', 'ueldo' ) ) => 'right'
                ),
                'dependency' => array(
                    'element' => 'layer_type',
                    'value' => 'text'
                ),
                'std' => 'center',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Font size', 'ueldo' ) ),
                'param_name' => 'text_font_size',
                'std' => '108',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'layer_type',
                    'value' => 'text'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_em_number',
                'heading' => esc_html( __( 'Line height', 'ueldo' ) ),
                'param_name' => 'text_line_height',
                'std' => '1.0',
                'dependency' => array(
                    'element' => 'layer_type',
                    'value' => 'text'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Letter spacing', 'ueldo' ) ),
                'param_name' => 'text_letter_spacing',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => true,
                'dependency' => array(
                    'element' => 'layer_type',
                    'value' => 'text'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Font color', 'ueldo' ) ),
            				'param_name' => 'text_color',
            				'dependency' => array(
               					'element' => 'layer_type',
               					'value' => 'text',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-headings-subtitle-color' ) ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
         			),

            # text shadow

            array(
                'type' => 'ueldo_text_shadow_horizontal_length',
                'heading' => esc_html( __( 'Text shadow', 'ueldo' ) ),
                'param_name' => 'text_shadow_horizontal_length',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-4',
                'dependency' => array(
               					'element' => 'layer_type',
               					'value' => 'text'
            				),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_text_shadow_vertical_length',
                'heading' => '',
                'param_name' => 'text_shadow_vertical_length',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-4',
                'dependency' => array(
               					'element' => 'layer_type',
               					'value' => 'text'
            				),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_text_shadow_blur_radius',
                'heading' => '',
                'param_name' => 'text_shadow_blur_radius',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-4',
                'dependency' => array(
               					'element' => 'layer_type',
               					'value' => 'text'
            				),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
            				'type' => 'colorpicker',
            				'heading' => '',
            				'param_name' => 'text_shadow_color',
            				'dependency' => array(
               					'element' => 'layer_type',
               					'value' => 'text'
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
         			),

            # end of text shadow
            # icon

            'ueldo_custom_vc_shortcode_additional_settings_01' => ueldo_add_custom_vc_shortcode_settings(
                'icons',
                'icon_',
                esc_html( __( 'Icon', 'ueldo' ) ),
                array(
                    'element' => 'layer_type',
                    'value' => 'icon'
                ),
                esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Icon size', 'ueldo' ) ),
                'param_name' => 'icon_size',
                'std' => '48',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'layer_type',
                    'value' => 'icon'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Icon rotate', 'ueldo' ) ),
                'param_name' => 'icon_rotate',
                'value' => ueldo_get_rotate_deg_options(),
                'dependency' => array(
                    'element' => 'layer_type',
                    'value' => 'icon'
                ),
                'std' => '0deg',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Icon alignment', 'ueldo' ) ),
                'param_name' => 'icon_alignment',
                'value' => array(
                    esc_html( __( 'Left', 'ueldo' ) ) => 'left',
                    esc_html( __( 'Center', 'ueldo' ) ) => 'center',
                    esc_html( __( 'Right', 'ueldo' ) ) => 'right'
                ),
                'dependency' => array(
                    'element' => 'layer_type',
                    'value' => 'icon'
                ),
                'std' => 'center',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Icon color', 'ueldo' ) ),
            				'param_name' => 'icon_color',
            				'dependency' => array(
               					'element' => 'layer_type',
               					'value' => 'icon',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-headings-subtitle-color' ) ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
         			),

            # icon shadow

            array(
                'type' => 'ueldo_text_shadow_horizontal_length',
                'heading' => esc_html( __( 'Icon shadow', 'ueldo' ) ),
                'param_name' => 'icon_shadow_horizontal_length',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-4',
                'dependency' => array(
               					'element' => 'layer_type',
               					'value' => 'icon'
            				),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_text_shadow_vertical_length',
                'heading' => '',
                'param_name' => 'icon_shadow_vertical_length',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-4',
                'dependency' => array(
               					'element' => 'layer_type',
               					'value' => 'icon'
            				),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_text_shadow_blur_radius',
                'heading' => '',
                'param_name' => 'icon_shadow_blur_radius',
                'value' => '0',
                'edit_field_class' => 'vc_col-xs-4',
                'dependency' => array(
               					'element' => 'layer_type',
               					'value' => 'icon'
            				),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
            				'type' => 'colorpicker',
            				'heading' => '',
            				'param_name' => 'icon_shadow_color',
            				'dependency' => array(
               					'element' => 'layer_type',
               					'value' => 'icon'
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
         			),

            # end of icon shadow

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_layer_animation',
                'std' => '',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'animation_style',
                'heading' => esc_html( __( 'Animation style', 'ueldo' ) ),
                'param_name' => 'animation',
                'description' => esc_html( __( 'Choose your animation style', 'ueldo' ) ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_layer_extra_class_name',
                'std' => '',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'textfield',
                'heading' => esc_html( __( 'Extra class name', 'ueldo' ) ),
                'std' => '',
                'description' => esc_html( __( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'ueldo' ) ),
                'param_name' => 'extra_class_name',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

           /**
            *
            * group: large device
            *
            */

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Layer visible on large devices?', 'ueldo' ) ),
                'param_name' => 'large_layer_visibility',
                'value' => array(
                    esc_html( __( 'Yes', 'ueldo' ) ) => 'yes',
                    esc_html( __( 'No', 'ueldo' ) ) => 'no'
                ),
                'std' => 'yes',
                'dependency' => array(
                    'element' => 'custom_layer_sizes',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Large device', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_layer_large_width',
                'std' => '',
                'dependency' => array(
                    'element' => 'large_layer_visibility',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Large device', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Width type', 'ueldo' ) ),
                'param_name' => 'large_width_type',
                'value' => array(
                    esc_html( __( 'Percentage', 'ueldo' ) ) => 'percentage',
                    esc_html( __( 'Pixels', 'ueldo' ) ) => 'px',
                    esc_html( __( 'Calc', 'ueldo' ) ) => 'calc'
                ),
                'std' => 'percentage',
                'dependency' => array(
                    'element' => 'large_layer_visibility',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Large device', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Width', 'ueldo' ) ),
                'param_name' => 'large_width_percentage',
                'value' => ueldo_get_vc_loop_option_percents(),
                'std' => '100%',
                'dependency' => array(
                    'element' => 'large_width_type',
                    'value' => 'percentage'
                ),
                'group' => esc_html( __( 'Large device', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Width', 'ueldo' ) ),
                'param_name' => 'large_width_px',
                'std' => '100',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'large_width_type',
                    'value' => 'px'
                ),
                'group' => esc_html( __( 'Large device', 'ueldo' ) )
            ),

            /**/

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Width', 'ueldo' ) ),
                'param_name' => 'large_width_calc_base',
                'value' => ueldo_get_vc_loop_option_percents(),
                'std' => '100%',
                'edit_field_class' => 'vc_col-xs-5 ueldo-vc-calc-field ueldo-calc-field-width-large',
                'dependency' => array(
                    'element' => 'large_width_type',
                    'value' => 'calc'
                ),
                'group' => esc_html( __( 'Large device', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'param_name' => 'large_width_calc_operator',
                'value' => array(
                    '+',
                    '-'
                ),
                'std' => '-',
                'edit_field_class' => 'vc_col-xs-2 ueldo-vc-calc-field ueldo-calc-field-width-large',
                'dependency' => array(
                    'element' => 'large_width_type',
                    'value' => 'calc'
                ),
                'group' => esc_html( __( 'Large device', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'param_name' => 'large_width_calc_px',
                'std' => '100',
                'ueldo-number-field-minus-allowed' => false,
                'edit_field_class' => 'vc_col-xs-5 ueldo-vc-calc-field ueldo-calc-field-width-large ueldo-vc-calc-field-last',
                'dependency' => array(
                    'element' => 'large_width_type',
                    'value' => 'calc'
                ),
                'group' => esc_html( __( 'Large device', 'ueldo' ) )
            ),

            /**/

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_layer_large_height',
                'std' => '',
                'dependency' => array(
                    'element' => 'large_layer_visibility',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Large device', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Height type', 'ueldo' ) ),
                'param_name' => 'large_height_type',
                'value' => array(
                    esc_html( __( 'Percentage', 'ueldo' ) ) => 'percentage',
                    esc_html( __( 'Pixels', 'ueldo' ) ) => 'px',
                    esc_html( __( 'Calc', 'ueldo' ) ) => 'calc'
                ),
                'std' => 'percentage',
                'dependency' => array(
                    'element' => 'large_layer_visibility',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Large device', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Height', 'ueldo' ) ),
                'param_name' => 'large_height_percentage',
                'value' => ueldo_get_vc_loop_option_percents(),
                'std' => '100%',
                'dependency' => array(
                    'element' => 'large_height_type',
                    'value' => 'percentage'
                ),
                'group' => esc_html( __( 'Large device', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Height', 'ueldo' ) ),
                'param_name' => 'large_height_px',
                'std' => '100',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'large_height_type',
                    'value' => 'px'
                ),
                'group' => esc_html( __( 'Large device', 'ueldo' ) )
            ),

            /**/

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Height', 'ueldo' ) ),
                'param_name' => 'large_height_calc_base',
                'value' => ueldo_get_vc_loop_option_percents(),
                'std' => '100%',
                'edit_field_class' => 'vc_col-xs-5 ueldo-vc-calc-field ueldo-calc-field-height-large',
                'dependency' => array(
                    'element' => 'large_height_type',
                    'value' => 'calc'
                ),
                'group' => esc_html( __( 'Large device', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'param_name' => 'large_height_calc_operator',
                'value' => array(
                    '+',
                    '-'
                ),
                'std' => '-',
                'edit_field_class' => 'vc_col-xs-2 ueldo-vc-calc-field ueldo-calc-field-height-large',
                'dependency' => array(
                    'element' => 'large_height_type',
                    'value' => 'calc'
                ),
                'group' => esc_html( __( 'Large device', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'param_name' => 'large_height_calc_px',
                'std' => '100',
                'ueldo-number-field-minus-allowed' => false,
                'edit_field_class' => 'vc_col-xs-5 ueldo-vc-calc-field ueldo-calc-field-height-large ueldo-vc-calc-field-last',
                'dependency' => array(
                    'element' => 'large_height_type',
                    'value' => 'calc'
                ),
                'group' => esc_html( __( 'Large device', 'ueldo' ) )
            ),

            /**/

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_layer_large_position',
                'std' => '',
                'dependency' => array(
                    'element' => 'large_layer_visibility',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Large device', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Layer position', 'ueldo' ) ),
                'param_name' => 'large_layer_position',
                'value' => array(
                    esc_html( __( 'Top left', 'ueldo' ) ) => 'top_left',
                    esc_html( __( 'Top center', 'ueldo' ) ) => 'top_center',
                    esc_html( __( 'Top right', 'ueldo' ) ) => 'top_right',
                    esc_html( __( 'Center left', 'ueldo' ) ) => 'center_left',
                    esc_html( __( 'Center center', 'ueldo' ) ) => 'center_center',
                    esc_html( __( 'Center right', 'ueldo' ) ) => 'center_right',
                    esc_html( __( 'Bottom left', 'ueldo' ) ) => 'bottom_left',
                    esc_html( __( 'Bottom center', 'ueldo' ) ) => 'bottom_center',
                    esc_html( __( 'Bottom right', 'ueldo' ) ) => 'bottom_right'
                ),
                'std' => esc_attr( ueldo_is_rtl() ? 'top_right' : 'top_left' ),
                'dependency' => array(
                    'element' => 'large_layer_visibility',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Large device', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Layer margin top', 'ueldo' ) ),
                'param_name' => 'large_margin_top',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => true,
                'dependency' => array(
                    'element' => 'large_layer_visibility',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Large device', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Layer margin right', 'ueldo' ) ),
                'param_name' => 'large_margin_right',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => true,
                'dependency' => array(
                    'element' => 'large_layer_visibility',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Large device', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Layer margin bottom', 'ueldo' ) ),
                'param_name' => 'large_margin_bottom',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => true,
                'dependency' => array(
                    'element' => 'large_layer_visibility',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Large device', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Layer margin left', 'ueldo' ) ),
                'param_name' => 'large_margin_left',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => true,
                'dependency' => array(
                    'element' => 'large_layer_visibility',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Large device', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_layer_large_row_border_radius',
                'std' => '',
                'dependency' => array(
                    'element' => 'large_layer_visibility',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Large device', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Set border radius for large devices?', 'ueldo' ) ),
                'param_name' => 'large_custom_row_border_radius',
                'value' => array(
                    esc_html( __( 'Yes, the same value for all corners', 'ueldo' ) ) => 'yes-same-for-corners',
                    esc_html( __( 'Yes, different value for each corners', 'ueldo' ) ) => 'yes-unique-for-corners',
                    esc_html( __( 'No', 'ueldo' ) ) => 'no'
                ),
                'std' => 'no',
                'dependency' => array(
                    'element' => 'large_layer_visibility',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Large device', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Layer border radius', 'ueldo' ) ),
                'param_name' => 'large_row_border_radius',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'large_custom_row_border_radius',
                    'value' => 'yes-same-for-corners'
                ),
                'group' => esc_html( __( 'Large device', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Layer border radius for top left corner', 'ueldo' ) ),
                'param_name' => 'large_row_border_radius_top_left_corner',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'large_custom_row_border_radius',
                    'value' => 'yes-unique-for-corners'
                ),
                'group' => esc_html( __( 'Large device', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Layer border radius for top right corner', 'ueldo' ) ),
                'param_name' => 'large_row_border_radius_top_right_corner',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'large_custom_row_border_radius',
                    'value' => 'yes-unique-for-corners'
                ),
                'group' => esc_html( __( 'Large device', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Layer border radius for bottom left corner', 'ueldo' ) ),
                'param_name' => 'large_row_border_radius_bottom_left_corner',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'large_custom_row_border_radius',
                    'value' => 'yes-unique-for-corners'
                ),
                'group' => esc_html( __( 'Large device', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Layer border radius for bottom right corner', 'ueldo' ) ),
                'param_name' => 'large_row_border_radius_bottom_right_corner',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'large_custom_row_border_radius',
                    'value' => 'yes-unique-for-corners'
                ),
                'group' => esc_html( __( 'Large device', 'ueldo' ) )
            ),

           /**
            *
            * group: medium device
            *
            */

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Layer visible on medium devices?', 'ueldo' ) ),
                'param_name' => 'medium_layer_visibility',
                'value' => array(
                    esc_html( __( 'Yes', 'ueldo' ) ) => 'yes',
                    esc_html( __( 'No', 'ueldo' ) ) => 'no'
                ),
                'std' => 'yes',
                'dependency' => array(
                    'element' => 'custom_layer_sizes',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Medium device', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Custom layer sizes for medium devices?', 'ueldo' ) ),
                'param_name' => 'medium_layer_custom_sizes',
                'value' => array(
                    esc_html( __( 'Yes, use custom sizes', 'ueldo' ) ) => 'yes',
                    esc_html( __( 'No, use as same sizes as for large devices', 'ueldo' ) ) => 'no-large'
                ),
                'std' => 'no-large',
                'dependency' => array(
                    'element' => 'medium_layer_visibility',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Medium device', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_layer_medium_width',
                'std' => '',
                'dependency' => array(
                    'element' => 'medium_layer_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Medium device', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Width type', 'ueldo' ) ),
                'param_name' => 'medium_width_type',
                'value' => array(
                    esc_html( __( 'Percentage', 'ueldo' ) ) => 'percentage',
                    esc_html( __( 'Pixels', 'ueldo' ) ) => 'px',
                    esc_html( __( 'Calc', 'ueldo' ) ) => 'calc'
                ),
                'std' => 'percentage',
                'dependency' => array(
                    'element' => 'medium_layer_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Medium device', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Width', 'ueldo' ) ),
                'param_name' => 'medium_width_percentage',
                'value' => ueldo_get_vc_loop_option_percents(),
                'std' => '100%',
                'dependency' => array(
                    'element' => 'medium_width_type',
                    'value' => 'percentage'
                ),
                'group' => esc_html( __( 'Medium device', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Width', 'ueldo' ) ),
                'param_name' => 'medium_width_px',
                'std' => '100',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'medium_width_type',
                    'value' => 'px'
                ),
                'group' => esc_html( __( 'Medium device', 'ueldo' ) )
            ),

            /**/

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Width', 'ueldo' ) ),
                'param_name' => 'medium_width_calc_base',
                'value' => ueldo_get_vc_loop_option_percents(),
                'std' => '100%',
                'edit_field_class' => 'vc_col-xs-5 ueldo-vc-calc-field ueldo-calc-field-width-medium',
                'dependency' => array(
                    'element' => 'medium_width_type',
                    'value' => 'calc'
                ),
                'group' => esc_html( __( 'Medium device', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'param_name' => 'medium_width_calc_operator',
                'value' => array(
                    '+',
                    '-'
                ),
                'std' => '-',
                'edit_field_class' => 'vc_col-xs-2 ueldo-vc-calc-field ueldo-calc-field-width-medium',
                'dependency' => array(
                    'element' => 'medium_width_type',
                    'value' => 'calc'
                ),
                'group' => esc_html( __( 'Medium device', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'param_name' => 'medium_width_calc_px',
                'std' => '100',
                'ueldo-number-field-minus-allowed' => false,
                'edit_field_class' => 'vc_col-xs-5 ueldo-vc-calc-field ueldo-calc-field-width-medium ueldo-vc-calc-field-last',
                'dependency' => array(
                    'element' => 'medium_width_type',
                    'value' => 'calc'
                ),
                'group' => esc_html( __( 'Medium device', 'ueldo' ) )
            ),

            /**/

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_layer_medium_height',
                'std' => '',
                'dependency' => array(
                    'element' => 'medium_layer_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Medium device', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Height type', 'ueldo' ) ),
                'param_name' => 'medium_height_type',
                'value' => array(
                    esc_html( __( 'Percentage', 'ueldo' ) ) => 'percentage',
                    esc_html( __( 'Pixels', 'ueldo' ) ) => 'px',
                    esc_html( __( 'Calc', 'ueldo' ) ) => 'calc'
                ),
                'std' => 'percentage',
                'dependency' => array(
                    'element' => 'medium_layer_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Medium device', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Height', 'ueldo' ) ),
                'param_name' => 'medium_height_percentage',
                'value' => ueldo_get_vc_loop_option_percents(),
                'std' => '100%',
                'dependency' => array(
                    'element' => 'medium_height_type',
                    'value' => 'percentage'
                ),
                'group' => esc_html( __( 'Medium device', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Height', 'ueldo' ) ),
                'param_name' => 'medium_height_px',
                'std' => '100',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'medium_height_type',
                    'value' => 'px'
                ),
                'group' => esc_html( __( 'Medium device', 'ueldo' ) )
            ),

            /**/

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Height', 'ueldo' ) ),
                'param_name' => 'medium_height_calc_base',
                'value' => ueldo_get_vc_loop_option_percents(),
                'std' => '100%',
                'edit_field_class' => 'vc_col-xs-5 ueldo-vc-calc-field ueldo-calc-field-height-medium',
                'dependency' => array(
                    'element' => 'medium_height_type',
                    'value' => 'calc'
                ),
                'group' => esc_html( __( 'Medium device', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'param_name' => 'medium_height_calc_operator',
                'value' => array(
                    '+',
                    '-'
                ),
                'std' => '-',
                'edit_field_class' => 'vc_col-xs-2 ueldo-vc-calc-field ueldo-calc-field-height-medium',
                'dependency' => array(
                    'element' => 'medium_height_type',
                    'value' => 'calc'
                ),
                'group' => esc_html( __( 'Medium device', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'param_name' => 'medium_height_calc_px',
                'std' => '100',
                'ueldo-number-field-minus-allowed' => false,
                'edit_field_class' => 'vc_col-xs-5 ueldo-vc-calc-field ueldo-calc-field-height-medium ueldo-vc-calc-field-last',
                'dependency' => array(
                    'element' => 'medium_height_type',
                    'value' => 'calc'
                ),
                'group' => esc_html( __( 'Medium device', 'ueldo' ) )
            ),

            /**/

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_layer_medium_layer_position',
                'std' => '',
                'dependency' => array(
                    'element' => 'medium_layer_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Medium device', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Layer position', 'ueldo' ) ),
                'param_name' => 'medium_layer_position',
                'value' => array(
                    esc_html( __( 'Top left', 'ueldo' ) ) => 'top_left',
                    esc_html( __( 'Top center', 'ueldo' ) ) => 'top_center',
                    esc_html( __( 'Top right', 'ueldo' ) ) => 'top_right',
                    esc_html( __( 'Center left', 'ueldo' ) ) => 'center_left',
                    esc_html( __( 'Center center', 'ueldo' ) ) => 'center_center',
                    esc_html( __( 'Center right', 'ueldo' ) ) => 'center_right',
                    esc_html( __( 'Bottom left', 'ueldo' ) ) => 'bottom_left',
                    esc_html( __( 'Bottom center', 'ueldo' ) ) => 'bottom_center',
                    esc_html( __( 'Bottom right', 'ueldo' ) ) => 'bottom_right'
                ),
                'std' => esc_attr( ueldo_is_rtl() ? 'top_right' : 'top_left' ),
                'dependency' => array(
                    'element' => 'medium_layer_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Medium device', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Layer margin top', 'ueldo' ) ),
                'param_name' => 'medium_margin_top',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => true,
                'dependency' => array(
                    'element' => 'medium_layer_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Medium device', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Layer margin right', 'ueldo' ) ),
                'param_name' => 'medium_margin_right',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => true,
                'dependency' => array(
                    'element' => 'medium_layer_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Medium device', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Layer margin bottom', 'ueldo' ) ),
                'param_name' => 'medium_margin_bottom',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => true,
                'dependency' => array(
                    'element' => 'medium_layer_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Medium device', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Layer margin left', 'ueldo' ) ),
                'param_name' => 'medium_margin_left',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => true,
                'dependency' => array(
                    'element' => 'medium_layer_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Medium device', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_layer_medium_row_border_radius',
                'std' => '',
                'dependency' => array(
                    'element' => 'medium_layer_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Medium device', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Set border radius for medium devices?', 'ueldo' ) ),
                'param_name' => 'medium_custom_row_border_radius',
                'value' => array(
                    esc_html( __( 'Yes, as same as for large devices', 'ueldo' ) ) => 'yes-copy-from-large',
                    esc_html( __( 'Yes, the same value for all corners', 'ueldo' ) ) => 'yes-same-for-corners',
                    esc_html( __( 'Yes, different value for each corners', 'ueldo' ) ) => 'yes-unique-for-corners',
                    esc_html( __( 'No', 'ueldo' ) ) => 'no'
                ),
                'std' => 'no',
                'dependency' => array(
                    'element' => 'medium_layer_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Medium device', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Layer border radius', 'ueldo' ) ),
                'param_name' => 'medium_row_border_radius',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'medium_custom_row_border_radius',
                    'value' => 'yes-same-for-corners'
                ),
                'group' => esc_html( __( 'Medium device', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Layer border radius for top left corner', 'ueldo' ) ),
                'param_name' => 'medium_row_border_radius_top_left_corner',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'medium_custom_row_border_radius',
                    'value' => 'yes-unique-for-corners'
                ),
                'group' => esc_html( __( 'Medium device', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Layer border radius for top right corner', 'ueldo' ) ),
                'param_name' => 'medium_row_border_radius_top_right_corner',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'medium_custom_row_border_radius',
                    'value' => 'yes-unique-for-corners'
                ),
                'group' => esc_html( __( 'Medium device', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Layer border radius for bottom left corner', 'ueldo' ) ),
                'param_name' => 'medium_row_border_radius_bottom_left_corner',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'medium_custom_row_border_radius',
                    'value' => 'yes-unique-for-corners'
                ),
                'group' => esc_html( __( 'Medium device', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Layer border radius for bottom right corner', 'ueldo' ) ),
                'param_name' => 'medium_row_border_radius_bottom_right_corner',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'medium_custom_row_border_radius',
                    'value' => 'yes-unique-for-corners'
                ),
                'group' => esc_html( __( 'Medium device', 'ueldo' ) )
            ),

           /**
            *
            * group: small device
            *
            */

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Layer visible on small devices?', 'ueldo' ) ),
                'param_name' => 'small_layer_visibility',
                'value' => array(
                    esc_html( __( 'Yes', 'ueldo' ) ) => 'yes',
                    esc_html( __( 'No', 'ueldo' ) ) => 'no'
                ),
                'std' => 'yes',
                'dependency' => array(
                    'element' => 'custom_layer_sizes',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Small device', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Custom layer sizes for small devices?', 'ueldo' ) ),
                'param_name' => 'small_layer_custom_sizes',
                'value' => array(
                    esc_html( __( 'Yes, use custom sizes', 'ueldo' ) ) => 'yes',
                    esc_html( __( 'No, use as same sizes as for large devices', 'ueldo' ) ) => 'no-large',
                    esc_html( __( 'No, use as same sizes as for medium devices', 'ueldo' ) ) => 'no-medium'
                ),
                'std' => 'no-medium',
                'dependency' => array(
                    'element' => 'small_layer_visibility',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Small device', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_layer_small_width',
                'std' => '',
                'dependency' => array(
                    'element' => 'small_layer_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Small device', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Width type', 'ueldo' ) ),
                'param_name' => 'small_width_type',
                'value' => array(
                    esc_html( __( 'Percentage', 'ueldo' ) ) => 'percentage',
                    esc_html( __( 'Pixels', 'ueldo' ) ) => 'px',
                    esc_html( __( 'Calc', 'ueldo' ) ) => 'calc'
                ),
                'std' => 'percentage',
                'dependency' => array(
                    'element' => 'small_layer_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Small device', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Width', 'ueldo' ) ),
                'param_name' => 'small_width_percentage',
                'value' => ueldo_get_vc_loop_option_percents(),
                'std' => '100%',
                'dependency' => array(
                    'element' => 'small_width_type',
                    'value' => 'percentage'
                ),
                'group' => esc_html( __( 'Small device', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Width', 'ueldo' ) ),
                'param_name' => 'small_width_px',
                'std' => '100',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'small_width_type',
                    'value' => 'px'
                ),
                'group' => esc_html( __( 'Small device', 'ueldo' ) )
            ),

            /**/

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Width', 'ueldo' ) ),
                'param_name' => 'small_width_calc_base',
                'value' => ueldo_get_vc_loop_option_percents(),
                'std' => '100%',
                'edit_field_class' => 'vc_col-xs-5 ueldo-vc-calc-field ueldo-calc-field-width-small',
                'dependency' => array(
                    'element' => 'small_width_type',
                    'value' => 'calc'
                ),
                'group' => esc_html( __( 'Small device', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'param_name' => 'small_width_calc_operator',
                'value' => array(
                    '+',
                    '-'
                ),
                'std' => '-',
                'edit_field_class' => 'vc_col-xs-2 ueldo-vc-calc-field ueldo-calc-field-width-small',
                'dependency' => array(
                    'element' => 'small_width_type',
                    'value' => 'calc'
                ),
                'group' => esc_html( __( 'Small device', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'param_name' => 'small_width_calc_px',
                'std' => '100',
                'ueldo-number-field-minus-allowed' => false,
                'edit_field_class' => 'vc_col-xs-5 ueldo-vc-calc-field ueldo-calc-field-width-small ueldo-vc-calc-field-last',
                'dependency' => array(
                    'element' => 'small_width_type',
                    'value' => 'calc'
                ),
                'group' => esc_html( __( 'Small device', 'ueldo' ) )
            ),

            /**/

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_layer_small_height',
                'std' => '',
                'dependency' => array(
                    'element' => 'small_layer_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Small device', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Height type', 'ueldo' ) ),
                'param_name' => 'small_height_type',
                'value' => array(
                    esc_html( __( 'Percentage', 'ueldo' ) ) => 'percentage',
                    esc_html( __( 'Pixels', 'ueldo' ) ) => 'px',
                    esc_html( __( 'Calc', 'ueldo' ) ) => 'calc'
                ),
                'std' => 'percentage',
                'dependency' => array(
                    'element' => 'small_layer_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Small device', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Height', 'ueldo' ) ),
                'param_name' => 'small_height_percentage',
                'value' => ueldo_get_vc_loop_option_percents(),
                'std' => '100%',
                'dependency' => array(
                    'element' => 'small_height_type',
                    'value' => 'percentage'
                ),
                'group' => esc_html( __( 'Small device', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Height', 'ueldo' ) ),
                'param_name' => 'small_height_px',
                'std' => '100',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'small_height_type',
                    'value' => 'px'
                ),
                'group' => esc_html( __( 'Small device', 'ueldo' ) )
            ),

            /**/

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Height', 'ueldo' ) ),
                'param_name' => 'small_height_calc_base',
                'value' => ueldo_get_vc_loop_option_percents(),
                'std' => '100%',
                'edit_field_class' => 'vc_col-xs-5 ueldo-vc-calc-field ueldo-calc-field-height-small',
                'dependency' => array(
                    'element' => 'small_height_type',
                    'value' => 'calc'
                ),
                'group' => esc_html( __( 'Small device', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'param_name' => 'small_height_calc_operator',
                'value' => array(
                    '+',
                    '-'
                ),
                'std' => '-',
                'edit_field_class' => 'vc_col-xs-2 ueldo-vc-calc-field ueldo-calc-field-height-small',
                'dependency' => array(
                    'element' => 'small_height_type',
                    'value' => 'calc'
                ),
                'group' => esc_html( __( 'Small device', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'param_name' => 'small_height_calc_px',
                'std' => '100',
                'ueldo-number-field-minus-allowed' => false,
                'edit_field_class' => 'vc_col-xs-5 ueldo-vc-calc-field ueldo-calc-field-height-small ueldo-vc-calc-field-last',
                'dependency' => array(
                    'element' => 'small_height_type',
                    'value' => 'calc'
                ),
                'group' => esc_html( __( 'Small device', 'ueldo' ) )
            ),

            /**/

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_small_layer_position',
                'std' => '',
                'dependency' => array(
                    'element' => 'small_layer_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Small device', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Layer position', 'ueldo' ) ),
                'param_name' => 'small_layer_position',
                'value' => array(
                    esc_html( __( 'Top left', 'ueldo' ) ) => 'top_left',
                    esc_html( __( 'Top center', 'ueldo' ) ) => 'top_center',
                    esc_html( __( 'Top right', 'ueldo' ) ) => 'top_right',
                    esc_html( __( 'Center left', 'ueldo' ) ) => 'center_left',
                    esc_html( __( 'Center center', 'ueldo' ) ) => 'center_center',
                    esc_html( __( 'Center right', 'ueldo' ) ) => 'center_right',
                    esc_html( __( 'Bottom left', 'ueldo' ) ) => 'bottom_left',
                    esc_html( __( 'Bottom center', 'ueldo' ) ) => 'bottom_center',
                    esc_html( __( 'Bottom right', 'ueldo' ) ) => 'bottom_right'
                ),
                'std' => esc_attr( ueldo_is_rtl() ? 'top_right' : 'top_left' ),
                'dependency' => array(
                    'element' => 'small_layer_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Small device', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Layer margin top', 'ueldo' ) ),
                'param_name' => 'small_margin_top',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => true,
                'dependency' => array(
                    'element' => 'small_layer_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Small device', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Layer margin right', 'ueldo' ) ),
                'param_name' => 'small_margin_right',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => true,
                'dependency' => array(
                    'element' => 'small_layer_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Small device', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Layer margin bottom', 'ueldo' ) ),
                'param_name' => 'small_margin_bottom',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => true,
                'dependency' => array(
                    'element' => 'small_layer_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Small device', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Layer margin left', 'ueldo' ) ),
                'param_name' => 'small_margin_left',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => true,
                'dependency' => array(
                    'element' => 'small_layer_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Small device', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_layer_small_row_border_radius',
                'std' => '',
                'dependency' => array(
                    'element' => 'small_layer_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Small device', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Set custom border radius for small devices?', 'ueldo' ) ),
                'param_name' => 'small_custom_row_border_radius',
                'value' => array(
                    esc_html( __( 'Yes, as same as for large devices', 'ueldo' ) ) => 'yes-copy-from-large',
                    esc_html( __( 'Yes, as same as for medium devices', 'ueldo' ) ) => 'yes-copy-from-medium',
                    esc_html( __( 'Yes, the same value for all corners', 'ueldo' ) ) => 'yes-same-for-corners',
                    esc_html( __( 'Yes, different value for each corners', 'ueldo' ) ) => 'yes-unique-for-corners',
                    esc_html( __( 'No', 'ueldo' ) ) => 'no'
                ),
                'std' => 'no',
                'dependency' => array(
                    'element' => 'small_layer_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Small device', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Layer border radius', 'ueldo' ) ),
                'param_name' => 'small_row_border_radius',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'small_custom_row_border_radius',
                    'value' => 'yes-same-for-corners'
                ),
                'group' => esc_html( __( 'Small device', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Layer border radius for top left corner', 'ueldo' ) ),
                'param_name' => 'small_row_border_radius_top_left_corner',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'small_custom_row_border_radius',
                    'value' => 'yes-unique-for-corners'
                ),
                'group' => esc_html( __( 'Small device', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Layer border radius for top right corner', 'ueldo' ) ),
                'param_name' => 'small_row_border_radius_top_right_corner',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'small_custom_row_border_radius',
                    'value' => 'yes-unique-for-corners'
                ),
                'group' => esc_html( __( 'Small device', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Layer border radius for bottom left corner', 'ueldo' ) ),
                'param_name' => 'small_row_border_radius_bottom_left_corner',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'small_custom_row_border_radius',
                    'value' => 'yes-unique-for-corners'
                ),
                'group' => esc_html( __( 'Small device', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Layer border radius for bottom right corner', 'ueldo' ) ),
                'param_name' => 'small_row_border_radius_bottom_right_corner',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'small_custom_row_border_radius',
                    'value' => 'yes-unique-for-corners'
                ),
                'group' => esc_html( __( 'Small device', 'ueldo' ) )
            ),

           /**
            *
            * group: extra small device
            *
            */

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Layer visible on extra small devices?', 'ueldo' ) ),
                'param_name' => 'extra_small_layer_visibility',
                'value' => array(
                    esc_html( __( 'Yes', 'ueldo' ) ) => 'yes',
                    esc_html( __( 'No', 'ueldo' ) ) => 'no'
                ),
                'std' => 'yes',
                'dependency' => array(
                    'element' => 'custom_layer_sizes',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Extra small device', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Custom layer sizes for extra small devices?', 'ueldo' ) ),
                'param_name' => 'extra_small_layer_custom_sizes',
                'value' => array(
                    esc_html( __( 'Yes, use custom sizes', 'ueldo' ) ) => 'yes',
                    esc_html( __( 'No, use as same sizes as for large devices', 'ueldo' ) ) => 'no-large',
                    esc_html( __( 'No, use as same sizes as for medium devices', 'ueldo' ) ) => 'no-medium',
                    esc_html( __( 'No, use as same sizes as for small devices', 'ueldo' ) ) => 'no-small'
                ),
                'std' => 'no-small',
                'dependency' => array(
                    'element' => 'extra_small_layer_visibility',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Extra small device', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_layer_extra_small_width',
                'std' => '',
                'dependency' => array(
                    'element' => 'extra_small_layer_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Extra small device', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Width type', 'ueldo' ) ),
                'param_name' => 'extra_small_width_type',
                'value' => array(
                    esc_html( __( 'Percentage', 'ueldo' ) ) => 'percentage',
                    esc_html( __( 'Pixels', 'ueldo' ) ) => 'px',
                    esc_html( __( 'Calc', 'ueldo' ) ) => 'calc'
                ),
                'std' => 'percentage',
                'dependency' => array(
                    'element' => 'extra_small_layer_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Extra small device', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Width', 'ueldo' ) ),
                'param_name' => 'extra_small_width_percentage',
                'value' => ueldo_get_vc_loop_option_percents(),
                'std' => '100%',
                'dependency' => array(
                    'element' => 'extra_small_width_type',
                    'value' => 'percentage'
                ),
                'group' => esc_html( __( 'Extra small device', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Width', 'ueldo' ) ),
                'param_name' => 'extra_small_width_px',
                'std' => '100',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'extra_small_width_type',
                    'value' => 'px'
                ),
                'group' => esc_html( __( 'Extra small device', 'ueldo' ) )
            ),

            /**/

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Width', 'ueldo' ) ),
                'param_name' => 'extra_small_width_calc_base',
                'value' => ueldo_get_vc_loop_option_percents(),
                'std' => '100%',
                'edit_field_class' => 'vc_col-xs-5 ueldo-vc-calc-field ueldo-calc-field-width-extra-small',
                'dependency' => array(
                    'element' => 'extra_small_width_type',
                    'value' => 'calc'
                ),
                'group' => esc_html( __( 'Extra small device', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'param_name' => 'extra_small_width_calc_operator',
                'value' => array(
                    '+',
                    '-'
                ),
                'std' => '-',
                'edit_field_class' => 'vc_col-xs-2 ueldo-vc-calc-field ueldo-calc-field-width-extra-small',
                'dependency' => array(
                    'element' => 'extra_small_width_type',
                    'value' => 'calc'
                ),
                'group' => esc_html( __( 'Extra small device', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'param_name' => 'extra_small_width_calc_px',
                'std' => '100',
                'ueldo-number-field-minus-allowed' => false,
                'edit_field_class' => 'vc_col-xs-5 ueldo-vc-calc-field ueldo-calc-field-width-extra-small ueldo-vc-calc-field-last',
                'dependency' => array(
                    'element' => 'extra_small_width_type',
                    'value' => 'calc'
                ),
                'group' => esc_html( __( 'Extra small device', 'ueldo' ) )
            ),

            /**/

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_layer_extra_small_height',
                'std' => '',
                'dependency' => array(
                    'element' => 'extra_small_layer_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Extra small device', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Height type', 'ueldo' ) ),
                'param_name' => 'extra_small_height_type',
                'value' => array(
                    esc_html( __( 'Percentage', 'ueldo' ) ) => 'percentage',
                    esc_html( __( 'Pixels', 'ueldo' ) ) => 'px',
                    esc_html( __( 'Calc', 'ueldo' ) ) => 'calc'
                ),
                'std' => 'percentage',
                'dependency' => array(
                    'element' => 'extra_small_layer_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Extra small device', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Height', 'ueldo' ) ),
                'param_name' => 'extra_small_height_percentage',
                'value' => ueldo_get_vc_loop_option_percents(),
                'std' => '100%',
                'dependency' => array(
                    'element' => 'extra_small_height_type',
                    'value' => 'percentage'
                ),
                'group' => esc_html( __( 'Extra small device', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Height', 'ueldo' ) ),
                'param_name' => 'extra_small_height_px',
                'std' => '100',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'extra_small_height_type',
                    'value' => 'px'
                ),
                'group' => esc_html( __( 'Extra small device', 'ueldo' ) )
            ),

            /**/

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Height', 'ueldo' ) ),
                'param_name' => 'extra_small_height_calc_base',
                'value' => ueldo_get_vc_loop_option_percents(),
                'std' => '100%',
                'edit_field_class' => 'vc_col-xs-5 ueldo-vc-calc-field ueldo-calc-field-height-extra-small',
                'dependency' => array(
                    'element' => 'extra_small_height_type',
                    'value' => 'calc'
                ),
                'group' => esc_html( __( 'Extra small device', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'param_name' => 'extra_small_height_calc_operator',
                'value' => array(
                    '+',
                    '-'
                ),
                'std' => '-',
                'edit_field_class' => 'vc_col-xs-2 ueldo-vc-calc-field ueldo-calc-field-height-extra-small',
                'dependency' => array(
                    'element' => 'extra_small_height_type',
                    'value' => 'calc'
                ),
                'group' => esc_html( __( 'Extra small device', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'param_name' => 'extra_small_height_calc_px',
                'std' => '100',
                'ueldo-number-field-minus-allowed' => false,
                'edit_field_class' => 'vc_col-xs-5 ueldo-vc-calc-field ueldo-calc-field-height-extra-small ueldo-vc-calc-field-last',
                'dependency' => array(
                    'element' => 'extra_small_height_type',
                    'value' => 'calc'
                ),
                'group' => esc_html( __( 'Extra small device', 'ueldo' ) )
            ),

            /**/

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_layer_extra_small_position',
                'std' => '',
                'dependency' => array(
                    'element' => 'extra_small_layer_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Extra small device', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Layer position', 'ueldo' ) ),
                'param_name' => 'extra_small_layer_position',
                'value' => array(
                    esc_html( __( 'Top left', 'ueldo' ) ) => 'top_left',
                    esc_html( __( 'Top center', 'ueldo' ) ) => 'top_center',
                    esc_html( __( 'Top right', 'ueldo' ) ) => 'top_right',
                    esc_html( __( 'Center left', 'ueldo' ) ) => 'center_left',
                    esc_html( __( 'Center center', 'ueldo' ) ) => 'center_center',
                    esc_html( __( 'Center right', 'ueldo' ) ) => 'center_right',
                    esc_html( __( 'Bottom left', 'ueldo' ) ) => 'bottom_left',
                    esc_html( __( 'Bottom center', 'ueldo' ) ) => 'bottom_center',
                    esc_html( __( 'Bottom right', 'ueldo' ) ) => 'bottom_right'
                ),
                'std' => esc_attr( ueldo_is_rtl() ? 'top_right' : 'top_left' ),
                'dependency' => array(
                    'element' => 'extra_small_layer_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Extra small device', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Layer margin top', 'ueldo' ) ),
                'param_name' => 'extra_small_margin_top',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => true,
                'dependency' => array(
                    'element' => 'extra_small_layer_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Extra small device', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Layer margin right', 'ueldo' ) ),
                'param_name' => 'extra_small_margin_right',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => true,
                'dependency' => array(
                    'element' => 'extra_small_layer_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Extra small device', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Layer margin bottom', 'ueldo' ) ),
                'param_name' => 'extra_small_margin_bottom',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => true,
                'dependency' => array(
                    'element' => 'extra_small_layer_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Extra small device', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Layer margin left', 'ueldo' ) ),
                'param_name' => 'extra_small_margin_left',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => true,
                'dependency' => array(
                    'element' => 'extra_small_layer_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Extra small device', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_layer_extra_small_row_border_radius',
                'std' => '',
                'dependency' => array(
                    'element' => 'extra_small_layer_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Extra small device', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Set custom border radius for extra small devices?', 'ueldo' ) ),
                'param_name' => 'extra_small_custom_row_border_radius',
                'value' => array(
                    esc_html( __( 'Yes, as same as for large devices', 'ueldo' ) ) => 'yes-copy-from-large',
                    esc_html( __( 'Yes, as same as for medium devices', 'ueldo' ) ) => 'yes-copy-from-medium',
                    esc_html( __( 'Yes, as same as for small devices', 'ueldo' ) ) => 'yes-copy-from-small',
                    esc_html( __( 'Yes, the same value for all corners', 'ueldo' ) ) => 'yes-same-for-corners',
                    esc_html( __( 'Yes, different value for each corners', 'ueldo' ) ) => 'yes-unique-for-corners',
                    esc_html( __( 'No', 'ueldo' ) ) => 'no'
                ),
                'std' => 'no',
                'dependency' => array(
                    'element' => 'extra_small_layer_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Extra small device', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Layer border radius', 'ueldo' ) ),
                'param_name' => 'extra_small_row_border_radius',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'extra_small_custom_row_border_radius',
                    'value' => 'yes-same-for-corners'
                ),
                'group' => esc_html( __( 'Extra small device', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Layer border radius for top left corner', 'ueldo' ) ),
                'param_name' => 'extra_small_row_border_radius_top_left_corner',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'extra_small_custom_row_border_radius',
                    'value' => 'yes-unique-for-corners'
                ),
                'group' => esc_html( __( 'Extra small device', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Layer border radius for top right corner', 'ueldo' ) ),
                'param_name' => 'extra_small_row_border_radius_top_right_corner',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'extra_small_custom_row_border_radius',
                    'value' => 'yes-unique-for-corners'
                ),
                'group' => esc_html( __( 'Extra small device', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Layer border radius for bottom left corner', 'ueldo' ) ),
                'param_name' => 'extra_small_row_border_radius_bottom_left_corner',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'extra_small_custom_row_border_radius',
                    'value' => 'yes-unique-for-corners'
                ),
                'group' => esc_html( __( 'Extra small device', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Layer border radius for bottom right corner', 'ueldo' ) ),
                'param_name' => 'extra_small_row_border_radius_bottom_right_corner',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'extra_small_custom_row_border_radius',
                    'value' => 'yes-unique-for-corners'
                ),
                'group' => esc_html( __( 'Extra small device', 'ueldo' ) )
            )

           /**
            *
            * end of fields.
            *
            */
        )

       /**
        *
        * end of shortcode settings
        *
        */

    )));

   /**
    *
    * extend WPBakeryShortCode class
    *
    */

    if( class_exists( 'WPBakeryShortCode' ) ) {

        class WPBakeryShortCode_Ueldo_Shortcode_Row_Layer extends WPBakeryShortCode {
        }
    }

   /**
    *
    * end of shortcode map.
    *
    */

?>