<?php

   /**
    *
    * map the shortcode settings with visual composer
    *
    */

    vc_map( ueldo_update_custom_vc_shortcode_settings( array(
        'name' => esc_html( __( 'Search field', 'ueldo' ) ),
        'description' => esc_html( __( 'Display the search field in header or footer', 'ueldo' ) ),
        'base' => 'ueldo_shortcode_search_field',
        'content_element' => true,
        'category' => esc_html( __( 'Ueldo', 'ueldo' ) ),
        'icon' => esc_url( get_template_directory_uri() .'/_assets/_img/vc-icon.png' ),
        'params' => array(

           /**
            *
            * class name
            *
            */

            ueldo_add_custom_vc_shortcode_settings( 'class-name', '', '', array(), esc_html( __( 'General settings', 'ueldo' ) ) ),

           /**
            *
            * group: general settings
            *
            */

            array(
                'type' => 'textfield',
                'heading' => esc_html( __( 'Search field placeholder', 'ueldo' ) ),
                'param_name' => 'placeholder',
                'admin_label' => true,
                'std' => esc_html( __( 'Search...', 'ueldo' ) ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_field_settings',
                'std' => '',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Search field type', 'ueldo' ) ),
                'param_name' => 'type',
                'value' => array(
                    esc_html( __( 'Static field', 'ueldo' ) ) => 'static',
                    esc_html( __( 'Animated (extensible) field', 'ueldo' ) ) => 'animated'
                ),
                'std' => 'static',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

           /**
            *
            * group: sizes
            *
            */

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Use custom sizes?', 'ueldo' ) ),
                'param_name' => 'custom_sizes_enabled',
                'value' => array(
                    esc_html( __( 'No, use theme defaults', 'ueldo' ) ) => 'theme_defaults',
                    esc_html( __( 'Yes, use custom sizes', 'ueldo' ) ) => 'custom_settings'
                ),
                'std' => 'theme_defaults',
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_field_sizes',
                'std' => '',
                'dependency' => array(
               					'element' => 'custom_sizes_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Field width', 'ueldo' ) ),
                'param_name' => 'field_width',
                'std' => '350',
                'ueldo-number-field-minus-allowed' => true,
                'dependency' => array(
               					'element' => 'custom_sizes_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Field font size', 'ueldo' ) ),
                'param_name' => 'field_font_size',
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'font-size-form-fields' ) ),
                'ueldo-number-field-minus-allowed' => true,
                'dependency' => array(
               					'element' => 'custom_sizes_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Field border width', 'ueldo' ) ),
                'param_name' => 'field_border_width',
                'std' => '1',
                'ueldo-number-field-minus-allowed' => true,
                'dependency' => array(
               					'element' => 'custom_sizes_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Field border radius', 'ueldo' ) ),
                'param_name' => 'field_border_radius',
                'std' => '2',
                'ueldo-number-field-minus-allowed' => true,
                'dependency' => array(
               					'element' => 'custom_sizes_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Field padding top / bottom', 'ueldo' ) ),
                'param_name' => 'field_padding_top_bottom',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => true,
                'dependency' => array(
               					'element' => 'custom_sizes_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Field padding left', 'ueldo' ) ),
                'param_name' => 'field_padding_left',
                'std' => '21',
                'ueldo-number-field-minus-allowed' => true,
                'dependency' => array(
               					'element' => 'custom_sizes_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Field padding right', 'ueldo' ) ),
                'param_name' => 'field_padding_right',
                'std' => '46',
                'ueldo-number-field-minus-allowed' => true,
                'dependency' => array(
               					'element' => 'custom_sizes_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Use static height for field?', 'ueldo' ) ),
                'param_name' => 'use_field_static_height',
                'value' => array(
                    esc_html( __( 'No', 'ueldo' ) ) => 'no',
                    esc_html( __( 'Yes', 'ueldo' ) ) => 'yes'
                ),
                'std' => 'yes',
                'dependency' => array(
                    'element' => 'custom_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Field static height (px)', 'ueldo' ) ),
                'param_name' => 'field_static_height',
                'std' => '50',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'use_field_static_height',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_search_icon_size',
                'std' => '',
                'dependency' => array(
               					'element' => 'custom_sizes_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Search icon size', 'ueldo' ) ),
                'param_name' => 'search_icon_size',
                'std' => '14',
                'ueldo-number-field-minus-allowed' => true,
                'dependency' => array(
               					'element' => 'custom_sizes_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

           /**
            *
            * group: colors
            *
            */

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Use custom colors?', 'ueldo' ) ),
                'param_name' => 'custom_colors_enabled',
                'value' => array(
                    esc_html( __( 'No, use theme defaults', 'ueldo' ) ) => 'theme_defaults',
                    esc_html( __( 'Yes, use custom colors', 'ueldo' ) ) => 'custom_settings'
                ),
                'std' => 'theme_defaults',
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Field border color', 'ueldo' ) ),
            				'param_name' => 'field_border_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'forms-field-border-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Field border color (on hover)', 'ueldo' ) ),
            				'param_name' => 'field_border_color_hover',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'forms-field-border-color-on-hover' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Field border color (on focus)', 'ueldo' ) ),
            				'param_name' => 'field_border_color_focus',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'forms-field-border-color-on-focus' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Field background color', 'ueldo' ) ),
            				'param_name' => 'field_background_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'forms-field-background-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Field background color (on hover)', 'ueldo' ) ),
            				'param_name' => 'field_background_color_hover',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'forms-field-background-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Field background color (on focus)', 'ueldo' ) ),
            				'param_name' => 'field_background_color_focus',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'forms-field-background-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Field text color', 'ueldo' ) ),
            				'param_name' => 'field_text_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'forms-field-text-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Field placeholder text color', 'ueldo' ) ),
            				'param_name' => 'field_placeholder_text_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'forms-placeholder-text-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            # field inset box shadow

            array(
                'type' => 'ueldo_box_shadow_horizontal_length',
                'heading' => esc_html( __( 'Field inset box shadow', 'ueldo' ) ),
                'param_name' => 'field_inset_box_shadow_horizontal_length',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'forms-field-inset-box-shadow', 'horizontal-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_vertical_length',
                'heading' => '',
                'param_name' => 'field_inset_box_shadow_vertical_length',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'forms-field-inset-box-shadow', 'vertical-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_blur_radius',
                'heading' => '',
                'param_name' => 'field_inset_box_shadow_blur_radius',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'forms-field-inset-box-shadow', 'blur-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_spread_radius',
                'heading' => '',
                'param_name' => 'field_inset_box_shadow_spread_radius',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'forms-field-inset-box-shadow', 'spread-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
            				'type' => 'colorpicker',
            				'heading' => '',
            				'param_name' => 'field_inset_box_shadow_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'forms-field-inset-box-shadow', 'color' ) ),
                'edit_field_class' => 'vc_col-xs-4',
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            # end of field inset box shadow

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Search icon color', 'ueldo' ) ),
            				'param_name' => 'search_icon_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'forms-field-border-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Search icon color (on hover)', 'ueldo' ) ),
            				'param_name' => 'search_icon_color_hover',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'forms-field-border-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			)

           /**
            *
            * end of fields.
            *
            */
        )

       /**
        *
        * end of shortcode settings
        *
        */

    )));

   /**
    *
    * extend WPBakeryShortCode class
    *
    */

    if( class_exists( 'WPBakeryShortCode' ) ) {

        class WPBakeryShortCode_Ueldo_Shortcode_Search_Field extends WPBakeryShortCode {
        }
    }

   /**
    *
    * end of shortcode map.
    *
    */

?>