<?php

   /**
    *
    * map the shortcode settings with visual composer
    *
    */

    vc_map( ueldo_update_custom_vc_shortcode_settings( array(
        'name' => esc_html( __( 'Social media feed', 'ueldo' ) ),
        'description' => esc_html( __( 'Show social media feed or follow buttons', 'ueldo' ) ),
        'base' => 'ueldo_shortcode_social_media_feed',
        'content_element' => true,
        'category' => esc_html( __( 'Ueldo', 'ueldo' ) ),
        'icon' => esc_url( get_template_directory_uri() .'/_assets/_img/vc-icon.png' ),
        'params' => array(

           /**
            *
            * class name
            *
            */

            ueldo_add_custom_vc_shortcode_settings( 'class-name', '', '', array(), esc_html( __( 'General settings', 'ueldo' ) ) ),

           /**
            *
            * group: general settings
            *
            */

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Element type', 'ueldo' ) ),
                'param_name' => 'type',
                'value' => array(
                    esc_html( __( 'Facebook page feed', 'ueldo' ) ) => 'facebook_page_feed',
                    esc_html( __( 'Facebook like button', 'ueldo' ) ) => 'facebook_like_button',
                    esc_html( __( 'Facebook share button', 'ueldo' ) ) => 'facebook_share_button',
                    esc_html( __( 'Twitter embed', 'ueldo' ) ) => 'twitter_embed',
                    esc_html( __( 'Twitter single tweet', 'ueldo' ) ) => 'twitter_single_tweet'
                ),
                'admin_label' => true,
                'std' => 'facebook_page_feed',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_details',
                'std' => '',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            # facebook page feed

            array(
                'type' => 'textfield',
                'heading' => esc_html( __( 'Facebook page URL', 'ueldo' ) ),
                'param_name' => 'facebook_page_feed_page_url',
                'std' => esc_url( ueldo_get_external_url( 'facebook-envato' ) ),
                'dependency' => array(
                    'element' => 'type',
                    'value' => 'facebook_page_feed'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'textfield',
                'heading' => esc_html( __( 'Facebook page title', 'ueldo' ) ),
                'param_name' => 'facebook_page_feed_page_title',
                'std' => esc_html( __( 'Envato', 'ueldo' ) ),
                'dependency' => array(
                    'element' => 'type',
                    'value' => 'facebook_page_feed'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_facebook_page_feed_tabs',
                'std' => '',
                'dependency' => array(
                    'element' => 'type',
                    'value' => 'facebook_page_feed'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'checkbox',
                'heading' => esc_html( __( 'Tabs to show', 'ueldo' ) ),
                'param_name' => 'facebook_page_feed_tabs',
                'value' => array(
                    esc_html( __( 'Timeline', 'ueldo' ) ) => 'timeline',
                    esc_html( __( 'Events', 'ueldo' ) ) => 'events',
                    esc_html( __( 'Messages', 'ueldo' ) ) => 'messages'
                ),
                'std' => 'timeline',
                'dependency' => array(
                    'element' => 'type',
                    'value' => 'facebook_page_feed'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_facebook_page_feed_settings',
                'std' => '',
                'dependency' => array(
                    'element' => 'type',
                    'value' => 'facebook_page_feed'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Hide cover photo in the header?', 'ueldo' ) ),
                'param_name' => 'facebook_page_feed_hide_cover',
                'value' => array(
                    esc_html( __( 'Yes', 'ueldo' ) ) => 'yes',
                    esc_html( __( 'No', 'ueldo' ) ) => 'no'
                ),
                'std' => 'no',
                'dependency' => array(
                    'element' => 'type',
                    'value' => 'facebook_page_feed'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Show profile photos when friends like this?', 'ueldo' ) ),
                'param_name' => 'facebook_page_feed_show_facepile',
                'value' => array(
                    esc_html( __( 'Yes', 'ueldo' ) ) => 'yes',
                    esc_html( __( 'No', 'ueldo' ) ) => 'no'
                ),
                'std' => 'yes',
                'dependency' => array(
                    'element' => 'type',
                    'value' => 'facebook_page_feed'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Hide the custom call to action button (if available)?', 'ueldo' ) ),
                'param_name' => 'facebook_page_feed_hide_cta',
                'value' => array(
                    esc_html( __( 'Yes', 'ueldo' ) ) => 'yes',
                    esc_html( __( 'No', 'ueldo' ) ) => 'no'
                ),
                'std' => 'no',
                'dependency' => array(
                    'element' => 'type',
                    'value' => 'facebook_page_feed'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Use the small header?', 'ueldo' ) ),
                'param_name' => 'facebook_page_feed_small_header',
                'value' => array(
                    esc_html( __( 'Yes', 'ueldo' ) ) => 'yes',
                    esc_html( __( 'No', 'ueldo' ) ) => 'no'
                ),
                'std' => 'no',
                'dependency' => array(
                    'element' => 'type',
                    'value' => 'facebook_page_feed'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Try to fit inside the container width?', 'ueldo' ) ),
                'param_name' => 'facebook_page_feed_adapt_container_width',
                'value' => array(
                    esc_html( __( 'Yes', 'ueldo' ) ) => 'yes',
                    esc_html( __( 'No', 'ueldo' ) ) => 'no'
                ),
                'std' => 'yes',
                'dependency' => array(
                    'element' => 'type',
                    'value' => 'facebook_page_feed'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_facebook_page_feed_static_width',
                'std' => '',
                'dependency' => array(
                    'element' => 'type',
                    'value' => 'facebook_page_feed'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Use static width?', 'ueldo' ) ),
                'param_name' => 'facebook_page_feed_use_static_width',
                'value' => array(
                    esc_html( __( 'Yes', 'ueldo' ) ) => 'yes',
                    esc_html( __( 'No', 'ueldo' ) ) => 'no'
                ),
                'std' => 'no',
                'dependency' => array(
                    'element' => 'type',
                    'value' => 'facebook_page_feed'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Static width (px)', 'ueldo' ) ),
                'description' => esc_html( __( 'Min: 180px, max: 500px', 'ueldo' ) ),
                'param_name' => 'facebook_page_feed_static_width_px',
                'std' => '400',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'facebook_page_feed_use_static_width',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_facebook_page_feed_static_height',
                'std' => '',
                'dependency' => array(
                    'element' => 'type',
                    'value' => 'facebook_page_feed'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Use static height?', 'ueldo' ) ),
                'param_name' => 'facebook_page_feed_use_static_height',
                'value' => array(
                    esc_html( __( 'Yes', 'ueldo' ) ) => 'yes',
                    esc_html( __( 'No', 'ueldo' ) ) => 'no'
                ),
                'std' => 'no',
                'dependency' => array(
                    'element' => 'type',
                    'value' => 'facebook_page_feed'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Static height (px)', 'ueldo' ) ),
                'description' => esc_html( __( 'Min: 70px', 'ueldo' ) ),
                'param_name' => 'facebook_page_feed_static_height_px',
                'std' => '550',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'facebook_page_feed_use_static_height',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            # facebook "like" button

            array(
                'type' => 'textfield',
                'heading' => esc_html( __( 'Facebook page URL', 'ueldo' ) ),
                'param_name' => 'facebook_like_button_page_url',
                'std' => esc_url( ueldo_get_external_url( 'facebook-envato' ) ),
                'dependency' => array(
                    'element' => 'type',
                    'value' => 'facebook_like_button'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_facebook_like_button_settings',
                'std' => '',
                'dependency' => array(
                    'element' => 'type',
                    'value' => 'facebook_like_button'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Action', 'ueldo' ) ),
                'param_name' => 'facebook_like_button_action',
                'value' => array(
                    esc_html( __( 'Like', 'ueldo' ) ) => 'like',
                    esc_html( __( 'Recommend', 'ueldo' ) ) => 'recommend'
                ),
                'std' => 'like',
                'dependency' => array(
                    'element' => 'type',
                    'value' => 'facebook_like_button'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Color scheme', 'ueldo' ) ),
                'param_name' => 'facebook_like_button_color_scheme',
                'value' => array(
                    esc_html( __( 'Light', 'ueldo' ) ) => 'light',
                    esc_html( __( 'Dark', 'ueldo' ) ) => 'dark'
                ),
                'std' => 'light',
                'dependency' => array(
                    'element' => 'type',
                    'value' => 'facebook_like_button'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Is your web site or online service (or a portion of your service) directed to children under 13?', 'ueldo' ) ),
                'param_name' => 'facebook_like_button_kid_directed_site',
                'value' => array(
                    esc_html( __( 'Yes', 'ueldo' ) ) => 'yes',
                    esc_html( __( 'No', 'ueldo' ) ) => 'no'
                ),
                'std' => 'no',
                'dependency' => array(
                    'element' => 'type',
                    'value' => 'facebook_like_button'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Layout', 'ueldo' ) ),
                'param_name' => 'facebook_like_button_layout',
                'value' => array(
                    esc_html( __( 'Standard', 'ueldo' ) ) => 'standard',
                    esc_html( __( 'Box count', 'ueldo' ) ) => 'box_count',
                    esc_html( __( 'Button count', 'ueldo' ) ) => 'button_count',
                    esc_html( __( 'Button', 'ueldo' ) ) => 'only_button'
                ),
                'std' => 'standard',
                'dependency' => array(
                    'element' => 'type',
                    'value' => 'facebook_like_button'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'textfield',
                'heading' => esc_html( __( 'Referrer (optional)', 'ueldo' ) ),
                'param_name' => 'facebook_like_button_referrer',
                'std' => '',
                'description' => esc_html( __( 'A label for tracking referrals.', 'ueldo' ) ) .' <a href="'. esc_url( ueldo_get_external_url( 'facebook-faq-label-for-tracking-referrals' ) ) .'" target="_blank">'. esc_html( __( 'See the FAQ', 'ueldo' ) ) .'</a>',
                'dependency' => array(
                    'element' => 'type',
                    'value' => 'facebook_like_button'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Include a share button?', 'ueldo' ) ),
                'param_name' => 'facebook_like_button_share',
                'value' => array(
                    esc_html( __( 'Yes', 'ueldo' ) ) => 'yes',
                    esc_html( __( 'No', 'ueldo' ) ) => 'no'
                ),
                'std' => 'no',
                'dependency' => array(
                    'element' => 'type',
                    'value' => 'facebook_like_button'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Display profile photos below the button?', 'ueldo' ) ),
                'param_name' => 'facebook_like_button_show_faces',
                'description' => esc_html( __( 'You must not enable this on child-directed sites.', 'ueldo' ) ),
                'value' => array(
                    esc_html( __( 'Yes', 'ueldo' ) ) => 'yes',
                    esc_html( __( 'No', 'ueldo' ) ) => 'no'
                ),
                'std' => 'no',
                'dependency' => array(
                    'element' => 'facebook_like_button_layout',
                    'value' => 'standard'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Size', 'ueldo' ) ),
                'param_name' => 'facebook_like_button_size',
                'value' => array(
                    esc_html( __( 'Large', 'ueldo' ) ) => 'large',
                    esc_html( __( 'Small', 'ueldo' ) ) => 'small'
                ),
                'std' => 'small',
                'dependency' => array(
                    'element' => 'type',
                    'value' => 'facebook_like_button'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_facebook_like_button_static_width',
                'std' => '',
                'dependency' => array(
                    'element' => 'facebook_like_button_layout',
                    'value' => 'standard'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Use static width?', 'ueldo' ) ),
                'param_name' => 'facebook_like_button_use_static_width',
                'value' => array(
                    esc_html( __( 'Yes', 'ueldo' ) ) => 'yes',
                    esc_html( __( 'No', 'ueldo' ) ) => 'no'
                ),
                'std' => 'no',
                'dependency' => array(
                    'element' => 'facebook_like_button_layout',
                    'value' => 'standard'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Static width (px)', 'ueldo' ) ),
                'description' => '<a href="'. esc_url( ueldo_get_external_url( 'facebook-faq-layout-for-like-button' ) ) .'" target="_blank">'. esc_html( __( 'See Layout Settings', 'ueldo' ) ) .'</a>',
                'param_name' => 'facebook_like_button_static_width_px',
                'std' => '450',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'facebook_like_button_use_static_width',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            # facebook "share" button

            array(
                'type' => 'textfield',
                'heading' => esc_html( __( 'Facebook page URL', 'ueldo' ) ),
                'param_name' => 'facebook_share_button_page_url',
                'std' => esc_url( ueldo_get_external_url( 'facebook-envato' ) ),
                'dependency' => array(
                    'element' => 'type',
                    'value' => 'facebook_share_button'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_facebook_share_button_settings',
                'std' => '',
                'dependency' => array(
                    'element' => 'type',
                    'value' => 'facebook_share_button'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Layout', 'ueldo' ) ),
                'param_name' => 'facebook_share_button_layout',
                'value' => array(
                    esc_html( __( 'Box count', 'ueldo' ) ) => 'box_count',
                    esc_html( __( 'Button count', 'ueldo' ) ) => 'button_count',
                    esc_html( __( 'Button', 'ueldo' ) ) => 'only_button'
                ),
                'std' => 'only_button',
                'dependency' => array(
                    'element' => 'type',
                    'value' => 'facebook_share_button'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Open the share dialog in an iframe on mobile', 'ueldo' ) ),
                'param_name' => 'facebook_share_button_mobile_iframe',
                'value' => array(
                    esc_html( __( 'Yes', 'ueldo' ) ) => 'yes',
                    esc_html( __( 'No', 'ueldo' ) ) => 'no'
                ),
                'std' => 'no',
                'dependency' => array(
                    'element' => 'type',
                    'value' => 'facebook_share_button'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Size', 'ueldo' ) ),
                'param_name' => 'facebook_share_button_size',
                'value' => array(
                    esc_html( __( 'Large', 'ueldo' ) ) => 'large',
                    esc_html( __( 'Small', 'ueldo' ) ) => 'small'
                ),
                'std' => 'small',
                'dependency' => array(
                    'element' => 'type',
                    'value' => 'facebook_share_button'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            # twitter embed

            array(
                'type' => 'textarea_html',
                'heading' => esc_html( __( 'Twitter embed code', 'ueldo' ) ),
                'description' => esc_html( __( 'Please use', 'ueldo' ) ) .' <a href="'. esc_url( ueldo_get_external_url( 'twitter-embed-tool' ) ) .'" target="_blank">'. esc_html( __( 'Twitter embed tool', 'ueldo' ) ) .'</a> '. esc_html( __( 'and put the result code here.', 'ueldo' ) ),
                'param_name' => 'content',
                'dependency' => array(
                    'element' => 'type',
                    'value' => 'twitter_embed'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            # single twitter tweet

            array(
                'type' => 'textfield',
                'heading' => esc_html( __( 'Get tweet from (account name)', 'ueldo' ) ),
                'param_name' => 'twitter_single_tweet_username',
                'std' => esc_html( __( 'envato', 'ueldo' ) ),
                'dependency' => array(
                    'element' => 'type',
                    'value' => 'twitter_single_tweet'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Get tweet no.:', 'ueldo' ) ),
                'param_name' => 'twitter_single_tweet_on_stack',
                'value' => array(
                    esc_html( __( 'Last one', 'ueldo' ) ) => '1',
                    esc_html( __( 'Last -1', 'ueldo' ) ) => '2',
                    esc_html( __( 'Last -2', 'ueldo' ) ) => '3',
                    esc_html( __( 'Last -3', 'ueldo' ) ) => '4',
                    esc_html( __( 'Last -4', 'ueldo' ) ) => '5',
                    esc_html( __( 'Last -5', 'ueldo' ) ) => '6'
                ),
                'std' => '1',
                'dependency' => array(
                    'element' => 'type',
                    'value' => 'twitter_single_tweet'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_number',
                'heading' => esc_html( __( 'How long store the tweet in cache?', 'ueldo' ) ),
                'param_name' => 'twitter_single_tweet_transient_expiration',
                'description' => esc_html( __( 'Put the value in seconds here - for example, 3600 seconds means 1 hour.', 'ueldo' ) ),
                'std' => '3600',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'type',
                    'value' => 'twitter_single_tweet'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_twitter_single_tweet_styles',
                'std' => '',
                'dependency' => array(
                    'element' => 'type',
                    'value' => 'twitter_single_tweet'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Use custom styles for tweet?', 'ueldo' ) ),
                'param_name' => 'twitter_single_tweet_custom_styles_enabled',
                'value' => array(
                    esc_html( __( 'No, use theme defaults', 'ueldo' ) ) => 'theme_defaults',
                    esc_html( __( 'Yes, use custom styles', 'ueldo' ) ) => 'custom_settings'
                ),
                'std' => 'theme_defaults',
                'dependency' => array(
                    'element' => 'type',
                    'value' => 'twitter_single_tweet'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_twitter_single_tweet_content',
                'std' => '',
                'dependency' => array(
                    'element' => 'twitter_single_tweet_custom_styles_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Tweet content font family', 'ueldo' ) ),
                'param_name' => 'twitter_single_tweet_content_font_family',
                'value' => ueldo_vc_get_heading_text_fonts(),
                'std' => ueldo_get_default_font_key( 'general-font' ),
                'dependency' => array(
                    'element' => 'twitter_single_tweet_custom_styles_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Tweet content font size', 'ueldo' ) ),
                'param_name' => 'twitter_single_tweet_content_font_size',
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'font-size-content' ) ),
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'twitter_single_tweet_custom_styles_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_em_number',
                'heading' => esc_html( __( 'Tweet content line height', 'ueldo' ) ),
                'param_name' => 'twitter_single_tweet_content_line_height',
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'line-height-general' ) ),
                'dependency' => array(
                    'element' => 'twitter_single_tweet_custom_styles_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Tweet content text color', 'ueldo' ) ),
            				'param_name' => 'twitter_single_tweet_content_text_color',
            				'dependency' => array(
               					'element' => 'twitter_single_tweet_custom_styles_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-content-color' ) ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Tweet content links color', 'ueldo' ) ),
            				'param_name' => 'twitter_single_tweet_content_links_color',
            				'dependency' => array(
               					'element' => 'twitter_single_tweet_custom_styles_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Tweet content links color (on hover)', 'ueldo' ) ),
            				'param_name' => 'twitter_single_tweet_content_links_color_hover',
            				'dependency' => array(
               					'element' => 'twitter_single_tweet_custom_styles_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
         			),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_twitter_single_tweet_date',
                'std' => '',
                'dependency' => array(
                    'element' => 'twitter_single_tweet_custom_styles_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Tweet date font family', 'ueldo' ) ),
                'param_name' => 'twitter_single_tweet_date_font_family',
                'value' => ueldo_vc_get_heading_text_fonts(),
                'std' => ueldo_get_default_font_key( 'general-font' ),
                'dependency' => array(
                    'element' => 'twitter_single_tweet_custom_styles_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Tweet date font size', 'ueldo' ) ),
                'param_name' => 'twitter_single_tweet_date_font_size',
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'font-size-content' ) ),
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'twitter_single_tweet_custom_styles_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_em_number',
                'heading' => esc_html( __( 'Tweet date line height', 'ueldo' ) ),
                'param_name' => 'twitter_single_tweet_date_line_height',
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'line-height-general' ) ),
                'dependency' => array(
                    'element' => 'twitter_single_tweet_custom_styles_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Tweet date text color', 'ueldo' ) ),
            				'param_name' => 'twitter_single_tweet_date_text_color',
            				'dependency' => array(
               					'element' => 'twitter_single_tweet_custom_styles_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-content-color' ) ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
         			),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_twitter_single_tweet_other',
                'std' => '',
                'dependency' => array(
                    'element' => 'twitter_single_tweet_custom_styles_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Margin between tweet content and date', 'ueldo' ) ),
                'param_name' => 'twitter_single_tweet_content_and_date_margin',
                'std' => '30',
                'ueldo-number-field-minus-allowed' => true,
                'dependency' => array(
                    'element' => 'twitter_single_tweet_custom_styles_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Tweet content and date alignment', 'ueldo' ) ),
                'param_name' => 'twitter_single_tweet_content_and_date_alignment',
                'value' => array(
                    esc_html( __( 'Left', 'ueldo' ) ) => 'left',
                    esc_html( __( 'Center', 'ueldo' ) ) => 'center',
                    esc_html( __( 'Right', 'ueldo' ) ) => 'right'
                ),
                'dependency' => array(
                    'element' => 'twitter_single_tweet_custom_styles_enabled',
                    'value' => 'custom_settings'
                ),
                'std' => esc_attr( ueldo_is_rtl() ? 'right' : 'left' ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            )

           /**
            *
            * end of fields.
            *
            */
        )

       /**
        *
        * end of shortcode settings
        *
        */

    )));

   /**
    *
    * extend WPBakeryShortCode class
    *
    */

    if( class_exists( 'WPBakeryShortCode' ) ) {

        class WPBakeryShortCode_Ueldo_Shortcode_Social_Media_Feed extends WPBakeryShortCode {
        }
    }

   /**
    *
    * end of shortcode map.
    *
    */

?>