<?php

   /**
    *
    * map the shortcode settings with visual composer
    *
    */

    vc_map( ueldo_update_custom_vc_shortcode_settings( array(
        'name' => esc_html( __( 'Tabs', 'ueldo' ) ),
        'description' => esc_html( __( 'Divide content into tabs', 'ueldo' ) ),
        'base' => 'ueldo_shortcode_tabs',
        'content_element' => true,
        'category' => esc_html( __( 'Ueldo', 'ueldo' ) ),
        'icon' => esc_url( get_template_directory_uri() .'/_assets/_img/vc-icon.png' ),
        'is_container' => true,
        'js_view' => 'VcColumnView',
        'as_parent' => array( 'only' => 'ueldo_shortcode_tabs_single_tab' ),
        'as_child' => array( 'except' => 'ueldo_shortcode_tabs,ueldo_shortcode_tabs_single_tab' ),
        'params' => array(

           /**
            *
            * class name
            *
            */

            ueldo_add_custom_vc_shortcode_settings( 'class-name', '', '', array(), esc_html( __( 'Tabs style', 'ueldo' ) ) ),

           /**
            *
            * group: tabs style
            *
            */

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Tabs content style', 'ueldo' ) ),
                'param_name' => 'tabs_content_style',
                'value' => array(
                    esc_html( __( 'Style 1', 'ueldo' ) ) => 'style-01',
                    esc_html( __( 'Style 2', 'ueldo' ) ) => 'style-02',
                    esc_html( __( 'Style 3', 'ueldo' ) ) => 'style-03',
                    esc_html( __( 'Style 4', 'ueldo' ) ) => 'style-04',
                    esc_html( __( 'Style 5', 'ueldo' ) ) => 'style-05'
                ),
                'std' => 'style-01',
                'group' => esc_html( __( 'Tabs style', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Content position', 'ueldo' ) ),
                'param_name' => 'content_position',
                'value' => array(
                    esc_html( __( 'Left', 'ueldo' ) ) => 'left',
                    esc_html( __( 'Right', 'ueldo' ) ) => 'right'
                ),
                'std' => 'left',
                'dependency' => array(
                    'element' => 'tabs_content_style',
                    'value' => array(
                        'style-03',
                        'style-04',
                        'style-05',
                    )
                ),
                'group' => esc_html( __( 'Tabs style', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_tabs_selector',
                'std' => '',
                'dependency' => array(
                    'element' => 'tabs_content_style',
                    'value' => array(
                        'style-01',
                        'style-02',
                        'style-03',
                        'style-04'
                    )
                ),
                'group' => esc_html( __( 'Tabs style', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Tabs selector style', 'ueldo' ) ),
                'param_name' => 'tabs_selector_style',
                'value' => array(
                    esc_html( __( 'Style 1', 'ueldo' ) ) => 'style-01',
                    esc_html( __( 'Style 2', 'ueldo' ) ) => 'style-02',
                    esc_html( __( 'Style 3', 'ueldo' ) ) => 'style-03'
                ),
                'std' => 'style-01',
                'dependency' => array(
                    'element' => 'tabs_content_style',
                    'value' => array(
                        'style-01',
                        'style-02',
                        'style-03',
                        'style-04'
                    )
                ),
                'group' => esc_html( __( 'Tabs style', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Tabs selector position', 'ueldo' ) ),
                'param_name' => 'tabs_selector_position_above_under',
                'value' => array(
                    esc_html( __( 'Above tabs content', 'ueldo' ) ) => 'above',
                    esc_html( __( 'Under tabs content', 'ueldo' ) ) => 'under'
                ),
                'std' => 'above',
                'dependency' => array(
                    'element' => 'tabs_content_style',
                    'value' => array(
                        'style-01',
                        'style-03',
                        'style-04'
                    )
                ),
                'group' => esc_html( __( 'Tabs style', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Tabs selector content alignment', 'ueldo' ) ),
                'param_name' => 'tabs_selector_content_alignment',
                'value' => array(
                    esc_html( __( 'Left', 'ueldo' ) ) => 'left',
                    esc_html( __( 'Center', 'ueldo' ) ) => 'center',
                    esc_html( __( 'Right', 'ueldo' ) ) => 'right'
                ),
                'std' => 'center',
                'dependency' => array(
                    'element' => 'tabs_selector_style',
                    'value' => array(
                        'style-01',
                        'style-02'
                    )
                ),
                'group' => esc_html( __( 'Tabs style', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Tabs selector alignment', 'ueldo' ) ),
                'param_name' => 'tabs_selector_style_03_alignment',
                'value' => array(
                    esc_html( __( 'Left', 'ueldo' ) ) => 'left',
                    esc_html( __( 'Center', 'ueldo' ) ) => 'center',
                    esc_html( __( 'Right', 'ueldo' ) ) => 'right'
                ),
                'std' => 'center',
                'dependency' => array(
                    'element' => 'tabs_selector_style',
                    'value' => 'style-03'
                ),
                'group' => esc_html( __( 'Tabs style', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Tabs selector position', 'ueldo' ) ),
                'param_name' => 'tabs_selector_position_left_right',
                'value' => array(
                    ( ueldo_is_rtl() ? esc_html( __( 'Right', 'ueldo' ) ) : esc_html( __( 'Left', 'ueldo' ) ) ) => 'left',
                    ( ueldo_is_rtl() ? esc_html( __( 'Left', 'ueldo' ) ) : esc_html( __( 'Right', 'ueldo' ) ) ) => 'right'
                ),
                'std' => 'left',
                'dependency' => array(
                    'element' => 'tabs_content_style',
                    'value' => 'style-02'
                ),
                'group' => esc_html( __( 'Tabs style', 'ueldo' ) )
            ),

           /**
            *
            * group: circle navigation
            *
            */

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Display circle navigation', 'ueldo' ) ),
                'param_name' => 'display_circle_navigation',
                'value' => array(
                    esc_html( __( 'No', 'ueldo' ) ) => 'no',
                    esc_html( __( 'Yes, above the tabs contents', 'ueldo' ) ) => 'yes-above',
                    esc_html( __( 'Yes, under the tabs contents', 'ueldo' ) ) => 'yes-under'
                ),
                'std' => 'yes-under',
                'dependency' => array(
                    'element' => 'tabs_content_style',
                    'value' => array(
                        'style-01',
                        'style-02',
                        'style-03',
                        'style-04'
                    )
                ),
                'group' => esc_html( __( 'Circle navigation', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Circle navigation alignment', 'ueldo' ) ),
                'param_name' => 'circle_navigation_alignment',
                'value' => array(
                    esc_html( __( 'Left', 'ueldo' ) ) => 'left',
                    esc_html( __( 'Center', 'ueldo' ) ) => 'center',
                    esc_html( __( 'Right', 'ueldo' ) ) => 'right'
                ),
                'std' => 'center',
                'dependency' => array(
                    'element' => 'display_circle_navigation',
                    'value' => array(
                        'yes-above',
                        'yes-under'
                    )
                ),
                'group' => esc_html( __( 'Circle navigation', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Hide tabs selector', 'ueldo' ) ),
                'param_name' => 'circle_navigation_hide_tabs_selector',
                'value' => array(
                    esc_html( __( 'Yes', 'ueldo' ) ) => 'yes',
                    esc_html( __( 'No', 'ueldo' ) ) => 'no'
                ),
                'std' => 'no',
                'dependency' => array(
                    'element' => 'display_circle_navigation',
                    'value' => array(
                        'yes-above',
                        'yes-under'
                    )
                ),
                'group' => esc_html( __( 'Circle navigation', 'ueldo' ) )
            ),

           /**
            *
            * group: image content
            *
            */

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Image content base width', 'ueldo' ) ),
                'param_name' => 'base_width',
                'std' => '570',
                'ueldo-number-field-minus-allowed' => false,
                'description' => esc_html( __( 'Used for calculating scale ratio for responsive screens. If you use Revolution Slider element, its dimensions should be "base width" x "base height", for other elements (like images) dimensions can be different.', 'ueldo' ) ),
                'dependency' => array(
                    'element' => 'tabs_content_style',
                    'value' => array(
                        'style-03',
                        'style-04',
                        'style-05'
                    )
                ),
                'group' => esc_html( __( 'Image content', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Image content base height', 'ueldo' ) ),
                'param_name' => 'base_height',
                'std' => '555',
                'ueldo-number-field-minus-allowed' => false,
                'description' => esc_html( __( 'Used for calculating scale ratio for responsive screens. This element also means "maximum height" for image elements for any screens.', 'ueldo' ) ),
                'dependency' => array(
                    'element' => 'tabs_content_style',
                    'value' => array(
                        'style-03',
                        'style-04',
                        'style-05'
                    )
                ),
                'group' => esc_html( __( 'Image content', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Image content border radius', 'ueldo' ) ),
                'param_name' => 'image_container_border_radius',
                'std' => '4',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'tabs_content_style',
                    'value' => array(
                        'style-03',
                        'style-04',
                        'style-05'
                    )
                ),
                'group' => esc_html( __( 'Image content', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_image_custom_content_enabled',
                'std' => '',
                'dependency' => array(
                    'element' => 'tabs_content_style',
                    'value' => array(
                        'style-03',
                        'style-04',
                        'style-05'
                    )
                ),
                'group' => esc_html( __( 'Image content', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Enable custom image contents for each single tab', 'ueldo' ) ),
                'param_name' => 'custom_tab_image_enabled',
                'value' => array(
                    esc_html( __( 'No', 'ueldo' ) ) => 'no',
                    esc_html( __( 'Yes', 'ueldo' ) ) => 'yes'
                ),
                'std' => 'no',
                'dependency' => array(
                    'element' => 'tabs_content_style',
                    'value' => array(
                        'style-03',
                        'style-04',
                        'style-05'
                    )
                ),
                'group' => esc_html( __( 'Image content', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Type of image content', 'ueldo' ) ),
                'param_name' => 'image_content_type',
                'value' => array(
                    esc_html( __( 'Background image', 'ueldo' ) ) => 'background-image',
                    esc_html( __( 'Background image with video button', 'ueldo' ) ) => 'background-image-with-video-button',
                    esc_html( __( 'Revolution slider', 'ueldo' ) ) => 'revolution-slider',
                    esc_html( __( 'Google map', 'ueldo' ) ) => 'google-map'
                ),
                'std' => 'background-image',
                'dependency' => array(
                    'element' => 'custom_tab_image_enabled',
                    'value' => 'no'
                ),
                'group' => esc_html( __( 'Image content', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_image_contents',
                'std' => '',
                'dependency' => array(
                    'element' => 'custom_tab_image_enabled',
                    'value' => 'no'
                ),
                'group' => esc_html( __( 'Image content', 'ueldo' ) )
            ),

            # type: background image / with video

            array(
                'type' => 'attach_image',
                'heading' => esc_html( __( 'Background image', 'ueldo' ) ),
                'param_name' => 'image',
                'dependency' => array(
                    'element' => 'image_content_type',
                    'value' => array(
                        'background-image',
                        'background-image-with-video-button'
                    )
                ),
                'group' => esc_html( __( 'Image content', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Vertical position of background image', 'ueldo' ) ),
                'param_name' => 'image_position_y',
                'value' => ueldo_get_vc_loop_option_percents(),
                'std' => '50%',
                'dependency' => array(
                    'element' => 'image_content_type',
                    'value' => array(
                        'background-image',
                        'background-image-with-video-button'
                    )
                ),
                'group' => esc_html( __( 'Image content', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Horizontal position of background image', 'ueldo' ) ),
                'param_name' => 'image_position_x',
                'value' => ueldo_get_vc_loop_option_percents(),
                'std' => '50%',
                'dependency' => array(
                    'element' => 'image_content_type',
                    'value' => array(
                        'background-image',
                        'background-image-with-video-button'
                    )
                ),
                'group' => esc_html( __( 'Image content', 'ueldo' ) )
            ),

            array(
                'type' => 'textfield',
                'heading' => esc_html( __( 'Background image alternative text', 'ueldo' ) ),
                'std' => esc_html( __( 'Image', 'ueldo' ) ),
                'param_name' => 'image_alt',
                'dependency' => array(
                    'element' => 'image_content_type',
                    'value' => array(
                        'background-image',
                        'background-image-with-video-button'
                    )
                ),
                'group' => esc_html( __( 'Image content', 'ueldo' ) )
            ),

            array(
                'type' => 'textfield',
                'heading' => esc_html( __( 'Video URL', 'ueldo' ) ),
                'param_name' => 'video_url',
                'dependency' => array(
                    'element' => 'image_content_type',
                    'value' => 'background-image-with-video-button'
                ),
                'group' => esc_html( __( 'Image content', 'ueldo' ) )
            ),

            array(
                'type' => 'textfield',
                'heading' => esc_html( __( 'Video title', 'ueldo' ) ),
                'param_name' => 'video_title',
                'std' => esc_html( __( 'Watch the video!', 'ueldo' ) ),
                'dependency' => array(
                    'element' => 'image_content_type',
                    'value' => 'background-image-with-video-button'
                ),
                'group' => esc_html( __( 'Image content', 'ueldo' ) )
            ),

            # type: revolution slider

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Choose the Revolution slider', 'ueldo' ) ),
                'param_name' => 'revolution_slider_alias',
                'value' => ueldo_get_vc_loop_revolution_slider_sliders(),
                'dependency' => array(
                    'element' => 'image_content_type',
                    'value' => 'revolution-slider'
                ),
                'group' => esc_html( __( 'Image content', 'ueldo' ) )
            ),

            # type: google map

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Choose the Google map', 'ueldo' ) ),
                'param_name' => 'google_map_id',
                'value' => ueldo_get_vc_loop_google_maps(),
                'dependency' => array(
                    'element' => 'image_content_type',
                    'value' => 'google-map'
                ),
                'group' => esc_html( __( 'Image content', 'ueldo' ) )
            ),

           /**
            *
            * group: auto-change tabs
            *
            */

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Auto-change tabs', 'ueldo' ) ),
                'param_name' => 'autochange_tabs',
                'value' => array(
                    esc_html( __( 'No', 'ueldo' ) ) => 'no',
                    esc_html( __( 'Yes', 'ueldo' ) ) => 'yes'
                ),
                'std' => 'no',
                'group' => esc_html( __( 'Auto-change', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Interval between each tab auto-change', 'ueldo' ) ),
                'param_name' => 'autochange_interval',
                'value' => ueldo_get_vc_loop_option_intervals(),
                'std' => '6000',
                'dependency' => array(
                    'element' => 'autochange_tabs',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Auto-change', 'ueldo' ) )
            ),

           /**
            *
            * group: sizes
            *
            */

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Section padding top', 'ueldo' ) ),
                'param_name' => 'section_padding_top',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Section padding bottom', 'ueldo' ) ),
                'param_name' => 'section_padding_bottom',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_sizes_border_radius',
                'std' => '',
                'dependency' => array(
                    'element' => 'tabs_content_style',
                    'value' => 'style-04'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Content border radius', 'ueldo' ) ),
                'param_name' => 'tabs_04_content_border_radius',
                'std' => '4',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'tabs_content_style',
                    'value' => 'style-04'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_sizes_image_and_content_width',
                'std' => '',
                'dependency' => array(
                    'element' => 'tabs_content_style',
                    'value' => 'style-04'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Image and content width', 'ueldo' ) ),
                'param_name' => 'tabs_04_image_and_content_width',
                'value' => ueldo_get_vc_loop_option_percents(),
                'std' => '55%',
                'dependency' => array(
                    'element' => 'tabs_content_style',
                    'value' => 'style-04'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_sizes_content_padding',
                'std' => '',
                'dependency' => array(
                    'element' => 'tabs_content_style',
                    'value' => array(
                        'style-03',
                        'style-04'
                    )
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Content padding top', 'ueldo' ) ),
                'param_name' => 'tabs_03_content_padding_top',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'tabs_content_style',
                    'value' => 'style-03'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Content padding right', 'ueldo' ) ),
                'param_name' => 'tabs_03_content_padding_right',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'tabs_content_style',
                    'value' => 'style-03'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Content padding bottom', 'ueldo' ) ),
                'param_name' => 'tabs_03_content_padding_bottom',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'tabs_content_style',
                    'value' => 'style-03'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Content padding left', 'ueldo' ) ),
                'param_name' => 'tabs_03_content_padding_left',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'tabs_content_style',
                    'value' => 'style-03'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Content padding top (on tablets and mobile)', 'ueldo' ) ),
                'param_name' => 'tabs_03_content_padding_top_tablets_mobile',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'tabs_content_style',
                    'value' => 'style-03'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Content padding right (on tablets and mobile)', 'ueldo' ) ),
                'param_name' => 'tabs_03_content_padding_right_tablets_mobile',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'tabs_content_style',
                    'value' => 'style-03'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Content padding bottom (on tablets and mobile)', 'ueldo' ) ),
                'param_name' => 'tabs_03_content_padding_bottom_tablets_mobile',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'tabs_content_style',
                    'value' => 'style-03'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Content padding left (on tablets and mobile)', 'ueldo' ) ),
                'param_name' => 'tabs_03_content_padding_left_tablets_mobile',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'tabs_content_style',
                    'value' => 'style-03'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Content padding top', 'ueldo' ) ),
                'param_name' => 'tabs_04_content_padding_top',
                'std' => '40',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'tabs_content_style',
                    'value' => 'style-04'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Content padding right', 'ueldo' ) ),
                'param_name' => 'tabs_04_content_padding_right',
                'std' => '40',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'tabs_content_style',
                    'value' => 'style-04'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Content padding bottom', 'ueldo' ) ),
                'param_name' => 'tabs_04_content_padding_bottom',
                'std' => '40',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'tabs_content_style',
                    'value' => 'style-04'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Content padding left', 'ueldo' ) ),
                'param_name' => 'tabs_04_content_padding_left',
                'std' => '40',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'tabs_content_style',
                    'value' => 'style-04'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Content padding top (on tablets and mobile)', 'ueldo' ) ),
                'param_name' => 'tabs_04_content_padding_top_tablets_mobile',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'tabs_content_style',
                    'value' => 'style-04'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Content padding right (on tablets and mobile)', 'ueldo' ) ),
                'param_name' => 'tabs_04_content_padding_right_tablets_mobile',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'tabs_content_style',
                    'value' => 'style-04'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Content padding bottom (on tablets and mobile)', 'ueldo' ) ),
                'param_name' => 'tabs_04_content_padding_bottom_tablets_mobile',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'tabs_content_style',
                    'value' => 'style-04'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Content padding left (on tablets and mobile)', 'ueldo' ) ),
                'param_name' => 'tabs_04_content_padding_left_tablets_mobile',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'tabs_content_style',
                    'value' => 'style-04'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_sizes_tabs_content_and_selector_space',
                'std' => '',
                'dependency' => array(
                    'element' => 'tabs_content_style',
                    'value' => array(
                        'style-01',
                        'style-03',
                        'style-04'
                    )
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Space between tabs selector and content', 'ueldo' ) ),
                'param_name' => 'tabs_content_and_selector_space',
                'std' => '60',
                'ueldo-number-field-minus-allowed' => true,
                'dependency' => array(
                    'element' => 'tabs_content_style',
                    'value' => array(
                        'style-01',
                        'style-03',
                        'style-04'
                    )
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_sizes_tabs_selector_lateral_margin',
                'std' => '',
                'dependency' => array(
                    'element' => 'tabs_content_style',
                    'value' => array(
                        'style-01',
                        'style-04'
                    )
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Tabs selector lateral margin', 'ueldo' ) ),
                'param_name' => 'lateral_margin',
                'std' => '100',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'tabs_content_style',
                    'value' => array(
                        'style-01',
                        'style-04'
                    )
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_sizes_tabs_selector_border',
                'std' => '',
                'dependency' => array(
                    'element' => 'tabs_selector_style',
                    'value' => array(
                        'style-01',
                        'style-03'
                    )
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Tabs selector border width', 'ueldo' ) ),
                'param_name' => 'tabs_selector_border_width',
                'std' => '1',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'tabs_selector_style',
                    'value' => array(
                        'style-01',
                        'style-03'
                    )
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Tabs selector border radius', 'ueldo' ) ),
                'param_name' => 'tabs_selector_border_radius',
                'std' => '4',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'tabs_selector_style',
                    'value' => array(
                        'style-01',
                        'style-03'
                    )
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Tabs selector border width between elements', 'ueldo' ) ),
                'param_name' => 'tabs_selector_border_between_elements_width',
                'std' => '1',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'tabs_selector_style',
                    'value' => array(
                        'style-01',
                        'style-03'
                    )
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Custom size settings for tabs selector enabled?', 'ueldo' ) ),
                'param_name' => 'tabs_selector_font_settings_enabled',
                'value' => array(
                    esc_html( __( 'Yes, use custom settings', 'ueldo' ) ) => 'custom_settings',
                    esc_html( __( 'No, use theme defaults', 'ueldo' ) ) => 'theme_defaults'
                ),
                'std' => 'theme_defaults',
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Tabs selector font size', 'ueldo' ) ),
                'param_name' => 'tabs_selector_font_size',
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'font-size-content' ) ),
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'tabs_selector_font_settings_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Tabs selector font letter spacing', 'ueldo' ) ),
                'param_name' => 'tabs_selector_font_letter_spacing',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => true,
                'dependency' => array(
                    'element' => 'tabs_selector_font_settings_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_em_number',
                'heading' => esc_html( __( 'Tabs selector font line height', 'ueldo' ) ),
                'param_name' => 'tabs_selector_font_line_height',
                'std' => '1.0',
                'dependency' => array(
                    'element' => 'tabs_selector_font_settings_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Tabs selector font family', 'ueldo' ) ),
                'param_name' => 'tabs_selector_font_family',
                'value' => ueldo_vc_get_heading_text_fonts(),
                'std' => ueldo_get_default_font_key( 'headings-font' ),
                'dependency' => array(
                    'element' => 'tabs_selector_font_settings_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Tabs selector icon font size', 'ueldo' ) ),
                'param_name' => 'tabs_selector_icon_font_size',
                'std' => '37',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'tabs_selector_font_settings_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_sizes_margin_between_tabs_selector_and_content',
                'std' => '',
                'dependency' => array(
                    'element' => 'tabs_content_style',
                    'value' => 'style-02'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Margin between tabs selector and content', 'ueldo' ) ),
                'param_name' => 'tabs_content_02_margin_between_tabs_selector_content',
                'std' => '40',
                'ueldo-number-field-minus-allowed' => true,
                'dependency' => array(
                    'element' => 'tabs_content_style',
                    'value' => 'style-02'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Margin between tabs selector and content (on mobile)', 'ueldo' ) ),
                'param_name' => 'tabs_content_02_margin_between_tabs_selector_content_mobile',
                'std' => '60',
                'ueldo-number-field-minus-allowed' => true,
                'dependency' => array(
                    'element' => 'tabs_content_style',
                    'value' => 'style-02'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_sizes_tabs_margin_between_image_content_content',
                'std' => '',
                'dependency' => array(
                    'element' => 'tabs_content_style',
                    'value' => array(
                        'style-03',
                        'style-05'
                    )
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Margin between "image content" and "content"', 'ueldo' ) ),
                'param_name' => 'tabs_content_03_margin_between_image_content_content',
                'std' => '60',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'tabs_content_style',
                    'value' => 'style-03'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Margin between "image content" and "content"', 'ueldo' ) ),
                'param_name' => 'tabs_content_05_margin_between_image_content_content',
                'std' => '30',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'tabs_content_style',
                    'value' => 'style-05'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

           /**
            *
            * group: video button sizes
            *
            */

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Use custom sizes for video button?', 'ueldo' ) ),
                'param_name' => 'custom_video_button_sizes_enabled',
                'value' => array(
                    esc_html( __( 'No, use theme defaults', 'ueldo' ) ) => 'theme_defaults',
                    esc_html( __( 'Yes, use custom sizes', 'ueldo' ) ) => 'custom_settings'
                ),
                'std' => 'theme_defaults',
                'dependency' => array(
               					'element' => 'image_content_type',
                    'value' => 'background-image-with-video-button'
            				),
                'group' => esc_html( __( 'Video button sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_video_button_sizes',
                'std' => '',
                'dependency' => array(
               					'element' => 'custom_video_button_sizes_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Video button sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Video button width', 'ueldo' ) ),
                'param_name' => 'video_button_width',
                'std' => '60',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
               					'element' => 'custom_video_button_sizes_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Video button sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Video button height', 'ueldo' ) ),
                'param_name' => 'video_button_height',
                'std' => '60',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
               					'element' => 'custom_video_button_sizes_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Video button sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Video button border width', 'ueldo' ) ),
                'param_name' => 'video_button_border_width',
                'std' => '2',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
               					'element' => 'custom_video_button_sizes_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Video button sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Video button border radius', 'ueldo' ) ),
                'param_name' => 'video_button_border_radius',
                'value' => array(
                    esc_html( __( 'Circle (100%)', 'ueldo' ) ) => 'circle',
                    esc_html( __( 'Pixels', 'ueldo' ) ) => 'px'
                ),
                'std' => 'circle',
                'dependency' => array(
                    'element' => 'custom_video_button_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Video button sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Video button border radius (pixels)', 'ueldo' ) ),
                'param_name' => 'video_button_border_radius_px',
                'std' => '4',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'video_button_border_radius',
                    'value' => 'px'
                ),
                'group' => esc_html( __( 'Video button sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_video_button_icon_size',
                'std' => '',
                'dependency' => array(
                    'element' => 'custom_video_button_sizes_enabled',
                    'value' => 'custom_settings',
                ),
                'group' => esc_html( __( 'Video button sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Video button icon size', 'ueldo' ) ),
                'param_name' => 'video_button_icon_size',
                'std' => '18',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'custom_video_button_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Video button sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_video_button_tip_sizes',
                'std' => '',
                'dependency' => array(
                    'element' => 'custom_video_button_sizes_enabled',
                    'value' => 'custom_settings',
                ),
                'group' => esc_html( __( 'Video button sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Video button tip font size', 'ueldo' ) ),
                'param_name' => 'video_button_tip_font_size',
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'font-size-smallest-content' ) ),
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'custom_video_button_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Video button sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Video button tip width', 'ueldo' ) ),
                'param_name' => 'video_button_tip_width',
                'std' => '140',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'custom_video_button_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Video button sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Video button tip padding top/bottom', 'ueldo' ) ),
                'param_name' => 'video_button_tip_padding_top_bottom',
                'std' => '6',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'custom_video_button_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Video button sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Video button tip border radius', 'ueldo' ) ),
                'param_name' => 'video_button_tip_border_radius',
                'std' => '4',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'custom_video_button_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Video button sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Video button tip margin bottom', 'ueldo' ) ),
                'param_name' => 'video_button_tip_margin_bottom',
                'std' => '10',
                'ueldo-number-field-minus-allowed' => true,
                'dependency' => array(
                    'element' => 'custom_video_button_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Video button sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Video button tip bottom arrow size', 'ueldo' ) ),
                'param_name' => 'video_button_tip_bottom_arrow_size',
                'std' => '6',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'custom_video_button_sizes_enabled',
                    'value' => 'custom_settings'
                ),
                'group' => esc_html( __( 'Video button sizes', 'ueldo' ) )
            ),

           /**
            *
            * group: colors
            *
            */

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Use custom colors?', 'ueldo' ) ),
                'param_name' => 'custom_colors_enabled',
                'value' => array(
                    esc_html( __( 'No, use theme defaults', 'ueldo' ) ) => 'theme_defaults',
                    esc_html( __( 'Yes, use custom colors', 'ueldo' ) ) => 'custom_settings'
                ),
                'std' => 'theme_defaults',
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Tabs selector: border color', 'ueldo' ) ),
            				'param_name' => 'tabs_selector_border_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-border-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Tabs selector: border color on hover', 'ueldo' ) ),
            				'param_name' => 'tabs_selector_border_color_hover',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-hover-border-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Tabs selector: border between items color', 'ueldo' ) ),
            				'param_name' => 'tabs_selector_border_between_items_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-inset-border-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Tabs selector: background color', 'ueldo' ) ),
            				'param_name' => 'tabs_selector_background_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Tabs selector: active element background color', 'ueldo' ) ),
            				'param_name' => 'tabs_selector_active_element_background_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-heading-or-active-tab-background-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            # box shadow

            array(
                'type' => 'ueldo_box_shadow_horizontal_length',
                'heading' => esc_html( __( 'Tabs selector: box shadow', 'ueldo' ) ),
                'param_name' => 'tabs_selector_box_shadow_horizontal_length',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'horizontal-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_vertical_length',
                'heading' => '',
                'param_name' => 'tabs_selector_box_shadow_vertical_length',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'vertical-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_blur_radius',
                'heading' => '',
                'param_name' => 'tabs_selector_box_shadow_blur_radius',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'blur-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_spread_radius',
                'heading' => '',
                'param_name' => 'tabs_selector_box_shadow_spread_radius',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'spread-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
            				'type' => 'colorpicker',
            				'heading' => '',
            				'param_name' => 'tabs_selector_box_shadow_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'color' ) ),
                'edit_field_class' => 'vc_col-xs-4',
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            # box shadow on hover

            array(
                'type' => 'ueldo_box_shadow_horizontal_length',
                'heading' => esc_html( __( 'Tabs selector: box shadow (on hover)', 'ueldo' ) ),
                'param_name' => 'tabs_selector_box_shadow_horizontal_length_hover',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'horizontal-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_vertical_length',
                'heading' => '',
                'param_name' => 'tabs_selector_box_shadow_vertical_length_hover',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'vertical-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_blur_radius',
                'heading' => '',
                'param_name' => 'tabs_selector_box_shadow_blur_radius_hover',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'blur-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_spread_radius',
                'heading' => '',
                'param_name' => 'tabs_selector_box_shadow_spread_radius_hover',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'spread-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
            				'type' => 'colorpicker',
            				'heading' => '',
            				'param_name' => 'tabs_selector_box_shadow_color_hover',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'color' ) ),
                'edit_field_class' => 'vc_col-xs-4',
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            # end of box shadow on hover

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Tabs selector: title color (inactive)', 'ueldo' ) ),
            				'param_name' => 'tabs_selector_title_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-headings-subtitle-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Tabs selector: title color (active / on hover)', 'ueldo' ) ),
            				'param_name' => 'tabs_selector_title_color_hover',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-headings-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Tabs selector: icon color (inactive)', 'ueldo' ) ),
            				'param_name' => 'tabs_selector_icon_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-icon-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Tabs selector: icon color (active / on hover)', 'ueldo' ) ),
            				'param_name' => 'tabs_selector_icon_color_hover',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Tabs content: background color', 'ueldo' ) ),
            				'param_name' => 'tabs_content_background_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Circle navigation color (inactive)', 'ueldo' ) ),
            				'param_name' => 'circle_navigation_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-circle-navigation-background-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Circle navigation color (active / on hover)', 'ueldo' ) ),
            				'param_name' => 'circle_navigation_color_hover',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Tabs content style: 05, active tab background', 'ueldo' ) ),
            				'param_name' => 'tabs_05_active_tab_background',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-heading-or-active-tab-background-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Tabs content style: 05, active tab icon color', 'ueldo' ) ),
            				'param_name' => 'tabs_05_active_tab_icon_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-background-icon-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            # images container box shadow

            array(
                'type' => 'ueldo_box_shadow_horizontal_length',
                'heading' => esc_html( __( 'Images container: box shadow', 'ueldo' ) ),
                'param_name' => 'images_container_box_shadow_horizontal_length',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'horizontal-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_vertical_length',
                'heading' => '',
                'param_name' => 'images_container_box_shadow_vertical_length',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'vertical-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_blur_radius',
                'heading' => '',
                'param_name' => 'images_container_box_shadow_blur_radius',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'blur-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_spread_radius',
                'heading' => '',
                'param_name' => 'images_container_box_shadow_spread_radius',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'spread-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
            				'type' => 'colorpicker',
            				'heading' => '',
            				'param_name' => 'images_container_box_shadow_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'color' ) ),
                'edit_field_class' => 'vc_col-xs-4',
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            # end of images container box shadow

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Video button border color', 'ueldo' ) ),
            				'param_name' => 'video_button_border_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'play-video-button-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Video button background color', 'ueldo' ) ),
            				'param_name' => 'video_button_background_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Video button icon color', 'ueldo' ) ),
            				'param_name' => 'video_button_icon_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'play-video-button-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            # video button box shadow

            array(
                'type' => 'ueldo_box_shadow_horizontal_length',
                'heading' => esc_html( __( 'Video button box shadow', 'ueldo' ) ),
                'param_name' => 'video_button_box_shadow_horizontal_length',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'play-video-button-box-shadow', 'horizontal-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_vertical_length',
                'heading' => '',
                'param_name' => 'video_button_box_shadow_vertical_length',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'play-video-button-box-shadow', 'vertical-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_blur_radius',
                'heading' => '',
                'param_name' => 'video_button_box_shadow_blur_radius',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'play-video-button-box-shadow', 'blur-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_spread_radius',
                'heading' => '',
                'param_name' => 'video_button_box_shadow_spread_radius',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'play-video-button-box-shadow', 'spread-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
            				'type' => 'colorpicker',
            				'heading' => '',
            				'param_name' => 'video_button_box_shadow_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'play-video-button-box-shadow', 'color' ) ),
                'edit_field_class' => 'vc_col-xs-4',
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            # end of video button box shadow

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Video button border color (on hover)', 'ueldo' ) ),
            				'param_name' => 'video_button_border_color_hover',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Video button background color (on hover)', 'ueldo' ) ),
            				'param_name' => 'video_button_background_color_hover',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Video button icon color (on hover)', 'ueldo' ) ),
            				'param_name' => 'video_button_icon_color_hover',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color-contrast-text-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            # video button box shadow on hover

            array(
                'type' => 'ueldo_box_shadow_horizontal_length',
                'heading' => esc_html( __( 'Video button box shadow (on hover)', 'ueldo' ) ),
                'param_name' => 'video_button_box_shadow_horizontal_length_hover',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'play-video-button-box-shadow', 'horizontal-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_vertical_length',
                'heading' => '',
                'param_name' => 'video_button_box_shadow_vertical_length_hover',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'play-video-button-box-shadow', 'vertical-length' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_blur_radius',
                'heading' => '',
                'param_name' => 'video_button_box_shadow_blur_radius_hover',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'play-video-button-box-shadow', 'blur-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_box_shadow_spread_radius',
                'heading' => '',
                'param_name' => 'video_button_box_shadow_spread_radius_hover',
                'value' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'play-video-button-box-shadow', 'spread-radius' ) ),
                'edit_field_class' => 'vc_col-xs-3',
                'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
            ),

            array(
            				'type' => 'colorpicker',
            				'heading' => '',
            				'param_name' => 'video_button_box_shadow_color_hover',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'play-video-button-box-shadow', 'color' ) ),
                'edit_field_class' => 'vc_col-xs-4',
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            # end of video button box shadow (on hover)

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Video button tip background color', 'ueldo' ) ),
            				'param_name' => 'video_button_tip_background_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'play-video-button-title-background-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Video button tip text color', 'ueldo' ) ),
            				'param_name' => 'video_button_tip_text_color',
            				'dependency' => array(
               					'element' => 'custom_colors_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'play-video-button-title-text-color' ) ),
                'group' => esc_html( __( 'Colors', 'ueldo' ) )
         			)

           /**
            *
            * end of fields.
            *
            */
        )

       /**
        *
        * end of shortcode settings
        *
        */

    )));

   /**
    *
    * extend WPBakeryShortCode class
    *
    */

    if( class_exists( 'WPBakeryShortCodesContainer' ) ) {

        class WPBakeryShortCode_Ueldo_Shortcode_Tabs extends WPBakeryShortCodesContainer {
        }
    }

   /**
    *
    * end of shortcode map.
    *
    */

?>