<?php

   /**
    *
    * map the shortcode settings with visual composer
    *
    */

    vc_map( ueldo_update_custom_vc_shortcode_settings( array(
        'name' => esc_html( __( 'Tabs box - single tab', 'ueldo' ) ),
        'description' => esc_html( __( 'Single tab for tabs box', 'ueldo' ) ),
        'base' => 'ueldo_shortcode_tabs_box_single_tab',
        'content_element' => true,
        'category' => esc_html( __( 'Ueldo', 'ueldo' ) ),
        'icon' => esc_url( get_template_directory_uri() .'/_assets/_img/vc-icon.png' ),
        'as_child' => array( 'only' => 'ueldo_shortcode_tabs_box' ),
        'params' => array(

           /**
            *
            * class name
            *
            */

            ueldo_add_custom_vc_shortcode_settings( 'class-name', '', '', array(), esc_html( __( 'General settings', 'ueldo' ) ) ),

           /**
            *
            * group: attribute content
            *
            */

            array(
                'type' => 'textfield',
                'heading' => esc_html( __( 'Title', 'ueldo' ) ),
                'param_name' => 'title',
                'admin_label' => true,
                'std' => esc_html( __( 'Single tab', 'ueldo' ) ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_tab_icon',
                'std' => '',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Display tab icon?', 'ueldo' ) ),
                'param_name' => 'display_tab_icon',
                'value' => array(
                    ( ueldo_is_rtl() ? esc_html( __( 'Yes, on right title side', 'ueldo' ) ) : esc_html( __( 'Yes, on left title side', 'ueldo' ) ) ) => 'yes-left',
                    ( ueldo_is_rtl() ? esc_html( __( 'Yes, on left title side', 'ueldo' ) ) : esc_html( __( 'Yes, on right title side', 'ueldo' ) ) ) => 'yes-right',
                    esc_html( __( 'No', 'ueldo' ) ) => 'no'
                ),
                'std' => 'no',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            'ueldo_custom_vc_shortcode_additional_settings_01' => ueldo_add_custom_vc_shortcode_settings(
                'icons',
                'tab_icon_',
                esc_html( __( 'Single tab icon', 'ueldo' ) ),
                array(
                    'element' => 'display_tab_icon',
                    'value' => array(
                        'yes-left',
                        'yes-right'
                    )
                ),
                esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_tab_content',
                'std' => '',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'textarea_html',
                'heading' => esc_html( __( 'Content', 'ueldo' ) ),
                'param_name' => 'content',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            )

           /**
            *
            * end of fields.
            *
            */
        )

       /**
        *
        * end of shortcode settings
        *
        */

    )));

   /**
    *
    * extend WPBakeryShortCode class
    *
    */

    if( class_exists( 'WPBakeryShortCode' ) ) {

        class WPBakeryShortCode_Ueldo_Shortcode_Tabs_Box_Single_Tab extends WPBakeryShortCode {
        }
    }

   /**
    *
    * end of shortcode map.
    *
    */

?>