<?php

   /**
    *
    * map the shortcode settings with visual composer
    *
    */

    vc_map( ueldo_update_custom_vc_shortcode_settings( array(
        'name' => esc_html( __( 'Tabs - single tab', 'ueldo' ) ),
        'description' => esc_html( __( 'Single tab content', 'ueldo' ) ),
        'base' => 'ueldo_shortcode_tabs_single_tab',
        'content_element' => true,
        'category' => esc_html( __( 'Ueldo', 'ueldo' ) ),
        'icon' => esc_url( get_template_directory_uri() .'/_assets/_img/vc-icon.png' ),
        'is_container' => true,
        'js_view' => 'VcColumnView',
        'as_child' => array( 'only' => 'ueldo_shortcode_tabs' ),
        'params' => array(

           /**
            *
            * class name
            *
            */

            ueldo_add_custom_vc_shortcode_settings( 'class-name', '', '', array(), esc_html( __( 'Tab style', 'ueldo' ) ) ),

           /**
            *
            * group: tab style
            *
            */

            array(
                'type' => 'textfield',
                'heading' => esc_html( __( 'Tab title', 'ueldo' ) ),
                'param_name' => 'single_tab_title',
                'admin_label' => true,
                'std' => esc_html( __( '15 years of experience', 'ueldo' ) ),
                'group' => esc_html( __( 'Tab style', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_single_tab_icon',
                'std' => '',
                'group' => esc_html( __( 'Tab style', 'ueldo' ) )
            ),

            'ueldo_custom_vc_shortcode_additional_settings_01' => ueldo_add_custom_vc_shortcode_settings(
                'icons',
                'icon_',
                esc_html( __( 'Tab icon', 'ueldo' ) ),
                array(),
                esc_html( __( 'Tab style', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Icon color', 'ueldo' ) ),
                'param_name' => 'custom_icon_color_enabled',
                'value' => array(
                    esc_html( __( 'Use theme defaults', 'ueldo' ) ) => 'theme_defaults',
                    esc_html( __( 'Use custom icon color', 'ueldo' ) ) => 'custom_settings'
                ),
                'std' => 'theme_defaults',
                'group' => esc_html( __( 'Tab style', 'ueldo' ) )
            ),

            array(
            				'type' => 'colorpicker',
            				'heading' => esc_html( __( 'Custom icon color', 'ueldo' ) ),
            				'param_name' => 'icon_color',
            				'dependency' => array(
               					'element' => 'custom_icon_color_enabled',
               					'value' => 'custom_settings',
            				),
                'std' => esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                'group' => esc_html( __( 'Tab style', 'ueldo' ) )
         			),

           /**
            *
            * group: image content
            *
            */

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Type of image content', 'ueldo' ) ),
                'param_name' => 'image_content_type',
                'value' => array(
                    esc_html( __( 'Background image', 'ueldo' ) ) => 'background-image',
                    esc_html( __( 'Background image with video button', 'ueldo' ) ) => 'background-image-with-video-button',
                    esc_html( __( 'Revolution slider', 'ueldo' ) ) => 'revolution-slider',
                    esc_html( __( 'Google map', 'ueldo' ) ) => 'google-map'
                ),
                'std' => 'background-image',
                'description' => esc_html( __( 'Tab image content will be visible only for tabs content style 3, 4 and 5; and if custom tabs images are enabled (check parent element settings for both options).', 'ueldo' ) ),
                'group' => esc_html( __( 'Image content', 'ueldo' ) )
            ),

            array(
                'type' => 'attach_image',
                'heading' => esc_html( __( 'Background image', 'ueldo' ) ),
                'param_name' => 'image',
                'dependency' => array(
                    'element' => 'image_content_type',
                    'value' => array(
                        'background-image',
                        'background-image-with-video-button'
                    )
                ),
                'group' => esc_html( __( 'Image content', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Vertical position of background image', 'ueldo' ) ),
                'param_name' => 'image_position_y',
                'value' => ueldo_get_vc_loop_option_percents(),
                'std' => '50%',
                'dependency' => array(
                    'element' => 'image_content_type',
                    'value' => array(
                        'background-image',
                        'background-image-with-video-button'
                    )
                ),
                'group' => esc_html( __( 'Image content', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Horizontal position of background image', 'ueldo' ) ),
                'param_name' => 'image_position_x',
                'value' => ueldo_get_vc_loop_option_percents(),
                'std' => '50%',
                'dependency' => array(
                    'element' => 'image_content_type',
                    'value' => array(
                        'background-image',
                        'background-image-with-video-button'
                    )
                ),
                'group' => esc_html( __( 'Image content', 'ueldo' ) )
            ),

            array(
                'type' => 'textfield',
                'heading' => esc_html( __( 'Background image alternative text', 'ueldo' ) ),
                'std' => esc_html( __( 'Image', 'ueldo' ) ),
                'param_name' => 'image_alt',
                'dependency' => array(
                    'element' => 'image_content_type',
                    'value' => array(
                        'background-image',
                        'background-image-with-video-button'
                    )
                ),
                'group' => esc_html( __( 'Image content', 'ueldo' ) )
            ),

            array(
                'type' => 'textfield',
                'heading' => esc_html( __( 'Video URL', 'ueldo' ) ),
                'param_name' => 'video_url',
                'dependency' => array(
                    'element' => 'image_content_type',
                    'value' => 'background-image-with-video-button'
                ),
                'group' => esc_html( __( 'Image content', 'ueldo' ) )
            ),

            array(
                'type' => 'textfield',
                'heading' => esc_html( __( 'Video title', 'ueldo' ) ),
                'param_name' => 'video_title',
                'std' => esc_html( __( 'Watch the video!', 'ueldo' ) ),
                'dependency' => array(
                    'element' => 'image_content_type',
                    'value' => 'background-image-with-video-button'
                ),
                'group' => esc_html( __( 'Image content', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Choose the Revolution slider', 'ueldo' ) ),
                'param_name' => 'revolution_slider_alias',
                'value' => ueldo_get_vc_loop_revolution_slider_sliders(),
                'dependency' => array(
                    'element' => 'image_content_type',
                    'value' => 'revolution-slider'
                ),
                'group' => esc_html( __( 'Image content', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Choose the Google map', 'ueldo' ) ),
                'param_name' => 'google_map_id',
                'value' => ueldo_get_vc_loop_google_maps(),
                'dependency' => array(
                    'element' => 'image_content_type',
                    'value' => 'google-map'
                ),
                'group' => esc_html( __( 'Image content', 'ueldo' ) )
            )

           /**
            *
            * end of fields.
            *
            */
        )

       /**
        *
        * end of shortcode settings
        *
        */

    )));

   /**
    *
    * extend WPBakeryShortCode class
    *
    */

    if( class_exists( 'WPBakeryShortCodesContainer' ) ) {

        class WPBakeryShortCode_Ueldo_Shortcode_Tabs_Single_Tab extends WPBakeryShortCodesContainer {
        }
    }

   /**
    *
    * end of shortcode map.
    *
    */

?>