<?php

   /**
    *
    * map the shortcode settings with visual composer
    *
    */

    vc_map( ueldo_update_custom_vc_shortcode_settings( array(
        'name' => esc_html( __( 'Website logo', 'ueldo' ) ),
        'description' => esc_html( __( 'Display your logo image', 'ueldo' ) ),
        'base' => 'ueldo_shortcode_website_logo',
        'content_element' => true,
        'category' => esc_html( __( 'Ueldo', 'ueldo' ) ),
        'icon' => esc_url( get_template_directory_uri() .'/_assets/_img/vc-icon.png' ),
        'params' => array(

           /**
            *
            * class name
            *
            */

            ueldo_add_custom_vc_shortcode_settings( 'class-name', '', '', array(), esc_html( __( 'General settings', 'ueldo' ) ) ),

           /**
            *
            * group: general settings
            *
            */

            array(
                'type' => 'attach_image',
                'heading' => esc_html( __( 'Image', 'ueldo' ) ),
                'param_name' => 'image',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'textfield',
                'heading' => esc_html( __( 'Image alternative text', 'ueldo' ) ),
                'std' => esc_html( __( 'Image', 'ueldo' ) ),
                'param_name' => 'image_alt',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_horizontal_alignment',
                'std' => '',
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Horizontal alignment', 'ueldo' ) ),
                'param_name' => 'horizontal_alignment',
                'value' => array(
                    esc_html( __( 'Left', 'ueldo' ) ) => 'left',
                    esc_html( __( 'Center', 'ueldo' ) ) => 'center',
                    esc_html( __( 'Right', 'ueldo' ) ) => 'right'
                ),
                'std' => esc_attr( ueldo_is_rtl() ? 'right' : 'left' ),
                'group' => esc_html( __( 'General settings', 'ueldo' ) )
            ),

           /**
            *
            * group: sizes
            *
            */

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Large device: width type', 'ueldo' ) ),
                'param_name' => 'large_width_type',
                'value' => array(
                    esc_html( __( 'Auto', 'ueldo' ) ) => 'auto',
                    esc_html( __( 'Percentage', 'ueldo' ) ) => 'percentage',
                    esc_html( __( 'Pixels', 'ueldo' ) ) => 'px'
                ),
                'std' => 'auto',
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Large device: width (percentage)', 'ueldo' ) ),
                'param_name' => 'large_width_percentage',
                'value' => ueldo_get_vc_loop_option_percents(),
                'std' => '100%',
                'dependency' => array(
                    'element' => 'large_width_type',
                    'value' => 'percentage'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Large device: width (pixels)', 'ueldo' ) ),
                'param_name' => 'large_width_px',
                'std' => '100',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'large_width_type',
                    'value' => 'px'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Large device: height type', 'ueldo' ) ),
                'param_name' => 'large_height_type',
                'value' => array(
                    esc_html( __( 'Auto', 'ueldo' ) ) => 'auto',
                    esc_html( __( 'Pixels', 'ueldo' ) ) => 'px'
                ),
                'std' => 'auto',
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Large device: height', 'ueldo' ) ),
                'param_name' => 'large_height_px',
                'std' => '120',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'large_height_type',
                    'value' => 'px'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_sizes_medium_device',
                'std' => '',
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Custom sizes for medium devices?', 'ueldo' ) ),
                'param_name' => 'medium_custom_sizes',
                'value' => array(
                    esc_html( __( 'Yes, use custom sizes', 'ueldo' ) ) => 'yes',
                    esc_html( __( 'No, use as same sizes as for large devices', 'ueldo' ) ) => 'no-large'
                ),
                'std' => 'no-large',
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Medium device: width type', 'ueldo' ) ),
                'param_name' => 'medium_width_type',
                'value' => array(
                    esc_html( __( 'Auto', 'ueldo' ) ) => 'auto',
                    esc_html( __( 'Percentage', 'ueldo' ) ) => 'percentage',
                    esc_html( __( 'Pixels', 'ueldo' ) ) => 'px'
                ),
                'std' => 'auto',
                'dependency' => array(
                    'element' => 'medium_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Medium device: width (percentage)', 'ueldo' ) ),
                'param_name' => 'medium_width_percentage',
                'value' => ueldo_get_vc_loop_option_percents(),
                'std' => '100%',
                'dependency' => array(
                    'element' => 'medium_width_type',
                    'value' => 'percentage'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Medium device: width (pixels)', 'ueldo' ) ),
                'param_name' => 'medium_width_px',
                'std' => '100',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'medium_width_type',
                    'value' => 'px'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Medium device: height type', 'ueldo' ) ),
                'param_name' => 'medium_height_type',
                'value' => array(
                    esc_html( __( 'Auto', 'ueldo' ) ) => 'auto',
                    esc_html( __( 'Pixels', 'ueldo' ) ) => 'px'
                ),
                'std' => 'auto',
                'dependency' => array(
                    'element' => 'medium_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Medium device: height', 'ueldo' ) ),
                'param_name' => 'medium_height_px',
                'std' => '120',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'medium_height_type',
                    'value' => 'px'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_sizes_small_device',
                'std' => '',
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Custom sizes for small devices?', 'ueldo' ) ),
                'param_name' => 'small_custom_sizes',
                'value' => array(
                    esc_html( __( 'Yes, use custom sizes', 'ueldo' ) ) => 'yes',
                    esc_html( __( 'No, use as same sizes as for large devices', 'ueldo' ) ) => 'no-large',
                    esc_html( __( 'No, use as same sizes as for medium devices', 'ueldo' ) ) => 'no-medium'
                ),
                'std' => 'no-medium',
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Small device: width type', 'ueldo' ) ),
                'param_name' => 'small_width_type',
                'value' => array(
                    esc_html( __( 'Auto', 'ueldo' ) ) => 'auto',
                    esc_html( __( 'Percentage', 'ueldo' ) ) => 'percentage',
                    esc_html( __( 'Pixels', 'ueldo' ) ) => 'px'
                ),
                'std' => 'auto',
                'dependency' => array(
                    'element' => 'small_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Small device: width (percentage)', 'ueldo' ) ),
                'param_name' => 'small_width_percentage',
                'value' => ueldo_get_vc_loop_option_percents(),
                'std' => '100%',
                'dependency' => array(
                    'element' => 'small_width_type',
                    'value' => 'percentage'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Small device: width (pixels)', 'ueldo' ) ),
                'param_name' => 'small_width_px',
                'std' => '100',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'small_width_type',
                    'value' => 'px'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Small device: height type', 'ueldo' ) ),
                'param_name' => 'small_height_type',
                'value' => array(
                    esc_html( __( 'Auto', 'ueldo' ) ) => 'auto',
                    esc_html( __( 'Pixels', 'ueldo' ) ) => 'px'
                ),
                'std' => 'auto',
                'dependency' => array(
                    'element' => 'small_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Small device: height', 'ueldo' ) ),
                'param_name' => 'small_height_px',
                'std' => '120',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'small_height_type',
                    'value' => 'px'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_divider',
                'param_name' => 'divider_sizes_extra_small_device',
                'std' => '',
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Custom sizes for extra small devices?', 'ueldo' ) ),
                'param_name' => 'extra_small_custom_sizes',
                'value' => array(
                    esc_html( __( 'Yes, use custom sizes', 'ueldo' ) ) => 'yes',
                    esc_html( __( 'No, use as same sizes as for large devices', 'ueldo' ) ) => 'no-large',
                    esc_html( __( 'No, use as same sizes as for medium devices', 'ueldo' ) ) => 'no-medium',
                    esc_html( __( 'No, use as same sizes as for small devices', 'ueldo' ) ) => 'no-small'
                ),
                'std' => 'no-small',
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Extra small device: width type', 'ueldo' ) ),
                'param_name' => 'extra_small_width_type',
                'value' => array(
                    esc_html( __( 'Auto', 'ueldo' ) ) => 'auto',
                    esc_html( __( 'Percentage', 'ueldo' ) ) => 'percentage',
                    esc_html( __( 'Pixels', 'ueldo' ) ) => 'px'
                ),
                'std' => 'auto',
                'dependency' => array(
                    'element' => 'extra_small_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Extra small device: width (percentage)', 'ueldo' ) ),
                'param_name' => 'extra_small_width_percentage',
                'value' => ueldo_get_vc_loop_option_percents(),
                'std' => '100%',
                'dependency' => array(
                    'element' => 'extra_small_width_type',
                    'value' => 'percentage'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Extra small device: width (pixels)', 'ueldo' ) ),
                'param_name' => 'extra_small_width_px',
                'std' => '100',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'extra_small_width_type',
                    'value' => 'px'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'dropdown',
                'heading' => esc_html( __( 'Extra small device: height type', 'ueldo' ) ),
                'param_name' => 'extra_small_height_type',
                'value' => array(
                    esc_html( __( 'Auto', 'ueldo' ) ) => 'auto',
                    esc_html( __( 'Pixels', 'ueldo' ) ) => 'px'
                ),
                'std' => 'auto',
                'dependency' => array(
                    'element' => 'extra_small_custom_sizes',
                    'value' => 'yes'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Extra small device: height', 'ueldo' ) ),
                'param_name' => 'extra_small_height_px',
                'std' => '120',
                'ueldo-number-field-minus-allowed' => false,
                'dependency' => array(
                    'element' => 'extra_small_height_type',
                    'value' => 'px'
                ),
                'group' => esc_html( __( 'Sizes', 'ueldo' ) )
            ),

           /**
            *
            * group: margins
            *
            */

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Margin top', 'ueldo' ) ),
                'param_name' => 'margin_top',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => true,
                'group' => esc_html( __( 'Margins', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Margin right', 'ueldo' ) ),
                'param_name' => 'margin_right',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => true,
                'dependency' => array(
                    'element' => 'horizontal_alignment',
                    'value' => array(
                        'left',
                        'right'
                    )
                ),
                'group' => esc_html( __( 'Margins', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Margin bottom', 'ueldo' ) ),
                'param_name' => 'margin_bottom',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => true,
                'group' => esc_html( __( 'Margins', 'ueldo' ) )
            ),

            array(
                'type' => 'ueldo_px_number',
                'heading' => esc_html( __( 'Margin left', 'ueldo' ) ),
                'param_name' => 'margin_left',
                'std' => '0',
                'ueldo-number-field-minus-allowed' => true,
                'dependency' => array(
                    'element' => 'horizontal_alignment',
                    'value' => array(
                        'left',
                        'right'
                    )
                ),
                'group' => esc_html( __( 'Margins', 'ueldo' ) )
            )

           /**
            *
            * end of fields.
            *
            */
        )

       /**
        *
        * end of shortcode settings
        *
        */

    )));

   /**
    *
    * extend WPBakeryShortCode class
    *
    */

    if( class_exists( 'WPBakeryShortCode' ) ) {

        class WPBakeryShortCode_Ueldo_Shortcode_Website_Logo extends WPBakeryShortCode {
        }
    }

   /**
    *
    * end of shortcode map.
    *
    */

?>