<?php

    /**
     *
     * enqueue scripts for predefined sections popup
     *
     */

     add_action( 'admin_enqueue_scripts', 'ueldo_predefined_sections_popup_scripts' );
     function ueldo_predefined_sections_popup_scripts() {

         # global variables
         global $ueldo_cache_option;

         # enqueue main theme functions script
         wp_enqueue_script( 'ueldo-javascript-predefined-sections-functions', get_template_directory_uri() .'/_assets/_js/predefined-sections.js', array( 'jquery' ), null, true );

         # add inline script
         wp_add_inline_script( 'ueldo-javascript-predefined-sections-functions', ueldo_get_js_object_of_predefined_elements() );

         # localize strings for scripts
         wp_localize_script( 'ueldo-javascript-predefined-sections-functions', 'ueldo_predefined_sections_javascript_functions_l10n', array(
             'ajax_file_path' => ueldo_plugin_get_url() .'_parts/_visual-composer/predefined-sections-ajax.php',
             'template_directory_uri' => get_template_directory_uri(),
             'not_found_any_icons' => esc_html( __( 'Not found any icons.', 'ueldo' ) ),
             'couldnt_find_some_flaticon_icons' => esc_html( __( 'Couldn\'t find some Flaticon icons', 'ueldo' ) ),
             'this_icons_can_not_be_found_in_any_of_libraries_installed_on_this_website' => esc_html( __( 'This icons can not be found in any of libraries installed on this website.', 'ueldo' ) ),
             'why_it_is_not_included' => esc_html( __( 'Why it\'s not included?', 'ueldo' ) ),
             'why_it_is_not_included_answer' => esc_html( __( 'We can not include icons with this theme because of the Flaticon licence which doesn\'t allow redistribution in any ways.', 'ueldo' ) ),
             'how_to_include_it' => esc_html( __( 'How to include it?', 'ueldo' ) ),
             'how_to_include_it_answer' => sprintf( wp_kses( __( 'You can download this icons for free, directly from Flaticon. After download, you can add it to this theme via built-in <a href="%s" target="_blank">Ueldo Icons Uploader</a> tool.', 'ueldo' ), array( 'a' => array( 'href' => array(), 'target' => array() ) ) ), esc_url( get_admin_url() .'admin.php?page=ueldo_icons_uploader' ) ),
             'icon' => esc_html( __( 'Icon:', 'ueldo' ) ),
             'replace_with_icon_from_library' => esc_html( __( 'Replace with icon from library:', 'ueldo' ) ),
             'fontawesome' => esc_html( __( 'Font Awesome', 'ueldo' ) ),
             'openiconic' => esc_html( __( 'Open Iconic', 'ueldo' ) ),
             'typicons' => esc_html( __( 'Typicons', 'ueldo' ) ),
             'entypo' => esc_html( __( 'Entypo', 'ueldo' ) ),
             'linecons' => esc_html( __( 'Linecons', 'ueldo' ) ),
             'monosocial' => esc_html( __( 'Mono Social', 'ueldo' ) ),
             'material' => esc_html( __( 'Material', 'ueldo' ) ),
             'use_this_icon_instead' => esc_html( __( 'Use this icon instead:', 'ueldo' ) ),
             'search' => esc_html( __( 'Search...', 'ueldo' ) ),
             'is_ueldo_plugin_active' => ueldo_plugins::is_active_plugin( 'ueldo' ) ? 'yes' : 'no',
             'custom_icons' => esc_html( __( 'Custom icons:', 'ueldo' ) ),
             'more_than_one_possible_icon_found' => sprintf( esc_html( __( 'More than one possible choices found for "%s" icon', 'ueldo' ) ), '{ueldopredefinedsections:iconname}' ),
             'more_than_one_possible_icon_found_description' => sprintf( esc_html( __( 'There\'s more than one icon found with this name, please specify which one you want to use (preview icon used in this section: <a href="%1$s" target="_blank">%2$s</a>).', 'ueldo' ) ), '{ueldopredefinedsections:iconurl}', '{ueldopredefinedsections:iconname}' ),
             'icons_pack' => esc_html( __( 'Icons pack:', 'ueldo' ) ),
             'map' => esc_html( __( 'Map:', 'ueldo' ) ),
             'id' => esc_html( __( 'ID:', 'ueldo' ) ),
             'choose_the_google_map_for_this_section' => esc_html( __( 'Choose the Google map for this section', 'ueldo' ) ),
             'choose_the_google_map_for_this_section_description' => esc_html( __( 'This section uses Google map, please specify which one do you want to add to this section:', 'ueldo' ) ),
             'create_and_use_new_google_map_default_for_this_section' => esc_html( __( 'Create and use new Google map, default for this section', 'ueldo' ) ),
             'ill_do_it_later_manually' => esc_html( __( 'I\'ll add it later manually', 'ueldo' ) ),
             'create_and_use_new_contact_form_default_for_this_section' => esc_html( __( 'Create and use new contact form, default for this section', 'ueldo' ) ),
             'choose_the_contact_form_for_this_section' => esc_html( __( 'Choose the contact form for this section', 'ueldo' ) ),
             'choose_the_contact_form_for_this_section_description' => esc_html( __( 'This section uses the Contact Form 7 plugin forms, please specify which one do you want to add to this section:', 'ueldo' ) ),
             'form' => esc_html( __( 'Form:', 'ueldo' ) ),
             'image' => esc_html( __( 'Image:', 'ueldo' ) ),
             'choose_the_image_for_this_section' => esc_html( __( 'Choose the image for this section', 'ueldo' ) ),
             'choose_the_image_for_this_section_description' => esc_html( __( 'This section uses the built-in image, please specify which one do you want to add to this section:', 'ueldo' ) ),
             'use_default_image_for_this_section' => esc_html( __( 'Use default image for this section', 'ueldo' ) ),
             'media_upload_item_details_base_url' => esc_url( get_admin_url() .'upload.php?item=' ),
             'context' => esc_html( __( 'context:', 'ueldo' ) ),
             'slider' => esc_html( __( 'Slider:', 'ueldo' ) ),
             'alias' => esc_html( __( 'alias:', 'ueldo' ) ),
             'choose_the_revslider_for_this_section' => esc_html( __( 'Choose the Revolution Slider for this section', 'ueldo' ) ),
             'choose_the_revslider_for_this_section_description' => esc_html( __( 'This section uses Revolution Slider, please specify which one do you want to add to this section:', 'ueldo' ) ),
             'upload_and_use_new_revslider_default_for_this_section' => esc_html( __( 'Upload and use new slider, default for this section', 'ueldo' ) ),
             'menu' => esc_html( __( 'Menu:', 'ueldo' ) ),
             'choose_the_menu_for_this_section' => esc_html( __( 'Choose the menu for this section', 'ueldo' ) ),
             'choose_the_menu_for_this_section_description' => esc_html( __( 'This section uses menu, please specify which one do you want to add to this section:', 'ueldo' ) ),
             'create_and_use_new_menu_default_for_this_section' => esc_html( __( 'Create and use new menu, default for this section', 'ueldo' ) ),
             'choose_the_mc4wp_form_for_this_section' => esc_html( __( 'Choose the Mailchimp for WP form for this section', 'ueldo' ) ),
             'choose_the_mc4wp_form_for_this_section_description' => esc_html( __( 'This section uses Mailchimp for WP form, please specify which one do you want to add to this section:', 'ueldo' ) ),
             'create_and_use_new_mc4wp_form_default_for_this_section' => esc_html( __( 'Create and use new Mailchimp for WP form, default for this section', 'ueldo' ) ),
             'mc4wp_free_version_notice' => wp_kses( __( '<strong>Please note:</strong> if you use free version of "Mailchimp for WP" plugin, then you can create only one form with this plugin. You already have some forms added, so if you\'ll choose this option, then you won\'t be able to manage your previous forms (you\'ll be able to manage only new form which will be created now). This doesn\'t apply if you use premium version of this plugin.', 'ueldo' ), array( 'strong' => array() ) ),
             'opening_hours_status' => esc_html( __( 'Opening hours status:', 'ueldo' ) ),
             'choose_the_opening_hours_status_for_this_section' => esc_html( __( 'Choose the opening hours status for this section', 'ueldo' ) ),
             'choose_the_opening_hours_status_for_this_section_description' => esc_html( __( 'This section uses opening hours status, please specify which one do you want to add to this section:', 'ueldo' ) ),
             'create_and_use_new_opening_hours_status_default_for_this_section' => esc_html( __( 'Create and use new opening hours status, default for this section', 'ueldo' ) ),
             'sidebar' => esc_html( __( 'Sidebar:', 'ueldo' ) ),
             'choose_the_sidebar_for_this_section' => esc_html( __( 'Choose the sidebar for this section', 'ueldo' ) ),
             'choose_the_sidebar_for_this_section_description' => esc_html( __( 'This section uses sidebar, please specify which one do you want to add to this section:', 'ueldo' ) ),
             'create_and_use_new_sidebar_default_for_this_section' => esc_html( __( 'Create and use new custom sidebar, default for this section', 'ueldo' ) ),
             'clear' => esc_html( __( 'Clear', 'ueldo' ) ),
             'usage_example' => esc_html( __( 'Usage example', 'ueldo' ) ),
             'loading' => esc_html( __( 'Loading...', 'ueldo' ) ),
             'load_more' => esc_html( __( 'Load more...', 'ueldo' ) ),
             'is_rtl' => ueldo_is_rtl() == true ? 'yes' : 'no',
             'couldnt_get_editor_instance' => esc_html( __( 'Couldn\'t get editor instance.', 'ueldo' ) )
         ) );

         # enqueue isotope script
         wp_enqueue_script( 'isotope', get_template_directory_uri() .'/_assets/_libs/isotope.pckd.min.js', array( 'jquery' ), null, true );

         # do we have custom icons added?
         if( ueldo_plugins::is_active_plugin( 'ueldo' ) && ueldo_plugin_is_any_custom_icon_added() ) {

             # enqueue custom icons stylesheet
             ueldo_plugin_enqueue_custom_icons_stylesheet();

             # get all custom icon fonts
             $icon_fonts = $ueldo_cache_option -> get_option( 'ueldo_custom_icons' );

             # do we have custom icons added?
             if( $icon_fonts != false ) {

                 # prepare inline script content
                 $script = 'var ueldo_custom_icons = []; ';

                 # prepare inline script content for clarification popup
                 $script_icon_fonts_names = 'var ueldo_custom_icon_fonts_names = { ';

                 # is it first icons font?
                 $first_icons_font = true;

                 # walk for each icon
                 foreach( $icon_fonts as $icon_font ) {

                     # update script content
                     $script .= 'ueldo_custom_icons[\''. esc_attr( $icon_font['unique_key'] ) .'\'] = [ ';

                     # update script content for clarification popup
                     $script_icon_fonts_names .= ( $first_icons_font == false ? ', ' : '' ) .'"'. $icon_font['unique_key'] .'": "'. $icon_font['name'] .'"';

                     # update icons font flag
                     $first_icons_font = false;

                     # first icon flag
                     $is_first_icon = true;

                     # walk for each icons
                     foreach( $icon_font['icons'] as $icon ) {

                         # update script content
                         $script .= ( $is_first_icon == true ? '' : ', ' ) .'[ \''. $icon .'\' ]';

                         # update first icon flag
                         $is_first_icon = false;
                     }

                     # close script content
                     $script .= ' ]; ';
                 }

                 # close inline script content for clarification popup
                 $script_icon_fonts_names .= ' }; ';

                 # merge scripts
                 $scripts = $script . $script_icon_fonts_names;

                 # add inline script
                 wp_add_inline_script( 'ueldo-javascript-predefined-sections-functions', $scripts );
             }
         }
     }

    /**
     *
     * get javascript object of all predefined sections and pages
     *
     */

     function ueldo_get_js_object_of_predefined_elements() {

         # require predefined sections list
         require_once( dirname( __FILE__ ) .'/predefined-sections-list.php' );

         # define script
         $script = 'var ueldo_predefined_sections_list = { ';

         # first element flag
         $first_element = true;

         # walk for each predefined section
         foreach( ueldo_predefined_sections_list() as $section_id => $section_data ) {

             # update script
             $script .= ( $first_element == false ? ', ' : '' ) .'"'. esc_attr( $section_id ) .'" : { "type": "'. esc_attr( $section_data['type'] ) .'", "demo": "'. esc_attr( $section_data['demo'] ) .'", "filters": [ "'. implode( $section_data['filters'], '", "' ) .'" ] }';

             # update first element flag
             $first_element = false;
         }

         # close script
         $script .= ' }; ';

         # return result
         return( $script );
     }

    /**
     *
     * add predefined sections popup to wordpress page editor
     *
     */

     add_action( 'edit_form_after_title', 'ueldo_add_predefined_sections_popup' );
     function ueldo_add_predefined_sections_popup() {

         # only for "page" and "ueldohefo" post types
         if( !in_array( get_current_screen() -> post_type, array( 'page', 'ueldohefo' ), true ) ) return;

         ?>
         <a href="#" id="ueldo-open-predefined-sections-popup" class="ueldo-open-predefined-sections-popup-button"><strong><?php echo esc_html( __( 'Ueldo:', 'ueldo' ) ); ?></strong> <?php echo esc_html( __( 'Add predefined sections', 'ueldo' ) ); ?></a>

         <div id="ueldo-predefined-sections-popup" class="ueldo-predefined-sections-popup-hidden" data-popup-initialized="no">

             <div class="ueldo-predefined-sections-popup-content">

                 <div class="ueldo-predefined-sections-popup-content-loader-animation ueldo-predefined-sections-popup-content-loader-animation-hidden">

                     <div class="ueldo-predefined-sections-popup-content-loader-animation-content"><?php echo esc_html( __( 'Please wait...', 'ueldo' ) ); ?></div>

                 </div>

                 <button type="button" class="media-modal-close"><span class="media-modal-icon"></span></button>

                 <div class="ueldo-predefined-sections-popup-content-heading">

                     <h2><?php echo esc_html( __( 'Ueldo Predefined Sections', 'ueldo' ) ); ?></h2>
                     <div class="ueldo-predefined-sections-popup-two-options-selector">

                         <div class="ueldo-predefined-sections-popup-two-options-selector-option-first" data-active="yes">

                             <?php echo esc_html( __( 'Clear', 'ueldo' ) ); ?>
                             <div class="ueldo-predefined-sections-popup-two-options-selector-option-help">

                                 <p><?php echo wp_kses( __( 'Load "clear" sections without extra settings for colors (recommended if you want to use section from <strong>different</strong> demo version than the one you already use).', 'ueldo' ), array( 'strong' => array() ) ); ?></p>

                             </div>

                         </div>

                         <span class="ueldo-predefined-sections-popup-two-options-selector-options-switcher" data-switcher-pos="left"><span class="ueldo-predefined-sections-popup-two-options-selector-options-switcher-handle"></span></span>

                         <div class="ueldo-predefined-sections-popup-two-options-selector-option-second" data-active="no">

                             <?php echo esc_html( __( 'Demo-like', 'ueldo' ) ); ?>
                             <div class="ueldo-predefined-sections-popup-two-options-selector-option-help">

                                 <p><?php echo wp_kses( __( 'Load "demo-like" sections with extra settings for sizes and colors (recommended if you want to use section from <strong>the same</strong> demo version than the one you already use).', 'ueldo' ), array( 'strong' => array() ) ); ?></p>
                                 <p><?php echo esc_html( __( 'Please note, that if you\'ll add section from different demo version than the one you already use, some elements may looks different than on the screenshot (for example, font sizes or colors), because some settings are loaded from global options.', 'ueldo' ) ); ?></p>

                             </div>

                         </div>

                     </div>

                     <div class="ueldo-predefined-sections-popup-category-selection">

                         <h4><?php echo esc_html( __( 'Elements type:', 'ueldo' ) ); ?></h4>
                         <ul data-selection-type="type">

                             <li class="ueldo-predefined-sections-popup-category-selection-active" data-selection-value="sections"><?php echo esc_html( __( 'Sections', 'ueldo' ) ); ?></li>
                             <li data-selection-value="pages"><?php echo esc_html( __( 'Pages', 'ueldo' ) ); ?></li>

                         </ul>

                     </div>

                     <div class="ueldo-predefined-sections-popup-category-selection" data-depended-from="type:sections">

                         <h4><?php echo esc_html( __( 'Sections type:', 'ueldo' ) ); ?></h4>
                         <ul data-selection-type="sections-type">

                             <li class="ueldo-predefined-sections-popup-category-selection-active" data-selection-value="all"><?php echo esc_html( __( 'All', 'ueldo' ) ); ?></li>
                             <li data-selection-value="about"><?php echo esc_html( __( 'About', 'ueldo' ) ); ?></li>
                             <li data-selection-value="call-to-action"><?php echo esc_html( __( 'Call to action', 'ueldo' ) ); ?></li>
                             <li data-selection-value="contact"><?php echo esc_html( __( 'Contact', 'ueldo' ) ); ?></li>
                             <li data-selection-value="footer"><?php echo esc_html( __( 'Footer', 'ueldo' ) ); ?></li>
                             <li data-selection-value="gallery"><?php echo esc_html( __( 'Gallery', 'ueldo' ) ); ?></li>
                             <li data-selection-value="header-bar"><?php echo esc_html( __( 'Header bar', 'ueldo' ) ); ?></li>
                             <li data-selection-value="news"><?php echo esc_html( __( 'News', 'ueldo' ) ); ?></li>
                             <li data-selection-value="portfolio"><?php echo esc_html( __( 'Portfolio', 'ueldo' ) ); ?></li>
                             <li data-selection-value="pricing"><?php echo esc_html( __( 'Pricing', 'ueldo' ) ); ?></li>
                             <li data-selection-value="process"><?php echo esc_html( __( 'Process', 'ueldo' ) ); ?></li>
                             <li data-selection-value="services"><?php echo esc_html( __( 'Services', 'ueldo' ) ); ?></li>
                             <li data-selection-value="slider"><?php echo esc_html( __( 'Slider', 'ueldo' ) ); ?></li>
                             <li data-selection-value="team"><?php echo esc_html( __( 'Team', 'ueldo' ) ); ?></li>
                             <li data-selection-value="testimonials"><?php echo esc_html( __( 'Testimonials', 'ueldo' ) ); ?></li>
                             <li data-selection-value="404-not-found"><?php echo esc_html( __( '404 (nothing found)', 'ueldo' ) ); ?></li>
                             <li data-selection-value="other"><?php echo esc_html( __( 'Other', 'ueldo' ) ); ?></li>

                         </ul>

                     </div>

                     <div class="ueldo-predefined-sections-popup-category-selection ueldo-predefined-sections-popup-category-selection-hidden" data-depended-from="type:pages">

                         <h4><?php echo esc_html( __( 'Pages type:', 'ueldo' ) ); ?></h4>
                         <ul data-selection-type="pages-type">

                             <li class="ueldo-predefined-sections-popup-category-selection-active" data-selection-value="all"><?php echo esc_html( __( 'All', 'ueldo' ) ); ?></li>
                             <li data-selection-value="home-page"><?php echo esc_html( __( 'Home page', 'ueldo' ) ); ?></li>
                             <li data-selection-value="about-us"><?php echo esc_html( __( 'About us', 'ueldo' ) ); ?></li>
                             <li data-selection-value="contact"><?php echo esc_html( __( 'Contact', 'ueldo' ) ); ?></li>
                             <li data-selection-value="404-page"><?php echo esc_html( __( '404 (nothing found)', 'ueldo' ) ); ?></li>
                             <li data-selection-value="services"><?php echo esc_html( __( 'Services', 'ueldo' ) ); ?></li>
                             <li data-selection-value="portfolio"><?php echo esc_html( __( 'Portfolio', 'ueldo' ) ); ?></li>

                         </ul>

                     </div>

                     <div class="ueldo-predefined-sections-popup-category-selection">

                         <h4><?php echo esc_html( __( 'From demo version:', 'ueldo' ) ); ?></h4>
                         <ul data-selection-type="elements-demo">

                             <li class="ueldo-predefined-sections-popup-category-selection-active" data-selection-value="all"><?php echo esc_html( __( 'All', 'ueldo' ) ); ?></li>
                             <li data-selection-value="accountant"><?php echo esc_html( __( 'Accountant', 'ueldo' ) ); ?></li>
                             <li data-selection-value="barber-shop"><?php echo esc_html( __( 'Barbershop', 'ueldo' ) ); ?></li>
                             <li data-selection-value="cafe"><?php echo esc_html( __( 'Caf&eacute;', 'ueldo' ) ); ?></li>
                             <li data-selection-value="creative-agency"><?php echo esc_html( __( 'Creative Agency', 'ueldo' ) ); ?></li>
                             <li data-selection-value="dentist"><?php echo esc_html( __( 'Dentist', 'ueldo' ) ); ?></li>
                             <li data-selection-value="electrician"><?php echo esc_html( __( 'Electrician', 'ueldo' ) ); ?></li>
                             <li data-selection-value="kayaks"><?php echo esc_html( __( 'Kayaks', 'ueldo' ) ); ?></li>
                             <li data-selection-value="runners-club"><?php echo esc_html( __( 'Runners Club', 'ueldo' ) ); ?></li>
                             <li data-selection-value="stud"><?php echo esc_html( __( 'Stud', 'ueldo' ) ); ?></li>

                         </ul>

                     </div>

                 </div>

                 <div class="ueldo-predefined-sections-popup-content-elements">

                     <div class="ueldo-predefined-sections-popup-content-elements-container"></div>
                     <div class="ueldo-predefined-sections-popup-content-elements-load-more-button"><?php echo esc_html( __( 'Load more...', 'ueldo' ) ); ?></div>

                 </div>

             </div>

             <div id="ueldo-predefined-sections-popup-clarifications">

                 <div class="ueldo-predefined-sections-popup-clarifications-content">

                     <div class="ueldo-predefined-sections-popup-clarifications-content-scroll">

                         <div class="ueldo-predefined-sections-popup-clarifications-content-heading">

                             <h3><?php echo esc_html( __( 'Please clarify', 'ueldo' ) ); ?></h3>
                             <p><?php echo esc_html( __( 'This section contains some elements which can not be added automatically - please clarify which action you want to do:', 'ueldo' ) ); ?></p>

                         </div>

                         <div class="ueldo-predefined-sections-popup-clarifications-content-issues">
                         </div>

                     </div>

                     <div class="ueldo-predefined-sections-popup-clarifications-content-actions">

                         <span class="ueldo-predefined-sections-popup-clarifications-content-actions-button ueldo-predefined-sections-popup-clarifications-content-actions-button-apply"><?php echo esc_html( __( 'Apply & add section', 'ueldo' ) ); ?></span>
                         <span class="ueldo-predefined-sections-popup-clarifications-content-actions-button ueldo-predefined-sections-popup-clarifications-content-actions-button-cancel"><?php echo esc_html( __( 'Cancel', 'ueldo' ) ); ?></span>

                     </div>

                 </div>

             </div>

             <div id="ueldo-predefined-sections-popup-error-notice">

                 <div class="ueldo-predefined-sections-popup-error-notice-content">

                     <button type="button" class="media-modal-close"><span class="media-modal-icon"></span></button>

                     <h3><?php echo esc_html( __( 'Unexpected error appear', 'ueldo' ) ); ?></h3>

                     <p class="ueldo-predefined-sections-popup-error-notice-content-text"></p>
                     <p class="ueldo-predefined-sections-popup-error-notice-content-tip"><?php echo sprintf( wp_kses( __( 'Please contact us at <a href="%s">support@martanian.com</a>, we\'ll do our best to fix this as fast as possible.', 'ueldo' ), array(  'a' => array( 'href' => array() ) ) ), esc_url( 'mailto:support@martanian.com' ) ); ?></p>

                 </div>

             </div>

         </div>
         <?php
     }

    /**
     *
     * end of file.
     *
     */

?>