<?php

   /**
    *
    * add attachment with defined URL to media library
    *
    */

    function ueldo_plugin_add_attachment_to_media_library( $file_url, $file_name = false ) {

        # get file name
        if( $file_name == false ) $file_name = basename( $file_url );

        # upload file
        $upload_file = wp_upload_bits( $file_name, null, file_get_contents( $file_url ) );

        # is upload succeed?
        if( !$upload_file['error'] ) {

            # get file type
            $wp_filetype = wp_check_filetype( $file_name, null );

            # prepare attachment data
            $attachment = array(
                'post_mime_type' => $wp_filetype['type'],
                'post_title' => preg_replace( '/\.[^.]+$/', '', $file_name ),
                'post_content' => '',
                'post_status' => 'inherit'
            );

            # insert attachment and get its ID
            $attachment_id = wp_insert_attachment( $attachment, $upload_file['file'] );

            # is insert succeed?
            if( !is_wp_error( $attachment_id ) ) {

                # get wordpress image class
                require_once( ABSPATH .'wp-admin/includes/image.php' );

                # get attachment data
                $attachment_data = wp_generate_attachment_metadata( $attachment_id, $upload_file['file'] );

                # update attachment metadata
                wp_update_attachment_metadata( $attachment_id, $attachment_data );

                # return attachment id
                return( $attachment_id );
            }
        }

        # couldn't upload image
        return( false );
    }

   /**
    *
    * end of file.
    *
    */

?>