<?php

   /**
    *
    * shortcode for display image / slider area close to border
    *
    */

    add_shortcode( 'ueldo_slider_area_close_to_border', 'ueldo_slider_area_close_to_border_function' );
    function ueldo_slider_area_close_to_border_function( $atts, $content = null ) {

        # extract shortcode arguments
        extract( shortcode_atts( array(
           'max_height' => 'none'
        ), $atts ));

        # return result
        return( '<div class="ueldo-slider-area-close-to-border" data-max-height="'. esc_attr( $max_height ) .'">'. do_shortcode( $content ) .'</div>' );
    }

   /**
    *
    * display loop next/prev icons
    *
    */

    add_shortcode( 'ueldo_next_prev_loop_icons', 'ueldo_next_prev_loop_icons_function' );
    function ueldo_next_prev_loop_icons_function( $atts ) {

        # extract shortcode arguments
        extract( shortcode_atts( array(
           'loop_id' => ''
        ), $atts ));

        # return result
        return( '<div class="ueldo-shortcode-loop-separate-next-prev-icons" data-loop-id="'. esc_attr( $loop_id ) .'"><span class="ueldo-shortcode-loop-next-prev-icon" data-next-prev-icon-type="prev"><i class="fa fa-long-arrow-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) .'"></i></span><span class="ueldo-shortcode-loop-next-prev-icon" data-next-prev-icon-type="next"><i class="fa fa-long-arrow-'. esc_attr( ueldo_is_rtl() ? 'left' : 'right' ) .'"></i></span></div>' );
    }

   /**
    *
    * display timeline next/prev icons
    *
    */

    add_shortcode( 'ueldo_next_prev_timeline_icons', 'ueldo_next_prev_timeline_icons_function' );
    function ueldo_next_prev_timeline_icons_function( $atts ) {

        # extract shortcode arguments
        extract( shortcode_atts( array(
           'timeline_id' => ''
        ), $atts ));

        # return result
        return( '<div class="ueldo-shortcode-timeline-separate-next-prev-icons" data-timeline-id="'. esc_attr( $timeline_id ) .'"><span class="ueldo-shortcode-timeline-next-prev-icon" data-next-prev-icon-type="prev"><i class="fa fa-long-arrow-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) .'"></i></span><span class="ueldo-shortcode-timeline-next-prev-icon" data-next-prev-icon-type="next"><i class="fa fa-long-arrow-'. esc_attr( ueldo_is_rtl() ? 'left' : 'right' ) .'"></i></span></div>' );
    }

   /**
    *
    * header menu icons
    *
    */

    add_shortcode( 'ueldo_header_menu_icon', array( 'ueldo_header_menu_icon_class', 'single_element' ) );
    class ueldo_header_menu_icon_class {

       /**
        *
        * unique ids array
        *
        */

        public static $ids_used = array();

       /**
        *
        * single element generate
        *
        */

        public static function single_element( $atts, $content = null ) {

            # get styles cache global variable
            global $ueldo_styles_cache, $unique_ids_used;

            # prepare shortcode attributes
            $atts = ueldo_plugin_prepare_shortcode_attributes( 'ueldo_header_menu_icon', $atts );

            # extract shortcode arguments
            extract( shortcode_atts( array(
               'unique_id' => '1',
               'display' => 'block',
               'vertical_align' => 'middle',
               'icon' => 'fa fa-home',
               'alignment' => 'center',
               'font_size' => esc_attr( $ueldo_styles_cache -> get_style( 'font-size-menu-links' ) ),
               'color' => esc_attr( $ueldo_styles_cache -> get_style( 'header-bar-and-menu-link-color' ) ),
               'color_hover' => esc_attr( $ueldo_styles_cache -> get_style( 'header-bar-and-menu-active-or-hover-link-color' ) ),
               'color_active' => esc_attr( $ueldo_styles_cache -> get_style( 'header-bar-and-menu-active-or-hover-link-color' ) ),
               'margin_top' => '0',
               'margin_right' => '0',
               'margin_bottom' => '0',
               'margin_left' => '0'
            ), $atts ));

            if( !in_array( $unique_id, self::$ids_used ) ) {

                # do we have styles class?
                if( class_exists( 'ueldo_shortcodes_styles_cache' ) ) {

                    # create object of styles cache class
                    $styles = new ueldo_shortcodes_styles_cache();

                    # add container styles
                    $styles -> update_style(
                        'menu-item .ueldo-shortcode-header-menu-icon.ueldo-shortcode-header-menu-icon-'. esc_attr( $unique_id ) .'',
                        array(
                            'display' => esc_attr( $display ),
                            'vertical-align' => esc_attr( $vertical_align ),
                            'text-align' => esc_attr( $alignment ),
                            'margin' => esc_attr( $margin_top ) .'px '. esc_attr( $margin_right ) .'px '. esc_attr( $margin_bottom ) .'px '. esc_attr( $margin_left ) .'px'
                        )
                    );

                    # add icon styles
                    $styles -> update_style(
                        'menu-item .ueldo-shortcode-header-menu-icon.ueldo-shortcode-header-menu-icon-'. esc_attr( $unique_id ) .' i, .menu-item .ueldo-shortcode-header-menu-icon.ueldo-shortcode-header-menu-icon-'. esc_attr( $unique_id ) .' i:before',
                        array(
                            'font-size' => esc_attr( $font_size ),
                            'color' => esc_attr( $color )
                        )
                    );

                    # add icon color (on hover)
                    $styles -> update_style(
                        'menu-item:hover .ueldo-shortcode-header-menu-icon.ueldo-shortcode-header-menu-icon-'. esc_attr( $unique_id ) .' i, .menu-item:hover .ueldo-shortcode-header-menu-icon.ueldo-shortcode-header-menu-icon-'. esc_attr( $unique_id ) .' i:before',
                        array(
                            'color' => esc_attr( $color_hover )
                        )
                    );

                    # add icon color (on active)
                    $styles -> update_style(
                        'menu-item.current-menu-item .ueldo-shortcode-header-menu-icon.ueldo-shortcode-header-menu-icon-'. esc_attr( $unique_id ) .' i, .menu-item.current-menu-parent .ueldo-shortcode-header-menu-icon.ueldo-shortcode-header-menu-icon-'. esc_attr( $unique_id ) .' i, .menu-item.current_page_parent .ueldo-shortcode-header-menu-icon.ueldo-shortcode-header-menu-icon-'. esc_attr( $unique_id ) .' i, .menu-item.current-menu-ancestor .ueldo-shortcode-header-menu-icon.ueldo-shortcode-header-menu-icon-'. esc_attr( $unique_id ) .' i, .menu-item.current-menu-item .ueldo-shortcode-header-menu-icon.ueldo-shortcode-header-menu-icon-'. esc_attr( $unique_id ) .' i:before, .menu-item.current-menu-parent .ueldo-shortcode-header-menu-icon.ueldo-shortcode-header-menu-icon-'. esc_attr( $unique_id ) .' i:before, .menu-item.current_page_parent .ueldo-shortcode-header-menu-icon.ueldo-shortcode-header-menu-icon-'. esc_attr( $unique_id ) .' i:before, .menu-item.current-menu-ancestor .ueldo-shortcode-header-menu-icon.ueldo-shortcode-header-menu-icon-'. esc_attr( $unique_id ) .' i:before',
                        array(
                            'color' => esc_attr( $color_active )
                        )
                    );

                    # save css style
                    $styles -> save_styles();

                    # add new css to static shortcodes styles cache
                    ueldo_static_shortcodes_styles_cache::add_new_css( ueldo_minify_css( $styles -> get_css() ) );
                }

                # update unique ids array
                self::$ids_used[] = $unique_id;
            }

            # return result
            return( '<span class="ueldo-shortcode-header-menu-icon ueldo-shortcode-header-menu-icon-'. esc_attr( $unique_id ) .'"><i class="'. esc_attr( $icon ) .'"></i></span>' );
        }

       /**
        *
        * end of methods.
        *
        */
    }

   /**
    *
    * prepare shortcode attributes
    *
    */

    function ueldo_plugin_prepare_shortcode_attributes( $shortcode_key, $atts ) {

        # prepare shortcode string
        $shortcode = '['. esc_attr( $shortcode_key );

        # first attribute flag
        $is_first_attribute = false;

        # walk for each attributes
        foreach( $atts as $key => $value ) {

            # add attribute key
            $shortcode .= !is_int( $key ) ? ( $is_first_attribute == false ? '' : '"' ) .' '. $key .'="' : ' ';

            # add attribute value
            $shortcode .= str_replace( '&quot;', '', $value );

            # update first attribute flag
            $is_first_attribute = true;
        }

        # close the shortcode string
        $shortcode .= ( $is_first_attribute == true ? '"' : '' ) .']';

        # prepare shortcode attributes array
        $new_atts = array();

        # walk for each attribute
        foreach( explode( '" ', str_replace( '['. $shortcode_key .' ', '', $shortcode ) ) as $attr ) {

            # divide attribute key and value
            $attr = explode( '="', $attr );

            # update shortcode attributes array
            if( !empty( $attr[0] ) && $attr[0] != ']' ) $new_atts[$attr[0]] = str_replace( '"]', '', isset( $attr[1] ) ? $attr[1] : '' );
        }

        # return attributes array
        return( $new_atts );
    }

   /**
    *
    * end of shortcodes.
    *
    */

?>