jQuery( document ).ready( function( $ ) {

   /**
    *
    * strict mode
    *
    */

    'use strict';

   /**
    *
    * validate number fields live
    *
    */

    $( 'body' ).on( 'input', '#customize-controls .ueldo-customizer-box-shadow-field-container input.ueldo-validate-number-field', function() {

        var field = $( this );
        field.attr( 'disabled', true ).prop( 'disabled', true );

        var fieldValue = field.val();
        var minusAllowed = field.data( 'number-field-minus-allowed' );
        var correctValue = '';

        for( var i = 0; i < fieldValue.length; i++ ) {

            var correct = $.inArray( fieldValue[i].toString(), [ '1', '2', '3', '4', '5', '6', '7', '8', '9', '0' ] ) != -1;
            if( correct == true || ( correct == false && i == 0 && fieldValue[i].toString() == '-' && minusAllowed == 'yes' ) ) correctValue += fieldValue[i].toString();
        }

        field.attr( 'value', correctValue ).val( correctValue ).attr( 'disabled', false ).prop( 'disabled', false ).focus();
        $( 'body' ).trigger( 'ueldo-box-shadow-field-changed', field );

    });

    $( 'body' ).on( 'focusout', '#customize-controls .ueldo-customizer-box-shadow-field-container input.ueldo-validate-number-field', function() {

        var field = $( this );
        var fieldValue = field.val();

        if( fieldValue == '' || fieldValue == '-' ) field.attr( 'value', '0' ).val( '0' );
        if( fieldValue != '0' && ( fieldValue[0] == '0' || fieldValue[0] == '-' ) ) field.attr( 'value', parseInt( fieldValue, 10 ) ).val( parseInt( fieldValue, 10 ) );

        $( 'body' ).trigger( 'ueldo-box-shadow-field-changed', field );

    });

   /**
    *
    * compose box shadow value
    *
    */

    $( 'body' ).on( 'ueldo-color-picker-changed', function( event, input, color ) { if( input.parents( '.ueldo-customizer-box-shadow-field-container' ).length == 1 ) { $.UeldoCustomizerUpdateBoxShadowField( input.parents( '.ueldo-customizer-box-shadow-field-container' ), color ); } });
    $( 'body' ).on( 'ueldo-box-shadow-field-changed', function( event, input ) { $.UeldoCustomizerUpdateBoxShadowField( $( input ).parents( '.ueldo-customizer-box-shadow-field-container' ), false ); });

    $.UeldoCustomizerUpdateBoxShadowField = function( container, color ) {

        var values = {
            'horizontal-length': container.find( 'input[data-box-shadow-field-option="horizontal-length"]' ).val(),
            'vertical-length': container.find( 'input[data-box-shadow-field-option="vertical-length"]' ).val(),
            'blur-radius': container.find( 'input[data-box-shadow-field-option="blur-radius"]' ).val(),
            'spread-radius': container.find( 'input[data-box-shadow-field-option="spread-radius"]' ).val(),
            'color': color == false ? container.find( 'input.ueldo-customizer-alpha-color-control' ).val() : color
        };

        var boxShadow = values['horizontal-length'] +'px '+ values['vertical-length'] +'px '+ values['blur-radius'] +'px '+ values['spread-radius'] +'px '+ values['color'];
        var input = container.find( 'input[type="hidden"].ueldo-customizer-field-box-shadow-value' );

        input.val( boxShadow ).attr( 'value', boxShadow );
        input.trigger( 'change' );
    };

   /**
    *
    * end of jquery functions.
    *
    */

});