( function( $ ) {

   /**
    *
    * strict mode
    *
    */

    'use strict';

   /**
    *
    * proceed when customizer is ready
    *
    */

    wp.customize.bind( 'ready', function() {

        /**
         *
         * buttons - use global or custom settings
         *
         */

         var button_keys = [ 'read-more', 'form-submit', 'call-to-action-widget' ];
         $.each( button_keys, function( i, button_key ) {

             var setting = wp.customize( 'ueldo_theme_options[styles][buttons-'+ button_key +'-button-custom-styles-enabled]' );
             setting.bind( function( value ) {

                 var elements = [
                     'buttons-'+ button_key +'-button-background-color',
                     'buttons-'+ button_key +'-button-border-color',
                     'buttons-'+ button_key +'-button-text-color',
                     'buttons-'+ button_key +'-button-icon-color',
                     'buttons-'+ button_key +'-button-box-shadow',
                     'buttons-'+ button_key +'-button-background-color-hover',
                     'buttons-'+ button_key +'-button-border-color-hover',
                     'buttons-'+ button_key +'-button-text-color-hover',
                     'buttons-'+ button_key +'-button-icon-color-hover',
                     'buttons-'+ button_key +'-button-box-shadow-hover',
                     'buttons-'+ button_key +'-button-font-size',
                     'buttons-'+ button_key +'-button-letter-spacing',
                     'buttons-'+ button_key +'-button-border-radius',
                     'buttons-'+ button_key +'-button-border-width',
                     'buttons-'+ button_key +'-button-icon-size',
                     'buttons-'+ button_key +'-button-margin-between-text-and-icon',
                     'buttons-'+ button_key +'-button-padding-top',
                     'buttons-'+ button_key +'-button-padding-right',
                     'buttons-'+ button_key +'-button-padding-bottom',
                     'buttons-'+ button_key +'-button-padding-left',
                     'buttons-'+ button_key +'-button-use-static-height',
                     'buttons-'+ button_key +'-button-static-height'
                 ];

                 if( value == 'use-global-styles' ) {

                     for( var i = 0; i < elements.length; i++ ) {

                         $( wp.customize.control( 'ueldo_theme_options[styles]['+ elements[i] +']' ).selector ).css({ 'display': 'none' });
                     }
                 }

                 else {

                     for( var i = 0; i < elements.length; i++ ) {

                         $( wp.customize.control( 'ueldo_theme_options[styles]['+ elements[i] +']' ).selector ).css({ 'display': 'list-item' });
                     }

                     if( wp.customize.value( 'ueldo_theme_options[styles][buttons-'+ button_key +'-button-use-static-height]' )() == 'no' ) {

                         $( wp.customize.control( 'ueldo_theme_options[styles][buttons-'+ button_key +'-button-static-height]' ).selector ).css({ 'display': 'none' });
                     }
                 }

             });

         });

        /**
         *
         * global button - use static height
         *
         */

         var button_keys = [ 'global', 'read-more', 'form-submit', 'call-to-action-widget' ];
         $.each( button_keys, function( i, button_key ) {

             var setting = wp.customize( 'ueldo_theme_options[styles][buttons-'+ button_key +'-button-use-static-height]' );
             setting.bind( function( value ) {

                 if( value == 'no' ) $( wp.customize.control( 'ueldo_theme_options[styles][buttons-'+ button_key +'-button-static-height]' ).selector ).css({ 'display': 'none' });
                 else $( wp.customize.control( 'ueldo_theme_options[styles][buttons-'+ button_key +'-button-static-height]' ).selector ).css({ 'display': 'list-item' });

             });

         });

        /**
         *
         * sidebar - use custom color for border line
         *
         */

         var setting = wp.customize( 'ueldo_theme_options[styles][sidebar-border-line-custom-color-enabled]' );
         setting.bind( function( value ) {

             if( value == 'no' ) $( wp.customize.control( 'ueldo_theme_options[styles][sidebar-border-line-custom-color]' ).selector ).css({ 'display': 'none' });
             else $( wp.customize.control( 'ueldo_theme_options[styles][sidebar-border-line-custom-color]' ).selector ).css({ 'display': 'list-item' });

         });

        /**
         *
         * refresh the preview
         *
         */

         var header = $( '#customize-header-actions' );
         header.append( '<button id="ueldo-wp-customizer-refresh-preview" class="button button-secondary">'+ ueldo_customizer_panel_javascript_functions_l10n.refresh_preview +'</button>' );

         $( 'body' ).on( 'click', '#ueldo-wp-customizer-refresh-preview', function( event ) {

             event.preventDefault();
             wp.customize.previewer.refresh();

         });

        /**
         *
         * end of dependencies.
         *
         */

    });

   /**
    *
    * end of file.
    *
    */

})( jQuery );