jQuery( document ).ready( function( $ ) {

   /**
    *
    * strict mode
    *
    */

    'use strict';

   /**
    *
    * select with image fields
    *
    */

    $( '.ueldo-custom-page-settings-select-with-image-field' ).on( 'click', '.ueldo-custom-page-settings-select-with-image-field-option:not(.ueldo-custom-page-settings-select-with-image-field-option-selected)', function() {

        var fieldOption = $( this );
        var field = fieldOption.parent();

        if( fieldOption.hasClass( 'ueldo-custom-page-settings-select-with-image-field-option-selected' ) ) return;

        field.find( '.ueldo-custom-page-settings-select-with-image-field-option' ).removeClass( 'ueldo-custom-page-settings-select-with-image-field-option-selected' );
        fieldOption.addClass( 'ueldo-custom-page-settings-select-with-image-field-option-selected' );

        field.find( 'input[type="hidden"]' ).attr( 'value', fieldOption.data( 'option-value' ) ).val( fieldOption.data( 'option-value' ) );

       /**
        *
        * second header options
        *
        */

        $.UeldoCustomPageSettingsUpdateHeaderOptionsFieldsDepended();

       /**
        *
        * end of function
        *
        */

    });

   /**
    *
    * validate number fields live
    *
    */

    $( 'body' ).on( 'input', '.ueldo-custom-page-settings-meta-box input.ueldo-validate-number-field', function() {

        var field = $( this );
        field.attr( 'disabled', true ).prop( 'disabled', true );

        var fieldValue = field.val();
        var minusAllowed = field.data( 'number-field-minus-allowed' );
        var correctValue = '';

        for( var i = 0; i < fieldValue.length; i++ ) {

            var correct = $.inArray( fieldValue[i].toString(), [ '1', '2', '3', '4', '5', '6', '7', '8', '9', '0' ] ) != -1;
            if( correct == true || ( correct == false && i == 0 && fieldValue[i].toString() == '-' && minusAllowed == 'yes' ) ) correctValue += fieldValue[i].toString();
        }

        field.attr( 'value', correctValue ).val( correctValue ).attr( 'disabled', false ).prop( 'disabled', false ).focus();

    });

    $( 'body' ).on( 'focusout', '.ueldo-custom-page-settings-meta-box input.ueldo-validate-number-field', function() {

        var field = $( this );
        var fieldValue = field.val();

        if( fieldValue == '' || fieldValue == '-' ) field.attr( 'value', '0' ).val( '0' );
        if( fieldValue != '0' && ( fieldValue[0] == '0' || fieldValue[0] == '-' ) ) field.attr( 'value', parseInt( fieldValue, 10 ) ).val( parseInt( fieldValue, 10 ) );

    });

   /**
    *
    * show / hide second header options
    *
    */

    $( 'body' ).on( 'change', '.ueldo-custom-page-settings-meta-box[data-option-key="header"] select', function() {

        $.UeldoCustomPageSettingsUpdateHeaderOptionsFieldsDepended();

    });

   /**
    *
    * update header options fields depended
    *
    */

    $.UeldoCustomPageSettingsUpdateHeaderOptionsFieldsDepended = function() {

        var optionForm = $( '.ueldo-custom-page-settings-meta-box[data-option-key="header"]' );
        var element, params = {
            'isHeaderContentAsSameAsForOtherPages': optionForm.find( 'select[name="ueldo_custom_page_settings_meta_box_data[custom_header_id]"]' ).val() == 'none',
            'headerPosition': optionForm.find( 'input[name="ueldo_custom_page_settings_meta_box_data[custom_header_position]"]' ).val(),
            'useSecondHeader': optionForm.find( 'select[name="ueldo_custom_page_settings_meta_box_data[use_second_header]"]' ).val() == 'yes',
            'isHeaderContentDefault': optionForm.find( 'select[name="ueldo_custom_page_settings_meta_box_data[custom_header_id]"]' ).val() == 'default',
            'isSecondHeaderContentDefault': optionForm.find( 'select[name="ueldo_custom_page_settings_meta_box_data[get_second_header_content_from]"]' ).val() == 'default'
        };

        element = optionForm.find( '.ueldo-custom-page-settings-field-depended[data-field-depended-key="custom-header-position"]' );

        if( params.isHeaderContentAsSameAsForOtherPages == false ) element.removeClass( 'ueldo-custom-page-settings-field-depended-hidden' );
        else element.addClass( 'ueldo-custom-page-settings-field-depended-hidden' );

        element = optionForm.find( '.ueldo-custom-page-settings-field-depended[data-field-depended-key="use-second-header"]' );

        if( params.isHeaderContentAsSameAsForOtherPages == false && params.headerPosition == 'static' ) element.removeClass( 'ueldo-custom-page-settings-field-depended-hidden' );
        else element.addClass( 'ueldo-custom-page-settings-field-depended-hidden' );

        element = optionForm.find( '.ueldo-custom-page-settings-field-depended[data-field-depended-key="second-header-options"]' );

        if( params.isHeaderContentAsSameAsForOtherPages == false && params.headerPosition == 'static' && params.useSecondHeader == true ) element.removeClass( 'ueldo-custom-page-settings-field-depended-hidden' );
        else element.addClass( 'ueldo-custom-page-settings-field-depended-hidden' );

        element = optionForm.find( '.ueldo-custom-page-settings-field-depended[data-field-depended-key="header-logo-image"]' );

        if( params.isHeaderContentDefault == true ) element.removeClass( 'ueldo-custom-page-settings-field-depended-hidden' );
        else element.addClass( 'ueldo-custom-page-settings-field-depended-hidden' );

        element = optionForm.find( '.ueldo-custom-page-settings-field-depended[data-field-depended-key="second-header-logo-image"]' );

        if( params.isHeaderContentAsSameAsForOtherPages == false && params.headerPosition == 'static' && params.useSecondHeader == true && params.isSecondHeaderContentDefault == true ) element.removeClass( 'ueldo-custom-page-settings-field-depended-hidden' );
        else element.addClass( 'ueldo-custom-page-settings-field-depended-hidden' );

        element = optionForm.find( '.ueldo-custom-page-settings-field-depended[data-field-depended-key="logo-images"]' );

        if( ( params.isHeaderContentAsSameAsForOtherPages == false && params.isHeaderContentDefault == true ) || ( params.isHeaderContentAsSameAsForOtherPages == false && params.headerPosition == 'static' && params.useSecondHeader == true && params.isSecondHeaderContentDefault == true ) ) element.removeClass( 'ueldo-custom-page-settings-field-depended-hidden' );
        else element.addClass( 'ueldo-custom-page-settings-field-depended-hidden' );
    };

   /**
    *
    * media frame for image selection
    *
    */

    var ueldo_page_settings_meta_box_media_frame;
    $( 'body' ).on( 'click', '.ueldo-page-settings-meta-box-media-button', function( event ) {

        event.preventDefault();
        var button = $( this );

        ueldo_page_settings_meta_box_media_frame = wp.media({
            title: ueldo_page_settings_box_javascript_functions_l10n.select_image,
            button: { text: ueldo_page_settings_box_javascript_functions_l10n.select_image },
            multiple: false
        });

        ueldo_page_settings_meta_box_media_frame.on( 'select', function() {

            var isHeaderLogo = button.parents( '.ueldo-theme-options-header-image-selection-container' ).length === 1;
            var attachment = ueldo_page_settings_meta_box_media_frame.state().get( 'selection' ).first().toJSON();

            var image_preview = button.siblings( '.ueldo-custom-page-settings-header-image-preview' );
            var image_preview_html = '<div class="ueldo-custom-page-settings-header-image-preview"><img src="'+ attachment.url +'" /></div>';

            button.siblings( 'input[type="hidden"]' ).attr( 'value', attachment.url ).val( attachment.url );

            if( image_preview.length == 0 ) button.parent().prepend( image_preview_html );
            else image_preview.children( 'img' ).attr( 'src', attachment.url );

        });

        ueldo_page_settings_meta_box_media_frame.open();

        var mediaFrameWrapper = $( ueldo_page_settings_meta_box_media_frame.$el ).parents( '.media-modal.wp-core-ui' ).parent();
        mediaFrameWrapper.addClass( 'ueldo-media-frame-wrapper' );

    });

   /**
    *
    * show / hide footer options
    *
    */

    $( 'body' ).on( 'change', '.ueldo-custom-page-settings-meta-box[data-option-key="footer"] select', function() {

        var optionForm = $( '.ueldo-custom-page-settings-meta-box[data-option-key="footer"]' );
        var element, params = {
            'isFooterContentAsSameAsForOtherPages': optionForm.find( 'select[name="ueldo_custom_page_settings_meta_box_data[custom_footer_id]"]' ).val() == 'none',
            'isFooterContentDefault': optionForm.find( 'select[name="ueldo_custom_page_settings_meta_box_data[custom_footer_id]"]' ).val() == 'default'
        };

        element = optionForm.find( '.ueldo-custom-page-settings-field-depended[data-field-depended-key="custom-footer-position"]' );

        if( params.isFooterContentAsSameAsForOtherPages == false ) element.removeClass( 'ueldo-custom-page-settings-field-depended-hidden' );
        else element.addClass( 'ueldo-custom-page-settings-field-depended-hidden' );

        element = optionForm.find( '.ueldo-custom-page-settings-field-depended[data-field-depended-key="custom-footer-default-content"]' );

        if( params.isFooterContentDefault == true ) element.removeClass( 'ueldo-custom-page-settings-field-depended-hidden' );
        else element.addClass( 'ueldo-custom-page-settings-field-depended-hidden' );

    });

   /**
    *
    * end of jquery functions.
    *
    */

});