jQuery( document ).ready( function( $ ) {

   /**
    *
    * strict mode
    *
    */

    'use strict';

   /**
    *
    * global variables
    *
    */

    var ueldoPredefinedPopupIsotope;
    var ueldoPredefinedPopupElementsOnLoadTurn = 15;

   /**
    *
    * get the main content tinymce editor instance
    *
    */

    var ueldoTinyMCEActiveEditor = false;
    $( window ).load( function() {

        if( typeof tinymce !== 'undefined' ) {

            tinymce.on( 'SetupEditor', function( editor ) { if( editor.id == 'content' ) ueldoTinyMCEActiveEditor = editor; });
        }

    });

   /**
    *
    * get tinymce editor instance
    *
    */

    $.UeldoGetTinyMCEInstance = function( editor_id ) {

        var instance = tinymce.get( 'content' );

        if( instance != null ) return( instance );
        else {

            var button = $( 'button#content-tmce.wp-switch-editor.switch-tmce[data-wp-editor-id="content"]' );
            button.trigger( 'click' );

            instance = tinymce.get( 'content' );
            return( instance != null ? instance : false );
        }
    };

   /**
    *
    * open predefined sections popup after click on button
    *
    */

    $( 'body' ).on( 'click', '#ueldo-open-predefined-sections-popup', function() {

        $( 'body' ).addClass( 'ueldo-disable-body-scroll' );

        var popup = $( '#ueldo-predefined-sections-popup' );
        var initialized = popup.data( 'popup-initialized' );

        popup.removeClass( 'ueldo-predefined-sections-popup-hidden' );
        popup.animate({ 'opacity': '1' }, 200 );

        if( initialized == 'no' ) {

            var predefinedElementsContainer = popup.find( '.ueldo-predefined-sections-popup-content-elements-container' );
            popup.data( 'popup-initialized', 'yes' ).attr( 'data-popup-initialized', 'yes' );

            var sectionsCount = 0;
            $.each( ueldo_predefined_sections_list, function( section_id, section_data ) {

                var filterClass = 'ueldo-predefined-sections-popup-content-elements-single-element-type-'+ section_data.type +' ueldo-predefined-sections-popup-content-elements-single-element-from-demo-'+ section_data.demo;
                $.each( section_data.filters, function( filter_id, filter ) { filterClass += ' ueldo-predefined-sections-popup-content-elements-single-element-filter-'+ section_data.type +'-type-'+ filter; });

                if( sectionsCount < ueldoPredefinedPopupElementsOnLoadTurn ) {

                    predefinedElementsContainer.append( '<div class="ueldo-predefined-sections-popup-content-elements-single-element '+ filterClass +'" data-element-id="'+ section_id +'"><div class="ueldo-predefined-sections-popup-content-elements-single-element-preview"><div class="ueldo-predefined-sections-popup-content-elements-single-element-preview-images ueldo-predefined-sections-popup-content-elements-single-element-preview-images-wait"><div class="ueldo-predefined-sections-popup-content-elements-single-element-preview-images-loading-spinner"></div><img src="'+ ueldo_predefined_sections_javascript_functions_l10n.template_directory_uri +'/_assets/_img/_predefined-sections/'+ section_id +'-clear.jpg" data-image-type="clear" /><img src="'+ ueldo_predefined_sections_javascript_functions_l10n.template_directory_uri +'/_assets/_img/_predefined-sections/'+ section_id +'-usage-example.jpg" data-image-type="usage-example" /></div></div><div class="ueldo-predefined-sections-popup-content-elements-single-element-preview-switcher"><div class="ueldo-predefined-sections-popup-content-elements-single-element-preview-switcher-container"><div class="ueldo-predefined-sections-popup-content-elements-single-element-preview-clear" data-active="yes"><div class="ueldo-predefined-sections-popup-content-elements-single-element-preview-description">'+ ueldo_predefined_sections_javascript_functions_l10n.clear +'</div></div><div class="ueldo-predefined-sections-popup-content-elements-single-element-preview-usage-example" data-active="no"><div class="ueldo-predefined-sections-popup-content-elements-single-element-preview-description">'+ ueldo_predefined_sections_javascript_functions_l10n.usage_example +'</div></div></div></div></div>' );

                    predefinedElementsContainer.find( '.ueldo-predefined-sections-popup-content-elements-single-element[data-element-id="'+ section_id +'"] img[data-image-type="clear"]' ).load( function() { $.UeldoPredefinedPopupSetImageHeight( $( this ) ); });
                }

                sectionsCount++;

            });
        }

        ueldoPredefinedPopupIsotope = $( '#ueldo-predefined-sections-popup .ueldo-predefined-sections-popup-content-elements-container' );
        ueldoPredefinedPopupIsotope.isotope({ itemSelector: '.ueldo-predefined-sections-popup-content-elements-single-element', filter: $.UeldoPredefinedSectionsPopupGetCurrentFilteredElementsClass() });

        $.UeldoPredefinedSectionsPopupManageLoadMoreButtonActions();

    });

   /**
    *
    * action after click on "load more" button
    *
    */

    $( 'body' ).on( 'click', '#ueldo-predefined-sections-popup .ueldo-predefined-sections-popup-content-elements-load-more-button:not(.ueldo-predefined-sections-popup-content-elements-load-more-button-loading)', function() {

        var button = $( this );
        button.html( ueldo_predefined_sections_javascript_functions_l10n.loading ).addClass( 'ueldo-predefined-sections-popup-content-elements-load-more-button-loading' );

        var filterClass = $.UeldoPredefinedSectionsPopupGetCurrentFilteredElementsClass();
        var popup = $( '#ueldo-predefined-sections-popup' );
        var elements = $.UeldoPredefinedPopupGetFilteredElements( 'hidden', 'elements' );
        var predefinedElementsContainer = popup.find( '.ueldo-predefined-sections-popup-content-elements-container' );
        var shownElementsCount = 0;

        $.each( elements, function( section_id, section_data ) {

            if( shownElementsCount == ueldoPredefinedPopupElementsOnLoadTurn ) return;

            var filterClass = 'ueldo-predefined-sections-popup-content-elements-single-element-type-'+ section_data.type +' ueldo-predefined-sections-popup-content-elements-single-element-from-demo-'+ section_data.demo;
            $.each( section_data.filters, function( filter_id, filter ) { filterClass += ' ueldo-predefined-sections-popup-content-elements-single-element-filter-'+ section_data.type +'-type-'+ filter; });

            var html = $( '<div class="ueldo-predefined-sections-popup-content-elements-single-element '+ filterClass +'" data-element-id="'+ section_id +'"><div class="ueldo-predefined-sections-popup-content-elements-single-element-preview"><div class="ueldo-predefined-sections-popup-content-elements-single-element-preview-images ueldo-predefined-sections-popup-content-elements-single-element-preview-images-wait"><div class="ueldo-predefined-sections-popup-content-elements-single-element-preview-images-loading-spinner"></div><img src="'+ ueldo_predefined_sections_javascript_functions_l10n.template_directory_uri +'/_assets/_img/_predefined-sections/'+ section_id +'-clear.jpg" data-image-type="clear" /><img src="'+ ueldo_predefined_sections_javascript_functions_l10n.template_directory_uri +'/_assets/_img/_predefined-sections/'+ section_id +'-usage-example.jpg" data-image-type="usage-example" /></div></div><div class="ueldo-predefined-sections-popup-content-elements-single-element-preview-switcher"><div class="ueldo-predefined-sections-popup-content-elements-single-element-preview-switcher-container"><div class="ueldo-predefined-sections-popup-content-elements-single-element-preview-clear" data-active="yes"><div class="ueldo-predefined-sections-popup-content-elements-single-element-preview-description">'+ ueldo_predefined_sections_javascript_functions_l10n.clear +'</div></div><div class="ueldo-predefined-sections-popup-content-elements-single-element-preview-usage-example" data-active="no"><div class="ueldo-predefined-sections-popup-content-elements-single-element-preview-description">'+ ueldo_predefined_sections_javascript_functions_l10n.usage_example +'</div></div></div></div></div>' );

            ueldoPredefinedPopupIsotope.append( html ).isotope( 'appended', html );

            predefinedElementsContainer.find( '.ueldo-predefined-sections-popup-content-elements-single-element[data-element-id="'+ section_id +'"] img[data-image-type="clear"]' ).load( function() { $.UeldoPredefinedPopupSetImageHeight( $( this ) ); });
            shownElementsCount++;

        });

        ueldoPredefinedPopupIsotope.isotope();

        if( $.UeldoPredefinedSectionsGetElementsLength( elements ) <= ueldoPredefinedPopupElementsOnLoadTurn ) button.css({ 'display': 'none' }).html( ueldo_predefined_sections_javascript_functions_l10n.load_more ).removeClass( 'ueldo-predefined-sections-popup-content-elements-load-more-button-loading' );
        else button.css({ 'display': 'block' }).html( ueldo_predefined_sections_javascript_functions_l10n.load_more ).removeClass( 'ueldo-predefined-sections-popup-content-elements-load-more-button-loading' );

    });

   /**
    *
    * set preview image height
    *
    */

    $.UeldoPredefinedPopupSetImageHeight = function( image ) {

        var imageHeight = image.height();
        var section = image.parents( '.ueldo-predefined-sections-popup-content-elements-single-element' );
        var previewImages = section.find( '.ueldo-predefined-sections-popup-content-elements-single-element-preview-images' );

        section.css({ 'height': imageHeight });
        previewImages.css({ 'height': imageHeight }).removeClass( 'ueldo-predefined-sections-popup-content-elements-single-element-preview-images-wait' );

        ueldoPredefinedPopupIsotope.isotope();
    };

   /**
    *
    * get hidden elements which can be displayed in current filter
    *
    */

    $.UeldoPredefinedPopupGetFilteredElements = function( hiddenOrVisible ) {

        var popup = $( '#ueldo-predefined-sections-popup' );
        var elementsType = popup.find( '.ueldo-predefined-sections-popup-category-selection ul[data-selection-type="type"] li.ueldo-predefined-sections-popup-category-selection-active' ).data( 'selection-value' );
        var pagesType = popup.find( '.ueldo-predefined-sections-popup-category-selection ul[data-selection-type="pages-type"] li.ueldo-predefined-sections-popup-category-selection-active' ).data( 'selection-value' );
        var sectionsType = popup.find( '.ueldo-predefined-sections-popup-category-selection ul[data-selection-type="sections-type"] li.ueldo-predefined-sections-popup-category-selection-active' ).data( 'selection-value' );
        var demoType = popup.find( '.ueldo-predefined-sections-popup-category-selection ul[data-selection-type="elements-demo"] li.ueldo-predefined-sections-popup-category-selection-active' ).data( 'selection-value' );
        var elements = {};

        $.each( ueldo_predefined_sections_list, function( section_id, section_data ) {

            var possible = true;
            switch( elementsType ) {

                case 'sections':

                    if( section_data.type != 'section' ) possible = false;
                    if( sectionsType != 'all' && section_data.filters.indexOf( sectionsType ) === -1 ) possible = false;
                    if( demoType != 'all' && demoType != section_data.demo ) possible = false;

                    if( possible == true ) {

                        if( hiddenOrVisible == 'hidden' && $( '#ueldo-predefined-sections-popup .ueldo-predefined-sections-popup-content-elements-single-element[data-element-id="'+ section_id +'"]' ).length === 0 ) { elements[section_id] = section_data; }
                        else if( hiddenOrVisible == 'visible' && $( '#ueldo-predefined-sections-popup .ueldo-predefined-sections-popup-content-elements-single-element[data-element-id="'+ section_id +'"]' ).length === 1 ) { elements[section_id] = section_data; }
                    }

                break;

                case 'pages':

                    if( section_data.type != 'page' ) possible = false;
                    if( pagesType != 'all' && section_data.filters.indexOf( pagesType ) === -1 ) possible = false;
                    if( demoType != 'all' && demoType != section_data.demo ) possible = false;

                    if( possible == true ) {

                        if( hiddenOrVisible == 'hidden' && $( '#ueldo-predefined-sections-popup .ueldo-predefined-sections-popup-content-elements-single-element[data-element-id="'+ section_id +'"]' ).length === 0 ) { elements[section_id] = section_data; }
                        else if( hiddenOrVisible == 'visible' && $( '#ueldo-predefined-sections-popup .ueldo-predefined-sections-popup-content-elements-single-element[data-element-id="'+ section_id +'"]' ).length === 1 ) { elements[section_id] = section_data; }
                    }

                break;
            }

        });

        return( elements );
    };

   /**
    *
    * get elements count
    *
    */

    $.UeldoPredefinedSectionsGetElementsLength = function( elements ) {

        var elementsCount = 0;
        $.each( elements, function( section_id, section_data ) { elementsCount++; });

        return( elementsCount );
    };

   /**
    *
    * function for close predefined sections popup
    *
    */

    $.UeldoClosePredefinedSectionsPopup = function() {

        $( 'body' ).removeClass( 'ueldo-disable-body-scroll' );

        var popup = $( '#ueldo-predefined-sections-popup' );
        popup.animate({ 'opacity': '0' }, { duration: 200, complete: function() {

            popup.addClass( 'ueldo-predefined-sections-popup-hidden' );

        }});

    };

   /**
    *
    * close predefined sections popup after click on "x" button
    *
    */

    $( 'body' ).on( 'click', '#ueldo-predefined-sections-popup .ueldo-predefined-sections-popup-content button.media-modal-close', function() {

        $.UeldoClosePredefinedSectionsPopup();

    });

   /**
    *
    * switch preview image to usage example view
    *
    */

    $( 'body' ).on( 'click', '#ueldo-predefined-sections-popup .ueldo-predefined-sections-popup-content-elements-single-element-preview-usage-example[data-active="no"]', function() {

        var element = $( this );
        var section = element.parents( '.ueldo-predefined-sections-popup-content-elements-single-element' );
        var previewImages = section.find( '.ueldo-predefined-sections-popup-content-elements-single-element-preview-images' );
        var newImageHeight = section.find( 'img[data-image-type="usage-example"]' ).height();

        section.animate({ 'height': newImageHeight }, { duration: '300', complete: function() { ueldoPredefinedPopupIsotope.isotope(); } } );

        if( ueldo_predefined_sections_javascript_functions_l10n.is_rtl == 'no' ) previewImages.animate({ 'margin-left': '-100%', 'height': newImageHeight }, 300 );
        else previewImages.animate({ 'margin-right': '-100%', 'height': newImageHeight }, 300 );

        element.data( 'active', 'yes' ).attr( 'data-active', 'yes' );
        section.find( '.ueldo-predefined-sections-popup-content-elements-single-element-preview-clear' ).data( 'active', 'no' ).attr( 'data-active', 'no' );

    });

   /**
    *
    * switch preview image to clear view
    *
    */

    $( 'body' ).on( 'click', '#ueldo-predefined-sections-popup .ueldo-predefined-sections-popup-content-elements-single-element-preview-clear[data-active="no"]', function() {

        var element = $( this );
        var section = element.parents( '.ueldo-predefined-sections-popup-content-elements-single-element' );
        var previewImages = section.find( '.ueldo-predefined-sections-popup-content-elements-single-element-preview-images' );
        var newImageHeight = section.find( 'img[data-image-type="clear"]' ).height();

        section.animate({ 'height': newImageHeight }, { duration: '300', complete: function() { ueldoPredefinedPopupIsotope.isotope(); } } );

        if( ueldo_predefined_sections_javascript_functions_l10n.is_rtl == 'no' ) previewImages.animate({ 'margin-left': '0', 'height': newImageHeight }, 300 );
        else previewImages.animate({ 'margin-right': '0', 'height': newImageHeight }, 300 );

        element.data( 'active', 'yes' ).attr( 'data-active', 'yes' );
        section.find( '.ueldo-predefined-sections-popup-content-elements-single-element-preview-usage-example' ).data( 'active', 'no' ).attr( 'data-active', 'no' );

    });

   /**
    *
    * clear or demo-like shortcode content
    *
    */

    $( 'body' ).on( 'click', '#ueldo-predefined-sections-popup .ueldo-predefined-sections-popup-two-options-selector-option-first[data-active="no"], #ueldo-predefined-sections-popup .ueldo-predefined-sections-popup-two-options-selector-option-second[data-active="no"]', function() {

        var newValue = $( this );
        var selector = newValue.parents( '.ueldo-predefined-sections-popup-two-options-selector' );
        var oldValue = newValue.hasClass( 'ueldo-predefined-sections-popup-two-options-selector-option-first' ) ? selector.children( '.ueldo-predefined-sections-popup-two-options-selector-option-second' ) : selector.children( '.ueldo-predefined-sections-popup-two-options-selector-option-first' );

        oldValue.data( 'active', 'no' ).attr( 'data-active', 'no' );
        newValue.data( 'active', 'yes' ).attr( 'data-active', 'yes' );

        var switcher = selector.children( '.ueldo-predefined-sections-popup-two-options-selector-options-switcher' );
        var switcherPos = newValue.hasClass( 'ueldo-predefined-sections-popup-two-options-selector-option-first' ) ? 'left' : 'right';

        switcher.data( 'switcher-pos', switcherPos ).attr( 'data-switcher-pos', switcherPos );

    });

   /**
    *
    * clear or demo-like shortcode content - change after click on switcher line
    *
    */

    $( 'body' ).on( 'click', '#ueldo-predefined-sections-popup .ueldo-predefined-sections-popup-two-options-selector-options-switcher', function() {

        var element = $( this );
        var selector = element.parents( '.ueldo-predefined-sections-popup-two-options-selector' );

        var clear = selector.find( '.ueldo-predefined-sections-popup-two-options-selector-option-first' );
        var demolike = selector.find( '.ueldo-predefined-sections-popup-two-options-selector-option-second' );

        if( clear.data( 'active' ) == 'yes' ) clear.data( 'active', 'no' ).attr( 'data-active', 'no' );
        else clear.data( 'active', 'yes' ).attr( 'data-active', 'yes' );

        if( demolike.data( 'active' ) == 'yes' ) demolike.data( 'active', 'no' ).attr( 'data-active', 'no' );
        else demolike.data( 'active', 'yes' ).attr( 'data-active', 'yes' );

        var switcherPos = element.data( 'switcher-pos' ) == 'left' ? 'right' : 'left';
        element.data( 'switcher-pos', switcherPos ).attr( 'data-switcher-pos', switcherPos );

    });

   /**
    *
    * elements filter
    *
    */

    $( 'body' ).on( 'click', '#ueldo-predefined-sections-popup .ueldo-predefined-sections-popup-category-selection ul li:not(.ueldo-predefined-sections-popup-category-selection-active)', function() {

        var popup = $( '#ueldo-predefined-sections-popup' );
        var element = $( this );
        var elementValue = element.data( 'selection-value' );
        var selection = element.parents( '.ueldo-predefined-sections-popup-category-selection' );
        var selectionList = selection.find( 'ul' );

        if( selectionList.data( 'selection-type' ) == 'type' ) {

            if( elementValue == 'pages' ) {

                popup.find( '.ueldo-predefined-sections-popup-category-selection[data-depended-from="type:pages"]' ).removeClass( 'ueldo-predefined-sections-popup-category-selection-hidden' );
                popup.find( '.ueldo-predefined-sections-popup-category-selection[data-depended-from="type:sections"]' ).addClass( 'ueldo-predefined-sections-popup-category-selection-hidden' );
            }

            else {

                popup.find( '.ueldo-predefined-sections-popup-category-selection[data-depended-from="type:pages"]' ).addClass( 'ueldo-predefined-sections-popup-category-selection-hidden' );
                popup.find( '.ueldo-predefined-sections-popup-category-selection[data-depended-from="type:sections"]' ).removeClass( 'ueldo-predefined-sections-popup-category-selection-hidden' );
            }
        }

        selectionList.find( 'li.ueldo-predefined-sections-popup-category-selection-active' ).removeClass( 'ueldo-predefined-sections-popup-category-selection-active' );
        element.addClass( 'ueldo-predefined-sections-popup-category-selection-active' );

        ueldoPredefinedPopupIsotope.isotope({ filter: $.UeldoPredefinedSectionsPopupGetCurrentFilteredElementsClass() });
        $.UeldoPredefinedSectionsPopupManageLoadMoreButtonActions();

    });

   /**
    *
    * get current filtered elements class
    *
    */

    $.UeldoPredefinedSectionsPopupGetCurrentFilteredElementsClass = function() {

        var popup = $( '#ueldo-predefined-sections-popup' );
        var elementsType = popup.find( '.ueldo-predefined-sections-popup-category-selection ul[data-selection-type="type"] li.ueldo-predefined-sections-popup-category-selection-active' ).data( 'selection-value' );
        var pagesType = popup.find( '.ueldo-predefined-sections-popup-category-selection ul[data-selection-type="pages-type"] li.ueldo-predefined-sections-popup-category-selection-active' ).data( 'selection-value' );
        var sectionsType = popup.find( '.ueldo-predefined-sections-popup-category-selection ul[data-selection-type="sections-type"] li.ueldo-predefined-sections-popup-category-selection-active' ).data( 'selection-value' );
        var demoType = popup.find( '.ueldo-predefined-sections-popup-category-selection ul[data-selection-type="elements-demo"] li.ueldo-predefined-sections-popup-category-selection-active' ).data( 'selection-value' );

        switch( elementsType ) {

            case 'sections':

                var filterClass = '.ueldo-predefined-sections-popup-content-elements-single-element-type-section';

                if( sectionsType != 'all' ) filterClass += '.ueldo-predefined-sections-popup-content-elements-single-element-filter-section-type-'+ sectionsType;
                if( demoType != 'all' ) filterClass += '.ueldo-predefined-sections-popup-content-elements-single-element-from-demo-'+ demoType;

            break;

            case 'pages':

                var filterClass = '.ueldo-predefined-sections-popup-content-elements-single-element-type-page';

                if( pagesType != 'all' ) filterClass += '.ueldo-predefined-sections-popup-content-elements-single-element-filter-page-type-'+ pagesType;
                if( demoType != 'all' ) filterClass += '.ueldo-predefined-sections-popup-content-elements-single-element-from-demo-'+ demoType;

            break;
        }

        return( filterClass );
    };

   /**
    *
    * manage "load more" button actions
    *
    */

    $.UeldoPredefinedSectionsPopupManageLoadMoreButtonActions = function() {

        var elementsHidden = $.UeldoPredefinedPopupGetFilteredElements( 'hidden' );
        var elementsVisible = $.UeldoPredefinedPopupGetFilteredElements( 'visible' );
        var button = $( '#ueldo-predefined-sections-popup .ueldo-predefined-sections-popup-content-elements-load-more-button' );

        if( $.UeldoPredefinedSectionsGetElementsLength( elementsHidden ) > 0 ) button.css({ 'display': 'block' });
        else button.css({ 'display': 'none' });

        if( $.UeldoPredefinedSectionsGetElementsLength( elementsVisible ) === 0 && $.UeldoPredefinedSectionsGetElementsLength( elementsHidden ) > 0 ) button.trigger( 'click' );

    };

   /**
    *
    * prepare new content
    *
    */

    $.UeldoPredefinedSectionsPrepareNewContent = function( content, newContent ) {

        if( content.substring( ( content.length - 4 ), content.length ) == '</p>' ) {

            content = content.substring( 0, ( content.length - 4 ) );
            newContent = newContent +'</p>';
        }

        return( content + newContent );
    };

   /**
    *
    * iconpicker - fonts
    *
    */

    $.UeldoPredefinedSectionsGetIconPickerIcons = function( library ) {

        var icons;
        switch( library ) {

            case 'fontawesome':

                icons = [
                    [ 'fa-address-book' ],
                    [ 'fa-address-book-o' ],
                    [ 'fa-address-card', 'fa-vcard' ],
                    [ 'fa-address-card-o', 'fa-vcard-o' ],
                    [ 'fa-bandcamp' ],
                    [ 'fa-bath', 'fa-bathtub', 'fa-s15' ],
                    [ 'fa-eercast' ],
                    [ 'fa-envelope-open' ],
                    [ 'fa-envelope-open-o' ],
                    [ 'fa-etsy' ],
                    [ 'fa-free-code-camp' ],
                    [ 'fa-grav' ],
                    [ 'fa-handshake-o' ],
                    [ 'fa-id-badge' ],
                    [ 'fa-id-card', 'fa-drivers-license' ],
                    [ 'fa-id-card-o', 'fa-drivers-license-o' ],
                    [ 'fa-imdb' ],
                    [ 'fa-linode' ],
                    [ 'fa-meetup' ],
                    [ 'fa-microchip' ],
                    [ 'fa-podcast' ],
                    [ 'fa-quora' ],
                    [ 'fa-ravelry' ],
                    [ 'fa-shower' ],
                    [ 'fa-snowflake-o' ],
                    [ 'fa-superpowers' ],
                    [ 'fa-telegram' ],
                    [ 'fa-thermometer-empty', 'fa-thermometer-0' ],
                    [ 'fa-thermometer-full', 'fa-thermometer', 'fa-thermometer-4' ],
                    [ 'fa-thermometer-half', 'fa-thermometer-2' ],
                    [ 'fa-thermometer-quarter', 'fa-thermometer-1' ],
                    [ 'fa-thermometer-three-quarters', 'fa-thermometer-3' ],
                    [ 'fa-user-circle' ],
                    [ 'fa-user-circle-o' ],
                    [ 'fa-user-o' ],
                    [ 'fa-window-close', 'fa-times-rectangle' ],
                    [ 'fa-window-close-o', 'fa-times-rectangle-o' ],
                    [ 'fa-window-maximize' ],
                    [ 'fa-window-minimize' ],
                    [ 'fa-window-restore' ],
                    [ 'fa-wpexplorer' ],
                    [ 'fa-adjust' ],
                    [ 'fa-american-sign-language-interpreting', 'fa-asl-interpreting' ],
                    [ 'fa-anchor' ],
                    [ 'fa-archive' ],
                    [ 'fa-area-chart' ],
                    [ 'fa-arrows' ],
                    [ 'fa-arrows-h' ],
                    [ 'fa-arrows-v' ],
                    [ 'fa-assistive-listening-systems' ],
                    [ 'fa-asterisk' ],
                    [ 'fa-at' ],
                    [ 'fa-audio-description' ],
                    [ 'fa-balance-scale' ],
                    [ 'fa-ban' ],
                    [ 'fa-bar-chart', 'fa-bar-chart-o' ],
                    [ 'fa-barcode' ],
                    [ 'fa-bars', 'fa-navicon', 'fa-reorder' ],
                    [ 'fa-battery-empty', 'fa-battery-0' ],
                    [ 'fa-battery-full', 'fa-battery', 'fa-battery-4' ],
                    [ 'fa-battery-half', 'fa-battery-2' ],
                    [ 'fa-battery-quarter', 'fa-battery-1' ],
                    [ 'fa-battery-three-quarters', 'fa-battery-3' ],
                    [ 'fa-bed', 'fa-hotel' ],
                    [ 'fa-beer' ],
                    [ 'fa-bell' ],
                    [ 'fa-bell-o' ],
                    [ 'fa-bell-slash' ],
                    [ 'fa-bell-slash-o' ],
                    [ 'fa-bicycle' ],
                    [ 'fa-binoculars' ],
                    [ 'fa-birthday-cake' ],
                    [ 'fa-blind' ],
                    [ 'fa-bluetooth' ],
                    [ 'fa-bluetooth-b' ],
                    [ 'fa-bolt', 'fa-flash' ],
                    [ 'fa-bomb' ],
                    [ 'fa-book' ],
                    [ 'fa-bookmark' ],
                    [ 'fa-bookmark-o' ],
                    [ 'fa-braille' ],
                    [ 'fa-briefcase' ],
                    [ 'fa-bug' ],
                    [ 'fa-building' ],
                    [ 'fa-building-o' ],
                    [ 'fa-bullhorn' ],
                    [ 'fa-bullseye' ],
                    [ 'fa-bus' ],
                    [ 'fa-calculator' ],
                    [ 'fa-calendar' ],
                    [ 'fa-calendar-check-o' ],
                    [ 'fa-calendar-minus-o' ],
                    [ 'fa-calendar-o' ],
                    [ 'fa-calendar-plus-o' ],
                    [ 'fa-calendar-times-o' ],
                    [ 'fa-camera' ],
                    [ 'fa-camera-retro' ],
                    [ 'fa-car', 'fa-automobile' ],
                    [ 'fa-caret-square-o-down', 'fa-toggle-down' ],
                    [ 'fa-caret-square-o-left', 'fa-toggle-left' ],
                    [ 'fa-caret-square-o-right', 'fa-toggle-right' ],
                    [ 'fa-caret-square-o-up', 'fa-toggle-up' ],
                    [ 'fa-cart-arrow-down' ],
                    [ 'fa-cart-plus' ],
                    [ 'fa-cc' ],
                    [ 'fa-certificate' ],
                    [ 'fa-check' ],
                    [ 'fa-check-circle' ],
                    [ 'fa-check-circle-o' ],
                    [ 'fa-check-square' ],
                    [ 'fa-check-square-o' ],
                    [ 'fa-child' ],
                    [ 'fa-circle' ],
                    [ 'fa-circle-o' ],
                    [ 'fa-circle-o-notch' ],
                    [ 'fa-circle-thin' ],
                    [ 'fa-clock-o' ],
                    [ 'fa-clone' ],
                    [ 'fa-cloud' ],
                    [ 'fa-cloud-download' ],
                    [ 'fa-cloud-upload' ],
                    [ 'fa-code' ],
                    [ 'fa-code-fork' ],
                    [ 'fa-coffee' ],
                    [ 'fa-cog', 'fa-gear' ],
                    [ 'fa-cogs', 'fa-gears' ],
                    [ 'fa-comment' ],
                    [ 'fa-comment-o' ],
                    [ 'fa-commenting' ],
                    [ 'fa-commenting-o' ],
                    [ 'fa-comments' ],
                    [ 'fa-comments-o' ],
                    [ 'fa-compass' ],
                    [ 'fa-copyright' ],
                    [ 'fa-creative-commons' ],
                    [ 'fa-credit-card' ],
                    [ 'fa-credit-card-alt' ],
                    [ 'fa-crop' ],
                    [ 'fa-crosshairs' ],
                    [ 'fa-cube' ],
                    [ 'fa-cubes' ],
                    [ 'fa-cutlery' ],
                    [ 'fa-database' ],
                    [ 'fa-deaf', 'fa-deafness', 'fa-hard-of-hearing' ],
                    [ 'fa-desktop' ],
                    [ 'fa-diamond' ],
                    [ 'fa-dot-circle-o' ],
                    [ 'fa-download' ],
                    [ 'fa-ellipsis-h' ],
                    [ 'fa-ellipsis-v' ],
                    [ 'fa-envelope' ],
                    [ 'fa-envelope-o' ],
                    [ 'fa-envelope-square' ],
                    [ 'fa-eraser' ],
                    [ 'fa-exchange' ],
                    [ 'fa-exclamation' ],
                    [ 'fa-exclamation-circle' ],
                    [ 'fa-exclamation-triangle', 'fa-warning' ],
                    [ 'fa-external-link' ],
                    [ 'fa-external-link-square' ],
                    [ 'fa-eye' ],
                    [ 'fa-eye-slash' ],
                    [ 'fa-eyedropper' ],
                    [ 'fa-fax' ],
                    [ 'fa-female' ],
                    [ 'fa-fighter-jet' ],
                    [ 'fa-file-archive-o', 'fa-file-zip-o' ],
                    [ 'fa-file-audio-o', 'fa-file-sound-o' ],
                    [ 'fa-file-code-o' ],
                    [ 'fa-file-excel-o' ],
                    [ 'fa-file-image-o', 'fa-file-photo-o', 'fa-file-picture-o' ],
                    [ 'fa-file-pdf-o' ],
                    [ 'fa-file-powerpoint-o' ],
                    [ 'fa-file-video-o', 'fa-file-movie-o' ],
                    [ 'fa-file-word-o' ],
                    [ 'fa-film' ],
                    [ 'fa-filter' ],
                    [ 'fa-fire' ],
                    [ 'fa-fire-extinguisher' ],
                    [ 'fa-flag' ],
                    [ 'fa-flag-checkered' ],
                    [ 'fa-flag-o' ],
                    [ 'fa-flask' ],
                    [ 'fa-folder' ],
                    [ 'fa-folder-o' ],
                    [ 'fa-folder-open' ],
                    [ 'fa-folder-open-o' ],
                    [ 'fa-frown-o' ],
                    [ 'fa-futbol-o', 'fa-soccer-ball-o' ],
                    [ 'fa-gamepad' ],
                    [ 'fa-gavel', 'fa-legal' ],
                    [ 'fa-gift' ],
                    [ 'fa-glass' ],
                    [ 'fa-globe' ],
                    [ 'fa-graduation-cap', 'fa-mortar-board' ],
                    [ 'fa-hand-lizard-o' ],
                    [ 'fa-hand-paper-o', 'fa-hand-stop-o' ],
                    [ 'fa-hand-peace-o' ],
                    [ 'fa-hand-pointer-o' ],
                    [ 'fa-hand-rock-o', 'fa-hand-grab-o' ],
                    [ 'fa-hand-scissors-o' ],
                    [ 'fa-hand-spock-o' ],
                    [ 'fa-hashtag' ],
                    [ 'fa-hdd-o' ],
                    [ 'fa-headphones' ],
                    [ 'fa-heart' ],
                    [ 'fa-heart-o' ],
                    [ 'fa-heartbeat' ],
                    [ 'fa-history' ],
                    [ 'fa-home' ],
                    [ 'fa-hourglass' ],
                    [ 'fa-hourglass-end', 'fa-hourglass-3' ],
                    [ 'fa-hourglass-half', 'fa-hourglass-2' ],
                    [ 'fa-hourglass-o' ],
                    [ 'fa-hourglass-start', 'fa-hourglass-1' ],
                    [ 'fa-i-cursor' ],
                    [ 'fa-inbox' ],
                    [ 'fa-industry' ],
                    [ 'fa-info' ],
                    [ 'fa-info-circle' ],
                    [ 'fa-key' ],
                    [ 'fa-keyboard-o' ],
                    [ 'fa-language' ],
                    [ 'fa-laptop' ],
                    [ 'fa-leaf' ],
                    [ 'fa-lemon-o' ],
                    [ 'fa-level-down' ],
                    [ 'fa-level-up' ],
                    [ 'fa-life-ring', 'fa-support', 'fa-life-bouy', 'fa-life-buoy', 'fa-life-saver' ],
                    [ 'fa-lightbulb-o' ],
                    [ 'fa-line-chart' ],
                    [ 'fa-location-arrow' ],
                    [ 'fa-lock' ],
                    [ 'fa-low-vision' ],
                    [ 'fa-magic' ],
                    [ 'fa-magnet' ],
                    [ 'fa-male' ],
                    [ 'fa-map' ],
                    [ 'fa-map-marker' ],
                    [ 'fa-map-o' ],
                    [ 'fa-map-pin' ],
                    [ 'fa-map-signs' ],
                    [ 'fa-meh-o' ],
                    [ 'fa-microphone' ],
                    [ 'fa-microphone-slash' ],
                    [ 'fa-minus' ],
                    [ 'fa-minus-circle' ],
                    [ 'fa-minus-square' ],
                    [ 'fa-minus-square-o' ],
                    [ 'fa-mobile', 'fa-mobile-phone' ],
                    [ 'fa-money' ],
                    [ 'fa-moon-o' ],
                    [ 'fa-motorcycle' ],
                    [ 'fa-mouse-pointer' ],
                    [ 'fa-music' ],
                    [ 'fa-newspaper-o' ],
                    [ 'fa-object-group' ],
                    [ 'fa-object-ungroup' ],
                    [ 'fa-paint-brush' ],
                    [ 'fa-paper-plane', 'fa-send' ],
                    [ 'fa-paper-plane-o', 'fa-send-o' ],
                    [ 'fa-paw' ],
                    [ 'fa-pencil' ],
                    [ 'fa-pencil-square' ],
                    [ 'fa-pencil-square-o', 'fa-edit' ],
                    [ 'fa-percent' ],
                    [ 'fa-phone' ],
                    [ 'fa-phone-square' ],
                    [ 'fa-picture-o', 'fa-photo', 'fa-image' ],
                    [ 'fa-pie-chart' ],
                    [ 'fa-plane' ],
                    [ 'fa-plug' ],
                    [ 'fa-plus' ],
                    [ 'fa-plus-circle' ],
                    [ 'fa-plus-square' ],
                    [ 'fa-plus-square-o' ],
                    [ 'fa-power-off' ],
                    [ 'fa-print' ],
                    [ 'fa-puzzle-piece' ],
                    [ 'fa-qrcode' ],
                    [ 'fa-question' ],
                    [ 'fa-question-circle' ],
                    [ 'fa-question-circle-o' ],
                    [ 'fa-quote-left' ],
                    [ 'fa-quote-right' ],
                    [ 'fa-random' ],
                    [ 'fa-recycle' ],
                    [ 'fa-refresh' ],
                    [ 'fa-registered' ],
                    [ 'fa-reply', 'fa-mail-reply' ],
                    [ 'fa-reply-all', 'fa-mail-reply-all' ],
                    [ 'fa-retweet' ],
                    [ 'fa-road' ],
                    [ 'fa-rocket' ],
                    [ 'fa-rss', 'fa-feed' ],
                    [ 'fa-rss-square' ],
                    [ 'fa-search' ],
                    [ 'fa-search-minus' ],
                    [ 'fa-search-plus' ],
                    [ 'fa-server' ],
                    [ 'fa-share', 'fa-mail-forward' ],
                    [ 'fa-share-alt' ],
                    [ 'fa-share-alt-square' ],
                    [ 'fa-share-square' ],
                    [ 'fa-share-square-o' ],
                    [ 'fa-shield' ],
                    [ 'fa-ship' ],
                    [ 'fa-shopping-bag' ],
                    [ 'fa-shopping-basket' ],
                    [ 'fa-shopping-cart' ],
                    [ 'fa-sign-in' ],
                    [ 'fa-sign-language', 'fa-signing' ],
                    [ 'fa-sign-out' ],
                    [ 'fa-signal' ],
                    [ 'fa-sitemap' ],
                    [ 'fa-sliders' ],
                    [ 'fa-smile-o' ],
                    [ 'fa-sort', 'fa-unsorted' ],
                    [ 'fa-sort-alpha-asc' ],
                    [ 'fa-sort-alpha-desc' ],
                    [ 'fa-sort-amount-asc' ],
                    [ 'fa-sort-amount-desc' ],
                    [ 'fa-sort-asc', 'fa-sort-up' ],
                    [ 'fa-sort-desc', 'fa-sort-down' ],
                    [ 'fa-sort-numeric-asc' ],
                    [ 'fa-sort-numeric-desc' ],
                    [ 'fa-space-shuttle' ],
                    [ 'fa-spinner' ],
                    [ 'fa-spoon' ],
                    [ 'fa-square' ],
                    [ 'fa-square-o' ],
                    [ 'fa-star' ],
                    [ 'fa-star-half' ],
                    [ 'fa-star-half-o', 'fa-star-half-empty', 'fa-star-half-full' ],
                    [ 'fa-star-o' ],
                    [ 'fa-sticky-note' ],
                    [ 'fa-sticky-note-o' ],
                    [ 'fa-street-view' ],
                    [ 'fa-suitcase' ],
                    [ 'fa-sun-o' ],
                    [ 'fa-tablet' ],
                    [ 'fa-tachometer', 'fa-dashboard' ],
                    [ 'fa-tag' ],
                    [ 'fa-tags' ],
                    [ 'fa-tasks' ],
                    [ 'fa-taxi', 'fa-cab' ],
                    [ 'fa-television', 'fa-tv' ],
                    [ 'fa-terminal' ],
                    [ 'fa-thumb-tack' ],
                    [ 'fa-thumbs-down' ],
                    [ 'fa-thumbs-o-down' ],
                    [ 'fa-thumbs-o-up' ],
                    [ 'fa-thumbs-up' ],
                    [ 'fa-ticket' ],
                    [ 'fa-times', 'fa-close', 'fa-remove' ],
                    [ 'fa-times-circle' ],
                    [ 'fa-times-circle-o' ],
                    [ 'fa-tint' ],
                    [ 'fa-toggle-off' ],
                    [ 'fa-toggle-on' ],
                    [ 'fa-trademark' ],
                    [ 'fa-trash' ],
                    [ 'fa-trash-o' ],
                    [ 'fa-tree' ],
                    [ 'fa-trophy' ],
                    [ 'fa-truck' ],
                    [ 'fa-tty' ],
                    [ 'fa-umbrella' ],
                    [ 'fa-universal-access' ],
                    [ 'fa-university', 'fa-bank', 'fa-institution' ],
                    [ 'fa-unlock' ],
                    [ 'fa-unlock-alt' ],
                    [ 'fa-upload' ],
                    [ 'fa-user' ],
                    [ 'fa-user-plus' ],
                    [ 'fa-user-secret' ],
                    [ 'fa-user-times' ],
                    [ 'fa-users', 'fa-group' ],
                    [ 'fa-video-camera' ],
                    [ 'fa-volume-control-phone' ],
                    [ 'fa-volume-down' ],
                    [ 'fa-volume-off' ],
                    [ 'fa-volume-up' ],
                    [ 'fa-wheelchair' ],
                    [ 'fa-wheelchair-alt' ],
                    [ 'fa-wifi' ],
                    [ 'fa-wrench' ],
                    [ 'fa-hand-o-down' ],
                    [ 'fa-hand-o-left' ],
                    [ 'fa-hand-o-right' ],
                    [ 'fa-hand-o-up' ],
                    [ 'fa-ambulance' ],
                    [ 'fa-subway' ],
                    [ 'fa-train' ],
                    [ 'fa-genderless' ],
                    [ 'fa-mars' ],
                    [ 'fa-mars-double' ],
                    [ 'fa-mars-stroke' ],
                    [ 'fa-mars-stroke-h' ],
                    [ 'fa-mars-stroke-v' ],
                    [ 'fa-mercury' ],
                    [ 'fa-neuter' ],
                    [ 'fa-transgender', 'fa-intersex' ],
                    [ 'fa-transgender-alt' ],
                    [ 'fa-venus' ],
                    [ 'fa-venus-double' ],
                    [ 'fa-venus-mars' ],
                    [ 'fa-file' ],
                    [ 'fa-file-o' ],
                    [ 'fa-file-text' ],
                    [ 'fa-file-text-o' ],
                    [ 'fa-cc-amex' ],
                    [ 'fa-cc-diners-club' ],
                    [ 'fa-cc-discover' ],
                    [ 'fa-cc-jcb' ],
                    [ 'fa-cc-mastercard' ],
                    [ 'fa-cc-paypal' ],
                    [ 'fa-cc-stripe' ],
                    [ 'fa-cc-visa' ],
                    [ 'fa-google-wallet' ],
                    [ 'fa-paypal' ],
                    [ 'fa-btc', 'fa-bitcoin' ],
                    [ 'fa-eur', 'fa-euro' ],
                    [ 'fa-gbp' ],
                    [ 'fa-gg' ],
                    [ 'fa-gg-circle' ],
                    [ 'fa-ils', 'fa-shekel', 'fa-sheqel' ],
                    [ 'fa-inr', 'fa-rupee' ],
                    [ 'fa-jpy', 'fa-cny', 'fa-rmb', 'fa-yen' ],
                    [ 'fa-krw', 'fa-won' ],
                    [ 'fa-rub', 'fa-rouble', 'fa-ruble' ],
                    [ 'fa-try', 'fa-turkish-lira' ],
                    [ 'fa-usd', 'fa-dollar' ],
                    [ 'fa-align-center' ],
                    [ 'fa-align-justify' ],
                    [ 'fa-align-left' ],
                    [ 'fa-align-right' ],
                    [ 'fa-bold' ],
                    [ 'fa-chain-broken', 'fa-unlink' ],
                    [ 'fa-clipboard', 'fa-paste' ],
                    [ 'fa-columns' ],
                    [ 'fa-files-o', 'fa-copy' ],
                    [ 'fa-floppy-o', 'fa-save' ],
                    [ 'fa-font' ],
                    [ 'fa-header' ],
                    [ 'fa-indent' ],
                    [ 'fa-italic' ],
                    [ 'fa-link', 'fa-chain' ],
                    [ 'fa-list' ],
                    [ 'fa-list-alt' ],
                    [ 'fa-list-ol' ],
                    [ 'fa-list-ul' ],
                    [ 'fa-outdent', 'fa-dedent' ],
                    [ 'fa-paperclip' ],
                    [ 'fa-paragraph' ],
                    [ 'fa-repeat', 'fa-rotate-right' ],
                    [ 'fa-scissors', 'fa-cut' ],
                    [ 'fa-strikethrough' ],
                    [ 'fa-subscript' ],
                    [ 'fa-superscript' ],
                    [ 'fa-table' ],
                    [ 'fa-text-height' ],
                    [ 'fa-text-width' ],
                    [ 'fa-th' ],
                    [ 'fa-th-large' ],
                    [ 'fa-th-list' ],
                    [ 'fa-underline' ],
                    [ 'fa-undo', 'fa-rotate-left' ],
                    [ 'fa-angle-double-down' ],
                    [ 'fa-angle-double-left' ],
                    [ 'fa-angle-double-right' ],
                    [ 'fa-angle-double-up' ],
                    [ 'fa-angle-down' ],
                    [ 'fa-angle-left' ],
                    [ 'fa-angle-right' ],
                    [ 'fa-angle-up' ],
                    [ 'fa-arrow-circle-down' ],
                    [ 'fa-arrow-circle-left' ],
                    [ 'fa-arrow-circle-o-down' ],
                    [ 'fa-arrow-circle-o-left' ],
                    [ 'fa-arrow-circle-o-right' ],
                    [ 'fa-arrow-circle-o-up' ],
                    [ 'fa-arrow-circle-right' ],
                    [ 'fa-arrow-circle-up' ],
                    [ 'fa-arrow-down' ],
                    [ 'fa-arrow-left' ],
                    [ 'fa-arrow-right' ],
                    [ 'fa-arrow-up' ],
                    [ 'fa-arrows-alt' ],
                    [ 'fa-caret-down' ],
                    [ 'fa-caret-left' ],
                    [ 'fa-caret-right' ],
                    [ 'fa-caret-up' ],
                    [ 'fa-chevron-circle-down' ],
                    [ 'fa-chevron-circle-left' ],
                    [ 'fa-chevron-circle-right' ],
                    [ 'fa-chevron-circle-up' ],
                    [ 'fa-chevron-down' ],
                    [ 'fa-chevron-left' ],
                    [ 'fa-chevron-right' ],
                    [ 'fa-chevron-up' ],
                    [ 'fa-long-arrow-down' ],
                    [ 'fa-long-arrow-left' ],
                    [ 'fa-long-arrow-right' ],
                    [ 'fa-long-arrow-up' ],
                    [ 'fa-backward' ],
                    [ 'fa-compress' ],
                    [ 'fa-eject' ],
                    [ 'fa-expand' ],
                    [ 'fa-fast-backward' ],
                    [ 'fa-fast-forward' ],
                    [ 'fa-forward' ],
                    [ 'fa-pause' ],
                    [ 'fa-pause-circle' ],
                    [ 'fa-pause-circle-o' ],
                    [ 'fa-play' ],
                    [ 'fa-play-circle' ],
                    [ 'fa-play-circle-o' ],
                    [ 'fa-step-backward' ],
                    [ 'fa-step-forward' ],
                    [ 'fa-stop' ],
                    [ 'fa-stop-circle' ],
                    [ 'fa-stop-circle-o' ],
                    [ 'fa-youtube-play' ],
                    [ 'fa-500px' ],
                    [ 'fa-adn' ],
                    [ 'fa-amazon' ],
                    [ 'fa-android' ],
                    [ 'fa-angellist' ],
                    [ 'fa-apple' ],
                    [ 'fa-behance' ],
                    [ 'fa-behance-square' ],
                    [ 'fa-bitbucket' ],
                    [ 'fa-bitbucket-square' ],
                    [ 'fa-black-tie' ],
                    [ 'fa-buysellads' ],
                    [ 'fa-chrome' ],
                    [ 'fa-codepen' ],
                    [ 'fa-codiepie' ],
                    [ 'fa-connectdevelop' ],
                    [ 'fa-contao' ],
                    [ 'fa-css3' ],
                    [ 'fa-dashcube' ],
                    [ 'fa-delicious' ],
                    [ 'fa-deviantart' ],
                    [ 'fa-digg' ],
                    [ 'fa-dribbble' ],
                    [ 'fa-dropbox' ],
                    [ 'fa-drupal' ],
                    [ 'fa-edge' ],
                    [ 'fa-empire', 'fa-ge' ],
                    [ 'fa-envira' ],
                    [ 'fa-expeditedssl' ],
                    [ 'fa-facebook', 'fa-facebook-f' ],
                    [ 'fa-facebook-official' ],
                    [ 'fa-facebook-square' ],
                    [ 'fa-firefox' ],
                    [ 'fa-first-order' ],
                    [ 'fa-flickr' ],
                    [ 'fa-font-awesome', 'fa-fa' ],
                    [ 'fa-fonticons' ],
                    [ 'fa-fort-awesome' ],
                    [ 'fa-forumbee' ],
                    [ 'fa-foursquare' ],
                    [ 'fa-get-pocket' ],
                    [ 'fa-git' ],
                    [ 'fa-git-square' ],
                    [ 'fa-github' ],
                    [ 'fa-github-alt' ],
                    [ 'fa-github-square' ],
                    [ 'fa-gitlab' ],
                    [ 'fa-glide' ],
                    [ 'fa-glide-g' ],
                    [ 'fa-google' ],
                    [ 'fa-google-plus' ],
                    [ 'fa-google-plus-official', 'fa-google-plus-circle' ],
                    [ 'fa-google-plus-square' ],
                    [ 'fa-gratipay', 'fa-gittip' ],
                    [ 'fa-hacker-news', 'fa-y-combinator-square', 'fa-yc-square' ],
                    [ 'fa-houzz' ],
                    [ 'fa-html5' ],
                    [ 'fa-instagram' ],
                    [ 'fa-internet-explorer' ],
                    [ 'fa-ioxhost' ],
                    [ 'fa-joomla' ],
                    [ 'fa-jsfiddle' ],
                    [ 'fa-lastfm' ],
                    [ 'fa-lastfm-square' ],
                    [ 'fa-leanpub' ],
                    [ 'fa-linkedin' ],
                    [ 'fa-linkedin-square' ],
                    [ 'fa-linux' ],
                    [ 'fa-maxcdn' ],
                    [ 'fa-meanpath' ],
                    [ 'fa-medium' ],
                    [ 'fa-mixcloud' ],
                    [ 'fa-modx' ],
                    [ 'fa-odnoklassniki' ],
                    [ 'fa-odnoklassniki-square' ],
                    [ 'fa-opencart' ],
                    [ 'fa-openid' ],
                    [ 'fa-opera' ],
                    [ 'fa-optin-monster' ],
                    [ 'fa-pagelines' ],
                    [ 'fa-pied-piper' ],
                    [ 'fa-pied-piper-alt' ],
                    [ 'fa-pied-piper-pp' ],
                    [ 'fa-pinterest' ],
                    [ 'fa-pinterest-p' ],
                    [ 'fa-pinterest-square' ],
                    [ 'fa-product-hunt' ],
                    [ 'fa-qq' ],
                    [ 'fa-rebel', 'fa-ra', 'fa-resistance' ],
                    [ 'fa-reddit' ],
                    [ 'fa-reddit-alien' ],
                    [ 'fa-reddit-square' ],
                    [ 'fa-renren' ],
                    [ 'fa-safari' ],
                    [ 'fa-scribd' ],
                    [ 'fa-sellsy' ],
                    [ 'fa-shirtsinbulk' ],
                    [ 'fa-simplybuilt' ],
                    [ 'fa-skyatlas' ],
                    [ 'fa-skype' ],
                    [ 'fa-slack' ],
                    [ 'fa-slideshare' ],
                    [ 'fa-snapchat' ],
                    [ 'fa-snapchat-ghost' ],
                    [ 'fa-snapchat-square' ],
                    [ 'fa-soundcloud' ],
                    [ 'fa-spotify' ],
                    [ 'fa-stack-exchange' ],
                    [ 'fa-stack-overflow' ],
                    [ 'fa-steam' ],
                    [ 'fa-steam-square' ],
                    [ 'fa-stumbleupon' ],
                    [ 'fa-stumbleupon-circle' ],
                    [ 'fa-tencent-weibo' ],
                    [ 'fa-themeisle' ],
                    [ 'fa-trello' ],
                    [ 'fa-tripadvisor' ],
                    [ 'fa-tumblr' ],
                    [ 'fa-tumblr-square' ],
                    [ 'fa-twitch' ],
                    [ 'fa-twitter' ],
                    [ 'fa-twitter-square' ],
                    [ 'fa-usb' ],
                    [ 'fa-viacoin' ],
                    [ 'fa-viadeo' ],
                    [ 'fa-viadeo-square' ],
                    [ 'fa-vimeo' ],
                    [ 'fa-vimeo-square' ],
                    [ 'fa-vine' ],
                    [ 'fa-vk' ],
                    [ 'fa-weibo' ],
                    [ 'fa-weixin', 'fa-wechat' ],
                    [ 'fa-whatsapp' ],
                    [ 'fa-wikipedia-w' ],
                    [ 'fa-windows' ],
                    [ 'fa-wordpress' ],
                    [ 'fa-wpbeginner' ],
                    [ 'fa-wpforms' ],
                    [ 'fa-xing' ],
                    [ 'fa-xing-square' ],
                    [ 'fa-y-combinator', 'fa-yc' ],
                    [ 'fa-yahoo' ],
                    [ 'fa-yelp' ],
                    [ 'fa-yoast' ],
                    [ 'fa-youtube' ],
                    [ 'fa-youtube-square' ],
                    [ 'fa-h-square' ],
                    [ 'fa-hospital-o' ],
                    [ 'fa-medkit' ],
                    [ 'fa-stethoscope' ],
                    [ 'fa-user-md' ]
                ];

            break;

            case 'openiconic':

                icons = [
                    [ 'vc-oi-dial' ],
                    [ 'vc-oi-pilcrow' ],
                    [ 'vc-oi-at' ],
                    [ 'vc-oi-hash' ],
                    [ 'vc-oi-key-inv' ],
                    [ 'vc-oi-key' ],
                    [ 'vc-oi-chart-pie-alt' ],
                    [ 'vc-oi-chart-pie' ],
                    [ 'vc-oi-chart-bar' ],
                    [ 'vc-oi-umbrella' ],
                    [ 'vc-oi-moon-inv' ],
                    [ 'vc-oi-mobile' ],
                    [ 'vc-oi-cd' ],
                    [ 'vc-oi-split' ],
                    [ 'vc-oi-exchange' ],
                    [ 'vc-oi-block' ],
                    [ 'vc-oi-resize-full' ],
                    [ 'vc-oi-article-alt' ],
                    [ 'vc-oi-article' ],
                    [ 'vc-oi-pencil-alt' ],
                    [ 'vc-oi-undo' ],
                    [ 'vc-oi-attach' ],
                    [ 'vc-oi-link' ],
                    [ 'vc-oi-search' ],
                    [ 'vc-oi-mail' ],
                    [ 'vc-oi-heart' ],
                    [ 'vc-oi-comment' ],
                    [ 'vc-oi-resize-full-alt' ],
                    [ 'vc-oi-lock' ],
                    [ 'vc-oi-book-open' ],
                    [ 'vc-oi-arrow-curved' ],
                    [ 'vc-oi-equalizer' ],
                    [ 'vc-oi-heart-empty' ],
                    [ 'vc-oi-lock-empty' ],
                    [ 'vc-oi-comment-inv' ],
                    [ 'vc-oi-folder' ],
                    [ 'vc-oi-resize-small' ],
                    [ 'vc-oi-play' ],
                    [ 'vc-oi-cursor' ],
                    [ 'vc-oi-aperture' ],
                    [ 'vc-oi-play-circle2' ],
                    [ 'vc-oi-resize-small-alt' ],
                    [ 'vc-oi-folder-empty' ],
                    [ 'vc-oi-comment-alt' ],
                    [ 'vc-oi-lock-open' ],
                    [ 'vc-oi-star' ],
                    [ 'vc-oi-user' ],
                    [ 'vc-oi-lock-open-empty' ],
                    [ 'vc-oi-box' ],
                    [ 'vc-oi-resize-vertical' ],
                    [ 'vc-oi-stop' ],
                    [ 'vc-oi-aperture-alt' ],
                    [ 'vc-oi-book' ],
                    [ 'vc-oi-steering-wheel' ],
                    [ 'vc-oi-pause' ],
                    [ 'vc-oi-to-start' ],
                    [ 'vc-oi-move' ],
                    [ 'vc-oi-resize-horizontal' ],
                    [ 'vc-oi-rss-alt' ],
                    [ 'vc-oi-comment-alt2' ],
                    [ 'vc-oi-rss' ],
                    [ 'vc-oi-comment-inv-alt' ],
                    [ 'vc-oi-comment-inv-alt2' ],
                    [ 'vc-oi-eye' ],
                    [ 'vc-oi-pin' ],
                    [ 'vc-oi-video' ],
                    [ 'vc-oi-picture' ],
                    [ 'vc-oi-camera' ],
                    [ 'vc-oi-tag' ],
                    [ 'vc-oi-chat' ],
                    [ 'vc-oi-cog' ],
                    [ 'vc-oi-popup' ],
                    [ 'vc-oi-to-end' ],
                    [ 'vc-oi-book-alt' ],
                    [ 'vc-oi-brush' ],
                    [ 'vc-oi-eject' ],
                    [ 'vc-oi-down' ],
                    [ 'vc-oi-wrench' ],
                    [ 'vc-oi-chat-inv' ],
                    [ 'vc-oi-tag-empty' ],
                    [ 'vc-oi-ok' ],
                    [ 'vc-oi-ok-circle' ],
                    [ 'vc-oi-download' ],
                    [ 'vc-oi-location' ],
                    [ 'vc-oi-share' ],
                    [ 'vc-oi-left' ],
                    [ 'vc-oi-target' ],
                    [ 'vc-oi-brush-alt' ],
                    [ 'vc-oi-cancel' ],
                    [ 'vc-oi-upload' ],
                    [ 'vc-oi-location-inv' ],
                    [ 'vc-oi-calendar' ],
                    [ 'vc-oi-right' ],
                    [ 'vc-oi-signal' ],
                    [ 'vc-oi-eyedropper' ],
                    [ 'vc-oi-layers' ],
                    [ 'vc-oi-award' ],
                    [ 'vc-oi-up' ],
                    [ 'vc-oi-calendar-inv' ],
                    [ 'vc-oi-location-alt' ],
                    [ 'vc-oi-download-cloud' ],
                    [ 'vc-oi-cancel-circle' ],
                    [ 'vc-oi-plus' ],
                    [ 'vc-oi-upload-cloud' ],
                    [ 'vc-oi-compass' ],
                    [ 'vc-oi-calendar-alt' ],
                    [ 'vc-oi-down-circle' ],
                    [ 'vc-oi-award-empty' ],
                    [ 'vc-oi-layers-alt' ],
                    [ 'vc-oi-sun' ],
                    [ 'vc-oi-list' ],
                    [ 'vc-oi-left-circle' ],
                    [ 'vc-oi-mic' ],
                    [ 'vc-oi-trash' ],
                    [ 'vc-oi-quote-left' ],
                    [ 'vc-oi-plus-circle' ],
                    [ 'vc-oi-minus' ],
                    [ 'vc-oi-quote-right' ],
                    [ 'vc-oi-trash-empty' ],
                    [ 'vc-oi-volume-off' ],
                    [ 'vc-oi-right-circle' ],
                    [ 'vc-oi-list-nested' ],
                    [ 'vc-oi-sun-inv' ],
                    [ 'vc-oi-bat-empty' ],
                    [ 'vc-oi-up-circle' ],
                    [ 'vc-oi-volume-up' ],
                    [ 'vc-oi-doc' ],
                    [ 'vc-oi-quote-left-alt' ],
                    [ 'vc-oi-minus-circle' ],
                    [ 'vc-oi-cloud' ],
                    [ 'vc-oi-rain' ],
                    [ 'vc-oi-bat-half' ],
                    [ 'vc-oi-cw' ],
                    [ 'vc-oi-headphones' ],
                    [ 'vc-oi-doc-inv' ],
                    [ 'vc-oi-quote-right-alt' ],
                    [ 'vc-oi-help' ],
                    [ 'vc-oi-info' ],
                    [ 'vc-oi-pencil' ],
                    [ 'vc-oi-doc-alt' ],
                    [ 'vc-oi-clock' ],
                    [ 'vc-oi-loop' ],
                    [ 'vc-oi-bat-full' ],
                    [ 'vc-oi-flash' ],
                    [ 'vc-oi-moon' ],
                    [ 'vc-oi-bat-charge' ],
                    [ 'vc-oi-loop-alt' ],
                    [ 'vc-oi-lamp' ],
                    [ 'vc-oi-doc-inv-alt' ],
                    [ 'vc-oi-pencil-neg' ],
                    [ 'vc-oi-home' ]
                ];

            break;

            case 'typicons':

                icons = [
                    [ 'typcn-adjust-brightness' ],
                    [ 'typcn-adjust-contrast' ],
                    [ 'typcn-anchor-outline' ],
                    [ 'typcn-anchor' ],
                    [ 'typcn-archive' ],
                    [ 'typcn-arrow-back-outline' ],
                    [ 'typcn-arrow-back' ],
                    [ 'typcn-arrow-down-outline' ],
                    [ 'typcn-arrow-down-thick' ],
                    [ 'typcn-arrow-down' ],
                    [ 'typcn-arrow-forward-outline' ],
                    [ 'typcn-arrow-forward' ],
                    [ 'typcn-arrow-left-outline' ],
                    [ 'typcn-arrow-left-thick' ],
                    [ 'typcn-arrow-left' ],
                    [ 'typcn-arrow-loop-outline' ],
                    [ 'typcn-arrow-loop' ],
                    [ 'typcn-arrow-maximise-outline' ],
                    [ 'typcn-arrow-maximise' ],
                    [ 'typcn-arrow-minimise-outline' ],
                    [ 'typcn-arrow-minimise' ],
                    [ 'typcn-arrow-move-outline' ],
                    [ 'typcn-arrow-move' ],
                    [ 'typcn-arrow-repeat-outline' ],
                    [ 'typcn-arrow-repeat' ],
                    [ 'typcn-arrow-right-outline' ],
                    [ 'typcn-arrow-right-thick' ],
                    [ 'typcn-arrow-right' ],
                    [ 'typcn-arrow-shuffle' ],
                    [ 'typcn-arrow-sorted-down' ],
                    [ 'typcn-arrow-sorted-up' ],
                    [ 'typcn-arrow-sync-outline' ],
                    [ 'typcn-arrow-sync' ],
                    [ 'typcn-arrow-unsorted' ],
                    [ 'typcn-arrow-up-outline' ],
                    [ 'typcn-arrow-up-thick' ],
                    [ 'typcn-arrow-up' ],
                    [ 'typcn-at' ],
                    [ 'typcn-attachment-outline' ],
                    [ 'typcn-attachment' ],
                    [ 'typcn-backspace-outline' ],
                    [ 'typcn-backspace' ],
                    [ 'typcn-battery-charge' ],
                    [ 'typcn-battery-full' ],
                    [ 'typcn-battery-high' ],
                    [ 'typcn-battery-low' ],
                    [ 'typcn-battery-mid' ],
                    [ 'typcn-beaker' ],
                    [ 'typcn-beer' ],
                    [ 'typcn-bell' ],
                    [ 'typcn-book' ],
                    [ 'typcn-bookmark' ],
                    [ 'typcn-briefcase' ],
                    [ 'typcn-brush' ],
                    [ 'typcn-business-card' ],
                    [ 'typcn-calculator' ],
                    [ 'typcn-calendar-outline' ],
                    [ 'typcn-calendar' ],
                    [ 'typcn-camera-outline' ],
                    [ 'typcn-camera' ],
                    [ 'typcn-cancel-outline' ],
                    [ 'typcn-cancel' ],
                    [ 'typcn-chart-area-outline' ],
                    [ 'typcn-chart-area' ],
                    [ 'typcn-chart-bar-outline' ],
                    [ 'typcn-chart-bar' ],
                    [ 'typcn-chart-line-outline' ],
                    [ 'typcn-chart-line' ],
                    [ 'typcn-chart-pie-outline' ],
                    [ 'typcn-chart-pie' ],
                    [ 'typcn-chevron-left-outline' ],
                    [ 'typcn-chevron-left' ],
                    [ 'typcn-chevron-right-outline' ],
                    [ 'typcn-chevron-right' ],
                    [ 'typcn-clipboard' ],
                    [ 'typcn-cloud-storage' ],
                    [ 'typcn-cloud-storage-outline' ],
                    [ 'typcn-code-outline' ],
                    [ 'typcn-code' ],
                    [ 'typcn-coffee' ],
                    [ 'typcn-cog-outline' ],
                    [ 'typcn-cog' ],
                    [ 'typcn-compass' ],
                    [ 'typcn-contacts' ],
                    [ 'typcn-credit-card' ],
                    [ 'typcn-css3' ],
                    [ 'typcn-database' ],
                    [ 'typcn-delete-outline' ],
                    [ 'typcn-delete' ],
                    [ 'typcn-device-desktop' ],
                    [ 'typcn-device-laptop' ],
                    [ 'typcn-device-phone' ],
                    [ 'typcn-device-tablet' ],
                    [ 'typcn-directions' ],
                    [ 'typcn-divide-outline' ],
                    [ 'typcn-divide' ],
                    [ 'typcn-document-add' ],
                    [ 'typcn-document-delete' ],
                    [ 'typcn-document-text' ],
                    [ 'typcn-document' ],
                    [ 'typcn-download-outline' ],
                    [ 'typcn-download' ],
                    [ 'typcn-dropbox' ],
                    [ 'typcn-edit' ],
                    [ 'typcn-eject-outline' ],
                    [ 'typcn-eject' ],
                    [ 'typcn-equals-outline' ],
                    [ 'typcn-equals' ],
                    [ 'typcn-export-outline' ],
                    [ 'typcn-export' ],
                    [ 'typcn-eye-outline' ],
                    [ 'typcn-eye' ],
                    [ 'typcn-feather' ],
                    [ 'typcn-film' ],
                    [ 'typcn-filter' ],
                    [ 'typcn-flag-outline' ],
                    [ 'typcn-flag' ],
                    [ 'typcn-flash-outline' ],
                    [ 'typcn-flash' ],
                    [ 'typcn-flow-children' ],
                    [ 'typcn-flow-merge' ],
                    [ 'typcn-flow-parallel' ],
                    [ 'typcn-flow-switch' ],
                    [ 'typcn-folder-add' ],
                    [ 'typcn-folder-delete' ],
                    [ 'typcn-folder-open' ],
                    [ 'typcn-folder' ],
                    [ 'typcn-gift' ],
                    [ 'typcn-globe-outline' ],
                    [ 'typcn-globe' ],
                    [ 'typcn-group-outline' ],
                    [ 'typcn-group' ],
                    [ 'typcn-headphones' ],
                    [ 'typcn-heart-full-outline' ],
                    [ 'typcn-heart-half-outline' ],
                    [ 'typcn-heart-outline' ],
                    [ 'typcn-heart' ],
                    [ 'typcn-home-outline' ],
                    [ 'typcn-home' ],
                    [ 'typcn-html5' ],
                    [ 'typcn-image-outline' ],
                    [ 'typcn-image' ],
                    [ 'typcn-infinity-outline' ],
                    [ 'typcn-infinity' ],
                    [ 'typcn-info-large-outline' ],
                    [ 'typcn-info-large' ],
                    [ 'typcn-info-outline' ],
                    [ 'typcn-info' ],
                    [ 'typcn-input-checked-outline' ],
                    [ 'typcn-input-checked' ],
                    [ 'typcn-key-outline' ],
                    [ 'typcn-key' ],
                    [ 'typcn-keyboard' ],
                    [ 'typcn-leaf' ],
                    [ 'typcn-lightbulb' ],
                    [ 'typcn-link-outline' ],
                    [ 'typcn-link' ],
                    [ 'typcn-location-arrow-outline' ],
                    [ 'typcn-location-arrow' ],
                    [ 'typcn-location-outline' ],
                    [ 'typcn-location' ],
                    [ 'typcn-lock-closed-outline' ],
                    [ 'typcn-lock-closed' ],
                    [ 'typcn-lock-open-outline' ],
                    [ 'typcn-lock-open' ],
                    [ 'typcn-mail' ],
                    [ 'typcn-map' ],
                    [ 'typcn-media-eject-outline' ],
                    [ 'typcn-media-eject' ],
                    [ 'typcn-media-fast-forward-outline' ],
                    [ 'typcn-media-fast-forward' ],
                    [ 'typcn-media-pause-outline' ],
                    [ 'typcn-media-pause' ],
                    [ 'typcn-media-play-outline' ],
                    [ 'typcn-media-play-reverse-outline' ],
                    [ 'typcn-media-play-reverse' ],
                    [ 'typcn-media-play' ],
                    [ 'typcn-media-record-outline' ],
                    [ 'typcn-media-record' ],
                    [ 'typcn-media-rewind-outline' ],
                    [ 'typcn-media-rewind' ],
                    [ 'typcn-media-stop-outline' ],
                    [ 'typcn-media-stop' ],
                    [ 'typcn-message-typing' ],
                    [ 'typcn-message' ],
                    [ 'typcn-messages' ],
                    [ 'typcn-microphone-outline' ],
                    [ 'typcn-microphone' ],
                    [ 'typcn-minus-outline' ],
                    [ 'typcn-minus' ],
                    [ 'typcn-mortar-board' ],
                    [ 'typcn-news' ],
                    [ 'typcn-notes-outline' ],
                    [ 'typcn-notes' ],
                    [ 'typcn-pen' ],
                    [ 'typcn-pencil' ],
                    [ 'typcn-phone-outline' ],
                    [ 'typcn-phone' ],
                    [ 'typcn-pi-outline' ],
                    [ 'typcn-pi' ],
                    [ 'typcn-pin-outline' ],
                    [ 'typcn-pin' ],
                    [ 'typcn-pipette' ],
                    [ 'typcn-plane-outline' ],
                    [ 'typcn-plane' ],
                    [ 'typcn-plug' ],
                    [ 'typcn-plus-outline' ],
                    [ 'typcn-plus' ],
                    [ 'typcn-point-of-interest-outline' ],
                    [ 'typcn-point-of-interest' ],
                    [ 'typcn-power-outline' ],
                    [ 'typcn-power' ],
                    [ 'typcn-printer' ],
                    [ 'typcn-puzzle-outline' ],
                    [ 'typcn-puzzle' ],
                    [ 'typcn-radar-outline' ],
                    [ 'typcn-radar' ],
                    [ 'typcn-refresh-outline' ],
                    [ 'typcn-refresh' ],
                    [ 'typcn-rss-outline' ],
                    [ 'typcn-rss' ],
                    [ 'typcn-scissors-outline' ],
                    [ 'typcn-scissors' ],
                    [ 'typcn-shopping-bag' ],
                    [ 'typcn-shopping-cart' ],
                    [ 'typcn-social-at-circular' ],
                    [ 'typcn-social-dribbble-circular' ],
                    [ 'typcn-social-dribbble' ],
                    [ 'typcn-social-facebook-circular' ],
                    [ 'typcn-social-facebook' ],
                    [ 'typcn-social-flickr-circular' ],
                    [ 'typcn-social-flickr' ],
                    [ 'typcn-social-github-circular' ],
                    [ 'typcn-social-github' ],
                    [ 'typcn-social-google-plus-circular' ],
                    [ 'typcn-social-google-plus' ],
                    [ 'typcn-social-instagram-circular' ],
                    [ 'typcn-social-instagram' ],
                    [ 'typcn-social-last-fm-circular' ],
                    [ 'typcn-social-last-fm' ],
                    [ 'typcn-social-linkedin-circular' ],
                    [ 'typcn-social-linkedin' ],
                    [ 'typcn-social-pinterest-circular' ],
                    [ 'typcn-social-pinterest' ],
                    [ 'typcn-social-skype-outline' ],
                    [ 'typcn-social-skype' ],
                    [ 'typcn-social-tumbler-circular' ],
                    [ 'typcn-social-tumbler' ],
                    [ 'typcn-social-twitter-circular' ],
                    [ 'typcn-social-twitter' ],
                    [ 'typcn-social-vimeo-circular' ],
                    [ 'typcn-social-vimeo' ],
                    [ 'typcn-social-youtube-circular' ],
                    [ 'typcn-social-youtube' ],
                    [ 'typcn-sort-alphabetically-outline' ],
                    [ 'typcn-sort-alphabetically' ],
                    [ 'typcn-sort-numerically-outline' ],
                    [ 'typcn-sort-numerically' ],
                    [ 'typcn-spanner-outline' ],
                    [ 'typcn-spanner' ],
                    [ 'typcn-spiral' ],
                    [ 'typcn-star-full-outline' ],
                    [ 'typcn-star-half-outline' ],
                    [ 'typcn-star-half' ],
                    [ 'typcn-star-outline' ],
                    [ 'typcn-star' ],
                    [ 'typcn-starburst-outline' ],
                    [ 'typcn-starburst' ],
                    [ 'typcn-stopwatch' ],
                    [ 'typcn-support' ],
                    [ 'typcn-tabs-outline' ],
                    [ 'typcn-tag' ],
                    [ 'typcn-tags' ],
                    [ 'typcn-th-large-outline' ],
                    [ 'typcn-th-large' ],
                    [ 'typcn-th-list-outline' ],
                    [ 'typcn-th-list' ],
                    [ 'typcn-th-menu-outline' ],
                    [ 'typcn-th-menu' ],
                    [ 'typcn-th-small-outline' ],
                    [ 'typcn-th-small' ],
                    [ 'typcn-thermometer' ],
                    [ 'typcn-thumbs-down' ],
                    [ 'typcn-thumbs-ok' ],
                    [ 'typcn-thumbs-up' ],
                    [ 'typcn-tick-outline' ],
                    [ 'typcn-tick' ],
                    [ 'typcn-ticket' ],
                    [ 'typcn-time' ],
                    [ 'typcn-times-outline' ],
                    [ 'typcn-times' ],
                    [ 'typcn-trash' ],
                    [ 'typcn-tree' ],
                    [ 'typcn-upload-outline' ],
                    [ 'typcn-upload' ],
                    [ 'typcn-user-add-outline' ],
                    [ 'typcn-user-add' ],
                    [ 'typcn-user-delete-outline' ],
                    [ 'typcn-user-delete' ],
                    [ 'typcn-user-outline' ],
                    [ 'typcn-user' ],
                    [ 'typcn-vendor-android' ],
                    [ 'typcn-vendor-apple' ],
                    [ 'typcn-vendor-microsoft' ],
                    [ 'typcn-video-outline' ],
                    [ 'typcn-video' ],
                    [ 'typcn-volume-down' ],
                    [ 'typcn-volume-mute' ],
                    [ 'typcn-volume-up' ],
                    [ 'typcn-volume' ],
                    [ 'typcn-warning-outline' ],
                    [ 'typcn-warning' ],
                    [ 'typcn-watch' ],
                    [ 'typcn-waves-outline' ],
                    [ 'typcn-waves' ],
                    [ 'typcn-weather-cloudy' ],
                    [ 'typcn-weather-downpour' ],
                    [ 'typcn-weather-night' ],
                    [ 'typcn-weather-partly-sunny' ],
                    [ 'typcn-weather-shower' ],
                    [ 'typcn-weather-snow' ],
                    [ 'typcn-weather-stormy' ],
                    [ 'typcn-weather-sunny' ],
                    [ 'typcn-weather-windy-cloudy' ],
                    [ 'typcn-weather-windy' ],
                    [ 'typcn-wi-fi-outline' ],
                    [ 'typcn-wi-fi' ],
                    [ 'typcn-wine' ],
                    [ 'typcn-world-outline' ],
                    [ 'typcn-world' ],
                    [ 'typcn-zoom-in-outline' ],
                    [ 'typcn-zoom-in' ],
                    [ 'typcn-zoom-out-outline' ],
                    [ 'typcn-zoom-out' ],
                    [ 'typcn-zoom-outline' ],
                    [ 'typcn-zoom' ]
                ];

            break;

            case 'entypo':

                icons = [
                    [ 'entypo-icon-note' ],
                    [ 'entypo-icon-note-beamed' ],
                    [ 'entypo-icon-music' ],
                    [ 'entypo-icon-search' ],
                    [ 'entypo-icon-flashlight' ],
                    [ 'entypo-icon-mail' ],
                    [ 'entypo-icon-heart' ],
                    [ 'entypo-icon-heart-empty' ],
                    [ 'entypo-icon-star' ],
                    [ 'entypo-icon-star-empty' ],
                    [ 'entypo-icon-user' ],
                    [ 'entypo-icon-users' ],
                    [ 'entypo-icon-user-add' ],
                    [ 'entypo-icon-video' ],
                    [ 'entypo-icon-picture' ],
                    [ 'entypo-icon-camera' ],
                    [ 'entypo-icon-layout' ],
                    [ 'entypo-icon-menu' ],
                    [ 'entypo-icon-check' ],
                    [ 'entypo-icon-cancel' ],
                    [ 'entypo-icon-cancel-circled' ],
                    [ 'entypo-icon-cancel-squared' ],
                    [ 'entypo-icon-plus' ],
                    [ 'entypo-icon-plus-circled' ],
                    [ 'entypo-icon-plus-squared' ],
                    [ 'entypo-icon-minus' ],
                    [ 'entypo-icon-minus-circled' ],
                    [ 'entypo-icon-minus-squared' ],
                    [ 'entypo-icon-help' ],
                    [ 'entypo-icon-help-circled' ],
                    [ 'entypo-icon-info' ],
                    [ 'entypo-icon-info-circled' ],
                    [ 'entypo-icon-back' ],
                    [ 'entypo-icon-home' ],
                    [ 'entypo-icon-link' ],
                    [ 'entypo-icon-attach' ],
                    [ 'entypo-icon-lock' ],
                    [ 'entypo-icon-lock-open' ],
                    [ 'entypo-icon-eye' ],
                    [ 'entypo-icon-tag' ],
                    [ 'entypo-icon-bookmark' ],
                    [ 'entypo-icon-bookmarks' ],
                    [ 'entypo-icon-flag' ],
                    [ 'entypo-icon-thumbs-up' ],
                    [ 'entypo-icon-thumbs-down' ],
                    [ 'entypo-icon-download' ],
                    [ 'entypo-icon-upload' ],
                    [ 'entypo-icon-upload-cloud' ],
                    [ 'entypo-icon-reply' ],
                    [ 'entypo-icon-reply-all' ],
                    [ 'entypo-icon-forward' ],
                    [ 'entypo-icon-quote' ],
                    [ 'entypo-icon-code' ],
                    [ 'entypo-icon-export' ],
                    [ 'entypo-icon-pencil' ],
                    [ 'entypo-icon-feather' ],
                    [ 'entypo-icon-print' ],
                    [ 'entypo-icon-retweet' ],
                    [ 'entypo-icon-keyboard' ],
                    [ 'entypo-icon-comment' ],
                    [ 'entypo-icon-chat' ],
                    [ 'entypo-icon-bell' ],
                    [ 'entypo-icon-attention' ],
                    [ 'entypo-icon-alert' ],
                    [ 'entypo-icon-vcard' ],
                    [ 'entypo-icon-address' ],
                    [ 'entypo-icon-location' ],
                    [ 'entypo-icon-map' ],
                    [ 'entypo-icon-direction' ],
                    [ 'entypo-icon-compass' ],
                    [ 'entypo-icon-cup' ],
                    [ 'entypo-icon-trash' ],
                    [ 'entypo-icon-doc' ],
                    [ 'entypo-icon-docs' ],
                    [ 'entypo-icon-doc-landscape' ],
                    [ 'entypo-icon-doc-text' ],
                    [ 'entypo-icon-doc-text-inv' ],
                    [ 'entypo-icon-newspaper' ],
                    [ 'entypo-icon-book-open' ],
                    [ 'entypo-icon-book' ],
                    [ 'entypo-icon-folder' ],
                    [ 'entypo-icon-archive' ],
                    [ 'entypo-icon-box' ],
                    [ 'entypo-icon-rss' ],
                    [ 'entypo-icon-phone' ],
                    [ 'entypo-icon-cog' ],
                    [ 'entypo-icon-tools' ],
                    [ 'entypo-icon-share' ],
                    [ 'entypo-icon-shareable' ],
                    [ 'entypo-icon-basket' ],
                    [ 'entypo-icon-bag' ],
                    [ 'entypo-icon-calendar' ],
                    [ 'entypo-icon-login' ],
                    [ 'entypo-icon-logout' ],
                    [ 'entypo-icon-mic' ],
                    [ 'entypo-icon-mute' ],
                    [ 'entypo-icon-sound' ],
                    [ 'entypo-icon-volume' ],
                    [ 'entypo-icon-clock' ],
                    [ 'entypo-icon-hourglass' ],
                    [ 'entypo-icon-lamp' ],
                    [ 'entypo-icon-light-down' ],
                    [ 'entypo-icon-light-up' ],
                    [ 'entypo-icon-adjust' ],
                    [ 'entypo-icon-block' ],
                    [ 'entypo-icon-resize-full' ],
                    [ 'entypo-icon-resize-small' ],
                    [ 'entypo-icon-popup' ],
                    [ 'entypo-icon-publish' ],
                    [ 'entypo-icon-window' ],
                    [ 'entypo-icon-arrow-combo' ],
                    [ 'entypo-icon-down-circled' ],
                    [ 'entypo-icon-left-circled' ],
                    [ 'entypo-icon-right-circled' ],
                    [ 'entypo-icon-up-circled' ],
                    [ 'entypo-icon-down-open' ],
                    [ 'entypo-icon-left-open' ],
                    [ 'entypo-icon-right-open' ],
                    [ 'entypo-icon-up-open' ],
                    [ 'entypo-icon-down-open-mini' ],
                    [ 'entypo-icon-left-open-mini' ],
                    [ 'entypo-icon-right-open-mini' ],
                    [ 'entypo-icon-up-open-mini' ],
                    [ 'entypo-icon-down-open-big' ],
                    [ 'entypo-icon-left-open-big' ],
                    [ 'entypo-icon-right-open-big' ],
                    [ 'entypo-icon-up-open-big' ],
                    [ 'entypo-icon-down' ],
                    [ 'entypo-icon-left' ],
                    [ 'entypo-icon-right' ],
                    [ 'entypo-icon-up' ],
                    [ 'entypo-icon-down-dir' ],
                    [ 'entypo-icon-left-dir' ],
                    [ 'entypo-icon-right-dir' ],
                    [ 'entypo-icon-up-dir' ],
                    [ 'entypo-icon-down-bold' ],
                    [ 'entypo-icon-left-bold' ],
                    [ 'entypo-icon-right-bold' ],
                    [ 'entypo-icon-up-bold' ],
                    [ 'entypo-icon-down-thin' ],
                    [ 'entypo-icon-left-thin' ],
                    [ 'entypo-icon-right-thin' ],
                    [ 'entypo-icon-up-thin' ],
                    [ 'entypo-icon-ccw' ],
                    [ 'entypo-icon-cw' ],
                    [ 'entypo-icon-arrows-ccw' ],
                    [ 'entypo-icon-level-down' ],
                    [ 'entypo-icon-level-up' ],
                    [ 'entypo-icon-shuffle' ],
                    [ 'entypo-icon-loop' ],
                    [ 'entypo-icon-switch' ],
                    [ 'entypo-icon-play' ],
                    [ 'entypo-icon-stop' ],
                    [ 'entypo-icon-pause' ],
                    [ 'entypo-icon-record' ],
                    [ 'entypo-icon-to-end' ],
                    [ 'entypo-icon-to-start' ],
                    [ 'entypo-icon-fast-forward' ],
                    [ 'entypo-icon-fast-backward' ],
                    [ 'entypo-icon-progress-0' ],
                    [ 'entypo-icon-progress-1' ],
                    [ 'entypo-icon-progress-2' ],
                    [ 'entypo-icon-progress-3' ],
                    [ 'entypo-icon-target' ],
                    [ 'entypo-icon-palette' ],
                    [ 'entypo-icon-list' ],
                    [ 'entypo-icon-list-add' ],
                    [ 'entypo-icon-signal' ],
                    [ 'entypo-icon-trophy' ],
                    [ 'entypo-icon-battery' ],
                    [ 'entypo-icon-back-in-time' ],
                    [ 'entypo-icon-monitor' ],
                    [ 'entypo-icon-mobile' ],
                    [ 'entypo-icon-network' ],
                    [ 'entypo-icon-cd' ],
                    [ 'entypo-icon-inbox' ],
                    [ 'entypo-icon-install' ],
                    [ 'entypo-icon-globe' ],
                    [ 'entypo-icon-cloud' ],
                    [ 'entypo-icon-cloud-thunder' ],
                    [ 'entypo-icon-flash' ],
                    [ 'entypo-icon-moon' ],
                    [ 'entypo-icon-flight' ],
                    [ 'entypo-icon-paper-plane' ],
                    [ 'entypo-icon-leaf' ],
                    [ 'entypo-icon-lifebuoy' ],
                    [ 'entypo-icon-mouse' ],
                    [ 'entypo-icon-briefcase' ],
                    [ 'entypo-icon-suitcase' ],
                    [ 'entypo-icon-dot' ],
                    [ 'entypo-icon-dot-2' ],
                    [ 'entypo-icon-dot-3' ],
                    [ 'entypo-icon-brush' ],
                    [ 'entypo-icon-magnet' ],
                    [ 'entypo-icon-infinity' ],
                    [ 'entypo-icon-erase' ],
                    [ 'entypo-icon-chart-pie' ],
                    [ 'entypo-icon-chart-line' ],
                    [ 'entypo-icon-chart-bar' ],
                    [ 'entypo-icon-chart-area' ],
                    [ 'entypo-icon-tape' ],
                    [ 'entypo-icon-graduation-cap' ],
                    [ 'entypo-icon-language' ],
                    [ 'entypo-icon-ticket' ],
                    [ 'entypo-icon-water' ],
                    [ 'entypo-icon-droplet' ],
                    [ 'entypo-icon-air' ],
                    [ 'entypo-icon-credit-card' ],
                    [ 'entypo-icon-floppy' ],
                    [ 'entypo-icon-clipboard' ],
                    [ 'entypo-icon-megaphone' ],
                    [ 'entypo-icon-database' ],
                    [ 'entypo-icon-drive' ],
                    [ 'entypo-icon-bucket' ],
                    [ 'entypo-icon-thermometer' ],
                    [ 'entypo-icon-key' ],
                    [ 'entypo-icon-flow-cascade' ],
                    [ 'entypo-icon-flow-branch' ],
                    [ 'entypo-icon-flow-tree' ],
                    [ 'entypo-icon-flow-line' ],
                    [ 'entypo-icon-flow-parallel' ],
                    [ 'entypo-icon-rocket' ],
                    [ 'entypo-icon-gauge' ],
                    [ 'entypo-icon-traffic-cone' ],
                    [ 'entypo-icon-cc' ],
                    [ 'entypo-icon-cc-by' ],
                    [ 'entypo-icon-cc-nc' ],
                    [ 'entypo-icon-cc-nc-eu' ],
                    [ 'entypo-icon-cc-nc-jp' ],
                    [ 'entypo-icon-cc-sa' ],
                    [ 'entypo-icon-cc-nd' ],
                    [ 'entypo-icon-cc-pd' ],
                    [ 'entypo-icon-cc-zero' ],
                    [ 'entypo-icon-cc-share' ],
                    [ 'entypo-icon-cc-remix' ],
                    [ 'entypo-icon-github' ],
                    [ 'entypo-icon-github-circled' ],
                    [ 'entypo-icon-flickr' ],
                    [ 'entypo-icon-flickr-circled' ],
                    [ 'entypo-icon-vimeo' ],
                    [ 'entypo-icon-vimeo-circled' ],
                    [ 'entypo-icon-twitter' ],
                    [ 'entypo-icon-twitter-circled' ],
                    [ 'entypo-icon-facebook' ],
                    [ 'entypo-icon-facebook-circled' ],
                    [ 'entypo-icon-facebook-squared' ],
                    [ 'entypo-icon-gplus' ],
                    [ 'entypo-icon-gplus-circled' ],
                    [ 'entypo-icon-pinterest' ],
                    [ 'entypo-icon-pinterest-circled' ],
                    [ 'entypo-icon-tumblr' ],
                    [ 'entypo-icon-tumblr-circled' ],
                    [ 'entypo-icon-linkedin' ],
                    [ 'entypo-icon-linkedin-circled' ],
                    [ 'entypo-icon-dribbble' ],
                    [ 'entypo-icon-dribbble-circled' ],
                    [ 'entypo-icon-stumbleupon' ],
                    [ 'entypo-icon-stumbleupon-circled' ],
                    [ 'entypo-icon-lastfm' ],
                    [ 'entypo-icon-lastfm-circled' ],
                    [ 'entypo-icon-rdio' ],
                    [ 'entypo-icon-rdio-circled' ],
                    [ 'entypo-icon-spotify' ],
                    [ 'entypo-icon-spotify-circled' ],
                    [ 'entypo-icon-qq' ],
                    [ 'entypo-icon-instagrem' ],
                    [ 'entypo-icon-dropbox' ],
                    [ 'entypo-icon-evernote' ],
                    [ 'entypo-icon-flattr' ],
                    [ 'entypo-icon-skype' ],
                    [ 'entypo-icon-skype-circled' ],
                    [ 'entypo-icon-renren' ],
                    [ 'entypo-icon-sina-weibo' ],
                    [ 'entypo-icon-paypal' ],
                    [ 'entypo-icon-picasa' ],
                    [ 'entypo-icon-soundcloud' ],
                    [ 'entypo-icon-mixi' ],
                    [ 'entypo-icon-behance' ],
                    [ 'entypo-icon-google-circles' ],
                    [ 'entypo-icon-vkontakte' ],
                    [ 'entypo-icon-smashing' ],
                    [ 'entypo-icon-sweden' ],
                    [ 'entypo-icon-db-shape' ],
                    [ 'entypo-icon-logo-db' ]
                ];

            break;

            case 'linecons':

                icons = [
                    [ 'vc_li-heart' ],
                    [ 'vc_li-cloud' ],
                    [ 'vc_li-star' ],
                    [ 'vc_li-tv' ],
                    [ 'vc_li-sound' ],
                    [ 'vc_li-video' ],
                    [ 'vc_li-trash' ],
                    [ 'vc_li-user' ],
                    [ 'vc_li-key' ],
                    [ 'vc_li-search' ],
                    [ 'vc_li-settings' ],
                    [ 'vc_li-camera' ],
                    [ 'vc_li-tag' ],
                    [ 'vc_li-lock' ],
                    [ 'vc_li-bulb' ],
                    [ 'vc_li-pen' ],
                    [ 'vc_li-diamond' ],
                    [ 'vc_li-display' ],
                    [ 'vc_li-location' ],
                    [ 'vc_li-eye' ],
                    [ 'vc_li-bubble' ],
                    [ 'vc_li-stack' ],
                    [ 'vc_li-cup' ],
                    [ 'vc_li-phone' ],
                    [ 'vc_li-news' ],
                    [ 'vc_li-mail' ],
                    [ 'vc_li-like' ],
                    [ 'vc_li-photo' ],
                    [ 'vc_li-note' ],
                    [ 'vc_li-clock' ],
                    [ 'vc_li-paperplane' ],
                    [ 'vc_li-params' ],
                    [ 'vc_li-banknote' ],
                    [ 'vc_li-data' ],
                    [ 'vc_li-music' ],
                    [ 'vc_li-megaphone' ],
                    [ 'vc_li-study' ],
                    [ 'vc_li-lab' ],
                    [ 'vc_li-food' ],
                    [ 'vc_li-t-shirt' ],
                    [ 'vc_li-fire' ],
                    [ 'vc_li-clip' ],
                    [ 'vc_li-shop' ],
                    [ 'vc_li-calendar' ],
                    [ 'vc_li-vallet' ],
                    [ 'vc_li-vynil' ],
                    [ 'vc_li-truck' ],
                    [ 'vc_li-world' ]
                ];

            break;

            case 'monosocial':

                icons = [
                    [ 'vc-mono-fivehundredpx' ],
                    [ 'vc-mono-aboutme' ],
                    [ 'vc-mono-addme' ],
                    [ 'vc-mono-amazon' ],
                    [ 'vc-mono-aol' ],
                    [ 'vc-mono-appstorealt' ],
                    [ 'vc-mono-appstore' ],
                    [ 'vc-mono-apple' ],
                    [ 'vc-mono-bebo' ],
                    [ 'vc-mono-behance' ],
                    [ 'vc-mono-bing' ],
                    [ 'vc-mono-blip' ],
                    [ 'vc-mono-blogger' ],
                    [ 'vc-mono-coroflot' ],
                    [ 'vc-mono-daytum' ],
                    [ 'vc-mono-delicious' ],
                    [ 'vc-mono-designbump' ],
                    [ 'vc-mono-designfloat' ],
                    [ 'vc-mono-deviantart' ],
                    [ 'vc-mono-diggalt' ],
                    [ 'vc-mono-digg' ],
                    [ 'vc-mono-dribble' ],
                    [ 'vc-mono-drupal' ],
                    [ 'vc-mono-ebay' ],
                    [ 'vc-mono-email' ],
                    [ 'vc-mono-emberapp' ],
                    [ 'vc-mono-etsy' ],
                    [ 'vc-mono-facebook' ],
                    [ 'vc-mono-feedburner' ],
                    [ 'vc-mono-flickr' ],
                    [ 'vc-mono-foodspotting' ],
                    [ 'vc-mono-forrst' ],
                    [ 'vc-mono-foursquare' ],
                    [ 'vc-mono-friendsfeed' ],
                    [ 'vc-mono-friendstar' ],
                    [ 'vc-mono-gdgt' ],
                    [ 'vc-mono-github' ],
                    [ 'vc-mono-githubalt' ],
                    [ 'vc-mono-googlebuzz' ],
                    [ 'vc-mono-googleplus' ],
                    [ 'vc-mono-googletalk' ],
                    [ 'vc-mono-gowallapin' ],
                    [ 'vc-mono-gowalla' ],
                    [ 'vc-mono-grooveshark' ],
                    [ 'vc-mono-heart' ],
                    [ 'vc-mono-hyves' ],
                    [ 'vc-mono-icondock' ],
                    [ 'vc-mono-icq' ],
                    [ 'vc-mono-identica' ],
                    [ 'vc-mono-imessage' ],
                    [ 'vc-mono-itunes' ],
                    [ 'vc-mono-lastfm' ],
                    [ 'vc-mono-linkedin' ],
                    [ 'vc-mono-meetup' ],
                    [ 'vc-mono-metacafe' ],
                    [ 'vc-mono-mixx' ],
                    [ 'vc-mono-mobileme' ],
                    [ 'vc-mono-mrwong' ],
                    [ 'vc-mono-msn' ],
                    [ 'vc-mono-myspace' ],
                    [ 'vc-mono-newsvine' ],
                    [ 'vc-mono-paypal' ],
                    [ 'vc-mono-photobucket' ],
                    [ 'vc-mono-picasa' ],
                    [ 'vc-mono-pinterest' ],
                    [ 'vc-mono-podcast' ],
                    [ 'vc-mono-posterous' ],
                    [ 'vc-mono-qik' ],
                    [ 'vc-mono-quora' ],
                    [ 'vc-mono-reddit' ],
                    [ 'vc-mono-retweet' ],
                    [ 'vc-mono-rss' ],
                    [ 'vc-mono-scribd' ],
                    [ 'vc-mono-sharethis' ],
                    [ 'vc-mono-skype' ],
                    [ 'vc-mono-slashdot' ],
                    [ 'vc-mono-slideshare' ],
                    [ 'vc-mono-smugmug' ],
                    [ 'vc-mono-soundcloud' ],
                    [ 'vc-mono-spotify' ],
                    [ 'vc-mono-squidoo' ],
                    [ 'vc-mono-stackoverflow' ],
                    [ 'vc-mono-star' ],
                    [ 'vc-mono-stumbleupon' ],
                    [ 'vc-mono-technorati' ],
                    [ 'vc-mono-tumblr' ],
                    [ 'vc-mono-twitterbird' ],
                    [ 'vc-mono-twitter' ],
                    [ 'vc-mono-viddler' ],
                    [ 'vc-mono-vimeo' ],
                    [ 'vc-mono-virb' ],
                    [ 'vc-mono-www' ],
                    [ 'vc-mono-wikipedia' ],
                    [ 'vc-mono-windows' ],
                    [ 'vc-mono-wordpress' ],
                    [ 'vc-mono-xing' ],
                    [ 'vc-mono-yahoobuzz' ],
                    [ 'vc-mono-yahoo' ],
                    [ 'vc-mono-yelp' ],
                    [ 'vc-mono-youtube' ],
                    [ 'vc-mono-instagram' ]
                ];

            break;

            case 'material':

                icons = [
                    [ 'vc-material-3d_rotation' ],
                    [ 'vc-material-ac_unit' ],
                    [ 'vc-material-alarm' ],
                    [ 'vc-material-access_alarms' ],
                    [ 'vc-material-schedule' ],
                    [ 'vc-material-accessibility' ],
                    [ 'vc-material-accessible' ],
                    [ 'vc-material-account_balance' ],
                    [ 'vc-material-account_balance_wallet' ],
                    [ 'vc-material-account_box' ],
                    [ 'vc-material-account_circle' ],
                    [ 'vc-material-adb' ],
                    [ 'vc-material-add' ],
                    [ 'vc-material-add_a_photo' ],
                    [ 'vc-material-alarm_add' ],
                    [ 'vc-material-add_alert' ],
                    [ 'vc-material-add_box' ],
                    [ 'vc-material-add_circle' ],
                    [ 'vc-material-control_point' ],
                    [ 'vc-material-add_location' ],
                    [ 'vc-material-add_shopping_cart' ],
                    [ 'vc-material-queue' ],
                    [ 'vc-material-add_to_queue' ],
                    [ 'vc-material-adjust' ],
                    [ 'vc-material-airline_seat_flat' ],
                    [ 'vc-material-airline_seat_flat_angled' ],
                    [ 'vc-material-airline_seat_individual_suite' ],
                    [ 'vc-material-airline_seat_legroom_extra' ],
                    [ 'vc-material-airline_seat_legroom_normal' ],
                    [ 'vc-material-airline_seat_legroom_reduced' ],
                    [ 'vc-material-airline_seat_recline_extra' ],
                    [ 'vc-material-airline_seat_recline_normal' ],
                    [ 'vc-material-flight' ],
                    [ 'vc-material-airplanemode_inactive' ],
                    [ 'vc-material-airplay' ],
                    [ 'vc-material-airport_shuttle' ],
                    [ 'vc-material-alarm_off' ],
                    [ 'vc-material-alarm_on' ],
                    [ 'vc-material-album' ],
                    [ 'vc-material-all_inclusive' ],
                    [ 'vc-material-all_out' ],
                    [ 'vc-material-android' ],
                    [ 'vc-material-announcement' ],
                    [ 'vc-material-apps' ],
                    [ 'vc-material-archive' ],
                    [ 'vc-material-arrow_back' ],
                    [ 'vc-material-arrow_downward' ],
                    [ 'vc-material-arrow_drop_down' ],
                    [ 'vc-material-arrow_drop_down_circle' ],
                    [ 'vc-material-arrow_drop_up' ],
                    [ 'vc-material-arrow_forward' ],
                    [ 'vc-material-arrow_upward' ],
                    [ 'vc-material-art_track' ],
                    [ 'vc-material-aspect_ratio' ],
                    [ 'vc-material-poll' ],
                    [ 'vc-material-assignment' ],
                    [ 'vc-material-assignment_ind' ],
                    [ 'vc-material-assignment_late' ],
                    [ 'vc-material-assignment_return' ],
                    [ 'vc-material-assignment_returned' ],
                    [ 'vc-material-assignment_turned_in' ],
                    [ 'vc-material-assistant' ],
                    [ 'vc-material-flag' ],
                    [ 'vc-material-attach_file' ],
                    [ 'vc-material-attach_money' ],
                    [ 'vc-material-attachment' ],
                    [ 'vc-material-audiotrack' ],
                    [ 'vc-material-autorenew' ],
                    [ 'vc-material-av_timer' ],
                    [ 'vc-material-backspace' ],
                    [ 'vc-material-cloud_upload' ],
                    [ 'vc-material-battery_alert' ],
                    [ 'vc-material-battery_charging_full' ],
                    [ 'vc-material-battery_std' ],
                    [ 'vc-material-battery_unknown' ],
                    [ 'vc-material-beach_access' ],
                    [ 'vc-material-beenhere' ],
                    [ 'vc-material-block' ],
                    [ 'vc-material-bluetooth' ],
                    [ 'vc-material-bluetooth_searching' ],
                    [ 'vc-material-bluetooth_connected' ],
                    [ 'vc-material-bluetooth_disabled' ],
                    [ 'vc-material-blur_circular' ],
                    [ 'vc-material-blur_linear' ],
                    [ 'vc-material-blur_off' ],
                    [ 'vc-material-blur_on' ],
                    [ 'vc-material-class' ],
                    [ 'vc-material-turned_in' ],
                    [ 'vc-material-turned_in_not' ],
                    [ 'vc-material-border_all' ],
                    [ 'vc-material-border_bottom' ],
                    [ 'vc-material-border_clear' ],
                    [ 'vc-material-border_color' ],
                    [ 'vc-material-border_horizontal' ],
                    [ 'vc-material-border_inner' ],
                    [ 'vc-material-border_left' ],
                    [ 'vc-material-border_outer' ],
                    [ 'vc-material-border_right' ],
                    [ 'vc-material-border_style' ],
                    [ 'vc-material-border_top' ],
                    [ 'vc-material-border_vertical' ],
                    [ 'vc-material-branding_watermark' ],
                    [ 'vc-material-brightness_1' ],
                    [ 'vc-material-brightness_2' ],
                    [ 'vc-material-brightness_3' ],
                    [ 'vc-material-brightness_4' ],
                    [ 'vc-material-brightness_low' ],
                    [ 'vc-material-brightness_medium' ],
                    [ 'vc-material-brightness_high' ],
                    [ 'vc-material-brightness_auto' ],
                    [ 'vc-material-broken_image' ],
                    [ 'vc-material-brush' ],
                    [ 'vc-material-bubble_chart' ],
                    [ 'vc-material-bug_report' ],
                    [ 'vc-material-build' ],
                    [ 'vc-material-burst_mode' ],
                    [ 'vc-material-domain' ],
                    [ 'vc-material-business_center' ],
                    [ 'vc-material-cached' ],
                    [ 'vc-material-cake' ],
                    [ 'vc-material-phone' ],
                    [ 'vc-material-call_end' ],
                    [ 'vc-material-call_made' ],
                    [ 'vc-material-merge_type' ],
                    [ 'vc-material-call_missed' ],
                    [ 'vc-material-call_missed_outgoing' ],
                    [ 'vc-material-call_received' ],
                    [ 'vc-material-call_split' ],
                    [ 'vc-material-call_to_action' ],
                    [ 'vc-material-camera' ],
                    [ 'vc-material-photo_camera' ],
                    [ 'vc-material-camera_enhance' ],
                    [ 'vc-material-camera_front' ],
                    [ 'vc-material-camera_rear' ],
                    [ 'vc-material-camera_roll' ],
                    [ 'vc-material-cancel' ],
                    [ 'vc-material-redeem' ],
                    [ 'vc-material-card_membership' ],
                    [ 'vc-material-card_travel' ],
                    [ 'vc-material-casino' ],
                    [ 'vc-material-cast' ],
                    [ 'vc-material-cast_connected' ],
                    [ 'vc-material-center_focus_strong' ],
                    [ 'vc-material-center_focus_weak' ],
                    [ 'vc-material-change_history' ],
                    [ 'vc-material-chat' ],
                    [ 'vc-material-chat_bubble' ],
                    [ 'vc-material-chat_bubble_outline' ],
                    [ 'vc-material-check' ],
                    [ 'vc-material-check_box' ],
                    [ 'vc-material-check_box_outline_blank' ],
                    [ 'vc-material-check_circle' ],
                    [ 'vc-material-navigate_before' ],
                    [ 'vc-material-navigate_next' ],
                    [ 'vc-material-child_care' ],
                    [ 'vc-material-child_friendly' ],
                    [ 'vc-material-chrome_reader_mode' ],
                    [ 'vc-material-close' ],
                    [ 'vc-material-clear_all' ],
                    [ 'vc-material-closed_caption' ],
                    [ 'vc-material-wb_cloudy' ],
                    [ 'vc-material-cloud_circle' ],
                    [ 'vc-material-cloud_done' ],
                    [ 'vc-material-cloud_download' ],
                    [ 'vc-material-cloud_off' ],
                    [ 'vc-material-cloud_queue' ],
                    [ 'vc-material-code' ],
                    [ 'vc-material-photo_library' ],
                    [ 'vc-material-collections_bookmark' ],
                    [ 'vc-material-palette' ],
                    [ 'vc-material-colorize' ],
                    [ 'vc-material-comment' ],
                    [ 'vc-material-compare' ],
                    [ 'vc-material-compare_arrows' ],
                    [ 'vc-material-laptop' ],
                    [ 'vc-material-confirmation_number' ],
                    [ 'vc-material-contact_mail' ],
                    [ 'vc-material-contact_phone' ],
                    [ 'vc-material-contacts' ],
                    [ 'vc-material-content_copy' ],
                    [ 'vc-material-content_cut' ],
                    [ 'vc-material-content_paste' ],
                    [ 'vc-material-control_point_duplicate' ],
                    [ 'vc-material-copyright' ],
                    [ 'vc-material-mode_edit' ],
                    [ 'vc-material-create_new_folder' ],
                    [ 'vc-material-payment' ],
                    [ 'vc-material-crop' ],
                    [ 'vc-material-crop_16_9' ],
                    [ 'vc-material-crop_3_2' ],
                    [ 'vc-material-crop_landscape' ],
                    [ 'vc-material-crop_7_5' ],
                    [ 'vc-material-crop_din' ],
                    [ 'vc-material-crop_free' ],
                    [ 'vc-material-crop_original' ],
                    [ 'vc-material-crop_portrait' ],
                    [ 'vc-material-crop_rotate' ],
                    [ 'vc-material-crop_square' ],
                    [ 'vc-material-dashboard' ],
                    [ 'vc-material-data_usage' ],
                    [ 'vc-material-date_range' ],
                    [ 'vc-material-dehaze' ],
                    [ 'vc-material-delete' ],
                    [ 'vc-material-delete_forever' ],
                    [ 'vc-material-delete_sweep' ],
                    [ 'vc-material-description' ],
                    [ 'vc-material-desktop_mac' ],
                    [ 'vc-material-desktop_windows' ],
                    [ 'vc-material-details' ],
                    [ 'vc-material-developer_board' ],
                    [ 'vc-material-developer_mode' ],
                    [ 'vc-material-device_hub' ],
                    [ 'vc-material-phonelink' ],
                    [ 'vc-material-devices_other' ],
                    [ 'vc-material-dialer_sip' ],
                    [ 'vc-material-dialpad' ],
                    [ 'vc-material-directions' ],
                    [ 'vc-material-directions_bike' ],
                    [ 'vc-material-directions_boat' ],
                    [ 'vc-material-directions_bus' ],
                    [ 'vc-material-directions_car' ],
                    [ 'vc-material-directions_railway' ],
                    [ 'vc-material-directions_run' ],
                    [ 'vc-material-directions_transit' ],
                    [ 'vc-material-directions_walk' ],
                    [ 'vc-material-disc_full' ],
                    [ 'vc-material-dns' ],
                    [ 'vc-material-not_interested' ],
                    [ 'vc-material-do_not_disturb_alt' ],
                    [ 'vc-material-do_not_disturb_off' ],
                    [ 'vc-material-remove_circle' ],
                    [ 'vc-material-dock' ],
                    [ 'vc-material-done' ],
                    [ 'vc-material-done_all' ],
                    [ 'vc-material-donut_large' ],
                    [ 'vc-material-donut_small' ],
                    [ 'vc-material-drafts' ],
                    [ 'vc-material-drag_handle' ],
                    [ 'vc-material-time_to_leave' ],
                    [ 'vc-material-dvr' ],
                    [ 'vc-material-edit_location' ],
                    [ 'vc-material-eject' ],
                    [ 'vc-material-markunread' ],
                    [ 'vc-material-enhanced_encryption' ],
                    [ 'vc-material-equalizer' ],
                    [ 'vc-material-error' ],
                    [ 'vc-material-error_outline' ],
                    [ 'vc-material-euro_symbol' ],
                    [ 'vc-material-ev_station' ],
                    [ 'vc-material-insert_invitation' ],
                    [ 'vc-material-event_available' ],
                    [ 'vc-material-event_busy' ],
                    [ 'vc-material-event_note' ],
                    [ 'vc-material-event_seat' ],
                    [ 'vc-material-exit_to_app' ],
                    [ 'vc-material-expand_less' ],
                    [ 'vc-material-expand_more' ],
                    [ 'vc-material-explicit' ],
                    [ 'vc-material-explore' ],
                    [ 'vc-material-exposure' ],
                    [ 'vc-material-exposure_neg_1' ],
                    [ 'vc-material-exposure_neg_2' ],
                    [ 'vc-material-exposure_plus_1' ],
                    [ 'vc-material-exposure_plus_2' ],
                    [ 'vc-material-exposure_zero' ],
                    [ 'vc-material-extension' ],
                    [ 'vc-material-face' ],
                    [ 'vc-material-fast_forward' ],
                    [ 'vc-material-fast_rewind' ],
                    [ 'vc-material-favorite' ],
                    [ 'vc-material-favorite_border' ],
                    [ 'vc-material-featured_play_list' ],
                    [ 'vc-material-featured_video' ],
                    [ 'vc-material-sms_failed' ],
                    [ 'vc-material-fiber_dvr' ],
                    [ 'vc-material-fiber_manual_record' ],
                    [ 'vc-material-fiber_new' ],
                    [ 'vc-material-fiber_pin' ],
                    [ 'vc-material-fiber_smart_record' ],
                    [ 'vc-material-get_app' ],
                    [ 'vc-material-file_upload' ],
                    [ 'vc-material-filter' ],
                    [ 'vc-material-filter_1' ],
                    [ 'vc-material-filter_2' ],
                    [ 'vc-material-filter_3' ],
                    [ 'vc-material-filter_4' ],
                    [ 'vc-material-filter_5' ],
                    [ 'vc-material-filter_6' ],
                    [ 'vc-material-filter_7' ],
                    [ 'vc-material-filter_8' ],
                    [ 'vc-material-filter_9' ],
                    [ 'vc-material-filter_9_plus' ],
                    [ 'vc-material-filter_b_and_w' ],
                    [ 'vc-material-filter_center_focus' ],
                    [ 'vc-material-filter_drama' ],
                    [ 'vc-material-filter_frames' ],
                    [ 'vc-material-terrain' ],
                    [ 'vc-material-filter_list' ],
                    [ 'vc-material-filter_none' ],
                    [ 'vc-material-filter_tilt_shift' ],
                    [ 'vc-material-filter_vintage' ],
                    [ 'vc-material-find_in_page' ],
                    [ 'vc-material-find_replace' ],
                    [ 'vc-material-fingerprint' ],
                    [ 'vc-material-first_page' ],
                    [ 'vc-material-fitness_center' ],
                    [ 'vc-material-flare' ],
                    [ 'vc-material-flash_auto' ],
                    [ 'vc-material-flash_off' ],
                    [ 'vc-material-flash_on' ],
                    [ 'vc-material-flight_land' ],
                    [ 'vc-material-flight_takeoff' ],
                    [ 'vc-material-flip' ],
                    [ 'vc-material-flip_to_back' ],
                    [ 'vc-material-flip_to_front' ],
                    [ 'vc-material-folder' ],
                    [ 'vc-material-folder_open' ],
                    [ 'vc-material-folder_shared' ],
                    [ 'vc-material-folder_special' ],
                    [ 'vc-material-font_download' ],
                    [ 'vc-material-format_align_center' ],
                    [ 'vc-material-format_align_justify' ],
                    [ 'vc-material-format_align_left' ],
                    [ 'vc-material-format_align_right' ],
                    [ 'vc-material-format_bold' ],
                    [ 'vc-material-format_clear' ],
                    [ 'vc-material-format_color_fill' ],
                    [ 'vc-material-format_color_reset' ],
                    [ 'vc-material-format_color_text' ],
                    [ 'vc-material-format_indent_decrease' ],
                    [ 'vc-material-format_indent_increase' ],
                    [ 'vc-material-format_italic' ],
                    [ 'vc-material-format_line_spacing' ],
                    [ 'vc-material-format_list_bulleted' ],
                    [ 'vc-material-format_list_numbered' ],
                    [ 'vc-material-format_paint' ],
                    [ 'vc-material-format_quote' ],
                    [ 'vc-material-format_shapes' ],
                    [ 'vc-material-format_size' ],
                    [ 'vc-material-format_strikethrough' ],
                    [ 'vc-material-format_textdirection_l_to_r' ],
                    [ 'vc-material-format_textdirection_r_to_l' ],
                    [ 'vc-material-format_underlined' ],
                    [ 'vc-material-question_answer' ],
                    [ 'vc-material-forward' ],
                    [ 'vc-material-forward_10' ],
                    [ 'vc-material-forward_30' ],
                    [ 'vc-material-forward_5' ],
                    [ 'vc-material-free_breakfast' ],
                    [ 'vc-material-fullscreen' ],
                    [ 'vc-material-fullscreen_exit' ],
                    [ 'vc-material-functions' ],
                    [ 'vc-material-g_translate' ],
                    [ 'vc-material-games' ],
                    [ 'vc-material-gavel' ],
                    [ 'vc-material-gesture' ],
                    [ 'vc-material-gif' ],
                    [ 'vc-material-goat' ],
                    [ 'vc-material-golf_course' ],
                    [ 'vc-material-my_location' ],
                    [ 'vc-material-location_searching' ],
                    [ 'vc-material-location_disabled' ],
                    [ 'vc-material-star' ],
                    [ 'vc-material-gradient' ],
                    [ 'vc-material-grain' ],
                    [ 'vc-material-graphic_eq' ],
                    [ 'vc-material-grid_off' ],
                    [ 'vc-material-grid_on' ],
                    [ 'vc-material-people' ],
                    [ 'vc-material-group_add' ],
                    [ 'vc-material-group_work' ],
                    [ 'vc-material-hd' ],
                    [ 'vc-material-hdr_off' ],
                    [ 'vc-material-hdr_on' ],
                    [ 'vc-material-hdr_strong' ],
                    [ 'vc-material-hdr_weak' ],
                    [ 'vc-material-headset' ],
                    [ 'vc-material-headset_mic' ],
                    [ 'vc-material-healing' ],
                    [ 'vc-material-hearing' ],
                    [ 'vc-material-help' ],
                    [ 'vc-material-help_outline' ],
                    [ 'vc-material-high_quality' ],
                    [ 'vc-material-highlight' ],
                    [ 'vc-material-highlight_off' ],
                    [ 'vc-material-restore' ],
                    [ 'vc-material-home' ],
                    [ 'vc-material-hot_tub' ],
                    [ 'vc-material-local_hotel' ],
                    [ 'vc-material-hourglass_empty' ],
                    [ 'vc-material-hourglass_full' ],
                    [ 'vc-material-http' ],
                    [ 'vc-material-lock' ],
                    [ 'vc-material-photo' ],
                    [ 'vc-material-image_aspect_ratio' ],
                    [ 'vc-material-import_contacts' ],
                    [ 'vc-material-import_export' ],
                    [ 'vc-material-important_devices' ],
                    [ 'vc-material-inbox' ],
                    [ 'vc-material-indeterminate_check_box' ],
                    [ 'vc-material-info' ],
                    [ 'vc-material-info_outline' ],
                    [ 'vc-material-input' ],
                    [ 'vc-material-insert_comment' ],
                    [ 'vc-material-insert_drive_file' ],
                    [ 'vc-material-tag_faces' ],
                    [ 'vc-material-link' ],
                    [ 'vc-material-invert_colors' ],
                    [ 'vc-material-invert_colors_off' ],
                    [ 'vc-material-iso' ],
                    [ 'vc-material-keyboard' ],
                    [ 'vc-material-keyboard_arrow_down' ],
                    [ 'vc-material-keyboard_arrow_left' ],
                    [ 'vc-material-keyboard_arrow_right' ],
                    [ 'vc-material-keyboard_arrow_up' ],
                    [ 'vc-material-keyboard_backspace' ],
                    [ 'vc-material-keyboard_capslock' ],
                    [ 'vc-material-keyboard_hide' ],
                    [ 'vc-material-keyboard_return' ],
                    [ 'vc-material-keyboard_tab' ],
                    [ 'vc-material-keyboard_voice' ],
                    [ 'vc-material-kitchen' ],
                    [ 'vc-material-label' ],
                    [ 'vc-material-label_outline' ],
                    [ 'vc-material-language' ],
                    [ 'vc-material-laptop_chromebook' ],
                    [ 'vc-material-laptop_mac' ],
                    [ 'vc-material-laptop_windows' ],
                    [ 'vc-material-last_page' ],
                    [ 'vc-material-open_in_new' ],
                    [ 'vc-material-layers' ],
                    [ 'vc-material-layers_clear' ],
                    [ 'vc-material-leak_add' ],
                    [ 'vc-material-leak_remove' ],
                    [ 'vc-material-lens' ],
                    [ 'vc-material-library_books' ],
                    [ 'vc-material-library_music' ],
                    [ 'vc-material-lightbulb_outline' ],
                    [ 'vc-material-line_style' ],
                    [ 'vc-material-line_weight' ],
                    [ 'vc-material-linear_scale' ],
                    [ 'vc-material-linked_camera' ],
                    [ 'vc-material-list' ],
                    [ 'vc-material-live_help' ],
                    [ 'vc-material-live_tv' ],
                    [ 'vc-material-local_play' ],
                    [ 'vc-material-local_airport' ],
                    [ 'vc-material-local_atm' ],
                    [ 'vc-material-local_bar' ],
                    [ 'vc-material-local_cafe' ],
                    [ 'vc-material-local_car_wash' ],
                    [ 'vc-material-local_convenience_store' ],
                    [ 'vc-material-restaurant_menu' ],
                    [ 'vc-material-local_drink' ],
                    [ 'vc-material-local_florist' ],
                    [ 'vc-material-local_gas_station' ],
                    [ 'vc-material-shopping_cart' ],
                    [ 'vc-material-local_hospital' ],
                    [ 'vc-material-local_laundry_service' ],
                    [ 'vc-material-local_library' ],
                    [ 'vc-material-local_mall' ],
                    [ 'vc-material-theaters' ],
                    [ 'vc-material-local_offer' ],
                    [ 'vc-material-local_parking' ],
                    [ 'vc-material-local_pharmacy' ],
                    [ 'vc-material-local_pizza' ],
                    [ 'vc-material-print' ],
                    [ 'vc-material-local_shipping' ],
                    [ 'vc-material-local_taxi' ],
                    [ 'vc-material-location_city' ],
                    [ 'vc-material-location_off' ],
                    [ 'vc-material-room' ],
                    [ 'vc-material-lock_open' ],
                    [ 'vc-material-lock_outline' ],
                    [ 'vc-material-looks' ],
                    [ 'vc-material-looks_3' ],
                    [ 'vc-material-looks_4' ],
                    [ 'vc-material-looks_5' ],
                    [ 'vc-material-looks_6' ],
                    [ 'vc-material-looks_one' ],
                    [ 'vc-material-looks_two' ],
                    [ 'vc-material-sync' ],
                    [ 'vc-material-loupe' ],
                    [ 'vc-material-low_priority' ],
                    [ 'vc-material-loyalty' ],
                    [ 'vc-material-mail_outline' ],
                    [ 'vc-material-map' ],
                    [ 'vc-material-markunread_mailbox' ],
                    [ 'vc-material-memory' ],
                    [ 'vc-material-menu' ],
                    [ 'vc-material-message' ],
                    [ 'vc-material-mic' ],
                    [ 'vc-material-mic_none' ],
                    [ 'vc-material-mic_off' ],
                    [ 'vc-material-mms' ],
                    [ 'vc-material-mode_comment' ],
                    [ 'vc-material-monetization_on' ],
                    [ 'vc-material-money_off' ],
                    [ 'vc-material-monochrome_photos' ],
                    [ 'vc-material-mood_bad' ],
                    [ 'vc-material-more' ],
                    [ 'vc-material-more_horiz' ],
                    [ 'vc-material-more_vert' ],
                    [ 'vc-material-motorcycle' ],
                    [ 'vc-material-mouse' ],
                    [ 'vc-material-move_to_inbox' ],
                    [ 'vc-material-movie_creation' ],
                    [ 'vc-material-movie_filter' ],
                    [ 'vc-material-multiline_chart' ],
                    [ 'vc-material-music_note' ],
                    [ 'vc-material-music_video' ],
                    [ 'vc-material-nature' ],
                    [ 'vc-material-nature_people' ],
                    [ 'vc-material-navigation' ],
                    [ 'vc-material-near_me' ],
                    [ 'vc-material-network_cell' ],
                    [ 'vc-material-network_check' ],
                    [ 'vc-material-network_locked' ],
                    [ 'vc-material-network_wifi' ],
                    [ 'vc-material-new_releases' ],
                    [ 'vc-material-next_week' ],
                    [ 'vc-material-nfc' ],
                    [ 'vc-material-no_encryption' ],
                    [ 'vc-material-signal_cellular_no_sim' ],
                    [ 'vc-material-note' ],
                    [ 'vc-material-note_add' ],
                    [ 'vc-material-notifications' ],
                    [ 'vc-material-notifications_active' ],
                    [ 'vc-material-notifications_none' ],
                    [ 'vc-material-notifications_off' ],
                    [ 'vc-material-notifications_paused' ],
                    [ 'vc-material-offline_pin' ],
                    [ 'vc-material-ondemand_video' ],
                    [ 'vc-material-opacity' ],
                    [ 'vc-material-open_in_browser' ],
                    [ 'vc-material-open_with' ],
                    [ 'vc-material-pages' ],
                    [ 'vc-material-pageview' ],
                    [ 'vc-material-pan_tool' ],
                    [ 'vc-material-panorama' ],
                    [ 'vc-material-radio_button_unchecked' ],
                    [ 'vc-material-panorama_horizontal' ],
                    [ 'vc-material-panorama_vertical' ],
                    [ 'vc-material-panorama_wide_angle' ],
                    [ 'vc-material-party_mode' ],
                    [ 'vc-material-pause' ],
                    [ 'vc-material-pause_circle_filled' ],
                    [ 'vc-material-pause_circle_outline' ],
                    [ 'vc-material-people_outline' ],
                    [ 'vc-material-perm_camera_mic' ],
                    [ 'vc-material-perm_contact_calendar' ],
                    [ 'vc-material-perm_data_setting' ],
                    [ 'vc-material-perm_device_information' ],
                    [ 'vc-material-person_outline' ],
                    [ 'vc-material-perm_media' ],
                    [ 'vc-material-perm_phone_msg' ],
                    [ 'vc-material-perm_scan_wifi' ],
                    [ 'vc-material-person' ],
                    [ 'vc-material-person_add' ],
                    [ 'vc-material-person_pin' ],
                    [ 'vc-material-person_pin_circle' ],
                    [ 'vc-material-personal_video' ],
                    [ 'vc-material-pets' ],
                    [ 'vc-material-phone_android' ],
                    [ 'vc-material-phone_bluetooth_speaker' ],
                    [ 'vc-material-phone_forwarded' ],
                    [ 'vc-material-phone_in_talk' ],
                    [ 'vc-material-phone_iphone' ],
                    [ 'vc-material-phone_locked' ],
                    [ 'vc-material-phone_missed' ],
                    [ 'vc-material-phone_paused' ],
                    [ 'vc-material-phonelink_erase' ],
                    [ 'vc-material-phonelink_lock' ],
                    [ 'vc-material-phonelink_off' ],
                    [ 'vc-material-phonelink_ring' ],
                    [ 'vc-material-phonelink_setup' ],
                    [ 'vc-material-photo_album' ],
                    [ 'vc-material-photo_filter' ],
                    [ 'vc-material-photo_size_select_actual' ],
                    [ 'vc-material-photo_size_select_large' ],
                    [ 'vc-material-photo_size_select_small' ],
                    [ 'vc-material-picture_as_pdf' ],
                    [ 'vc-material-picture_in_picture' ],
                    [ 'vc-material-picture_in_picture_alt' ],
                    [ 'vc-material-pie_chart' ],
                    [ 'vc-material-pie_chart_outlined' ],
                    [ 'vc-material-pin_drop' ],
                    [ 'vc-material-play_arrow' ],
                    [ 'vc-material-play_circle_filled' ],
                    [ 'vc-material-play_circle_outline' ],
                    [ 'vc-material-play_for_work' ],
                    [ 'vc-material-playlist_add' ],
                    [ 'vc-material-playlist_add_check' ],
                    [ 'vc-material-playlist_play' ],
                    [ 'vc-material-plus_one' ],
                    [ 'vc-material-polymer' ],
                    [ 'vc-material-pool' ],
                    [ 'vc-material-portable_wifi_off' ],
                    [ 'vc-material-portrait' ],
                    [ 'vc-material-power' ],
                    [ 'vc-material-power_input' ],
                    [ 'vc-material-power_settings_new' ],
                    [ 'vc-material-pregnant_woman' ],
                    [ 'vc-material-present_to_all' ],
                    [ 'vc-material-priority_high' ],
                    [ 'vc-material-public' ],
                    [ 'vc-material-publish' ],
                    [ 'vc-material-queue_music' ],
                    [ 'vc-material-queue_play_next' ],
                    [ 'vc-material-radio' ],
                    [ 'vc-material-radio_button_checked' ],
                    [ 'vc-material-rate_review' ],
                    [ 'vc-material-receipt' ],
                    [ 'vc-material-recent_actors' ],
                    [ 'vc-material-record_voice_over' ],
                    [ 'vc-material-redo' ],
                    [ 'vc-material-refresh' ],
                    [ 'vc-material-remove' ],
                    [ 'vc-material-remove_circle_outline' ],
                    [ 'vc-material-remove_from_queue' ],
                    [ 'vc-material-visibility' ],
                    [ 'vc-material-remove_shopping_cart' ],
                    [ 'vc-material-reorder' ],
                    [ 'vc-material-repeat' ],
                    [ 'vc-material-repeat_one' ],
                    [ 'vc-material-replay' ],
                    [ 'vc-material-replay_10' ],
                    [ 'vc-material-replay_30' ],
                    [ 'vc-material-replay_5' ],
                    [ 'vc-material-reply' ],
                    [ 'vc-material-reply_all' ],
                    [ 'vc-material-report' ],
                    [ 'vc-material-warning' ],
                    [ 'vc-material-restaurant' ],
                    [ 'vc-material-restore_page' ],
                    [ 'vc-material-ring_volume' ],
                    [ 'vc-material-room_service' ],
                    [ 'vc-material-rotate_90_degrees_ccw' ],
                    [ 'vc-material-rotate_left' ],
                    [ 'vc-material-rotate_right' ],
                    [ 'vc-material-rounded_corner' ],
                    [ 'vc-material-router' ],
                    [ 'vc-material-rowing' ],
                    [ 'vc-material-rss_feed' ],
                    [ 'vc-material-rv_hookup' ],
                    [ 'vc-material-satellite' ],
                    [ 'vc-material-save' ],
                    [ 'vc-material-scanner' ],
                    [ 'vc-material-school' ],
                    [ 'vc-material-screen_lock_landscape' ],
                    [ 'vc-material-screen_lock_portrait' ],
                    [ 'vc-material-screen_lock_rotation' ],
                    [ 'vc-material-screen_rotation' ],
                    [ 'vc-material-screen_share' ],
                    [ 'vc-material-sd_storage' ],
                    [ 'vc-material-search' ],
                    [ 'vc-material-security' ],
                    [ 'vc-material-select_all' ],
                    [ 'vc-material-send' ],
                    [ 'vc-material-sentiment_dissatisfied' ],
                    [ 'vc-material-sentiment_neutral' ],
                    [ 'vc-material-sentiment_satisfied' ],
                    [ 'vc-material-sentiment_very_dissatisfied' ],
                    [ 'vc-material-sentiment_very_satisfied' ],
                    [ 'vc-material-settings' ],
                    [ 'vc-material-settings_applications' ],
                    [ 'vc-material-settings_backup_restore' ],
                    [ 'vc-material-settings_bluetooth' ],
                    [ 'vc-material-settings_brightness' ],
                    [ 'vc-material-settings_cell' ],
                    [ 'vc-material-settings_ethernet' ],
                    [ 'vc-material-settings_input_antenna' ],
                    [ 'vc-material-settings_input_composite' ],
                    [ 'vc-material-settings_input_hdmi' ],
                    [ 'vc-material-settings_input_svideo' ],
                    [ 'vc-material-settings_overscan' ],
                    [ 'vc-material-settings_phone' ],
                    [ 'vc-material-settings_power' ],
                    [ 'vc-material-settings_remote' ],
                    [ 'vc-material-settings_system_daydream' ],
                    [ 'vc-material-settings_voice' ],
                    [ 'vc-material-share' ],
                    [ 'vc-material-shop' ],
                    [ 'vc-material-shop_two' ],
                    [ 'vc-material-shopping_basket' ],
                    [ 'vc-material-short_text' ],
                    [ 'vc-material-show_chart' ],
                    [ 'vc-material-shuffle' ],
                    [ 'vc-material-signal_cellular_4_bar' ],
                    [ 'vc-material-signal_cellular_connected_no_internet_4_bar' ],
                    [ 'vc-material-signal_cellular_null' ],
                    [ 'vc-material-signal_cellular_off' ],
                    [ 'vc-material-signal_wifi_4_bar' ],
                    [ 'vc-material-signal_wifi_4_bar_lock' ],
                    [ 'vc-material-signal_wifi_off' ],
                    [ 'vc-material-sim_card' ],
                    [ 'vc-material-sim_card_alert' ],
                    [ 'vc-material-skip_next' ],
                    [ 'vc-material-skip_previous' ],
                    [ 'vc-material-slideshow' ],
                    [ 'vc-material-slow_motion_video' ],
                    [ 'vc-material-stay_primary_portrait' ],
                    [ 'vc-material-smoke_free' ],
                    [ 'vc-material-smoking_rooms' ],
                    [ 'vc-material-textsms' ],
                    [ 'vc-material-snooze' ],
                    [ 'vc-material-sort' ],
                    [ 'vc-material-sort_by_alpha' ],
                    [ 'vc-material-spa' ],
                    [ 'vc-material-space_bar' ],
                    [ 'vc-material-speaker' ],
                    [ 'vc-material-speaker_group' ],
                    [ 'vc-material-speaker_notes' ],
                    [ 'vc-material-speaker_notes_off' ],
                    [ 'vc-material-speaker_phone' ],
                    [ 'vc-material-spellcheck' ],
                    [ 'vc-material-star_border' ],
                    [ 'vc-material-star_half' ],
                    [ 'vc-material-stars' ],
                    [ 'vc-material-stay_primary_landscape' ],
                    [ 'vc-material-stop' ],
                    [ 'vc-material-stop_screen_share' ],
                    [ 'vc-material-storage' ],
                    [ 'vc-material-store_mall_directory' ],
                    [ 'vc-material-straighten' ],
                    [ 'vc-material-streetview' ],
                    [ 'vc-material-strikethrough_s' ],
                    [ 'vc-material-style' ],
                    [ 'vc-material-subdirectory_arrow_left' ],
                    [ 'vc-material-subdirectory_arrow_right' ],
                    [ 'vc-material-subject' ],
                    [ 'vc-material-subscriptions' ],
                    [ 'vc-material-subtitles' ],
                    [ 'vc-material-subway' ],
                    [ 'vc-material-supervisor_account' ],
                    [ 'vc-material-surround_sound' ],
                    [ 'vc-material-swap_calls' ],
                    [ 'vc-material-swap_horiz' ],
                    [ 'vc-material-swap_vert' ],
                    [ 'vc-material-swap_vertical_circle' ],
                    [ 'vc-material-switch_camera' ],
                    [ 'vc-material-switch_video' ],
                    [ 'vc-material-sync_disabled' ],
                    [ 'vc-material-sync_problem' ],
                    [ 'vc-material-system_update' ],
                    [ 'vc-material-system_update_alt' ],
                    [ 'vc-material-tab' ],
                    [ 'vc-material-tab_unselected' ],
                    [ 'vc-material-tablet' ],
                    [ 'vc-material-tablet_android' ],
                    [ 'vc-material-tablet_mac' ],
                    [ 'vc-material-tap_and_play' ],
                    [ 'vc-material-text_fields' ],
                    [ 'vc-material-text_format' ],
                    [ 'vc-material-texture' ],
                    [ 'vc-material-thumb_down' ],
                    [ 'vc-material-thumb_up' ],
                    [ 'vc-material-thumbs_up_down' ],
                    [ 'vc-material-timelapse' ],
                    [ 'vc-material-timeline' ],
                    [ 'vc-material-timer' ],
                    [ 'vc-material-timer_10' ],
                    [ 'vc-material-timer_3' ],
                    [ 'vc-material-timer_off' ],
                    [ 'vc-material-title' ],
                    [ 'vc-material-toc' ],
                    [ 'vc-material-today' ],
                    [ 'vc-material-toll' ],
                    [ 'vc-material-tonality' ],
                    [ 'vc-material-touch_app' ],
                    [ 'vc-material-toys' ],
                    [ 'vc-material-track_changes' ],
                    [ 'vc-material-traffic' ],
                    [ 'vc-material-train' ],
                    [ 'vc-material-tram' ],
                    [ 'vc-material-transfer_within_a_station' ],
                    [ 'vc-material-transform' ],
                    [ 'vc-material-translate' ],
                    [ 'vc-material-trending_down' ],
                    [ 'vc-material-trending_flat' ],
                    [ 'vc-material-trending_up' ],
                    [ 'vc-material-tune' ],
                    [ 'vc-material-tv' ],
                    [ 'vc-material-unarchive' ],
                    [ 'vc-material-undo' ],
                    [ 'vc-material-unfold_less' ],
                    [ 'vc-material-unfold_more' ],
                    [ 'vc-material-update' ],
                    [ 'vc-material-usb' ],
                    [ 'vc-material-verified_user' ],
                    [ 'vc-material-vertical_align_bottom' ],
                    [ 'vc-material-vertical_align_center' ],
                    [ 'vc-material-vertical_align_top' ],
                    [ 'vc-material-vibration' ],
                    [ 'vc-material-video_call' ],
                    [ 'vc-material-video_label' ],
                    [ 'vc-material-video_library' ],
                    [ 'vc-material-videocam' ],
                    [ 'vc-material-videocam_off' ],
                    [ 'vc-material-videogame_asset' ],
                    [ 'vc-material-view_agenda' ],
                    [ 'vc-material-view_array' ],
                    [ 'vc-material-view_carousel' ],
                    [ 'vc-material-view_column' ],
                    [ 'vc-material-view_comfy' ],
                    [ 'vc-material-view_compact' ],
                    [ 'vc-material-view_day' ],
                    [ 'vc-material-view_headline' ],
                    [ 'vc-material-view_list' ],
                    [ 'vc-material-view_module' ],
                    [ 'vc-material-view_quilt' ],
                    [ 'vc-material-view_stream' ],
                    [ 'vc-material-view_week' ],
                    [ 'vc-material-vignette' ],
                    [ 'vc-material-visibility_off' ],
                    [ 'vc-material-voice_chat' ],
                    [ 'vc-material-voicemail' ],
                    [ 'vc-material-volume_down' ],
                    [ 'vc-material-volume_mute' ],
                    [ 'vc-material-volume_off' ],
                    [ 'vc-material-volume_up' ],
                    [ 'vc-material-vpn_key' ],
                    [ 'vc-material-vpn_lock' ],
                    [ 'vc-material-wallpaper' ],
                    [ 'vc-material-watch' ],
                    [ 'vc-material-watch_later' ],
                    [ 'vc-material-wb_auto' ],
                    [ 'vc-material-wb_incandescent' ],
                    [ 'vc-material-wb_iridescent' ],
                    [ 'vc-material-wb_sunny' ],
                    [ 'vc-material-wc' ],
                    [ 'vc-material-web' ],
                    [ 'vc-material-web_asset' ],
                    [ 'vc-material-weekend' ],
                    [ 'vc-material-whatshot' ],
                    [ 'vc-material-widgets' ],
                    [ 'vc-material-wifi' ],
                    [ 'vc-material-wifi_lock' ],
                    [ 'vc-material-wifi_tethering' ],
                    [ 'vc-material-work' ],
                    [ 'vc-material-wrap_text' ],
                    [ 'vc-material-youtube_searched_for' ],
                    [ 'vc-material-zoom_in' ],
                    [ 'vc-material-zoom_out' ],
                    [ 'vc-material-zoom_out_map' ]
                ];

            break;

            default:

                icons = typeof ueldo_custom_icons[library] != 'undefined' ? ueldo_custom_icons[library] : [];

            break;
        }

        return( icons );
    };

   /**
    *
    * get icon slug
    *
    */

    $.UeldoPredefinedSectionsGetIconLibrarySlug = function( library ) {

        var icon_slug = '';
        switch( library ) {

            case 'fontawesome': icon_slug = 'fa'; break;
            case 'openiconic': icon_slug = 'vc-oi'; break;
            case 'typicons': icon_slug = 'typcn'; break;
            case 'entypo': icon_slug = 'entypo-icon'; break;
            case 'linecons': icon_slug = 'vc_li'; break;
            case 'monosocial': icon_slug = 'vc-mono'; break;
            case 'material': icon_slug = 'vc-material'; break;
        }

        return( icon_slug );
    };

   /**
    *
    * display icons for iconpicker
    *
    */

    $( 'body' ).on( 'click', '.ueldo-predefined-sections-iconpicker-button', function() {

        var iconpicker = $( this ).parents( '.ueldo-predefined-sections-iconpicker' );
        var library = iconpicker.data( 'icon-library' );
        var icons = $.UeldoPredefinedSectionsGetIconPickerIcons( library );
        var iconlist = iconpicker.find( '.ueldo-predefined-sections-iconpicker-icons-list' );
        var iconlistContainer = iconlist.find( '.ueldo-predefined-sections-iconpicker-icons-list-container' );

        if( iconlist.data( 'visible' ) == 'no' ) {

            var icon_slug = $.UeldoPredefinedSectionsGetIconLibrarySlug( library );
            for( var i = 0; i < icons.length; i++ ) {

                var icon = icons[i][0];
                var iconSearch = icons[i][0];

                if( Array.isArray( icons[i] ) == true ) {

                    for( var j = 1; j < icons[i].length; j++ ) {

                        iconSearch = iconSearch +' '+ icons[i][j];
                    }
                }

                iconlistContainer.append( '<span class="ueldo-predefined-sections-iconpicker-icons-list-single-icon" data-icon-search="'+ iconSearch +'" data-icon-class="'+ icon +'" data-visible="yes"><i class="'+ icon_slug +' '+ icon +'"></i></span>' );
            }

            iconlistContainer.find( '.ueldo-predefined-sections-iconpicker-icons-list-not-found-icons' ).remove();
            iconlistContainer.append( '<span class="ueldo-predefined-sections-iconpicker-icons-list-not-found-icons" data-visible="no">'+ ueldo_predefined_sections_javascript_functions_l10n.not_found_any_icons +'</span>' );

            iconlist.data( 'visible', 'yes' ).attr( 'data-visible', 'yes' );
            iconpicker.addClass( 'ueldo-predefined-sections-iconpicker-active' );

            $.UeldoPredefinedSectionsUpdateLastIconsStylesForIconPicker( iconlist );
        }

        else {

            iconlist.data( 'visible', 'no' ).attr( 'data-visible', 'no' );
            iconlist.find( 'input[type="text"]' ).val( '' ).attr( 'value', '' );
            iconlistContainer.find( '.ueldo-predefined-sections-iconpicker-icons-list-single-icon' ).remove();
            iconlistContainer.find( '.ueldo-predefined-sections-iconpicker-icons-list-not-found-icons' ).remove();
            iconpicker.removeClass( 'ueldo-predefined-sections-iconpicker-active' );
        }

    });

   /**
    *
    * filter the icons in iconpicker
    *
    */

    $( 'body' ).on( 'input', '.ueldo-predefined-sections-iconpicker .ueldo-predefined-sections-iconpicker-icons-list input[type="text"]', function() {

        var searchField = $( this );
        var searchFieldValue = searchField.val();
        var iconpicker = searchField.parents( '.ueldo-predefined-sections-iconpicker' );
        var iconlist = iconpicker.find( '.ueldo-predefined-sections-iconpicker-icons-list' );
        var anyIconFound = false;

        iconlist.find( '.ueldo-predefined-sections-iconpicker-icons-list-single-icon' ).each( function() {

            var singleIcon = $( this );
            var singleIconSearch = singleIcon.data( 'icon-search' );

            if( singleIconSearch.indexOf( searchFieldValue.toLowerCase() ) < 0 ) singleIcon.data( 'visible', 'no' ).attr( 'data-visible', 'no' );
            else {

                singleIcon.data( 'visible', 'yes' ).attr( 'data-visible', 'yes' );
                anyIconFound = true;
            }

        });

        if( anyIconFound == false ) iconlist.find( '.ueldo-predefined-sections-iconpicker-icons-list-not-found-icons' ).data( 'visible', 'yes' ).attr( 'data-visible', 'yes' );
        else iconlist.find( '.ueldo-predefined-sections-iconpicker-icons-list-not-found-icons' ).data( 'visible', 'no' ).attr( 'data-visible', 'no' );

        $.UeldoPredefinedSectionsUpdateLastIconsStylesForIconPicker( iconlist );

    });

   /**
    *
    * update styles for last in row and last in list icons
    *
    */

    $.UeldoPredefinedSectionsUpdateLastIconsStylesForIconPicker = function( iconpicker ) {

        var nth = 0;
        var iconsVisible = iconpicker.find( '.ueldo-predefined-sections-iconpicker-icons-list-single-icon[data-visible="yes"]' );

        var mod = iconsVisible.length % 8;
        if( mod == 0 && iconsVisible.length == 8 ) mod = 8;

        iconsVisible.css({ 'border-bottom': '' });
        if( mod !== 0 ) {

            for( var i = 0; i < mod; i++ ) {

                $( iconsVisible[(iconsVisible.length - 1 - i)] ).css({ 'border-bottom': 'none' });
            }
        }

        iconpicker.find( '.ueldo-predefined-sections-iconpicker-icons-list-single-icon' ).each( function() {

            var singleIcon = $( this );

            if( singleIcon.data( 'visible' ) == 'no' ) {

                singleIcon.css({ 'border-right': '', 'border-left': '', 'width': '' });
            }

            else {

                if( nth == 7 ) {

                    nth = 0;
                    singleIcon.css({ 'border-right': 'none', 'border-left': 'none', 'width': '12.5%' });
                }

                else {

                    nth += 1;
                    singleIcon.css({ 'border-right': '', 'border-left': '', 'width': '' });
                }
            }

        });

    };

   /**
    *
    * select icon
    *
    */

    $( 'body' ).on( 'click', '.ueldo-predefined-sections-iconpicker .ueldo-predefined-sections-iconpicker-icons-list-single-icon', function() {

        var iconOption = $( this );
        var iconClass = iconOption.data( 'icon-class' );
        var iconpicker = iconOption.parents( '.ueldo-predefined-sections-iconpicker' );
        var iconlist = iconpicker.find( '.ueldo-predefined-sections-iconpicker-icons-list' );
        var button = iconpicker.find( '.ueldo-predefined-sections-iconpicker-button' );
        var library = iconpicker.data( 'icon-library' );
        var icon_slug = $.UeldoPredefinedSectionsGetIconLibrarySlug( library );

        button.find( 'i' ).removeClass().addClass( icon_slug +' '+ iconClass );
        button.find( 'input[type="hidden"]' ).val( icon_slug +' '+ iconClass ).attr( 'value', icon_slug +' '+ iconClass );

        iconlist.data( 'visible', 'no' ).attr( 'data-visible', 'no' );
        iconlist.find( 'input[type="text"]' ).val( '' ).attr( 'value', '' );
        iconlist.find( '.ueldo-predefined-sections-iconpicker-icons-list-single-icon' ).remove();

        iconpicker.removeClass( 'ueldo-predefined-sections-iconpicker-active' );

    });

   /**
    *
    * choose icon library
    *
    */

    $( 'body' ).on( 'change', 'select.ueldo-predefined-sections-popup-clarifications-flaticon-icons-replacements-icon-library-selector', function() {

        var field = $( this );
        var library = field.val();
        var fieldGroup = field.parents( 'tr' );
        var iconpicker = fieldGroup.find( '.ueldo-predefined-sections-iconpicker' );
        var iconlist = iconpicker.find( '.ueldo-predefined-sections-iconpicker-icons-list' );

        var icon_slug = $.UeldoPredefinedSectionsGetIconLibrarySlug( library );
        var icons = $.UeldoPredefinedSectionsGetIconPickerIcons( library );
        var newIconClass = icon_slug +' '+ icons[0];

        iconpicker.data( 'icon-library', library ).attr( 'data-icon-library', library );
        iconpicker.find( '.ueldo-predefined-sections-iconpicker-selected-icon i' ).removeClass().addClass( newIconClass );
        iconpicker.find( '.ueldo-predefined-sections-iconpicker-button input[type="hidden"]' ).val( newIconClass ).attr( 'value', newIconClass );

        iconlist.data( 'visible', 'no' ).attr( 'data-visible', 'no' );
        iconlist.find( 'input[type="text"]' ).val( '' ).attr( 'value', '' );
        iconlist.find( '.ueldo-predefined-sections-iconpicker-icons-list-single-icon' ).remove();

    });

   /**
    *
    * choose option in clarification popup
    *
    */

    $( 'body' ).on( 'click', '#ueldo-predefined-sections-popup-clarifications .ueldo-predefined-sections-popup-clarifications-choose-options .ueldo-predefined-sections-popup-clarifications-choose-options-single-option:not(.ueldo-predefined-sections-popup-clarifications-choose-options-single-option-chosen)', function() {

        var option = $( this );
        var options = option.parents( '.ueldo-predefined-sections-popup-clarifications-choose-options' );

        options.find( '.ueldo-predefined-sections-popup-clarifications-choose-options-single-option.ueldo-predefined-sections-popup-clarifications-choose-options-single-option-chosen' ).removeClass( 'ueldo-predefined-sections-popup-clarifications-choose-options-single-option-chosen' );
        option.addClass( 'ueldo-predefined-sections-popup-clarifications-choose-options-single-option-chosen' );

    });

   /**
    *
    * display error notice on demand
    *
    */

    $.UeldoPredefinedSectionsDisplayErrorNotice = function( notice ) {

        var errorPopup = $( '#ueldo-predefined-sections-popup-error-notice' );

        $( '#ueldo-predefined-sections-popup .ueldo-predefined-sections-popup-content-loader-animation' ).addClass( 'ueldo-predefined-sections-popup-content-loader-animation-hidden' );

        errorPopup.find( 'p.ueldo-predefined-sections-popup-error-notice-content-text' ).html( notice );
        errorPopup.addClass( 'ueldo-predefined-sections-popup-error-notice-visible' );
    };

   /**
    *
    * close error notice on click
    *
    */

    $( 'body' ).on( 'click', '#ueldo-predefined-sections-popup #ueldo-predefined-sections-popup-error-notice button.media-modal-close', function() {

        var errorPopup = $( '#ueldo-predefined-sections-popup-error-notice' );
        errorPopup.animate({ 'opacity': '0' }, { duration: '150', complete: function() {

            errorPopup.removeClass( 'ueldo-predefined-sections-popup-error-notice-visible' ).css({ 'opacity': '' });
            errorPopup.find( 'p.ueldo-predefined-sections-popup-error-notice-content-text' ).text( '' );

        } });

    });

   /**
    *
    * add section to editor
    *
    */

    $.UeldoPredefinedSectionsAddSectionToEditor = function( shortcode ) {

        if( ueldoTinyMCEActiveEditor == false ) {

            ueldoTinyMCEActiveEditor = $.UeldoGetTinyMCEInstance( 'content' );
            if( ueldoTinyMCEActiveEditor == false ) {

                $.UeldoPredefinedSectionsDisplayErrorNotice( ueldo_predefined_sections_javascript_functions_l10n.couldnt_get_editor_instance );
                return;
            }
        }

        var editor = $( '#content' );
        var editorContent = editor.val();
        var newContent = $.UeldoPredefinedSectionsPrepareNewContent( editorContent, shortcode );

        editor.val( newContent );
        setTimeout( function() {

            ueldoTinyMCEActiveEditor.setContent( newContent );
            vc.events.trigger( 'vc:backend_editor:show' );

            setTimeout( function() {

                $.UeldoClosePredefinedSectionsPopup();
                $( '#ueldo-predefined-sections-popup .ueldo-predefined-sections-popup-content-loader-animation' ).addClass( 'ueldo-predefined-sections-popup-content-loader-animation-hidden' );

            }, 150 );

        }, 300 );

    };

   /**
    *
    * add selected section
    *
    */

    $( 'body' ).on( 'click', '#ueldo-predefined-sections-popup .ueldo-predefined-sections-popup-content-elements-single-element', function( event ) {

        if( $( event.target ).is( '.ueldo-predefined-sections-popup-content-elements-single-element-preview-clear' ) || $( event.target ).is( '.ueldo-predefined-sections-popup-content-elements-single-element-preview-usage-example' ) || $( event.target ).is( '.ueldo-predefined-sections-popup-content-elements-single-element-preview-description' ) ) return;
        $( '#ueldo-predefined-sections-popup .ueldo-predefined-sections-popup-content-loader-animation' ).removeClass( 'ueldo-predefined-sections-popup-content-loader-animation-hidden' );

        var section = $( this );
        var sectionID = section.data( 'element-id' );
        var sectionType = $( '#ueldo-predefined-sections-popup .ueldo-predefined-sections-popup-two-options-selector .ueldo-predefined-sections-popup-two-options-selector-option-first' ).data( 'active' ) == 'yes' ? 'clear' : 'demo-like';

        $.ajax({
            url: ueldo_predefined_sections_javascript_functions_l10n.ajax_file_path,
            data: { 'clarified': 'no', 'section_id': sectionID, 'section_type': sectionType },
            type: 'post',
            success: function( output ) {

                try {

                    var json = $.parseJSON( output );

                    if( typeof json.needClarification == 'undefined' ) $.UeldoPredefinedSectionsDisplayErrorNotice( output );
                    else {

                        switch( json.needClarification ) {

                            case 'yes': $.UeldoPredefinedSectionsDisplayPopupClarifications( sectionID, json.clarifications ); break;
                            case 'no': $.UeldoPredefinedSectionsAddSectionToEditor( json.shortcode ); break;
                        }
                    }
                }

                catch( exception ) {

                    $.UeldoPredefinedSectionsDisplayErrorNotice( output );
                }
            }

        });

    });

   /**
    *
    * close popup with clarifications on click on "close" button
    *
    */

    $( 'body' ).on( 'click', '#ueldo-predefined-sections-popup-clarifications .ueldo-predefined-sections-popup-clarifications-content-actions .ueldo-predefined-sections-popup-clarifications-content-actions-button.ueldo-predefined-sections-popup-clarifications-content-actions-button-cancel', function() {

        $.UeldoPredefinedSectionsCloseClarificationsPopup( true );

    });

   /**
    *
    * close popup with clarifications
    *
    */

    $.UeldoPredefinedSectionsCloseClarificationsPopup = function( animate ) {

        var popup = $( '#ueldo-predefined-sections-popup-clarifications' );
        if( animate == true ) {

            popup.animate({ 'opacity': '0' }, { duration: '150', complete: function() {

                popup.removeClass( 'ueldo-predefined-sections-popup-clarifications-visible' ).css({ 'opacity': '' });
                popup.find( '.ueldo-predefined-sections-popup-clarifications-content-issues' ).html( '' );
                popup.data( 'element-id', '' ).removeAttr( 'data-element-id' );

            } });
        }

        else {

            popup.removeClass( 'ueldo-predefined-sections-popup-clarifications-visible' ).css({ 'opacity': '' });
            setTimeout( function() {

                popup.find( '.ueldo-predefined-sections-popup-clarifications-content-issues' ).html( '' );
                popup.data( 'element-id', '' ).removeAttr( 'data-element-id' );

            }, 300 );
        }

    };

   /**
    *
    * display popup with clarifications
    *
    */

    $.UeldoPredefinedSectionsDisplayPopupClarifications = function( sectionID, clarifications ) {

        var popup = $( '#ueldo-predefined-sections-popup-clarifications' );
        var popupContentIssues = popup.find( '.ueldo-predefined-sections-popup-clarifications-content-issues' );
        var clarification_no = 1;
        var customIconTypesOptions = $.UeldoGetAdditionalOptionsForCustomIconTypes();

        popup.data( 'element-id', sectionID ).attr( 'data-element-id', sectionID );

        $.each( clarifications, function( id, value ) {

            var clarification_issue_no = ( clarification_no < 10 ? '0'+ clarification_no : clarification_no ) +'.';
            var clarificationHTML = '';

            switch( value.type ) {

                case 'icon_not_found':

                    var records_content = '';
                    $.each( value.records, function( record_id, record_value ) {

                        var icon_key = record_value.icon_key.join( ' / ' );

                        records_content += '<tr data-record-id="'+ record_value.dynamic_element_id +'"><td><strong>'+ ueldo_predefined_sections_javascript_functions_l10n.icon +'</strong> <a href="'+ record_value.icon_url +'" target="_blank">'+ icon_key +'</a></td><td><strong>'+ ueldo_predefined_sections_javascript_functions_l10n.replace_with_icon_from_library +'</strong><select name="" class="ueldo-predefined-sections-popup-clarifications-flaticon-icons-replacements-icon-library-selector"><option value="fontawesome" selected="selected">'+ ueldo_predefined_sections_javascript_functions_l10n.fontawesome +'</option><option value="openiconic">'+ ueldo_predefined_sections_javascript_functions_l10n.openiconic +'</option><option value="typicons">'+ ueldo_predefined_sections_javascript_functions_l10n.typicons +'</option><option value="entypo">'+ ueldo_predefined_sections_javascript_functions_l10n.entypo +'</option><option value="linecons">'+ ueldo_predefined_sections_javascript_functions_l10n.linecons +'</option><option value="monosocial">'+ ueldo_predefined_sections_javascript_functions_l10n.monosocial +'</option><option value="material">'+ ueldo_predefined_sections_javascript_functions_l10n.material +'</option>'+ customIconTypesOptions +'</select><strong>'+ ueldo_predefined_sections_javascript_functions_l10n.use_this_icon_instead +'</strong><div class="ueldo-predefined-sections-iconpicker" data-icon-library="fontawesome"><div class="ueldo-predefined-sections-iconpicker-button"><span class="ueldo-predefined-sections-iconpicker-selected-icon"><i class="fa fa-long-arrow-right"></i></span><input type="hidden" name="" value="fa fa-long-arrow-right" /></div><div class="ueldo-predefined-sections-iconpicker-icons-list" data-visible="no"><input type="text" name="" placeholder="'+ ueldo_predefined_sections_javascript_functions_l10n.search +'" /><div class="ueldo-predefined-sections-iconpicker-icons-list-container"></div></div></div></td></tr>';

                    });

                    clarificationHTML += '<div class="ueldo-predefined-sections-popup-clarifications-content-issues-single-issue" data-clarification-id="'+ id +'" data-clarification-type="icon_not_found"><div class="ueldo-predefined-sections-popup-clarifications-content-issues-single-issue-heading"><span class="ueldo-predefined-sections-popup-clarifications-content-issues-single-issue-heading-no">'+ clarification_issue_no +'</span><h4>'+ ueldo_predefined_sections_javascript_functions_l10n.couldnt_find_some_flaticon_icons +'</h4><p>'+ ueldo_predefined_sections_javascript_functions_l10n.this_icons_can_not_be_found_in_any_of_libraries_installed_on_this_website +'</p></div><div class="ueldo-predefined-sections-popup-clarifications-question"><span class="ueldo-predefined-sections-popup-clarifications-question-title">'+ ueldo_predefined_sections_javascript_functions_l10n.why_it_is_not_included +'</span><span class="ueldo-predefined-sections-popup-clarifications-question-answer">'+ ueldo_predefined_sections_javascript_functions_l10n.why_it_is_not_included_answer +'</span></div> <div class="ueldo-predefined-sections-popup-clarifications-question"><span class="ueldo-predefined-sections-popup-clarifications-question-title">'+ ueldo_predefined_sections_javascript_functions_l10n.how_to_include_it +'</span><span class="ueldo-predefined-sections-popup-clarifications-question-answer">'+ ueldo_predefined_sections_javascript_functions_l10n.how_to_include_it_answer +'</span></div><table class="ueldo-predefined-sections-popup-clarifications-flaticon-icons-replacements">'+ records_content +'</table></div>';

                break;

                case 'duplicated_icon':

                    var records_content = '';
                    var is_first_record = true;

                    $.each( value.possible_icons, function( record_id, record_value ) {

                        records_content += '<div class="ueldo-predefined-sections-popup-clarifications-choose-options-single-option '+ ( is_first_record == true ? 'ueldo-predefined-sections-popup-clarifications-choose-options-single-option-chosen' : '' ) +'" data-record-id="'+ record_id +'"><i class="'+ record_value.icon_key +'"></i><span><strong>'+ ueldo_predefined_sections_javascript_functions_l10n.icons_pack +'</strong> '+ record_value.icon_font_name +'</span></div>';

                        is_first_record = false;

                    });

                    clarificationHTML += '<div class="ueldo-predefined-sections-popup-clarifications-content-issues-single-issue" data-clarification-id="'+ value.dynamic_element_id +'" data-clarification-type="duplicated_icon"><div class="ueldo-predefined-sections-popup-clarifications-content-issues-single-issue-heading"><span class="ueldo-predefined-sections-popup-clarifications-content-issues-single-issue-heading-no">'+ clarification_issue_no +'</span><h4>'+ $.UeldoPredefinedSectionsReplaceIconNameAndUrlInString( ueldo_predefined_sections_javascript_functions_l10n.more_than_one_possible_icon_found, value.icon_key, false ) +'</h4><p>'+ $.UeldoPredefinedSectionsReplaceIconNameAndUrlInString( ueldo_predefined_sections_javascript_functions_l10n.more_than_one_possible_icon_found_description, value.icon_key, value.icon_url ) +'</p></div><div class="ueldo-predefined-sections-popup-clarifications-choose-options">'+ records_content +'</div></div>';

                break;

                case 'google_map':

                    var records_content = '';
                    var is_first_record = true;

                    $.each( value.possible_maps, function( record_id, record_value ) {

                        records_content += '<div class="ueldo-predefined-sections-popup-clarifications-choose-options-single-option '+ ( is_first_record == true ? 'ueldo-predefined-sections-popup-clarifications-choose-options-single-option-chosen' : '' ) +'" data-record-id="'+ record_id +'"><span><strong>'+ ueldo_predefined_sections_javascript_functions_l10n.map +'</strong> '+ record_value.map_title +' ('+ ueldo_predefined_sections_javascript_functions_l10n.id +' '+ record_value.map_id +')</span></div>';

                        is_first_record = false;

                    });

                    clarificationHTML += '<div class="ueldo-predefined-sections-popup-clarifications-content-issues-single-issue" data-clarification-id="'+ value.dynamic_element_id +'" data-clarification-type="google_map"><div class="ueldo-predefined-sections-popup-clarifications-content-issues-single-issue-heading"><span class="ueldo-predefined-sections-popup-clarifications-content-issues-single-issue-heading-no">'+ clarification_issue_no +'</span><h4>'+ ueldo_predefined_sections_javascript_functions_l10n.choose_the_google_map_for_this_section + ( value.context_string != false ? ' ('+ ueldo_predefined_sections_javascript_functions_l10n.context +' '+ value.context_string +')' : '' ) +'</h4><p>'+ ueldo_predefined_sections_javascript_functions_l10n.choose_the_google_map_for_this_section_description +'</p></div><div class="ueldo-predefined-sections-popup-clarifications-choose-options">'+ records_content +'<div class="ueldo-predefined-sections-popup-clarifications-choose-options-single-option '+ ( is_first_record == true ? 'ueldo-predefined-sections-popup-clarifications-choose-options-single-option-chosen' : '' ) +'" data-record-id="default"><span>'+ ueldo_predefined_sections_javascript_functions_l10n.create_and_use_new_google_map_default_for_this_section +'</span></div><div class="ueldo-predefined-sections-popup-clarifications-choose-options-single-option" data-record-id="later"><span>'+ ueldo_predefined_sections_javascript_functions_l10n.ill_do_it_later_manually +'</span></div></div></div>';

                break;

                case 'contact_form_7':

                    var records_content = '';
                    var is_first_record = true;

                    $.each( value.possible_forms, function( record_id, record_value ) {

                        records_content += '<div class="ueldo-predefined-sections-popup-clarifications-choose-options-single-option '+ ( is_first_record == true ? 'ueldo-predefined-sections-popup-clarifications-choose-options-single-option-chosen' : '' ) +'" data-record-id="'+ record_id +'"><span><strong>'+ ueldo_predefined_sections_javascript_functions_l10n.form +'</strong> '+ record_value.form_title +' ('+ ueldo_predefined_sections_javascript_functions_l10n.id +' '+ record_value.form_id +')</span></div>';

                        is_first_record = false;

                    });

                    clarificationHTML += '<div class="ueldo-predefined-sections-popup-clarifications-content-issues-single-issue" data-clarification-id="'+ value.dynamic_element_id +'" data-clarification-type="contact_form_7"><div class="ueldo-predefined-sections-popup-clarifications-content-issues-single-issue-heading"><span class="ueldo-predefined-sections-popup-clarifications-content-issues-single-issue-heading-no">'+ clarification_issue_no +'</span><h4>'+ ueldo_predefined_sections_javascript_functions_l10n.choose_the_contact_form_for_this_section +'</h4><p>'+ ueldo_predefined_sections_javascript_functions_l10n.choose_the_contact_form_for_this_section_description +'</p></div><div class="ueldo-predefined-sections-popup-clarifications-choose-options">'+ records_content +'<div class="ueldo-predefined-sections-popup-clarifications-choose-options-single-option '+ ( is_first_record == true ? 'ueldo-predefined-sections-popup-clarifications-choose-options-single-option-chosen' : '' ) +'" data-record-id="default"><span>'+ ueldo_predefined_sections_javascript_functions_l10n.create_and_use_new_contact_form_default_for_this_section +'</span></div><div class="ueldo-predefined-sections-popup-clarifications-choose-options-single-option" data-record-id="later"><span>'+ ueldo_predefined_sections_javascript_functions_l10n.ill_do_it_later_manually +'</span></div></div></div>';

                break;

                case 'image':

                    var records_content = '';
                    var is_first_record = true;

                    $.each( value.possible_images, function( record_id, record_value ) {

                        records_content += '<div class="ueldo-predefined-sections-popup-clarifications-choose-options-single-option '+ ( is_first_record == true ? 'ueldo-predefined-sections-popup-clarifications-choose-options-single-option-chosen' : '' ) +'" data-record-id="'+ record_id +'"><span><strong>'+ ueldo_predefined_sections_javascript_functions_l10n.image +'</strong> '+ record_value.image_title +' (<a href="'+ ueldo_predefined_sections_javascript_functions_l10n.media_upload_item_details_base_url + record_value.image_id +'" target="_blank">'+ ueldo_predefined_sections_javascript_functions_l10n.id +' '+ record_value.image_id +'</a>)</span></div>';

                        is_first_record = false;

                    });

                    clarificationHTML += '<div class="ueldo-predefined-sections-popup-clarifications-content-issues-single-issue" data-clarification-id="'+ value.dynamic_element_id +'" data-clarification-type="image"><div class="ueldo-predefined-sections-popup-clarifications-content-issues-single-issue-heading"><span class="ueldo-predefined-sections-popup-clarifications-content-issues-single-issue-heading-no">'+ clarification_issue_no +'</span><h4>'+ ueldo_predefined_sections_javascript_functions_l10n.choose_the_image_for_this_section + ( value.context_string != false ? ' ('+ ueldo_predefined_sections_javascript_functions_l10n.context +' '+ value.context_string +')' : '' ) +'</h4><p>'+ ueldo_predefined_sections_javascript_functions_l10n.choose_the_image_for_this_section_description +'</p></div><div class="ueldo-predefined-sections-popup-clarifications-choose-options">'+ records_content +'<div class="ueldo-predefined-sections-popup-clarifications-choose-options-single-option '+ ( is_first_record == true ? 'ueldo-predefined-sections-popup-clarifications-choose-options-single-option-chosen' : '' ) +'" data-record-id="default"><span>'+ ueldo_predefined_sections_javascript_functions_l10n.use_default_image_for_this_section +'</span></div><div class="ueldo-predefined-sections-popup-clarifications-choose-options-single-option" data-record-id="later"><span>'+ ueldo_predefined_sections_javascript_functions_l10n.ill_do_it_later_manually +'</span></div></div></div>';

                break;

                case 'revslider':

                    var records_content = '';
                    var is_first_record = true;

                    $.each( value.possible_sliders, function( record_id, record_value ) {

                        records_content += '<div class="ueldo-predefined-sections-popup-clarifications-choose-options-single-option '+ ( is_first_record == true ? 'ueldo-predefined-sections-popup-clarifications-choose-options-single-option-chosen' : '' ) +'" data-record-id="'+ record_id +'"><span><strong>'+ ueldo_predefined_sections_javascript_functions_l10n.slider +'</strong> '+ record_value.slider_title +' ('+ ueldo_predefined_sections_javascript_functions_l10n.id +' '+ record_value.slider_id +', '+ ueldo_predefined_sections_javascript_functions_l10n.alias +' '+ record_value.slider_alias +')</span></div>';

                        is_first_record = false;

                    });

                    clarificationHTML += '<div class="ueldo-predefined-sections-popup-clarifications-content-issues-single-issue" data-clarification-id="'+ value.dynamic_element_id +'" data-clarification-type="revslider"><div class="ueldo-predefined-sections-popup-clarifications-content-issues-single-issue-heading"><span class="ueldo-predefined-sections-popup-clarifications-content-issues-single-issue-heading-no">'+ clarification_issue_no +'</span><h4>'+ ueldo_predefined_sections_javascript_functions_l10n.choose_the_revslider_for_this_section + ( value.context_string != false ? ' ('+ ueldo_predefined_sections_javascript_functions_l10n.context +' '+ value.context_string +')' : '' ) +'</h4><p>'+ ueldo_predefined_sections_javascript_functions_l10n.choose_the_revslider_for_this_section_description +'</p></div><div class="ueldo-predefined-sections-popup-clarifications-choose-options">'+ records_content +'<div class="ueldo-predefined-sections-popup-clarifications-choose-options-single-option '+ ( is_first_record == true ? 'ueldo-predefined-sections-popup-clarifications-choose-options-single-option-chosen' : '' ) +'" data-record-id="default"><span>'+ ueldo_predefined_sections_javascript_functions_l10n.upload_and_use_new_revslider_default_for_this_section +'</span></div><div class="ueldo-predefined-sections-popup-clarifications-choose-options-single-option" data-record-id="later"><span>'+ ueldo_predefined_sections_javascript_functions_l10n.ill_do_it_later_manually +'</span></div></div></div>';

                break;

                case 'menu':

                    var records_content = '';
                    var is_first_record = true;

                    $.each( value.possible_menus, function( record_id, record_value ) {

                        records_content += '<div class="ueldo-predefined-sections-popup-clarifications-choose-options-single-option '+ ( is_first_record == true ? 'ueldo-predefined-sections-popup-clarifications-choose-options-single-option-chosen' : '' ) +'" data-record-id="'+ record_id +'"><span><strong>'+ ueldo_predefined_sections_javascript_functions_l10n.menu +'</strong> '+ record_value.menu_title +' ('+ ueldo_predefined_sections_javascript_functions_l10n.id +' '+ record_value.menu_id +', '+ ueldo_predefined_sections_javascript_functions_l10n.alias +' '+ record_value.menu_slug +')</span></div>';

                        is_first_record = false;

                    });

                    clarificationHTML += '<div class="ueldo-predefined-sections-popup-clarifications-content-issues-single-issue" data-clarification-id="'+ value.dynamic_element_id +'" data-clarification-type="menu"><div class="ueldo-predefined-sections-popup-clarifications-content-issues-single-issue-heading"><span class="ueldo-predefined-sections-popup-clarifications-content-issues-single-issue-heading-no">'+ clarification_issue_no +'</span><h4>'+ ueldo_predefined_sections_javascript_functions_l10n.choose_the_menu_for_this_section + ( value.context_string != false ? ' ('+ ueldo_predefined_sections_javascript_functions_l10n.context +' '+ value.context_string +')' : '' ) +'</h4><p>'+ ueldo_predefined_sections_javascript_functions_l10n.choose_the_menu_for_this_section_description +'</p></div><div class="ueldo-predefined-sections-popup-clarifications-choose-options">'+ records_content +'<div class="ueldo-predefined-sections-popup-clarifications-choose-options-single-option '+ ( is_first_record == true ? 'ueldo-predefined-sections-popup-clarifications-choose-options-single-option-chosen' : '' ) +'" data-record-id="default"><span>'+ ueldo_predefined_sections_javascript_functions_l10n.create_and_use_new_menu_default_for_this_section +'</span></div><div class="ueldo-predefined-sections-popup-clarifications-choose-options-single-option" data-record-id="later"><span>'+ ueldo_predefined_sections_javascript_functions_l10n.ill_do_it_later_manually +'</span></div></div></div>';

                break;

                case 'mc4wp':

                    var records_content = '';
                    var is_first_record = true;

                    $.each( value.possible_forms, function( record_id, record_value ) {

                        records_content += '<div class="ueldo-predefined-sections-popup-clarifications-choose-options-single-option '+ ( is_first_record == true ? 'ueldo-predefined-sections-popup-clarifications-choose-options-single-option-chosen' : '' ) +'" data-record-id="'+ record_id +'"><span><strong>'+ ueldo_predefined_sections_javascript_functions_l10n.form +'</strong> '+ record_value.form_title +' ('+ ueldo_predefined_sections_javascript_functions_l10n.id +' '+ record_value.form_id +')</span></div>';

                        is_first_record = false;

                    });

                    clarificationHTML += '<div class="ueldo-predefined-sections-popup-clarifications-content-issues-single-issue" data-clarification-id="'+ value.dynamic_element_id +'" data-clarification-type="mc4wp"><div class="ueldo-predefined-sections-popup-clarifications-content-issues-single-issue-heading"><span class="ueldo-predefined-sections-popup-clarifications-content-issues-single-issue-heading-no">'+ clarification_issue_no +'</span><h4>'+ ueldo_predefined_sections_javascript_functions_l10n.choose_the_mc4wp_form_for_this_section +'</h4><p>'+ ueldo_predefined_sections_javascript_functions_l10n.choose_the_mc4wp_form_for_this_section_description +'</p></div><div class="ueldo-predefined-sections-popup-clarifications-choose-options">'+ records_content +'<div class="ueldo-predefined-sections-popup-clarifications-choose-options-single-option '+ ( is_first_record == true ? 'ueldo-predefined-sections-popup-clarifications-choose-options-single-option-chosen' : '' ) +'" data-record-id="default"><span>'+ ueldo_predefined_sections_javascript_functions_l10n.create_and_use_new_mc4wp_form_default_for_this_section + ( value.possible_forms.length > 0 ? '<div class="ueldo-predefined-sections-popup-clarifications-choose-options-single-option-notice">'+ ueldo_predefined_sections_javascript_functions_l10n.mc4wp_free_version_notice +'</div>' : '' ) +'</span></div><div class="ueldo-predefined-sections-popup-clarifications-choose-options-single-option" data-record-id="later"><span>'+ ueldo_predefined_sections_javascript_functions_l10n.ill_do_it_later_manually +'</span></div></div></div>';

                break;

                case 'openinghours':

                    var records_content = '';
                    var is_first_record = true;

                    $.each( value.possible_statuses, function( record_id, record_value ) {

                        records_content += '<div class="ueldo-predefined-sections-popup-clarifications-choose-options-single-option '+ ( is_first_record == true ? 'ueldo-predefined-sections-popup-clarifications-choose-options-single-option-chosen' : '' ) +'" data-record-id="'+ record_id +'"><span><strong>'+ ueldo_predefined_sections_javascript_functions_l10n.opening_hours_status +'</strong> '+ record_value.status_title +' ('+ ueldo_predefined_sections_javascript_functions_l10n.id +' '+ record_value.status_id +')</span></div>';

                        is_first_record = false;

                    });

                    clarificationHTML += '<div class="ueldo-predefined-sections-popup-clarifications-content-issues-single-issue" data-clarification-id="'+ value.dynamic_element_id +'" data-clarification-type="openinghours"><div class="ueldo-predefined-sections-popup-clarifications-content-issues-single-issue-heading"><span class="ueldo-predefined-sections-popup-clarifications-content-issues-single-issue-heading-no">'+ clarification_issue_no +'</span><h4>'+ ueldo_predefined_sections_javascript_functions_l10n.choose_the_opening_hours_status_for_this_section +'</h4><p>'+ ueldo_predefined_sections_javascript_functions_l10n.choose_the_opening_hours_status_for_this_section_description +'</p></div><div class="ueldo-predefined-sections-popup-clarifications-choose-options">'+ records_content +'<div class="ueldo-predefined-sections-popup-clarifications-choose-options-single-option '+ ( is_first_record == true ? 'ueldo-predefined-sections-popup-clarifications-choose-options-single-option-chosen' : '' ) +'" data-record-id="default"><span>'+ ueldo_predefined_sections_javascript_functions_l10n.create_and_use_new_opening_hours_status_default_for_this_section +'</span></div><div class="ueldo-predefined-sections-popup-clarifications-choose-options-single-option" data-record-id="later"><span>'+ ueldo_predefined_sections_javascript_functions_l10n.ill_do_it_later_manually +'</span></div></div></div>';

                break;

                case 'sidebar':

                    var records_content = '';
                    var is_first_record = true;

                    $.each( value.possible_sidebars, function( record_id, record_value ) {

                        records_content += '<div class="ueldo-predefined-sections-popup-clarifications-choose-options-single-option '+ ( is_first_record == true ? 'ueldo-predefined-sections-popup-clarifications-choose-options-single-option-chosen' : '' ) +'" data-record-id="'+ record_id +'"><span><strong>'+ ueldo_predefined_sections_javascript_functions_l10n.sidebar +'</strong> '+ record_value.sidebar_title +' ('+ ueldo_predefined_sections_javascript_functions_l10n.id +' '+ record_value.sidebar_id +')</span></div>';

                        is_first_record = false;

                    });

                    clarificationHTML += '<div class="ueldo-predefined-sections-popup-clarifications-content-issues-single-issue" data-clarification-id="'+ value.dynamic_element_id +'" data-clarification-type="openinghours"><div class="ueldo-predefined-sections-popup-clarifications-content-issues-single-issue-heading"><span class="ueldo-predefined-sections-popup-clarifications-content-issues-single-issue-heading-no">'+ clarification_issue_no +'</span><h4>'+ ueldo_predefined_sections_javascript_functions_l10n.choose_the_sidebar_for_this_section +'</h4><p>'+ ueldo_predefined_sections_javascript_functions_l10n.choose_the_sidebar_for_this_section_description +'</p></div><div class="ueldo-predefined-sections-popup-clarifications-choose-options">'+ records_content +'<div class="ueldo-predefined-sections-popup-clarifications-choose-options-single-option '+ ( is_first_record == true ? 'ueldo-predefined-sections-popup-clarifications-choose-options-single-option-chosen' : '' ) +'" data-record-id="default"><span>'+ ueldo_predefined_sections_javascript_functions_l10n.create_and_use_new_sidebar_default_for_this_section +'</span></div><div class="ueldo-predefined-sections-popup-clarifications-choose-options-single-option" data-record-id="later"><span>'+ ueldo_predefined_sections_javascript_functions_l10n.ill_do_it_later_manually +'</span></div></div></div>';

                break;
            }

            popupContentIssues.append( clarificationHTML );
            clarification_no++;

        });

        popup.addClass( 'ueldo-predefined-sections-popup-clarifications-visible' );
        $( '#ueldo-predefined-sections-popup .ueldo-predefined-sections-popup-content-loader-animation' ).addClass( 'ueldo-predefined-sections-popup-content-loader-animation-hidden' );

    };

   /**
    *
    * get additional options for custom icon types
    *
    */

    $.UeldoGetAdditionalOptionsForCustomIconTypes = function() {

        if( typeof ueldo_custom_icon_fonts_names == 'undefined' ) return;
        var result = '';

        if( ueldo_predefined_sections_javascript_functions_l10n.is_ueldo_plugin_active == 'yes' ) {

            $.each( ueldo_custom_icon_fonts_names, function( key, name ) {

                result += '<option value="'+ key +'">'+ ueldo_predefined_sections_javascript_functions_l10n.custom_icons +' '+ name +'</option>';

            });
        }

        return( result );
    };

   /**
    *
    * apply clarifications and add section
    *
    */

    $( 'body' ).on( 'click', '#ueldo-predefined-sections-popup-clarifications .ueldo-predefined-sections-popup-clarifications-content-actions-button.ueldo-predefined-sections-popup-clarifications-content-actions-button-apply', function() {

        $.UeldoPredefinedSectionsCloseClarificationsPopup( false );
        $( '#ueldo-predefined-sections-popup .ueldo-predefined-sections-popup-content-loader-animation' ).removeClass( 'ueldo-predefined-sections-popup-content-loader-animation-hidden' );

        var popup = $( this ).parents( '#ueldo-predefined-sections-popup-clarifications' );
        var sectionID = popup.data( 'element-id' );
        var sectionType = $( '#ueldo-predefined-sections-popup .ueldo-predefined-sections-popup-two-options-selector .ueldo-predefined-sections-popup-two-options-selector-option-first' ).data( 'active' ) == 'yes' ? 'clear' : 'demo-like';
        var clarificationResults = { 'icon_not_found': {}, 'other': [] };

        popup.find( '.ueldo-predefined-sections-popup-clarifications-content-issues-single-issue' ).each( function() {

            var issue = $( this );
            var clarificationType = issue.data( 'clarification-type' );
            var clarificationID = issue.data( 'clarification-id' );

            switch( clarificationType ) {

                case 'icon_not_found':

                    var iconReplacementsTable = issue.find( 'table.ueldo-predefined-sections-popup-clarifications-flaticon-icons-replacements' );
                    var iconReplacementsResult = {};

                    iconReplacementsTable.find( 'tr' ).each( function() {

                        var row = $( this );
                        var recordID = row.data( 'record-id' );

                        var iconFontFamily = row.find( 'select.ueldo-predefined-sections-popup-clarifications-flaticon-icons-replacements-icon-library-selector' ).val();
                        var iconClass = row.find( '.ueldo-predefined-sections-iconpicker .ueldo-predefined-sections-iconpicker-selected-icon i' ).attr( 'class' );

                        iconReplacementsResult[recordID] = { 'font-family': iconFontFamily, 'class': iconClass };

                    });

                    clarificationResults['icon_not_found'] = iconReplacementsResult;

                break;

                default:

                    var options = issue.find( '.ueldo-predefined-sections-popup-clarifications-choose-options' );
                    var selectedOption = options.find( '.ueldo-predefined-sections-popup-clarifications-choose-options-single-option.ueldo-predefined-sections-popup-clarifications-choose-options-single-option-chosen' ).data( 'record-id' );

                    clarificationResults['other'][clarificationID] = selectedOption;

                break;
            }

        });

        $.ajax({
            url: ueldo_predefined_sections_javascript_functions_l10n.ajax_file_path,
            data: { 'clarified': 'yes', 'section_id': sectionID, 'section_type': sectionType, 'clarifications': clarificationResults },
            type: 'post',
            success: function( output ) {

                try {

                    var json = $.parseJSON( output );

                    if( typeof json.needClarification == 'undefined' || json.needClarification == 'yes' ) $.UeldoPredefinedSectionsDisplayErrorNotice( output );
                    else $.UeldoPredefinedSectionsAddSectionToEditor( json.shortcode );
                }

                catch( exception ) {

                    $.UeldoPredefinedSectionsDisplayErrorNotice( output );
                }
            }

        });

    });

   /**
    *
    * replace icon name and url in string
    *
    */

    $.UeldoPredefinedSectionsReplaceIconNameAndUrlInString = function( string, icon_name, icon_url ) {

        icon_name = icon_name.join( ' / ' );

        string = string.split( '{ueldopredefinedsections:iconname}' ).join( icon_name );
        if( icon_url !== false ) { string = string.split( '{ueldopredefinedsections:iconurl}' ).join( icon_url ); }

        return( string );
    };

   /**
    *
    * end of javascript.
    *
    */

});