!function( $ ) {

   /**
    *
    * strict mode
    *
    */

    'use strict';

   /**
    *
    * box shadow fields
    *
    */

    var boxShadowFieldsGroupID = 1;
    var textShadowFieldsGroupID = 1;
    var calcFieldGroupID = 1;
    var textShadowBegin = false;
    var boxShadowBegin = false;
    var calcFieldBegin = false;
    var paramLabelText = '';
    var paramLabel;

    $( '.vc_edit-form-tab' ).find( '.vc_shortcode-param' ).each( function() {

        var param = $( this );
        var tab = param.parents( '.vc_edit-form-tab' );

       /**
        *
        * text shadow
        *
        */

        if( param.hasClass( 'vc_wrapper-param-type-ueldo_text_shadow_horizontal_length' ) || param.hasClass( 'vc_wrapper-param-type-ueldo_text_shadow_vertical_length' ) || param.hasClass( 'vc_wrapper-param-type-ueldo_text_shadow_blur_radius' ) ) {

            textShadowBegin = true;
            paramLabel = param.find( '.wpb_element_label' );

            param.addClass( 'ueldo-text-shadow-fields-group-'+ textShadowFieldsGroupID );
            if( paramLabel.text() != '' ) {

                paramLabelText = paramLabel.text();
                paramLabel.text( '' );
            }
        }

        else {

            if( textShadowBegin == true ) {

                textShadowBegin = false;
                param.addClass( 'ueldo-text-shadow-fields-group-'+ textShadowFieldsGroupID );

                var dependedHiddenClass = 'ueldo-vc-color-depended-hidden';

                var customColorsEnabledField = tab.find( 'select[name="custom_colors_enabled"]' );
                if( customColorsEnabledField.length === 1 ) {

                    if( customColorsEnabledField.val() == 'custom_settings' ) dependedHiddenClass = '';
                }

                var fields = tab.find( '.ueldo-text-shadow-fields-group-'+ textShadowFieldsGroupID );
                var group = fields.wrapAll( '<div class="ueldo-text-shadow-fields-group ueldo-text-shadow-fields-group-'+ textShadowFieldsGroupID +' '+ dependedHiddenClass +'" />' ).removeClass( 'ueldo-text-shadow-fields-group-'+ textShadowFieldsGroupID );

                tab.find( '.ueldo-text-shadow-fields-group-'+ textShadowFieldsGroupID ).prepend( '<div class="wpb_element_label">'+ paramLabelText +'</div>' );
                textShadowFieldsGroupID++;
            }
        }

       /**
        *
        * box shadow
        *
        */

        if( param.hasClass( 'vc_wrapper-param-type-ueldo_box_shadow_horizontal_length' ) || param.hasClass( 'vc_wrapper-param-type-ueldo_box_shadow_vertical_length' ) || param.hasClass( 'vc_wrapper-param-type-ueldo_box_shadow_blur_radius' ) || param.hasClass( 'vc_wrapper-param-type-ueldo_box_shadow_spread_radius' ) ) {

            boxShadowBegin = true;
            paramLabel = param.find( '.wpb_element_label' );

            param.addClass( 'ueldo-box-shadow-fields-group-'+ boxShadowFieldsGroupID );
            if( paramLabel.text() != '' ) {

                paramLabelText = paramLabel.text();
                paramLabel.text( '' );
            }
        }

        else {

            if( boxShadowBegin == true ) {

                boxShadowBegin = false;
                param.addClass( 'ueldo-box-shadow-fields-group-'+ boxShadowFieldsGroupID );

                var customColorsEnabled = tab.find( 'select[name="custom_colors_enabled"]' ).val() == 'custom_settings';
                var fields = tab.find( '.ueldo-box-shadow-fields-group-'+ boxShadowFieldsGroupID );
                var group = fields.wrapAll( '<div class="ueldo-box-shadow-fields-group ueldo-box-shadow-fields-group-'+ boxShadowFieldsGroupID +' '+ ( customColorsEnabled == false ? 'ueldo-box-shadow-fields-group-hidden' : '' ) +'" />' ).removeClass( 'ueldo-box-shadow-fields-group-'+ boxShadowFieldsGroupID );

                tab.find( '.ueldo-box-shadow-fields-group-'+ boxShadowFieldsGroupID ).prepend( '<div class="wpb_element_label">'+ paramLabelText +'</div>' );
                boxShadowFieldsGroupID++;
            }
        }

       /**
        *
        * calc
        *
        */

        if( param.hasClass( 'ueldo-vc-calc-field' ) ) {

            calcFieldBegin = true;
            paramLabel = param.find( '.wpb_element_label' );

            param.addClass( 'ueldo-calc-field-'+ calcFieldGroupID );
            if( paramLabel.text() != '' ) {

                paramLabelText = paramLabel.text();
                paramLabel.remove();
            }
        }

        if( param.hasClass( 'ueldo-vc-calc-field-last' ) && calcFieldBegin == true ) {

            calcFieldBegin = false;

            var fields = tab.find( '.ueldo-calc-field-'+ calcFieldGroupID );
            var fieldsClass = '';

            fields.each( function() {

                var field = $( this );

                if( field.hasClass( 'ueldo-calc-field-width-large' ) ) fieldsClass = 'ueldo-calc-field-width-large';
                if( field.hasClass( 'ueldo-calc-field-width-medium' ) ) fieldsClass = 'ueldo-calc-field-width-medium';
                if( field.hasClass( 'ueldo-calc-field-width-small' ) ) fieldsClass = 'ueldo-calc-field-width-small';
                if( field.hasClass( 'ueldo-calc-field-width-extra-small' ) ) fieldsClass = 'ueldo-calc-field-width-extra-small';
                if( field.hasClass( 'ueldo-calc-field-height-large' ) ) fieldsClass = 'ueldo-calc-field-height-large';
                if( field.hasClass( 'ueldo-calc-field-height-medium' ) ) fieldsClass = 'ueldo-calc-field-height-medium';
                if( field.hasClass( 'ueldo-calc-field-height-small' ) ) fieldsClass = 'ueldo-calc-field-height-small';
                if( field.hasClass( 'ueldo-calc-field-height-extra-small' ) ) fieldsClass = 'ueldo-calc-field-height-extra-small';

            });

            var group = fields.wrapAll( '<div class="ueldo-calc-field ueldo-calc-field-'+ calcFieldGroupID +' '+ fieldsClass +'" />' ).removeClass( 'ueldo-calc-field-'+ calcFieldGroupID );

            tab.find( '.ueldo-calc-field-'+ calcFieldGroupID ).prepend( '<div class="wpb_element_label">'+ paramLabelText +'</div>' );
            calcFieldGroupID++;
        }

       /**
        *
        * end of params.
        *
        */

    });

    $( '.vc_edit-form-tab' ).on( 'change', 'select[name="custom_colors_enabled"]', function() {

        var field = $( this );
        var tab = field.parents( '.vc_edit-form-tab' );
        var boxShadowFieldsGroups = tab.find( '.ueldo-box-shadow-fields-group' );
        var textShadowFieldsGroups = tab.find( '.ueldo-text-shadow-fields-group' );

        if( boxShadowFieldsGroups.length === 0 && textShadowFieldsGroups.length === 0 ) return;

        if( field.val() == 'theme_defaults' ) {

            if( boxShadowFieldsGroups.length !== 0 ) boxShadowFieldsGroups.addClass( 'ueldo-box-shadow-fields-group-hidden' );
            if( textShadowFieldsGroups.length !== 0 ) textShadowFieldsGroups.addClass( 'ueldo-vc-color-depended-hidden' );
        }

        else {

            if( boxShadowFieldsGroups.length !== 0 ) boxShadowFieldsGroups.removeClass( 'ueldo-box-shadow-fields-group-hidden' );
            if( textShadowFieldsGroups.length !== 0 ) textShadowFieldsGroups.removeClass( 'ueldo-vc-color-depended-hidden' );
        }

    });

    $( '.vc_ui-panel-window[data-vc-shortcode="ueldo_shortcode_inline_container_element"], .vc_ui-panel-window[data-vc-shortcode="ueldo_shortcode_row_layer"], .vc_ui-panel-window[data-vc-shortcode="ueldo_shortcode_delimiter"]' ).on( 'change', 'select[name="large_width_type"], select[name="large_height_type"], select[name="medium_width_type"], select[name="medium_height_type"], select[name="small_width_type"], select[name="small_height_type"], select[name="extra_small_width_type"], select[name="extra_small_height_type"]', function() {

        var field = $( this );
        var tab = field.parents( '.vc_edit-form-tab' );

        var calcFieldGroups;

        if( field.hasClass( 'large_width_type' ) ) calcFieldGroups = tab.find( '.ueldo-calc-field-width-large' );
        else if( field.hasClass( 'medium_width_type' ) ) calcFieldGroups = tab.find( '.ueldo-calc-field-width-medium' );
        else if( field.hasClass( 'small_width_type' ) ) calcFieldGroups = tab.find( '.ueldo-calc-field-width-small' );
        else if( field.hasClass( 'extra_small_width_type' ) ) calcFieldGroups = tab.find( '.ueldo-calc-field-width-extra-small' );
        else if( field.hasClass( 'large_height_type' ) ) calcFieldGroups = tab.find( '.ueldo-calc-field-height-large' );
        else if( field.hasClass( 'medium_height_type' ) ) calcFieldGroups = tab.find( '.ueldo-calc-field-height-medium' );
        else if( field.hasClass( 'small_height_type' ) ) calcFieldGroups = tab.find( '.ueldo-calc-field-height-small' );
        else if( field.hasClass( 'extra_small_height_type' ) ) calcFieldGroups = tab.find( '.ueldo-calc-field-height-extra-small' );

        if( field.val() != 'calc' ) calcFieldGroups.addClass( 'ueldo-calc-field-hidden' );
        else {

            var fieldContainer = field.parents( '.vc_shortcode-param' );

            if( fieldContainer.hasClass( 'vc_dependent-hidden' ) ) calcFieldGroups.addClass( 'ueldo-calc-field-hidden' );
            else calcFieldGroups.removeClass( 'ueldo-calc-field-hidden' );
        }

        if( !field.hasClass( 'large_width_type' ) ) {

            var largeWidthSelectField = tab.find( 'select[name="large_width_type"]' );
            var largeHeightSelectField = tab.find( 'select[name="large_height_type"]' );
            var calcFieldWidthGroups = tab.find( '.ueldo-calc-field-width-large' );
            var calcFieldHeightGroups = tab.find( '.ueldo-calc-field-height-large' );

            if( largeWidthSelectField.val() != 'calc' ) calcFieldWidthGroups.addClass( 'ueldo-calc-field-hidden' );
            else calcFieldWidthGroups.removeClass( 'ueldo-calc-field-hidden' );

            if( largeHeightSelectField.val() != 'calc' ) calcFieldHeightGroups.addClass( 'ueldo-calc-field-hidden' );
            else calcFieldHeightGroups.removeClass( 'ueldo-calc-field-hidden' );
        }

    });

   /**
    *
    * refresh custom color dependencies
    *
    */

    $.UeldoVCParamsRefreshCustomColorsDependencies = function( panel, shortcode ) {

        var params, element, elementShadows, elementTextShadows, elementBoxShadows;
        switch( shortcode ) {

            case 'ueldo_shortcode_tabs':

                params = {
                    'customColorsEnabled': panel.find( 'select[name="custom_colors_enabled"]' ).val() == 'custom_settings',
                    'circleNavigationHideTabsSelector': panel.find( 'select[name="circle_navigation_hide_tabs_selector"]' ).val() == 'yes',
                    'tabsContentStyle': panel.find( 'select[name="tabs_content_style"]' ).val(),
                    'tabsSelectorStyle': panel.find( 'select[name="tabs_selector_style"]' ).val(),
                    'circleNavigationEnabled': panel.find( 'select[name="display_circle_navigation"]' ).val() != 'no',
                    'customTabImageEnabled': panel.find( 'select[name="custom_tab_image_enabled"]' ).val(),
                    'imageContentType': panel.find( 'select[name="image_content_type"]' ).val()
                };

                // lateral margin & tabs selector icon size - only for tabs selector style: 01 and 02

                element = panel.find( 'div[data-vc-shortcode-param-name="lateral_margin"], div[data-vc-shortcode-param-name="divider_sizes_tabs_selector_lateral_margin"], div[data-vc-shortcode-param-name="tabs_selector_icon_font_size"]' );

                if( ( params.tabsSelectorStyle == 'style-01' || params.tabsSelectorStyle == 'style-02' ) ) element.removeClass( 'ueldo-vc-color-depended-hidden' );
                else element.addClass( 'ueldo-vc-color-depended-hidden' );

                // tabs selector alignment - only for tabs selector style: 03, and tabs content style different than: 02, 05

                element = panel.find( 'div[data-vc-shortcode-param-name="tabs_selector_style_03_alignment"]' );

                if( params.tabsSelectorStyle == 'style-03' && params.tabsContentStyle != 'style-02' && params.tabsContentStyle != 'style-05' ) element.removeClass( 'ueldo-vc-color-depended-hidden' );
                else element.addClass( 'ueldo-vc-color-depended-hidden' );

                // tabs selector font settings

                element = panel.find( 'div[data-vc-shortcode-param-name="tabs_selector_font_settings_enabled"], div[data-vc-shortcode-param-name="tabs_selector_font_size"], div[data-vc-shortcode-param-name="tabs_selector_font_letter_spacing"], div[data-vc-shortcode-param-name="tabs_selector_font_line_height"], div[data-vc-shortcode-param-name="tabs_selector_font_family"]' );

                if( params.tabsContentStyle != 'style-05' ) element.removeClass( 'ueldo-vc-color-depended-hidden' );
                else element.addClass( 'ueldo-vc-color-depended-hidden' );

                // tabs selector content alignment

                element = panel.find( 'div[data-vc-shortcode-param-name="tabs_selector_content_alignment"]' );

                if( params.tabsContentStyle != 'style-02' && params.tabsContentStyle != 'style-05' ) element.removeClass( 'ueldo-vc-color-depended-hidden' );
                else element.addClass( 'ueldo-vc-color-depended-hidden' );

                // if custom colors are not enabled, break the loop

                if( params.customColorsEnabled == false ) break;

                // tabs selector visible?

                if( params.circleNavigationHideTabsSelector == false ) {

                    // tabs selector icon color: hide for tabs selector style: 03

                    element = panel.find( 'div[data-vc-shortcode-param-name="tabs_selector_icon_color"]' );

                    if( params.tabsSelectorStyle != 'style-03' ) element.removeClass( 'ueldo-vc-color-depended-hidden' );
                    else element.addClass( 'ueldo-vc-color-depended-hidden' );

                    // tabs selector icon color (on hover): hide for tabs selector style: 03

                    element = panel.find( 'div[data-vc-shortcode-param-name="tabs_selector_icon_color_hover"]' );

                    if( params.tabsSelectorStyle != 'style-03' ) element.removeClass( 'ueldo-vc-color-depended-hidden' );
                    else element.addClass( 'ueldo-vc-color-depended-hidden' );

                    // tabs selector border color: only for tabs selector style: 01, and tabs content style different than: 05

                    element = panel.find( 'div[data-vc-shortcode-param-name="tabs_selector_border_color"]' );

                    if( ( params.tabsSelectorStyle == 'style-01' || params.tabsSelectorStyle == 'style-03' ) && params.tabsContentStyle != 'style-05' ) element.removeClass( 'ueldo-vc-color-depended-hidden' );
                    else element.addClass( 'ueldo-vc-color-depended-hidden' );

                    // tabs selector border color (on hover): only for tabs selector style: 01, and tabs content style different than: 05

                    element = panel.find( 'div[data-vc-shortcode-param-name="tabs_selector_border_color_hover"]' );

                    if( ( params.tabsSelectorStyle == 'style-01' || params.tabsSelectorStyle == 'style-03' ) && params.tabsContentStyle != 'style-05' ) element.removeClass( 'ueldo-vc-color-depended-hidden' );
                    else element.addClass( 'ueldo-vc-color-depended-hidden' );

                    // tabs selector background color (on hover): only for tabs selector style: 01, and tabs content style different than: 05

                    element = panel.find( 'div[data-vc-shortcode-param-name="tabs_selector_background_color_hover"]' );

                    if( ( params.tabsSelectorStyle == 'style-01' || params.tabsSelectorStyle == 'style-03' ) && params.tabsContentStyle != 'style-05' ) element.removeClass( 'ueldo-vc-color-depended-hidden' );
                    else element.addClass( 'ueldo-vc-color-depended-hidden' );

                    // tabs selector active element background color: only for tabs selector style: 01, and tabs content style different than: 05

                    element = panel.find( 'div[data-vc-shortcode-param-name="tabs_selector_active_element_background_color"]' );

                    if( ( params.tabsSelectorStyle == 'style-01' || params.tabsSelectorStyle == 'style-03' ) && params.tabsContentStyle != 'style-05' ) element.removeClass( 'ueldo-vc-color-depended-hidden' );
                    else element.addClass( 'ueldo-vc-color-depended-hidden' );

                    // tabs_selector_box_shadow

                    element = panel.find( 'div[data-vc-shortcode-param-name="tabs_selector_box_shadow_horizontal_length"]' ).parents( '.ueldo-box-shadow-fields-group' );

                    if( ( params.tabsSelectorStyle == 'style-01' || params.tabsSelectorStyle == 'style-03' ) && params.tabsContentStyle != 'style-05' ) element.removeClass( 'ueldo-vc-color-depended-hidden' );
                    else element.addClass( 'ueldo-vc-color-depended-hidden' );

                    // tabs_selector_box_shadow_hover

                    element = panel.find( 'div[data-vc-shortcode-param-name="tabs_selector_box_shadow_horizontal_length_hover"]' ).parents( '.ueldo-box-shadow-fields-group' );

                    if( ( params.tabsSelectorStyle == 'style-01' || params.tabsSelectorStyle == 'style-03' ) && params.tabsContentStyle != 'style-05' ) element.removeClass( 'ueldo-vc-color-depended-hidden' );
                    else element.addClass( 'ueldo-vc-color-depended-hidden' );

                    // the rest of tabs selector colors

                    panel.find( 'div[data-vc-shortcode-param-name="tabs_selector_border_between_items_color"], div[data-vc-shortcode-param-name="tabs_selector_title_color"], div[data-vc-shortcode-param-name="tabs_selector_title_color_hover"]' ).removeClass( 'ueldo-vc-color-depended-hidden' );
                }

                // tabs selector hidden
                else {

                    panel.find( 'div[data-vc-shortcode-param-name="tabs_selector_border_color"], div[data-vc-shortcode-param-name="tabs_selector_border_color_hover"], div[data-vc-shortcode-param-name="tabs_selector_border_between_items_color"], div[data-vc-shortcode-param-name="tabs_selector_background_color"], div[data-vc-shortcode-param-name="tabs_selector_active_element_background_color"], div[data-vc-shortcode-param-name="tabs_selector_title_color"], div[data-vc-shortcode-param-name="tabs_selector_title_color_hover"], div[data-vc-shortcode-param-name="tabs_selector_icon_color"], div[data-vc-shortcode-param-name="tabs_selector_icon_color_hover"]' ).addClass( 'ueldo-vc-color-depended-hidden' );

                    panel.find( 'div[data-vc-shortcode-param-name="tabs_selector_box_shadow_horizontal_length"]' ).parents( '.ueldo-box-shadow-fields-group' ).addClass( 'ueldo-vc-color-depended-hidden' );
                    panel.find( 'div[data-vc-shortcode-param-name="tabs_selector_box_shadow_horizontal_length_hover"]' ).parents( '.ueldo-box-shadow-fields-group' ).addClass( 'ueldo-vc-color-depended-hidden' );
                }

                // tabs content background color: only for tabs content style different than: 05

                element = panel.find( 'div[data-vc-shortcode-param-name="tabs_content_background_color"]' );

                if( params.tabsContentStyle != 'style-05' ) element.removeClass( 'ueldo-vc-color-depended-hidden' );
                else element.addClass( 'ueldo-vc-color-depended-hidden' );

                // circle navigation color: only if circle navigation is enabled

                element = panel.find( 'div[data-vc-shortcode-param-name="circle_navigation_color"], div[data-vc-shortcode-param-name="circle_navigation_color_hover"]' );

                if( params.circleNavigationEnabled ) element.removeClass( 'ueldo-vc-color-depended-hidden' );
                else element.addClass( 'ueldo-vc-color-depended-hidden' );

                // tabs content 05 active tab colors: only if tabs content style is set to: 05

                element = panel.find( 'div[data-vc-shortcode-param-name="tabs_05_active_tab_background"], div[data-vc-shortcode-param-name="tabs_05_active_tab_icon_color"]' );

                if( params.tabsContentStyle == 'style-05' ) element.removeClass( 'ueldo-vc-color-depended-hidden' );
                else element.addClass( 'ueldo-vc-color-depended-hidden' );

                // images container box shadow: only for tabs content style: 03, 04, 05

                element = panel.find( 'div[data-vc-shortcode-param-name="images_container_box_shadow_horizontal_length"]' ).parents( '.ueldo-box-shadow-fields-group' );

                if( params.tabsContentStyle == 'style-03' || params.tabsContentStyle == 'style-04' || params.tabsContentStyle == 'style-05' ) element.removeClass( 'ueldo-vc-color-depended-hidden' );
                else element.addClass( 'ueldo-vc-color-depended-hidden' );

               /**
                *
                * video button
                *
                */

                // video button colors: only for tabs content style: 03, 04, 05

                element = panel.find( 'div[data-vc-shortcode-param-name="video_button_border_color"], div[data-vc-shortcode-param-name="video_button_background_color"], div[data-vc-shortcode-param-name="video_button_icon_color"], div[data-vc-shortcode-param-name="video_button_border_color_hover"], div[data-vc-shortcode-param-name="video_button_background_color_hover"], div[data-vc-shortcode-param-name="video_button_icon_color_hover"], div[data-vc-shortcode-param-name="video_button_tip_background_color"], div[data-vc-shortcode-param-name="video_button_tip_text_color"]' );

                if( ( params.tabsContentStyle == 'style-03' || params.tabsContentStyle == 'style-04' || params.tabsContentStyle == 'style-05' ) && params.customTabImageEnabled == 'no' && params.imageContentType == 'background-image-with-video-button' ) element.removeClass( 'ueldo-vc-color-depended-hidden' );
                else element.addClass( 'ueldo-vc-color-depended-hidden' );

                // video button box shadows: only for tabs content style: 03, 04, 05

                element = panel.find( 'div[data-vc-shortcode-param-name="video_button_box_shadow_horizontal_length"], div[data-vc-shortcode-param-name="video_button_box_shadow_horizontal_length_hover"]' ).parents( '.ueldo-box-shadow-fields-group' );

                if( ( params.tabsContentStyle == 'style-03' || params.tabsContentStyle == 'style-04' || params.tabsContentStyle == 'style-05' ) && params.customTabImageEnabled == 'no' && params.imageContentType == 'background-image-with-video-button' ) element.removeClass( 'ueldo-vc-color-depended-hidden' );
                else element.addClass( 'ueldo-vc-color-depended-hidden' );

            break;

            case 'ueldo_shortcode_pulsating_circles':

                params = {
                    'customColorsEnabled': panel.find( 'select[name="custom_colors_enabled"]' ).val() == 'custom_settings',
                    'displayBar': panel.find( 'select[name="display_bar"]' ).val() != 'no'
                };

                if( params.customColorsEnabled == false ) break;

                // bar background color and text color

                element = panel.find( 'div[data-vc-shortcode-param-name="bar_background_color"], div[data-vc-shortcode-param-name="bar_text_color"]' );

                if( params.displayBar == true ) element.removeClass( 'ueldo-vc-color-depended-hidden' );
                else element.addClass( 'ueldo-vc-color-depended-hidden' );

                // bar box shadow

                element = panel.find( 'div[data-vc-shortcode-param-name="bar_box_shadow_horizontal_length"]' ).parents( '.ueldo-box-shadow-fields-group' );

                if( params.displayBar == true ) element.removeClass( 'ueldo-vc-color-depended-hidden' );
                else element.addClass( 'ueldo-vc-color-depended-hidden' );

            break;

            case 'ueldo_shortcode_attributes_box':

                params = {
                    'customColorsEnabled': panel.find( 'select[name="custom_colors_enabled"]' ).val() == 'custom_settings',
                    'displayBoxIcon': panel.find( 'select[name="show_box_icon"]' ).val() != 'no'
                };

                if( params.customColorsEnabled == false ) break;

                // box icon color

                element = panel.find( 'div[data-vc-shortcode-param-name="box_icon_color"]' );

                if( params.displayBoxIcon == true ) element.removeClass( 'ueldo-vc-color-depended-hidden' );
                else element.addClass( 'ueldo-vc-color-depended-hidden' );

            break;

            case 'ueldo_shortcode_pricing_table':

                params = {
                    'customColorsEnabled': panel.find( 'select[name="custom_colors_enabled"]' ).val() == 'custom_settings',
                    'pricingTableStyle': panel.find( 'select[name="pricing_table_style"]' ).val()
                };

                // elements only for style: 02

                element = panel.find( 'div[data-vc-shortcode-param-name="level_icons_color"], div[data-vc-shortcode-param-name="border_between_attributes_color"]' );

                if( params.pricingTableStyle == '02' ) element.removeClass( 'ueldo-vc-color-depended-hidden' );
                else element.addClass( 'ueldo-vc-color-depended-hidden' );

                // elements only for style: 03

                element = panel.find( 'div[data-vc-shortcode-param-name="image_overlay_color"], div[data-vc-shortcode-param-name="line_under_title_color"]' );

                if( params.pricingTableStyle == '03' ) element.removeClass( 'ueldo-vc-color-depended-hidden' );
                else element.addClass( 'ueldo-vc-color-depended-hidden' );

            break;

            case 'ueldo_shortcode_image':

                params = {
                    'addVideoButton': panel.find( 'select[name="additional"]' ).val() == 'video_button',
                    'addGallery': panel.find( 'select[name="additional"]' ).val() == 'gallery_image',
                    'addLink': panel.find( 'select[name="additional"]' ).val() == 'as_link'
                };

                // video colors

                element = panel.find( 'div[data-vc-shortcode-param-name="video_button_border_color"], div[data-vc-shortcode-param-name="video_button_background_color"], div[data-vc-shortcode-param-name="video_button_icon_color"], div[data-vc-shortcode-param-name="video_button_border_color_hover"], div[data-vc-shortcode-param-name="video_button_background_color_hover"], div[data-vc-shortcode-param-name="video_button_icon_color_hover"], div[data-vc-shortcode-param-name="video_button_tip_background_color"], div[data-vc-shortcode-param-name="video_button_tip_text_color"]' );

                if( params.addVideoButton == true ) element.removeClass( 'ueldo-vc-color-depended-hidden' );
                else element.addClass( 'ueldo-vc-color-depended-hidden' );

                // video box shadows

                element = panel.find( 'div[data-vc-shortcode-param-name="video_button_box_shadow_horizontal_length"], div[data-vc-shortcode-param-name="video_button_box_shadow_horizontal_length_hover"]' ).parents( '.ueldo-box-shadow-fields-group' );

                if( params.addVideoButton == true ) element.removeClass( 'ueldo-vc-color-depended-hidden' );
                else element.addClass( 'ueldo-vc-color-depended-hidden' );

                /**/

                // gallery buttons colors

                element = panel.find( 'div[data-vc-shortcode-param-name="gallery_buttons_container_background_color"], div[data-vc-shortcode-param-name="gallery_buttons_border_color"], div[data-vc-shortcode-param-name="gallery_buttons_background_color"], div[data-vc-shortcode-param-name="gallery_buttons_icon_color"], div[data-vc-shortcode-param-name="gallery_buttons_border_color_hover"], div[data-vc-shortcode-param-name="gallery_buttons_background_color_hover"], div[data-vc-shortcode-param-name="gallery_buttons_icon_color_hover"]' );

                if( params.addGallery == true ) element.removeClass( 'ueldo-vc-color-depended-hidden' );
                else element.addClass( 'ueldo-vc-color-depended-hidden' );

                // gallery buttons box shadows

                element = panel.find( 'div[data-vc-shortcode-param-name="gallery_buttons_box_shadow_horizontal_length"], div[data-vc-shortcode-param-name="gallery_buttons_box_shadow_horizontal_length_hover"]' ).parents( '.ueldo-box-shadow-fields-group' );

                if( params.addGallery == true ) element.removeClass( 'ueldo-vc-color-depended-hidden' );
                else element.addClass( 'ueldo-vc-color-depended-hidden' );

                /**/

                // link button colors

                element = panel.find( 'div[data-vc-shortcode-param-name="link_button_container_background_color"], div[data-vc-shortcode-param-name="link_button_border_color"], div[data-vc-shortcode-param-name="link_button_background_color"], div[data-vc-shortcode-param-name="link_button_icon_color"], div[data-vc-shortcode-param-name="link_button_border_color_hover"], div[data-vc-shortcode-param-name="link_button_background_color_hover"], div[data-vc-shortcode-param-name="link_button_icon_color_hover"]' );

                if( params.addLink == true ) element.removeClass( 'ueldo-vc-color-depended-hidden' );
                else element.addClass( 'ueldo-vc-color-depended-hidden' );

                // link button box shadows

                element = panel.find( 'div[data-vc-shortcode-param-name="link_button_box_shadow_horizontal_length"], div[data-vc-shortcode-param-name="link_button_box_shadow_horizontal_length_hover"]' ).parents( '.ueldo-box-shadow-fields-group' );

                if( params.addLink == true ) element.removeClass( 'ueldo-vc-color-depended-hidden' );
                else element.addClass( 'ueldo-vc-color-depended-hidden' );

            break;

            case 'ueldo_shortcode_google_map':

                params = {
                    'customColorsEnabled': panel.find( 'select[name="custom_colors_enabled"]' ).val() == 'custom_settings',
                    'boxShadowType': panel.find( 'select[name="box_shadow_type"]' ).val()
                };

                // box shadow

                element = panel.find( 'div[data-vc-shortcode-param-name="box_shadow_horizontal_length"]' ).parents( '.ueldo-box-shadow-fields-group' );

                if( params.boxShadowType == 'outset' ) element.removeClass( 'ueldo-vc-color-depended-hidden' );
                else element.addClass( 'ueldo-vc-color-depended-hidden' );

                // inset box shadow

                element = panel.find( 'div[data-vc-shortcode-param-name="inset_top_box_shadow_horizontal_length"], div[data-vc-shortcode-param-name="inset_bottom_box_shadow_horizontal_length"]' ).parents( '.ueldo-box-shadow-fields-group' );

                if( params.boxShadowType == 'inset_top_bottom' ) element.removeClass( 'ueldo-vc-color-depended-hidden' );
                else element.addClass( 'ueldo-vc-color-depended-hidden' );

            break;

            case 'ueldo_shortcode_full_width_testimonials':

                params = {
                    'customColorsEnabled': panel.find( 'select[name="custom_colors_enabled"]' ).val() == 'custom_settings',
                    'type': panel.find( 'select[name="type"]' ).val()
                };

                // persons images box shadow

                element = panel.find( 'div[data-vc-shortcode-param-name="persons_images_box_shadow_horizontal_length"], div[data-vc-shortcode-param-name="persons_images_box_shadow_horizontal_length_hover"], div[data-vc-shortcode-param-name="active_person_image_box_shadow_horizontal_length"], div[data-vc-shortcode-param-name="active_person_image_box_shadow_horizontal_length_hover"]' ).parents( '.ueldo-box-shadow-fields-group' );

                if( params.type == 'persons' ) element.removeClass( 'ueldo-vc-color-depended-hidden' );
                else element.addClass( 'ueldo-vc-color-depended-hidden' );

            break;

            case 'ueldo_shortcode_info_box':

                params = {
                    'infoElementDisplayAs': panel.find( 'select[name="info_element_display_as"]' ).val(),
                    'additionalInfoElementDifferentSizesOnHover': panel.find( 'select[name="additional_info_element_different_sizes_on_hover"]' ).val(),
                    'infoElementType': panel.find( 'select[name="info_element_type"]' ).val(),
                    'additionalInfoElementType': panel.find( 'select[name="additional_info_element_type"]' ).val()
                };

                // progress bar settings

                element = panel.find( 'div[data-vc-shortcode-param-name="progress_bar_inset_border_radius_hover"], div[data-vc-shortcode-param-name="progress_bar_inset_border_radius_px_hover"]' );

                if( params.infoElementDisplayAs != 'static' ) element.removeClass( 'ueldo-vc-color-depended-hidden' );
                else element.addClass( 'ueldo-vc-color-depended-hidden' );

                // additional info element sizes on hover

                element = panel.find( 'div[data-vc-shortcode-param-name="additional_info_element_margin_left_hover"], div[data-vc-shortcode-param-name="additional_info_element_margin_right_hover"], div[data-vc-shortcode-param-name="additional_info_element_margin_top_hover"], div[data-vc-shortcode-param-name="additional_info_element_margin_bottom_hover"]' );

                if( params.additionalInfoElementDifferentSizesOnHover == 'yes' ) element.removeClass( 'ueldo-vc-color-depended-hidden' );
                else element.addClass( 'ueldo-vc-color-depended-hidden' );

                // info element colors, type: icon

                element = panel.find( 'div[data-vc-shortcode-param-name="info_element_icon_color"], div[data-vc-shortcode-param-name="info_element_icon_color_hover"]' );

                if( params.infoElementType == 'icon' ) element.removeClass( 'ueldo-vc-color-depended-hidden' );
                else element.addClass( 'ueldo-vc-color-depended-hidden' );

                // info element colors, type: text

                element = panel.find( 'div[data-vc-shortcode-param-name="info_element_text_color"], div[data-vc-shortcode-param-name="info_element_text_color_hover"]' );

                if( params.infoElementType == 'text' ) element.removeClass( 'ueldo-vc-color-depended-hidden' );
                else element.addClass( 'ueldo-vc-color-depended-hidden' );

                // info element colors, type: counter

                element = panel.find( 'div[data-vc-shortcode-param-name="info_element_counter_color"], div[data-vc-shortcode-param-name="info_element_counter_color_hover"]' );

                if( params.infoElementType == 'counter' ) element.removeClass( 'ueldo-vc-color-depended-hidden' );
                else element.addClass( 'ueldo-vc-color-depended-hidden' );

                // additional info element colors, type: icon

                element = panel.find( 'div[data-vc-shortcode-param-name="additional_info_element_icon_color"], div[data-vc-shortcode-param-name="additional_info_element_icon_color_hover"]' );

                if( params.additionalInfoElementType == 'icon' ) element.removeClass( 'ueldo-vc-color-depended-hidden' );
                else element.addClass( 'ueldo-vc-color-depended-hidden' );

                // additional info element colors, type: text

                element = panel.find( 'div[data-vc-shortcode-param-name="additional_info_element_text_color"], div[data-vc-shortcode-param-name="additional_info_element_text_color_hover"]' );

                if( params.additionalInfoElementType == 'text' ) element.removeClass( 'ueldo-vc-color-depended-hidden' );
                else element.addClass( 'ueldo-vc-color-depended-hidden' );

                // additional info element colors, type: counter

                element = panel.find( 'div[data-vc-shortcode-param-name="additional_info_element_counter_color"], div[data-vc-shortcode-param-name="additional_info_element_counter_color_hover"]' );

                if( params.additionalInfoElementType == 'counter' ) element.removeClass( 'ueldo-vc-color-depended-hidden' );
                else element.addClass( 'ueldo-vc-color-depended-hidden' );

            break;

            case 'ueldo_shortcode_price_single':

                params = {
                    'addDelimiter': panel.find( 'select[name="add_delimiter"]' ).val()
                };

                element = panel.find( 'div[data-vc-shortcode-param-name="delimiter_color"]' );

                if( params.addDelimiter == 'yes' ) element.removeClass( 'ueldo-vc-color-depended-hidden' );
                else element.addClass( 'ueldo-vc-color-depended-hidden' );

            break;

            case 'ueldo_shortcode_row_layer':

                params = {
                    'layerType': panel.find( 'select[name="layer_type"]' ).val(),
                    'colorAddBoxShadow': panel.find( 'select[name="color_add_box_shadow"]' ).val(),
                    'imageAddBoxShadow': panel.find( 'select[name="image_add_box_shadow"]' ).val(),
                    'parallaxInsetBoxShadowTopBottom': panel.find( 'select[name="parallax_inset_box_shadow_top_bottom"]' ).val(),
                    'videoAddBoxShadow': panel.find( 'select[name="video_add_box_shadow"]' ).val()
                };

                // text

                element = panel.find( 'div[data-vc-shortcode-param-name="text_shadow_horizontal_length"]' ).parents( '.ueldo-text-shadow-fields-group' );

                if( params.layerType == 'text' ) element.removeClass( 'ueldo-vc-color-depended-hidden' );
                else element.addClass( 'ueldo-vc-color-depended-hidden' );

                // icon

                element = panel.find( 'div[data-vc-shortcode-param-name="icon_shadow_horizontal_length"]' ).parents( '.ueldo-text-shadow-fields-group' );

                if( params.layerType == 'icon' ) element.removeClass( 'ueldo-vc-color-depended-hidden' );
                else element.addClass( 'ueldo-vc-color-depended-hidden' );

                // box shadow for color layer

                element = panel.find( 'div[data-vc-shortcode-param-name="color_inset_top_box_shadow_horizontal_length"]' ).parents( '.ueldo-box-shadow-fields-group' );

                if( params.layerType == 'color' && ( params.colorAddBoxShadow == 'yes-inset-on-top' || params.colorAddBoxShadow == 'yes-inset' ) ) element.removeClass( 'ueldo-box-shadow-fields-group-hidden' );
                else element.addClass( 'ueldo-box-shadow-fields-group-hidden' );

                element = panel.find( 'div[data-vc-shortcode-param-name="color_inset_bottom_box_shadow_horizontal_length"]' ).parents( '.ueldo-box-shadow-fields-group' );

                if( params.layerType == 'color' && ( params.colorAddBoxShadow == 'yes-inset-on-bottom' || params.colorAddBoxShadow == 'yes-inset' ) ) element.removeClass( 'ueldo-box-shadow-fields-group-hidden' );
                else element.addClass( 'ueldo-box-shadow-fields-group-hidden' );

                element = panel.find( 'div[data-vc-shortcode-param-name="color_outset_box_shadow_horizontal_length"]' ).parents( '.ueldo-box-shadow-fields-group' );

                if( params.layerType == 'color' && params.colorAddBoxShadow == 'yes-outset' ) element.removeClass( 'ueldo-box-shadow-fields-group-hidden' );
                else element.addClass( 'ueldo-box-shadow-fields-group-hidden' );

                // box shadow for background image layer

                element = panel.find( 'div[data-vc-shortcode-param-name="image_inset_top_box_shadow_horizontal_length"]' ).parents( '.ueldo-box-shadow-fields-group' );

                if( params.layerType == 'image' && ( params.imageAddBoxShadow == 'yes-inset-on-top' || params.imageAddBoxShadow == 'yes-inset' ) ) element.removeClass( 'ueldo-box-shadow-fields-group-hidden' );
                else element.addClass( 'ueldo-box-shadow-fields-group-hidden' );

                element = panel.find( 'div[data-vc-shortcode-param-name="image_inset_bottom_box_shadow_horizontal_length"]' ).parents( '.ueldo-box-shadow-fields-group' );

                if( params.layerType == 'image' && ( params.imageAddBoxShadow == 'yes-inset-on-bottom' || params.imageAddBoxShadow == 'yes-inset' ) ) element.removeClass( 'ueldo-box-shadow-fields-group-hidden' );
                else element.addClass( 'ueldo-box-shadow-fields-group-hidden' );

                element = panel.find( 'div[data-vc-shortcode-param-name="image_outset_box_shadow_horizontal_length"]' ).parents( '.ueldo-box-shadow-fields-group' );

                if( params.layerType == 'image' && params.imageAddBoxShadow == 'yes-outset' ) element.removeClass( 'ueldo-box-shadow-fields-group-hidden' );
                else element.addClass( 'ueldo-box-shadow-fields-group-hidden' );

                // inset box shadow (top and bottom) for parallax image layer

                element = panel.find( 'div[data-vc-shortcode-param-name="parallax_inset_top_box_shadow_horizontal_length"], div[data-vc-shortcode-param-name="parallax_inset_bottom_box_shadow_horizontal_length"]' ).parents( '.ueldo-box-shadow-fields-group' );

                if( params.layerType == 'parallax_image' && params.parallaxInsetBoxShadowTopBottom == 'yes' ) element.removeClass( 'ueldo-box-shadow-fields-group-hidden' );
                else element.addClass( 'ueldo-box-shadow-fields-group-hidden' );

                // box shadow for youtube video layer

                element = panel.find( 'div[data-vc-shortcode-param-name="video_inset_top_box_shadow_horizontal_length"]' ).parents( '.ueldo-box-shadow-fields-group' );

                if( params.layerType == 'youtube_video' && ( params.videoAddBoxShadow == 'yes-inset-on-top' || params.videoAddBoxShadow == 'yes-inset' ) ) element.removeClass( 'ueldo-box-shadow-fields-group-hidden' );
                else element.addClass( 'ueldo-box-shadow-fields-group-hidden' );

                element = panel.find( 'div[data-vc-shortcode-param-name="video_inset_bottom_box_shadow_horizontal_length"]' ).parents( '.ueldo-box-shadow-fields-group' );

                if( params.layerType == 'youtube_video' && ( params.videoAddBoxShadow == 'yes-inset-on-bottom' || params.videoAddBoxShadow == 'yes-inset' ) ) element.removeClass( 'ueldo-box-shadow-fields-group-hidden' );
                else element.addClass( 'ueldo-box-shadow-fields-group-hidden' );

                element = panel.find( 'div[data-vc-shortcode-param-name="video_outset_box_shadow_horizontal_length"]' ).parents( '.ueldo-box-shadow-fields-group' );

                if( params.layerType == 'youtube_video' && params.videoAddBoxShadow == 'yes-outset' ) element.removeClass( 'ueldo-box-shadow-fields-group-hidden' );
                else element.addClass( 'ueldo-box-shadow-fields-group-hidden' );

            break;

            case 'ueldo_shortcode_card_layer':

                params = {
                    'layerType': panel.find( 'select[name="layer_type"]' ).val()
                };

                // text

                element = panel.find( 'div[data-vc-shortcode-param-name="text_shadow_horizontal_length"]' ).parents( '.ueldo-text-shadow-fields-group' );

                if( params.layerType == 'text' ) element.removeClass( 'ueldo-vc-color-depended-hidden' );
                else element.addClass( 'ueldo-vc-color-depended-hidden' );

                // icon

                element = panel.find( 'div[data-vc-shortcode-param-name="icon_shadow_horizontal_length"]' ).parents( '.ueldo-text-shadow-fields-group' );

                if( params.layerType == 'icon' ) element.removeClass( 'ueldo-vc-color-depended-hidden' );
                else element.addClass( 'ueldo-vc-color-depended-hidden' );

            break;

            case 'ueldo_shortcode_announcement':

                params = {
                    'addIcon': panel.find( 'select[name="add_icon"]' ).val(),
                    'type': panel.find( 'select[name="type"]' ).val()
                };

                // icon sizes

                element = panel.find( 'div[data-vc-shortcode-param-name="icon_size"], div[data-vc-shortcode-param-name="margin_between_icon_and_content"]' );

                if( params.addIcon == 'yes' ) element.removeClass( 'ueldo-vc-color-depended-hidden' );
                else element.addClass( 'ueldo-vc-color-depended-hidden' );

                // colors

                infoColors = panel.find( 'div[data-vc-shortcode-param-name="info_content_color"], div[data-vc-shortcode-param-name="info_border_color"], div[data-vc-shortcode-param-name="info_border_color_hover"], div[data-vc-shortcode-param-name="info_background_color"], div[data-vc-shortcode-param-name="info_background_color_hover"]' );
                infoBoxShadows = panel.find( 'div[data-vc-shortcode-param-name="info_box_shadow_horizontal_length"], div[data-vc-shortcode-param-name="info_box_shadow_horizontal_length_hover"]' ).parents( '.ueldo-box-shadow-fields-group' );

                successColors = panel.find( 'div[data-vc-shortcode-param-name="success_content_color"], div[data-vc-shortcode-param-name="success_border_color"], div[data-vc-shortcode-param-name="success_border_color_hover"], div[data-vc-shortcode-param-name="success_background_color"], div[data-vc-shortcode-param-name="success_background_color_hover"]' );
                successBoxShadows = panel.find( 'div[data-vc-shortcode-param-name="success_box_shadow_horizontal_length"], div[data-vc-shortcode-param-name="success_box_shadow_horizontal_length_hover"]' ).parents( '.ueldo-box-shadow-fields-group' );

                errorColors = panel.find( 'div[data-vc-shortcode-param-name="error_content_color"], div[data-vc-shortcode-param-name="error_border_color"], div[data-vc-shortcode-param-name="error_border_color_hover"], div[data-vc-shortcode-param-name="error_background_color"], div[data-vc-shortcode-param-name="error_background_color_hover"]' );
                errorBoxShadows = panel.find( 'div[data-vc-shortcode-param-name="error_box_shadow_horizontal_length"], div[data-vc-shortcode-param-name="error_box_shadow_horizontal_length_hover"]' ).parents( '.ueldo-box-shadow-fields-group' );

                warningColors = panel.find( 'div[data-vc-shortcode-param-name="warning_content_color"], div[data-vc-shortcode-param-name="warning_border_color"], div[data-vc-shortcode-param-name="warning_border_color_hover"], div[data-vc-shortcode-param-name="warning_background_color"], div[data-vc-shortcode-param-name="warning_background_color_hover"]' );
                warningBoxShadows = panel.find( 'div[data-vc-shortcode-param-name="warning_box_shadow_horizontal_length"], div[data-vc-shortcode-param-name="warning_box_shadow_horizontal_length_hover"]' ).parents( '.ueldo-box-shadow-fields-group' );

                customColors = panel.find( 'div[data-vc-shortcode-param-name="custom_content_color"], div[data-vc-shortcode-param-name="custom_border_color"], div[data-vc-shortcode-param-name="custom_border_color_hover"], div[data-vc-shortcode-param-name="custom_background_color"], div[data-vc-shortcode-param-name="custom_background_color_hover"]' );
                customBoxShadows = panel.find( 'div[data-vc-shortcode-param-name="custom_box_shadow_horizontal_length"], div[data-vc-shortcode-param-name="custom_box_shadow_horizontal_length_hover"]' ).parents( '.ueldo-box-shadow-fields-group' );

                switch( params.type ) {

                    case 'info':

                        infoColors.removeClass( 'ueldo-vc-color-depended-hidden' );
                        infoBoxShadows.removeClass( 'ueldo-vc-color-depended-hidden' );
                        successColors.addClass( 'ueldo-vc-color-depended-hidden' );
                        successBoxShadows.addClass( 'ueldo-vc-color-depended-hidden' );
                        errorColors.addClass( 'ueldo-vc-color-depended-hidden' );
                        errorBoxShadows.addClass( 'ueldo-vc-color-depended-hidden' );
                        warningColors.addClass( 'ueldo-vc-color-depended-hidden' );
                        warningBoxShadows.addClass( 'ueldo-vc-color-depended-hidden' );
                        customColors.addClass( 'ueldo-vc-color-depended-hidden' );
                        customBoxShadows.addClass( 'ueldo-vc-color-depended-hidden' );

                    break;

                    case 'success':

                        infoColors.addClass( 'ueldo-vc-color-depended-hidden' );
                        infoBoxShadows.addClass( 'ueldo-vc-color-depended-hidden' );
                        successColors.removeClass( 'ueldo-vc-color-depended-hidden' );
                        successBoxShadows.removeClass( 'ueldo-vc-color-depended-hidden' );
                        errorColors.addClass( 'ueldo-vc-color-depended-hidden' );
                        errorBoxShadows.addClass( 'ueldo-vc-color-depended-hidden' );
                        warningColors.addClass( 'ueldo-vc-color-depended-hidden' );
                        warningBoxShadows.addClass( 'ueldo-vc-color-depended-hidden' );
                        customColors.addClass( 'ueldo-vc-color-depended-hidden' );
                        customBoxShadows.addClass( 'ueldo-vc-color-depended-hidden' );

                    break;

                    case 'error':

                        infoColors.addClass( 'ueldo-vc-color-depended-hidden' );
                        infoBoxShadows.addClass( 'ueldo-vc-color-depended-hidden' );
                        successColors.addClass( 'ueldo-vc-color-depended-hidden' );
                        successBoxShadows.addClass( 'ueldo-vc-color-depended-hidden' );
                        errorColors.removeClass( 'ueldo-vc-color-depended-hidden' );
                        errorBoxShadows.removeClass( 'ueldo-vc-color-depended-hidden' );
                        warningColors.addClass( 'ueldo-vc-color-depended-hidden' );
                        warningBoxShadows.addClass( 'ueldo-vc-color-depended-hidden' );
                        customColors.addClass( 'ueldo-vc-color-depended-hidden' );
                        customBoxShadows.addClass( 'ueldo-vc-color-depended-hidden' );

                    break;

                    case 'warning':

                        infoColors.addClass( 'ueldo-vc-color-depended-hidden' );
                        infoBoxShadows.addClass( 'ueldo-vc-color-depended-hidden' );
                        successColors.addClass( 'ueldo-vc-color-depended-hidden' );
                        successBoxShadows.addClass( 'ueldo-vc-color-depended-hidden' );
                        errorColors.addClass( 'ueldo-vc-color-depended-hidden' );
                        errorBoxShadows.addClass( 'ueldo-vc-color-depended-hidden' );
                        warningColors.removeClass( 'ueldo-vc-color-depended-hidden' );
                        warningBoxShadows.removeClass( 'ueldo-vc-color-depended-hidden' );
                        customColors.addClass( 'ueldo-vc-color-depended-hidden' );
                        customBoxShadows.addClass( 'ueldo-vc-color-depended-hidden' );

                    break;

                    case 'custom':

                        infoColors.addClass( 'ueldo-vc-color-depended-hidden' );
                        infoBoxShadows.addClass( 'ueldo-vc-color-depended-hidden' );
                        successColors.addClass( 'ueldo-vc-color-depended-hidden' );
                        successBoxShadows.addClass( 'ueldo-vc-color-depended-hidden' );
                        errorColors.addClass( 'ueldo-vc-color-depended-hidden' );
                        errorBoxShadows.addClass( 'ueldo-vc-color-depended-hidden' );
                        warningColors.addClass( 'ueldo-vc-color-depended-hidden' );
                        warningBoxShadows.addClass( 'ueldo-vc-color-depended-hidden' );
                        customColors.removeClass( 'ueldo-vc-color-depended-hidden' );
                        customBoxShadows.removeClass( 'ueldo-vc-color-depended-hidden' );

                    break;
                }

            break;

            case 'ueldo_shortcode_timeline':

                params = {
                    'display_as': panel.find( 'select[name="display_as"]' ).val(),
                    'custom_sizes_enabled': panel.find( 'select[name="custom_sizes_enabled"]' ).val() != 'theme_defaults',
                    'custom_next_prev_arrows_settings': panel.find( 'select[name="custom_next_prev_arrows_settings"]' ).val() != 'theme_defaults',
                    'custom_colors_enabled': panel.find( 'select[name="custom_colors_enabled"]' ).val() != 'theme_defaults',
                };

                if( params.custom_sizes_enabled == true ) {

                    element = panel.find( 'div[data-vc-shortcode-param-name="timeline_elements_padding_value_for_card"], div[data-vc-shortcode-param-name="card_border_width"], div[data-vc-shortcode-param-name="card_border_radius_px"]' );

                    if( params.display_as == 'as_card' ) element.removeClass( 'ueldo-vc-color-depended-hidden' );
                    else element.addClass( 'ueldo-vc-color-depended-hidden' );

                    element = panel.find( 'div[data-vc-shortcode-param-name="timeline_elements_padding_value_for_full_width"], div[data-vc-shortcode-param-name="single_timeline_element_line_to_circle_thickness"], div[data-vc-shortcode-param-name="single_timeline_element_line_to_circle_height"]' );

                    if( params.display_as == 'as_full_width' ) element.removeClass( 'ueldo-vc-color-depended-hidden' );
                    else element.addClass( 'ueldo-vc-color-depended-hidden' );
                }

                if( params.custom_next_prev_arrows_settings == true ) {

                    element = panel.find( 'div[data-vc-shortcode-param-name="arrow_padding_left_right_for_card"]' );

                    if( params.display_as == 'as_card' ) element.removeClass( 'ueldo-vc-color-depended-hidden' );
                    else element.addClass( 'ueldo-vc-color-depended-hidden' );

                    element = panel.find( 'div[data-vc-shortcode-param-name="arrow_padding_left_right_for_full_width"]' );

                    if( params.display_as == 'as_full_width' ) element.removeClass( 'ueldo-vc-color-depended-hidden' );
                    else element.addClass( 'ueldo-vc-color-depended-hidden' );
                }

                if( params.custom_colors_enabled == true ) {

                    element = panel.find( 'div[data-vc-shortcode-param-name="card_border_color"], div[data-vc-shortcode-param-name="card_border_color_hover"], div[data-vc-shortcode-param-name="card_background_color"], div[data-vc-shortcode-param-name="card_background_color_hover"]' );

                    if( params.display_as == 'as_card' ) element.removeClass( 'ueldo-vc-color-depended-hidden' );
                    else element.addClass( 'ueldo-vc-color-depended-hidden' );

                    element = panel.find( 'div[data-vc-shortcode-param-name="card_box_shadow_horizontal_length"], div[data-vc-shortcode-param-name="card_box_shadow_horizontal_length_hover"]' ).parents( '.ueldo-box-shadow-fields-group' );

                    if( params.display_as == 'as_card' ) element.removeClass( 'ueldo-vc-color-depended-hidden' );
                    else element.addClass( 'ueldo-vc-color-depended-hidden' );
                }

            break;

            case 'ueldo_shortcode_button':

                params = {
                    'button_type': panel.find( 'select[name="button_type"]' ).val(),
                    'custom_sizes_enabled': panel.find( 'select[name="custom_sizes_enabled"]' ).val() != 'theme_defaults',
                    'custom_colors_enabled': panel.find( 'select[name="custom_colors_enabled"]' ).val() != 'theme_defaults'
                };

                if( params.custom_sizes_enabled == true ) {

                    element = panel.find( 'div[data-vc-shortcode-param-name="divider_standard_button_font_sizes"], div[data-vc-shortcode-param-name="standard_button_font_size"], div[data-vc-shortcode-param-name="standard_button_font_letter_spacing"], div[data-vc-shortcode-param-name="standard_button_icon_size"], div[data-vc-shortcode-param-name="divider_standard_button_paddings"], div[data-vc-shortcode-param-name="standard_button_padding_top"], div[data-vc-shortcode-param-name="standard_button_padding_right"], div[data-vc-shortcode-param-name="standard_button_padding_bottom"], div[data-vc-shortcode-param-name="standard_button_padding_left"], div[data-vc-shortcode-param-name="divider_standard_button_static_height_and_width"], div[data-vc-shortcode-param-name="standard_button_use_static_height"], div[data-vc-shortcode-param-name="standard_button_static_height"], div[data-vc-shortcode-param-name="standard_button_use_static_width"], div[data-vc-shortcode-param-name="standard_button_static_width"], div[data-vc-shortcode-param-name="divider_standard_button_icon_to_text_margin"], div[data-vc-shortcode-param-name="standard_button_margin_between_icon_and_text"], div[data-vc-shortcode-param-name="divider_standard_button_border"], div[data-vc-shortcode-param-name="standard_button_border_radius"], div[data-vc-shortcode-param-name="standard_button_border_width"]' );

                    if( params.button_type == 'standard-button' ) element.removeClass( 'ueldo-vc-color-depended-hidden' );
                    else element.addClass( 'ueldo-vc-color-depended-hidden' );

                    element = panel.find( 'div[data-vc-shortcode-param-name="divider_two_line_button_font_sizes"], div[data-vc-shortcode-param-name="two_line_button_title_font_size"], div[data-vc-shortcode-param-name="two_line_button_title_letter_spacing"], div[data-vc-shortcode-param-name="two_line_button_title_font_size"], div[data-vc-shortcode-param-name="two_line_button_icon_size"], div[data-vc-shortcode-param-name="two_line_button_margin_between_title_and_subtitle"], div[data-vc-shortcode-param-name="two_line_button_margin_between_icon_and_button_texts"], div[data-vc-shortcode-param-name="divider_two_line_button_paddings"], div[data-vc-shortcode-param-name="two_line_button_padding_top"], div[data-vc-shortcode-param-name="two_line_button_padding_right"], div[data-vc-shortcode-param-name="two_line_button_padding_bottom"], div[data-vc-shortcode-param-name="two_line_button_padding_left"], div[data-vc-shortcode-param-name="divider_two_line_button_static_height_and_width"], div[data-vc-shortcode-param-name="two_line_button_use_static_height"], div[data-vc-shortcode-param-name="two_line_button_static_height"], div[data-vc-shortcode-param-name="two_line_button_use_static_width"], div[data-vc-shortcode-param-name="two_line_button_static_width"], div[data-vc-shortcode-param-name="divider_two_line_button_border"], div[data-vc-shortcode-param-name="two_line_button_border_radius"], div[data-vc-shortcode-param-name="two_line_button_border_width"]' );

                    if( params.button_type == 'two-line-button' ) element.removeClass( 'ueldo-vc-color-depended-hidden' );
                    else element.addClass( 'ueldo-vc-color-depended-hidden' );
                }

                if( params.custom_colors_enabled == true ) {

                    element = panel.find( 'div[data-vc-shortcode-param-name="standard_button_background_color"], div[data-vc-shortcode-param-name="standard_button_background_color_hover"], div[data-vc-shortcode-param-name="standard_button_border_color"], div[data-vc-shortcode-param-name="standard_button_border_color_hover"], div[data-vc-shortcode-param-name="standard_button_text_color"], div[data-vc-shortcode-param-name="standard_button_text_color_hover"], div[data-vc-shortcode-param-name="standard_button_icon_color"], div[data-vc-shortcode-param-name="standard_button_icon_color_hover"]' );
                    elementTextShadows = panel.find( 'div[data-vc-shortcode-param-name="standard_button_text_shadow_horizontal_length"], div[data-vc-shortcode-param-name="standard_button_text_shadow_horizontal_length_hover"], div[data-vc-shortcode-param-name="standard_button_icon_text_shadow_horizontal_length"], div[data-vc-shortcode-param-name="standard_button_icon_text_shadow_horizontal_length_hover"]' ).parents( '.ueldo-text-shadow-fields-group' );
                    elementBoxShadows = panel.find( 'div[data-vc-shortcode-param-name="standard_button_box_shadow_horizontal_length"], div[data-vc-shortcode-param-name="standard_button_box_shadow_horizontal_length_hover"]' ).parents( '.ueldo-box-shadow-fields-group' );

                    if( params.button_type == 'standard-button' ) { element.removeClass( 'ueldo-vc-color-depended-hidden' ); elementTextShadows.removeClass( 'ueldo-vc-color-depended-hidden' ); elementBoxShadows.removeClass( 'ueldo-vc-color-depended-hidden' ); }
                    else { element.addClass( 'ueldo-vc-color-depended-hidden' ); elementTextShadows.addClass( 'ueldo-vc-color-depended-hidden' ); elementBoxShadows.addClass( 'ueldo-vc-color-depended-hidden' ); }

                    element = panel.find( 'div[data-vc-shortcode-param-name="two_line_button_background_color"], div[data-vc-shortcode-param-name="two_line_button_background_color_hover"], div[data-vc-shortcode-param-name="two_line_button_border_color"], div[data-vc-shortcode-param-name="two_line_button_border_color_hover"], div[data-vc-shortcode-param-name="two_line_button_first_line_color"], div[data-vc-shortcode-param-name="two_line_button_first_line_color_hover"], div[data-vc-shortcode-param-name="two_line_button_second_line_color"], div[data-vc-shortcode-param-name="two_line_button_second_line_color_hover"], div[data-vc-shortcode-param-name="two_line_button_icon_color"], div[data-vc-shortcode-param-name="two_line_button_icon_color_hover"]' );
                    elementTextShadows = panel.find( 'div[data-vc-shortcode-param-name="two_line_button_first_line_text_shadow_horizontal_length"], div[data-vc-shortcode-param-name="two_line_button_first_line_text_shadow_horizontal_length_hover"], div[data-vc-shortcode-param-name="two_line_button_second_line_text_shadow_horizontal_length"], div[data-vc-shortcode-param-name="two_line_button_second_line_text_shadow_horizontal_length_hover"], div[data-vc-shortcode-param-name="two_line_button_icon_text_shadow_horizontal_length"], div[data-vc-shortcode-param-name="two_line_button_icon_text_shadow_horizontal_length_hover"]' ).parents( '.ueldo-text-shadow-fields-group' );
                    elementBoxShadows = panel.find( 'div[data-vc-shortcode-param-name="two_line_button_box_shadow_horizontal_length"], div[data-vc-shortcode-param-name="two_line_button_box_shadow_horizontal_length_hover"]' ).parents( '.ueldo-box-shadow-fields-group' );

                    if( params.button_type == 'two-line-button' ) { element.removeClass( 'ueldo-vc-color-depended-hidden' ); elementTextShadows.removeClass( 'ueldo-vc-color-depended-hidden' ); elementBoxShadows.removeClass( 'ueldo-vc-color-depended-hidden' ); }
                    else { element.addClass( 'ueldo-vc-color-depended-hidden' ); elementTextShadows.addClass( 'ueldo-vc-color-depended-hidden' ); elementBoxShadows.addClass( 'ueldo-vc-color-depended-hidden' ); }
                }

            break;

            case 'ueldo_shortcode_post_page_box':

                params = {
                    'display_as_box': panel.find( 'select[name="display_as_box"]' ).val() == 'yes',
                    'box_style': panel.find( 'select[name="box_style"]' ).val(),
                    'display_as_card': panel.find( 'select[name="display_as_card"]' ).val() == 'yes',
                    'display_post_page_featured_image': panel.find( 'select[name="display_post_page_featured_image"]' ).val() == 'yes',
                    'display_post_page_content_excerpt': panel.find( 'select[name="display_post_page_content_excerpt"]' ).val() == 'yes',
                    'custom_sizes_enabled': panel.find( 'select[name="custom_sizes_enabled"]' ).val() != 'theme_defaults',
                    'custom_colors_enabled': panel.find( 'select[name="custom_colors_enabled"]' ).val() != 'theme_defaults'
                };

                element = panel.find( 'div[data-vc-shortcode-param-name="divider_read_more_text"], div[data-vc-shortcode-param-name="read_more_text"]' );

                if( ( params.display_as_box == true && params.box_style == '03' ) || params.display_as_box == false ) element.removeClass( 'ueldo-vc-color-depended-hidden' );
                else element.addClass( 'ueldo-vc-color-depended-hidden' );

                if( params.custom_sizes_enabled == true ) {

                    element = panel.find( 'div[data-vc-shortcode-param-name="border_width"], div[data-vc-shortcode-param-name="border_radius"], div[data-vc-shortcode-param-name="divider_sizes_padding"], div[data-vc-shortcode-param-name="padding_top_bottom"], div[data-vc-shortcode-param-name="padding_left_right"]' );

                    if( params.display_as_box == true || params.display_as_card == true ) element.removeClass( 'ueldo-vc-color-depended-hidden' );
                    else element.addClass( 'ueldo-vc-color-depended-hidden' );

                    element = panel.find( 'div[data-vc-shortcode-param-name="inset_border_width"]' );

                    if( params.display_as_box == true && params.box_style == '01' ) element.removeClass( 'ueldo-vc-color-depended-hidden' );
                    else element.addClass( 'ueldo-vc-color-depended-hidden' );

                    element = panel.find( 'div[data-vc-shortcode-param-name="divider_sizes_border"]' );

                    if( params.display_as_box == true || params.display_as_card == true ) element.removeClass( 'ueldo-vc-color-depended-hidden' );
                    else element.addClass( 'ueldo-vc-color-depended-hidden' );

                    element = panel.find( 'div[data-vc-shortcode-param-name="divider_sizes_post_author"], div[data-vc-shortcode-param-name="post_box_author_font_size"], div[data-vc-shortcode-param-name="post_box_author_font_line_height"], div[data-vc-shortcode-param-name="divider_sizes_post_author_name"], div[data-vc-shortcode-param-name="post_box_author_name_font_size"], div[data-vc-shortcode-param-name="post_box_author_name_font_line_height"]' );

                    if( params.display_as_box == true ) element.removeClass( 'ueldo-vc-color-depended-hidden' );
                    else element.addClass( 'ueldo-vc-color-depended-hidden' );

                    element = panel.find( 'div[data-vc-shortcode-param-name="divider_sizes_post_author_image"], div[data-vc-shortcode-param-name="post_box_author_image_width"], div[data-vc-shortcode-param-name="post_box_author_image_height"], div[data-vc-shortcode-param-name="post_box_author_image_border_radius"], div[data-vc-shortcode-param-name="post_box_author_image_border_radius_px"]' );

                    if( params.display_as_box == true && ( params.box_style == '01' || params.box_style == '02' ) ) element.removeClass( 'ueldo-vc-color-depended-hidden' );
                    else element.addClass( 'ueldo-vc-color-depended-hidden' );

                    element = panel.find( 'div[data-vc-shortcode-param-name="divider_sizes_featured_image"], div[data-vc-shortcode-param-name="featured_image_height_ratio"], div[data-vc-shortcode-param-name="featured_image_border_radius"]' );

                    if( params.display_as_box == false && params.display_post_page_featured_image == true ) element.removeClass( 'ueldo-vc-color-depended-hidden' );
                    else element.addClass( 'ueldo-vc-color-depended-hidden' );
                }

                if( params.custom_colors_enabled == true ) {

                    element = panel.find( 'div[data-vc-shortcode-param-name="border_color"], div[data-vc-shortcode-param-name="border_color_hover"], div[data-vc-shortcode-param-name="background_color"], div[data-vc-shortcode-param-name="background_color_hover"]' );

                    if( params.display_as_box == true || params.display_as_card == true ) element.removeClass( 'ueldo-vc-color-depended-hidden' );
                    else element.addClass( 'ueldo-vc-color-depended-hidden' );

                    element = panel.find( 'div[data-vc-shortcode-param-name="box_shadow_horizontal_length"], div[data-vc-shortcode-param-name="box_shadow_horizontal_length_hover"]' ).parents( '.ueldo-box-shadow-fields-group' );

                    if( params.display_as_box == true || params.display_as_card == true ) element.removeClass( 'ueldo-vc-color-depended-hidden' );
                    else element.addClass( 'ueldo-vc-color-depended-hidden' );

                    element = panel.find( 'div[data-vc-shortcode-param-name="inset_border_color"]' );

                    if( params.display_as_box == true && params.box_style == '01' ) element.removeClass( 'ueldo-vc-color-depended-hidden' );
                    else element.addClass( 'ueldo-vc-color-depended-hidden' );

                    element = panel.find( 'div[data-vc-shortcode-param-name="featured_image_box_shadow_horizontal_length"]' ).parents( '.ueldo-box-shadow-fields-group' );

                    if( params.display_as_box == false && params.display_post_page_featured_image == true ) element.removeClass( 'ueldo-vc-color-depended-hidden' );
                    else element.addClass( 'ueldo-vc-color-depended-hidden' );
                }

            break;

            case 'ueldo_shortcode_header_menu':

                params = {
                    'menu_style': panel.find( 'select[name="menu_style"]' ).val(),
                    'custom_sizes_enabled': panel.find( 'select[name="custom_sizes_enabled"]' ).val() != 'theme_defaults'
                };

                if( params.custom_sizes_enabled == true ) {

                    element = panel.find( 'div[data-vc-shortcode-param-name="menu_element_padding_top_bottom_for_01_03"], div[data-vc-shortcode-param-name="menu_element_padding_left_right_for_01_03"], div[data-vc-shortcode-param-name="menu_element_margin_top_bottom_for_01_03"]' );

                    if( params.menu_style == '01' || params.menu_style == '03' ) element.removeClass( 'ueldo-vc-color-depended-hidden' );
                    else element.addClass( 'ueldo-vc-color-depended-hidden' );

                    element = panel.find( 'div[data-vc-shortcode-param-name="menu_element_padding_top_bottom_for_02_04"], div[data-vc-shortcode-param-name="menu_element_padding_left_right_for_02_04"], div[data-vc-shortcode-param-name="menu_element_margin_top_bottom_for_02_04"], div[data-vc-shortcode-param-name="menu_element_border_radius"], div[data-vc-shortcode-param-name="active_menu_element_with_child_elements_background_color"], div[data-vc-shortcode-param-name="active_menu_element_with_child_elements_color"]' );

                    if( params.menu_style == '02' || params.menu_style == '04' ) element.removeClass( 'ueldo-vc-color-depended-hidden' );
                    else element.addClass( 'ueldo-vc-color-depended-hidden' );
                }

            break;

            case 'ueldo_shortcode_search_field':

                params = {
                    'type': panel.find( 'select[name="type"]' ).val()
                };

                element = panel.find( 'div[data-vc-shortcode-param-name="field_width"]' );

                if( params.type == 'animated' ) element.removeClass( 'ueldo-vc-color-depended-hidden' );
                else element.addClass( 'ueldo-vc-color-depended-hidden' );

            break;

            case 'ueldo_shortcode_icon':

                params = {
                    'different_colors_on_hover': panel.find( 'select[name="different_colors_on_hover"]' ).val()
                };

                element = panel.find( 'div[data-vc-shortcode-param-name="icon_shadow_horizontal_length_hover"]' ).parents( '.ueldo-text-shadow-fields-group' );

                if( params.different_colors_on_hover == 'yes' ) element.removeClass( 'ueldo-vc-color-depended-hidden' );
                else element.addClass( 'ueldo-vc-color-depended-hidden' );

            break;
        }

    };

   /**
    *
    * fire custom color dependencies function after panel load
    *
    */

    setTimeout( function() {

        var panel = $( '.vc_ui-panel.vc_active' );
        $.UeldoVCParamsRefreshCustomColorsDependencies( panel, panel[0].dataset.vcShortcode );

    }, 200 );

    $( '.vc_ui-panel.vc_active' ).on( 'change', 'select', function() {

        var panel = $( this ).parents( '.vc_ui-panel.vc_active' );
        $.UeldoVCParamsRefreshCustomColorsDependencies( panel, panel[0].dataset.vcShortcode );

    });

   /**
    *
    * find unique class id and create a shortcode - for "loop" shortcode
    *
    */

    $( '.vc_edit-form-tab' ).find( 'select[name="use_separate_next_prev_arrows"]' ).each( function() {

        var field = $( this );
        var tab = field.parents( '.vc_panel-tabs' );
        var uniqueClassID = tab.find( 'input[type="hidden"][name="class_name"]' ).val().replace( 'ueldo_vc_element_', '' );

        tab.find( '.ueldo-vc-custom-unique-shortcode pre' ).text( '[ueldo_next_prev_loop_icons loop_id="'+ uniqueClassID +'"]' );

    });

   /**
    *
    * find unique class id and create a shortcode - for "timeline" shortcode
    *
    */

    $( '.vc_edit-form-tab' ).find( 'select[name="how_many_timeline_elements_on_screen"]' ).each( function() {

        var field = $( this );
        var tab = field.parents( '.vc_panel-tabs' );
        var uniqueClassID = tab.find( 'input[type="hidden"][name="class_name"]' ).val().replace( 'ueldo_vc_element_', '' );

        tab.find( '.ueldo-vc-custom-unique-shortcode pre' ).text( '[ueldo_next_prev_timeline_icons timeline_id="'+ uniqueClassID +'"]' );

    });

   /**
    *
    * find unique class id and create a shortcode - for "hero scenes slider" shortcode
    *
    */

    $( '.vc_edit-form-tab' ).find( 'select[name="hero_scenes_circle_navigation_type"]' ).each( function() {

        var field = $( this );
        var tab = field.parents( '.vc_panel-tabs' );
        var uniqueClassID = tab.find( 'input[type="hidden"][name="class_name"]' ).val().replace( 'ueldo_vc_element_', '' );

        tab.find( '.ueldo-vc-custom-unique-shortcode pre' ).text( '[ueldo_separated_hero_scenes_slider_circle_navigation hero_scenes_slider_id="'+ uniqueClassID +'"]' );

    });

   /**
    *
    * validate number fields live
    *
    */

    $( '.vc_edit-form-tab' ).on( 'input', 'input.ueldo-validate-number-field', function() {

        var field = $( this );
        field.attr( 'disabled', true ).prop( 'disabled', true );

        var fieldValue = field.val();
        var minusAllowed = field.data( 'number-field-minus-allowed' );
        var decimalsAllowed = field.data( 'number-field-decimals-allowed' );
        var dotFound = false;
        var correctValue = '';

        for( var i = 0; i < fieldValue.length; i++ ) {

            var correct = $.inArray( fieldValue[i].toString(), [ '1', '2', '3', '4', '5', '6', '7', '8', '9', '0' ] ) != -1;

            if( correct == true ) correctValue += fieldValue[i].toString();
            else {

                if( i == 0 && fieldValue[i].toString() == '-' && minusAllowed == 'yes' ) correctValue += fieldValue[i].toString();
                else if( decimalsAllowed == 'yes' && fieldValue[i].toString() == '.' && dotFound == false && i > 0 ) {

                    dotFound = true;
                    correctValue += fieldValue[i].toString();
                }
            }
        }

        field.attr( 'value', correctValue ).val( correctValue ).attr( 'disabled', false ).prop( 'disabled', false ).focus();

    });

    $( '.vc_edit-form-tab' ).on( 'focusout', 'input.ueldo-validate-number-field', function() {

        var field = $( this );
        var fieldValue = field.val();
        var decimalsAllowed = field.data( 'number-field-decimals-allowed' );
        var parsedValue = decimalsAllowed ? parseFloat( fieldValue ) : parseInt( fieldValue, 10 );

        if( fieldValue == '' || fieldValue == '-' || fieldValue == '.' ) field.attr( 'value', '0' ).val( '0' );
        if( fieldValue != '0' ) {

            if( fieldValue[0] == '-' ) field.attr( 'value', parsedValue ).val( parsedValue );
            else if( fieldValue[0] == '0' ) {

                if( decimalsAllowed == 'no' ) field.attr( 'value', parsedValue ).val( parsedValue );
                else {

                    if( fieldValue.indexOf( '.' ) !== 1 ) field.attr( 'value', parsedValue ).val( parsedValue );
                }
            }

            else if( fieldValue[( fieldValue.length - 1)] == '.' ) {

                field.attr( 'value', parsedValue ).val( parsedValue );
            }
        }

    });

   /**
    *
    * end of functions
    *
    */

}( window.jQuery );