<?php

   /**
    *
    * Alpha Color Picker Customizer Control class
    *
    */

    class Customize_Alpha_Color_Control extends WP_Customize_Control {

      	/**
        *
      	 * official control name
        *
      	 */

        public $type = 'alpha-color';

      	/**
        *
      	 * enqueue scripts and styles
      	 *
      	 */

       	public function enqueue() {

            # enqueue alpha color picker javascript functions
            wp_enqueue_script( 'wp-color-picker-alpha', get_stylesheet_directory_uri() . '/_assets/_libs/alpha-color-picker/wp-color-picker-alpha.js', array( 'jquery', 'wp-color-picker' ), null, true );
       	}

      	/**
        *
      	 * render the control
        *
      	 */

        public function render_content() {

            ?>
            <label>

                <?php

                    # output the label if it was passed in
                    if( isset( $this -> label ) && '' !== $this -> label ) {

                        ?>
                        <span class="customize-control-title"><?php echo sanitize_text_field( $this -> label ); ?></span>
                        <?php
                    }

                    # output the description if it was passed in
                    if( isset( $this -> description ) && '' !== $this -> description ) {

                        ?>
                        <span class="description customize-control-description"><?php echo sanitize_text_field( $this -> description ); ?></span>
                        <?php
                    }

                ?>

            </label>

            <input type="text" class="color-picker" data-alpha="true" data-default-color="<?php echo esc_attr( $this -> settings['default'] -> default ); ?>" <?php $this -> link(); ?> />
            <?php
        }

       /**
        *
        * end of class methods
        *
        */
    }

   /**
    *
    * end of class.
    *
    */

?>