/**
 * jQuery Unveil
 * A very lightweight jQuery plugin to lazy load images
 * http://luis-almeida.github.com/unveil
 *
 * Licensed under the MIT license.
 * Copyright 2013 Luís Almeida
 * https://github.com/luis-almeida
 *
 * Some mods & updates by Martanian
 *
 */

;( function( $ ) {

    $.fn.unveil = function( threshold, callback ) {

        var $w = $( window ),
            th = threshold || 0,
            images = this,
            loaded;

        th = parseInt( th, 10 );
        this.one( 'unveil', function() {

            var source = this.getAttribute( 'data-src' );
            if( source ) {

                this.setAttribute( 'src', source );
                if( typeof callback === 'function' ) callback.call( this );
            }
        });

        function unveil() {

            var inview = images.filter( function() {

                var $e = $( this );
                if( $e.is( ':hidden' ) ) return;

                var element_height = $e.height();
                var et_fix = 0;

                if( element_height == 0 ) {

                    if( $e.hasClass( 'martanian-wpideal-image-data-for-parent' ) ) {

                        element_height = parseInt( $e.parent()[0].getBoundingClientRect().height, 10 );
                        et_fix = - element_height;
                    }
                }

                var wt = $w.scrollTop(),
                    wb = wt + $w.height(),
                    et = $e.offset().top + et_fix,
                    eb = et + element_height;

                return( eb >= wt - th && et <= wb + th );

            });

            loaded = inview.trigger( 'unveil' );
            images = images.not( loaded );
        }

        $w.on( 'scroll.unveil resize.unveil lookup.unveil', unveil );
        unveil();

        return this;
    };

})( window.jQuery );