<?php

   /**
    *
    * custom field for wordpress customizer
    * - px
    *
    */

    class ueldo_wp_customizer_field_px extends WP_Customize_Control {

       /**
        *
        * official control name
        *
        */

        public $type = 'ueldo-px';

       /**
        *
        * "minus allowed" option
        *
        */

        public $minus_allowed;

       /**
        *
        * "decimals allowed" option
        *
        */

        public $decimals_allowed;

       /**
        *
      	 * enqueue scripts and styles
      	 *
      	 */

       	public function enqueue() {

            # enqueue px field javascript functions
            wp_enqueue_script( 'ueldo-customizer-fields', get_stylesheet_directory_uri() . '/_assets/_js/customizer-fields.js', array( 'jquery' ), null, true );
       	}

       /**
        *
        * render the control
        *
        */

        public function render_content() {

            # output the label if it was passed in
            if( isset( $this -> label ) && '' !== $this -> label ) {

                ?>
                <span class="customize-control-title"><?php echo sanitize_text_field( $this -> label ); ?></span>
                <?php
            }

            # output the description if it was passed in
            if( isset( $this -> description ) && '' !== $this -> description ) {

                ?>
                <span class="description customize-control-description"><?php echo sanitize_text_field( $this -> description ); ?></span>
                <?php
            }

            ?>
            <div class="ueldo-customizer-px-field-container">

                <span class="ueldo-customizer-px-field"><input type="text" class="ueldo-validate-number-field" data-number-field-minus-allowed="<?php echo esc_attr( $this -> minus_allowed == false ? 'no' : 'yes' ); ?>" data-number-field-decimals-allowed="<?php echo esc_attr( $this -> decimals_allowed == false ? 'no' : 'yes' ); ?>" <?php $this -> link(); ?> /></span>

            </div>
            <?php
        }

       /**
        *
        * end of class methods
        *
        */
    }

   /**
    *
    * end of class.
    *
    */

?>