<?php

    # prevent direct file access
    if( !defined( 'ABSPATH' ) ) exit;

?>
<div class="ueldo-theme-options-single-option" data-option-key="404-page-id">

    <div class="ueldo-theme-options-single-option-padding">

        <h3><?php echo esc_html( __( '404 page', 'ueldo' ) ); ?></h3>
        <p><?php echo esc_html( __( 'Which of your pages should be used as "404 - not found" error page?', 'ueldo' ) ); ?></p>

    </div>

    <?php

        # walk for each language
        for( $i = 0; $i < count( $languages ); $i++ ) {

            # language key
            $lang_key = $languages[$i] == 'default' ? 'all' : strtolower( esc_attr( $languages[$i] ) );

            ?>
            <div class="ueldo-theme-options-single-option-form">

                <?php

                    # language name
                    if( $languages[$i] != 'default' ) {

                        # get the language name
                        $language_name = ueldo_get_language_name( $languages[$i] );

                        ?>
                        <div class="ueldo-theme-options-single-option-form-language"><?php echo esc_html( $language_name ); ?></div>
                        <?php
                    }

                ?>

                <div class="ueldo-theme-options-single-option-field-group">

                    <h4><?php echo esc_html( __( 'Select page:', 'ueldo' ) ); ?></h4>
                    <select name="ueldo_theme_options[404-page-id][<?php echo esc_attr( $lang_key ); ?>]">

                        <option value="default" <?php selected( ueldo_get_theme_options_value( '404-page-id', esc_attr( $lang_key ) ), 'default' ); ?>><?php echo esc_html( __( 'Use default 404 page', 'ueldo' ) ); ?></option>

                        <?php

                            # get pages options
                            foreach( $pages_list as $single_page ) {

                                ?>
                                <option value="<?php echo esc_attr( $single_page -> ID ); ?>" <?php selected( ueldo_get_theme_options_value( '404-page-id', esc_attr( $lang_key ) ), esc_attr( $single_page -> ID ) ); ?>><?php echo esc_html( $single_page -> post_title ); ?></option>
                                <?php
                            }

                        ?>

                    </select>

                </div>

            </div>
            <?php

        # end of loop
        }

    ?>

</div>
<?php

    # clear the variables
    unset( $i, $lang_key, $language_name, $single_page );

?>