<?php

    # prevent direct file access
    if( !defined( 'ABSPATH' ) ) exit;

?>
<div class="ueldo-theme-options-single-option" data-option-key="blog-posts-list-style">

    <div class="ueldo-theme-options-single-option-padding">

        <h3><?php echo esc_html( __( 'Blog posts list style', 'ueldo' ) ); ?></h3>
        <p><?php echo esc_html( __( 'Choose the style of posts list on blog page.', 'ueldo' ) ); ?></p>

    </div>

    <div class="ueldo-theme-options-single-option-form">

        <div class="ueldo-theme-options-single-option-field-group">

            <h4><?php echo esc_html( __( 'Style', 'ueldo' ) ); ?></h4>
            <div class="ueldo-theme-options-select-with-image-field">

                <input type="hidden" name="ueldo_theme_options[blog-posts-list-style][posts-list-style]" value="<?php echo esc_attr( ueldo_get_theme_options_value( 'blog-posts-list-style', false, 'posts-list-style' ) ); ?>" />

                <div class="ueldo-theme-options-select-with-image-field-option <?php echo esc_attr( ueldo_get_theme_options_value( 'blog-posts-list-style', false, 'posts-list-style' ) == 'default' ? 'ueldo-theme-options-select-with-image-field-option-selected' : '' ); ?>" data-option-value="default">

                    <div class="ueldo-theme-options-select-with-image-field-option-image-container">

                        <img src="<?php echo esc_url( ueldo_get_theme_options_image( 'blog-posts-list-style-default.png' ) ); ?>" />

                    </div>

                    <span><?php echo esc_html( __( 'Default', 'ueldo' ) ); ?></span>

                </div>

                <div class="ueldo-theme-options-select-with-image-field-option <?php echo esc_attr( ueldo_get_theme_options_value( 'blog-posts-list-style', false, 'posts-list-style' ) == '01' ? 'ueldo-theme-options-select-with-image-field-option-selected' : '' ); ?>" data-option-value="01">

                    <div class="ueldo-theme-options-select-with-image-field-option-image-container">

                        <img src="<?php echo esc_url( ueldo_get_theme_options_image( 'blog-posts-list-style-01.png' ) ); ?>" />

                    </div>

                    <span><?php echo esc_html( __( 'Style: 01', 'ueldo' ) ); ?></span>

                </div>

                <div class="ueldo-theme-options-select-with-image-field-option <?php echo esc_attr( ueldo_get_theme_options_value( 'blog-posts-list-style', false, 'posts-list-style' ) == '02' ? 'ueldo-theme-options-select-with-image-field-option-selected' : '' ); ?>" data-option-value="02">

                    <div class="ueldo-theme-options-select-with-image-field-option-image-container">

                        <img src="<?php echo esc_url( ueldo_get_theme_options_image( 'blog-posts-list-style-02.png' ) ); ?>" />

                    </div>

                    <span><?php echo esc_html( __( 'Style: 02', 'ueldo' ) ); ?></span>

                </div>

                <div class="ueldo-theme-options-select-with-image-field-option ueldo-theme-options-select-with-image-field-option-no-margin-right <?php echo esc_attr( ueldo_get_theme_options_value( 'blog-posts-list-style', false, 'posts-list-style' ) == '03' ? 'ueldo-theme-options-select-with-image-field-option-selected' : '' ); ?>" data-option-value="03">

                    <div class="ueldo-theme-options-select-with-image-field-option-image-container">

                        <img src="<?php echo esc_url( ueldo_get_theme_options_image( 'blog-posts-list-style-03.png' ) ); ?>" />

                    </div>

                    <span><?php echo esc_html( __( 'Style: 03', 'ueldo' ) ); ?></span>

                </div>

            </div>

        </div>

        <div class="ueldo-theme-options-single-option-field-group ueldo-theme-options-field-depended <?php echo esc_attr( !in_array( ueldo_get_theme_options_value( 'blog-posts-list-style', false, 'posts-list-style' ), array( 'default', '03' ), true ) ? 'ueldo-theme-options-field-depended-hidden' : '' ); ?>" data-depended-type="display-post-data-under-title">

            <h4><?php echo esc_html( __( 'Display blog post data under post title?', 'ueldo' ) ); ?></h4>
            <div class="ueldo-theme-options-yn-field">

                <input type="hidden" name="ueldo_theme_options[blog-posts-list-style][display-post-data-under-title]" value="<?php echo esc_attr( ueldo_get_theme_options_value( 'blog-posts-list-style', false, 'display-post-data-under-title' ) ); ?>" />

                <div class="ueldo-theme-options-yn-field-option <?php echo esc_attr( ueldo_get_theme_options_value( 'blog-posts-list-style', false, 'display-post-data-under-title' ) == 'yes' ? 'ueldo-theme-options-yn-field-option-selected' : '' ); ?>" data-option-value="yes"><?php echo esc_html( __( 'Yes', 'ueldo' ) ); ?></div>
                <div class="ueldo-theme-options-yn-field-option <?php echo esc_attr( ueldo_get_theme_options_value( 'blog-posts-list-style', false, 'display-post-data-under-title' ) == 'no' ? 'ueldo-theme-options-yn-field-option-selected' : '' ); ?>" data-option-value="no"><?php echo esc_html( __( 'No', 'ueldo' ) ); ?></div>

            </div>

        </div>

        <div class="ueldo-theme-options-single-option-field-group ueldo-theme-options-field-depended <?php echo esc_attr( ueldo_get_theme_options_value( 'blog-posts-list-style', false, 'posts-list-style' ) != 'default' ? 'ueldo-theme-options-field-depended-hidden' : '' ); ?>" data-depended-type="featured-image-reverse-indent-allowed">

            <h4><?php echo esc_html( __( 'Featured image reverse indent allowed?', 'ueldo' ) ); ?></h4>
            <div class="ueldo-theme-options-yn-field">

                <input type="hidden" name="ueldo_theme_options[blog-posts-list-style][featured-image-reverse-indent-allowed]" value="<?php echo esc_attr( ueldo_get_theme_options_value( 'blog-posts-list-style', false, 'featured-image-reverse-indent-allowed' ) ); ?>" />

                <div class="ueldo-theme-options-yn-field-option <?php echo esc_attr( ueldo_get_theme_options_value( 'blog-posts-list-style', false, 'featured-image-reverse-indent-allowed' ) == 'yes' ? 'ueldo-theme-options-yn-field-option-selected' : '' ); ?>" data-option-value="yes"><?php echo esc_html( __( 'Yes', 'ueldo' ) ); ?></div>
                <div class="ueldo-theme-options-yn-field-option <?php echo esc_attr( ueldo_get_theme_options_value( 'blog-posts-list-style', false, 'featured-image-reverse-indent-allowed' ) == 'no' ? 'ueldo-theme-options-yn-field-option-selected' : '' ); ?>" data-option-value="no"><?php echo esc_html( __( 'No', 'ueldo' ) ); ?></div>

            </div>

        </div>

    </div>

</div>