<?php

    # prevent direct file access
    if( !defined( 'ABSPATH' ) ) exit;

?>
<div class="ueldo-theme-options-single-option" data-option-key="blog-sidebar">

    <div class="ueldo-theme-options-single-option-padding">

        <h3><?php echo esc_html( __( 'Blog sidebar', 'ueldo' ) ); ?></h3>
        <p><?php echo esc_html( __( 'Choose the side of the sidebar separately on posts list pages and on single blog post.', 'ueldo' ) ); ?></p>

    </div>

    <div class="ueldo-theme-options-single-option-form">

        <div class="ueldo-theme-options-single-option-field-group">

            <h4><?php echo esc_html( __( 'Posts list sidebar', 'ueldo' ) ); ?></h4>
            <div class="ueldo-theme-options-select-with-image-field">

                <input type="hidden" name="ueldo_theme_options[blog-sidebar][posts-list]" value="<?php echo esc_attr( ueldo_get_theme_options_value( 'blog-sidebar', false, 'posts-list' ) ); ?>" />

                <div class="ueldo-theme-options-select-with-image-field-option <?php echo esc_attr( ueldo_get_theme_options_value( 'blog-sidebar', false, 'posts-list' ) == 'yes-left' ? 'ueldo-theme-options-select-with-image-field-option-selected' : '' ); ?>" data-option-value="yes-left">

                    <div class="ueldo-theme-options-select-with-image-field-option-image-container">

                        <img src="<?php echo esc_url( ueldo_get_theme_options_image( 'sidebar-left.png' ) ); ?>" />

                    </div>

                    <span><?php echo esc_html( __( 'Left side', 'ueldo' ) ); ?></span>

                </div>

                <div class="ueldo-theme-options-select-with-image-field-option <?php echo esc_attr( ueldo_get_theme_options_value( 'blog-sidebar', false, 'posts-list' ) == 'yes-right' ? 'ueldo-theme-options-select-with-image-field-option-selected' : '' ); ?>" data-option-value="yes-right">

                    <div class="ueldo-theme-options-select-with-image-field-option-image-container">

                        <img src="<?php echo esc_url( ueldo_get_theme_options_image( 'sidebar-right.png' ) ); ?>" />

                    </div>

                    <span><?php echo esc_html( __( 'Right side', 'ueldo' ) ); ?></span>

                </div>

                <div class="ueldo-theme-options-select-with-image-field-option <?php echo esc_attr( ueldo_get_theme_options_value( 'blog-sidebar', false, 'posts-list' ) == 'no' ? 'ueldo-theme-options-select-with-image-field-option-selected' : '' ); ?>" data-option-value="no">

                    <div class="ueldo-theme-options-select-with-image-field-option-image-container">

                        <img src="<?php echo esc_url( ueldo_get_theme_options_image( 'sidebar-disabled.png' ) ); ?>" />

                    </div>

                    <span><?php echo esc_html( __( 'No sidebar', 'ueldo' ) ); ?></span>

                </div>

            </div>

        </div>

        <div class="ueldo-theme-options-single-option-field-group">

            <h4><?php echo esc_html( __( 'Single post sidebar', 'ueldo' ) ); ?></h4>
            <div class="ueldo-theme-options-select-with-image-field">

                <input type="hidden" name="ueldo_theme_options[blog-sidebar][single-post]" value="<?php echo esc_attr( ueldo_get_theme_options_value( 'blog-sidebar', false, 'single-post' ) ); ?>" />

                <div class="ueldo-theme-options-select-with-image-field-option <?php echo esc_attr( ueldo_get_theme_options_value( 'blog-sidebar', false, 'single-post' ) == 'yes-left' ? 'ueldo-theme-options-select-with-image-field-option-selected' : '' ); ?>" data-option-value="yes-left">

                    <div class="ueldo-theme-options-select-with-image-field-option-image-container">

                        <img src="<?php echo esc_url( ueldo_get_theme_options_image( 'sidebar-left.png' ) ); ?>" />

                    </div>

                    <span><?php echo esc_html( __( 'Left side', 'ueldo' ) ); ?></span>

                </div>

                <div class="ueldo-theme-options-select-with-image-field-option <?php echo esc_attr( ueldo_get_theme_options_value( 'blog-sidebar', false, 'single-post' ) == 'yes-right' ? 'ueldo-theme-options-select-with-image-field-option-selected' : '' ); ?>" data-option-value="yes-right">

                    <div class="ueldo-theme-options-select-with-image-field-option-image-container">

                        <img src="<?php echo esc_url( ueldo_get_theme_options_image( 'sidebar-right.png' ) ); ?>" />

                    </div>

                    <span><?php echo esc_html( __( 'Right side', 'ueldo' ) ); ?></span>

                </div>

                <div class="ueldo-theme-options-select-with-image-field-option <?php echo esc_attr( ueldo_get_theme_options_value( 'blog-sidebar', false, 'single-post' ) == 'no' ? 'ueldo-theme-options-select-with-image-field-option-selected' : '' ); ?>" data-option-value="no">

                    <div class="ueldo-theme-options-select-with-image-field-option-image-container">

                        <img src="<?php echo esc_url( ueldo_get_theme_options_image( 'sidebar-disabled.png' ) ); ?>" />

                    </div>

                    <span><?php echo esc_html( __( 'No sidebar', 'ueldo' ) ); ?></span>

                </div>

            </div>

        </div>

        <div class="ueldo-theme-options-single-option-field-group ueldo-theme-options-field-depended <?php echo esc_attr( ( ueldo_get_theme_options_value( 'blog-sidebar', false, 'posts-list' ) == 'no' && ueldo_get_theme_options_value( 'blog-sidebar', false, 'single-post' ) == 'no' ) ? 'ueldo-theme-options-field-depended-hidden' : '' ); ?>">

            <h4><?php echo esc_html( __( 'Responsive sidebar style', 'ueldo' ) ); ?></h4>
            <div class="ueldo-theme-options-select-with-image-field">

                <input type="hidden" name="ueldo_theme_options[blog-sidebar][responsive-style]" value="<?php echo esc_attr( ueldo_get_theme_options_value( 'blog-sidebar', false, 'responsive-style' ) ); ?>" />

                <div class="ueldo-theme-options-select-with-image-field-option <?php echo esc_attr( ueldo_get_theme_options_value( 'blog-sidebar', false, 'responsive-style' ) == 'flying' ? 'ueldo-theme-options-select-with-image-field-option-selected' : '' ); ?>" data-option-value="flying">

                    <div class="ueldo-theme-options-select-with-image-field-option-image-container">

                        <img src="<?php echo esc_url( ueldo_get_theme_options_image( 'responsive-sidebar-flying.gif' ) ); ?>" />

                    </div>

                    <span><?php echo esc_html( __( 'Flying', 'ueldo' ) ); ?></span>

                </div>

                <div class="ueldo-theme-options-select-with-image-field-option <?php echo esc_attr( ueldo_get_theme_options_value( 'blog-sidebar', false, 'responsive-style' ) == 'static' ? 'ueldo-theme-options-select-with-image-field-option-selected' : '' ); ?>" data-option-value="static">

                    <div class="ueldo-theme-options-select-with-image-field-option-image-container">

                        <img src="<?php echo esc_url( ueldo_get_theme_options_image( 'responsive-sidebar-static.gif' ) ); ?>" />

                    </div>

                    <span><?php echo esc_html( __( 'Static', 'ueldo' ) ); ?></span>

                </div>

            </div>

        </div>

    </div>

</div>