<?php

    # prevent direct file access
    if( !defined( 'ABSPATH' ) ) exit;

?>
<div class="ueldo-theme-options-single-option" data-option-key="boxed-website">

    <div class="ueldo-theme-options-single-option-padding">

        <h3><?php echo esc_html( __( 'Website width', 'ueldo' ) ); ?></h3>
        <p><?php echo esc_html( __( 'Manage boxed and full-width website styles and configure its settings here.', 'ueldo' ) ); ?></p>

    </div>

    <div class="ueldo-theme-options-single-option-form">

        <div class="ueldo-theme-options-single-option-field-group">

            <h4><?php echo esc_html( __( 'Website width style:', 'ueldo' ) ); ?></h4>
            <div class="ueldo-theme-options-select-with-image-field">

                <input type="hidden" name="ueldo_theme_options[boxed-website][enabled]" value="<?php echo esc_attr( ueldo_get_theme_options_value( 'boxed-website', false, 'enabled' ) ); ?>" />

                <div class="ueldo-theme-options-select-with-image-field-option <?php echo esc_attr( ueldo_get_theme_options_value( 'boxed-website', false, 'enabled' ) == 'no' ? 'ueldo-theme-options-select-with-image-field-option-selected' : '' ); ?>" data-option-value="no">

                    <div class="ueldo-theme-options-select-with-image-field-option-image-container">

                        <img src="<?php echo esc_url( ueldo_get_theme_options_image( 'website-width-full-width.png' ) ); ?>" />

                    </div>

                    <span><?php echo esc_html( __( 'Full-width', 'ueldo' ) ); ?></span>

                </div>

                <div class="ueldo-theme-options-select-with-image-field-option <?php echo esc_attr( ueldo_get_theme_options_value( 'boxed-website', false, 'enabled' ) == 'yes' ? 'ueldo-theme-options-select-with-image-field-option-selected' : '' ); ?>" data-option-value="yes">

                    <div class="ueldo-theme-options-select-with-image-field-option-image-container">

                        <img src="<?php echo esc_url( ueldo_get_theme_options_image( 'website-width-boxed.png' ) ); ?>" />

                    </div>

                    <span><?php echo esc_html( __( 'Boxed', 'ueldo' ) ); ?></span>

                </div>

            </div>

        </div>

        <div class="ueldo-theme-options-single-option-field-group">

            <h4><?php echo esc_html( __( 'Large content width', 'ueldo' ) ); ?></h4>
            <span class="ueldo-theme-options-px-field"><input type="text" class="ueldo-validate-number-field" data-number-field-minus-allowed="no" name="ueldo_theme_options[boxed-website][large-content-width]" value="<?php echo esc_attr( ueldo_get_theme_options_value( 'boxed-website', false, 'large-content-width' ) ); ?>" /></span>

            <div class="ueldo-theme-options-field-depended <?php echo esc_attr( ueldo_get_theme_options_value( 'boxed-website', false, 'enabled' ) == 'no' ? 'ueldo-theme-options-field-depended-hidden' : '' ); ?>">

                <h4><?php echo esc_html( __( 'Large content space', 'ueldo' ) ); ?></h4>
                <p class="ueldo-theme-options-single-option-field-tip"><?php echo esc_html( __( 'Image content width + ( image content space * 2 ) should not be more than 1200 for large devices. Current value:', 'ueldo' ) ); ?> <strong class="ueldo-theme-options-boxed-website-large-calculation"></strong></p>

                <span class="ueldo-theme-options-px-field"><input type="text" class="ueldo-validate-number-field" data-number-field-minus-allowed="no" name="ueldo_theme_options[boxed-website][large-content-space]" value="<?php echo esc_attr( ueldo_get_theme_options_value( 'boxed-website', false, 'large-content-space' ) ); ?>" /></span>

            </div>

        </div>

        <div class="ueldo-theme-options-single-option-field-group">

            <h4><?php echo esc_html( __( 'Medium content width', 'ueldo' ) ); ?></h4>
            <span class="ueldo-theme-options-px-field"><input type="text" class="ueldo-validate-number-field" data-number-field-minus-allowed="no" name="ueldo_theme_options[boxed-website][medium-content-width]" value="<?php echo esc_attr( ueldo_get_theme_options_value( 'boxed-website', false, 'medium-content-width' ) ); ?>" /></span>

            <div class="ueldo-theme-options-field-depended <?php echo esc_attr( ueldo_get_theme_options_value( 'boxed-website', false, 'enabled' ) == 'no' ? 'ueldo-theme-options-field-depended-hidden' : '' ); ?>">

                <h4><?php echo esc_html( __( 'Medium content space', 'ueldo' ) ); ?></h4>
                <p class="ueldo-theme-options-single-option-field-tip"><?php echo esc_html( __( 'Image content width + ( image content space * 2 ) should not be more than 990 for medium devices. Current value:', 'ueldo' ) ); ?> <strong class="ueldo-theme-options-boxed-website-medium-calculation"></strong></p>

                <span class="ueldo-theme-options-px-field"><input type="text" class="ueldo-validate-number-field" data-number-field-minus-allowed="no" name="ueldo_theme_options[boxed-website][medium-content-space]" value="<?php echo esc_attr( ueldo_get_theme_options_value( 'boxed-website', false, 'medium-content-space' ) ); ?>" /></span>

            </div>

        </div>

        <div class="ueldo-theme-options-single-option-field-group">

            <h4><?php echo esc_html( __( 'Small content width', 'ueldo' ) ); ?></h4>
            <span class="ueldo-theme-options-px-field"><input type="text" class="ueldo-validate-number-field" data-number-field-minus-allowed="no" name="ueldo_theme_options[boxed-website][small-content-width]" value="<?php echo esc_attr( ueldo_get_theme_options_value( 'boxed-website', false, 'small-content-width' ) ); ?>" /></span>

            <div class="ueldo-theme-options-field-depended <?php echo esc_attr( ueldo_get_theme_options_value( 'boxed-website', false, 'enabled' ) == 'no' ? 'ueldo-theme-options-field-depended-hidden' : '' ); ?>">

                <h4><?php echo esc_html( __( 'Small content space', 'ueldo' ) ); ?></h4>
                <p class="ueldo-theme-options-single-option-field-tip"><?php echo esc_html( __( 'Image content width + ( image content space * 2 ) should not be more than 765 for small devices. Current value:', 'ueldo' ) ); ?> <strong class="ueldo-theme-options-boxed-website-small-calculation"></strong></p>

                <span class="ueldo-theme-options-px-field"><input type="text" class="ueldo-validate-number-field" data-number-field-minus-allowed="no" name="ueldo_theme_options[boxed-website][small-content-space]" value="<?php echo esc_attr( ueldo_get_theme_options_value( 'boxed-website', false, 'small-content-space' ) ); ?>" /></span>

            </div>

        </div>

    </div>

</div>