<?php

    # prevent direct file access
    if( !defined( 'ABSPATH' ) ) exit;

?>
<div class="ueldo-theme-options-single-option" data-option-key="dynamic-theme-styles-cache" data-active="<?php echo esc_attr( ueldo_plugins::is_active_plugin( 'ueldo' ) == false ? 'no' : 'yes' ); ?>">

    <div class="ueldo-theme-options-single-option-padding">

        <h3><?php echo esc_html( __( 'Dynamic Theme Styles Cache', 'ueldo' ) ); ?></h3>
        <p><?php echo esc_html( __( 'Manage dynamically created theme styles cache here.', 'ueldo' ) ); ?></p>

    </div>

    <div class="ueldo-theme-options-single-option-form">

        <div class="ueldo-theme-options-single-option-field-group">

            <h4><?php echo esc_html( __( 'Enabled?', 'ueldo' ) ); ?></h4>
            <div class="ueldo-theme-options-yn-field">

                <input type="hidden" name="ueldo_theme_options[dynamic-theme-styles-cache][enabled]" value="<?php echo esc_attr( ueldo_get_theme_options_value( 'dynamic-theme-styles-cache', false, 'enabled' ) ); ?>" />

                <div class="ueldo-theme-options-yn-field-option <?php echo esc_attr( ueldo_get_theme_options_value( 'dynamic-theme-styles-cache', false, 'enabled' ) == 'yes' ? 'ueldo-theme-options-yn-field-option-selected' : '' ); ?>" data-option-value="yes"><?php echo esc_html( __( 'Yes', 'ueldo' ) ); ?></div>
                <div class="ueldo-theme-options-yn-field-option <?php echo esc_attr( ueldo_get_theme_options_value( 'dynamic-theme-styles-cache', false, 'enabled' ) == 'no' ? 'ueldo-theme-options-yn-field-option-selected' : '' ); ?>" data-option-value="no"><?php echo esc_html( __( 'No', 'ueldo' ) ); ?></div>

            </div>

        </div>

        <div class="ueldo-theme-options-single-option-field-group ueldo-theme-options-field-depended <?php echo esc_attr( ueldo_get_theme_options_value( 'dynamic-theme-styles-cache', false, 'enabled' ) == 'no' ? 'ueldo-theme-options-field-depended-hidden' : '' ); ?>">

            <h4><?php echo esc_html( __( 'Clear cache:', 'ueldo' ) ); ?></h4>
            <select name="ueldo_theme_options[dynamic-theme-styles-cache][clear-cache]" data-depended-for="dynamic-theme-styles-cache-clear-button">

                <option value="all-the-time-when-logged-in" <?php selected( ueldo_get_theme_options_value( 'dynamic-theme-styles-cache', false, 'clear-cache' ), 'all-the-time-when-logged-in' ); ?>><?php echo esc_html( __( 'All the time when logged in', 'ueldo' ) ); ?></option>
                <option value="manually-only" <?php selected( ueldo_get_theme_options_value( 'dynamic-theme-styles-cache', false, 'clear-cache' ), 'manually-only' ); ?>><?php echo esc_html( __( 'Manually only', 'ueldo' ) ); ?></option>

            </select>

            <div class="ueldo-theme-options-single-option-field-group-depended-button" data-depended-button-visible="<?php echo esc_attr( ueldo_get_theme_options_value( 'dynamic-theme-styles-cache', false, 'clear-cache' ) == 'manually-only' ? 'yes' : 'no' ); ?>">

                <button type="button" class="button button-secondary" id="ueldo-clear-dynamic-theme-styles-cache-manually"><?php echo esc_html( __( 'Clear cache now', 'ueldo' ) ); ?></button>

            </div>

        </div>

    </div>

</div>