<?php

    # prevent direct file access
    if( !defined( 'ABSPATH' ) ) exit;

?>
<div class="ueldo-theme-options-single-option" data-option-key="facebook-fanpage-url">

    <div class="ueldo-theme-options-single-option-padding">

        <h3><?php echo esc_html( __( 'Facebook FanPage URL', 'ueldo' ) ); ?></h3>
        <p><?php echo esc_html( __( 'You can set here your Facebook FanPage URL - it will be used for "like" button on left side of each blog post and as default value for other Facebook buttons.', 'ueldo' ) ); ?></p>

    </div>

    <?php

        # walk for each language
        for( $i = 0; $i < count( $languages ); $i++ ) {

            # language key
            $lang_key = $languages[$i] == 'default' ? 'all' : strtolower( esc_attr( $languages[$i] ) );

            ?>
            <div class="ueldo-theme-options-single-option-form">

                <?php

                    # language name
                    if( $languages[$i] != 'default' ) {

                        # get the language name
                        $language_name = ueldo_get_language_name( $languages[$i] );

                        ?>
                        <div class="ueldo-theme-options-single-option-form-language"><?php echo esc_html( $language_name ); ?></div>
                        <?php
                    }

                ?>

                <div class="ueldo-theme-options-single-option-field-group">

                    <h4><?php echo esc_html( __( 'Facebook FanPage URL:', 'ueldo' ) ); ?></h4>
                    <input type="text" name="ueldo_theme_options[facebook-fanpage-url][<?php echo esc_attr( $lang_key ); ?>]" value="<?php echo esc_attr( ueldo_get_theme_options_value( 'facebook-fanpage-url', esc_attr( $lang_key ) ) ); ?>" placeholder="<?php echo esc_html( 'For example:', 'ueldo' ); ?> <?php echo esc_url( ueldo_get_external_url( 'facebook-envato' ) ) ?>" />

                </div>

            </div>
            <?php

        # end of loop
        }

    ?>

</div>
<?php

    # clear the variables
    unset( $i, $lang_key, $language_name );

?>