<?php

    # prevent direct file access
    if( !defined( 'ABSPATH' ) ) exit;

?>
<div class="ueldo-theme-options-single-option" data-option-key="fonts">

    <div class="ueldo-theme-options-single-option-padding">

        <h3><?php echo esc_html( __( 'Fonts', 'ueldo' ) ); ?></h3>
        <p><?php echo esc_html( __( 'Here you can manage your website fonts - choose any font from Google fonts directory.', 'ueldo' ) ); ?></p>

    </div>

    <?php

        # walk for each language
        for( $i = 0; $i < count( $languages ); $i++ ) {

            # language key
            $lang_key = $languages[$i] == 'default' ? 'all' : strtolower( esc_attr( $languages[$i] ) );

            ?>
            <div class="ueldo-theme-options-single-option-form">

                <?php

                    # language name
                    if( $languages[$i] != 'default' ) {

                        # get the language name
                        $language_name = ueldo_get_language_name( $languages[$i] );

                        ?>
                        <div class="ueldo-theme-options-single-option-form-language"><?php echo esc_html( $language_name ); ?></div>
                        <?php
                    }

                    # fonts options
                    $fonts_keys = array(
                        'general-font' => esc_html( __( 'General font', 'ueldo' ) ),
                        'general-bold-font' => esc_html( __( 'General bold font', 'ueldo' ) ),
                        'menu-font' => esc_html( __( 'Menu font', 'ueldo' ) ),
                        'headings-font' => esc_html( __( 'Headings font', 'ueldo' ) ),
                        'headings-slim-font' => esc_html( __( 'Headings slim font', 'ueldo' ) ),
                        'headings-bold-font' => esc_html( __( 'Headings bold font', 'ueldo' ) ),
                        'headings-subtitle-font' => esc_html( __( 'Headings subtitle font', 'ueldo' ) ),
                        'buttons-font' => esc_html( __( 'Buttons font', 'ueldo' ) ),
                        'form-fields-font' => esc_html( __( 'Form fields font', 'ueldo' ) ),
                        'blockquote-font' => esc_html( __( 'Blockquote font', 'ueldo' ) ),
                        'alert-messages-font' => esc_html( __( 'Alert messages font', 'ueldo' ) )
                    );

                    # walk for each font option
                    foreach( $fonts_keys as $font_key => $font_name ) {

                        ?>
                        <div class="ueldo-theme-options-single-option-field-group">

                            <h4><?php echo esc_html( $font_name ); ?></h4>
                            <?php

                                # display fonts selection field
                                ueldo_get_google_fonts_selection_field(
                                    ueldo_get_theme_options_value( 'fonts', esc_attr( $lang_key ), esc_attr( $font_key .'-family' ) ),
                                    ueldo_get_theme_options_value( 'fonts', esc_attr( $lang_key ), esc_attr( $font_key .'-weight' ) ),
                                    ueldo_get_theme_options_value( 'fonts', esc_attr( $lang_key ), esc_attr( $font_key .'-subset' ) ),
                                    ueldo_get_theme_options_value( 'fonts', esc_attr( $lang_key ), esc_attr( $font_key .'-smoothing' ) ),
                                    array(
                                        'subsection' => esc_attr( $font_key ),
                                        'language' => esc_attr( $lang_key )
                                    )
                                );

                            ?>

                        </div>
                        <?php
                    }

                ?>

            </div>
            <?php

        # end of loop
        }

    ?>

</div>
<?php

    # clear the variables
    unset( $i, $lang_key, $language_name, $fonts_keys, $font_key, $font_name );

?>