<?php

    # prevent direct file access
    if( !defined( 'ABSPATH' ) ) exit;

?>
<div class="ueldo-theme-options-single-option" data-option-key="footer-content">

    <div class="ueldo-theme-options-single-option-padding">

        <h3><?php echo esc_html( __( 'Footer content', 'ueldo' ) ); ?></h3>
        <p><?php echo esc_html( __( 'You can configure your footer content here:', 'ueldo' ) ); ?></p>

    </div>

    <?php

        # walk for each language
        for( $i = 0; $i < count( $languages ); $i++ ) {

            # language key for editor
            $lang_key = $languages[$i] == 'default' ? 'all' : strtolower( esc_attr( $languages[$i] ) );

            ?>
            <div class="ueldo-theme-options-single-option-form">

                <?php

                    # language name
                    if( $languages[$i] != 'default' ) {

                        # get the language name
                        $language_name = ueldo_get_language_name( $languages[$i] );

                        ?>
                        <div class="ueldo-theme-options-single-option-form-language"><?php echo esc_html( $language_name ); ?></div>
                        <?php
                    }

                ?>

                <div class="ueldo-theme-options-single-option-field-group">

                    <h4><?php echo esc_html( __( 'Footer content:', 'ueldo' ) ); ?></h4>
                    <select name="ueldo_theme_options[footer-content][get-content-from][<?php echo esc_attr( $lang_key ); ?>]" class="ueldo-footer-content-get-content-from-field">

                        <option value="default" <?php selected( ueldo_get_theme_options_value( 'footer-content', esc_attr( $lang_key ), 'get-content-from' ), 'default' ); ?>><?php echo esc_html( __( 'Use default theme footer', 'ueldo' ) ); ?></option>

                        <?php

                            # get "headers and footers" available pages
                            $hefos = ueldo_get_all_hefos_array();

                            # do we have "headers and footers" added?
                            if( $hefos != false && $hefos != null && is_array( $hefos ) ) {

                                # walk through each "headers and footers"
                                foreach( $hefos as $hefo ) {

                                    ?>
                                    <option value="<?php echo esc_attr( $hefo -> ID ); ?>" <?php selected( ueldo_get_theme_options_value( 'footer-content', esc_attr( $lang_key ), 'get-content-from' ), esc_attr( $hefo -> ID ) ); ?>><?php echo esc_html( $hefo -> post_title ); ?></option>
                                    <?php
                                }
                            }

                        ?>

                    </select>

                    <h4><?php echo esc_html( __( 'Footer position:', 'ueldo' ) ); ?></h4>

                    <div class="ueldo-theme-options-select-with-image-field">

                        <input type="hidden" name="ueldo_theme_options[footer-content][position][<?php echo esc_attr( $lang_key ); ?>]" value="<?php echo esc_attr( ueldo_get_theme_options_value( 'footer-content', esc_attr( $lang_key ), 'position' ) ); ?>" />

                        <div class="ueldo-theme-options-select-with-image-field-option <?php echo esc_attr( ueldo_get_theme_options_value( 'footer-content', esc_attr( $lang_key ), 'position' ) == 'static' ? 'ueldo-theme-options-select-with-image-field-option-selected' : '' ); ?>" data-option-value="static">

                            <div class="ueldo-theme-options-select-with-image-field-option-image-container">

                                <img src="<?php echo esc_url( ueldo_get_theme_options_image( 'footer-position-static.gif' ) ); ?>" />

                            </div>

                            <span><?php echo esc_html( __( 'Static', 'ueldo' ) ); ?></span>

                        </div>

                        <div class="ueldo-theme-options-select-with-image-field-option <?php echo esc_attr( ueldo_get_theme_options_value( 'footer-content', esc_attr( $lang_key ), 'position' ) == 'fixed-to-bottom' ? 'ueldo-theme-options-select-with-image-field-option-selected' : '' ); ?>" data-option-value="fixed-to-bottom">

                            <div class="ueldo-theme-options-select-with-image-field-option-image-container">

                                <img src="<?php echo esc_url( ueldo_get_theme_options_image( 'footer-position-fixed-to-bottom.gif' ) ); ?>" />

                            </div>

                            <span><?php echo esc_html( __( 'Fixed to bottom', 'ueldo' ) ); ?></span>

                        </div>

                    </div>

                    <div class="ueldo-theme-options-field-depended <?php echo esc_attr( ueldo_get_theme_options_value( 'footer-content', esc_attr( $lang_key ), 'get-content-from' ) != 'default' ? 'ueldo-theme-options-field-depended-hidden' : '' ); ?>">

                        <h4><?php echo esc_html( __( 'Footer content:', 'ueldo' ) ); ?></h4>

                        <?php

                            # get the editor key
                            $editor_key = 'ueldo_theme_options_footer_content_'. strtolower( esc_attr( $lang_key ) );

                            # show the editor
                            wp_editor(
                                ueldo_get_theme_options_value( 'footer-content', esc_attr( $editor_key ) ),
                                $editor_key,
                                array(
                                    'teeny' => true,
                                    'textarea_rows' => 5,
                                    'tabindex' => 1
                                )
                            );

                        ?>

                    </div>

                </div>

            </div>
            <?php

        # end of loop
        }

    ?>

</div>
<?php

    # clear the variables
    unset( $i, $lang_key, $language_name, $editor_key, $hefos );

?>