<?php

    # prevent direct file access
    if( !defined( 'ABSPATH' ) ) exit;

?>
<div class="ueldo-theme-options-single-option" data-option-key="google-maps">

    <div class="ueldo-theme-options-single-option-padding">

        <h3><?php echo esc_html( __( 'Google maps', 'ueldo' ) ); ?></h3>
        <p><?php echo esc_html( __( 'Here you can create your Google maps and set the API key.', 'ueldo' ) ); ?></p>

    </div>

    <div class="ueldo-theme-options-single-option-form">

        <div class="ueldo-theme-options-single-option-field-group">

            <h4><?php echo esc_html( __( 'API key:', 'ueldo' ) ); ?></h4>
            <p class="ueldo-theme-options-single-option-description"><?php echo esc_html( __( 'Google maps API key is required for proper work of maps.', 'ueldo' ) ); ?> <a href="<?php echo esc_url( ueldo_get_external_url( 'how-to-get-google-maps-api-key' ) ); ?>" target="_blank"><?php echo esc_html( __( 'How to get an API key?', 'ueldo' ) ); ?></a></p>
            <input type="text" name="ueldo_theme_options[google-maps][api-key]" value="<?php echo esc_attr( ueldo_get_theme_options_value( 'google-maps', false, 'api-key' ) ); ?>" />

        </div>

        <div class="ueldo-theme-options-single-option-field-group">

            <h4><?php echo esc_html( __( 'Saved Google maps:', 'ueldo' ) ); ?></h4>
            <div class="ueldo-theme-options-google-maps-list">

                <input type="hidden" name="ueldo_theme_options[google-maps][next-map-id]" value="<?php echo esc_attr( ueldo_get_theme_options_value( 'google-maps', false, 'next-map-id' ) ); ?>">

                <div class="ueldo-theme-options-google-maps-list-nothing-found">

                    <p><?php echo esc_html( 'You did not added any map yet.', 'ueldo' ); ?></p>

                </div>

                <?php

                    # get next map id
                    $next_map_id = ueldo_get_theme_options_value( 'google-maps', false, 'next-map-id' );

                    # do we have maps added?
                    if( $next_map_id > 1 ) {

                        # walk for each map
                        for( $i = 0; $i < $next_map_id; $i++ ) {

                            # map title
                            $map_title = ueldo_get_theme_options_value( 'google-maps', false, 'google-map-'. esc_attr( $i ) .'-title' );

                            # do we have the map?
                            if( $map_title !== false ) {

                                ?>
                                <div class="ueldo-theme-options-google-maps-list-single-map">

                                    <span class="ueldo-theme-options-google-maps-list-single-map-remove-confirm" data-visible="no"><?php echo esc_html( __( 'Confirm the deletion', 'ueldo' ) ); ?></span>
                                    <span class="ueldo-theme-options-google-maps-list-single-map-remove" data-visible="yes"></span>
                                    <span class="ueldo-theme-options-google-maps-list-single-map-edit"><i class="fa fa-pencil"></i></span>

                                    <span data-element-type="location"><?php echo esc_html( $map_title ); ?></span>

                                    <?php

                                        # get google maps creation field
                                        ueldo_get_google_maps_creation_field( $i );

                                    ?>

                                </div>
                                <?php
                            }
                        }
                    }

                ?>

            </div>

            <div class="ueldo-theme-options-google-maps-list-add-new-map"><?php echo esc_html( 'Add new map', 'ueldo' ); ?></div>

        </div>

    </div>

</div>
<?php

    # clear the variables
    unset( $next_map_id, $i, $map_title );

?>