<?php

    # prevent direct file access
    if( !defined( 'ABSPATH' ) ) exit;

    # get "headers and footers" available pages
    $hefos = ueldo_get_all_hefos_array();

?>
<div class="ueldo-theme-options-single-option" data-option-key="header">

    <div class="ueldo-theme-options-single-option-padding">

        <h3><?php echo esc_html( __( 'Header', 'ueldo' ) ); ?></h3>
        <p><?php echo esc_html( __( 'You can configure your website header here:', 'ueldo' ) ); ?></p>

    </div>

    <?php

        # walk for each language
        for( $i = 0; $i < count( $languages ); $i++ ) {

            # language key for editor
            $lang_key = $languages[$i] == 'default' ? 'all' : strtolower( esc_attr( $languages[$i] ) );

            ?>
            <div class="ueldo-theme-options-single-option-form" data-lang-key="<?php echo esc_attr( $lang_key ); ?>">

                <?php

                    # language name
                    if( $languages[$i] != 'default' ) {

                        # get the language name
                        $language_name = ueldo_get_language_name( $languages[$i] );

                        ?>
                        <div class="ueldo-theme-options-single-option-form-language"><?php echo esc_html( $language_name ); ?></div>
                        <?php
                    }

                ?>

                <div class="ueldo-theme-options-single-option-field-group">

                    <h4><?php echo esc_html( __( 'Header content:', 'ueldo' ) ); ?></h4>
                    <select name="ueldo_theme_options[header][get-content-from][<?php echo esc_attr( $lang_key ); ?>]">

                        <option value="default" <?php selected( ueldo_get_theme_options_value( 'header', esc_attr( $lang_key ), 'get-content-from' ), 'default' ); ?>><?php echo esc_html( __( 'Use default theme header', 'ueldo' ) ); ?></option>

                        <?php

                            # do we have "headers and footers" added?
                            if( $hefos != false && $hefos != null && is_array( $hefos ) ) {

                                # walk through each "headers and footers"
                                foreach( $hefos as $hefo ) {

                                    ?>
                                    <option value="<?php echo esc_attr( $hefo -> ID ); ?>" <?php selected( ueldo_get_theme_options_value( 'header', esc_attr( $lang_key ), 'get-content-from' ), esc_attr( $hefo -> ID ) ); ?>><?php echo esc_html( $hefo -> post_title ); ?></option>
                                    <?php
                                }
                            }

                        ?>

                    </select>

                    <h4><?php echo esc_html( __( 'Header position:', 'ueldo' ) ); ?></h4>
                    <div class="ueldo-theme-options-select-with-image-field">

                        <input type="hidden" name="ueldo_theme_options[header][position][<?php echo esc_attr( $lang_key ); ?>]" value="<?php echo esc_attr( ueldo_get_theme_options_value( 'header', esc_attr( $lang_key ), 'position' ) ); ?>" />

                        <div class="ueldo-theme-options-select-with-image-field-option <?php echo esc_attr( ueldo_get_theme_options_value( 'header', esc_attr( $lang_key ), 'position' ) == 'flying' ? 'ueldo-theme-options-select-with-image-field-option-selected' : '' ); ?>" data-option-value="flying">

                            <div class="ueldo-theme-options-select-with-image-field-option-image-container">

                                <img src="<?php echo esc_url( ueldo_get_theme_options_image( 'header-flying.gif' ) ); ?>" />

                            </div>

                            <span><?php echo esc_html( __( 'Flying', 'ueldo' ) ); ?></span>

                        </div>

                        <div class="ueldo-theme-options-select-with-image-field-option <?php echo esc_attr( ueldo_get_theme_options_value( 'header', esc_attr( $lang_key ), 'position' ) == 'static' ? 'ueldo-theme-options-select-with-image-field-option-selected' : '' ); ?>" data-option-value="static">

                            <div class="ueldo-theme-options-select-with-image-field-option-image-container">

                                <img src="<?php echo esc_url( ueldo_get_theme_options_image( 'header-static.gif' ) ); ?>" />

                            </div>

                            <span><?php echo esc_html( __( 'Static', 'ueldo' ) ); ?></span>

                        </div>

                    </div>

                </div>

                <div class="ueldo-theme-options-single-option-field-group ueldo-theme-options-field-depended <?php echo esc_attr( ueldo_get_theme_options_value( 'header', esc_attr( $lang_key ), 'position' ) == 'flying' ? 'ueldo-theme-options-field-depended-hidden' : '' ); ?>" data-field-depended-key="use-second-header">

                    <h4><?php echo esc_html( __( 'Use second header (flying)?', 'ueldo' ) ); ?></h4>
                    <select name="ueldo_theme_options[header][use-second-header][<?php echo esc_attr( $lang_key ); ?>]" class="ueldo-header-use-second-header-field">

                        <option value="yes" <?php selected( ueldo_get_theme_options_value( 'header', esc_attr( $lang_key ), 'use-second-header' ), 'yes' ); ?>><?php echo esc_html( __( 'Yes', 'ueldo' ) ); ?></option>
                        <option value="no" <?php selected( ueldo_get_theme_options_value( 'header', esc_attr( $lang_key ), 'use-second-header' ), 'no' ); ?>><?php echo esc_html( __( 'No', 'ueldo' ) ); ?></option>

                    </select>

                    <div class="ueldo-theme-options-field-depended <?php echo esc_attr( ueldo_get_theme_options_value( 'header', esc_attr( $lang_key ), 'use-second-header' ) == 'no' ? 'ueldo-theme-options-field-depended-hidden' : '' ); ?>" data-field-depended-key="second-header-options">

                        <h4><?php echo esc_html( __( 'Second header content:', 'ueldo' ) ); ?></h4>
                        <select name="ueldo_theme_options[header][get-second-content-from][<?php echo esc_attr( $lang_key ); ?>]">

                            <option value="default" <?php selected( ueldo_get_theme_options_value( 'header', esc_attr( $lang_key ), 'get-second-content-from' ), 'default' ); ?>><?php echo esc_html( __( 'Use default theme header', 'ueldo' ) ); ?></option>

                            <?php

                                # do we have "headers and footers" added?
                                if( $hefos != false && $hefos != null && is_array( $hefos ) ) {

                                    # walk through each "headers and footers"
                                    foreach( $hefos as $hefo ) {

                                        ?>
                                        <option value="<?php echo esc_attr( $hefo -> ID ); ?>" <?php selected( ueldo_get_theme_options_value( 'header', esc_attr( $lang_key ), 'get-second-content-from' ), esc_attr( $hefo -> ID ) ); ?>><?php echo esc_html( $hefo -> post_title ); ?></option>
                                        <?php
                                    }
                                }

                            ?>

                        </select>

                        <h4><?php echo esc_html( __( 'Second header visible from scroll to:', 'ueldo' ) ); ?></h4>
                        <span class="ueldo-theme-options-px-field"><input type="text" class="ueldo-validate-number-field" data-number-field-minus-allowed="no" name="ueldo_theme_options[header][second-header-visible-from][<?php echo esc_attr( $lang_key ); ?>]" value="<?php echo esc_attr( ueldo_get_theme_options_value( 'header', esc_attr( $lang_key ), 'second-header-visible-from' ) ); ?>" /></span>

                    </div>

                </div>

                <div class="ueldo-theme-options-single-option-field-group ueldo-theme-options-field-depended <?php echo esc_attr( ( ( ueldo_get_theme_options_value( 'header', esc_attr( $lang_key ), 'get-content-from' ) != 'default' ) && ( ueldo_get_theme_options_value( 'header', esc_attr( $lang_key ), 'position' ) != 'static' || ueldo_get_theme_options_value( 'header', esc_attr( $lang_key ), 'use-second-header' ) == 'no' || ueldo_get_theme_options_value( 'header', esc_attr( $lang_key ), 'get-second-content-from' ) != 'default' ) ) ? 'ueldo-theme-options-field-depended-hidden' : '' ); ?>" data-field-depended-key="logo-images">

                    <div class="ueldo-theme-options-field-depended <?php echo esc_attr( ueldo_get_theme_options_value( 'header', esc_attr( $lang_key ), 'get-content-from' ) != 'default' ? 'ueldo-theme-options-field-depended-hidden' : '' ); ?>" data-field-depended-key="header-logo-image">

                        <h4><?php echo esc_html( __( 'Default header logo:', 'ueldo' ) ); ?></h4>
                        <div class="ueldo-theme-options-header-image-selection-container">

                            <div class="ueldo-theme-options-header-image-preview">

                                <img src="<?php echo esc_attr( ueldo_get_theme_options_value( 'header', esc_attr( $lang_key ), 'default-logo-image' ) ); ?>" />

                            </div>

                            <input type="hidden" name="ueldo_theme_options[header][default-logo-image][<?php echo esc_attr( $lang_key ); ?>]" value="<?php echo esc_attr( ueldo_get_theme_options_value( 'header', esc_attr( $lang_key ), 'default-logo-image' ) ); ?>" />
                            <input type="button" class="button ueldo-media-button" value="<?php echo esc_attr( __( 'Select logo image', 'ueldo' ) ); ?>" />

                        </div>

                    </div>

                    <div class="ueldo-theme-options-field-depended <?php echo esc_attr( ueldo_get_theme_options_value( 'header', esc_attr( $lang_key ), 'position' ) != 'static' || ueldo_get_theme_options_value( 'header', esc_attr( $lang_key ), 'use-second-header' ) == 'no' || ueldo_get_theme_options_value( 'header', esc_attr( $lang_key ), 'get-second-content-from' ) != 'default' ? 'ueldo-theme-options-field-depended-hidden' : '' ); ?>" data-field-depended-key="second-header-logo-image">

                        <h4><?php echo esc_html( __( 'Second header logo:', 'ueldo' ) ); ?></h4>
                        <div class="ueldo-theme-options-header-image-selection-container">

                            <div class="ueldo-theme-options-header-image-preview">

                                <img src="<?php echo esc_attr( ueldo_get_theme_options_value( 'header', esc_attr( $lang_key ), 'second-header-logo-image' ) ); ?>" />

                            </div>

                            <input type="hidden" name="ueldo_theme_options[header][second-header-logo-image][<?php echo esc_attr( $lang_key ); ?>]" value="<?php echo esc_attr( ueldo_get_theme_options_value( 'header', esc_attr( $lang_key ), 'second-header-logo-image' ) ); ?>" />
                            <input type="button" class="button ueldo-media-button" value="<?php echo esc_attr( __( 'Select logo image', 'ueldo' ) ); ?>" />

                        </div>

                    </div>

                </div>

            </div>
            <?php

        # end of loop
        }

    ?>

</div>
<?php

    # clear the variables
    unset( $i, $lang_key, $language_name, $editor_key, $hefos );

?>