<?php

    # prevent direct file access
    if( !defined( 'ABSPATH' ) ) exit;

?>
<div class="ueldo-theme-options-single-option" data-option-key="lazy-load-images">

    <div class="ueldo-theme-options-single-option-padding">

        <h3><?php echo esc_html( __( 'Lazy load images', 'ueldo' ) ); ?></h3>
        <p><?php echo esc_html( __( 'If this option is enabled, images will load one by one only when they will appear on the screen. This can increase your website load speed.', 'ueldo' ) ); ?></p>

    </div>

    <div class="ueldo-theme-options-single-option-form">

        <div class="ueldo-theme-options-single-option-field-group">

            <h4><?php echo esc_html( __( 'Enabled?', 'ueldo' ) ); ?></h4>
            <div class="ueldo-theme-options-yn-field">

                <input type="hidden" name="ueldo_theme_options[lazy-load-images][enabled]" value="<?php echo esc_attr( ueldo_get_theme_options_value( 'lazy-load-images', false, 'enabled' ) ); ?>" />

                <div class="ueldo-theme-options-yn-field-option <?php echo esc_attr( ueldo_get_theme_options_value( 'lazy-load-images', false, 'enabled' ) == 'yes' ? 'ueldo-theme-options-yn-field-option-selected' : '' ); ?>" data-option-value="yes"><?php echo esc_html( __( 'Yes', 'ueldo' ) ); ?></div>
                <div class="ueldo-theme-options-yn-field-option <?php echo esc_attr( ueldo_get_theme_options_value( 'lazy-load-images', false, 'enabled' ) == 'no' ? 'ueldo-theme-options-yn-field-option-selected' : '' ); ?>" data-option-value="no"><?php echo esc_html( __( 'No', 'ueldo' ) ); ?></div>

            </div>

        </div>

        <div class="ueldo-theme-options-single-option-field-group ueldo-theme-options-field-depended <?php echo esc_attr( ueldo_get_theme_options_value( 'lazy-load-images', false, 'enabled' ) == 'no' ? 'ueldo-theme-options-field-depended-hidden' : '' ); ?>">

            <h4><?php echo esc_html( __( 'Threshold value', 'ueldo' ) ); ?></h4>
            <p class="ueldo-theme-options-single-option-field-tip"><?php echo esc_html( __( 'Images can be loaded before it will appear on the screen, for example: set "threshold" value to "200" to load images when they will be 200px under the current screen.', 'ueldo' ) ); ?></p>

            <input type="text" class="ueldo-validate-number-field" data-number-field-minus-allowed="no" name="ueldo_theme_options[lazy-load-images][threshold]" value="<?php echo esc_attr( ueldo_get_theme_options_value( 'lazy-load-images', false, 'threshold' ) ); ?>" />

        </div>

    </div>

</div>