<?php

    # prevent direct file access
    if( !defined( 'ABSPATH' ) ) exit;

?>
<div class="ueldo-theme-options-single-option" data-option-key="loader-animation">

    <div class="ueldo-theme-options-single-option-padding">

        <h3><?php echo esc_html( __( 'Loader animation', 'ueldo' ) ); ?></h3>
        <p><?php echo esc_html( __( 'Choose the website loader animation and manage its settings here.', 'ueldo' ) ); ?></p>

    </div>

    <div class="ueldo-theme-options-single-option-form">

        <div class="ueldo-theme-options-single-option-field-group">

            <h4><?php echo esc_html( __( 'Enabled?', 'ueldo' ) ); ?></h4>
            <div class="ueldo-theme-options-yn-field" data-depended-for="loader-animation-settings">

                <input type="hidden" name="ueldo_theme_options[loader-animation][enabled]" value="<?php echo esc_attr( ueldo_get_theme_options_value( 'loader-animation', false, 'enabled' ) ); ?>" />

                <div class="ueldo-theme-options-yn-field-option <?php echo esc_attr( ueldo_get_theme_options_value( 'loader-animation', false, 'enabled' ) == 'yes' ? 'ueldo-theme-options-yn-field-option-selected' : '' ); ?>" data-option-value="yes"><?php echo esc_html( __( 'Yes', 'ueldo' ) ); ?></div>
                <div class="ueldo-theme-options-yn-field-option <?php echo esc_attr( ueldo_get_theme_options_value( 'loader-animation', false, 'enabled' ) == 'no' ? 'ueldo-theme-options-yn-field-option-selected' : '' ); ?>" data-option-value="no"><?php echo esc_html( __( 'No', 'ueldo' ) ); ?></div>

            </div>

            <div class="ueldo-theme-options-field-depended <?php echo esc_attr( ueldo_get_theme_options_value( 'loader-animation', false, 'enabled' ) == 'yes' ? 'ueldo-theme-options-field-depended-hidden' : '' ); ?>" data-field-depended-key="loader-animation-notice">

                <div class="ueldo-theme-options-warning-notice"><?php echo esc_html( __( 'It is highly recommented to enable loader animation - your website sections, contents, styles and scripts needs some time to get started propertly, without loader animation all of the configuration process will be visible for your customers and may looks messed up for a while.', 'ueldo' ) ); ?></div>

            </div>

        </div>

        <div class="ueldo-theme-options-field-depended <?php echo esc_attr( ueldo_get_theme_options_value( 'loader-animation', false, 'enabled' ) == 'no' ? 'ueldo-theme-options-field-depended-hidden' : '' ); ?>" data-field-depended-key="loader-animation-settings">

            <div class="ueldo-theme-options-single-option-field-group">

                <h4 class="ueldo-theme-options-animations-selection-field-heading"><?php echo esc_html( __( 'Animation style', 'ueldo' ) ); ?></h4>
                <div class="ueldo-theme-options-animations-selection-field">

                    <input type="hidden" name="ueldo_theme_options[loader-animation][style]" value="<?php echo esc_attr( ueldo_get_theme_options_value( 'loader-animation', false, 'style' ) ); ?>" />

                    <div class="ueldo-theme-options-animations-selection-field-option <?php echo esc_attr( ueldo_get_theme_options_value( 'loader-animation', false, 'style' ) == '01' ? 'ueldo-theme-options-animations-selection-field-option-selected' : '' ); ?>" data-animation-style="01">

                        <div class="ueldo-theme-options-animations-selection-field-option-container">

                            <div class="ueldo-theme-options-animations-selection-field-option-container-inner">

                                <!--
                                loader style: 01
                                -->

                                <div class="ueldo-loader-style-01">

                                    <div class="ueldo-loader-style-01-bounce-a"></div>
                                    <div class="ueldo-loader-style-01-bounce-b"></div>

                                </div>

                                <!--
                                end of loader style: 01
                                -->

                            </div>

                        </div>

                        <span><?php echo esc_html( __( 'Style: 01', 'ueldo' ) ); ?></span>

                    </div>

                    <div class="ueldo-theme-options-animations-selection-field-option <?php echo esc_attr( ueldo_get_theme_options_value( 'loader-animation', false, 'style' ) == '02' ? 'ueldo-theme-options-animations-selection-field-option-selected' : '' ); ?>" data-animation-style="02">

                        <div class="ueldo-theme-options-animations-selection-field-option-container">

                            <div class="ueldo-theme-options-animations-selection-field-option-container-inner">

                                <!--
                                loader style: 02
                                -->

                                <div class="ueldo-loader-style-02"></div>

                                <!--
                                end of loader style: 02
                                -->

                            </div>

                        </div>

                        <span><?php echo esc_html( __( 'Style: 02', 'ueldo' ) ); ?></span>

                    </div>

                    <div class="ueldo-theme-options-animations-selection-field-option ueldo-theme-options-animations-selection-field-option-last-in-row <?php echo esc_attr( ueldo_get_theme_options_value( 'loader-animation', false, 'style' ) == '03' ? 'ueldo-theme-options-animations-selection-field-option-selected' : '' ); ?>" data-animation-style="03">

                        <div class="ueldo-theme-options-animations-selection-field-option-container">

                            <div class="ueldo-theme-options-animations-selection-field-option-container-inner">

                                <!--
                                loader style: 03
                                -->

                                <div class="ueldo-loader-style-03"></div>

                                <!--
                                end of loader style: 03
                                -->

                            </div>

                        </div>

                        <span><?php echo esc_html( __( 'Style: 03', 'ueldo' ) ); ?></span>

                    </div>

                    <div class="ueldo-theme-options-animations-selection-field-option <?php echo esc_attr( ueldo_get_theme_options_value( 'loader-animation', false, 'style' ) == '04' ? 'ueldo-theme-options-animations-selection-field-option-selected' : '' ); ?>" data-animation-style="04">

                        <div class="ueldo-theme-options-animations-selection-field-option-container">

                            <div class="ueldo-theme-options-animations-selection-field-option-container-inner">

                                <!--
                                loader style: 04
                                -->

                                <div class="ueldo-loader-style-04"><div class="ueldo-loader-circle-inner"></div></div>

                                <!--
                                end of loader style: 04
                                -->

                            </div>

                        </div>

                        <span><?php echo esc_html( __( 'Style: 04', 'ueldo' ) ); ?></span>

                    </div>

                    <div class="ueldo-theme-options-animations-selection-field-option <?php echo esc_attr( ueldo_get_theme_options_value( 'loader-animation', false, 'style' ) == '05' ? 'ueldo-theme-options-animations-selection-field-option-selected' : '' ); ?>" data-animation-style="05">

                        <div class="ueldo-theme-options-animations-selection-field-option-container">

                            <div class="ueldo-theme-options-animations-selection-field-option-container-inner">

                                <!--
                                loader style: 05
                                -->

                                <div class="ueldo-loader-style-05">

                                    <div class="ueldo-loader-style-05-bounce-a"></div>
                                    <div class="ueldo-loader-style-05-bounce-b"></div>
                                    <div class="ueldo-loader-style-05-bounce-c"></div>

                                </div>

                                <!--
                                end of loader style: 05
                                -->

                            </div>

                        </div>

                        <span><?php echo esc_html( __( 'Style: 05', 'ueldo' ) ); ?></span>

                    </div>

                    <div class="ueldo-theme-options-animations-selection-field-option ueldo-theme-options-animations-selection-field-option-last-in-row <?php echo esc_attr( ueldo_get_theme_options_value( 'loader-animation', false, 'style' ) == '06' ? 'ueldo-theme-options-animations-selection-field-option-selected' : '' ); ?>" data-animation-style="06">

                        <div class="ueldo-theme-options-animations-selection-field-option-container">

                            <div class="ueldo-theme-options-animations-selection-field-option-container-inner">

                                <!--
                                loader style: 06
                                -->

                                <div class="ueldo-loader-style-06">

                                    <div class="ueldo-loader-style-06-square-a"></div>
                                    <div class="ueldo-loader-style-06-square-b"></div>
                                    <div class="ueldo-loader-style-06-square-c"></div>
                                    <div class="ueldo-loader-style-06-square-d"></div>

                                </div>

                                <!--
                                end of loader style: 06
                                -->

                            </div>

                        </div>

                        <span><?php echo esc_html( __( 'Style: 06', 'ueldo' ) ); ?></span>

                    </div>

                    <div class="ueldo-theme-options-animations-selection-field-option <?php echo esc_attr( ueldo_get_theme_options_value( 'loader-animation', false, 'style' ) == '07' ? 'ueldo-theme-options-animations-selection-field-option-selected' : '' ); ?>" data-animation-style="07">

                        <div class="ueldo-theme-options-animations-selection-field-option-container">

                            <div class="ueldo-theme-options-animations-selection-field-option-container-inner">

                                <!--
                                loader style: 07
                                -->

                                <div class="ueldo-loader-style-07">

                                    <div class="ueldo-loader-style-07-circle-a"><div class="ueldo-loader-circle-inner"></div></div>
                                    <div class="ueldo-loader-style-07-circle-b"><div class="ueldo-loader-circle-inner"></div></div>
                                    <div class="ueldo-loader-style-07-circle-c"><div class="ueldo-loader-circle-inner"></div></div>
                                    <div class="ueldo-loader-style-07-circle-d"><div class="ueldo-loader-circle-inner"></div></div>
                                    <div class="ueldo-loader-style-07-circle-e"><div class="ueldo-loader-circle-inner"></div></div>
                                    <div class="ueldo-loader-style-07-circle-f"><div class="ueldo-loader-circle-inner"></div></div>
                                    <div class="ueldo-loader-style-07-circle-g"><div class="ueldo-loader-circle-inner"></div></div>
                                    <div class="ueldo-loader-style-07-circle-h"><div class="ueldo-loader-circle-inner"></div></div>
                                    <div class="ueldo-loader-style-07-circle-i"><div class="ueldo-loader-circle-inner"></div></div>
                                    <div class="ueldo-loader-style-07-circle-j"><div class="ueldo-loader-circle-inner"></div></div>
                                    <div class="ueldo-loader-style-07-circle-k"><div class="ueldo-loader-circle-inner"></div></div>
                                    <div class="ueldo-loader-style-07-circle-l"><div class="ueldo-loader-circle-inner"></div></div>

                                </div>

                                <!--
                                end of loader style: 07
                                -->

                            </div>

                        </div>

                        <span><?php echo esc_html( __( 'Style: 07', 'ueldo' ) ); ?></span>

                    </div>

                    <div class="ueldo-theme-options-animations-selection-field-option <?php echo esc_attr( ueldo_get_theme_options_value( 'loader-animation', false, 'style' ) == '08' ? 'ueldo-theme-options-animations-selection-field-option-selected' : '' ); ?>" data-animation-style="08">

                        <div class="ueldo-theme-options-animations-selection-field-option-container">

                            <div class="ueldo-theme-options-animations-selection-field-option-container-inner">

                                <!--
                                loader style: 08
                                -->

                                <div class="ueldo-loader-style-08">

                                    <div class="ueldo-loader-style-08-circle-a"><div class="ueldo-loader-circle-inner"></div></div>
                                    <div class="ueldo-loader-style-08-circle-b"><div class="ueldo-loader-circle-inner"></div></div>
                                    <div class="ueldo-loader-style-08-circle-c"><div class="ueldo-loader-circle-inner"></div></div>
                                    <div class="ueldo-loader-style-08-circle-d"><div class="ueldo-loader-circle-inner"></div></div>
                                    <div class="ueldo-loader-style-08-circle-e"><div class="ueldo-loader-circle-inner"></div></div>
                                    <div class="ueldo-loader-style-08-circle-f"><div class="ueldo-loader-circle-inner"></div></div>
                                    <div class="ueldo-loader-style-08-circle-g"><div class="ueldo-loader-circle-inner"></div></div>
                                    <div class="ueldo-loader-style-08-circle-h"><div class="ueldo-loader-circle-inner"></div></div>
                                    <div class="ueldo-loader-style-08-circle-i"><div class="ueldo-loader-circle-inner"></div></div>
                                    <div class="ueldo-loader-style-08-circle-j"><div class="ueldo-loader-circle-inner"></div></div>
                                    <div class="ueldo-loader-style-08-circle-k"><div class="ueldo-loader-circle-inner"></div></div>
                                    <div class="ueldo-loader-style-08-circle-l"><div class="ueldo-loader-circle-inner"></div></div>

                                </div>

                                <!--
                                end of loader style: 08
                                -->

                            </div>

                        </div>

                        <span><?php echo esc_html( __( 'Style: 08', 'ueldo' ) ); ?></span>

                    </div>

                    <div class="ueldo-theme-options-animations-selection-field-option ueldo-theme-options-animations-selection-field-option-last-in-row <?php echo esc_attr( ueldo_get_theme_options_value( 'loader-animation', false, 'style' ) == '09' ? 'ueldo-theme-options-animations-selection-field-option-selected' : '' ); ?>" data-animation-style="09">

                        <div class="ueldo-theme-options-animations-selection-field-option-container">

                            <div class="ueldo-theme-options-animations-selection-field-option-container-inner">

                                <!--
                                loader style: 09
                                -->

                                <div class="ueldo-loader-style-09">

                                    <div class="ueldo-loader-style-09-rect-a"></div>
                                    <div class="ueldo-loader-style-09-rect-b"></div>
                                    <div class="ueldo-loader-style-09-rect-c"></div>
                                    <div class="ueldo-loader-style-09-rect-d"></div>
                                    <div class="ueldo-loader-style-09-rect-e"></div>

                                </div>

                                <!--
                                end of loader style: 09
                                -->

                            </div>

                        </div>

                        <span><?php echo esc_html( __( 'Style: 09', 'ueldo' ) ); ?></span>

                    </div>

                </div>

            </div>

            <div class="ueldo-theme-options-single-option-field-group">

                <h4><?php echo esc_html( __( 'Add logo?', 'ueldo' ) ); ?></h4>
                <select name="ueldo_theme_options[loader-animation][add-logo]" data-depended-for="loader-logo">

                    <option value="no" <?php selected( ueldo_get_theme_options_value( 'loader-animation', false, 'add-logo' ), 'no' ); ?>><?php echo esc_html( __( 'No', 'ueldo' ) ); ?></option>
                    <option value="yes-above" <?php selected( ueldo_get_theme_options_value( 'loader-animation', false, 'add-logo' ), 'yes-above' ); ?>><?php echo esc_html( __( 'Yes, above loader spinner', 'ueldo' ) ); ?></option>
                    <option value="yes-under" <?php selected( ueldo_get_theme_options_value( 'loader-animation', false, 'add-logo' ), 'yes-under' ); ?>><?php echo esc_html( __( 'Yes, under loader spinner', 'ueldo' ) ); ?></option>

                </select>

                <div class="ueldo-theme-options-field-depended <?php echo esc_attr( ueldo_get_theme_options_value( 'loader-animation', false, 'add-logo' ) == 'no' ? 'ueldo-theme-options-field-depended-hidden' : '' ); ?>" data-field-depended-key="loader-logo">

                    <h4><?php echo esc_html( __( 'Space between logo and loader spinner', 'ueldo' ) ); ?></h4>
                    <span class="ueldo-theme-options-px-field"><input type="text" class="ueldo-validate-number-field" data-number-field-minus-allowed="yes" name="ueldo_theme_options[loader-animation][space-between-logo-and-spinner]" value="<?php echo esc_attr( ueldo_get_theme_options_value( 'loader-animation', false, 'space-between-logo-and-spinner' ) ); ?>" /></span>

                </div>

            </div>

            <div class="ueldo-theme-options-field-depended <?php echo esc_attr( ueldo_get_theme_options_value( 'loader-animation', false, 'add-logo' ) == 'no' ? 'ueldo-theme-options-field-depended-hidden' : '' ); ?>" data-field-depended-key="loader-logo">

                <?php

                    # walk for each language
                    for( $i = 0; $i < count( $languages ); $i++ ) {

                        # language key for editor
                        $lang_key = $languages[$i] == 'default' ? 'all' : strtolower( esc_attr( $languages[$i] ) );

                        ?>
                        <div class="ueldo-theme-options-single-option-form" data-lang-key="<?php echo esc_attr( $lang_key ); ?>">

                            <?php

                                # language name
                                if( $languages[$i] != 'default' ) {

                                    # get the language name
                                    $language_name = ueldo_get_language_name( $languages[$i] );

                                    ?>
                                    <div class="ueldo-theme-options-single-option-form-language"><?php echo esc_html( $language_name ); ?></div>
                                    <?php
                                }

                            ?>

                            <div class="ueldo-theme-options-single-option-field-group">

                                <h4><?php echo esc_html( __( 'Loader logo:', 'ueldo' ) ); ?></h4>
                                <div class="ueldo-theme-options-loader-logo-image-selection-container">

                                    <div class="ueldo-theme-options-loader-logo-image-preview">

                                        <img src="<?php echo esc_attr( ueldo_get_theme_options_value( 'loader-animation', esc_attr( $lang_key ), 'logo-image' ) ); ?>" />

                                    </div>

                                    <input type="hidden" name="ueldo_theme_options[loader-animation][logo-image][<?php echo esc_attr( $lang_key ); ?>]" value="<?php echo esc_attr( ueldo_get_theme_options_value( 'loader-animation', esc_attr( $lang_key ), 'logo-image' ) ); ?>" />
                                    <input type="button" class="button ueldo-media-button" value="<?php echo esc_attr( __( 'Select logo image', 'ueldo' ) ); ?>" />

                                </div>

                            </div>

                        </div>
                        <?php

                    # end of loop.
                    }

                ?>

            </div>

            <div class="ueldo-theme-options-single-option-field-group">

                <h4><?php echo esc_html( __( 'Custom colors enabled?', 'ueldo' ) ); ?></h4>
                <div class="ueldo-theme-options-yn-field" data-depended-for="custom-colors" data-default-background-color="<?php echo esc_attr( get_background_color() ); ?>" data-default-loader-spinner-color="<?php echo esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ); ?>">

                    <input type="hidden" name="ueldo_theme_options[loader-animation][custom-colors-enabled]" value="<?php echo esc_attr( ueldo_get_theme_options_value( 'loader-animation', false, 'custom-colors-enabled' ) ); ?>" />

                    <div class="ueldo-theme-options-yn-field-option <?php echo esc_attr( ueldo_get_theme_options_value( 'loader-animation', false, 'custom-colors-enabled' ) == 'yes' ? 'ueldo-theme-options-yn-field-option-selected' : '' ); ?>" data-option-value="yes"><?php echo esc_html( __( 'Yes, use custom colors', 'ueldo' ) ); ?></div>
                    <div class="ueldo-theme-options-yn-field-option <?php echo esc_attr( ueldo_get_theme_options_value( 'loader-animation', false, 'custom-colors-enabled' ) == 'no' ? 'ueldo-theme-options-yn-field-option-selected' : '' ); ?>" data-option-value="no"><?php echo esc_html( __( 'No, use theme defaults', 'ueldo' ) ); ?></div>

                </div>

                <div class="ueldo-theme-options-field-depended <?php echo esc_attr( ueldo_get_theme_options_value( 'loader-animation', false, 'custom-colors-enabled' ) == 'no' ? 'ueldo-theme-options-field-depended-hidden' : '' ); ?>" data-field-depended-key="custom-colors">

                    <h4><?php echo esc_html( __( 'Background color', 'ueldo' ) ); ?></h4>
                    <input type="text" name="ueldo_theme_options[loader-animation][custom-colors-background]" value="<?php echo esc_attr( ueldo_get_theme_options_value( 'loader-animation', false, 'custom-colors-background' ) ); ?>" class="ueldo-alpha-color-picker" data-alpha="true" data-default-color="<?php echo esc_attr( get_background_color() ); ?>" />

                    <h4><?php echo esc_html( __( 'Loader spinner color', 'ueldo' ) ); ?></h4>
                    <input type="text" name="ueldo_theme_options[loader-animation][custom-colors-spinner]" value="<?php echo esc_attr( ueldo_get_theme_options_value( 'loader-animation', false, 'custom-colors-spinner' ) ); ?>" class="ueldo-alpha-color-picker" data-alpha="true" data-default-color="<?php echo esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ); ?>" />

                </div>

            </div>

        </div>

    </div>

</div>