<?php

    # prevent direct file access
    if( !defined( 'ABSPATH' ) ) exit;

    # get next opening hours status id
    $next_status_id = ueldo_get_theme_options_value( 'opening-hours-status', false, 'next-status-id' );

?>
<div class="ueldo-theme-options-single-option" data-option-key="opening-hours-status">

    <div class="ueldo-theme-options-single-option-padding">

        <h3><?php echo esc_html( __( 'Opening hours status', 'ueldo' ) ); ?></h3>
        <p><?php echo esc_html( __( 'You can manage - create, edit, remove - your company openings statuses here.', 'ueldo' ) ); ?></p>

    </div>

    <div class="ueldo-theme-options-single-option-form">

        <div class="ueldo-theme-options-single-option-field-group">

            <h4><?php echo esc_html( __( 'Opening hours statuses', 'ueldo' ) ); ?></h4>
            <div class="ueldo-theme-options-opening-hours-statuses">

                <input type="hidden" name="ueldo_theme_options[opening-hours-status][next-status-id]" value="<?php echo esc_attr( $next_status_id ); ?>">

                <div class="ueldo-theme-options-opening-hours-statuses-nothing-found">

                    <p><?php echo esc_html( 'You did not added any status yet.', 'ueldo' ); ?></p>

                </div>

                <?php

                    # do we have statuses added?
                    if( $next_status_id > 1 ) {

                        # walk for each status
                        for( $i = 0; $i < $next_status_id; $i++ ) {

                            # status title
                            $status_title = ueldo_get_theme_options_value( 'opening-hours-status', false, 'status-'. esc_attr( $i ) .'-title' );

                            # do we have the status added?
                            if( $status_title !== false ) {

                                ?>
                                <div class="ueldo-theme-options-opening-hours-statuses-single-status" data-creation-field-visible="no" data-status-id="<?php echo esc_attr( $i ); ?>">

                                    <span class="ueldo-theme-options-opening-hours-statuses-single-status-remove-confirm" data-visible="no"><?php echo esc_html( __( 'Confirm the deletion', 'ueldo' ) ); ?></span>
                                    <span class="ueldo-theme-options-opening-hours-statuses-single-status-remove" data-visible="yes"></span>
                                    <span class="ueldo-theme-options-opening-hours-statuses-single-status-edit"><i class="fa fa-pencil"></i></span>

                                    <span data-element-type="status-title"><?php echo esc_html( $status_title ); ?></span>

                                    <?php

                                        # get opening hours status creation field
                                        ueldo_get_opening_hours_status_creation_field( $i );

                                    ?>

                                </div>
                                <?php
                            }
                        }
                    }

                ?>

            </div>

            <div class="ueldo-theme-options-opening-hours-statuses-add-new-status"><?php echo esc_html( 'Add new status', 'ueldo' ); ?></div>

        </div>

    </div>

</div>
<?php

    # clear the variables
    unset( $next_status_id, $i, $status_title );

?>