<?php

    # prevent direct file access
    if( !defined( 'ABSPATH' ) ) exit;

?>
<div class="ueldo-theme-options-single-option" data-option-key="rtl">

    <div class="ueldo-theme-options-single-option-padding">

        <h3><?php echo esc_html( __( 'RTL languages', 'ueldo' ) ); ?></h3>
        <p><?php echo esc_html( __( 'Configure which language should be displayed in right-to-left mode, if any.', 'ueldo' ) ); ?></p>

    </div>

    <?php

        # walk for each language
        for( $i = 0; $i < count( $languages ); $i++ ) {

            # language key for editor
            $lang_key = $languages[$i] == 'default' ? 'all' : strtolower( esc_attr( $languages[$i] ) );

            ?>
            <div class="ueldo-theme-options-single-option-form" data-lang-key="<?php echo esc_attr( $lang_key ); ?>">

                <?php

                    # language name
                    if( $languages[$i] != 'default' ) {

                        # get the language name
                        $language_name = ueldo_get_language_name( $languages[$i] );

                        ?>
                        <div class="ueldo-theme-options-single-option-form-language"><?php echo esc_html( $language_name ); ?></div>
                        <?php
                    }

                ?>

                <div class="ueldo-theme-options-single-option-field-group">

                    <h4><?php echo esc_html( __( 'RTL enabled?', 'ueldo' ) ); ?></h4>
                    <div class="ueldo-theme-options-yn-field">

                        <input type="hidden" name="ueldo_theme_options[rtl][is-rtl][<?php echo esc_attr( $lang_key ); ?>]" value="<?php echo esc_attr( ueldo_get_theme_options_value( 'rtl', esc_attr( $lang_key ), 'is-rtl' ) ); ?>" />

                        <div class="ueldo-theme-options-yn-field-option <?php echo esc_attr( ueldo_get_theme_options_value( 'rtl', esc_attr( $lang_key ), 'is-rtl' ) == 'yes' ? 'ueldo-theme-options-yn-field-option-selected' : '' ); ?>" data-option-value="yes"><?php echo esc_html( __( 'Yes', 'ueldo' ) ); ?></div>
                        <div class="ueldo-theme-options-yn-field-option <?php echo esc_attr( ueldo_get_theme_options_value( 'rtl', esc_attr( $lang_key ), 'is-rtl' ) == 'no' ? 'ueldo-theme-options-yn-field-option-selected' : '' ); ?>" data-option-value="no"><?php echo esc_html( __( 'No', 'ueldo' ) ); ?></div>

                    </div>

                    <h4><?php echo esc_html( __( 'Load RTL styles for admin pages?', 'ueldo' ) ); ?></h4>
                    <select name="ueldo_theme_options[rtl][load-rtl-admin-styles][<?php echo esc_attr( $lang_key ); ?>]">

                        <option value="auto" <?php selected( ueldo_get_theme_options_value( 'rtl', esc_attr( $lang_key ), 'load-rtl-admin-styles' ), 'auto' ); ?>><?php echo esc_html( __( 'Auto', 'ueldo' ) ); ?></option>
                        <option value="yes" <?php selected( ueldo_get_theme_options_value( 'rtl', esc_attr( $lang_key ), 'load-rtl-admin-styles' ), 'yes' ); ?>><?php echo esc_html( __( 'Yes', 'ueldo' ) ); ?></option>
                        <option value="no" <?php selected( ueldo_get_theme_options_value( 'rtl', esc_attr( $lang_key ), 'load-rtl-admin-styles' ), 'no' ); ?>><?php echo esc_html( __( 'No', 'ueldo' ) ); ?></option>

                    </select>

                </div>

            </div>
            <?php

        # end of loop
        }

    ?>

</div>