<?php

    # prevent direct file access
    if( !defined( 'ABSPATH' ) ) exit;

?>
<div class="ueldo-theme-options-single-option" data-option-key="side-menu">

    <div class="ueldo-theme-options-single-option-padding">

        <h3><?php echo esc_html( __( 'Side menu', 'ueldo' ) ); ?></h3>
        <p><?php echo esc_html( __( 'You can manage your website side menu options here.', 'ueldo' ) ); ?></p>

    </div>

    <div class="ueldo-theme-options-single-option-form">

        <div class="ueldo-theme-options-single-option-field-group">

            <h4><?php echo esc_html( __( 'Style:', 'ueldo' ) ); ?></h4>
            <select name="ueldo_theme_options[side-menu][style]">

                <!-- <option value="static" <?php selected( ueldo_get_theme_options_value( 'side-menu', false, 'style' ), 'static' ); ?>><?php echo esc_html( __( 'Static', 'ueldo' ) ); ?></option> -->
                <option value="flying-default-hidden" <?php selected( ueldo_get_theme_options_value( 'side-menu', false, 'style' ), 'flying-default-hidden' ); ?>><?php echo esc_html( __( 'Flying (default: hidden)', 'ueldo' ) ); ?></option>
                <option value="flying-default-visible" <?php selected( ueldo_get_theme_options_value( 'side-menu', false, 'style' ), 'flying-default-visible' ); ?>><?php echo esc_html( __( 'Flying (default: visible)', 'ueldo' ) ); ?></option>

            </select>

        </div>

        <div class="ueldo-theme-options-single-option-field-group">

            <h4><?php echo esc_html( __( 'Closing rules:', 'ueldo' ) ); ?></h4>

            <div class="ueldo-theme-options-single-option-field-group-checkbox-container">

                <input type="checkbox" checked="checked" disabled="disabled" />
                <label><?php echo esc_html( __( 'When clicked on show / hide button (default)', 'ueldo' ) ); ?></label>

            </div>

            <div class="ueldo-theme-options-single-option-field-group-checkbox-container">

                <input type="checkbox" id="side-menu-closing-rules-anywhere-outside" value="yes" name="ueldo_theme_options[side-menu][closing-rules-anywhere-outside]" <?php checked( ueldo_get_theme_options_value( 'side-menu', false, 'closing-rules-anywhere-outside' ), 'yes' ); ?> />
                <label for="side-menu-closing-rules-anywhere-outside"><?php echo esc_html( __( 'When clicked anywhere outside side menu', 'ueldo' ) ); ?></label>

            </div>

            <div class="ueldo-theme-options-single-option-field-group-checkbox-container">

                <input type="checkbox" id="side-menu-closing-rules-any-link-inside" value="yes" name="ueldo_theme_options[side-menu][closing-rules-any-link-inside]" <?php checked( ueldo_get_theme_options_value( 'side-menu', false, 'closing-rules-any-link-inside' ), 'yes' ); ?> />
                <label for="side-menu-closing-rules-any-link-inside"><?php echo esc_html( __( 'When clicked on any link in side menu', 'ueldo' ) ); ?></label>

            </div>

        </div>

    </div>

    <?php

        # walk for each language
        for( $i = 0; $i < count( $languages ); $i++ ) {

            # language key
            $lang_key = $languages[$i] == 'default' ? 'all' : strtolower( esc_attr( $languages[$i] ) );

            ?>
            <div class="ueldo-theme-options-single-option-form">

                <?php

                    # language name
                    if( $languages[$i] != 'default' ) {

                        # get the language name
                        $language_name = ueldo_get_language_name( $languages[$i] );

                        ?>
                        <div class="ueldo-theme-options-single-option-form-language"><?php echo esc_html( $language_name ); ?></div>
                        <?php
                    }

                ?>

                <div class="ueldo-theme-options-single-option-field-group">

                    <h4><?php echo esc_html( __( 'Choose the menu:', 'ueldo' ) ); ?></h4>
                    <select name="ueldo_theme_options[side-menu][menu-key][<?php echo esc_attr( $lang_key ); ?>]">

                        <?php

                            # walk for each menus array
                            foreach( ueldo_get_all_menus_array() as $menu_name => $menu_key ) {

                                ?>
                                <option value="<?php echo esc_attr( $menu_key ); ?>" <?php selected( ueldo_get_theme_options_value( 'side-menu', esc_attr( $lang_key ), 'menu-key' ), esc_attr( $menu_key ) ); ?>><?php echo esc_html( $menu_name ); ?></option>
                                <?php
                            }

                        ?>

                    </select>

                    <h4><?php echo esc_html( __( 'Additional content before the menu:', 'ueldo' ) ); ?></h4>

                    <?php

                        # get the editor key
                        $editor_key = 'ueldo_theme_options_side_menu_additional_content_before_'. strtolower( esc_attr( $lang_key ) );

                        # show the editor
                        wp_editor(
                            ueldo_get_theme_options_value( 'side-menu', esc_attr( $editor_key ) ),
                            $editor_key,
                            array(
                                'teeny' => true,
                                'textarea_rows' => 5,
                                'tabindex' => 1
                            )
                        );

                        # remove temporary variable
                        unset( $editor_key );

                    ?>

                    <h4><?php echo esc_html( __( 'Additional content after the menu:', 'ueldo' ) ); ?></h4>

                    <?php

                        # get the editor key
                        $editor_key = 'ueldo_theme_options_side_menu_additional_content_after_'. strtolower( esc_attr( $lang_key ) );

                        # show the editor
                        wp_editor(
                            ueldo_get_theme_options_value( 'side-menu', esc_attr( $editor_key ) ),
                            $editor_key,
                            array(
                                'teeny' => true,
                                'textarea_rows' => 5,
                                'tabindex' => 1
                            )
                        );

                        # remove temporary variable
                        unset( $editor_key );

                    ?>

                    <h4><?php echo esc_html( __( 'Menu links font:', 'ueldo' ) ); ?></h4>

                    <?php

                        # display fonts selection field
                        ueldo_get_google_fonts_selection_field(
                            ueldo_get_theme_options_value( 'side-menu', esc_attr( $lang_key ), esc_attr( 'menu-link-font-family' ) ),
                            ueldo_get_theme_options_value( 'side-menu', esc_attr( $lang_key ), esc_attr( 'menu-link-font-weight' ) ),
                            ueldo_get_theme_options_value( 'side-menu', esc_attr( $lang_key ), esc_attr( 'menu-link-font-subset' ) ),
                            ueldo_get_theme_options_value( 'side-menu', esc_attr( $lang_key ), esc_attr( 'menu-link-font-smoothing' ) ),
                            array(
                                'section' => 'side-menu',
                                'subsection' => 'menu-link-font',
                                'language' => esc_attr( $lang_key )
                            )
                        );

                    ?>

                </div>

            </div>
            <?php

        # end of loop
        }

    ?>

    <div class="ueldo-theme-options-single-option-form">

        <div class="ueldo-theme-options-single-option-field-group">

            <h4><?php echo esc_html( __( 'Side menu position:', 'ueldo' ) ); ?></h4>
            <select name="ueldo_theme_options[side-menu][menu-position]">

                <option value="left" <?php selected( ueldo_get_theme_options_value( 'side-menu', false, 'menu-position' ), 'left' ); ?>><?php echo esc_html( __( 'Left', 'ueldo' ) ); ?></option>
                <option value="right" <?php selected( ueldo_get_theme_options_value( 'side-menu', false, 'menu-position' ), 'right' ); ?>><?php echo esc_html( __( 'Right', 'ueldo' ) ); ?></option>

            </select>

            <h4><?php echo esc_html( __( 'Menu links alignment:', 'ueldo' ) ); ?></h4>
            <select name="ueldo_theme_options[side-menu][menu-links-alignment]">

                <option value="left" <?php selected( ueldo_get_theme_options_value( 'side-menu', false, 'menu-links-alignment' ), 'left' ); ?>><?php echo esc_html( __( 'Left', 'ueldo' ) ); ?></option>
                <option value="center" <?php selected( ueldo_get_theme_options_value( 'side-menu', false, 'menu-links-alignment' ), 'center' ); ?>><?php echo esc_html( __( 'Center', 'ueldo' ) ); ?></option>
                <option value="right" <?php selected( ueldo_get_theme_options_value( 'side-menu', false, 'menu-links-alignment' ), 'right' ); ?>><?php echo esc_html( __( 'Right', 'ueldo' ) ); ?></option>

            </select>

            <h4><?php echo esc_html( __( 'Opacity animation enabled?', 'ueldo' ) ); ?></h4>
            <div class="ueldo-theme-options-yn-field">

                <input type="hidden" name="ueldo_theme_options[side-menu][opacity-animation-enabled]" value="<?php echo esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'opacity-animation-enabled' ) ); ?>" />

                <div class="ueldo-theme-options-yn-field-option <?php echo esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'opacity-animation-enabled' ) == 'yes' ? 'ueldo-theme-options-yn-field-option-selected' : '' ); ?>" data-option-value="yes"><?php echo esc_html( __( 'Yes', 'ueldo' ) ); ?></div>
                <div class="ueldo-theme-options-yn-field-option <?php echo esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'opacity-animation-enabled' ) == 'no' ? 'ueldo-theme-options-yn-field-option-selected' : '' ); ?>" data-option-value="no"><?php echo esc_html( __( 'No', 'ueldo' ) ); ?></div>

            </div>

            <h4><?php echo esc_html( __( 'Submenu links:', 'ueldo' ) ); ?></h4>
            <select name="ueldo_theme_options[side-menu][submenu-links]">

                <option value="visible-always" <?php selected( ueldo_get_theme_options_value( 'side-menu', false, 'submenu-links' ), 'visible-always' ); ?>><?php echo esc_html( __( 'Visible always', 'ueldo' ) ); ?></option>
                <option value="visible-on-click-as-new-layer" <?php selected( ueldo_get_theme_options_value( 'side-menu', false, 'submenu-links' ), 'visible-on-click-as-new-layer' ); ?>><?php echo esc_html( __( 'Visible on click, as new layer', 'ueldo' ) ); ?></option>
                <option value="visible-on-click-under-parent" <?php selected( ueldo_get_theme_options_value( 'side-menu', false, 'submenu-links' ), 'visible-on-click-under-parent' ); ?>><?php echo esc_html( __( 'Visible on click, under the parent', 'ueldo' ) ); ?></option>

            </select>

            <h4><?php echo esc_html( __( 'Menu vertical alignment on whole box:', 'ueldo' ) ); ?></h4>
            <p class="ueldo-theme-options-single-option-field-tip"><?php echo esc_html( __( 'It will be applied only if there will be enough space (depends on screen height, and additional elements before and after the menu).', 'ueldo' ) ); ?></p>
            <select name="ueldo_theme_options[side-menu][menu-vertical-alignment]">

                <option value="top" <?php selected( ueldo_get_theme_options_value( 'side-menu', false, 'menu-vertical-alignment' ), 'top' ); ?>><?php echo esc_html( __( 'Top', 'ueldo' ) ); ?></option>
                <option value="middle" <?php selected( ueldo_get_theme_options_value( 'side-menu', false, 'menu-vertical-alignment' ), 'middle' ); ?>><?php echo esc_html( __( 'Middle', 'ueldo' ) ); ?></option>
                <option value="bottom" <?php selected( ueldo_get_theme_options_value( 'side-menu', false, 'menu-vertical-alignment' ), 'bottom' ); ?>><?php echo esc_html( __( 'Bottom', 'ueldo' ) ); ?></option>

            </select>

        </div>

        <div class="ueldo-theme-options-single-option-field-group">

            <h4><?php echo esc_html( __( 'Custom sizes enabled?', 'ueldo' ) ); ?></h4>
            <div class="ueldo-theme-options-yn-field" data-depended-for="custom-sizes">

                <input type="hidden" name="ueldo_theme_options[side-menu][custom-sizes-enabled]" value="<?php echo esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-enabled' ) ); ?>" />

                <div class="ueldo-theme-options-yn-field-option <?php echo esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-enabled' ) == 'yes' ? 'ueldo-theme-options-yn-field-option-selected' : '' ); ?>" data-option-value="yes"><?php echo esc_html( __( 'Yes, use custom sizes', 'ueldo' ) ); ?></div>
                <div class="ueldo-theme-options-yn-field-option <?php echo esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-enabled' ) == 'no' ? 'ueldo-theme-options-yn-field-option-selected' : '' ); ?>" data-option-value="no"><?php echo esc_html( __( 'No, use theme defaults', 'ueldo' ) ); ?></div>

            </div>

        </div>

        <div class="ueldo-theme-options-field-depended <?php echo esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-enabled' ) == 'no' ? 'ueldo-theme-options-field-depended-hidden' : '' ); ?>" data-field-depended-key="custom-sizes">

            <div class="ueldo-theme-options-single-option-field-group">

                <h4><?php echo esc_html( __( 'Side menu container width:', 'ueldo' ) ); ?></h4>
                <span class="ueldo-theme-options-px-field"><input type="text" class="ueldo-validate-number-field" data-number-field-minus-allowed="no" name="ueldo_theme_options[side-menu][custom-sizes-container-width]" value="<?php echo esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-container-width' ) ); ?>" /></span>

            </div>

            <div class="ueldo-theme-options-single-option-field-group">

                <h4><?php echo esc_html( __( 'Menu link font size:', 'ueldo' ) ); ?></h4>
                <span class="ueldo-theme-options-px-field"><input type="text" class="ueldo-validate-number-field" data-number-field-minus-allowed="no" name="ueldo_theme_options[side-menu][custom-sizes-menu-link-font-size]" value="<?php echo esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-menu-link-font-size' ) ); ?>" /></span>

                <h4><?php echo esc_html( __( 'Menu link font line height:', 'ueldo' ) ); ?></h4>
                <span class="ueldo-theme-options-em-field"><input type="text" class="ueldo-validate-number-field" data-number-field-minus-allowed="no" data-number-field-decimals-allowed="yes" name="ueldo_theme_options[side-menu][custom-sizes-menu-link-font-line-height]" value="<?php echo esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-menu-link-font-line-height' ) ); ?>" /></span>

                <h4><?php echo esc_html( __( 'Menu link font letter spacing:', 'ueldo' ) ); ?></h4>
                <span class="ueldo-theme-options-px-field"><input type="text" class="ueldo-validate-number-field" data-number-field-minus-allowed="no" name="ueldo_theme_options[side-menu][custom-sizes-menu-link-font-letter-spacing]" value="<?php echo esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-menu-link-font-letter-spacing' ) ); ?>" /></span>

                <h4><?php echo esc_html( __( 'Menu link padding top / bottom:', 'ueldo' ) ); ?></h4>
                <span class="ueldo-theme-options-px-field"><input type="text" class="ueldo-validate-number-field" data-number-field-minus-allowed="no" name="ueldo_theme_options[side-menu][custom-sizes-menu-link-padding-top-bottom]" value="<?php echo esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-menu-link-padding-top-bottom' ) ); ?>" /></span>

                <h4><?php echo esc_html( __( 'Menu link padding left / right:', 'ueldo' ) ); ?></h4>
                <span class="ueldo-theme-options-px-field"><input type="text" class="ueldo-validate-number-field" data-number-field-minus-allowed="no" name="ueldo_theme_options[side-menu][custom-sizes-menu-link-padding-left-right]" value="<?php echo esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-menu-link-padding-left-right' ) ); ?>" /></span>

                <h4><?php echo esc_html( __( 'Menu link margin top / bottom:', 'ueldo' ) ); ?></h4>
                <span class="ueldo-theme-options-px-field"><input type="text" class="ueldo-validate-number-field" data-number-field-minus-allowed="no" name="ueldo_theme_options[side-menu][custom-sizes-menu-link-margin-top-bottom]" value="<?php echo esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-menu-link-margin-top-bottom' ) ); ?>" /></span>

                <h4><?php echo esc_html( __( 'Menu link margin left / right:', 'ueldo' ) ); ?></h4>
                <span class="ueldo-theme-options-px-field"><input type="text" class="ueldo-validate-number-field" data-number-field-minus-allowed="no" name="ueldo_theme_options[side-menu][custom-sizes-menu-link-margin-left-right]" value="<?php echo esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-menu-link-margin-left-right' ) ); ?>" /></span>

                <h4><?php echo esc_html( __( 'Menu link bottom border width:', 'ueldo' ) ); ?></h4>
                <span class="ueldo-theme-options-px-field"><input type="text" class="ueldo-validate-number-field" data-number-field-minus-allowed="no" name="ueldo_theme_options[side-menu][custom-sizes-menu-link-bottom-border-width]" value="<?php echo esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-menu-link-bottom-border-width' ) ); ?>" /></span>

                <h4><?php echo esc_html( __( 'Bottom border for last menu link:', 'ueldo' ) ); ?></h4>
                <select name="ueldo_theme_options[side-menu][custom-sizes-display-bottom-border-for-last-menu-link]">

                    <option value="display" <?php selected( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-display-bottom-border-for-last-menu-link' ), 'display' ); ?>><?php echo esc_html( __( 'Display', 'ueldo' ) ); ?></option>
                    <option value="hide" <?php selected( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-display-bottom-border-for-last-menu-link' ), 'hide' ); ?>><?php echo esc_html( __( 'Hide', 'ueldo' ) ); ?></option>

                </select>

            </div>

            <div class="ueldo-theme-options-single-option-field-group">

                <h4><?php echo esc_html( __( 'Menu icon font size:', 'ueldo' ) ); ?></h4>
                <span class="ueldo-theme-options-px-field"><input type="text" class="ueldo-validate-number-field" data-number-field-minus-allowed="no" name="ueldo_theme_options[side-menu][custom-sizes-menu-icon-font-size]" value="<?php echo esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-menu-icon-font-size' ) ); ?>" /></span>

                <h4><?php echo esc_html( __( 'Menu icon margin top:', 'ueldo' ) ); ?></h4>
                <span class="ueldo-theme-options-px-field"><input type="text" class="ueldo-validate-number-field" data-number-field-minus-allowed="yes" name="ueldo_theme_options[side-menu][custom-sizes-menu-icon-margin-top]" value="<?php echo esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-menu-icon-margin-top' ) ); ?>" /></span>

                <h4><?php echo esc_html( __( 'Margin between menu icon and title:', 'ueldo' ) ); ?></h4>
                <span class="ueldo-theme-options-px-field"><input type="text" class="ueldo-validate-number-field" data-number-field-minus-allowed="no" name="ueldo_theme_options[side-menu][custom-sizes-menu-margin-between-icon-and-title]" value="<?php echo esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-menu-margin-between-icon-and-title' ) ); ?>" /></span>

            </div>

            <div class="ueldo-theme-options-single-option-field-group">

                <h4><?php echo esc_html( __( 'Padding top / bottom for additional content before the menu', 'ueldo' ) ); ?></h4>
                <span class="ueldo-theme-options-px-field"><input type="text" class="ueldo-validate-number-field" data-number-field-minus-allowed="no" name="ueldo_theme_options[side-menu][custom-sizes-padding-top-bottom-additional-element-before-menu]" value="<?php echo esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-padding-top-bottom-additional-element-before-menu' ) ); ?>" /></span>

                <h4><?php echo esc_html( __( 'Padding left / right for additional content before the menu', 'ueldo' ) ); ?></h4>
                <span class="ueldo-theme-options-px-field"><input type="text" class="ueldo-validate-number-field" data-number-field-minus-allowed="no" name="ueldo_theme_options[side-menu][custom-sizes-padding-left-right-additional-element-before-menu]" value="<?php echo esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-padding-left-right-additional-element-before-menu' ) ); ?>" /></span>

                <h4><?php echo esc_html( __( 'Margin top for additional content before the menu', 'ueldo' ) ); ?></h4>
                <span class="ueldo-theme-options-px-field"><input type="text" class="ueldo-validate-number-field" data-number-field-minus-allowed="no" name="ueldo_theme_options[side-menu][custom-sizes-margin-top-additional-element-before-menu]" value="<?php echo esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-margin-top-additional-element-before-menu' ) ); ?>" /></span>

                <h4><?php echo esc_html( __( 'Margin right for additional content before the menu', 'ueldo' ) ); ?></h4>
                <span class="ueldo-theme-options-px-field"><input type="text" class="ueldo-validate-number-field" data-number-field-minus-allowed="no" name="ueldo_theme_options[side-menu][custom-sizes-margin-right-additional-element-before-menu]" value="<?php echo esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-margin-right-additional-element-before-menu' ) ); ?>" /></span>

                <h4><?php echo esc_html( __( 'Margin bottom for additional content before the menu', 'ueldo' ) ); ?></h4>
                <span class="ueldo-theme-options-px-field"><input type="text" class="ueldo-validate-number-field" data-number-field-minus-allowed="no" name="ueldo_theme_options[side-menu][custom-sizes-margin-bottom-additional-element-before-menu]" value="<?php echo esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-margin-bottom-additional-element-before-menu' ) ); ?>" /></span>

                <h4><?php echo esc_html( __( 'Margin left for additional content before the menu', 'ueldo' ) ); ?></h4>
                <span class="ueldo-theme-options-px-field"><input type="text" class="ueldo-validate-number-field" data-number-field-minus-allowed="no" name="ueldo_theme_options[side-menu][custom-sizes-margin-left-additional-element-before-menu]" value="<?php echo esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-margin-left-additional-element-before-menu' ) ); ?>" /></span>

            </div>

            <div class="ueldo-theme-options-single-option-field-group">

                <h4><?php echo esc_html( __( 'Padding top / bottom for additional content after the menu', 'ueldo' ) ); ?></h4>
                <span class="ueldo-theme-options-px-field"><input type="text" class="ueldo-validate-number-field" data-number-field-minus-allowed="no" name="ueldo_theme_options[side-menu][custom-sizes-padding-top-bottom-additional-element-after-menu]" value="<?php echo esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-padding-top-bottom-additional-element-after-menu' ) ); ?>" /></span>

                <h4><?php echo esc_html( __( 'Padding left / right for additional content after the menu', 'ueldo' ) ); ?></h4>
                <span class="ueldo-theme-options-px-field"><input type="text" class="ueldo-validate-number-field" data-number-field-minus-allowed="no" name="ueldo_theme_options[side-menu][custom-sizes-padding-left-right-additional-element-after-menu]" value="<?php echo esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-padding-left-right-additional-element-after-menu' ) ); ?>" /></span>

                <h4><?php echo esc_html( __( 'Margin top for additional content after the menu', 'ueldo' ) ); ?></h4>
                <span class="ueldo-theme-options-px-field"><input type="text" class="ueldo-validate-number-field" data-number-field-minus-allowed="no" name="ueldo_theme_options[side-menu][custom-sizes-margin-top-additional-element-after-menu]" value="<?php echo esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-margin-top-additional-element-after-menu' ) ); ?>" /></span>

                <h4><?php echo esc_html( __( 'Margin right for additional content after the menu', 'ueldo' ) ); ?></h4>
                <span class="ueldo-theme-options-px-field"><input type="text" class="ueldo-validate-number-field" data-number-field-minus-allowed="no" name="ueldo_theme_options[side-menu][custom-sizes-margin-right-additional-element-after-menu]" value="<?php echo esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-margin-right-additional-element-after-menu' ) ); ?>" /></span>

                <h4><?php echo esc_html( __( 'Margin bottom for additional content after the menu', 'ueldo' ) ); ?></h4>
                <span class="ueldo-theme-options-px-field"><input type="text" class="ueldo-validate-number-field" data-number-field-minus-allowed="no" name="ueldo_theme_options[side-menu][custom-sizes-margin-bottom-additional-element-after-menu]" value="<?php echo esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-margin-bottom-additional-element-after-menu' ) ); ?>" /></span>

                <h4><?php echo esc_html( __( 'Margin left for additional content after the menu', 'ueldo' ) ); ?></h4>
                <span class="ueldo-theme-options-px-field"><input type="text" class="ueldo-validate-number-field" data-number-field-minus-allowed="no" name="ueldo_theme_options[side-menu][custom-sizes-margin-left-additional-element-after-menu]" value="<?php echo esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-margin-left-additional-element-after-menu' ) ); ?>" /></span>

            </div>

        </div>

    </div>

</div>
<?php

    # clear the variables
    unset( $single_menu, $i, $lang_key, $language_name, $editor_key );

?>