<?php

    # prevent direct file access
    if( !defined( 'ABSPATH' ) ) exit;

?>
<div class="ueldo-theme-options-single-option" data-option-key="single-blog-post-style">

    <div class="ueldo-theme-options-single-option-padding">

        <h3><?php echo esc_html( __( 'Single blog post style', 'ueldo' ) ); ?></h3>
        <p><?php echo esc_html( __( 'You can manage settings for single blog post style here.', 'ueldo' ) ); ?></p>

    </div>

    <div class="ueldo-theme-options-single-option-form">

        <div class="ueldo-theme-options-single-option-field-group">

            <h4><?php echo esc_html( __( 'Display blog post data under post title?', 'ueldo' ) ); ?></h4>
            <div class="ueldo-theme-options-yn-field">

                <input type="hidden" name="ueldo_theme_options[single-blog-post-style][display-post-data-under-title]" value="<?php echo esc_attr( ueldo_get_theme_options_value( 'single-blog-post-style', false, 'display-post-data-under-title' ) ); ?>" />

                <div class="ueldo-theme-options-yn-field-option <?php echo esc_attr( ueldo_get_theme_options_value( 'single-blog-post-style', false, 'display-post-data-under-title' ) == 'yes' ? 'ueldo-theme-options-yn-field-option-selected' : '' ); ?>" data-option-value="yes"><?php echo esc_html( __( 'Yes', 'ueldo' ) ); ?></div>
                <div class="ueldo-theme-options-yn-field-option <?php echo esc_attr( ueldo_get_theme_options_value( 'single-blog-post-style', false, 'display-post-data-under-title' ) == 'no' ? 'ueldo-theme-options-yn-field-option-selected' : '' ); ?>" data-option-value="no"><?php echo esc_html( __( 'No', 'ueldo' ) ); ?></div>

            </div>

        </div>

        <div class="ueldo-theme-options-single-option-field-group">

            <h4><?php echo esc_html( __( 'Blog post data and title centered?', 'ueldo' ) ); ?></h4>
            <div class="ueldo-theme-options-yn-field">

                <input type="hidden" name="ueldo_theme_options[single-blog-post-style][blog-post-data-and-title-centered]" value="<?php echo esc_attr( ueldo_get_theme_options_value( 'single-blog-post-style', false, 'blog-post-data-and-title-centered' ) ); ?>" />

                <div class="ueldo-theme-options-yn-field-option <?php echo esc_attr( ueldo_get_theme_options_value( 'single-blog-post-style', false, 'blog-post-data-and-title-centered' ) == 'yes' ? 'ueldo-theme-options-yn-field-option-selected' : '' ); ?>" data-option-value="yes"><?php echo esc_html( __( 'Yes', 'ueldo' ) ); ?></div>
                <div class="ueldo-theme-options-yn-field-option <?php echo esc_attr( ueldo_get_theme_options_value( 'single-blog-post-style', false, 'blog-post-data-and-title-centered' ) == 'no' ? 'ueldo-theme-options-yn-field-option-selected' : '' ); ?>" data-option-value="no"><?php echo esc_html( __( 'No', 'ueldo' ) ); ?></div>

            </div>

        </div>

        <div class="ueldo-theme-options-single-option-field-group">

            <h4><?php echo esc_html( __( 'Featured image reverse indent allowed?', 'ueldo' ) ); ?></h4>
            <div class="ueldo-theme-options-yn-field">

                <input type="hidden" name="ueldo_theme_options[single-blog-post-style][featured-image-reverse-indent-allowed]" value="<?php echo esc_attr( ueldo_get_theme_options_value( 'single-blog-post-style', false, 'featured-image-reverse-indent-allowed' ) ); ?>" />

                <div class="ueldo-theme-options-yn-field-option <?php echo esc_attr( ueldo_get_theme_options_value( 'single-blog-post-style', false, 'featured-image-reverse-indent-allowed' ) == 'yes' ? 'ueldo-theme-options-yn-field-option-selected' : '' ); ?>" data-option-value="yes"><?php echo esc_html( __( 'Yes', 'ueldo' ) ); ?></div>
                <div class="ueldo-theme-options-yn-field-option <?php echo esc_attr( ueldo_get_theme_options_value( 'single-blog-post-style', false, 'featured-image-reverse-indent-allowed' ) == 'no' ? 'ueldo-theme-options-yn-field-option-selected' : '' ); ?>" data-option-value="no"><?php echo esc_html( __( 'No', 'ueldo' ) ); ?></div>

            </div>

        </div>

        <div class="ueldo-theme-options-single-option-field-group">

            <h4><?php echo esc_html( __( 'Featured image position:', 'ueldo' ) ); ?></h4>
            <p class="ueldo-theme-options-single-option-field-tip"><?php echo esc_html( __( 'This wouldn\'t apply if "Featured image on lists only" option is enabled.', 'ueldo' ) ); ?></p>

            <select name="ueldo_theme_options[single-blog-post-style][featured-image-position]">

                <option value="above-post-title-and-data" <?php selected( ueldo_get_theme_options_value( 'single-blog-post-style', false, 'featured-image-position' ), 'above-post-title-and-data' ); ?>><?php echo esc_html( __( 'Above blog post title & data', 'ueldo' ) ); ?></option>
                <option value="under-post-title-and-data" <?php selected( ueldo_get_theme_options_value( 'single-blog-post-style', false, 'featured-image-position' ), 'under-post-title-and-data' ); ?>><?php echo esc_html( __( 'Under blog post title & data', 'ueldo' ) ); ?></option>

            </select>

        </div>

    </div>

</div>