<?php

    # prevent direct file access
    if( !defined( 'ABSPATH' ) ) exit;

?>
<div class="ueldo-theme-options-single-option" data-option-key="submit-button-position-in-comment-reply-form">

    <div class="ueldo-theme-options-single-option-padding">

        <h3><?php echo esc_html( __( 'Submit button position in comment reply form', 'ueldo' ) ); ?></h3>
        <p><?php echo esc_html( __( 'You can configure the submit button position here:', 'ueldo' ) ); ?></p>

    </div>

    <?php

        # walk for each language
        for( $i = 0; $i < count( $languages ); $i++ ) {

            # language key for editor
            $lang_key = $languages[$i] == 'default' ? 'all' : strtolower( esc_attr( $languages[$i] ) );

            ?>
            <div class="ueldo-theme-options-single-option-form">

                <?php

                    # language name
                    if( $languages[$i] != 'default' ) {

                        # get the language name
                        $language_name = ueldo_get_language_name( $languages[$i] );

                        ?>
                        <div class="ueldo-theme-options-single-option-form-language"><?php echo esc_html( $language_name ); ?></div>
                        <?php
                    }

                ?>

                <div class="ueldo-theme-options-single-option-field-group">

                    <h4><?php echo esc_html( __( 'Position:', 'ueldo' ) ); ?></h4>
                    <select name="ueldo_theme_options[submit-button-position-in-comment-reply-form][<?php echo esc_attr( $lang_key ); ?>]">

                        <option value="left" <?php selected( ueldo_get_theme_options_value( 'submit-button-position-in-comment-reply-form', esc_attr( $lang_key ) ), 'left' ); ?>><?php echo esc_html( __( 'Left', 'ueldo' ) ); ?></option>
                        <option value="center" <?php selected( ueldo_get_theme_options_value( 'submit-button-position-in-comment-reply-form', esc_attr( $lang_key ) ), 'center' ); ?>><?php echo esc_html( __( 'Center', 'ueldo' ) ); ?></option>
                        <option value="right" <?php selected( ueldo_get_theme_options_value( 'submit-button-position-in-comment-reply-form', esc_attr( $lang_key ) ), 'right' ); ?>><?php echo esc_html( __( 'Right', 'ueldo' ) ); ?></option>

                    </select>

                </div>

            </div>
            <?php

        # end of loop
        }

    ?>

</div>
<?php

    # clear the variables
    unset( $i, $lang_key, $language_name, $editor_key, $hefos );

?>