<?php

    # prevent direct file access
    if( !defined( 'ABSPATH' ) ) exit;

?>
<div class="ueldo-theme-options-single-option" data-option-key="translate-publication-dates">

    <div class="ueldo-theme-options-single-option-padding">

        <?php

            # example date object
            $example_date_obj = new DateTime( '-32 mins' );

            # example date
            $example_date_not_translated = esc_html( $example_date_obj -> format( 'F j, Y' ) ) .' '. esc_html( __( 'at', 'ueldo' ) ) .' '. esc_html( $example_date_obj -> format( 'g:i a' ) );

            # example date translated
            $example_date_translated = ueldo_show_when( $example_date_obj -> format( 'U' ), false );

        ?>

        <h3><?php echo esc_html( __( 'Publication dates', 'ueldo' ) ); ?></h3>
        <p><?php printf( esc_html__( 'Do you want the script to automatically replace publication dates to human difference? For example: replace "%1$s" to "%2$s"', 'ueldo' ), esc_html( $example_date_not_translated ), esc_html( $example_date_translated ) ); ?></p>

    </div>

    <div class="ueldo-theme-options-single-option-form">

        <div class="ueldo-theme-options-single-option-field-group">

            <h4><?php echo esc_html( __( 'Replace publication dates:', 'ueldo' ) ); ?></h4>
            <div class="ueldo-theme-options-yn-field">

                <input type="hidden" name="ueldo_theme_options[translate-publication-dates]" value="<?php echo esc_attr( ueldo_get_theme_options_value( 'translate-publication-dates' ) ); ?>" />

                <div class="ueldo-theme-options-yn-field-option <?php echo esc_attr( ueldo_get_theme_options_value( 'translate-publication-dates' ) == 'yes' ? 'ueldo-theme-options-yn-field-option-selected' : '' ); ?>" data-option-value="yes"><?php echo esc_html( __( 'Yes', 'ueldo' ) ); ?></div>
                <div class="ueldo-theme-options-yn-field-option <?php echo esc_attr( ueldo_get_theme_options_value( 'translate-publication-dates' ) == 'no' ? 'ueldo-theme-options-yn-field-option-selected' : '' ); ?>" data-option-value="no"><?php echo esc_html( __( 'No', 'ueldo' ) ); ?></div>

            </div>

        </div>

    </div>

</div>
<?php

    # clear the variables
    unset( $example_date_obj, $example_date_not_translated, $example_date_translated );

?>