<?php

    # prevent direct file access
    if( !defined( 'ABSPATH' ) ) exit;

    # how many elements can we display?
    $elements_limit = '6';

?>
<div class="ueldo-theme-options-single-option" data-option-key="under-single-blog-post-content-elements">

    <div class="ueldo-theme-options-single-option-padding">

        <h3><?php echo esc_html( __( 'Under single blog post content elements', 'ueldo' ) ); ?></h3>
        <p><?php echo esc_html( __( 'Here you can manage elements which will be displayed under single blog post content.', 'ueldo' ) ); ?></p>

    </div>

    <div class="ueldo-theme-options-single-option-form">

        <div class="ueldo-theme-options-single-option-field-group ueldo-theme-options-single-option-field-group-head">

            <h4><?php echo esc_html( __( 'How many elements?', 'ueldo' ) ); ?></h4>
            <select name="ueldo_theme_options[under-single-blog-post-content-elements][elements-count]">

                <?php

                    # how many elements under blog posts?
                    # maximum: 6, because there's 6 different elements which can be added
                    for( $i = 0; $i < ( $elements_limit + 1 ); $i++ ) {

                        ?>
                        <option value="<?php echo esc_attr( $i ); ?>" <?php selected( ueldo_get_theme_options_value( 'under-single-blog-post-content-elements', false, 'elements-count' ), esc_attr( $i ) ); ?>><?php echo esc_html( $i ); ?></option>
                        <?php
                    }

                ?>

            </select>

        </div>

        <?php

            # display each elements
            for( $i = 0; $i < $elements_limit; $i++ ) {

                # element id
                $element_id = $i + 1;

                # element id key
                $element_id_key = 'element-'. esc_attr( $element_id ) .'-type';

                ?>
                <div class="ueldo-theme-options-single-option-field-group <?php echo esc_attr( ueldo_get_theme_options_value( 'under-single-blog-post-content-elements', false, 'elements-count' ) < $element_id ? 'ueldo-theme-options-single-option-field-group-hidden' : '' ); ?>" data-element-group-id="<?php echo esc_attr( $element_id ); ?>">

                    <h4><?php echo esc_html( __( 'Element:', 'ueldo' ) ); ?> <?php echo esc_html( $element_id ); ?></h4>
                    <select name="ueldo_theme_options[under-single-blog-post-content-elements][<?php echo esc_attr( $element_id_key ); ?>]">

                        <option value="" <?php selected( ueldo_get_theme_options_value( 'under-single-blog-post-content-elements', false, esc_attr( $element_id_key ) ), '' ); ?>><?php echo esc_html( __( '-- Choose --', 'ueldo' ) ); ?></option>
                        <option value="tags-and-categories" <?php selected( ueldo_get_theme_options_value( 'under-single-blog-post-content-elements', false, esc_attr( $element_id_key ) ), 'tags-and-categories' ); ?>><?php echo esc_html( __( 'Tags and Categories', 'ueldo' ) ); ?></option>
                        <option value="tags-and-categories-with-facebook" <?php selected( ueldo_get_theme_options_value( 'under-single-blog-post-content-elements', false, esc_attr( $element_id_key ) ), 'tags-and-categories-with-facebook' ); ?>><?php echo esc_html( __( 'Tags and Categories with Facebook button', 'ueldo' ) ); ?></option>
                        <option value="next-previous-posts-navigation" <?php selected( ueldo_get_theme_options_value( 'under-single-blog-post-content-elements', false, esc_attr( $element_id_key ) ), 'next-previous-posts-navigation' ); ?>><?php echo esc_html( __( 'Next / previous posts navigation', 'ueldo' ) ); ?></option>
                        <option value="author-box" <?php selected( ueldo_get_theme_options_value( 'under-single-blog-post-content-elements', false, esc_attr( $element_id_key ) ), 'author-box' ); ?>><?php echo esc_html( __( 'Author box', 'ueldo' ) ); ?></option>
                        <option value="similar-posts" <?php selected( ueldo_get_theme_options_value( 'under-single-blog-post-content-elements', false, esc_attr( $element_id_key ) ), 'similar-posts' ); ?>><?php echo esc_html( __( 'Similar posts', 'ueldo' ) ); ?></option>
                        <option value="custom-code" <?php selected( ueldo_get_theme_options_value( 'under-single-blog-post-content-elements', false, esc_attr( $element_id_key ) ), 'custom-code' ); ?>><?php echo esc_html( __( 'Custom code', 'ueldo' ) ); ?></option>

                    </select>

                    <div class="ueldo-theme-options-field-depended <?php echo esc_attr( ueldo_get_theme_options_value( 'under-single-blog-post-content-elements', false, esc_attr( $element_id_key ) ) != 'similar-posts' ? 'ueldo-theme-options-field-depended-hidden' : '' ); ?>" data-field-type="similar-posts">

                        <h4><?php echo esc_html( __( 'Similar posts style', 'ueldo' ) ); ?></h4>
                        <div class="ueldo-theme-options-select-with-image-field">

                            <?php

                                # element key
                                $element_similar_posts_style_key = 'element-'. esc_attr( $element_id ) .'-similar-posts-style';

                            ?>

                            <input type="hidden" name="ueldo_theme_options[under-single-blog-post-content-elements][<?php echo esc_attr( $element_similar_posts_style_key ); ?>]" value="<?php echo esc_attr( ueldo_get_theme_options_value( 'under-single-blog-post-content-elements', false, esc_attr( $element_similar_posts_style_key ) ) ); ?>" />

                            <div class="ueldo-theme-options-select-with-image-field-option <?php echo esc_attr( ueldo_get_theme_options_value( 'under-single-blog-post-content-elements', false, esc_attr( $element_similar_posts_style_key ) ) == '01' ? 'ueldo-theme-options-select-with-image-field-option-selected' : '' ); ?>" data-option-value="01">

                                <div class="ueldo-theme-options-select-with-image-field-option-image-container">

                                    <img src="<?php echo esc_url( ueldo_get_theme_options_image( 'blog-posts-list-style-01.png' ) ); ?>" />

                                </div>

                                <span><?php echo esc_html( __( 'Style: 01', 'ueldo' ) ); ?></span>

                            </div>

                            <div class="ueldo-theme-options-select-with-image-field-option <?php echo esc_attr( ueldo_get_theme_options_value( 'under-single-blog-post-content-elements', false, esc_attr( $element_similar_posts_style_key ) ) == '02' ? 'ueldo-theme-options-select-with-image-field-option-selected' : '' ); ?>" data-option-value="02">

                                <div class="ueldo-theme-options-select-with-image-field-option-image-container">

                                    <img src="<?php echo esc_url( ueldo_get_theme_options_image( 'blog-posts-list-style-02.png' ) ); ?>" />

                                </div>

                                <span><?php echo esc_html( __( 'Style: 02', 'ueldo' ) ); ?></span>

                            </div>

                            <div class="ueldo-theme-options-select-with-image-field-option <?php echo esc_attr( ueldo_get_theme_options_value( 'under-single-blog-post-content-elements', false, esc_attr( $element_similar_posts_style_key ) ) == '03' ? 'ueldo-theme-options-select-with-image-field-option-selected' : '' ); ?>" data-option-value="03">

                                <div class="ueldo-theme-options-select-with-image-field-option-image-container">

                                    <img src="<?php echo esc_url( ueldo_get_theme_options_image( 'blog-posts-list-style-03.png' ) ); ?>" />

                                </div>

                                <span><?php echo esc_html( __( 'Style: 03', 'ueldo' ) ); ?></span>

                            </div>

                        </div>

                    </div>

                    <div class="ueldo-theme-options-field-depended <?php echo esc_attr( ueldo_get_theme_options_value( 'under-single-blog-post-content-elements', false, esc_attr( $element_id_key ) ) != 'custom-code' ? 'ueldo-theme-options-field-depended-hidden' : '' ); ?>" data-field-type="custom-code">

                        <?php

                            # walk for each language
                            for( $j = 0; $j < count( $languages ); $j++ ) {

                                # language key for editor
                                $lang_key = $languages[$j] == 'default' ? 'all' : strtolower( esc_attr( $languages[$j] ) );

                                # language name
                                if( $languages[$j] != 'default' ) {

                                    # get the language name
                                    $language_name = ueldo_get_language_name( $languages[$j] );

                                    ?>
                                    <div class="ueldo-theme-options-single-option-form-language"><?php echo esc_html( $language_name ); ?></div>
                                    <?php
                                }

                                ?>
                                <h4><?php echo esc_html( __( 'Custom code content:', 'ueldo' ) ); ?></h4>
                                <?php

                                # get the editor key
                                $editor_key = 'ueldo_theme_options_under_single_blog_post_content_elements_element_'. esc_attr( $element_id ) .'_'. strtolower( esc_attr( $lang_key ) );

                                # show the editor
                                wp_editor(
                                    ueldo_get_theme_options_value( 'under-single-blog-post-content-elements', esc_attr( $editor_key ) ),
                                    $editor_key,
                                    array(
                                        'teeny' => true,
                                        'textarea_rows' => 5,
                                        'tabindex' => 1
                                    )
                                );
                            }

                        ?>

                    </div>

                </div>
                <?php
            }

        ?>

    </div>

</div>
<?php

    # clear the variables
    unset( $elements_limit, $i, $element_id, $element_id_key, $element_similar_posts_style_key, $lang_key, $language_name, $editor_key );

?>