<?php

    # prevent direct file access
    if( !defined( 'ABSPATH' ) ) exit;

    # get "headers and footers" available pages
    $hefos = ueldo_get_all_hefos_array();

?>
<div class="ueldo-theme-options-single-option" data-option-key="vc-sections-on-blog-pages">

    <div class="ueldo-theme-options-single-option-padding">

        <h3><?php echo esc_html( __( 'Additional Visual Composer sections on Blog pages', 'ueldo' ) ); ?></h3>
        <p><?php echo esc_html( __( 'You can configure custom Visual Composer sections visibility on Blog pages here.', 'ueldo' ) ); ?></p>

    </div>

    <?php

        # walk for each language
        for( $i = 0; $i < count( $languages ); $i++ ) {

            # language key for editor
            $lang_key = $languages[$i] == 'default' ? 'all' : strtolower( esc_attr( $languages[$i] ) );

            ?>
            <div class="ueldo-theme-options-single-option-form" data-lang-key="<?php echo esc_attr( $lang_key ); ?>">

                <?php

                    # language name
                    if( $languages[$i] != 'default' ) {

                        # get the language name
                        $language_name = ueldo_get_language_name( $languages[$i] );

                        ?>
                        <div class="ueldo-theme-options-single-option-form-language"><?php echo esc_html( $language_name ); ?></div>
                        <?php
                    }

                ?>

                <div class="ueldo-theme-options-single-option-field-group">

                    <h4><?php echo esc_html( __( 'Main posts list - blog - pages (top):', 'ueldo' ) ); ?></h4>
                    <select name="ueldo_theme_options[vc-sections-on-blog-pages][posts-list-above][<?php echo esc_attr( $lang_key ); ?>]">

                        <option value="none" <?php selected( ueldo_get_theme_options_value( 'vc-sections-on-blog-pages', esc_attr( $lang_key ), 'posts-list-above' ), 'none' ); ?>><?php echo esc_html( __( 'None', 'ueldo' ) ); ?></option>

                        <?php

                            # do we have "headers and footers" added?
                            if( $hefos != false && $hefos != null && is_array( $hefos ) ) {

                                # walk through each "headers and footers"
                                foreach( $hefos as $hefo ) {

                                    ?>
                                    <option value="<?php echo esc_attr( $hefo -> ID ); ?>" <?php selected( ueldo_get_theme_options_value( 'vc-sections-on-blog-pages', esc_attr( $lang_key ), 'posts-list-above' ), esc_attr( $hefo -> ID ) ); ?>><?php echo esc_html( $hefo -> post_title ); ?></option>
                                    <?php
                                }
                            }

                        ?>

                    </select>

                    <h4><?php echo esc_html( __( 'Main posts list - blog - pages (bottom):', 'ueldo' ) ); ?></h4>
                    <select name="ueldo_theme_options[vc-sections-on-blog-pages][posts-list-under][<?php echo esc_attr( $lang_key ); ?>]">

                        <option value="none" <?php selected( ueldo_get_theme_options_value( 'vc-sections-on-blog-pages', esc_attr( $lang_key ), 'posts-list-under' ), 'none' ); ?>><?php echo esc_html( __( 'None', 'ueldo' ) ); ?></option>

                        <?php

                            # do we have "headers and footers" added?
                            if( $hefos != false && $hefos != null && is_array( $hefos ) ) {

                                # walk through each "headers and footers"
                                foreach( $hefos as $hefo ) {

                                    ?>
                                    <option value="<?php echo esc_attr( $hefo -> ID ); ?>" <?php selected( ueldo_get_theme_options_value( 'vc-sections-on-blog-pages', esc_attr( $lang_key ), 'posts-list-under' ), esc_attr( $hefo -> ID ) ); ?>><?php echo esc_html( $hefo -> post_title ); ?></option>
                                    <?php
                                }
                            }

                        ?>

                    </select>

                </div>

                <div class="ueldo-theme-options-single-option-field-group">

                    <h4><?php echo esc_html( __( 'Single blog post pages (top):', 'ueldo' ) ); ?></h4>
                    <select name="ueldo_theme_options[vc-sections-on-blog-pages][single-post-above][<?php echo esc_attr( $lang_key ); ?>]">

                        <option value="none" <?php selected( ueldo_get_theme_options_value( 'vc-sections-on-blog-pages', esc_attr( $lang_key ), 'single-post-above' ), 'none' ); ?>><?php echo esc_html( __( 'None', 'ueldo' ) ); ?></option>

                        <?php

                            # do we have "headers and footers" added?
                            if( $hefos != false && $hefos != null && is_array( $hefos ) ) {

                                # walk through each "headers and footers"
                                foreach( $hefos as $hefo ) {

                                    ?>
                                    <option value="<?php echo esc_attr( $hefo -> ID ); ?>" <?php selected( ueldo_get_theme_options_value( 'vc-sections-on-blog-pages', esc_attr( $lang_key ), 'single-post-above' ), esc_attr( $hefo -> ID ) ); ?>><?php echo esc_html( $hefo -> post_title ); ?></option>
                                    <?php
                                }
                            }

                        ?>

                    </select>

                    <h4><?php echo esc_html( __( 'Single blog post pages (bottom):', 'ueldo' ) ); ?></h4>
                    <select name="ueldo_theme_options[vc-sections-on-blog-pages][single-post-under][<?php echo esc_attr( $lang_key ); ?>]">

                        <option value="none" <?php selected( ueldo_get_theme_options_value( 'vc-sections-on-blog-pages', esc_attr( $lang_key ), 'single-post-under' ), 'none' ); ?>><?php echo esc_html( __( 'None', 'ueldo' ) ); ?></option>

                        <?php

                            # do we have "headers and footers" added?
                            if( $hefos != false && $hefos != null && is_array( $hefos ) ) {

                                # walk through each "headers and footers"
                                foreach( $hefos as $hefo ) {

                                    ?>
                                    <option value="<?php echo esc_attr( $hefo -> ID ); ?>" <?php selected( ueldo_get_theme_options_value( 'vc-sections-on-blog-pages', esc_attr( $lang_key ), 'single-post-under' ), esc_attr( $hefo -> ID ) ); ?>><?php echo esc_html( $hefo -> post_title ); ?></option>
                                    <?php
                                }
                            }

                        ?>

                    </select>

                </div>

                <div class="ueldo-theme-options-single-option-field-group">

                    <h4><?php echo esc_html( __( 'Archive pages (top):', 'ueldo' ) ); ?></h4>
                    <select name="ueldo_theme_options[vc-sections-on-blog-pages][archive-above][<?php echo esc_attr( $lang_key ); ?>]">

                        <option value="none" <?php selected( ueldo_get_theme_options_value( 'vc-sections-on-blog-pages', esc_attr( $lang_key ), 'archive-above' ), 'none' ); ?>><?php echo esc_html( __( 'None', 'ueldo' ) ); ?></option>

                        <?php

                            # do we have "headers and footers" added?
                            if( $hefos != false && $hefos != null && is_array( $hefos ) ) {

                                # walk through each "headers and footers"
                                foreach( $hefos as $hefo ) {

                                    ?>
                                    <option value="<?php echo esc_attr( $hefo -> ID ); ?>" <?php selected( ueldo_get_theme_options_value( 'vc-sections-on-blog-pages', esc_attr( $lang_key ), 'archive-above' ), esc_attr( $hefo -> ID ) ); ?>><?php echo esc_html( $hefo -> post_title ); ?></option>
                                    <?php
                                }
                            }

                        ?>

                    </select>

                    <h4><?php echo esc_html( __( 'Archive pages (bottom):', 'ueldo' ) ); ?></h4>
                    <select name="ueldo_theme_options[vc-sections-on-blog-pages][archive-under][<?php echo esc_attr( $lang_key ); ?>]">

                        <option value="none" <?php selected( ueldo_get_theme_options_value( 'vc-sections-on-blog-pages', esc_attr( $lang_key ), 'archive-under' ), 'none' ); ?>><?php echo esc_html( __( 'None', 'ueldo' ) ); ?></option>

                        <?php

                            # do we have "headers and footers" added?
                            if( $hefos != false && $hefos != null && is_array( $hefos ) ) {

                                # walk through each "headers and footers"
                                foreach( $hefos as $hefo ) {

                                    ?>
                                    <option value="<?php echo esc_attr( $hefo -> ID ); ?>" <?php selected( ueldo_get_theme_options_value( 'vc-sections-on-blog-pages', esc_attr( $lang_key ), 'archive-under' ), esc_attr( $hefo -> ID ) ); ?>><?php echo esc_html( $hefo -> post_title ); ?></option>
                                    <?php
                                }
                            }

                        ?>

                    </select>

                </div>

                <div class="ueldo-theme-options-single-option-field-group">

                    <h4><?php echo esc_html( __( 'Search pages (top):', 'ueldo' ) ); ?></h4>
                    <select name="ueldo_theme_options[vc-sections-on-blog-pages][search-above][<?php echo esc_attr( $lang_key ); ?>]">

                        <option value="none" <?php selected( ueldo_get_theme_options_value( 'vc-sections-on-blog-pages', esc_attr( $lang_key ), 'search-above' ), 'none' ); ?>><?php echo esc_html( __( 'None', 'ueldo' ) ); ?></option>

                        <?php

                            # do we have "headers and footers" added?
                            if( $hefos != false && $hefos != null && is_array( $hefos ) ) {

                                # walk through each "headers and footers"
                                foreach( $hefos as $hefo ) {

                                    ?>
                                    <option value="<?php echo esc_attr( $hefo -> ID ); ?>" <?php selected( ueldo_get_theme_options_value( 'vc-sections-on-blog-pages', esc_attr( $lang_key ), 'search-above' ), esc_attr( $hefo -> ID ) ); ?>><?php echo esc_html( $hefo -> post_title ); ?></option>
                                    <?php
                                }
                            }

                        ?>

                    </select>

                    <h4><?php echo esc_html( __( 'Search pages (bottom):', 'ueldo' ) ); ?></h4>
                    <select name="ueldo_theme_options[vc-sections-on-blog-pages][search-under][<?php echo esc_attr( $lang_key ); ?>]">

                        <option value="none" <?php selected( ueldo_get_theme_options_value( 'vc-sections-on-blog-pages', esc_attr( $lang_key ), 'search-under' ), 'none' ); ?>><?php echo esc_html( __( 'None', 'ueldo' ) ); ?></option>

                        <?php

                            # do we have "headers and footers" added?
                            if( $hefos != false && $hefos != null && is_array( $hefos ) ) {

                                # walk through each "headers and footers"
                                foreach( $hefos as $hefo ) {

                                    ?>
                                    <option value="<?php echo esc_attr( $hefo -> ID ); ?>" <?php selected( ueldo_get_theme_options_value( 'vc-sections-on-blog-pages', esc_attr( $lang_key ), 'search-under' ), esc_attr( $hefo -> ID ) ); ?>><?php echo esc_html( $hefo -> post_title ); ?></option>
                                    <?php
                                }
                            }

                        ?>

                    </select>

                </div>

            </div>
            <?php

        # end of loop
        }

    ?>

</div>
<?php

    # clear the variables
    unset( $i, $lang_key, $language_name, $hefos );

?>