<?php

    # prevent direct file access
    if( !defined( 'ABSPATH' ) ) exit;

    # get next font id
    $next_font_id = ueldo_get_theme_options_value( 'visual-composer-custom-fonts', false, 'next-font-id' );

    ?>
    <div class="ueldo-theme-options-single-option" data-option-key="visual-composer-custom-fonts">

        <div class="ueldo-theme-options-single-option-padding">

            <h3><?php echo esc_html( __( 'Visual Composer custom fonts', 'ueldo' ) ); ?></h3>
            <p><?php echo esc_html( __( 'You can choose here the custom Google Fonts for Visual Composer elements.', 'ueldo' ) ); ?></p>

        </div>

        <div class="ueldo-theme-options-single-option-form">

            <div class="ueldo-theme-options-single-option-field-group">

                <h4><?php echo esc_html( __( 'Chosen fonts:', 'ueldo' ) ); ?></h4>

                <div class="ueldo-theme-options-vc-fonts-list">

                    <input type="hidden" name="ueldo_theme_options[visual-composer-custom-fonts][next-font-id]" value="<?php echo esc_attr( $next_font_id ); ?>" />

                    <div class="ueldo-theme-options-vc-fonts-list-nothing-found">

                        <p><?php echo esc_html( __( 'You did not added any font - default font will be used.', 'ueldo' ) ); ?></p>

                    </div>

                    <?php

                        # walk for each selected fonts
                        for( $i = 1; $i < $next_font_id; $i++ ) {

                            # get the font data
                            $font_data = array(
                                'family' => ueldo_get_theme_options_value( 'visual-composer-custom-fonts', false, 'font-'. esc_attr( $i ) .'-family' ),
                                'weight' => ueldo_get_theme_options_value( 'visual-composer-custom-fonts', false, 'font-'. esc_attr( $i ) .'-weight' ),
                                'subset' => ueldo_get_theme_options_value( 'visual-composer-custom-fonts', false, 'font-'. esc_attr( $i ) .'-subset' ),
                                'smoothing' => ueldo_get_theme_options_value( 'visual-composer-custom-fonts', false, 'font-'. esc_attr( $i ) .'-smoothing' )
                            );

                            # do we have the font set?
                            if( $font_data['family'] != false && $font_data['weight'] != false ) {

                                ?>
                                <div class="ueldo-theme-options-vc-fonts-list-single-font">

                                    <input type="hidden" name="ueldo_theme_options[visual-composer-custom-fonts][font-<?php echo esc_attr( $i ); ?>-family]" value="<?php echo esc_attr( $font_data['family'] ); ?>" data-element-type="font-family" />
                                    <input type="hidden" name="ueldo_theme_options[visual-composer-custom-fonts][font-<?php echo esc_attr( $i ); ?>-weight]" value="<?php echo esc_attr( $font_data['weight'] ); ?>" data-element-type="font-weight" />
                                    <input type="hidden" name="ueldo_theme_options[visual-composer-custom-fonts][font-<?php echo esc_attr( $i ); ?>-subset]" value="<?php echo esc_attr( $font_data['subset'] ); ?>" data-element-type="font-subset" />
                                    <input type="hidden" name="ueldo_theme_options[visual-composer-custom-fonts][font-<?php echo esc_attr( $i ); ?>-smoothing]" value="<?php echo esc_attr( $font_data['smoothing'] ); ?>" data-element-type="font-smoothing" />

                                    <span class="ueldo-theme-options-vc-fonts-list-single-font-remove"></span>
                                    <?php echo esc_html( __( 'Family:', 'ueldo' ) ); ?> <span data-element-type="font-family"><?php echo esc_html( $font_data['family'] ); ?></span>, <?php echo esc_html( __( 'Weight:', 'ueldo' ) ); ?> <span data-element-type="font-weight"><?php echo esc_html( $font_data['weight'] ); ?></span><span class="ueldo-theme-options-vc-fonts-list-single-font-subset-container" data-visible="<?php echo esc_attr( $font_data['subset'] != '' ? 'yes' : 'no' ); ?>">, <?php echo esc_html( __( 'Subset:', 'ueldo' ) ); ?> <span data-element-type="font-subset"><?php echo esc_html( $font_data['subset'] ); ?></span></span>, <?php echo esc_attr( __( 'Smoothing:', 'ueldo' ) ); ?> <span data-element-type="font-smoothing"><?php echo esc_html( $font_data['smoothing'] == 'yes' ? esc_html( __( 'Yes', 'ueldo' ) ) : esc_html( __( 'No', 'ueldo' ) ) ); ?></span>

                                </div>
                                <?php
                            }

                            # clear the variables
                            unset( $font_data );
                        }

                    ?>

                </div>

                <div class="ueldo-theme-options-vc-fonts-add-new-font"><?php echo esc_html( __( 'Add new font', 'ueldo' ) ); ?></div>

            </div>

        </div>

    </div>
    <?php

    # clear the variables
    unset( $next_font_id, $i );

?>