<?php

   /**
    *
    * add default demo assets
    *
    */

    class ueldo_add_demo_assets {

       /**
        *
        * add new revolution slider
        *
        */

        public static function upload_revslider( $context ) {

            # prepare result variable
            $result = false;

            # do we have revolution slider plugin activated?
            if( ueldo_plugins::is_active_plugin( 'revolution-slider' ) == true ) {

                # include wordpress file class
                require_once( ABSPATH .'/wp-admin/includes/file.php' );

                # prepare path to slider
                $path = get_template_directory() .'/_assets/_revsliders/'. esc_attr( $context ) .'.zip';

                # new revolution slider class object
                $slider = new RevSlider();

                # import slider
                $uploaded_slider = $slider -> importSliderFromPost( true, true, $path );

                # all goes fine?
                if( isset( $uploaded_slider['success'] ) && $uploaded_slider['success'] == true ) {

                    # get list of all sliders
                    foreach( $slider -> getArrSliders() as $single_slider ) {

                        # compare ids
                        if( $single_slider -> getID() == $uploaded_slider['sliderID'] ) {

                            # update result
                            $result = $single_slider -> getAlias();

                            # break the loop
                            break;
                        }
                    }
                }

                # remove temporary variables
                unset( $path, $slider, $uploaded_slider );
            }

            # return result
            return( $result );
        }

       /**
        *
        * add new form in contact form 7
        *
        */

        public static function add_contact_form() {

            # prepare result variable
            $result = false;

            # do we have contact form 7 plugin activated?
            if( ueldo_plugins::is_active_plugin( 'contact-form-7' ) == true ) {

                # forms names array
                $names = array();

                # get all contact forms
                $forms = get_posts( array( 'post_type' => 'wpcf7_contact_form', 'posts_per_page' => -1 ) );

                # walk for each form
                foreach( $forms as $form ) {

                    # update result array
                    $names[] = esc_html( $form -> post_title );
                }

                # prepare default sender email address
                $sender = self::get_default_email_sender_for_contact_form();

                # insert post
                $post_id = wp_insert_post( array(
                    'post_content' => '<p>[text* client_name placeholder "'. esc_html( __( 'Name...', 'ueldo' ) ) .'"]</p>'. "\r\n" .'<p class="ueldo-fields-inline">[email* client_email placeholder "'. esc_html( __( 'E-mail...', 'ueldo' ) ) .'"][tel client_phone placeholder "'. esc_html( __( 'Phone...', 'ueldo' ) ) .'"]</p>'. "\r\n" .'<p>[textarea* message placeholder "'. esc_html( __( 'Message...', 'ueldo' ) ) .'"]</p>'. "\r\n" .'<label>[acceptance acceptance]<span class="ueldo-checkbox-radio-label">'. sprintf( wp_kses( __( 'I have read and agree with <a href="%s" target="_blank">Terms and Conditions</a>.', 'ueldo' ), array( 'a' => array( 'href' => array(), 'target' => array() ) ) ), esc_url( '#' ) ) .'</span></label>'. "\r\n" .'<div class="ueldo-extra-gap-15px"></div>'. "\r\n" .'<p>[submit "'. esc_html( __( 'Send message', 'ueldo' ) ) .'"]</p>'. "\r\n" .'1'. "\r\n" . esc_html( __( 'New contact form sent from your website', 'ueldo' ) ) . "\r\n" .'Ueldo <'. esc_attr( $sender ) .'>'. "\r\n" . get_bloginfo( 'admin_email' ) . "\r\n" . esc_html( __( 'From:', 'ueldo' ) ) .' [client_name] <[client_email]>'. "\r\n" . esc_html( __( 'New contact form sent from your website', 'ueldo' ) ) . "\r\n\r\n" . esc_html( __( 'Message Body:', 'ueldo' ) ) . "\r\n" .'[message]'. "\r\n\r\n" .'--'. "\r\n" . esc_html( __( 'This e-mail was sent from a contact form on Ueldo WordPress theme.', 'ueldo' ) ) . "\r\n" .'Reply-To: [client_email]'. "\r\n\r\n\r\n\r\n\r\n" . esc_html( __( 'Thank you for your message!', 'ueldo' ) ) . "\r\n" .'Ueldo <'. esc_attr( $sender ) .'>'. "\r\n" .'[client_email]'. "\r\n" . esc_html( __( 'Message Body:', 'ueldo' ) ) . "\r\n" .'[message]'. "\r\n\r\n" .'--'. "\r\n" . esc_html( __( 'This e-mail was sent from a contact form on Ueldo WordPress theme.', 'ueldo' ) ) . "\r\n" .'Reply-To: '. get_bloginfo( 'admin_email' ) . "\r\n\r\n\r\n\r\n" . esc_html( __( 'Thank you for your message. It has been sent.', 'ueldo' ) ) . "\r\n" . esc_html( __( 'There was an error trying to send your message. Please try again later.', 'ueldo' ) ) . "\r\n" . esc_html( __( 'One or more fields have an error. Please check and try again.', 'ueldo' ) ) . "\r\n" . esc_html( __( 'There was an error trying to send your message. Please try again later.', 'ueldo' ) ) . "\r\n" . esc_html( __( 'You must accept the terms and conditions before sending your message.', 'ueldo' ) ) . "\r\n" . esc_html( __( 'The field is required.', 'ueldo' ) ) . "\r\n" . esc_html( __( 'The field is too long.', 'ueldo' ) ) . "\r\n" . esc_html( __( 'The field is too short.', 'ueldo' ) ) . "\r\n" . esc_html( __( 'The date format is incorrect.', 'ueldo' ) ) . "\r\n" . esc_html( __( 'The date is before the earliest one allowed.', 'ueldo' ) ) . "\r\n" . esc_html( __( 'The date is after the latest one allowed.', 'ueldo' ) ) . "\r\n" . esc_html( __( 'There was an unknown error uploading the file.', 'ueldo' ) ) . "\r\n" . esc_html( __( 'You are not allowed to upload files of this type.', 'ueldo' ) ) . "\r\n" . esc_html( __( 'The file is too big.', 'ueldo' ) ) . "\r\n" . esc_html( __( 'There was an error uploading the file.', 'ueldo' ) ) . "\r\n" . esc_html( __( 'The number format is invalid.', 'ueldo' ) ) . "\r\n" . esc_html( __( 'The number is smaller than the minimum allowed.', 'ueldo' ) ) . "\r\n" . esc_html( __( 'The number is larger than the maximum allowed.', 'ueldo' ) ) . "\r\n" . esc_html( __( 'The answer to the quiz is incorrect.', 'ueldo' ) ) . "\r\n" . esc_html( __( 'Your entered code is incorrect.', 'ueldo' ) ) . "\r\n" . esc_html( __( 'The e-mail address entered is invalid.', 'ueldo' ) ) . "\r\n" . esc_html( __( 'The URL is invalid.', 'ueldo' ) ) . "\r\n" . esc_html( __( 'The telephone number is invalid.', 'ueldo' ) ),
                    'post_title' => self::get_unique_name( esc_html( __( 'Contact form', 'ueldo' ) ), $names ),
                    'post_status' => 'publish',
                    'comment_status' => 'closed',
                    'ping_status' => 'closed',
                    'post_type' => 'wpcf7_contact_form',
                    'meta_input' => array(
                        '_form' => '<p>[text* client_name placeholder "'. esc_html( __( 'Name...', 'ueldo' ) ) .'"]</p>'. "\r\n" .'<p class="ueldo-fields-inline">[email* client_email placeholder "'. esc_html( __( 'E-mail...', 'ueldo' ) ) .'"][tel client_phone placeholder "'. esc_html( __( 'Phone...', 'ueldo' ) ) .'"]</p>'. "\r\n" .'<p>[textarea* message placeholder "'. esc_html( __( 'Message...', 'ueldo' ) ) .'"]</p>'. "\r\n" .'<label>[acceptance acceptance]<span class="ueldo-checkbox-radio-label">'. sprintf( wp_kses( __( 'I have read and agree with <a href="%s" target="_blank">Terms and Conditions</a>.', 'ueldo' ), array( 'a' => array( 'href' => array(), 'target' => array() ) ) ), esc_url( '#' ) ) .'</span></label>'. "\r\n" .'<div class="ueldo-extra-gap-15px"></div>'. "\r\n" .'<p>[submit "'. esc_html( __( 'Send message', 'ueldo' ) ) .'"]</p>',
                        '_mail' => array(
                            'active' => true,
                            'subject' => esc_html( __( 'New contact form sent from your website', 'ueldo' ) ),
                            'sender' => esc_html( __( 'Ueldo', 'ueldo' ) ) .' <'. esc_attr( $sender ) .'>',
                            'recipient' => get_bloginfo( 'admin_email' ),
                            'body' => 'From: [client_name] <[client_email]>'. "\r\n" . esc_html( __( 'New contact form sent from your website', 'ueldo' ) ) . "\r\n\r\n" . esc_html( __( 'Message Body:', 'ueldo' ) ) . "\r\n" .'[message]'. "\r\n\r\n" .'--'. "\r\n" . esc_html( __( 'This e-mail was sent from a contact form on Ueldo WordPress theme.', 'ueldo' ) ),
                            'additional_headers' => 'Reply-To: [client_email]',
                            'attachments' => '',
                            'use_html' => false,
                            'exclude_blank' => false
                        ),
                        '_mail_2' => array(
                            'active' => false,
                            'subject' => esc_html( __( 'Thank you for your message!', 'ueldo' ) ),
                            'sender' => esc_html( __( 'Ueldo', 'ueldo' ) ) .' <'. esc_attr( $sender ) .'>',
                            'recipient' => '[client_email]',
                            'body' => 'Message Body:'. "\r\n" .'[message]'. "\r\n\r\n" .'--'. "\r\n" . esc_html( __( 'This e-mail was sent from a contact form on Ueldo WordPress theme.', 'ueldo' ) ),
                            'additional_headers' => 'Reply-To: '. get_bloginfo( 'admin_email' ),
                            'attachments' => '',
                            'use_html' => false,
                            'exclude_blank' => false
                        ),
                        '_messages' => array(
                            'mail_sent_ok' => esc_html( __( 'Thank you for your message. It has been sent.', 'ueldo' ) ),
                            'mail_sent_ng' => esc_html( __( 'There was an error trying to send your message. Please try again later.', 'ueldo' ) ),
                            'validation_error' => esc_html( __( 'One or more fields have an error. Please check and try again.', 'ueldo' ) ),
                            'spam' => esc_html( __( 'There was an error trying to send your message. Please try again later.', 'ueldo' ) ),
                            'accept_terms' => esc_html( __( 'You must accept the terms and conditions before sending your message.', 'ueldo' ) ),
                            'invalid_required' => esc_html( __( 'The field is required.', 'ueldo' ) ),
                            'invalid_too_long' => esc_html( __( 'The field is too long.', 'ueldo' ) ),
                            'invalid_too_short' => esc_html( __( 'The field is too short.', 'ueldo' ) ),
                            'invalid_date' => esc_html( __( 'The date format is incorrect.', 'ueldo' ) ),
                            'date_too_early' => esc_html( __( 'The date is before the earliest one allowed.', 'ueldo' ) ),
                            'date_too_late' => esc_html( __( 'The date is after the latest one allowed.', 'ueldo' ) ),
                            'upload_failed' => esc_html( __( 'There was an unknown error uploading the file.', 'ueldo' ) ),
                            'upload_file_type_invalid' => esc_html( __( 'You are not allowed to upload files of this type.', 'ueldo' ) ),
                            'upload_file_too_large' => esc_html( __( 'The file is too big.', 'ueldo' ) ),
                            'upload_failed_php_error' => esc_html( __( 'There was an error uploading the file.', 'ueldo' ) ),
                            'invalid_number' => esc_html( __( 'The number format is invalid.', 'ueldo' ) ),
                            'number_too_small' => esc_html( __( 'The number is smaller than the minimum allowed.', 'ueldo' ) ),
                            'number_too_large' => esc_html( __( 'The number is larger than the maximum allowed.', 'ueldo' ) ),
                            'quiz_answer_not_correct' => esc_html( __( 'The answer to the quiz is incorrect.', 'ueldo' ) ),
                            'captcha_not_match' => esc_html( __( 'Your entered code is incorrect.', 'ueldo' ) ),
                            'invalid_email' => esc_html( __( 'The e-mail address entered is invalid.', 'ueldo' ) ),
                            'invalid_url' => esc_html( __( 'The URL is invalid.', 'ueldo' ) ),
                            'invalid_tel' => esc_html( __( 'The telephone number is invalid.', 'ueldo' ) )
                        ),
                        '_locale' => 'en_US',
                        '_vc_post_settings' => array( 'vc_grid_id' => array() )
                    )
                ));

                # return post id
                $result = $post_id;

                # remove temporary variables
                unset( $sender, $post_id, $names, $forms, $form );
            }

            # return result
            return( $result );
        }

       /**
        *
        * add mailchimp for wp form
        *
        */

        public static function add_mc4wp_form( $context ) {

            # prepare result variable
            $result = false;

            # do we have contact form 7 plugin activated?
            if( ueldo_plugins::is_active_plugin( 'mailchimp-for-wp' ) == true ) {

                # forms names array
                $names = array();

                # get all contact forms
                $forms = get_posts( array( 'post_type' => 'mc4wp-form', 'posts_per_page' => -1 ) );

                # walk for each form
                foreach( $forms as $form ) {

                    # update result array
                    $names[] = esc_html( $form -> post_title );
                }

                # switch by context
                switch( $context ) {

                    # subscription form for "accountant" template
                    case 'accountant-footer':

                        # insert post
                        $post_id = wp_insert_post( array(
                            'post_content' => '<p class="ueldo-fields-inline"><input type="email" name="EMAIL" placeholder="'. esc_html( __( 'E-mail address...', 'ueldo' ) ) .'" required /><button type="submit" class="ueldo-button">'. esc_html( __( 'Get more details!', 'ueldo' ) ) .' <i class="fa fa-long-arrow-right ueldo-button-icon-after-text"></i></button></p>',
                            'post_title' => self::get_unique_name( esc_html( __( 'Subscription form', 'ueldo' ) ), $names ),
                            'post_status' => 'publish',
                            'comment_status' => 'closed',
                            'ping_status' => 'closed',
                            'post_type' => 'mc4wp-form',
                            'meta_input' => array(
                                '_mc4wp_settings' => array(
                                    'lists' => array(),
                                    'required_fields' => 'EMAIL',
                                    'double_optin' => true,
                                    'update_existing' => false,
                                    'replace_interests' => true,
                                    'hide_after_success' => false,
                                    'redirect' => '',
                                    'css' => 'basic'
                                ),
                                'text_subscribed' => esc_html( __( 'Thank you, your sign-up request was successful! Please check your email inbox to confirm.', 'ueldo' ) ),
                                'text_invalid_email' => esc_html( __( 'Please provide a valid email address.', 'ueldo' ) ),
                                'text_required_field_missing' => esc_html( __( 'Please fill in the required fields.', 'ueldo' ) ),
                                'text_already_subscribed' => esc_html( __( 'Given email address is already subscribed, thank you!', 'ueldo' ) ),
                                'text_error' => esc_html( __( 'Oops. Something went wrong. Please try again later.', 'ueldo' ) ),
                                'text_unsubscribed' => esc_html( __( 'You were successfully unsubscribed.', 'ueldo' ) ),
                                'text_not_subscribed' => esc_html( __( 'Given email address is not subscribed.', 'ueldo' ) ),
                                'text_no_lists_selected' => esc_html( __( 'Please select at least one list.', 'ueldo' ) ),
                                'text_updated' => esc_html( __( 'Thank you, your records have been updated!', 'ueldo' ) ),
                                '_vc_post_settings' => array( 'vc_grid_id' => array() )
                            )
                        ));

                    break;

                    # subscription form for "kayaks" template
                    case 'kayaks':

                        # insert post
                        $post_id = wp_insert_post( array(
                            'post_content' => '<p><input type="text" name="FNAME" placeholder="'. esc_html( __( 'Name...', 'ueldo' ) ) .'" required /></p><p><input type="email" name="EMAIL" placeholder="'. esc_html( __( 'E-mail address...', 'ueldo' ) ) .'" required /></p><p>'. esc_html( __( 'Don\'t worry, we don\'t spam! :)', 'ueldo' ) ) .'</p><div class="ueldo-extra-gap-30px"></div><p><button type="submit" class="ueldo-button">'. esc_html( __( 'Subscribe!', 'ueldo' ) ) .' <i class="fa fa-long-arrow-right ueldo-button-icon-after-text"></i></button></p>',
                            'post_title' => self::get_unique_name( esc_html( __( 'Subscription form', 'ueldo' ) ), $names ),
                            'post_status' => 'publish',
                            'comment_status' => 'closed',
                            'ping_status' => 'closed',
                            'post_type' => 'mc4wp-form',
                            'meta_input' => array(
                                '_mc4wp_settings' => array(
                                    'lists' => array(),
                                    'required_fields' => 'EMAIL',
                                    'double_optin' => true,
                                    'update_existing' => false,
                                    'replace_interests' => true,
                                    'hide_after_success' => false,
                                    'redirect' => '',
                                    'css' => 'basic'
                                ),
                                'text_subscribed' => esc_html( __( 'Thank you, your sign-up request was successful! Please check your email inbox to confirm.', 'ueldo' ) ),
                                'text_invalid_email' => esc_html( __( 'Please provide a valid email address.', 'ueldo' ) ),
                                'text_required_field_missing' => esc_html( __( 'Please fill in the required fields.', 'ueldo' ) ),
                                'text_already_subscribed' => esc_html( __( 'Given email address is already subscribed, thank you!', 'ueldo' ) ),
                                'text_error' => esc_html( __( 'Oops. Something went wrong. Please try again later.', 'ueldo' ) ),
                                'text_unsubscribed' => esc_html( __( 'You were successfully unsubscribed.', 'ueldo' ) ),
                                'text_not_subscribed' => esc_html( __( 'Given email address is not subscribed.', 'ueldo' ) ),
                                'text_no_lists_selected' => esc_html( __( 'Please select at least one list.', 'ueldo' ) ),
                                'text_updated' => esc_html( __( 'Thank you, your records have been updated!', 'ueldo' ) ),
                                '_vc_post_settings' => array( 'vc_grid_id' => array() )
                            )
                        ));

                    break;
                }

                # return post id
                $result = $post_id;

                # remove temporary variables
                unset( $post_id, $forms, $form, $names );
            }

            # return result
            return( $result );
        }

       /**
        *
        * add blog post
        *
        */

        public static function add_blog_post( $data ) {

            # posts names array
            $names = array();

            # get all posts
            $posts = get_posts( array( 'post_type' => 'post', 'posts_per_page' => -1 ) );

            # walk for each post
            foreach( $posts as $post ) {

                # update result array
                $names[] = esc_html( $post -> post_title );
            }

            # insert post
            $post_id = wp_insert_post( array(
                'post_content' => ( $data['content'] != false ? $data['content'] : self::get_default_post_content() ),
                'post_excerpt' => isset( $data['excerpt'] ) && !empty( $data['excerpt'] ) ? $data['excerpt'] : false,
                'post_title' => self::get_unique_name( esc_html( $data['title'] ), $names ),
                'post_status' => 'publish',
                'comment_status' => 'open',
                'ping_status' => 'open',
                'post_type' => 'post',
                'meta_input' => array(
                    '_vc_post_settings' => array( 'vc_grid_id' => array() ),
                    '_wpb_vc_js_status' => false,
                    '_thumbnail_id' => $data['thumbnail']
                ),
                'tags_input' => $data['tags'],
                'post_category' => $data['category']
            ));

            # do we have any comments?
            if( isset( $data['comments'] ) && is_array( $data['comments'] ) && count( $data['comments'] ) > 0 ) {

                # walk for each comments
                foreach( $data['comments'] as $comment ) {

                    # insert comment
                    $comment_id = wp_insert_comment( $data = array(
                        'comment_post_ID' => esc_attr( $post_id ),
                        'comment_author' => esc_html( $comment['author'] ),
                        'comment_author_email' => esc_html( $comment['author-email'] ),
                        'comment_content' => $comment['content'],
                        'comment_parent' => 0,
                        'user_id' => isset( $comment['user_id'] ) ? esc_attr( $comment['user_id'] ) : false,
                        'comment_date' => current_time( 'mysql' ),
                        'comment_approved' => true
                    ));

                    # do we have replies to this comment found?
                    if( isset( $comment['replies'] ) && is_array( $comment['replies'] ) && count( $comment['replies'] ) > 0 ) {

                        # walk for each reply
                        foreach( $comment['replies'] as $reply ) {

                            # insert comment reply
                            wp_insert_comment( $data = array(
                                'comment_post_ID' => esc_attr( $post_id ),
                                'comment_author' => esc_html( $reply['author'] ),
                                'comment_author_email' => esc_html( $reply['author-email'] ),
                                'comment_content' => $reply['content'],
                                'comment_parent' => esc_attr( $comment_id ),
                                'user_id' => isset( $reply['user_id'] ) ? esc_attr( $reply['user_id'] ) : false,
                                'comment_date' => current_time( 'mysql' ),
                                'comment_approved' => true
                            ));
                        }
                    }
                }
            }

            # remove temporary variables
            unset( $data, $posts, $post, $names );

            # return result
            return( $post_id );
        }

       /**
        *
        * add image to media library
        *
        */

        public static function add_image( $context ) {

            # prepare result variable
            $result = false;

            # get image url
            $image_url = esc_url( $context == 'default-image' ? get_template_directory_uri() .'/_assets/_img/image.png' : get_template_directory_uri() .'/_assets/_img/_templates-images/ueldo-'. esc_attr( $context ) .'.png' );

            # is ueldo plugin active?
            if( ueldo_plugins::is_active_plugin( 'ueldo' ) ) {

                # get image ID
                $image_id = ueldo_plugin_add_attachment_to_media_library( $image_url );

                # do we have it?
                if( $image_id !== false ) {

                    # update result
                    $result = $image_id;

                    # add retina-ready image to media library
                    self::add_retina_ready_image( $context, $image_id );
                }
            }

            # remove temporary variables
            unset( $image_url, $context );

            # return result
            return( $result );
        }

       /**
        *
        * add retina-ready image version to media library
        *
        */

        public static function add_retina_ready_image( $context, $image_id ) {

            # get retina-ready base image url
            $base_url = esc_url( $context == 'default-image' ? get_template_directory_uri() .'/_assets/_img/image@2x.png' : get_template_directory_uri() .'/_assets/_img/_templates-images/ueldo-'. esc_attr( $context ) .'@2x.png' );

            # get the metadata of previously added image
            $metadata = wp_get_attachment_metadata( $image_id );

            # do we have attachment found?
            if( $metadata != false && isset( $metadata['file'] ) ) {

                # get the filename from metadata
                $filename = explode( '/', $metadata['file'] );

                # extract filename only
                $filename = str_replace( '.png', '', esc_attr( is_array( $filename ) ? $filename[count( $filename ) - 1] : $filename ) );

                # find unique id
                $unique_id = str_replace( 'ueldo-'. esc_attr( $context ), '', $filename );

                # if there's no unique id found, proceed default upload
                if( empty( $unique_id ) ) ueldo_plugin_add_attachment_to_media_library( $base_url );
                else {

                    # prepare target filename
                    $target_filename = esc_attr( $context == 'default-image' ? 'image'. esc_attr( $unique_id ) .'@2x.png' : 'ueldo-'. esc_attr( $context ) . esc_attr( $unique_id ) .'@2x.png' );

                    # upload image
                    ueldo_plugin_add_attachment_to_media_library( $base_url, $target_filename );
                }
            }
        }

       /**
        *
        * add empty pages and get its ids
        *
        */

        public static function add_empty_pages( $type = 'page', $new_pages ) {

            # prepare results array
            $results = array();

            # pages names array
            $names = array();

            # get all pages
            $pages = get_posts( array( 'post_type' => esc_attr( $type ), 'posts_per_page' => -1 ) );

            # walk for each page
            foreach( $pages as $page ) {

                # update result array
                $names[] = esc_html( $page -> post_title );
            }

            # walk for each new page
            foreach( $new_pages as $new_page_key => $new_page ) {

                # add new page
                $page_id = wp_insert_post( array(
                    'post_content' => '',
                    'post_title' => self::get_unique_name( esc_html( $new_page ), $names ),
                    'post_status' => 'publish',
                    'comment_status' => 'closed',
                    'ping_status' => 'closed',
                    'post_type' => esc_attr( $type ),
                    'meta_input' => array(
                        '_vc_post_settings' => array( 'vc_grid_id' => array() ),
                        '_wpb_vc_js_status' => true
                    )
                ));

                # update results array
                $results[esc_attr( $new_page_key )] = $page_id;

                # remove temporary variables
                unset( $page_id, $new_page_key, $new_page );
            }

            # return result
            return( $results );
        }

       /**
        *
        * add menu
        *
        */

        public static function add_menu( $context, $get_from_pages = false, $set_as_main = false ) {

            # get array of all available menus
            $menus = get_terms( 'nav_menu', array( 'hide_empty' => false ) );

            # array of all navigation menus names
            $menus_names = array();

            # do we have any menu found?
            if( $menus != false ) {

                # walk for each menus
                foreach( $menus as $menu ) {

                    # update menus names array
                    $menus_names[] = $menu -> name;
                }
            }

            # remove temporary variables
            unset( $menus, $menu );

            # switch by context
            switch( $context ) {

                # main menu for accountant template
                case 'accountant-main-menu':

                    # define menu name
                    $menu_name = self::get_unique_name( esc_html( __( 'Main menu - Accountant template', 'ueldo' ) ), $menus_names );

                    # array of menu items
                    $menu_items = array(
                        array( 'type' => 'page', 'title' => esc_html( __( 'Home', 'ueldo' ) ) ),
                        array( 'type' => 'page', 'title' => esc_html( __( 'About us', 'ueldo' ) ) ),
                        array(
                            'type' => 'page',
                            'title' => esc_html( __( 'Services', 'ueldo' ) ),
                            'slug' => 'tax-consulting',
                            'submenu-items' => array(
                                array( 'type' => 'page', 'title' => esc_html( __( 'Tax Consulting', 'ueldo' ) ) ),
                                array( 'type' => 'page', 'title' => esc_html( __( 'Cashflow Advising', 'ueldo' ) ) ),
                                array( 'type' => 'page', 'title' => esc_html( __( 'Mutual Funds', 'ueldo' ) ) )
                            )
                        ),
                        array( 'type' => 'page', 'title' => esc_html( __( 'Blog', 'ueldo' ) ) ),
                        array( 'type' => 'page', 'title' => esc_html( __( 'Contact', 'ueldo' ) ) )
                    );

                break;

                # services menu (short) for accountant template
                case 'accountant-services':

                    # define menu name
                    $menu_name = self::get_unique_name( esc_html( __( 'Services (short) - Accountant template', 'ueldo' ) ), $menus_names );

                    # array of menu items
                    $menu_items = array(
                        array( 'type' => 'page', 'title' => esc_html( __( 'Cashflow Advising', 'ueldo' ) ) ),
                        array( 'type' => 'page', 'title' => esc_html( __( 'Mutual Funds', 'ueldo' ) ) ),
                        array( 'type' => 'page', 'title' => esc_html( __( 'Tax Consulting', 'ueldo' ) ) )
                    );

                break;

                # pages menu (short) for accountant template
                case 'accountant-pages':

                    # define menu name
                    $menu_name = self::get_unique_name( esc_html( __( 'Pages (short) - Accountant template', 'ueldo' ) ), $menus_names );

                    # array of menu items
                    $menu_items = array(
                        array( 'type' => 'page', 'title' => esc_html( __( 'Home', 'ueldo' ) ) ),
                        array( 'type' => 'page', 'title' => esc_html( __( 'About us', 'ueldo' ) ) ),
                        array( 'type' => 'page', 'title' => esc_html( __( 'Contact', 'ueldo' ) ) )
                    );

                break;

                # main menu for barbershop template
                case 'barbershop-main-menu':

                    # define menu name
                    $menu_name = self::get_unique_name( esc_html( __( 'Main menu - Barbershop template', 'ueldo' ) ), $menus_names );

                    # array of menu items
                    $menu_items = array(
                        array( 'type' => 'page', 'title' => esc_html( __( 'Home', 'ueldo' ) ) ),
                        array(
                            'type' => 'custom-link',
                            'title' => esc_html( __( 'Services', 'ueldo' ) ),
                            'url' => ueldo_get_website_dir() .'#services',
                            'class' => 'ueldo-menu-link-no-highlight'
                        ),
                        array(
                            'type' => 'custom-link',
                            'title' => esc_html( __( 'Our Barbers', 'ueldo' ) ),
                            'url' => ueldo_get_website_dir() .'#our-barbers',
                            'class' => 'ueldo-menu-link-no-highlight'
                        ),
                        array(
                            'type' => 'custom-link',
                            'title' => esc_html( __( 'Prices', 'ueldo' ) ),
                            'url' => ueldo_get_website_dir() .'#prices',
                            'class' => 'ueldo-menu-link-no-highlight'
                        ),
                        array(
                            'type' => 'custom-link',
                            'title' => esc_html( __( 'Gallery', 'ueldo' ) ),
                            'url' => ueldo_get_website_dir() .'#gallery',
                            'class' => 'ueldo-menu-link-no-highlight'
                        ),
                        array(
                            'type' => 'custom-link',
                            'title' => esc_html( __( 'Contact', 'ueldo' ) ),
                            'url' => ueldo_get_website_dir() .'#contact',
                            'class' => 'ueldo-menu-link-no-highlight'
                        )
                    );

                break;

                # main menu for cafe template
                case 'cafe-main-menu':

                    # define menu name
                    $menu_name = self::get_unique_name( esc_html( __( 'Main menu - Caf&eacute; template', 'ueldo' ) ), $menus_names );

                    # array of menu items
                    $menu_items = array(
                        array( 'type' => 'page', 'title' => esc_html( __( 'Home', 'ueldo' ) ) ),
                        array(
                            'type' => 'custom-link',
                            'title' => esc_html( __( 'About us', 'ueldo' ) ),
                            'url' => ueldo_get_website_dir() .'#about-us',
                            'class' => 'ueldo-menu-link-no-highlight'
                        ),
                        array(
                            'type' => 'custom-link',
                            'title' => esc_html( __( 'Prices', 'ueldo' ) ),
                            'url' => ueldo_get_website_dir() .'#prices',
                            'class' => 'ueldo-menu-link-no-highlight'
                        ),
                        array(
                            'type' => 'custom-link',
                            'title' => esc_html( __( 'Discounts', 'ueldo' ) ),
                            'url' => ueldo_get_website_dir() .'#discounts',
                            'class' => 'ueldo-menu-link-no-highlight'
                        ),
                        array(
                            'type' => 'custom-link',
                            'title' => esc_html( __( 'Contact', 'ueldo' ) ),
                            'url' => ueldo_get_website_dir() .'#contact',
                            'class' => 'ueldo-menu-link-no-highlight'
                        )
                    );

                break;

                # main menu for creative agency template
                case 'creative-agency-main-menu':

                    # define menu name
                    $menu_name = self::get_unique_name( esc_html( __( 'Main menu - Creative Agency template', 'ueldo' ) ), $menus_names );

                    # array of menu items
                    $menu_items = array(
                        array( 'type' => 'page', 'title' => esc_html( __( 'Home', 'ueldo' ) ) ),
                        array( 'type' => 'page', 'title' => esc_html( __( 'About us', 'ueldo' ) ) ),
                        array(
                            'type' => 'page',
                            'title' => esc_html( __( 'Portfolio', 'ueldo' ) ),
                            'slug' => 'portfolio',
                            'submenu-items' => array(
                                array( 'type' => 'page', 'title' => esc_html( __( 'Portfolio', 'ueldo' ) ) ),
                                array( 'type' => 'page', 'title' => esc_html( __( 'Single portfolio project', 'ueldo' ) ) )
                            )
                        ),
                        array(
                            'type' => 'page',
                            'title' => esc_html( __( 'Services', 'ueldo' ) ),
                            'slug' => 'services',
                            'submenu-items' => array(
                                array( 'type' => 'page', 'title' => esc_html( __( 'Services', 'ueldo' ) ) ),
                                array( 'type' => 'page', 'title' => esc_html( __( 'Design', 'ueldo' ) ) ),
                                array( 'type' => 'page', 'title' => esc_html( __( 'Development', 'ueldo' ) ) ),
                                array( 'type' => 'page', 'title' => esc_html( __( 'Marketing', 'ueldo' ) ) )
                            )
                        ),
                        array( 'type' => 'page', 'title' => esc_html( __( 'Blog', 'ueldo' ) ) ),
                        array( 'type' => 'page', 'title' => esc_html( __( 'Contact', 'ueldo' ) ) )
                    );

                break;

                # main menu for dentist template
                case 'dentist-main-menu':

                    # define menu name
                    $menu_name = self::get_unique_name( esc_html( __( 'Main menu - Dentist template', 'ueldo' ) ), $menus_names );

                    # array of menu items
                    $menu_items = array(
                        array( 'type' => 'page', 'title' => esc_html( __( 'Home', 'ueldo' ) ) ),
                        array( 'type' => 'page', 'title' => esc_html( __( 'About us', 'ueldo' ) ) ),
                        array(
                            'type' => 'page',
                            'title' => esc_html( __( 'Services', 'ueldo' ) ),
                            'slug' => 'esthetic-dentistry',
                            'submenu-items' => array(
                                array( 'type' => 'page', 'title' => esc_html( __( 'General Dentistry', 'ueldo' ) ) ),
                                array( 'type' => 'page', 'title' => esc_html( __( 'Dental Radiology', 'ueldo' ) ) ),
                                array( 'type' => 'page', 'title' => esc_html( __( 'Esthetic Dentistry', 'ueldo' ) ) )
                            )
                        ),
                        array(
                            'type' => 'custom-link',
                            'title' => esc_html( __( 'Opening hours', 'ueldo' ) ),
                            'url' => ueldo_get_website_dir() .'#opening-hours',
                            'class' => 'ueldo-menu-link-no-highlight'
                        ),
                        array(
                            'type' => 'custom-link',
                            'title' => esc_html( __( 'Pricing', 'ueldo' ) ),
                            'url' => ueldo_get_website_dir() .'#pricing',
                            'class' => 'ueldo-menu-link-no-highlight'
                        ),
                        array( 'type' => 'page', 'title' => esc_html( __( 'Blog', 'ueldo' ) ) ),
                        array( 'type' => 'page', 'title' => esc_html( __( 'Contact', 'ueldo' ) ) )
                    );

                break;

                # pages menu for sidebar, for dentist template
                case 'dentist-sidebar-pages-menu':

                    # define menu name
                    $menu_name = self::get_unique_name( esc_html( __( 'Pages (short) - Dentist template', 'ueldo' ) ), $menus_names );

                    # array of menu items
                    $menu_items = array(
                        array( 'type' => 'page', 'title' => esc_html( __( 'Home', 'ueldo' ) ) ),
                        array( 'type' => 'page', 'title' => esc_html( __( 'About us', 'ueldo' ) ) ),
                        array(
                            'type' => 'page',
                            'title' => esc_html( __( 'Services', 'ueldo' ) ),
                            'slug' => 'esthetic-dentistry'
                        ),
                        array(
                            'type' => 'custom-link',
                            'title' => esc_html( __( 'Opening hours', 'ueldo' ) ),
                            'url' => ueldo_get_website_dir() .'#opening-hours',
                            'class' => 'ueldo-menu-link-no-highlight'
                        ),
                        array(
                            'type' => 'custom-link',
                            'title' => esc_html( __( 'Pricing', 'ueldo' ) ),
                            'url' => ueldo_get_website_dir() .'#pricing',
                            'class' => 'ueldo-menu-link-no-highlight'
                        ),
                        array( 'type' => 'page', 'title' => esc_html( __( 'Blog', 'ueldo' ) ) ),
                        array( 'type' => 'page', 'title' => esc_html( __( 'Contact', 'ueldo' ) ) )
                    );

                break;

                # services menu for sidebar, for dentist template
                case 'dentist-sidebar-services-menu':

                    # define menu name
                    $menu_name = self::get_unique_name( esc_html( __( 'Services (short) - Dentist template', 'ueldo' ) ), $menus_names );

                    # array of menu items
                    $menu_items = array(
                        array( 'type' => 'page', 'title' => esc_html( __( 'Esthetic Dentistry', 'ueldo' ) ) ),
                        array( 'type' => 'page', 'title' => esc_html( __( 'Dental Radiology', 'ueldo' ) ) ),
                        array( 'type' => 'page', 'title' => esc_html( __( 'General Dentistry', 'ueldo' ) ) )
                    );

                break;

                # social menu for dentist template
                case 'dentist-social-menu':

                    # define menu name
                    $menu_name = self::get_unique_name( esc_html( __( 'Social media menu - Dentist template', 'ueldo' ) ), $menus_names );

                    # array of menu items
                    $menu_items = array(
                        array( 'type' => 'custom-link', 'title' => '[ueldo_header_menu_icon unique_id="dentist-social-media-menu-1" icon="fa fa-facebook" color="rgba( 255, 255, 255, 0.5 )" color_hover="#fff"]' ),
                        array( 'type' => 'custom-link', 'title' => '[ueldo_header_menu_icon unique_id="dentist-social-media-menu-2" icon="fa fa-twitter" color="rgba( 255, 255, 255, 0.5 )" color_hover="#fff"]' ),
                        array( 'type' => 'custom-link', 'title' => '[ueldo_header_menu_icon unique_id="dentist-social-media-menu-3" icon="fa fa-google-plus" color="rgba( 255, 255, 255, 0.5 )" color_hover="#fff"]' )
                    );

                break;

                # main menu for electrician template
                case 'electrician-main-menu':

                    # define menu name
                    $menu_name = self::get_unique_name( esc_html( __( 'Main menu - Electrician template', 'ueldo' ) ), $menus_names );

                    # array of menu items
                    $menu_items = array(
                        array( 'type' => 'page', 'title' => esc_html( __( 'Home', 'ueldo' ) ) ),
                        array( 'type' => 'page', 'title' => esc_html( __( 'About us', 'ueldo' ) ) ),
                        array( 'type' => 'page', 'title' => esc_html( __( 'Blog', 'ueldo' ) ) ),
                        array(
                            'type' => 'page',
                            'title' => esc_html( __( 'Services', 'ueldo' ) ),
                            'slug' => 'air-conditioning',
                            'submenu-items' => array(
                                array( 'type' => 'page', 'title' => esc_html( __( 'Air conditioning', 'ueldo' ) ) ),
                                array( 'type' => 'page', 'title' => esc_html( __( 'Fixing HHG devices', 'ueldo' ) ) ),
                                array( 'type' => 'page', 'title' => esc_html( __( 'Lightning protection', 'ueldo' ) ) ),
                                array( 'type' => 'page', 'title' => esc_html( __( 'Outdoor lighting', 'ueldo' ) ) ),
                                array( 'type' => 'page', 'title' => esc_html( __( 'Security lighting', 'ueldo' ) ) ),
                                array( 'type' => 'page', 'title' => esc_html( __( 'Solar energy', 'ueldo' ) ) )
                            )
                        ),
                        array( 'type' => 'page', 'title' => esc_html( __( 'Contact', 'ueldo' ) ) )
                    );

                break;

                # services menu for sidebar, for electrician template
                case 'electrician-sidebar-services-menu':

                    # define menu name
                    $menu_name = self::get_unique_name( esc_html( __( 'Services (short) - Electrician template', 'ueldo' ) ), $menus_names );

                    # array of menu items
                    $menu_items = array(
                        array( 'type' => 'page', 'title' => esc_html( __( 'Air conditioning', 'ueldo' ) ) ),
                        array( 'type' => 'page', 'title' => esc_html( __( 'Fixing HHG devices', 'ueldo' ) ) ),
                        array( 'type' => 'page', 'title' => esc_html( __( 'Lightning protection', 'ueldo' ) ) ),
                        array( 'type' => 'page', 'title' => esc_html( __( 'Outdoor lighting', 'ueldo' ) ) ),
                        array( 'type' => 'page', 'title' => esc_html( __( 'Security lighting', 'ueldo' ) ) ),
                        array( 'type' => 'page', 'title' => esc_html( __( 'Solar energy', 'ueldo' ) ) )
                    );

                break;

                # main menu for kayaks template
                case 'kayaks-main-menu':

                    # define menu name
                    $menu_name = self::get_unique_name( esc_html( __( 'Main menu - Kayaks template', 'ueldo' ) ), $menus_names );

                    # array of menu items
                    $menu_items = array(
                        array( 'type' => 'page', 'title' => esc_html( __( 'Home', 'ueldo' ) ) ),
                        array( 'type' => 'page', 'title' => esc_html( __( 'About us', 'ueldo' ) ) ),
                        array(
                            'type' => 'page',
                            'title' => esc_html( __( 'Services', 'ueldo' ) ),
                            'slug' => 'kayak-rental',
                            'submenu-items' => array(
                                array( 'type' => 'page', 'title' => esc_html( __( 'Kayak rental', 'ueldo' ) ) ),
                                array( 'type' => 'page', 'title' => esc_html( __( 'Paddle rental', 'ueldo' ) ) ),
                                array( 'type' => 'page', 'title' => esc_html( __( 'Guided tours', 'ueldo' ) ) )
                            )
                        ),
                        array( 'type' => 'page', 'title' => esc_html( __( 'Blog', 'ueldo' ) ) ),
                        array( 'type' => 'page', 'title' => esc_html( __( 'Contact', 'ueldo' ) ) )
                    );

                break;

                # pages menu for kayaks template
                case 'kayaks-pages-menu':

                    # define menu name
                    $menu_name = self::get_unique_name( esc_html( __( 'Pages menu - Kayaks template', 'ueldo' ) ), $menus_names );

                    # array of menu items
                    $menu_items = array(
                        array( 'type' => 'page', 'title' => esc_html( __( 'Home', 'ueldo' ) ) ),
                        array( 'type' => 'page', 'title' => esc_html( __( 'About us', 'ueldo' ) ) ),
                        array( 'type' => 'page', 'title' => esc_html( __( 'Our offer', 'ueldo' ) ), 'slug' => 'kayak-rental' ),
                        array( 'type' => 'page', 'title' => esc_html( __( 'Blog', 'ueldo' ) ) ),
                        array( 'type' => 'page', 'title' => esc_html( __( 'Contact', 'ueldo' ) ) )
                    );

                break;

                # main menu for runners club template
                case 'runners-club-main-menu':

                    # define menu name
                    $menu_name = self::get_unique_name( esc_html( __( 'Main menu - Runners Club template', 'ueldo' ) ), $menus_names );

                    # array of menu items
                    $menu_items = array(
                        array( 'type' => 'page', 'title' => esc_html( __( 'Home', 'ueldo' ) ) ),
                        array(
                            'type' => 'custom-link',
                            'title' => esc_html( __( 'Our trainers', 'ueldo' ) ),
                            'url' => ueldo_get_website_dir() .'#our-trainers',
                            'class' => 'ueldo-menu-link-no-highlight'
                        ),
                        array(
                            'type' => 'custom-link',
                            'title' => esc_html( __( 'Why to train with us?', 'ueldo' ) ),
                            'url' => ueldo_get_website_dir() .'#why-to-train-with-us',
                            'class' => 'ueldo-menu-link-no-highlight'
                        ),
                        array(
                            'type' => 'custom-link',
                            'title' => esc_html( __( 'Upcoming Marathons', 'ueldo' ) ),
                            'url' => ueldo_get_website_dir() .'#upcoming-marathons',
                            'class' => 'ueldo-menu-link-no-highlight'
                        ),
                        array(
                            'type' => 'custom-link',
                            'title' => esc_html( __( 'Contact', 'ueldo' ) ),
                            'url' => ueldo_get_website_dir() .'#contact',
                            'class' => 'ueldo-menu-link-no-highlight'
                        )
                    );

                break;

                # main menu for stud template
                case 'stud-main-menu':

                    # define menu name
                    $menu_name = self::get_unique_name( esc_html( __( 'Main menu - Stud template', 'ueldo' ) ), $menus_names );

                    # array of menu items
                    $menu_items = array(
                        array( 'type' => 'page', 'title' => esc_html( __( 'Home', 'ueldo' ) ) ),
                        array( 'type' => 'page', 'title' => esc_html( __( 'About us', 'ueldo' ) ) ),
                        array( 'type' => 'page', 'title' => esc_html( __( 'Offer & prices', 'ueldo' ) ) ),
                        array( 'type' => 'page', 'title' => esc_html( __( 'Blog', 'ueldo' ) ) ),
                        array( 'type' => 'page', 'title' => esc_html( __( 'Stays', 'ueldo' ) ) ),
                        array( 'type' => 'page', 'title' => esc_html( __( 'Contact', 'ueldo' ) ) )
                    );

                break;

                # unknown menu
                default: return( esc_html( __( 'Unknown menu context: ', 'ueldo' ) ) . esc_html( $context ) );
            }

            # create nav menu
            $menu_id = wp_create_nav_menu( $menu_name );

            # is there any error?
            if( is_wp_error( $menu_id ) ) return( $menu_id -> get_error_message() );

            # add menu items
            self::add_menu_items( $menu_id, $menu_items, false, $get_from_pages );

            # remove temporary variables
            unset( $menu_name, $menus_names, $menu_items );

            # do we have to set this menu as main menu?
            if( $set_as_main == true ) {

                # set nav menu location
                set_theme_mod( 'nav_menu_locations', array( 'ueldo_main_menu' => $menu_id ) );
            }

            # return menu ID
            return( $menu_id );
        }

       /**
        *
        * add menu item
        *
        */

        public static function add_menu_items( $menu_id, $menu_items, $parent = false, $get_from_pages = false ) {

            # walk for each menu items
            foreach( $menu_items as $menu_item ) {

                # "link added" flag
                $link_added = false;

                # menu item ID
                $menu_item_id = false;

                # is "page" type?
                if( $menu_item['type'] == 'page' ) {

                    # data found flag
                    $data_found = false;

                    # get page data from pages array
                    if( is_array( $get_from_pages ) && isset( $menu_item['slug'] ) ) {

                        # get page ID
                        $page_id = isset( $get_from_pages[esc_attr( $menu_item['slug'] )] ) ? $get_from_pages[esc_attr( $menu_item['slug'] )] : false;

                        # do we have page id found?
                        if( $page_id != false ) {

                            # get page data
                            $data = get_post( $page_id );

                            # update data found flag
                            if( $data != false && $data != null ) $data_found = true;
                        }

                        # remove temporary variables
                        unset( $page_id );
                    }

                    # get page data by page title
                    if( $data_found == false ) {

                        # get page by title
                        $data = get_page_by_title( $menu_item['title'] );

                        # update data found flag
                        if( $data != false && $data != null ) $data_found = true;
                    }

                    # we still have not page?
                    if( $data_found == false ) {

                        # try to find pages with similar names
                        $data = self::find_page_with_similar_name( $menu_item['title'] );

                        # update data found flag
                        if( $data != false && $data != null ) $data_found = true;
                    }

                    # do we have page by title found?
                    if( $data != false && $data != null ) {

                        # add new menu item
                        $menu_item_id = wp_update_nav_menu_item( $menu_id, 0, array(
                            'menu-item-title' => esc_html( $menu_item['title'] ),
                            'menu-item-object' => 'page',
                            'menu-item-object-id' => esc_attr( $data -> ID ),
                            'menu-item-parent-id' => esc_attr( $parent == false ? 0 : $parent ),
                            'menu-item-status' => 'publish',
                            'menu-item-type' => 'post_type',
                            'menu-item-position' => esc_attr( $data -> menu_order ),
                            'menu-item-classes' => isset( $menu_item['class'] ) ? esc_attr( $menu_item['class'] ) : ''
                        ));

                        # update flag
                        $link_added = true;
                    }
                }

                # add default menu item
                if( $link_added == false ) {

                    # add new menu item
                    $menu_item_id = wp_update_nav_menu_item( $menu_id, 0, array(
                        'menu-item-title' => esc_html( $menu_item['title'] ),
                        'menu-item-url' => isset( $menu_item['url'] ) ? esc_attr( $menu_item['url'] ) : '#',
                        'menu-item-status' => 'publish',
                        'menu-item-parent-id' => esc_attr( $parent == false ? 0 : $parent ),
                        'menu-item-classes' => isset( $menu_item['class'] ) ? esc_attr( $menu_item['class'] ) : ''
                    ));
                }

                # does this menu item have submenu items?
                if( isset( $menu_item['submenu-items'] ) && is_array( $menu_item['submenu-items'] ) && $menu_item_id != false ) {

                    # add menu items
                    self::add_menu_items( $menu_id, $menu_item['submenu-items'], $menu_item_id, $get_from_pages );
                }

                # remove temporary variables
                unset( $link_added, $menu_item_id, $data_found, $data );
            }

            # remove temporary variables
            unset( $menu_items, $menu_item );
        }

       /**
        *
        * get unique name
        *
        */

        public static function get_unique_name( $name, $names ) {

            # do we have new name already found in existing forms names?
            if( in_array( $name, $names, true ) ) {

                # unique ID
                $unique_id = 1;

                # prepare new name
                $new_name = $name .' '. $unique_id;

                # is unique name?
                while( in_array( $new_name, $names, true ) ) {

                    # update unique ID
                    $unique_id++;

                    # prepare new name
                    $new_name = $name .' '. $unique_id;
                }

                # assign new name
                $name = $new_name;
            }

            # return result
            return( $name );
        }

       /**
        *
        * get email sender value
        *
        */

        public static function get_default_email_sender_for_contact_form() {

            # get domain name
            $domain = parse_url( ueldo_get_domain_name() );

            # get host from domain name
            $host = isset( $domain['host'] ) && !empty( $domain['host'] ) ? $domain['host'] : false;

            # return result
            return( $host !== false ? 'wordpress@'. esc_attr( $host ) : get_bloginfo( 'admin_email' ) );
        }

       /**
        *
        * get default blog post content
        *
        */

        public static function get_default_post_content() {

            # return result
            return( 'Quisque non enim porttitor, lacinia ligula et, euismod dolor. Sed vel cursus quam. Ut vitae lorem ipsum. Nullam euismod tellus nec fringilla porttitor. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum ornare est eu sapien sagittis, vitae maximus dui pharetra. Morbi aliquam magna non consectetur tincidunt. Nam sem dui, consectetur et tortor vitae, volutpat mollis nibh. <!--more--> Pellentesque id tempor mauris. Vivamus pulvinar turpis viverra enim condimentum, sed varius justo mattis. Sed viverra eros at sem semper consectetur. Proin eu facilisis justo. Duis vehicula mi id diam faucibus laoreet. Duis nec venenatis libero, sit amet iaculis lacus. Praesent ac feugiat est. Vestibulum commodo ultrices elementum. Nulla nec fringilla felis. <h3>Curabitur congue, odio at tempus lobortis, risus turpis</h3> Condimentum ipsum, sed porta urna nunc commodo lorem. Donec ac massa scelerisque, egestas sapien eget, semper tortor. Fusce vitae tempor est. Phasellus eu lectus faucibus, varius risus at, feugiat quam. Maecenas vestibulum, mauris non vehicula laoreet, turpis felis auctor turpis, vitae hendrerit nibh sem quis ante. Vivamus vel purus vel diam hendrerit finibus sit amet eu metus. <a href="#">Phasellus vitae varius</a> mauris, facilisis sagittis ex. Fusce nec mi non eros efficitur egestas. Quisque at pharetra ligula, non mattis nunc. Ut bibendum sollicitudin mi, ut euismod velit tempor id. Phasellus molestie non neque sed placerat. <blockquote>Etiam nec euismod mauris. Nulla cursus ut leo quis mattis. Maecenas pharetra et turpis nec eleifend. Integer nec sapien neque. Aliquam quis augue at libero imperdiet consequat molestie.</blockquote> Nulla porta sodales sem vel tempus. Vivamus interdum ante ex, ut imperdiet ex vestibulum ut. In pretium diam a viverra lacinia. Fusce cursus, arcu nec pharetra imperdiet, neque lorem malesuada lectus, in egestas elit massa a erat. Donec efficitur sem vitae magna facilisis feugiat. Integer rhoncus augue a sollicitudin semper. Aliquam quis augue at libero imperdiet consequat molestie semper risus. In hac habitasse platea dictumst. <h4>Cum sociis natoque penatibus</h4> Donec purus magna, condimentum at luctus eu, porttitor vel leo. Mauris in massa viverra: <ul><li>Proin eleifend sollicitudin sem,</li><li>A convallis lorem cursus convallis,</li><li>Mauris mattis urna dolor, vel efficitur,</li><li>Mauris faucibus semper aliquam,</li><li>Nullam et justo id velit aliquet venenatis,</li></ul> Donec maximus laoreet risus et fringilla. Fusce vestibulum nisi vel ex efficitur pharetra. Ut sit amet dolor a risus vehicula mollis. Sed at enim quis tortor fermentum ornare sit amet at purus. Sed lobortis viverra sem sed congue. Vivamus et porta arcu. Donec faucibus eget dolor ut pharetra. Mauris et metus vitae dui rhoncus aliquet. Quisque nunc lacus, efficitur id ipsum at, elementum pretium libero.' );
        }

       /**
        *
        * find page with similar name
        *
        */

        public static function find_page_with_similar_name( $name ) {

            # get all pages
            $pages = get_posts( array( 'post_type' => 'page', 'posts_per_page' => -1 ) );

            # walk for each page
            foreach( $pages as $page ) {

                # compare page title
                if( strpos( $page -> post_title, $name ) !== false ) {

                    # return result
                    return( $page );
                }
            }

            # remove temporary variables
            unset( $pages, $page, $name );

            # nothing found
            return( false );
        }

       /**
        *
        * end of class methods.
        *
        */
    }

   /**
    *
    * end of file.
    *
    */

?>