<?php

    # prevent direct file access
    if( !defined( 'ABSPATH' ) ) exit;

   /**
    *
    * add custom styles to form style list
    * in MailChimp for WordPress plugin
    *
    */

    add_filter( 'mc4wp_admin_form_css_options', 'ueldo_filter_mc4wp_admin_form_css_options' );
    function ueldo_filter_mc4wp_admin_form_css_options( $styles ) {

        # remove "inherit from theme" option
        unset( $styles[0] );

        # add ueldo options
        $styles[esc_attr( __( 'Ueldo Theme Form Styles', 'ueldo' ) )] = array(
            'ueldo-under-blog-post-newsletter' => esc_attr( __( 'Newsletter under blog post', 'ueldo' ) )
        );

        # return updated result
        return( $styles );
    }

   /**
    *
    * add custom datepicker style to Contact Form 7 Datepicker plugin list
    *
    */

    add_filter( 'cf7dp_ui_themes', 'ueldo_fulter_cf7dp_ui_themes' );
    function ueldo_fulter_cf7dp_ui_themes( $themes ) {

        # add custom theme style
        return( array_merge( array( 'ueldo_custom_style' => esc_html( __( 'Ueldo Theme style', 'ueldo' ) ) ), $themes ) );
    }

   /**
    *
    * add custom datepicker style to front-end
    *
    */

    add_filter( 'cf7dp_custom_ui_themes', 'ueldo_filter_cf7dp_custom_ui_themes' );
    function ueldo_filter_cf7dp_custom_ui_themes( $result ) {

        # return stylesheet file path
        return( array( 'ueldo_custom_style' => '_assets/_css/datepicker-theme.css' ) );
    }

   /**
    *
    * disable sharing buttons on custom 404 page
    *
    */

    add_filter( 'addtoany_sharing_disabled', 'ueldo_filter_addtoany_sharing_disabled' );
    function ueldo_filter_addtoany_sharing_disabled( $sharing_disabled ) {

        # get the 404 page ID
        $page_404 = ueldo_get_theme_options_value( '404-page-id', ueldo_get_current_language_key() );

        # make sure that we have an array
        if( !is_array( $sharing_disabled ) ) $sharing_disabled = array();

        # do we have custom 404 page set?
        $sharing_disabled[] = ( $page_404 != 'default' ? esc_attr( $page_404 ) : 0 );

        # return result
        return( $sharing_disabled );
    }

   /**
    *
    * end of file
    *
    */

?>