<?php

   /**
    *
    * theme styles
    *
    */

    add_action( 'wp_enqueue_scripts', 'ueldo_theme_styles' );
    function ueldo_theme_styles() {

        # do we have ueldo plugin activated?
        if( ueldo_plugins::is_active_plugin( 'ueldo' ) ) {

            # we should get styles from cache?
            if( ueldo_dynamic_theme_styles_cache::can_generate() == false ) {

                # do we have styles for this page?
                if( ueldo_dynamic_theme_styles_cache::are_styles_cached() == true ) {

                    # end of the function.
                    return( true );
                }
            }
        }

        # get the current language key
        $lang_key = ueldo_get_current_language_key();

        # add default theme styles
        $css_styles = '
            body,
            html {
                font-family: "'. esc_attr( ueldo_get_font_family_attribute( 'general-font', esc_attr( $lang_key ), 'font-family' ) ) .'";
                -webkit-font-smoothing: '. esc_attr( ueldo_get_font_family_attribute( 'general-font', esc_attr( $lang_key ), '-webkit-font-smoothing' ) ) .';
                -moz-osx-font-smoothing: '. esc_attr( ueldo_get_font_family_attribute( 'general-font', esc_attr( $lang_key ), '-moz-osx-font-smoothing' ) ) .';
            }

            h1,
            h1 a,
            form.mc4wp-form.mc4wp-form-ueldo-under-blog-post-newsletter h1,
            form.mc4wp-form.mc4wp-form-ueldo-under-blog-post-newsletter h2,
            form.mc4wp-form.mc4wp-form-ueldo-under-blog-post-newsletter h3,
            form.mc4wp-form.mc4wp-form-ueldo-under-blog-post-newsletter h4,
            form.mc4wp-form.mc4wp-form-ueldo-under-blog-post-newsletter h5,
            form.mc4wp-form.mc4wp-form-ueldo-under-blog-post-newsletter h6,
            section.ueldo-comments > h2,
            section.ueldo-comments > h2 a,
            .ueldo-content-default .ueldo-content-wrapper .comment-respond h2,
            .ueldo-content-default section.ueldo-similar-posts h2,
            .ueldo-shortcode-pulsating-circles .ueldo-shortcode-pulsating-circles-circle-central .ueldo-shortcode-pulsating-circles-tip * {
                font-family: "'. esc_attr( ueldo_get_font_family_attribute( 'headings-slim-font', esc_attr( $lang_key ), 'font-family' ) ) .'";
                font-weight: '. esc_attr( ueldo_get_font_family_attribute( 'headings-slim-font', esc_attr( $lang_key ), 'font-weight' ) ) .';
                font-style: '. esc_attr( ueldo_get_font_family_attribute( 'headings-slim-font', esc_attr( $lang_key ), 'font-style' ) ) .';
                -webkit-font-smoothing: '. esc_attr( ueldo_get_font_family_attribute( 'headings-slim-font', esc_attr( $lang_key ), '-webkit-font-smoothing' ) ) .';
                -moz-osx-font-smoothing: '. esc_attr( ueldo_get_font_family_attribute( 'headings-slim-font', esc_attr( $lang_key ), '-moz-osx-font-smoothing' ) ) .';
            }

            h2,
            h3,
            h4,
            h5,
            h6,
            h2 a,
            h3 a,
            h4 a,
            h5 a,
            h6 a,
            .ueldo-content-default .ueldo-switch-page span.ueldo-switch-page-content-title,
            .ueldo-content-default .ueldo-content-wrapper h1:not(.ueldo-blog-post-title),
            .ueldo-shortcode-tabs ul.ueldo-shortcode-tabs-selector li .ueldo-shortcode-tabs-selector-single-tab-title,
            .ueldo-shortcode-pricing-table h6.ueldo-shortcode-pricing-table-content-title,
            .ueldo-shortcode-pricing-table .ueldo-shortcode-pricing-table-content-price .ueldo-shortcode-pricing-table-content-price-currency,
            .ueldo-shortcode-pricing-table .ueldo-shortcode-pricing-table-content-price .ueldo-shortcode-pricing-table-content-price-after-value,
            .ueldo-shortcode-price-single .ueldo-shortcode-price-single-column .ueldo-shortcode-price-single-content .ueldo-shortcode-price-single-title,
            .ueldo-shortcode-price-single .ueldo-shortcode-price-single-column .ueldo-shortcode-price-single-content .ueldo-shortcode-price-single-price,
            .ueldo-shortcode-full-width-testimonials .ueldo-shortcode-full-width-testimonials-single-testimonial-author p.ueldo-shortcode-full-width-testimonials-single-testimonial-author-name,
            .ueldo-shortcode-info-box .ueldo-shortcode-info-box-additional-element .ueldo-shortcode-info-box-additional-element-text,
            .ueldo-shortcode-info-box .ueldo-shortcode-info-box-additional-element .ueldo-shortcode-info-box-additional-element-counter,
            .ueldo-shortcode-quote .ueldo-shortcode-quote-box .ueldo-shortcode-quote-box-inner p,
            .ueldo-shortcode-quote .ueldo-shortcode-quote-author .ueldo-shortcode-quote-author-content p.ueldo-shortcode-quote-author-content-author-name,
            .ui-datepicker.ueldo-custom-datepicker-theme .ui-datepicker-title,
            .ui-datepicker.ueldo-custom-datepicker-theme th,
            .gform_wrapper .gform_body h2.gsection_title,
            .gform_wrapper .gform_body h3.gform_title,
            .ueldo-shortcode-filtered-masonry ul.ueldo-shortcode-filtered-masonry-filter-list li,
            .ueldo-shortcode-tabs-box ul.ueldo-shortcode-tabs-box-tabs-selector li,
            .ueldo-shortcode-tabs-box .ueldo-shortcode-tabs-box-tabs-contents .ueldo-shortcode-tabs-box-single-tab .ueldo-shortcode-tabs-box-single-tab-title,
            .woocommerce div.product .woocommerce-tabs.wc-tabs-wrapper > ul.tabs.wc-tabs li a,
            .ueldo-shortcode-timeline.ueldo-shortcode-timeline-display-as-card .ueldo-shortcode-timeline-element .ueldo-shortcode-timeline-element-date,
            .ueldo-shortcode-timeline.ueldo-shortcode-timeline-display-as-full-width .ueldo-shortcode-timeline-element .ueldo-shortcode-timeline-element-date,
            .ueldo-shortcode-presentation-elements-switcher .ueldo-shortcode-presentation-elements-switcher-prev-images span.ueldo-shortcode-presentation-elements-switcher-prev-images-content,
            .ueldo-shortcode-presentation-elements-switcher .ueldo-shortcode-presentation-elements-switcher-next-images span.ueldo-shortcode-presentation-elements-switcher-next-images-content,
            .ueldo-shortcode-opening-hours-box .ueldo-shortcode-opening-hours-box-elements .ueldo-shortcode-opening-hours-box-element .ueldo-shortcode-opening-hours-box-element-title {
                font-family: "'. esc_attr( ueldo_get_font_family_attribute( 'headings-font', esc_attr( $lang_key ), 'font-family' ) ) .'";
                font-weight: '. esc_attr( ueldo_get_font_family_attribute( 'headings-font', esc_attr( $lang_key ), 'font-weight' ) ) .';
                font-style: '. esc_attr( ueldo_get_font_family_attribute( 'headings-font', esc_attr( $lang_key ), 'font-style' ) ) .';
                -webkit-font-smoothing: '. esc_attr( ueldo_get_font_family_attribute( 'headings-font', esc_attr( $lang_key ), '-webkit-font-smoothing' ) ) .';
                -moz-osx-font-smoothing: '. esc_attr( ueldo_get_font_family_attribute( 'headings-font', esc_attr( $lang_key ), '-moz-osx-font-smoothing' ) ) .';
            }

            h1 span.ueldo-heading-subtitle,
            h2 span.ueldo-heading-subtitle,
            h3 span.ueldo-heading-subtitle,
            h4 span.ueldo-heading-subtitle,
            h5 span.ueldo-heading-subtitle,
            h6 span.ueldo-heading-subtitle,
            .ueldo-content-default article.ueldo-blog-post .ueldo-blog-post-data ul li,
            .ueldo-content-default article.ueldo-blog-post .ueldo-blog-post-data ul li span,
            .ueldo-content-default article.ueldo-blog-post .ueldo-blog-post-data ul li a,
            .ueldo-shortcode-pulsating-circles .ueldo-shortcode-pulsating-circles-circle-central .ueldo-shortcode-pulsating-circles-tip strong,
            .ueldo-shortcode-pricing-table .ueldo-shortcode-pricing-table-ribbon {
                font-family: "'. esc_attr( ueldo_get_font_family_attribute( 'headings-subtitle-font', esc_attr( $lang_key ), 'font-family' ) ) .'";
                font-weight: '. esc_attr( ueldo_get_font_family_attribute( 'headings-subtitle-font', esc_attr( $lang_key ), 'font-weight' ) ) .';
                font-style: '. esc_attr( ueldo_get_font_family_attribute( 'headings-subtitle-font', esc_attr( $lang_key ), 'font-style' ) ) .';
                -webkit-font-smoothing: '. esc_attr( ueldo_get_font_family_attribute( 'headings-subtitle-font', esc_attr( $lang_key ), '-webkit-font-smoothing' ) ) .';
                -moz-osx-font-smoothing: '. esc_attr( ueldo_get_font_family_attribute( 'headings-subtitle-font', esc_attr( $lang_key ), '-moz-osx-font-smoothing' ) ) .';
            }

            h1 strong,
            h2 strong,
            h3 strong,
            h4 strong,
            h5 strong,
            h6 strong,
            section.ueldo-sidebar .ueldo-widget-call-to-action h3,
            .wpb_content_element .ueldo-widget-call-to-action h3,
            section.ueldo-sidebar .ueldo-widget-call-to-action .ueldo-widget-call-to-action-offer,
            .wpb_content_element .ueldo-widget-call-to-action .ueldo-widget-call-to-action-offer,
            .ueldo-content-default .ueldo-blog-post-title,
            .ueldo-content-default .ueldo-blog-post-title a,
            .ueldo-content-default .ueldo-content-wrapper .ueldo-default-404-content h1,
            .ueldo-shortcode-pricing-table .ueldo-shortcode-pricing-table-content-price .ueldo-shortcode-pricing-table-content-price-value,
            .ueldo-shortcode-icon-list .ueldo-shortcode-icon-list-single-element .ueldo-shortcode-icon-list-single-element-number span.ueldo-shortcode-icon-list-single-element-number-value,
            .ueldo-shortcode-opening-hours-box .ueldo-shortcode-opening-hours-box-heading .ueldo-shortcode-opening-hours-box-heading-title {
                font-family: "'. esc_attr( ueldo_get_font_family_attribute( 'headings-bold-font', esc_attr( $lang_key ), 'font-family' ) ) .'";
                font-weight: '. esc_attr( ueldo_get_font_family_attribute( 'headings-bold-font', esc_attr( $lang_key ), 'font-weight' ) ) .';
                font-style: '. esc_attr( ueldo_get_font_family_attribute( 'headings-bold-font', esc_attr( $lang_key ), 'font-style' ) ) .';
                -webkit-font-smoothing: '. esc_attr( ueldo_get_font_family_attribute( 'headings-bold-font', esc_attr( $lang_key ), '-webkit-font-smoothing' ) ) .';
                -moz-osx-font-smoothing: '. esc_attr( ueldo_get_font_family_attribute( 'headings-bold-font', esc_attr( $lang_key ), '-moz-osx-font-smoothing' ) ) .';
            }

            header.ueldo-header-bar nav.ueldo-header-bar-main-menu > ul > li > a,
            .ueldo-shortcode-header-menu nav.ueldo-shortcode-header-menu-nav > ul > li > a,
            header.ueldo-header-bar nav.ueldo-header-bar-main-menu ul.sub-menu > li > a,
            .ueldo-shortcode-header-menu nav.ueldo-shortcode-header-menu-nav ul.sub-menu > li > a,
            .ueldo-shortcode-languages-switcher .ueldo-shortcode-languages-switcher-current-language,
            .ueldo-shortcode-languages-switcher .ueldo-shortcode-languages-switcher-list li a {
                font-family: "'. esc_attr( ueldo_get_font_family_attribute( 'menu-font', esc_attr( $lang_key ), 'font-family' ) ) .'";
                font-weight: '. esc_attr( ueldo_get_font_family_attribute( 'menu-font', esc_attr( $lang_key ), 'font-weight' ) ) .';
                font-style: '. esc_attr( ueldo_get_font_family_attribute( 'menu-font', esc_attr( $lang_key ), 'font-style' ) ) .';
                -webkit-font-smoothing: '. esc_attr( ueldo_get_font_family_attribute( 'menu-font', esc_attr( $lang_key ), '-webkit-font-smoothing' ) ) .';
                -moz-osx-font-smoothing: '. esc_attr( ueldo_get_font_family_attribute( 'menu-font', esc_attr( $lang_key ), '-moz-osx-font-smoothing' ) ) .';
            }

            blockquote p {
                font-family: "'. esc_attr( ueldo_get_font_family_attribute( 'blockquote-font', esc_attr( $lang_key ), 'font-family' ) ) .'";
                font-weight: '. esc_attr( ueldo_get_font_family_attribute( 'blockquote-font', esc_attr( $lang_key ), 'font-weight' ) ) .';
                font-style: '. esc_attr( ueldo_get_font_family_attribute( 'blockquote-font', esc_attr( $lang_key ), 'font-style' ) ) .';
                -webkit-font-smoothing: '. esc_attr( ueldo_get_font_family_attribute( 'blockquote-font', esc_attr( $lang_key ), '-webkit-font-smoothing' ) ) .';
                -moz-osx-font-smoothing: '. esc_attr( ueldo_get_font_family_attribute( 'blockquote-font', esc_attr( $lang_key ), '-moz-osx-font-smoothing' ) ) .';
            }

            .ueldo-button,
            form input[type="submit"],
            form input[type="button"],
            form button[type="submit"],
            .nf-form-wrap input[type="submit"],
            .nf-form-wrap input[type="button"],
            .nf-form-wrap button[type="submit"],
            .ueldo-content-default article.ueldo-blog-post .ueldo-single-news-page-switcher .ueldo-single-news-page,
            .ueldo-content-default article.ueldo-page .ueldo-single-news-page-switcher .ueldo-single-news-page,
            section.ueldo-comments .ueldo-comments-pagination .page-numbers,
            section.ueldo-comments ul.ueldo-comments-list li.comment.bypostauthor .ueldo-comment-by-post-author,
            .ueldo-content-woocommerce nav.woocommerce-pagination ul.page-numbers li a,
            .ueldo-content-woocommerce nav.woocommerce-pagination ul.page-numbers li span {
                font-family: "'. esc_attr( ueldo_get_font_family_attribute( 'buttons-font', esc_attr( $lang_key ), 'font-family' ) ) .'";
                font-weight: '. esc_attr( ueldo_get_font_family_attribute( 'buttons-font', esc_attr( $lang_key ), 'font-weight' ) ) .';
                font-style: '. esc_attr( ueldo_get_font_family_attribute( 'buttons-font', esc_attr( $lang_key ), 'font-style' ) ) .';
                -webkit-font-smoothing: '. esc_attr( ueldo_get_font_family_attribute( 'buttons-font', esc_attr( $lang_key ), '-webkit-font-smoothing' ) ) .';
                -moz-osx-font-smoothing: '. esc_attr( ueldo_get_font_family_attribute( 'buttons-font', esc_attr( $lang_key ), '-moz-osx-font-smoothing' ) ) .';
            }

            .ueldo-alert-box p,
            .ueldo-alert-box p *:not(i),
            .mc4wp-alert p,
            .mc4wp-alert p *:not(i),
            p.logged-in-as,
            p.logged-in-as *:not(i) {
                font-family: "'. esc_attr( ueldo_get_font_family_attribute( 'alert-messages-font', esc_attr( $lang_key ), 'font-family' ) ) .'";
                font-weight: '. esc_attr( ueldo_get_font_family_attribute( 'alert-messages-font', esc_attr( $lang_key ), 'font-weight' ) ) .';
                font-style: '. esc_attr( ueldo_get_font_family_attribute( 'alert-messages-font', esc_attr( $lang_key ), 'font-style' ) ) .';
                -webkit-font-smoothing: '. esc_attr( ueldo_get_font_family_attribute( 'alert-messages-font', esc_attr( $lang_key ), '-webkit-font-smoothing' ) ) .';
                -moz-osx-font-smoothing: '. esc_attr( ueldo_get_font_family_attribute( 'alert-messages-font', esc_attr( $lang_key ), '-moz-osx-font-smoothing' ) ) .';
            }

            p,
            ul li,
            ol li,
            .ueldo-content-default .ueldo-content-wrapper address,
            .ueldo-content-default .ueldo-content-wrapper dl:not(.gallery-item) dd,
            .ueldo-content-default .ueldo-content-wrapper table:not(.highlight) td,
            .ueldo-content-default .ueldo-content-wrapper .gallery-caption,
            section.ueldo-sidebar .widget ul:not(.ueldo-posts-list) li,
            .wpb_content_element .widget ul:not(.ueldo-posts-list) li,
            section.ueldo-sidebar .widget .tagcloud a,
            .wpb_content_element .widget .tagcloud a,
            .ueldo-content-default .ueldo-tags-and-categories p a.element,
            section.ueldo-sidebar .widget #calendar_wrap,
            .wpb_content_element .widget #calendar_wrap,
            .ueldo-shortcode-info-box .ueldo-shortcode-info-box-element .ueldo-shortcode-info-box-element-text,
            .ueldo-shortcode-info-box .ueldo-shortcode-info-box-element .ueldo-shortcode-info-box-element-counter,
            .ueldo-shortcode-attributes-box .ueldo-shortcode-attributes-box-elements ul li .ueldo-shortcode-attributes-box-element-title,
            .ueldo-play-video-button .ueldo-play-video-button-title,
            .nf-form-wrap .nf-static.nf-element,
            .woocommerce div.product div.product_meta span.posted_in,
            .woocommerce div.product div.product_meta span.tagged_as {
                font-family: "'. esc_attr( ueldo_get_font_family_attribute( 'general-font', esc_attr( $lang_key ), 'font-family' ) ) .'";
                font-weight: '. esc_attr( ueldo_get_font_family_attribute( 'general-font', esc_attr( $lang_key ), 'font-weight' ) ) .';
                font-style: '. esc_attr( ueldo_get_font_family_attribute( 'general-font', esc_attr( $lang_key ), 'font-style' ) ) .';
                -webkit-font-smoothing: '. esc_attr( ueldo_get_font_family_attribute( 'general-font', esc_attr( $lang_key ), '-webkit-font-smoothing' ) ) .';
                -moz-osx-font-smoothing: '. esc_attr( ueldo_get_font_family_attribute( 'general-font', esc_attr( $lang_key ), '-moz-osx-font-smoothing' ) ) .';
            }

            p strong,
            li strong,
            b,
            strong,
            dt,
            form label,
            .nf-form-wrap label,
            .nf-form-wrap .nf-field-label,
            .ueldo-content-default .ueldo-content-wrapper dl:not(.gallery-item) dt,
            .ueldo-content-default .ueldo-content-wrapper table:not(.highlight) th,
            .ueldo-content-default section.ueldo-tags-and-categories p span.ueldo-tags-and-categories-title,
            section.ueldo-comments ul.ueldo-comments-list li.comment .comment-author cite.fn a,
            section.ueldo-sidebar .widget ul:not(.ueldo-posts-list) li a,
            .wpb_content_element .widget ul:not(.ueldo-posts-list) li a,
            section.ueldo-sidebar .widget ul.ueldo-posts-list .ueldo-posts-list-single-post-title,
            .wpb_content_element .widget ul.ueldo-posts-list .ueldo-posts-list-single-post-title,
            .ueldo-short-post-box.ueldo-short-post-box-01 .ueldo-short-post-box-author p.ueldo-short-post-box-author-name a,
            .ueldo-short-post-box.ueldo-short-post-box-02 .ueldo-short-post-box-author p.ueldo-short-post-box-author-name a,
            .ueldo-shortcode-pricing-list ul.ueldo-shortcode-pricing-list-groups-content-group-attributes-list li span.ueldo-shortcode-pricing-list-attribute-price {
                font-family: "'. esc_attr( ueldo_get_font_family_attribute( 'general-bold-font', esc_attr( $lang_key ), 'font-family' ) ) .'";
                font-weight: '. esc_attr( ueldo_get_font_family_attribute( 'general-bold-font', esc_attr( $lang_key ), 'font-weight' ) ) .';
                font-style: '. esc_attr( ueldo_get_font_family_attribute( 'general-bold-font', esc_attr( $lang_key ), 'font-style' ) ) .';
                -webkit-font-smoothing: '. esc_attr( ueldo_get_font_family_attribute( 'general-bold-font', esc_attr( $lang_key ), '-webkit-font-smoothing' ) ) .';
                -moz-osx-font-smoothing: '. esc_attr( ueldo_get_font_family_attribute( 'general-bold-font', esc_attr( $lang_key ), '-moz-osx-font-smoothing' ) ) .';
            }

            form input[type="text"],
            form input[type="email"],
            form input[type="password"],
            form input[type="url"],
            form input[type="tel"],
            form input[type="number"],
            form input[type="date"],
            form textarea,
            .ueldo-select-field select,
            .ui-datepicker.ueldo-custom-datepicker-theme,
            .ui-datepicker.ueldo-custom-datepicker-theme .ui-state-default,
            .nf-form-wrap input[type="text"],
            .nf-form-wrap input[type="email"],
            .nf-form-wrap input[type="password"],
            .nf-form-wrap input[type="url"],
            .nf-form-wrap input[type="tel"],
            .nf-form-wrap input[type="number"],
            .nf-form-wrap input[type="date"],
            .nf-form-wrap textarea,
            .select2-container--default .select2-selection--single .select2-selection__rendered,
            .select2-results__option,
            .select2-container--default .select2-search--dropdown .select2-search__field {
                font-family: "'. esc_attr( ueldo_get_font_family_attribute( 'form-fields-font', esc_attr( $lang_key ), 'font-family' ) ) .'";
                font-weight: '. esc_attr( ueldo_get_font_family_attribute( 'form-fields-font', esc_attr( $lang_key ), 'font-weight' ) ) .';
                font-style: '. esc_attr( ueldo_get_font_family_attribute( 'form-fields-font', esc_attr( $lang_key ), 'font-style' ) ) .';
                -webkit-font-smoothing: '. esc_attr( ueldo_get_font_family_attribute( 'form-fields-font', esc_attr( $lang_key ), '-webkit-font-smoothing' ) ) .';
                -moz-osx-font-smoothing: '. esc_attr( ueldo_get_font_family_attribute( 'form-fields-font', esc_attr( $lang_key ), '-moz-osx-font-smoothing' ) ) .';
            }'.

            ueldo_get_custom_styles_for_single_elements();

       /**
        *
        * include styles to website
        *
        */

        # do we have ueldo plugin activated?
        if( ueldo_plugins::is_active_plugin( 'ueldo' ) ) {

            # can we save styles in cache?
            if( ueldo_dynamic_theme_styles_cache::can_save() == true ) {

                # save styles in cache
                ueldo_dynamic_theme_styles_cache::save_style_in_cache( 'general', ueldo_minify_css( $css_styles ) );

                # end of the function
                return( true );
            }
        }

        # cache disabled - display inline styles
        wp_add_inline_style( 'ueldo-stylesheet', ueldo_minify_css( $css_styles ) );

        # remove temporary variables
        unset( $lang_key, $css_styles );

       /**
        *
        * end of styles
        *
        */
    }

   /**
    *
    * get custom styles for single elements
    *
    */

    function ueldo_get_custom_styles_for_single_elements() {

        # global variables
        global $ueldo_styles_cache;

        # create object of styles cache class
        $styles = new ueldo_shortcodes_styles_cache();

        # get the current language key
        $lang_key = ueldo_get_current_language_key();

       /**
        *
        * website loader
        *
        */

        if( ueldo_get_theme_options_value( 'loader-animation', false, 'enabled' ) == 'yes' ) {

            # update background color for loader container
            $styles -> update_style(
                'ueldo-website-loader-container#ueldo-website-loader, .ueldo-website-loader-container#ueldo-website-loader .ueldo-loader-style-04 .ueldo-loader-circle-inner',
                array(
                    'background' => esc_attr( ueldo_get_theme_options_value( 'loader-animation', false, 'custom-colors-enabled' ) == 'yes' ? ueldo_get_theme_options_value( 'loader-animation', false, 'custom-colors-background' ) : '#'. get_background_color() )
                )
            );

            # update border color for loader animations spinners
            $styles -> update_style(
                'ueldo-website-loader-container#ueldo-website-loader .ueldo-loader-style-04, .ueldo-website-loader-container#ueldo-website-loader .ueldo-loader-style-03',
                array(
                    'border-color' => esc_attr( ueldo_get_theme_options_value( 'loader-animation', false, 'custom-colors-enabled' ) == 'yes' ? ueldo_get_theme_options_value( 'loader-animation', false, 'custom-colors-spinner' ) : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ) )
                )
            );

            # update background color for loader animations spinners
            $styles -> update_style(
                'ueldo-website-loader-container#ueldo-website-loader .ueldo-loader-style-02, .ueldo-website-loader-container#ueldo-website-loader .ueldo-loader-style-01 .ueldo-loader-style-01-bounce-a, .ueldo-website-loader-container#ueldo-website-loader .ueldo-loader-style-01 .ueldo-loader-style-01-bounce-b, .ueldo-website-loader-container#ueldo-website-loader .ueldo-loader-style-05 > div, .ueldo-website-loader-container#ueldo-website-loader .ueldo-loader-style-06 > div, .ueldo-website-loader-container#ueldo-website-loader .ueldo-loader-style-07 > div > div, .ueldo-website-loader-container#ueldo-website-loader .ueldo-loader-style-08 > div > div, .ueldo-website-loader-container#ueldo-website-loader .ueldo-loader-style-09 > div',
                array(
                    'background' => esc_attr( ueldo_get_theme_options_value( 'loader-animation', false, 'custom-colors-enabled' ) == 'yes' ? ueldo_get_theme_options_value( 'loader-animation', false, 'custom-colors-spinner' ) : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ) )
                )
            );

            # switch the logo image position attribute
            switch( ueldo_get_theme_options_value( 'loader-animation', false, 'add-logo' ) ) {

                # logo above the loader spinner
                case 'yes-above':

                    # add margin bottom for logo image
                    $styles -> update_style(
                        'ueldo-website-loader-container#ueldo-website-loader .ueldo-website-loader-logo',
                        array(
                            'margin-bottom' => esc_attr( ueldo_get_theme_options_value( 'loader-animation', false, 'space-between-logo-and-spinner' ) )
                        )
                    );

                break;

                # logo under the loader spinner
                case 'yes-under':

                    # add margin bottom for logo image
                    $styles -> update_style(
                        'ueldo-website-loader-container#ueldo-website-loader .ueldo-website-loader-logo',
                        array(
                            'margin-top' => esc_attr( ueldo_get_theme_options_value( 'loader-animation', false, 'space-between-logo-and-spinner' ) )
                        )
                    );

                break;
            }
        }

       /**
        *
        * container widths
        *
        */

        # configure content container widths
        $styles -> update_style(
            'ueldo-content-container, .ueldo-content-width-container',
            array(
                '1200_more' => array(
                    'width' => esc_attr( ueldo_get_theme_options_value( 'boxed-website', false, 'large-content-width' ) )
                ),
                '992_1199' => array(
                    'width' => esc_attr( ueldo_get_theme_options_value( 'boxed-website', false, 'medium-content-width' ) )
                ),
                '768_991' => array(
                    'width' => esc_attr( ueldo_get_theme_options_value( 'boxed-website', false, 'small-content-width' ) )
                )
            )
        );

        # do we have boxed website enabled?
        if( ueldo_get_theme_options_value( 'boxed-website', false, 'enabled' ) == 'yes' ) {

            # update boxed container widths
            $styles -> update_style(
                'ueldo-website-wrapper.ueldo-website-wrapper-boxed',
                array(
                    '1200_more' => array(
                        'width' => esc_attr( ( int ) ueldo_get_theme_options_value( 'boxed-website', false, 'large-content-width' ) + ( ( int ) ueldo_get_theme_options_value( 'boxed-website', false, 'large-content-space' ) * 2 ) )
                    ),
                    '992_1199' => array(
                        'width' => esc_attr( ( int ) ueldo_get_theme_options_value( 'boxed-website', false, 'medium-content-width' ) + ( ( int ) ueldo_get_theme_options_value( 'boxed-website', false, 'medium-content-space' ) * 2 ) )
                    ),
                    '768_991' => array(
                        'width' => esc_attr( ( int ) ueldo_get_theme_options_value( 'boxed-website', false, 'small-content-width' ) + ( ( int ) ueldo_get_theme_options_value( 'boxed-website', false, 'small-content-space' ) * 2 ) )
                    )
                )
            );

            # do we have side menu in static style?
            if( ueldo_get_theme_options_value( 'side-menu', false, 'style' ) == 'static' ) {

                # update default header bar styles
                $styles -> update_style(
                    'ueldo-website-wrapper.ueldo-website-wrapper-boxed header.ueldo-header-bar:not(.ueldo-header-bar-position-static)',
                    array(
                        '1200_more' => array(
                            'width' => esc_attr( ( int ) ueldo_get_theme_options_value( 'boxed-website', false, 'large-content-width' ) + ( ( int ) ueldo_get_theme_options_value( 'boxed-website', false, 'large-content-space' ) * 2 ) ),
                            'margin-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) => '-'. esc_attr( ( ( ( int ) ueldo_get_theme_options_value( 'boxed-website', false, 'large-content-width' ) + ( ( int ) ueldo_get_theme_options_value( 'boxed-website', false, 'large-content-space' ) * 2 ) ) / 2 ) + ueldo_get_header_bar_fix_for_static_side_menu_and_boxed_website() )
                        ),
                        '992_1199' => array(
                            'width' => esc_attr( ( int ) ueldo_get_theme_options_value( 'boxed-website', false, 'medium-content-width' ) + ( ( int ) ueldo_get_theme_options_value( 'boxed-website', false, 'medium-content-space' ) * 2 ) ),
                            'margin-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) => '-'. esc_attr( ( ( ( int ) ueldo_get_theme_options_value( 'boxed-website', false, 'medium-content-width' ) + ( ( int ) ueldo_get_theme_options_value( 'boxed-website', false, 'medium-content-space' ) * 2 ) ) / 2 ) + ueldo_get_header_bar_fix_for_static_side_menu_and_boxed_website() )
                        ),
                        '768_991' => array(
                            'width' => esc_attr( ( int ) ueldo_get_theme_options_value( 'boxed-website', false, 'small-content-width' ) + ( ( int ) ueldo_get_theme_options_value( 'boxed-website', false, 'small-content-space' ) * 2 ) ),
                            'margin-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) => '-'. esc_attr( ( ( int ) ueldo_get_theme_options_value( 'boxed-website', false, 'small-content-width' ) + ( ( int ) ueldo_get_theme_options_value( 'boxed-website', false, 'small-content-space' ) * 2 ) ) / 2 )
                        )
                    )
                );

                # update default header bar styles
                $styles -> update_style(
                    'ueldo-website-wrapper.ueldo-website-wrapper-boxed header.ueldo-header-bar.ueldo-header-bar-position-static',
                    array(
                        '1200_more' => array(
                            'width' => esc_attr( ( int ) ueldo_get_theme_options_value( 'boxed-website', false, 'large-content-width' ) + ( ( int ) ueldo_get_theme_options_value( 'boxed-website', false, 'large-content-space' ) * 2 ) ),
                            'margin-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) => '-'. esc_attr( ( ( int ) ueldo_get_theme_options_value( 'boxed-website', false, 'large-content-width' ) + ( ( int ) ueldo_get_theme_options_value( 'boxed-website', false, 'large-content-space' ) * 2 ) ) / 2 )
                        ),
                        '992_1199' => array(
                            'width' => esc_attr( ( int ) ueldo_get_theme_options_value( 'boxed-website', false, 'medium-content-width' ) + ( ( int ) ueldo_get_theme_options_value( 'boxed-website', false, 'medium-content-space' ) * 2 ) ),
                            'margin-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) => '-'. esc_attr( ( ( int ) ueldo_get_theme_options_value( 'boxed-website', false, 'medium-content-width' ) + ( ( int ) ueldo_get_theme_options_value( 'boxed-website', false, 'medium-content-space' ) * 2 ) ) / 2 )
                        ),
                        '768_991' => array(
                            'width' => esc_attr( ( int ) ueldo_get_theme_options_value( 'boxed-website', false, 'small-content-width' ) + ( ( int ) ueldo_get_theme_options_value( 'boxed-website', false, 'small-content-space' ) * 2 ) ),
                            'margin-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) => '-'. esc_attr( ( ( int ) ueldo_get_theme_options_value( 'boxed-website', false, 'small-content-width' ) + ( ( int ) ueldo_get_theme_options_value( 'boxed-website', false, 'small-content-space' ) * 2 ) ) / 2 )
                        )
                    )
                );
            }

            # flying style for side menu
            else {

                # update default header bar styles
                $styles -> update_style(
                    'ueldo-website-wrapper.ueldo-website-wrapper-boxed header.ueldo-header-bar',
                    array(
                        '1200_more' => array(
                            'width' => esc_attr( ( int ) ueldo_get_theme_options_value( 'boxed-website', false, 'large-content-width' ) + ( ( int ) ueldo_get_theme_options_value( 'boxed-website', false, 'large-content-space' ) * 2 ) ),
                            'margin-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) => '-'. esc_attr( ( ( int ) ueldo_get_theme_options_value( 'boxed-website', false, 'large-content-width' ) + ( ( int ) ueldo_get_theme_options_value( 'boxed-website', false, 'large-content-space' ) * 2 ) ) / 2 )
                        ),
                        '992_1199' => array(
                            'width' => esc_attr( ( int ) ueldo_get_theme_options_value( 'boxed-website', false, 'medium-content-width' ) + ( ( int ) ueldo_get_theme_options_value( 'boxed-website', false, 'medium-content-space' ) * 2 ) ),
                            'margin-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) => '-'. esc_attr( ( ( int ) ueldo_get_theme_options_value( 'boxed-website', false, 'medium-content-width' ) + ( ( int ) ueldo_get_theme_options_value( 'boxed-website', false, 'medium-content-space' ) * 2 ) ) / 2 )
                        ),
                        '768_991' => array(
                            'width' => esc_attr( ( int ) ueldo_get_theme_options_value( 'boxed-website', false, 'small-content-width' ) + ( ( int ) ueldo_get_theme_options_value( 'boxed-website', false, 'small-content-space' ) * 2 ) ),
                            'margin-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) => '-'. esc_attr( ( ( int ) ueldo_get_theme_options_value( 'boxed-website', false, 'small-content-width' ) + ( ( int ) ueldo_get_theme_options_value( 'boxed-website', false, 'small-content-space' ) * 2 ) ) / 2 )
                        )
                    )
                );
            }

            # do we have "fixed to bottom" footer enabled?
            if( ueldo_is_footer_position_fixed_to_bottom() ) {

                # update "fixed to bottom" footer styles
                $styles -> update_style(
                    'ueldo-website-wrapper footer[data-is-footer-position-fixed="yes"]',
                    array(
                        '1200_more' => array(
                            'width' => esc_attr( ( int ) ueldo_get_theme_options_value( 'boxed-website', false, 'large-content-width' ) + ( ( int ) ueldo_get_theme_options_value( 'boxed-website', false, 'large-content-space' ) * 2 ) )
                        ),
                        '992_1199' => array(
                            'width' => esc_attr( ( int ) ueldo_get_theme_options_value( 'boxed-website', false, 'medium-content-width' ) + ( ( int ) ueldo_get_theme_options_value( 'boxed-website', false, 'medium-content-space' ) * 2 ) )
                        ),
                        '768_991' => array(
                            'width' => esc_attr( ( int ) ueldo_get_theme_options_value( 'boxed-website', false, 'small-content-width' ) + ( ( int ) ueldo_get_theme_options_value( 'boxed-website', false, 'small-content-space' ) * 2 ) )
                        )
                    )
                );
            }
        }

        # full-width website
        else {

            # do we have side menu in static style?
            if( ueldo_get_theme_options_value( 'side-menu', false, 'style' ) == 'static' ) {

                # update default header bar styles
                $styles -> update_style(
                    'ueldo-website-wrapper.ueldo-website-wrapper-full-width header.ueldo-header-bar:not(.ueldo-header-bar-position-static)',
                    array(
                        '1200_more' => array(
                            'width-webkit-calc' => '-webkit-calc( 100% - '. esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-container-width' ) ) .'px )',
                            'width-moz-calc' => '-moz-calc( 100% - '. esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-container-width' ) ) .'px )',
                            'width-calc' => 'calc( 100% - '. esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-container-width' ) ) .'px )'
                        ),
                        '992_1199' => array(
                            'width-webkit-calc' => '-webkit-calc( 100% - '. esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-container-width' ) ) .'px )',
                            'width-moz-calc' => '-moz-calc( 100% - '. esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-container-width' ) ) .'px )',
                            'width-calc' => 'calc( 100% - '. esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-container-width' ) ) .'px )'
                        )
                    )
                );

                # left side of side menu?
                if( esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'menu-position' ) ) == ( ueldo_is_rtl() ? 'right' : 'left' ) ) {

                    # update default header bar styles
                    $styles -> update_style(
                        'ueldo-website-wrapper.ueldo-website-wrapper-full-width header.ueldo-header-bar:not(.ueldo-header-bar-position-static)',
                        array(
                            '1200_more' => array(
                                'margin-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) => esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-container-width' ) )
                            ),
                            '992_1199' => array(
                                'margin-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) => esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-container-width' ) )
                            )
                        )
                    );
                }
            }
        }

       /**
        *
        * google maps markers
        *
        */

        # walk for all google maps
        for( $i = 1; $i < ueldo_get_theme_options_value( 'google-maps', false, 'next-map-id' ); $i++ ) {

            # do we have the map?
            if( ueldo_get_theme_options_value( 'google-maps', false, 'google-map-'. esc_attr( $i ) .'-title' ) !== false ) {

                # get all map markers
                for( $j = 1; $j < ueldo_get_theme_options_value( 'google-maps', false, 'google-map-'. esc_attr( $i ) .'-markers-next-marker-id' ); $j++ ) {

                    # do we have the image marker?
                    if( ueldo_get_theme_options_value( 'google-maps', false, 'google-map-'. esc_attr( $i ) .'-markers-marker-'. esc_attr( $j ) .'-title' ) !== false && ueldo_get_theme_options_value( 'google-maps', false, 'google-map-'. esc_attr( $i ) .'-markers-marker-'. esc_attr( $j ) .'-use-custom-marker' ) == 'yes-icon' ) {

                        # temporary variables
                        $temp = array(
                            'box-shadow' => esc_attr( ueldo_get_box_shadow_attribute_value( ueldo_get_theme_options_value( 'google-maps', false, 'google-map-'. esc_attr( $i ) .'-markers-marker-'. esc_attr( $j ) .'-custom-icon-box-shadow-horizontal-length' ), ueldo_get_theme_options_value( 'google-maps', false, 'google-map-'. esc_attr( $i ) .'-markers-marker-'. esc_attr( $j ) .'-custom-icon-box-shadow-vertical-length' ), ueldo_get_theme_options_value( 'google-maps', false, 'google-map-'. esc_attr( $i ) .'-markers-marker-'. esc_attr( $j ) .'-custom-icon-box-shadow-blur-radius' ), ueldo_get_theme_options_value( 'google-maps', false, 'google-map-'. esc_attr( $i ) .'-markers-marker-'. esc_attr( $j ) .'-custom-icon-box-shadow-spread-radius' ), ueldo_get_theme_options_value( 'google-maps', false, 'google-map-'. esc_attr( $i ) .'-markers-marker-'. esc_attr( $j ) .'-custom-icon-box-shadow-color' ) ) ),
                            'border-radius' => esc_attr( ueldo_get_theme_options_value( 'google-maps', false, 'google-map-'. esc_attr( $i ) .'-markers-marker-'. esc_attr( $j ) .'-custom-icon-border-radius' ) == 'circle' ? '100%' : ueldo_get_theme_options_value( 'google-maps', false, 'google-map-'. esc_attr( $i ) .'-markers-marker-'. esc_attr( $j ) .'-custom-icon-border-radius-px' ) )
                        );

                        # update styles array - google map marker icon box
                        $styles -> update_style(
                            'ueldo-google-map-container span.ueldo-google-map-marker-content-custom-'. esc_attr( $i ) .'-'. esc_attr( $j ),
                            array(
                                'background' => esc_attr( ueldo_get_theme_options_value( 'google-maps', false, 'google-map-'. esc_attr( $i ) .'-markers-marker-'. esc_attr( $j ) .'-custom-icon-background-color' ) ),
                                '-webkit-box-shadow' => esc_attr( $temp['box-shadow'] ),
                                '-moz-box-shadow' => esc_attr( $temp['box-shadow'] ),
                                'box-shadow' => esc_attr( $temp['box-shadow'] ),
                                '-webkit-border-radius'. esc_attr( $temp['border-radius'] == '100%' ? '-%' : '' ) => esc_attr( $temp['border-radius'] ),
                                '-moz-border-radius'. esc_attr( $temp['border-radius'] == '100%' ? '-%' : '' ) => esc_attr( $temp['border-radius'] ),
                                'border-radius'. esc_attr( $temp['border-radius'] == '100%' ? '-%' : '' ) => esc_attr( $temp['border-radius'] ),
                                'width' => esc_attr( ueldo_get_theme_options_value( 'google-maps', false, 'google-map-'. esc_attr( $i ) .'-markers-marker-'. esc_attr( $j ) .'-custom-icon-width' ) ),
                                'height' => esc_attr( ueldo_get_theme_options_value( 'google-maps', false, 'google-map-'. esc_attr( $i ) .'-markers-marker-'. esc_attr( $j ) .'-custom-icon-height' ) )
                            )
                        );

                        # update styles array - google map marker icon
                        $styles -> update_style(
                            'ueldo-google-map-container span.ueldo-google-map-marker-content-custom-'. esc_attr( $i ) .'-'. esc_attr( $j ) .' i, .ueldo-google-map-container span.ueldo-google-map-marker-content-custom-'. esc_attr( $i ) .'-'. esc_attr( $j ) .' i:before',
                            array(
                                'color' => esc_attr( ueldo_get_theme_options_value( 'google-maps', false, 'google-map-'. esc_attr( $i ) .'-markers-marker-'. esc_attr( $j ) .'-custom-icon-color' ) ),
                                'font-size' => esc_attr( ueldo_get_theme_options_value( 'google-maps', false, 'google-map-'. esc_attr( $i ) .'-markers-marker-'. esc_attr( $j ) .'-custom-icon-size' ) ),
                                'line-height-string' => esc_attr( ueldo_get_theme_options_value( 'google-maps', false, 'google-map-'. esc_attr( $i ) .'-markers-marker-'. esc_attr( $j ) .'-custom-icon-height' ) ) .'px'
                            )
                        );

                        # remove temporary variable
                        unset( $temp );
                    }
                }
            }
        }

       /**
        *
        * update website content container width if side-menu is static
        *
        */

        if( ueldo_get_theme_options_value( 'side-menu', false, 'style' ) == 'static' ) {

            # update website container width
            $styles -> update_style(
                'ueldo-website-content-container#ueldo-website-content-container',
                array(
                    '1200_more' => array(
                        'width-webkit-calc' => '-webkit-calc( 100% - '. esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-container-width' ) ) .'px )',
                        'width-moz-calc' => '-moz-calc( 100% - '. esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-container-width' ) ) .'px )',
                        'width-calc' => 'calc( 100% - '. esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-container-width' ) ) .'px )'
                    ),
                    '992_1199' => array(
                        'width-webkit-calc' => '-webkit-calc( 100% - '. esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-container-width' ) ) .'px )',
                        'width-moz-calc' => '-moz-calc( 100% - '. esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-container-width' ) ) .'px )',
                        'width-calc' => 'calc( 100% - '. esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-container-width' ) ) .'px )'
                    )
                )
            );

            # left side?
            if( ueldo_get_theme_options_value( 'side-menu', false, 'menu-position' ) == 'left' ) {

                # update website container position
                $styles -> update_style(
                    'ueldo-website-content-container#ueldo-website-content-container',
                    array(
                        '1200_more' => array(
                            'margin-left' => esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-container-width' ) )
                        ),
                        '992_1199' => array(
                            'margin-left' => esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-container-width' ) )
                        )
                    )
                );
            }
        }

       /**
        *
        * side menu
        *
        */

        # temporary variable
        $temp = array(
            'menu-link-font' => ueldo_get_font_attributes( ueldo_get_theme_options_value( 'side-menu', esc_attr( $lang_key ), 'menu-link-font-family' ), ueldo_get_theme_options_value( 'side-menu', esc_attr( $lang_key ), 'menu-link-font-weight' ), ueldo_get_theme_options_value( 'side-menu', esc_attr( $lang_key ), 'menu-link-font-smoothing' ) )
        );

        # update font family for menu links
        $styles -> update_style(
            'ueldo-side-menu-container#ueldo-side-menu nav.ueldo-side-menu-nav a',
            array(
                'font-family' => esc_attr( $temp['menu-link-font']['font-family'] ),
                'font-weight' => esc_attr( $temp['menu-link-font']['font-weight'] ),
                'font-style' => esc_attr( $temp['menu-link-font']['font-style'] ),
                '-webkit-font-smoothing' => esc_attr( $temp['menu-link-font']['-webkit-font-smoothing'] ),
                '-moz-osx-font-smoothing' => esc_attr( $temp['menu-link-font']['-moz-osx-font-smoothing'] )
            )
        );

        # remove temporary variables
        unset( $temp );

        # do we have custom sizes enabled?
        if( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-enabled' ) == 'yes' ) {

            # temporary variable
            $temp = array(
                'menu-link-padding-left-right' => esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-menu-link-padding-left-right' ) ),
                'menu-link-margin-left-right' => esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-menu-link-margin-left-right' ) ),
                'menu-link-margin-top-bottom' => esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-menu-link-margin-top-bottom' ) ),
                'submenu-links' => esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'submenu-links' ) ),
                'additional-element-before-menu-margin-left' => esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-margin-left-additional-element-before-menu' ) ),
                'additional-element-before-menu-margin-right' => esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-margin-right-additional-element-before-menu' ) ),
                'additional-element-after-menu-margin-left' => esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-margin-left-additional-element-after-menu' ) ),
                'additional-element-after-menu-margin-right' => esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-margin-right-additional-element-after-menu' ) )
            );

            # update container width
            $styles -> update_style(
                'ueldo-side-menu-container#ueldo-side-menu',
                array(
                    'width' => esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-container-width' ) )
                )
            );

            # menu link styles
            $styles -> update_style(
                'ueldo-side-menu-container#ueldo-side-menu nav.ueldo-side-menu-nav a',
                array(
                    'font-size' => esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-menu-link-font-size' ) ),
                    'line-height' => esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-menu-link-font-line-height' ) ),
                    'letter-spacing' => esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-menu-link-font-letter-spacing' ) ),
                    'padding' => esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-menu-link-padding-top-bottom' ) ) .'px '. esc_attr( $temp['menu-link-padding-left-right'] ) .'px',
                    'margin' => esc_attr( $temp['menu-link-margin-top-bottom'] ) .'px '. esc_attr( $temp['menu-link-margin-left-right'] ) .'px',
                    'border-bottom-width' => esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-menu-link-bottom-border-width' ) )
                )
            );

            # is there a margin top / bottom for a link added?
            if( $temp['menu-link-margin-top-bottom'] != '0' && $temp['submenu-links'] == 'visible-on-click-under-parent' ) {

                # update submenu margin
                $styles -> update_style(
                    'ueldo-side-menu-container#ueldo-side-menu nav.ueldo-side-menu-nav ul.sub-menu',
                    array(
                        'margin-top' => '-'. esc_attr( $temp['menu-link-margin-top-bottom'] )
                    )
                );
            }

            # do we need to change link width?
            if( $temp['menu-link-margin-left-right'] != '0' ) {

                # update menu link width
                $styles -> update_style(
                    'ueldo-side-menu-container#ueldo-side-menu nav.ueldo-side-menu-nav a',
                    array(
                        'width-webkit-calc' => '-webkit-calc( 100% - '. esc_attr( $temp['menu-link-margin-left-right'] * 2 ) .'px )',
                        'width-moz-calc' => '-moz-calc( 100% - '. esc_attr( $temp['menu-link-margin-left-right'] * 2 ) .'px )',
                        'width-calc' => 'calc( 100% - '. esc_attr( $temp['menu-link-margin-left-right'] * 2 ) .'px )'
                    )
                );
            }

            # switch by submenu links styles
            switch( $temp['submenu-links'] ) {

                # visible on click, as new layer
                case 'visible-on-click-as-new-layer':

                    # update menu icons sizes
                    $styles -> update_style(
                        'ueldo-side-menu-container#ueldo-side-menu .ueldo-side-menu-nav.ueldo-side-menu-submenu-links-visible-on-click-as-new-layer li.menu-item-has-children > a > span.ueldo-side-menu-link:after',
                        array(
                            'padding-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) => esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-menu-margin-between-icon-and-title' ) ),
                            'font-size' => esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-menu-icon-font-size' ) ),
                            'margin-top' => esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-menu-icon-margin-top' ) )
                        )
                    );

                    # update menu icons sizes
                    $styles -> update_style(
                        'ueldo-side-menu-container#ueldo-side-menu .ueldo-side-menu-nav.ueldo-side-menu-submenu-links-visible-on-click-as-new-layer ul.sub-menu > li > a.ueldo-side-menu-submenu-back-link > span:not(.ueldo-side-menu-link):before',
                        array(
                            'font-size' => esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-menu-icon-font-size' ) ),
                            'margin-top' => esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-menu-icon-margin-top' ) ),
                            'padding-'. esc_attr( ueldo_is_rtl() ? 'left' : 'right' ) => esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-menu-margin-between-icon-and-title' ) )
                        )
                    );

                break;

                # visible on click, under the parent
                case 'visible-on-click-under-parent':

                    # update menu icons sizes
                    $styles -> update_style(
                        'ueldo-side-menu-container#ueldo-side-menu .ueldo-side-menu-nav.ueldo-side-menu-submenu-links-visible-on-click-under-parent li.menu-item-has-children > a > span.ueldo-side-menu-link:after',
                        array(
                            'font-size' => esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-menu-icon-font-size' ) ),
                            'margin-top' => esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-menu-icon-margin-top' ) )
                        )
                    );

                    # update menu icons sizes
                    $styles -> update_style(
                        'ueldo-side-menu-container#ueldo-side-menu:not(.ueldo-side-menu-links-position-'. esc_attr( ueldo_is_rtl() ? 'left' : 'right' ) .') .ueldo-side-menu-nav.ueldo-side-menu-submenu-links-visible-on-click-under-parent li.menu-item-has-children > a > span.ueldo-side-menu-link:after',
                        array(
                            'padding-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) => esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-menu-margin-between-icon-and-title' ) ),
                        )
                    );

                    # update menu icons sizes
                    $styles -> update_style(
                        'ueldo-side-menu-container#ueldo-side-menu.ueldo-side-menu-links-position-'. esc_attr( ueldo_is_rtl() ? 'left' : 'right' ) .' .ueldo-side-menu-nav.ueldo-side-menu-submenu-links-visible-on-click-under-parent li.menu-item-has-children > a > span.ueldo-side-menu-link:after',
                        array(
                            esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) => '-'. esc_attr( ( int ) ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-menu-margin-between-icon-and-title' ) + ( ( int ) ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-menu-icon-font-size' ) / 2 ) ) .'px',
                        )
                    );

                break;
            }

            # custom padding and margin for additional element before the menu
            $styles -> update_style(
                'ueldo-side-menu-container#ueldo-side-menu .ueldo-side-menu-content-before-menu',
                array(
                    'padding' => esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-padding-top-bottom-additional-element-before-menu' ) ) .'px '. esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-padding-left-right-additional-element-before-menu' ) ) .'px',
                    'margin-top' => esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-margin-top-additional-element-before-menu' ) ),
                    'margin-right' => esc_attr( $temp['additional-element-before-menu-margin-right'] ),
                    'margin-bottom' => esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-margin-bottom-additional-element-before-menu' ) ),
                    'margin-left' => esc_attr( $temp['additional-element-before-menu-margin-left'] )
                )
            );

            # do we need to change link width?
            if( $temp['additional-element-before-menu-margin-left'] != '0' || $temp['additional-element-before-menu-margin-right'] != '0' ) {

                # update menu link width
                $styles -> update_style(
                    'ueldo-side-menu-container#ueldo-side-menu .ueldo-side-menu-content-before-menu',
                    array(
                        'width-webkit-calc' => '-webkit-calc( 100% - '. esc_attr( $temp['additional-element-before-menu-margin-left'] + $temp['additional-element-before-menu-margin-right'] ) .'px )',
                        'width-moz-calc' => '-moz-calc( 100% - '. esc_attr( $temp['additional-element-before-menu-margin-left'] + $temp['additional-element-before-menu-margin-right'] ) .'px )',
                        'width-calc' => 'calc( 100% - '. esc_attr( $temp['additional-element-before-menu-margin-left'] + $temp['additional-element-before-menu-margin-right'] ) .'px )'
                    )
                );
            }

            # custom padding and margin for additional element after the menu
            $styles -> update_style(
                'ueldo-side-menu-container#ueldo-side-menu .ueldo-side-menu-content-after-menu',
                array(
                    'padding' => esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-padding-top-bottom-additional-element-after-menu' ) ) .'px '. esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-padding-left-right-additional-element-after-menu' ) ) .'px',
                    'margin-top' => esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-margin-top-additional-element-after-menu' ) ),
                    'margin-right' => esc_attr( $temp['additional-element-after-menu-margin-right'] ),
                    'margin-bottom' => esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-margin-bottom-additional-element-after-menu' ) ),
                    'margin-left' => esc_attr( $temp['additional-element-after-menu-margin-left'] )
                )
            );

            # do we need to change link width?
            if( $temp['additional-element-after-menu-margin-left'] != '0' || $temp['additional-element-after-menu-margin-right'] != '0' ) {

                # update menu link width
                $styles -> update_style(
                    'ueldo-side-menu-container#ueldo-side-menu .ueldo-side-menu-content-after-menu',
                    array(
                        'width-webkit-calc' => '-webkit-calc( 100% - '. esc_attr( $temp['additional-element-after-menu-margin-left'] + $temp['additional-element-after-menu-margin-right'] ) .'px )',
                        'width-moz-calc' => '-moz-calc( 100% - '. esc_attr( $temp['additional-element-after-menu-margin-left'] + $temp['additional-element-after-menu-margin-right'] ) .'px )',
                        'width-calc' => 'calc( 100% - '. esc_attr( $temp['additional-element-after-menu-margin-left'] + $temp['additional-element-after-menu-margin-right'] ) .'px )'
                    )
                );
            }

            # remove temporary variables
            unset( $temp );
        }

       /**
        *
        * submit button position in comment reply form
        *
        */

        # update menu link width
        $styles -> update_style(
            'comment-respond form.comment-form p.form-submit',
            array(
                'text-align' => esc_attr( ueldo_get_theme_options_value( 'submit-button-position-in-comment-reply-form', esc_attr( $lang_key ) ) ),
            )
        );

       /**
        *
        * save styles
        *
        */

        # save css style
        $styles -> save_styles();

        # return result
        return( $styles -> get_css() );
    }

   /**
    *
    * get the fix value for header bars for static side menu and boxed website
    *
    */

    function ueldo_get_header_bar_fix_for_static_side_menu_and_boxed_website() {

        # return result
        return( ( esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'menu-position' ) ) == ( ueldo_is_rtl() ? 'right' : 'left' ) ? '-' : '' ) . ( ( int ) esc_attr( ueldo_get_theme_options_value( 'side-menu', false, 'custom-sizes-container-width' ) ) / 2 ) );
    }

   /**
    *
    * end of file.
    *
    */

?>