<?php

    # prevent direct file access
    if( !defined( 'ABSPATH' ) ) exit;

    # return if password is required
    if( post_password_required() ) return;

    # get paginate comments
    $ueldo_paginate_comments_links = paginate_comments_links( array(
        'prev_text' => '&laquo; '. esc_html( __( 'Newer comments', 'ueldo' ) ),
        'next_text' => esc_html( __( 'Older comments', 'ueldo' ) ) .' &raquo;',
        'echo' => false
    ) );

    # if have comments
    if( have_comments() ) {

        ?>
        <section class="ueldo-comments">

            <?php

                # do we have comments?
                if( have_comments() ) {

                    ?>
                    <h2>

                        <a name="comments">

                            <?php

                                # comments number
                                echo esc_html( get_comments_number() );

                                # comments title
                                echo get_comments_number() == 1 ? esc_html( __( ' comment', 'ueldo' ) ) : esc_html( __( ' comments', 'ueldo' ) );

                            ?>

                        </a>

                    </h2>

                    <ul class="ueldo-comments-list">

                        <?php

                            # list blog post comments
                            wp_list_comments( array(
                          					'style' => 'ul',
                          					'short_ping' => true,
                          					'avatar_size' => 47,
                               'echo' => true,
                               'reply_text' => '<span class="ueldo-comments-reply-link"><i class="fa fa-reply"></i>'. esc_html( __( 'Reply', 'ueldo' ) ) .'</span>',
                               'callback' => 'ueldo_display_comment'
                        				));

                        ?>

                    </ul>

                    <?php

                        # comments pagination
                        if( $ueldo_paginate_comments_links != null ) {

                            ?>
                            <div class="ueldo-comments-pagination">

                                <?php

                                    # display paginate comments links
                                    paginate_comments_links( array(
                                        'prev_text' => '<i class="fa fa-long-arrow-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) .'"></i> '. esc_html( __( 'Newer comments', 'ueldo' ) ),
                                        'next_text' => esc_html( __( 'Older comments', 'ueldo' ) ) .' <i class="fa fa-long-arrow-'. esc_attr( ueldo_is_rtl() ? 'left' : 'right' ) .'"></i>',
                                        'echo' => true
                                    ));

                                ?>

                                <div class="clear">
                                </div>

                            </div>
                            <?php
                        }

                    ?>
                    <?php
                }

                # remove temporary options
                $ueldo_paginate_comments_links = false;

            ?>

        </section>
        <?php

    # end of comments
    }

    # if comments are open, show comments form
    if( comments_open() ) {

        # comments reply form
        ueldo_comments_reply_form();
    }

?>