<?php

    # prevent direct file access
    if( !defined( 'ABSPATH' ) ) exit;

    # getting header
    get_header();

    # do we have posts?
    if( have_posts() ) {

        # initialize post
        the_post();

        # do we have the page with visual composer content?
        if( ueldo_is_vc_page( get_the_content() ) ) {

            ?>
            <div class="ueldo-content-default ueldo-content-default-vc-page">

                <div class="ueldo-content-container ueldo-content-wrapper">

                    <?php the_content(); ?>

                </div>

            </div>
            <?php
        }

        # default page
        else {

            ?>
            <div class="ueldo-content-default">

                <div class="ueldo-content-container ueldo-content-wrapper">

                    <article id="post-<?php the_ID(); ?>" class="ueldo-page <?php echo esc_attr( implode( ' ', get_post_class() ) ); ?>">

                        <?php

                            # get featured image
                            $ueldo_featured_image = ueldo_get_featured_image( get_the_ID(), get_the_title() );

                            # do we have featured image?
                            if( $ueldo_featured_image != '' ) {

                                ?>
                                <div class="ueldo-page-featured-image">

                                    <?php

                                        # display image
                                        ueldo_display_image_for_parent( $ueldo_featured_image['src'], $ueldo_featured_image['alt'] );

                                    ?>

                                </div>
                                <?php

                            # end of featured image
                            }

                        ?>

                        <h1 class="ueldo-blog-post-title">

                            <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>

                        </h1>

                        <?php

                            # post content
                            the_content( '' );

                            # if we need to paginate content
                            wp_link_pages( array(
                              		'before' => '<div class="ueldo-single-news-page-switcher"><h6>'. esc_html( __( 'Switch page:', 'ueldo' ) ) .'</h6>',
                              		'after' => '</div>',
                              		'link_before' => '',
                              		'link_after' => '',
                              		'next_or_number' => 'number',
                              		'separator' => ' ',
                              		'pagelink' => '<span class="ueldo-single-news-page" data-page-number="%">%</span>',
                              		'echo' => true
                          	 ));

                        ?>

                    </article>

                    <div class="ueldo-elements-under-content-elements">

                        <?php

                            # show comments
                            comments_template();

                        ?>

                    </div>

                </div>

            </div>
            <?php
        }

    # end of posts
    }

    # getting footer
    get_footer();

?>