<?php

    # prevent direct file access
    if( !defined( 'ABSPATH' ) ) exit;

    # getting header
    get_header();

    # do we have posts?
    if( have_posts() ) {

        # display sections for blog
        ueldo_show_sections_for_blog( 'above', 'search' );

        ?>
        <section class="ueldo-content-default" <?php echo ueldo_display_sidebar_attributes( 'posts-list' ); ?>>

            <div class="ueldo-content-container <?php echo esc_attr( ueldo_get_theme_options_value( 'blog-sidebar', false, 'posts-list' ) == 'no' ? 'ueldo-content-wrapper' : '' ); ?>">

                <?php

                    # if sidebar is set, wrap the content
                    if( ueldo_get_theme_options_value( 'blog-sidebar', false, 'posts-list' ) != 'no' ) {

                        ?>
                        <div class="ueldo-content-wrapper">
                        <?php
                    }

                    # get posts list style
                    $ueldo_posts_list_style = ueldo_get_theme_options_value( 'blog-posts-list-style', false, 'posts-list-style' );

                    # display default posts list
                    if( $ueldo_posts_list_style == 'default' ) {

                        # posts loop
                        while( have_posts() ) {

                            # initialize post
                            the_post();

                            ?>
                            <article id="post-<?php the_ID(); ?>" class="ueldo-blog-post <?php echo esc_attr( implode( ' ', get_post_class() ) ); ?>">

                                <div class="ueldo-blog-post-heading" data-is-single="false">

                                    <h2 class="ueldo-blog-post-title">

                                        <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>

                                    </h2>

                                    <?php

                                        # can we display post details?
                                        if( ueldo_get_theme_options_value( 'blog-posts-list-style', false, 'display-post-data-under-title' ) == 'yes' ) {

                                            # get the single post details data
                                            ueldo_show_post_details();
                                        }

                                    ?>

                                </div>

                                <?php

                                    # get featured image
                                    $ueldo_featured_image = ueldo_get_featured_image( get_the_ID(), get_the_title() );

                                    # do we have featured image?
                                    if( $ueldo_featured_image != '' ) {

                                        ?>
                                        <div class="ueldo-blog-post-featured-image <?php echo esc_attr( ueldo_get_theme_options_value( 'blog-posts-list-style', false, 'featured-image-reverse-indent-allowed' ) == 'yes' ? 'ueldo-blog-post-featured-image-reversed-indent-allowed' : '' ); ?>">

                                            <?php

                                                # display image
                                                ueldo_display_image_for_parent( $ueldo_featured_image['src'], $ueldo_featured_image['alt'] );

                                            ?>

                                        </div>
                                        <?php

                                    # end of featured image
                                    }

                                    # post content (not for vc page)
                                    if( !ueldo_is_vc_page( get_the_content() ) ) {

                                        # get custom page excerpt
                                        $ueldo_custom_page_excerpt = ueldo_get_single_page_custom_excerpt( get_the_ID() );

                                        # do we have the excerpt set?
                                        if( !empty( $ueldo_custom_page_excerpt ) ) echo apply_filters( 'the_content', $ueldo_custom_page_excerpt );
                                        else {

                                            # display the content
                                            the_content( '' );
                                        }

                                        # remove temporary variable
                                        unset( $ueldo_custom_page_excerpt );
                                    }

                                    # post content for vc page
                                    else {

                                        # display page excerpt
                                        echo apply_filters( 'the_content', ueldo_get_single_page_custom_excerpt( get_the_ID() ) );
                                    }

                                    # if the post password is required, don't display "read more" button
                                    if( strpos( implode( ' ', get_post_class() ), 'post-password-required' ) == false ) {

                                        ?>
                                        <p><a href="<?php the_permalink(); ?>" class="ueldo-button ueldo-read-more-button"><?php echo esc_html( __( 'Read more', 'ueldo' ) ); ?> <i class="fa fa-long-arrow-right ueldo-button-icon-after-text"></i></a></p>
                                        <?php
                                    }

                                ?>

                            </article>
                            <?php
                        }
                    }

                    # display masonry posts list
                    else {

                        ?>
                        <div class="ueldo-posts-list-masonry">

                            <?php

                                # posts loop
                                while( have_posts() ) {

                                    # initialize post
                                    the_post();

                                    # display single short post box
                                    ueldo_display_short_post_box( $ueldo_posts_list_style );
                                }

                            ?>

                        </div>
                        <?php
                    }

                ?>

                <div class="ueldo-elements-under-content-elements">

                    <?php

                        # switch posts page
                        ueldo_show_switch_page_links( 'search' );

                    ?>

                </div>

                <?php

                    # display sidebar if set and close the content wrapper
                    if( ueldo_get_theme_options_value( 'blog-sidebar', false, 'posts-list' ) != 'no' ) {

                        ?>
                        </div>

                        <div class="ueldo-sidebar-wrapper">

                            <?php

                                # get sidebar for blog
                                get_sidebar();

                            ?>

                        </div>
                        <?php

                    # end of blog sidebar
                    }

                ?>

            </div>

        </section>
        <?php

        # display sections for blog
        ueldo_show_sections_for_blog( 'under', 'search' );

    # end of posts
    }

    # there's no any posts?
    else {

        # get 404 page content
        ueldo_get_404_page_content();
    }

    # getting footer
    get_footer();

?>