<?php

    # prevent direct file access
    if( !defined( 'ABSPATH' ) ) exit;

    # getting header
    get_header();

    # posts loop
    while( have_posts() ) {

        # initialize post
        the_post();

        # display sections for blog
        ueldo_show_sections_for_blog( 'above', 'single-post' );

        ?>
        <div class="ueldo-content-default" <?php echo ueldo_display_sidebar_attributes( 'single-post' ); ?>>

            <div class="ueldo-content-container <?php echo esc_attr( ueldo_get_theme_options_value( 'blog-sidebar', false, 'single-post' ) == 'no' ? 'ueldo-content-wrapper' : '' ); ?>">

                <?php

                    # if sidebar is set, wrap the content
                    if( ueldo_get_theme_options_value( 'blog-sidebar', false, 'single-post' ) != 'no' ) {

                        ?>
                        <div class="ueldo-content-wrapper">
                        <?php
                    }

                ?>

                <article id="post-<?php the_ID(); ?>" class="ueldo-blog-post ueldo-blog-post-single <?php echo esc_attr( implode( ' ', get_post_class() ) ); ?>">

                    <?php

                        # display post heading under featured image
                        if( ueldo_get_theme_options_value( 'single-blog-post-style', false, 'featured-image-position' ) == 'under-post-title-and-data' ) ueldo_show_post_heading();

                        # can we show the featured image?
                        if( ueldo_get_theme_options_value( 'featured-image-on-lists-only' ) == 'no' ) {

                            # get featured image
                            $ueldo_featured_image = ueldo_get_featured_image( get_the_ID(), get_the_title() );

                            # do we have featured image?
                            if( $ueldo_featured_image != '' ) {

                                ?>
                                <div class="ueldo-blog-post-featured-image <?php echo esc_attr( ueldo_get_theme_options_value( 'single-blog-post-style', false, 'featured-image-reverse-indent-allowed' ) == 'yes' ? 'ueldo-blog-post-featured-image-reversed-indent-allowed' : '' ); ?>">

                                    <?php

                                        # display image
                                        ueldo_display_image_for_parent( $ueldo_featured_image['src'], $ueldo_featured_image['alt'] );

                                    ?>

                                </div>
                                <?php

                            # end of featured image
                            }
                        }

                        # display post heading under featured image
                        if( ueldo_get_theme_options_value( 'single-blog-post-style', false, 'featured-image-position' ) == 'above-post-title-and-data' ) ueldo_show_post_heading();

                        # post content
                        the_content( '' );

                        # if we need to paginate content
                        wp_link_pages( array(
                          		'before' => '<div class="ueldo-single-news-page-switcher"><h6>'. esc_html( __( 'Switch page:', 'ueldo' ) ) .'</h6>',
                          		'after' => '</div>',
                          		'link_before' => '',
                          		'link_after' => '',
                          		'next_or_number' => 'number',
                          		'separator' => ' ',
                          		'pagelink' => '<span class="ueldo-single-news-page" data-page-number="%">%</span>',
                          		'echo' => true
                      	 ));

                    ?>

                </article>

                <div class="ueldo-elements-under-content-elements">

                    <?php

                        # display elements under blog post content
                        ueldo_display_elements_under_single_blog_post_content( $post, get_the_ID() );

                        # show comments
                        comments_template();

                    ?>

                </div>

                <?php

                    # display sidebar if set and close the content wrapper
                    if( ueldo_get_theme_options_value( 'blog-sidebar', false, 'single-post' ) != 'no' ) {

                        ?>
                        </div>

                        <div class="ueldo-sidebar-wrapper" data-sidebar-responsive-style="<?php echo esc_attr( ueldo_get_theme_options_value( 'blog-sidebar', false, 'responsive-style' ) ); ?>">

                            <?php

                                # get sidebar for blog
                                get_sidebar();

                            ?>

                        </div>
                        <?php

                    # end of blog sidebar
                    }

                ?>

            </div>

        </div>
        <?php

        # display sections for blog
        ueldo_show_sections_for_blog( 'under', 'single-post' );

    # end of posts loop
    }

    # getting footer
    get_footer();

?>