<?php

   /**
    *
    * prepare the data for shortcode
    *
    */

    # extract shortcode arguments
    extract( shortcode_atts( array(
       'class_name' => '',
       'type' => 'info',
       'add_icon' => 'no',
       'icon_position' => esc_attr( ueldo_is_rtl() ? 'right' : 'left' ),
       'icon_library' => 'fontawesome',
       'icon_fontawesome' => 'fa fa-long-arrow-right',
       'icon_openiconic' => 'vc_icon_element-icon vc-oi vc-oi-dial',
       'icon_typicons' => 'typcn typcn-adjust-brightness',
       'icon_entypo' => 'entypo-icon entypo-icon-note',
       'icon_linecons' => 'vc_li vc_li-heart',
       'icon_monosocial' => 'vc-mono vc-mono-fivehundredpx',
       'icon_material' => 'vc-material vc-material-account_balance'
    ), $atts ));

    # define the icon variable
    $icon = '';

    # is icon set?
    if( $add_icon == 'yes' ) {

        # switch the icon library
        switch( $icon_library ) {

            case 'fontawesome': $icon = $icon_fontawesome; break;
            case 'openiconic': $icon = $icon_openiconic; break;
            case 'typicons': $icon = $icon_typicons; break;
            case 'entypo': $icon = $icon_entypo; break;
            case 'linecons': $icon = $icon_linecons; break;
            case 'monosocial': $icon = $icon_monosocial; break;
            case 'material': $icon = $icon_material; break;
            default: $icon = ueldo_get_custom_icon( $atts, 'icon_' ); break;
        }
    }

   /**
    *
    * display shortcode
    *
    */

?>
<div class="ueldo-shortcode-announcement ueldo-shortcode-announcement-type-<?php echo esc_attr( $type ); ?> <?php echo esc_attr( $class_name ); ?>">

    <?php

        # do we have icon and should display it on left side?
        if( $add_icon == 'yes' && $icon_position == 'left' ) {

            ?>
            <div class="ueldo-shortcode-announcement-icon ueldo-shortcode-announcement-icon-left">

                <i class="<?php echo esc_attr( $icon ); ?>"></i>

            </div>
            <?php
        }

    ?>

    <div class="ueldo-shortcode-announcement-content <?php echo esc_attr( $add_icon == 'yes' ? 'ueldo-shortcode-announcement-content-with-icon' : '' ); ?>">

        <?php

            # display content
            echo apply_filters( 'the_content', $content );

        ?>

    </div>

    <?php

        # do we have icon and should display it on right side?
        if( $add_icon == 'yes' && $icon_position == 'right' ) {

            ?>
            <div class="ueldo-shortcode-announcement-icon ueldo-shortcode-announcement-icon-right">

                <i class="<?php echo esc_attr( $icon ); ?>"></i>

            </div>
            <?php
        }

    ?>

</div>
<?php

    # clear the variables
    unset( $class_name, $type, $add_icon, $icon_position, $icon_library, $icon_fontawesome, $icon_openiconic, $icon_typicons, $icon_entypo, $icon_linecons, $icon_monosocial, $icon_material, $icon );

?>