<?php

   /**
    *
    * prepare the data for shortcode
    *
    */

    # extract shortcode arguments
    extract( shortcode_atts( array(
       'class_name' => '',
       'show_box_icon' => 'yes',
       'box_icon_position' => esc_attr( ueldo_is_rtl() ? 'left' : 'right' ),
       'box_icon_library' => 'fontawesome',
       'box_icon_fontawesome' => 'fa fa-long-arrow-right',
       'box_icon_openiconic' => 'vc_icon_element-icon vc-oi vc-oi-dial',
       'box_icon_typicons' => 'typcn typcn-adjust-brightness',
       'box_icon_entypo' => 'entypo-icon entypo-icon-note',
       'box_icon_linecons' => 'vc_li vc_li-heart',
       'box_icon_monosocial' => 'vc-mono vc-mono-fivehundredpx',
       'box_icon_material' => 'vc-material vc-material-account_balance'
    ), $atts ));

   /**
    *
    * get icon
    *
    */

    # define the icon variable
    $icon = '';

    # switch the icon library
    switch( $box_icon_library ) {

        case 'fontawesome': $icon = $box_icon_fontawesome; break;
        case 'openiconic': $icon = $box_icon_openiconic; break;
        case 'typicons': $icon = $box_icon_typicons; break;
        case 'entypo': $icon = $box_icon_entypo; break;
        case 'linecons': $icon = $box_icon_linecons; break;
        case 'monosocial': $icon = $box_icon_monosocial; break;
        case 'material': $icon = $box_icon_material; break;
        default: $icon = ueldo_get_custom_icon( $atts, 'box_icon_' ); break;
    }

   /**
    *
    * display element
    *
    */

?>
<div class="ueldo-shortcode-attributes-box <?php echo esc_attr( $class_name ); ?>">

    <?php

        # can we display the icon?
        if( $show_box_icon == 'yes' ) {

            # define icon position class
            $icon_position_class = '';

            # get icon position class
            switch( $box_icon_position ) {

                case 'left': $icon_position_class = 'ueldo-shortcode-attributes-box-icon-left'; break;
                case 'right': $icon_position_class = 'ueldo-shortcode-attributes-box-icon-right'; break;
                case 'above': $icon_position_class = 'ueldo-shortcode-attributes-box-icon-above'; break;
                case 'under': $icon_position_class = 'ueldo-shortcode-attributes-box-icon-under'; break;
            }

            ?>
            <i class="<?php echo esc_attr( $icon ); ?> ueldo-shortcode-attributes-box-icon <?php echo esc_attr( $icon_position_class ); ?>"></i>
            <?php
        }

    ?>

    <div class="ueldo-shortcode-attributes-box-elements">

        <ul>

            <?php

                # display attributes box elements
                echo do_shortcode( $content );

            ?>

        </ul>

    </div>

</div>
<?php

    # clear the variables
    unset( $class_name, $show_box_icon, $box_icon_position, $box_icon_library, $box_icon_fontawesome, $box_icon_openiconic, $box_icon_typicons, $box_icon_entypo, $box_icon_linecons, $box_icon_monosocial, $box_icon_material, $icon, $icon_position_class );

?>