<?php

   /**
    *
    * prepare the data for shortcode
    *
    */

    # extract shortcode arguments
    extract( shortcode_atts( array(
       'class_name' => '',
       'title' => esc_html( __( 'High qualified team', 'ueldo' ) ),
       'icon_library' => 'fontawesome',
       'icon_fontawesome' => 'fa fa-long-arrow-right',
       'icon_openiconic' => 'vc_icon_element-icon vc-oi vc-oi-dial',
       'icon_typicons' => 'typcn typcn-adjust-brightness',
       'icon_entypo' => 'entypo-icon entypo-icon-note',
       'icon_linecons' => 'vc_li vc_li-heart',
       'icon_monosocial' => 'vc-mono vc-mono-fivehundredpx',
       'icon_material' => 'vc-material vc-material-account_balance'
    ), $atts ));

   /**
    *
    * get icon
    *
    */

    # define the icon variable
    $icon = '';

    # switch the icon library
    switch( $icon_library ) {

        case 'fontawesome': $icon = $icon_fontawesome; break;
        case 'openiconic': $icon = $icon_openiconic; break;
        case 'typicons': $icon = $icon_typicons; break;
        case 'entypo': $icon = $icon_entypo; break;
        case 'linecons': $icon = $icon_linecons; break;
        case 'monosocial': $icon = $icon_monosocial; break;
        case 'material': $icon = $icon_material; break;
        default: $icon = ueldo_get_custom_icon( $atts, 'icon_' ); break;
    }

   /**
    *
    * display element
    *
    */

?><li class="<?php echo esc_attr( $class_name ); ?>">

    <i class="<?php echo esc_attr( $icon ); ?>"></i>
    <span class="ueldo-shortcode-attributes-box-element-content">

        <?php

            # do we have the title?
            if( !empty( $title ) ) {

                ?>
                <span class="ueldo-shortcode-attributes-box-element-title">

                    <?php echo esc_html( $title ); ?>

                </span>
                <?php
            }

            # display content
            echo apply_filters( 'the_content', $content );

        ?>

    </span>

</li><?php

    # clear the variables
    unset( $class_name, $title, $icon_library, $icon_fontawesome, $icon_openiconic, $icon_typicons, $icon_entypo, $icon_linecons, $icon_monosocial, $icon_material, $icon );

?>