<?php

   /**
    *
    * prepare the data for shortcode
    *
    */

    # extract shortcode arguments
    extract( shortcode_atts( array(
       'class_name' => '',
       'columns' => '3',
       'masonry_enabled' => 'yes'
    ), $atts ));

   /**
    *
    * display shortcode
    *
    */

?>
<div class="ueldo-shortcode-filtered-masonry <?php echo esc_attr( esc_attr( $class_name ) ); ?>" data-columns-in-row="<?php echo esc_attr( $columns ); ?>" data-masonry-mode-enabled="<?php echo esc_attr( $masonry_enabled ); ?>">

    <?php

        # get all filter categories from cells
        $filter_categories = ueldo_vc_get_filter_masonry_cells_filters( $content );

        # do we have the filters?
        if( $filter_categories != false ) {

            ?>
            <div class="ueldo-shortcode-filtered-masonry-filter-list-container">

                <ul class="ueldo-shortcode-filtered-masonry-filter-list">

                    <li class="ueldo-shortcode-filtered-masonry-filter-active" data-filter-category="*"><span class="ueldo-shortcode-filtered-masonry-filter-title"><?php echo esc_html( __( 'All', 'ueldo' ) ) ?></span></li>

                    <?php

                        # walk for each filter category
                        foreach( $filter_categories as $filter_category_key => $filter_category_name ) {

                            ?>
                            <li data-filter-category="ueldo-shortcode-filtered-masonry-cell-filter-<?php echo esc_attr( $filter_category_key ); ?>"><span class="ueldo-shortcode-filtered-masonry-filter-title"><?php echo esc_html( $filter_category_name ); ?></span></li>
                            <?php
                        }

                    ?>

                </ul>

            </div>
            <?php
        }

    ?>

    <div class="ueldo-shortcode-filtered-masonry-container">

        <?php

            # display shortcode elements
            echo apply_filters( 'the_content', $content );

        ?>

    </div>

</div>
<?php

    # clear the variables
    unset( $class_name, $columns, $masonry_enabled, $filter_categories, $filter_category_key, $filter_category_name );

?>