<?php

   /**
    *
    * prepare the data for shortcode
    *
    */

    # extract shortcode arguments
    extract( shortcode_atts( array(
       'class_name' => '',
       'width' => 'normal',
       'filter_category' => esc_html( __( 'Photography', 'ueldo' ) )
    ), $atts ));

    # shortcode element class
    $shortcode_class = 'ueldo-shortcode-filtered-masonry-cell';

    # do we have double width element?
    if( $width == 'double' ) {

        # update shortcode class
        $shortcode_class .= ' ueldo-shortcode-filtered-masonry-cell-double-width';
    }

    # get filter categories
    if( !empty( $filter_category ) ) {

        # explode filter categories with comma
        $filter_categories_exploded = explode( ',', $filter_category );

        # do we have one filter category?
        if( count( $filter_categories_exploded ) == 1 ) $shortcode_class .= ' ueldo-shortcode-filtered-masonry-cell-filter-'. trim( sanitize_title( $filter_categories_exploded[0] ) );
        else {

            # walk for each exploded filter category
            foreach( $filter_categories_exploded as $single_filter_category ) {

                # update filter categories result
                $shortcode_class .= ' ueldo-shortcode-filtered-masonry-cell-filter-'. trim( sanitize_title( $single_filter_category ) );
            }
        }
    }

    # update shortcode element class with unique class ID
    $shortcode_class .= ' '. esc_attr( $class_name );

   /**
    *
    * display shortcode
    *
    */

?>
<div class="<?php echo esc_attr( $shortcode_class ); ?>">

    <div class="ueldo-shortcode-filtered-masonry-cell-inner">

        <?php

            # display content
            echo apply_filters( 'the_content', $content );

        ?>

    </div>

</div>
<?php

    # clear the variables
    unset( $class_name, $width, $filter_category, $shortcode_class, $filter_categories_exploded, $single_filter_category );

?>