<?php

   /**
    *
    * prepare the data for shortcode
    *
    */

    # extract shortcode arguments
    extract( shortcode_atts( array(
       'class_name' => '',
       'type' => 'companies',
       'author_name_position' => 'under-content',
       'animation_style' => 'standard',
       'content_position' => 'under',
       'first_after_last' => 'yes',
       'enable_arrows_animation' => 'yes'
    ), $atts ));

    # get object of unique tabs id class
    global $ueldo_vc_shortcode_unique_tabs_slugs;

   /**
    *
    * display the shortcode
    *
    */

?>
<div class="ueldo-shortcode-full-width-testimonials <?php echo esc_attr( $class_name ); ?>" data-loop-type="<?php echo esc_attr( $type == 'companies' ? 'logos' : 'images' ); ?>">

    <?php

        # is it companies testimonials loop?
        if( $type == 'companies' ) {

            # display clients logos loop above the content
            if( $content_position == 'under' ) ueldo_shortcode_full_width_testimonials_display_clients_logos_loop( $content, $content_position, $animation_style, $first_after_last );

            ?>
            <div class="ueldo-shortcode-full-width-testimonials-single-testimonial-contents">

                <?php

                    # clear unique tabs id variable
                    $ueldo_vc_shortcode_unique_tabs_slugs -> clear_last_id();

                    # display contents
                    echo apply_filters( 'the_content', $content );

                ?>

                <span class="ueldo-shortcode-full-width-testimonials-next-prev-icon" data-next-prev-icon-type="prev" data-animation-enabled="<?php echo esc_attr( $enable_arrows_animation ); ?>"><i class="fa fa-long-arrow-<?php echo esc_attr( ueldo_is_rtl() ? 'right' : 'left' ); ?>"></i></span>
                <span class="ueldo-shortcode-full-width-testimonials-next-prev-icon" data-next-prev-icon-type="next" data-animation-enabled="<?php echo esc_attr( $enable_arrows_animation ); ?>"><i class="fa fa-long-arrow-<?php echo esc_attr( ueldo_is_rtl() ? 'left' : 'right' ); ?>"></i></span>

            </div>
            <?php

            # display clients logos loop under the content
            if( $content_position == 'above' ) ueldo_shortcode_full_width_testimonials_display_clients_logos_loop( $content, $content_position, $animation_style, $first_after_last );
        }

        # persons testimonials loop
        else {

            # display clients logos loop under the content
            if( $content_position == 'under' ) {

                # author names above author images
                if( $author_name_position == 'above-person-images' ) ueldo_shortcode_full_width_testimonials_display_testimonial_authors( $content, $author_name_position, $content_position );

                # author images
                ueldo_shortcode_full_width_testimonials_display_clients_images_loop( $content, $first_after_last );

                # author names under author images
                if( $author_name_position == 'under-person-images' ) ueldo_shortcode_full_width_testimonials_display_testimonial_authors( $content, $author_name_position, $content_position );
            }

            # author names above content
            if( $author_name_position == 'above-content' ) ueldo_shortcode_full_width_testimonials_display_testimonial_authors( $content, $author_name_position, $content_position );

            ?>
            <div class="ueldo-shortcode-full-width-testimonials-single-testimonial-contents">

                <?php

                    # clear unique tabs id variable
                    $ueldo_vc_shortcode_unique_tabs_slugs -> clear_last_id();

                    # display contents
                    echo apply_filters( 'the_content', $content );

                ?>

                <span class="ueldo-shortcode-full-width-testimonials-next-prev-icon" data-next-prev-icon-type="prev" data-animation-enabled="<?php echo esc_attr( $enable_arrows_animation ); ?>"><i class="fa fa-long-arrow-<?php echo esc_attr( ueldo_is_rtl() ? 'right' : 'left' ); ?>"></i></span>
                <span class="ueldo-shortcode-full-width-testimonials-next-prev-icon" data-next-prev-icon-type="next" data-animation-enabled="<?php echo esc_attr( $enable_arrows_animation ); ?>"><i class="fa fa-long-arrow-<?php echo esc_attr( ueldo_is_rtl() ? 'left' : 'right' ); ?>"></i></span>

            </div>
            <?php

            # author names above content
            if( $author_name_position == 'under-content' ) ueldo_shortcode_full_width_testimonials_display_testimonial_authors( $content, $author_name_position, $content_position );

            # display clients logos loop under the content
            if( $content_position == 'above' ) {

                # author names above author images
                if( $author_name_position == 'above-person-images' ) ueldo_shortcode_full_width_testimonials_display_testimonial_authors( $content, $author_name_position, $content_position );

                # author images
                ueldo_shortcode_full_width_testimonials_display_clients_images_loop( $content, $first_after_last );

                # author names under author images
                if( $author_name_position == 'under-person-images' ) ueldo_shortcode_full_width_testimonials_display_testimonial_authors( $content, $author_name_position, $content_position );
            }
        }

    ?>

</div>
<?php

    # clear the variables
    unset( $class_name, $type, $author_name_position, $animation_style, $content_position, $first_after_last, $enable_arrows_animation );

?>