<?php

   /**
    *
    * prepare the data for shortcode
    *
    */

    # extract shortcode arguments
    extract( shortcode_atts( array(
       'class_name' => '',
       'author_name' => esc_html( __( 'John Doe', 'ueldo' ) ),
       'author_description' => esc_html( __( 'Regular customer', 'ueldo' ) )
    ), $atts ));

    # get object of unique tabs id class
    global $ueldo_vc_shortcode_unique_tabs_slugs;

    # get testimonial id
    $testimonial_id = $ueldo_vc_shortcode_unique_tabs_slugs -> get_next_id();

?>
<div class="ueldo-shortcode-full-width-testimonials-single-testimonial-content" data-active="<?php echo esc_attr( $testimonial_id == 1 ? 'yes' : 'no' ); ?>" data-testimonial-id="<?php echo esc_attr( $testimonial_id ); ?>">

    <div class="ueldo-shortcode-full-width-testimonials-single-testimonial-content-container">

        <?php

            # display content
            echo apply_filters( 'the_content', $content );

        ?>

    </div>

    <?php

        # do we have author name or author description set?
        if( !empty( $author_name ) || !empty( $author_description ) ) {

            ?>
            <div class="ueldo-shortcode-full-width-testimonials-single-testimonial-author">

                <?php if( !empty( $author_name ) ) { ?><p class="ueldo-shortcode-full-width-testimonials-single-testimonial-author-name"><?php echo esc_html( $author_name ); ?></p><?php } ?>
                <?php if( !empty( $author_description ) ) { ?><p><?php echo esc_html( $author_description ); ?></p><?php } ?>

            </div>
            <?php

        # end of author
        }

    ?>

</div>
<?php

    # clear the variables
    unset( $class_name, $author_name, $author_description, $testimonial_id );

?>