<?php

   /**
    *
    * prepare the data for shortcode
    *
    */

    # extract shortcode arguments
    extract( shortcode_atts( array(
       'class_name' => '',
       'menu_id' => ueldo_get_main_menu_slug(),
       'menu_style' => '01',
       'menu_width_style' => 'block',
       'menu_links_alignment' => esc_attr( ueldo_is_rtl() ? 'right' : 'left' ),
       'hide_from' => 'small',
       'first_submenu_container_alignment' => esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) .'-with-parent-padding',
       'submenu_links_alignment' => esc_attr( ueldo_is_rtl() ? 'right' : 'left' )
    ), $atts ));

    # prepare shortcode class name
    $shortcode_class = 'ueldo-shortcode-header-menu';

    # update shortcode class name with menu style option value
    $shortcode_class .= ' ueldo-shortcode-header-menu-style-'. esc_attr( $menu_style );

    # update shortcode class name with first submenu alignment option value
    $shortcode_class .= ' ueldo-shortcode-header-menu-first-submenu-alignment-'. esc_attr( $first_submenu_container_alignment );

    # update shortcode class name with header menu width style
    $shortcode_class .= ' ueldo-shortcode-header-menu-width-style-'. esc_attr( $menu_width_style );

    # is header menu width block?
    if( $menu_width_style == 'block' ) {

        # update shortcode class name with header menu links alignment option value
        $shortcode_class .= ' ueldo-shortcode-header-menu-menu-links-alignment-'. esc_attr( $menu_links_alignment );
    }

    # update shortcode class name with submenu links alignment option value
    $shortcode_class .= ' ueldo-shortcode-header-menu-submenu-links-alignment-'. esc_attr( $submenu_links_alignment );

    # update shortcode class name with unique class ID
    $shortcode_class .= ' '. esc_attr( $class_name );

   /**
    *
    * display shortcode
    *
    */

?>
<div class="<?php echo esc_attr( $shortcode_class ); ?>" data-hide-from="<?php echo esc_attr( $hide_from ); ?>">

    <?php

        # format the menu
        ueldo_heading_menu( wp_nav_menu( array(
            'theme_location' => '',
            'menu' => esc_attr( $menu_id ),
            'container' => 'nav',
            'container_class' => 'ueldo-shortcode-header-menu-nav',
            'container_id' => '',
            'menu_class' => '',
            'menu_id' => '',
            'echo' => false,
            'fallback_cb' => 'wp_page_menu',
            'before' => '',
            'after' => '',
            'link_before' => '',
            'link_after' => '',
            'items_wrap' => '<ul>%3$s</ul>',
            'depth' => 0,
            'walker' => ''
        )), 'ueldo-shortcode-header-menu-nav' );

    ?>

</div>
<?php

    # clear the variables
    unset( $class_name, $menu_id, $menu_style, $menu_width_style, $menu_links_alignment, $hide_from, $first_submenu_container_alignment, $submenu_links_alignment, $shortcode_class );

?>