<?php

   /**
    *
    * prepare the data for shortcode
    *
    */

    # extract shortcode arguments
    extract( shortcode_atts( array(
       'class_name' => '',
       'heading_tag' => 'h2',
       'text_align' => esc_attr( ueldo_is_rtl() ? 'right' : 'left' ),
       'display_heading_subtitle' => 'yes-above',
       'heading_subtitle_text' => esc_html( __( 'Meet our company', 'ueldo' ) ),
       'heading_url' => ''
    ), $atts ));

    # get link
    $heading_url = vc_build_link( $heading_url );

    # element base class
    $shortcode_class = 'ueldo-shortcode-heading';

    # get element class
    switch( $text_align ) {

        case 'inline': $shortcode_class .= ' ueldo-shortcode-heading-align-inline'; break;
        case 'left': $shortcode_class .= ' ueldo-shortcode-heading-align-left'; break;
        case 'center': $shortcode_class .= ' ueldo-shortcode-heading-align-center'; break;
        case 'right': $shortcode_class .= ' ueldo-shortcode-heading-align-right'; break;
    }

?>
<div class="<?php echo esc_attr( $shortcode_class ); ?>">

    <?php

        # open heading tag
        echo '<'. esc_html( $heading_tag ) .' class="'. esc_attr( $class_name ) .'">';

        # do we have a link set?
        if( !empty( $heading_url['url'] ) || !empty( $heading_url['title'] ) ) {

            ?>
            <a href="<?php echo esc_url( $heading_url['url'] ); ?>" target="<?php echo esc_attr( trim( $heading_url['target'] ) == '_blank' ? '_blank' : '_self' ); ?>" title="<?php echo esc_attr( $heading_url['title'] ); ?>">
            <?php
        }

        # can we display heading subtitle text above the heading text?
        if( $display_heading_subtitle == 'yes-above' ) {

            ?>
            <span class="ueldo-heading-subtitle ueldo-heading-subtitle-above"><?php echo esc_html( $heading_subtitle_text ); ?></span>
            <?php
        }

        # display heading text
        echo do_shortcode( $content );

        # can we display heading subtitle text under the heading text?
        if( $display_heading_subtitle == 'yes-under' ) {

            ?>
            <span class="ueldo-heading-subtitle ueldo-heading-subtitle-under"><?php echo esc_html( $heading_subtitle_text ); ?></span>
            <?php
        }

        # close link if opened
        if( !empty( $heading_url['url'] ) || !empty( $heading_url['title'] ) ) {

            ?>
            </a>
            <?php
        }

        # close heading tag
        echo '</'. esc_html( $heading_tag ) .'>';

    ?>

</div>
<?php

    # clear the variables
    unset( $class_name, $heading_tag, $text_align, $display_heading_subtitle, $heading_subtitle_text, $heading_url, $shortcode_class );

?>