<?php

   /**
    *
    * prepare the data for shortcode
    *
    */

    # extract shortcode arguments
    extract( shortcode_atts( array(
       'class_name' => '',
       'icon_alignment' => esc_attr( ueldo_is_rtl() ? 'right' : 'left' ),
       'icon_library' => 'fontawesome',
       'icon_fontawesome' => 'fa fa-long-arrow-right',
       'icon_openiconic' => 'vc_icon_element-icon vc-oi vc-oi-dial',
       'icon_typicons' => 'typcn typcn-adjust-brightness',
       'icon_entypo' => 'entypo-icon entypo-icon-note',
       'icon_linecons' => 'vc_li vc_li-heart',
       'icon_monosocial' => 'vc-mono vc-mono-fivehundredpx',
       'icon_material' => 'vc-material vc-material-account_balance',
       'add_url_to_icon' => 'no',
       'icon_url' => ueldo_get_default_button_url( '#', esc_html( __( 'Contact us', 'ueldo' ) ), '_blank' )
    ), $atts ));

    # do we have to add link to icon?
    if( $add_url_to_icon == 'yes' ) {

        # get link
        $icon_url = vc_build_link( $icon_url );
    }

   /**
    *
    * get shortcode class
    *
    */

    # shortcode class base
    $shortcode_class = 'ueldo-shortcode-icon';

    # update shortcode class base with icon alignment
    $shortcode_class .= ' ueldo-shortcode-icon-alignment-'. esc_attr( $icon_alignment );

    # update shortcode class with unique class ID
    $shortcode_class .= ' '. esc_attr( $class_name );

   /**
    *
    * get the icon
    *
    */

    # define the icon variable
    $icon = '';

    # switch the icon library
    switch( $icon_library ) {

        case 'fontawesome': $icon = $icon_fontawesome; break;
        case 'openiconic': $icon = $icon_openiconic; break;
        case 'typicons': $icon = $icon_typicons; break;
        case 'entypo': $icon = $icon_entypo; break;
        case 'linecons': $icon = $icon_linecons; break;
        case 'monosocial': $icon = $icon_monosocial; break;
        case 'material': $icon = $icon_material; break;
        default: $icon = ueldo_get_custom_icon( $atts, 'icon_' ); break;
    }

   /**
    *
    * display shortcode
    *
    */

?>
<div class="<?php echo esc_attr( $shortcode_class ); ?>">

    <?php

        # display icon link
        if( $add_url_to_icon == 'yes' ) { ?><a href="<?php echo esc_url( $icon_url['url'] ); ?>" target="<?php echo esc_attr( trim( $icon_url['target'] ) == '_blank' ? '_blank' : '_self' ); ?>" title="<?php echo esc_attr( $icon_url['title'] ); ?>"><?php }

    ?>

    <i class="<?php echo esc_html( $icon ); ?>"></i>

    <?php

        # close icon link
        if( $add_url_to_icon == 'yes' ) { ?></a><?php }

    ?>

</div>
<?php

    # clear the variables
    unset( $class_name, $icon, $icon_alignment, $icon_library, $icon_fontawesome, $icon_openiconic, $icon_typicons, $icon_entypo, $icon_linecons, $icon_monosocial, $icon_material, $add_url_to_icon, $icon_url );

?>