<?php

   /**
    *
    * prepare the data for shortcode
    *
    */

    # global variables
    global $ueldo_styles_cache;

    # extract shortcode arguments
    extract( shortcode_atts( array(
       'class_name' => '',
       'content_alignment' => 'center',
       'content_position' => 'bottom',
       'heading_vertical_alignment' => 'middle',
       'nested_shortcodes_visibility' => 'visible',
       'whole_box_link' => 'no',
       'info_box_title' => esc_html( __( 'Huge experience', 'ueldo' ) ),
       'info_box_subtitle' => esc_html( __( 'Find out more!', 'ueldo' ) ),
       'info_box_title_heading_type' => 'h6',
       'display_additional_info_box_element' => 'no',
       'box_link_url' => ueldo_get_default_button_url( '#', esc_html( __( 'Contact us', 'ueldo' ) ) ),
       'info_element_display_as' => 'static',
       'progress_bar_value' => '100%',
       'progress_bar_duration' => '3000',
       'info_element_border_width' => '0',
       'info_element_type' => 'icon',
       'info_element_icon_library' => 'fontawesome',
       'info_element_icon_fontawesome' => 'fa fa-long-arrow-right',
       'info_element_icon_openiconic' => 'vc_icon_element-icon vc-oi vc-oi-dial',
       'info_element_icon_typicons' => 'typcn typcn-adjust-brightness',
       'info_element_icon_entypo' => 'entypo-icon entypo-icon-note',
       'info_element_icon_linecons' => 'vc_li vc_li-heart',
       'info_element_icon_monosocial' => 'vc-mono vc-mono-fivehundredpx',
       'info_element_icon_material' => 'vc-material vc-material-account_balance',
       'info_element_text' => esc_html( __( 'Contact us', 'ueldo' ) ),
       'info_element_counter_value' => '3500',
       'info_element_counter_duration' => '2000',
       'image' => esc_url( get_template_directory_uri() .'/_assets/_img/image.png' ),
       'image_alt' => esc_html( __( 'Image', 'ueldo' ) ),
       'additional_info_element_position' => 'right_bottom',
       'additional_info_element_type' => 'text',
       'additional_info_element_icon_library' => 'fontawesome',
       'additional_info_element_icon_fontawesome' => 'fa fa-long-arrow-right',
       'additional_info_element_icon_openiconic' => 'vc_icon_element-icon vc-oi vc-oi-dial',
       'additional_info_element_icon_typicons' => 'typcn typcn-adjust-brightness',
       'additional_info_element_icon_entypo' => 'entypo-icon entypo-icon-note',
       'additional_info_element_icon_linecons' => 'vc_li vc_li-heart',
       'additional_info_element_icon_monosocial' => 'vc-mono vc-mono-fivehundredpx',
       'additional_info_element_icon_material' => 'vc-material vc-material-account_balance',
       'additional_info_element_text' => esc_html( __( '1', 'ueldo' ) ),
       'additional_info_element_counter_value' => '3500',
       'additional_info_element_counter_duration' => '2000',
       'additional_info_element_image' => esc_url( get_template_directory_uri() .'/_assets/_img/image.png' ),
       'additional_info_element_image_alt' => esc_html( __( 'Image', 'ueldo' ) ),
       'custom_colors_enabled' => 'theme_defaults',
       'info_element_border_color' => esc_attr( $ueldo_styles_cache -> get_style( 'info-box-element-border-color' ) ),
       'info_element_border_color_hover' => esc_attr( $ueldo_styles_cache -> get_style( 'info-box-element-border-color' ) ),
       'info_element_background_color' => esc_attr( $ueldo_styles_cache -> get_style( 'info-box-element-background-color' ) ),
       'info_element_background_color_hover' => esc_attr( $ueldo_styles_cache -> get_style( 'info-box-element-background-color' ) )
    ), $atts ));

    # get box link
    $box_url = vc_build_link( $box_link_url );

    # do we have box link set?
    $is_box_link = $whole_box_link == 'yes' && ( !empty( $box_url['url'] ) || !empty( $box_url['title'] ) );

   /**
    *
    * prepare shortcode class
    *
    */

    # predefine shortcode class
    $shortcode_class = 'ueldo-shortcode-info-box';

    # update shortcode class with content position
    switch( $content_position ) {

        case 'bottom': $shortcode_class .= ' ueldo-shortcode-info-box-content-position-bottom'; break;
        case 'inline': $shortcode_class .= ' ueldo-shortcode-info-box-content-position-inline'; break;
    }

    # update shortcode class with content alignment
    switch( $content_alignment ) {

        case 'left': $shortcode_class .= ' ueldo-shortcode-info-box-content-alignment-left'; break;
        case 'center': $shortcode_class .= ' ueldo-shortcode-info-box-content-alignment-center'; break;
        case 'right': $shortcode_class .= ' ueldo-shortcode-info-box-content-alignment-right'; break;
    }

    # update shortcode class with unique class name
    $shortcode_class .= ' '. esc_attr( $class_name );

   /**
    *
    * prepare heading class
    *
    */

    # predefine heading class
    $heading_class = 'ueldo-shortcode-info-box-heading';

    # add on hover animation class
    if( $nested_shortcodes_visibility == 'on_hover' ) $heading_class .= ' ueldo-shortcode-info-box-heading-animate-on-hover';

    # add vertical alignment class
    switch( $heading_vertical_alignment ) {

        case 'top': $heading_class .= ' ueldo-shortcode-info-box-heading-vertical-align-top'; break;
        case 'middle': $heading_class .= ' ueldo-shortcode-info-box-heading-vertical-align-middle'; break;
        case 'bottom': $heading_class .= ' ueldo-shortcode-info-box-heading-vertical-align-bottom'; break;
    }

   /**
    *
    * prepare additional info element class
    *
    */

    if( $display_additional_info_box_element != 'no' ) {

        # prefedine additional info element class
        $additional_info_element_class = '';

        # switch by element position
        switch( $additional_info_element_position ) {

            case 'left_top': $additional_info_element_class = 'ueldo-shortcode-info-box-additional-element-left-top'; break;
            case 'left_center': $additional_info_element_class = 'ueldo-shortcode-info-box-additional-element-left-center'; break;
            case 'left_bottom': $additional_info_element_class = 'ueldo-shortcode-info-box-additional-element-left-bottom'; break;
            case 'center_top': $additional_info_element_class = 'ueldo-shortcode-info-box-additional-element-center-top'; break;
            case 'center_bottom': $additional_info_element_class = 'ueldo-shortcode-info-box-additional-element-center-bottom'; break;
            case 'right_top': $additional_info_element_class = 'ueldo-shortcode-info-box-additional-element-right-top'; break;
            case 'right_center': $additional_info_element_class = 'ueldo-shortcode-info-box-additional-element-right-center'; break;
            case 'right_bottom': $additional_info_element_class = 'ueldo-shortcode-info-box-additional-element-right-bottom'; break;
        }
    }

   /**
    *
    * end of data preparation
    *
    */

?>
<div class="<?php echo esc_attr( $shortcode_class ); ?>">

    <div class="<?php echo esc_attr( $heading_class ); ?>">

        <?php

            # do we have title or subtitle set, and should display it on left side?
            if( ( !empty( $info_box_title ) || !empty( $info_box_subtitle ) ) && ( $content_position == 'inline' && $content_alignment == 'right' ) == true ) {

                ?>
                <div class="ueldo-shortcode-info-box-title">

                    <?php

                        # do we have box title set?
                        if( !empty( $info_box_title ) ) {

                            ?>
                            <<?php echo esc_attr( $info_box_title_heading_type ); ?>>

                                <?php

                                    # do we have box link set?
                                    if( $is_box_link ) {

                                        ?>
                                        <a href="<?php echo esc_url( $box_url['url'] ); ?>" target="<?php echo esc_attr( trim( $box_url['target'] ) == '_blank' ? '_blank' : '_self' ); ?>" title="<?php echo esc_attr( $box_url['title'] ); ?>">
                                        <?php
                                    }

                                    # display box title
                                    echo esc_html( $info_box_title );

                                    # close box link, if opened
                                    if( $is_box_link ) {

                                        ?>
                                        </a>
                                        <?php
                                    }

                                ?>

                            </<?php echo esc_attr( $info_box_title_heading_type ); ?>>
                            <?php
                        }

                        # do we have box subtitle set?
                        if( !empty( $info_box_subtitle ) ) {

                            ?>
                            <p class="ueldo-shortcode-info-box-subtitle">

                                <?php

                                    # do we have box link set?
                                    if( $is_box_link ) {

                                        ?>
                                        <a href="<?php echo esc_url( $box_url['url'] ); ?>" target="<?php echo esc_attr( trim( $box_url['target'] ) == '_blank' ? '_blank' : '_self' ); ?>" title="<?php echo esc_attr( $box_url['title'] ); ?>">
                                        <?php
                                    }

                                    # display box title
                                    echo esc_html( $info_box_subtitle );

                                    # close box link, if opened
                                    if( $is_box_link ) {

                                        ?>
                                        </a>
                                        <?php
                                    }

                                ?>

                            </p>
                            <?php
                        }

                    ?>

                </div>
                <?php
            }

            # do we have box url set?
            if( $is_box_link ) {

                ?>
                <a href="<?php echo esc_url( $box_url['url'] ); ?>" target="<?php echo esc_attr( trim( $box_url['target'] ) == '_blank' ? '_blank' : '_self' ); ?>" title="<?php echo esc_attr( $box_url['title'] ); ?>">
                <?php
            }

        ?>

        <span class="ueldo-shortcode-info-box-element-wrapper">

            <span class="ueldo-shortcode-info-box-element-inner-wrapper">

                <?php

                    # display progress bar
                    if( $info_element_display_as == 'progress-bar' ) {

                        ?>
                        <span class="ueldo-progress-bar-rounded" data-progress-bar-value="<?php echo esc_attr( str_replace( '%', '', $progress_bar_value ) ); ?>" data-progress-bar-color="<?php echo esc_attr( $custom_colors_enabled != 'theme_defaults' ? $info_element_background_color : esc_attr( $ueldo_styles_cache -> get_style( 'info-box-element-background-color' ) ) ); ?>" data-progress-bar-indicator-color="<?php echo esc_attr( $custom_colors_enabled != 'theme_defaults' ? $info_element_border_color : esc_attr( $ueldo_styles_cache -> get_style( 'info-box-element-border-color' ) ) ); ?>" data-progress-bar-color-hover="<?php echo esc_attr( $custom_colors_enabled != 'theme_defaults' ? $info_element_background_color_hover : esc_attr( $ueldo_styles_cache -> get_style( 'info-box-element-background-color' ) ) ); ?>" data-progress-bar-indicator-color-hover="<?php echo esc_attr( $custom_colors_enabled != 'theme_defaults' ? $info_element_border_color_hover : esc_attr( $ueldo_styles_cache -> get_style( 'info-box-element-border-color' ) ) ); ?>" data-progress-bar-border-width="<?php echo esc_attr( $info_element_border_width ); ?>" data-progress-bar-duration="<?php echo esc_attr( $progress_bar_duration ); ?>">
                        </span>
                        <?php
                    }

                ?>

                <span class="ueldo-shortcode-info-box-element <?php echo esc_attr( $info_element_display_as == 'progress-bar' ? 'ueldo-shortcode-info-box-element-with-progress-bar' : '' ); ?>">

                    <span class="ueldo-shortcode-info-box-element-middle-helper">
                    </span>

                    <?php

                        # action depended on element type
                        switch( $info_element_type ) {

                            # icon
                            case 'icon':

                                # define the icon variable
                                $icon = '';

                                # switch the icon library
                                switch( $info_element_icon_library ) {

                                    case 'fontawesome': $icon = $info_element_icon_fontawesome; break;
                                    case 'openiconic': $icon = $info_element_icon_openiconic; break;
                                    case 'typicons': $icon = $info_element_icon_typicons; break;
                                    case 'entypo': $icon = $info_element_icon_entypo; break;
                                    case 'linecons': $icon = $info_element_icon_linecons; break;
                                    case 'monosocial': $icon = $info_element_icon_monosocial; break;
                                    case 'material': $icon = $info_element_icon_material; break;
                                    default: $icon = ueldo_get_custom_icon( $atts, 'info_element_icon_' ); break;
                                }

                                ?>
                                <i class="<?php echo esc_attr( $icon ); ?>"></i>
                                <?php

                            break;

                            # text
                            case 'text':

                                ?>
                                <span class="ueldo-shortcode-info-box-element-text"><?php echo esc_html( $info_element_text ); ?></span>
                                <?php

                            break;

                            # counter
                            case 'counter':

                                ?>
                                <span class="ueldo-shortcode-info-box-element-counter" data-counter-duration="<?php echo esc_attr( $info_element_counter_duration ); ?>" data-animation-done="no"><?php echo esc_html( $info_element_counter_value ); ?></span>
                                <?php

                            break;

                            # image
                            case 'image':

                                ?>
                                <span class="ueldo-shortcode-info-box-element-image"><img src="<?php echo esc_url( ueldo_get_image_src( $image ) ); ?>" alt="<?php echo esc_attr( $image_alt ); ?>" <?php echo ueldo_retina_ready_attr(); ?> /></span>
                                <?php

                            break;
                        }

                    ?>

                </span>

                <?php

                    # can we display additional info element?
                    if( $display_additional_info_box_element != 'no' ) {

                        ?>
                        <span class="ueldo-shortcode-info-box-additional-element <?php echo esc_attr( $additional_info_element_class ); ?>">

                            <span class="ueldo-shortcode-info-box-additional-element-middle-helper">
                            </span>

                            <?php

                                # action depended on element type
                                switch( $additional_info_element_type ) {

                                    # icon
                                    case 'icon':

                                        # define the icon variable
                                        $icon = '';

                                        # switch the icon library
                                        switch( $additional_info_element_icon_library ) {

                                            case 'fontawesome': $icon = $additional_info_element_icon_fontawesome; break;
                                            case 'openiconic': $icon = $additional_info_element_icon_openiconic; break;
                                            case 'typicons': $icon = $additional_info_element_icon_typicons; break;
                                            case 'entypo': $icon = $additional_info_element_icon_entypo; break;
                                            case 'linecons': $icon = $additional_info_element_icon_linecons; break;
                                            case 'monosocial': $icon = $additional_info_element_icon_monosocial; break;
                                            case 'material': $icon = $additional_info_element_icon_material; break;
                                            default: $icon = ueldo_get_custom_icon( $atts, 'additional_info_element_icon_' ); break;
                                        }

                                        ?>
                                        <i class="<?php echo esc_attr( $icon ); ?>"></i>
                                        <?php

                                    break;

                                    # text
                                    case 'text':

                                        ?>
                                        <span class="ueldo-shortcode-info-box-additional-element-text"><?php echo esc_html( $additional_info_element_text ); ?></span>
                                        <?php

                                    break;

                                    # counter
                                    case 'counter':

                                        ?>
                                        <span class="ueldo-shortcode-info-box-additional-element-counter" data-counter-duration="<?php echo esc_attr( $additional_info_element_counter_duration ); ?>" data-animation-done="no"><?php echo esc_html( $additional_info_element_counter_value ); ?></span>
                                        <?php

                                    break;

                                    # image
                                    case 'image':

                                        ?>
                                        <span class="ueldo-shortcode-info-box-additional-element-image"><img src="<?php echo esc_url( ueldo_get_image_src( $additional_info_element_image ) ); ?>" alt="<?php echo esc_attr( $additional_info_element_image_alt ); ?>" <?php echo ueldo_retina_ready_attr(); ?> /></span>
                                        <?php

                                    break;
                                }

                            ?>

                        </span>
                        <?php
                    }

                ?>

            </span>

        </span>

        <?php

            # do we have box url set?
            if( $is_box_link ) {

                ?>
                </a>
                <?php
            }

            # do we have title or subtitle set, and should display it on right side?
            if( ( !empty( $info_box_title ) || !empty( $info_box_subtitle ) ) && ( $content_position == 'inline' && $content_alignment == 'right' ) == false ) {

                ?>
                <div class="ueldo-shortcode-info-box-title">

                    <?php

                        # do we have box title set?
                        if( !empty( $info_box_title ) ) {

                            ?>
                            <<?php echo esc_attr( $info_box_title_heading_type ); ?>>

                                <?php

                                    # do we have box link set?
                                    if( $is_box_link ) {

                                        ?>
                                        <a href="<?php echo esc_url( $box_url['url'] ); ?>" target="<?php echo esc_attr( trim( $box_url['target'] ) == '_blank' ? '_blank' : '_self' ); ?>" title="<?php echo esc_attr( $box_url['title'] ); ?>">
                                        <?php
                                    }

                                    # display box title
                                    echo esc_html( $info_box_title );

                                    # close box link, if opened
                                    if( $is_box_link ) {

                                        ?>
                                        </a>
                                        <?php
                                    }

                                ?>

                            </<?php echo esc_attr( $info_box_title_heading_type ); ?>>
                            <?php
                        }

                        # do we have box subtitle set?
                        if( !empty( $info_box_subtitle ) ) {

                            ?>
                            <p class="ueldo-shortcode-info-box-subtitle">

                                <?php

                                    # do we have box link set?
                                    if( $is_box_link ) {

                                        ?>
                                        <a href="<?php echo esc_url( $box_url['url'] ); ?>" target="<?php echo esc_attr( trim( $box_url['target'] ) == '_blank' ? '_blank' : '_self' ); ?>" title="<?php echo esc_attr( $box_url['title'] ); ?>">
                                        <?php
                                    }

                                    # display box title
                                    echo esc_html( $info_box_subtitle );

                                    # close box link, if opened
                                    if( $is_box_link ) {

                                        ?>
                                        </a>
                                        <?php
                                    }

                                ?>

                            </p>
                            <?php
                        }

                    ?>

                </div>
                <?php
            }

        ?>

    </div>

    <?php

        # do we have the content set
        if( !empty( $content ) ) {

            ?>
            <div class="ueldo-shortcode-info-box-content-wrapper">

                <div class="ueldo-shortcode-info-box-content <?php echo esc_attr( $nested_shortcodes_visibility == 'on_hover' ? 'ueldo-shortcode-info-box-content-visible-on-hover' : '' ); ?>">

                    <?php echo apply_filters( 'the_content', $content ); ?>

                </div>

            </div>
            <?php
        }

    ?>

</div>
<?php

    # clear the variables
    unset( $class_name, $content_alignment, $content_position, $heading_vertical_alignment, $nested_shortcodes_visibility, $whole_box_link, $info_box_title, $info_box_subtitle, $display_additional_info_box_element, $box_link_url, $info_element_display_as, $progress_bar_value, $progress_bar_duration, $info_element_border_width, $info_element_type, $info_element_icon_library, $info_element_icon_fontawesome, $info_element_icon_openiconic, $info_element_icon_typicons, $info_element_icon_entypo, $info_element_icon_linecons, $info_element_icon_monosocial, $info_element_icon_material, $info_element_text, $info_element_counter_value, $info_element_counter_duration, $image, $image_alt, $additional_info_element_position, $additional_info_element_type, $additional_info_element_icon_library, $additional_info_element_icon_fontawesome, $additional_info_element_icon_openiconic, $additional_info_element_icon_typicons, $additional_info_element_icon_entypo, $additional_info_element_icon_linecons, $additional_info_element_icon_monosocial, $additional_info_element_icon_material, $additional_info_element_text, $additional_info_element_counter_value, $additional_info_element_counter_duration, $additional_info_element_image, $additional_info_element_image_alt, $custom_colors_enabled, $info_element_border_color, $info_element_border_color_hover, $info_element_background_color, $info_element_background_color_hover, $box_url, $is_box_link, $shortcode_class, $heading_class, $additional_info_element_class, $icon );

?>