<?php

   /**
    *
    * prepare the data for shortcode
    *
    */

    # extract shortcode arguments
    extract( shortcode_atts( array(
       'class_name' => '',
       'columns' => '3',
       'rows' => '1',
       'masonry_enabled' => 'no',
       'use_separate_next_prev_arrows' => 'integrated',
       'enable_arrows_animation' => 'yes',
       'autochange_enabled' => 'no',
       'autochange_interval' => '6000'
    ), $atts ));

    # divide content to shortcodes
    $content_divided = !empty( $content ) ? ueldo_vc_find_custom_shortcodes( $content ) : false;

    # how many cells can be added in one row group?
    $cellsLimit = $columns * $rows;

    # start cell counter
    $cellID = 0;

    # start row groups counter
    $rowGroupID = 1;

   /**
    *
    * display shortcode
    *
    */

?>
<div class="ueldo-shortcode-loop <?php echo esc_attr( esc_attr( $class_name ) ); ?>" data-masonry-mode-enabled="<?php echo esc_attr( $masonry_enabled ); ?>" data-autochange-enabled="<?php echo esc_attr( $autochange_enabled ); ?>" data-autochange-interval="<?php echo esc_attr( $autochange_interval ); ?>" data-separated-next-prev-icons-animation-enabled="<?php echo esc_attr( $enable_arrows_animation ); ?>">

    <div class="ueldo-shortcode-loop-container">

        <div class="ueldo-shortcode-loop-container-inner" data-row-group-visible-id="1">

            <?php

                # do we have content set?
                if( $content_divided !== false && is_array( $content_divided ) ) {

                    # walk for each shortcode
                    foreach( $content_divided as $shortcode ) {

                        # find loop cell
                        if( $shortcode['key'] == 'ueldo_shortcode_loop_cell' ) {

                            # close row group and open new one
                            if( $cellID == $cellsLimit ) {

                                # clear cells counter
                                $cellID = 0;

                                # update row group counter
                                $rowGroupID += 1;

                                ?></div><div class="ueldo-shortcode-loop-row-group" data-loop-row-group-id="<?php echo esc_attr( $rowGroupID ); ?>"><?php
                            }

                            # open first row group
                            else if( $cellID == 0 ) {

                                ?><div class="ueldo-shortcode-loop-row-group" data-loop-row-group-id="<?php echo esc_attr( $rowGroupID ); ?>"><?php
                            }

                            ?>
                            <div class="ueldo-shortcode-loop-row-group-single-row-single-cell <?php echo esc_attr( isset( $shortcode['atts']['width'] ) && $shortcode['atts']['width'] == 'double' ? 'ueldo-shortcode-loop-row-group-single-row-single-cell-double-width' : '' ); ?>" data-columns-in-row="<?php echo esc_attr( $columns ); ?>">

                                <?php

                                    # display shortcode elements
                                    echo apply_filters( 'the_content', $shortcode['shortcode-full'] );

                                ?>

                            </div>
                            <?php

                            # update cells counter
                            $cellID += 1;
                        }
                    }

                    # close row group and row
                    ?></div><?php
                }

            ?>

        </div>

    </div>

    <?php

        # do we have more than one row group?
        if( $rowGroupID > 1 && $use_separate_next_prev_arrows == 'integrated' ) {

            ?>
            <span class="ueldo-shortcode-loop-next-prev-icon" data-next-prev-icon-type="prev" data-animation-enabled="<?php echo esc_attr( $enable_arrows_animation ); ?>"><i class="fa fa-long-arrow-<?php echo esc_attr( ueldo_is_rtl() ? 'right' : 'left' ); ?>"></i></span>
            <span class="ueldo-shortcode-loop-next-prev-icon" data-next-prev-icon-type="next" data-animation-enabled="<?php echo esc_attr( $enable_arrows_animation ); ?>"><i class="fa fa-long-arrow-<?php echo esc_attr( ueldo_is_rtl() ? 'left' : 'right' ); ?>"></i></span>
            <?php
        }

    ?>

</div>
<?php

    # clear the variables
    unset( $class_name, $columns, $rows, $masonry_enabled, $use_separate_next_prev_arrows, $enable_arrows_animation, $autochange_enabled, $autochange_interval, $content_divided, $cellsLimit, $cellID, $rowGroupID, $shortcode );

?>