<?php

   /**
    *
    * prepare the data for shortcode
    *
    */

    # extract shortcode arguments
    extract( shortcode_atts( array(
       'class_name' => '',
       'box_title' => esc_html( __( 'Today', 'ueldo' ) ),
       'heading_position' => 'top',
       'switch_elements_to_one_line_from' => 'extra-small',
       'display_opening_hours_status' => 'yes',
       'opening_hours_status_position' => 'right',
       'status' => 'none',
       'status_dot_position' => esc_attr( ueldo_is_rtl() ? 'right' : 'left' ),
       'text_when_open' => esc_html( __( 'We are open', 'ueldo' ) ),
       'text_when_closed' => esc_html( __( 'Closed already', 'ueldo' ) )
    ), $atts ));

   /**
    *
    * display shortcode
    *
    */

?>
<div class="ueldo-shortcode-opening-hours-box <?php echo esc_attr( esc_attr( $class_name ) ); ?>">

    <?php

        # do we need to display heading at top?
        if( $heading_position == 'top' ) ueldo_display_opening_hours_box_heading( $heading_position, $box_title, $display_opening_hours_status, $opening_hours_status_position, $status, $status_dot_position, $text_when_open, $text_when_closed );

    ?>

    <div class="ueldo-shortcode-opening-hours-box-elements ueldo-shortcode-opening-hours-box-elements-switch-to-one-line-from-<?php echo esc_attr( $switch_elements_to_one_line_from ); ?>-devices">

        <?php

            # display shortcode elements
            echo apply_filters( 'the_content', $content );

        ?>

    </div>

    <?php

        # do we need to display heading at bottom?
        if( $heading_position == 'bottom' ) ueldo_display_opening_hours_box_heading( $heading_position, $box_title, $display_opening_hours_status, $opening_hours_status_position, $status, $status_dot_position, $text_when_open, $text_when_closed );

    ?>

</div>
<?php

    # clear the variables
    unset( $class_name, $box_title, $heading_position, $switch_elements_to_one_line_from, $display_opening_hours_status, $opening_hours_status_position, $status, $status_dot_position, $text_when_open, $text_when_closed );

?>