<?php

   /**
    *
    * prepare the data for shortcode
    *
    */

    # extract shortcode arguments
    extract( shortcode_atts( array(
       'class_name' => '',
       'status' => 'none',
       'status_dot_position' => esc_attr( ueldo_is_rtl() ? 'right' : 'left' ),
       'horizontal_alignment' => 'center',
       'text_when_open' => esc_html( __( 'We are open', 'ueldo' ) ),
       'text_when_closed' => esc_html( __( 'Closed already', 'ueldo' ) )
    ), $atts ));

    # ise there status set?
    if( $status != 'none' && ueldo_check_if_opening_hours_status_data_exists( $status ) == true ) {

        ?>
        <div class="ueldo-shortcode-opening-hours-status ueldo-shortcode-opening-hours-status-horizontal-alignment-<?php echo esc_attr( $horizontal_alignment ); ?> <?php echo esc_attr( $class_name ); ?>">

            <div class="ueldo-shortcode-opening-hours-status-container ueldo-shortcode-opening-hours-status-container-status-dot-position-<?php echo esc_attr( $status_dot_position ); ?>">

                <div class="ueldo-shortcode-opening-hours-status-content" data-for-status="open">

                    <p><?php echo esc_html( $text_when_open ); ?></p>

                </div>

                <div class="ueldo-shortcode-opening-hours-status-content" data-for-status="closed">

                    <p><?php echo esc_html( $text_when_closed ); ?></p>

                </div>

                <?php

                    # display opening hours status data
                    ueldo_display_opening_hours_status_data( $status );

                ?>

            </div>

        </div>
        <?php

    # end of shortcode.
    }

    # clear the variables
    unset( $class_name, $status, $status_dot_position, $horizontal_alignment, $text_when_open, $text_when_closed );

?>