<?php

   /**
    *
    * prepare the data for shortcode
    *
    */

    # extract shortcode arguments
    extract( shortcode_atts( array(
       'class_name' => '',
       'next_prev_arrows_animation_enabled' => 'yes',
       'prev_images_text' => esc_html( __( 'Prev images', 'ueldo' ) ),
       'next_images_text' => esc_html( __( 'Next images', 'ueldo' ) )
    ), $atts ));

   /**
    *
    * get the unique id's for presentation elements
    *
    */

    # get tab slug class object
    global $ueldo_vc_shortcode_unique_tabs_slugs;

    # clear tabs slugs array
    $ueldo_vc_shortcode_unique_tabs_slugs -> clear_last_id();

   /**
    *
    * find a single presentation elements
    *
    */

    # get all content shortcodes data
    $shortcodes = !empty( $content ) ? ueldo_vc_find_custom_shortcodes( $content ) : false;

    # do we have shortcodes added?
    if( $shortcodes != false ) {

        # define presentation elements array
        $elements = array();

        # walk for each shortcode
        foreach( $shortcodes as $shortcode ) {

            # next actions only for presentation element shortcode
            if( $shortcode['key'] != 'ueldo_shortcode_presentation_element' ) continue;

            # update presentation elements array
            $elements[] = $shortcode['atts'];
        }
    }

   /**
    *
    * display shortcode
    *
    */

?>
<div class="ueldo-shortcode-presentation <?php echo esc_attr( count( $elements ) <= 1 ? 'ueldo-shortcode-presentation-with-single-element' : '' ); ?> <?php echo esc_attr( esc_attr( $class_name ) ); ?>">

    <div class="ueldo-shortcode-presentation-elements">

        <?php

            # display shortcode elements
            echo apply_filters( 'the_content', $content );

        ?>

    </div>

    <?php

        # do we have more than one presentation elements?
        if( count( $elements ) > 1 ) {

            ?>
            <div class="ueldo-shortcode-presentation-elements-switcher" data-current-switcher-position="1">

                <div class="ueldo-shortcode-presentation-elements-switcher-prev-images" data-animation-enabled="<?php echo esc_attr( $next_prev_arrows_animation_enabled ); ?>">

                    <i class="fa fa-long-arrow-<?php echo esc_attr( ueldo_is_rtl() ? 'right' : 'left' ); ?>"></i>
                    <?php if( !empty( $prev_images_text ) ) { ?><span class="ueldo-shortcode-presentation-elements-switcher-prev-images-content"><?php echo esc_html( $prev_images_text ); ?></span><?php } ?>

                </div>

                <div class="ueldo-shortcode-presentation-elements-switcher-images-list">

                    <div class="ueldo-shortcode-presentation-elements-switcher-images-list-inner">

                        <?php

                            # element ID
                            $elementID = 1;

                            # walk for each presentation element
                            foreach( $elements as $element ) {

                                ?>
                                <div class="ueldo-shortcode-presentation-elements-switcher-images-list-single-image <?php echo esc_attr( $elementID == 1 ? 'ueldo-shortcode-presentation-elements-switcher-images-list-single-image-active' : '' ); ?>" data-element-id="<?php echo esc_attr( $elementID ); ?>">

                                    <?php

                                        # display image thumbnail
                                        ueldo_display_image_for_parent( ueldo_get_image_src( isset( $element['image'] ) ? esc_attr( $element['image'] ) : esc_url( get_template_directory_uri() .'/_assets/_img/image.png' ) ), isset( $element['image_alt'] ) ? esc_attr( $element['image_alt'] ) : esc_html( __( 'Image', 'ueldo' ) ), isset( $element['image_position_x'] ) ? esc_attr( $element['image_position_x'] ) : '50%', isset( $element['image_position_y'] ) ? esc_attr( $element['image_position_y'] ) : '50%' );

                                    ?>

                                </div>
                                <?php

                                # update element ID value
                                $elementID += 1;
                            }

                        ?>

                    </div>

                </div>

                <div class="ueldo-shortcode-presentation-elements-switcher-next-images" data-animation-enabled="<?php echo esc_attr( $next_prev_arrows_animation_enabled ); ?>">

                    <i class="fa fa-long-arrow-<?php echo esc_attr( ueldo_is_rtl() ? 'left' : 'right' ); ?>"></i>
                    <?php if( !empty( $next_images_text ) ) { ?><span class="ueldo-shortcode-presentation-elements-switcher-next-images-content"><?php echo esc_html( $next_images_text ); ?></span><?php } ?>

                </div>

            </div>
            <?php
        }

    ?>

</div>
<?php

    # clear the variables
    unset( $class_name, $next_prev_arrows_animation_enabled, $prev_images_text, $next_images_text, $shortcodes, $shortcode, $elements, $element, $elementID );

?>