<?php

   /**
    *
    * prepare the data for shortcode
    *
    */

    # extract shortcode arguments
    extract( shortcode_atts( array(
       'class_name' => '',
       'image' => esc_url( get_template_directory_uri() .'/_assets/_img/image.png' ),
       'image_position_y' => '50%',
       'image_position_x' => '50%',
       'image_alt' => esc_html( __( 'Image', 'ueldo' ) )
    ), $atts ));

    # get tab slug class object
    global $ueldo_vc_shortcode_unique_tabs_slugs;

    # get tab ID value
    $elementID = $ueldo_vc_shortcode_unique_tabs_slugs -> get_next_id();

   /**
    *
    * display shortcode
    *
    */

?>
<div class="ueldo-shortcode-presentation-element <?php echo esc_attr( esc_attr( $class_name ) ); ?>" data-element-id="<?php echo esc_attr( $elementID ); ?>">

    <?php

        # display image
        ueldo_display_image_for_parent( ueldo_get_image_src( $image ), $image_alt, $image_position_x, $image_position_y );

        # display shortcode elements
        echo apply_filters( 'the_content', $content );

    ?>

</div>
<?php

    # clear the variables
    unset( $class_name, $image, $image_position_y, $image_position_x, $image_alt, $elementID );

?>