<?php

   /**
    *
    * prepare the data for shortcode
    *
    */

    # extract shortcode arguments
    extract( shortcode_atts( array(
       'class_name' => '',
       'title' => esc_html( __( 'Big coffee', 'ueldo' ) ),
       'description' => 'Morbi aliquam magna non consectetur tincidunt.',
       'price' => esc_html( __( '$19', 'ueldo' ) ),
       'add_image' => 'no',
       'image' => esc_url( get_template_directory_uri() .'/_assets/_img/image.png' ),
       'image_alt' => esc_html( __( 'Image', 'ueldo' ) ),
       'add_delimiter' => 'yes'
    ), $atts ));

    # define shortcode class
    $shortcode_class = 'ueldo-shortcode-price-single';

    # do we need to display delimiter?
    if( $add_delimiter == 'yes' ) $shortcode_class .= ' ueldo-shortcode-price-single-with-delimiter';

    # update shortcode class with unique class ID
    $shortcode_class .= ' '. esc_attr( $class_name );

   /**
    *
    * display element
    *
    */

?>
<div class="<?php echo esc_attr( $shortcode_class ); ?>">

    <?php

        # do we have image set?
        if( $add_image == 'yes' ) {

            ?>
            <div class="ueldo-shortcode-price-single-column ueldo-shortcode-price-single-column-with-image">

                <img src="<?php echo esc_url( ueldo_get_image_src( $image ) ); ?>" alt="<?php echo esc_attr( $image_alt ); ?>" <?php echo ueldo_retina_ready_attr(); ?> class="ueldo-shortcode-price-single-image" />

            </div>
            <?php
        }

    ?>

    <div class="ueldo-shortcode-price-single-column <?php echo esc_attr( $add_image == 'yes' ? 'ueldo-shortcode-price-single-column-near-image' : '' ); ?>">

        <div class="ueldo-shortcode-price-single-content">

            <span class="ueldo-shortcode-price-single-title">

                <?php if( !empty( $title ) ) { ?><span class="ueldo-shortcode-price-single-title-text"><?php echo esc_html( $title ); ?></span><?php } ?>

            </span>

            <span class="ueldo-shortcode-price-single-price">

                <?php if( !empty( $price ) ) { ?><span class="ueldo-shortcode-price-single-price-text"><?php echo esc_html( $price ); ?></span><?php } ?>

            </span>

        </div>

        <?php if( !empty( $description ) ) { ?><p class="ueldo-shortcode-price-single-description"><?php echo esc_html( $description ); ?></p><?php } ?>

    </div>

</div>
<?php

    # clear the variables
    unset( $class_name, $title, $description, $price, $add_image, $image, $image_alt, $add_delimiter, $shortcode_class, $image );

?>