<?php

   /**
    *
    * prepare the data for shortcode
    *
    */

    # extract shortcode arguments
    extract( shortcode_atts( array(
       'class_name' => '',
       'progress_bar_duration' => '3000',
       'progress_bar_value' => '50%',
       'progress_bar_value_position' => 'above-progress-bar-right-side',
       'progress_bar_title' => esc_html( __( 'Design skills:', 'ueldo' ) ),
       'progress_bar_title_position' => 'above-progress-bar-near-text',
       'horizontal_alignment' => 'left'
    ), $atts ));

   /**
    *
    * display shortcode
    *
    */

?>
<div class="ueldo-shortcode-progress-bar ueldo-shortcode-progress-bar-horizontal-alignment-<?php echo esc_attr( $horizontal_alignment ); ?> <?php echo esc_attr( $class_name ); ?>">

    <?php

        # display progress bar title above the progress bar
        if( ( $progress_bar_title != '' && $progress_bar_title_position == 'above-progress-bar' ) || ( in_array( $progress_bar_value_position, array( 'above-progress-bar-near-text', 'above-progress-bar-right-side' ), true ) ) ) {

            ?>
            <h6>

                <?php

                    # display title
                    if( $progress_bar_title != '' && $progress_bar_title_position == 'above-progress-bar' ) echo esc_html( $progress_bar_title );

                    # display progress bar value above the progress bar
                    if( in_array( $progress_bar_value_position, array( 'above-progress-bar-near-text', 'above-progress-bar-right-side' ), true ) ) {

                        ?>
                        <span class="ueldo-shortcode-progress-bar-value ueldo-shortcode-progress-bar-value-<?php echo esc_attr( $progress_bar_value_position ); ?>"></span>
                        <?php
                    }

                ?>

            </h6>
            <?php
        }

    ?>

    <div class="ueldo-clear">
    </div>

    <div class="ueldo-shortcode-progress-bar-line" data-progress-bar-value="<?php echo esc_attr( $progress_bar_value ); ?>" data-progress-bar-animation-duration="<?php echo esc_attr( $progress_bar_duration ); ?>">

        <div class="ueldo-shortcode-progress-bar-line-value">
        </div>

        <?php

            # display progress bar title on progress bar
            if( ( $progress_bar_title != '' && $progress_bar_title_position == 'on-progress-bar' ) || ( in_array( $progress_bar_value_position, array( 'on-progress-bar-near-text', 'on-progress-bar-on-right-side-of-progress-line' ), true ) ) ) {

                ?>
                <h6>

                    <?php

                        # display title
                        if( $progress_bar_title != '' && $progress_bar_title_position == 'on-progress-bar' ) echo esc_html( $progress_bar_title );

                        # display progress bar value above the progress bar
                        if( in_array( $progress_bar_value_position, array( 'on-progress-bar-near-text', 'on-progress-bar-on-right-side-of-progress-line' ), true ) ) {

                            ?>
                            <span class="ueldo-shortcode-progress-bar-value ueldo-shortcode-progress-bar-value-<?php echo esc_attr( $progress_bar_value_position ); ?>"></span>
                            <?php
                        }

                    ?>

                </h6>
                <?php
            }

        ?>

    </div>

</div>

<div class="ueldo-clear">
</div>
<?php

    # clear the variables
    unset( $class_name, $progress_bar_duration, $progress_bar_value, $progress_bar_value_position, $progress_bar_title, $progress_bar_title_position, $horizontal_alignment );

?>