<?php

   /**
    *
    * prepare the data for shortcode
    *
    */

    # extract shortcode arguments
    extract( shortcode_atts( array(
       'class_name' => '',
       'display_bar' => 'yes',
       'url' => ueldo_get_default_button_url( '#', esc_html( __( 'Contact us', 'ueldo' ) ) ),
       'icon_library' => 'fontawesome',
       'icon_fontawesome' => 'fa fa-long-arrow-right',
       'icon_openiconic' => 'vc_icon_element-icon vc-oi vc-oi-dial',
       'icon_typicons' => 'typcn typcn-adjust-brightness',
       'icon_entypo' => 'entypo-icon entypo-icon-note',
       'icon_linecons' => 'vc_li vc_li-heart',
       'icon_monosocial' => 'vc-mono vc-mono-fivehundredpx',
       'icon_material' => 'vc-material vc-material-account_balance'
    ), $atts ));

    # get element link
    $url = vc_build_link( $url );

    # do we have link set?
    $is_link = !empty( $url['url'] ) || !empty( $url['title'] );

   /**
    *
    * get icon
    *
    */

    # define the icon variable
    $icon = '';

    # switch the icon library
    switch( $icon_library ) {

        case 'fontawesome': $icon = $icon_fontawesome; break;
        case 'openiconic': $icon = $icon_openiconic; break;
        case 'typicons': $icon = $icon_typicons; break;
        case 'entypo': $icon = $icon_entypo; break;
        case 'linecons': $icon = $icon_linecons; break;
        case 'monosocial': $icon = $icon_monosocial; break;
        case 'material': $icon = $icon_material; break;
        default: $icon = ueldo_get_custom_icon( $atts, 'icon_' ); break;
    }

   /**
    *
    * display element
    *
    */

?>
<div class="ueldo-shortcode-pulsating-circles <?php echo esc_attr( $class_name ); ?>">

    <div class="ueldo-shortcode-pulsating-circles-circle-first">
    </div>

    <div class="ueldo-shortcode-pulsating-circles-circle-second">
    </div>

    <div class="ueldo-shortcode-pulsating-circles-circle-third">
    </div>

    <div class="ueldo-shortcode-pulsating-circles-circle-fourth">
    </div>

    <div class="ueldo-shortcode-pulsating-circles-circle-central">

        <?php

            # do we have link set?
            if( $is_link ) {

                ?>
                <a href="<?php echo esc_url( $url['url'] ); ?>" target="<?php echo esc_attr( trim( $url['target'] ) == '_blank' ? '_blank' : '_self' ); ?>" title="<?php echo esc_attr( $url['title'] ); ?>">
                <?php
            }

        ?>

        <i class="<?php echo esc_attr( $icon ); ?>"></i>

        <?php

            # do we have link set?
            if( $is_link ) {

                ?>
                </a>
                <?php
            }

            # can we display the bar text?
            if( $display_bar == 'yes' ) {

                ?>
                <div class="ueldo-shortcode-pulsating-circles-tip">

                    <p>

                        <?php

                            # do we have link set?
                            if( $is_link ) {

                                ?>
                                <a href="<?php echo esc_url( $url['url'] ); ?>" target="<?php echo esc_attr( trim( $url['target'] ) == '_blank' ? '_blank' : '_self' ); ?>" title="<?php echo esc_attr( $url['title'] ); ?>">
                                <?php
                            }

                            # display content
                            echo ueldo_link_and_paragraph_allowed_to_box_only( apply_filters( 'the_content', $content ), $is_link );

                            # do we have link set?
                            if( $is_link ) {

                                ?>
                                </a>
                                <?php
                            }

                        ?>

                    </p>

                </div>
                <?php

            # end of bar.
            }

        ?>

    </div>

</div>
<?php

    # clear the variables
    unset( $class_name, $display_bar, $url, $icon_library, $icon_fontawesome, $icon_openiconic, $icon_typicons, $icon_entypo, $icon_linecons, $icon_monosocial, $icon_material, $url, $is_link, $icon );

?>