<?php

   /**
    *
    * prepare the data for shortcode
    *
    */

    # extract shortcode arguments
    extract( shortcode_atts( array(
       'class_name' => '',
       'author' => esc_html( __( 'John Doe', 'ueldo' ) ),
       'author_subtitle' => esc_html( __( 'XYZ Company, Inc', 'ueldo' ) ),
       'display_author_image' => 'yes',
       'image' => esc_url( get_template_directory_uri() .'/_assets/_img/image.png' ),
       'image_position_y' => '50%',
       'image_position_x' => '50%',
       'image_alt' => esc_html( __( 'Image', 'ueldo' ) ),
       'display_quote_box_icon' => 'no',
       'quote_box_icon_library' => 'fontawesome',
       'quote_box_icon_fontawesome' => 'fa fa-long-arrow-right',
       'quote_box_icon_openiconic' => 'vc_icon_element-icon vc-oi vc-oi-dial',
       'quote_box_icon_typicons' => 'typcn typcn-adjust-brightness',
       'quote_box_icon_entypo' => 'entypo-icon entypo-icon-note',
       'quote_box_icon_linecons' => 'vc_li vc_li-heart',
       'quote_box_icon_monosocial' => 'vc-mono vc-mono-fivehundredpx',
       'quote_box_icon_material' => 'vc-material vc-material-account_balance'
    ), $atts ));

    # define the icon variable
    $quote_box_icon = '';

    # is icon set?
    if( $display_quote_box_icon == 'yes' ) {

        # switch the icon library
        switch( $quote_box_icon_library ) {

            case 'fontawesome': $quote_box_icon = $quote_box_icon_fontawesome; break;
            case 'openiconic': $quote_box_icon = $quote_box_icon_openiconic; break;
            case 'typicons': $quote_box_icon = $quote_box_icon_typicons; break;
            case 'entypo': $quote_box_icon = $quote_box_icon_entypo; break;
            case 'linecons': $quote_box_icon = $quote_box_icon_linecons; break;
            case 'monosocial': $quote_box_icon = $quote_box_icon_monosocial; break;
            case 'material': $quote_box_icon = $quote_box_icon_material; break;
            default: $quote_box_icon = ueldo_get_custom_icon( $atts, 'quote_box_icon_' ); break;
        }
    }

   /**
    *
    * display shortcode
    *
    */

?>
<div class="ueldo-shortcode-quote <?php echo esc_attr( $class_name ); ?>">

    <div class="ueldo-shortcode-quote-box">

        <div class="ueldo-shortcode-quote-box-inner">

            <?php

                # display quote box icon
                if( $display_quote_box_icon == 'yes' ) {

                    ?>
                    <i class="<?php echo esc_attr( $quote_box_icon ); ?> ueldo-shortcode-quote-box-icon"></i>
                    <?php
                }

                # display content
                echo apply_filters( 'the_content', $content );

            ?>

        </div>

    </div>

    <?php

        # do we have author content set?
        if( $display_author_image == 'yes' || ( !empty( $author ) || !empty( $author_subtitle ) ) ) {

            ?>
            <div class="ueldo-shortcode-quote-author">

                <?php

                    # display author image
                    if( $display_author_image == 'yes' ) {

                        ?>
                        <div class="ueldo-shortcode-quote-author-image">

                            <?php

                                # display iamge
                                ueldo_display_image_for_parent( ueldo_get_image_src( $image ), $image_alt, $image_position_x, $image_position_y );

                            ?>

                        </div>
                        <?php
                    }

                    # do we have author name or subtitle?
                    if( !empty( $author ) || !empty( $author_subtitle ) ) {

                        ?>
                        <div class="ueldo-shortcode-quote-author-content <?php echo esc_attr( $display_author_image == 'yes' ? 'ueldo-shortcode-quote-author-content-near-author-image' : '' ); ?>">

                            <?php if( !empty( $author ) ) { ?><p class="ueldo-shortcode-quote-author-content-author-name"><?php echo esc_html( $author ); ?></p><?php } ?>
                            <?php if( !empty( $author_subtitle ) ) { ?><p><?php echo esc_html( $author_subtitle ); ?></p><?php } ?>

                        </div>
                        <?php
                    }

                ?>

            </div>
            <?php
        }

    ?>

</div>
<?php

    # clear the variables
    unset( $class_name, $author, $author_subtitle, $display_author_image, $image, $image_position_y, $image_position_x, $image_alt, $display_quote_box_icon, $quote_box_icon_library, $quote_box_icon_fontawesome, $quote_box_icon_openiconic, $quote_box_icon_typicons, $quote_box_icon_entypo, $quote_box_icon_linecons, $quote_box_icon_monosocial, $quote_box_icon_material, $quote_box_icon );

?>