<?php

   /**
    *
    * prepare the data for shortcode
    *
    */

    # extract shortcode arguments
    extract( shortcode_atts( array(
       'class_name' => '',
       'placeholder' => esc_html( __( 'Search...', 'ueldo' ) ),
       'type' => 'static'
    ), $atts ));

   /**
    *
    * display shortcode
    *
    */

?>
<div class="ueldo-shortcode-search-field ueldo-shortcode-search-field-type-<?php echo esc_attr( $type ); ?> <?php echo esc_attr( $type == 'animated' ? 'ueldo-shortcode-search-field-type-animated-hidden' : '' ); ?> <?php echo esc_attr( esc_attr( $class_name ) ); ?>">

    <form role="search" method="get" id="searchform" action="<?php echo esc_url( home_url( '/' ) ); ?>" class="ueldo-search-form">

        <?php

            # switch the search field type
            switch( $type ) {

                # static search field
                case 'static':

                    ?>
                    <span class="ueldo-search-field">

                        <input type="text" placeholder="<?php echo esc_html( $placeholder ); ?>" value="<?php echo esc_attr( get_search_query() ); ?>" name="s" />
                        <button type="submit"><i class="fa fa-search"></i></button>

                    </span>
                    <?php

                break;

                # animated search field
                case 'animated':

                    ?>
                    <span class="ueldo-animated-search-field">

                        <input type="text" placeholder="<?php echo esc_html( $placeholder ); ?>" value="<?php echo esc_attr( get_search_query() ); ?>" name="s" />
                        <button type="submit"><i class="fa fa-search"></i></button>

                    </span>
                    <?php

                break;
            }

        ?>

    </form>

</div>
<?php

    # clear the variables
    unset( $class_name, $placeholder, $type );

?>