<?php

   /**
    *
    * prepare the data for shortcode
    *
    */

    # extract shortcode arguments
    extract( shortcode_atts( array(
       'class_name' => '',
       'type' => 'facebook_page_feed',
       'facebook_page_feed_page_url' => 'https://www.facebook.com/envato',
       'facebook_page_feed_page_title' => esc_html( __( 'Envato', 'ueldo' ) ),
       'facebook_page_feed_tabs' => 'timeline',
       'facebook_page_feed_hide_cover' => 'no',
       'facebook_page_feed_show_facepile' => 'yes',
       'facebook_page_feed_hide_cta' => 'no',
       'facebook_page_feed_small_header' => 'no',
       'facebook_page_feed_adapt_container_width' => 'yes',
       'facebook_page_feed_use_static_width' => 'no',
       'facebook_page_feed_static_width_px' => '400',
       'facebook_page_feed_use_static_height' => 'no',
       'facebook_page_feed_static_height_px' => '550',
       'facebook_like_button_page_url' => 'https://www.facebook.com/envato',
       'facebook_like_button_action' => 'like',
       'facebook_like_button_color_scheme' => 'light',
       'facebook_like_button_kid_directed_site' => 'no',
       'facebook_like_button_layout' => 'standard',
       'facebook_like_button_referrer' => '',
       'facebook_like_button_share' => 'no',
       'facebook_like_button_show_faces' => 'no',
       'facebook_like_button_size' => 'small',
       'facebook_like_button_use_static_width' => 'no',
       'facebook_like_button_static_width_px' => '450',
       'facebook_share_button_page_url' => 'https://www.facebook.com/envato',
       'facebook_share_button_layout' => 'only_button',
       'facebook_share_button_mobile_iframe' => 'no',
       'facebook_share_button_size' => 'small',
       'twitter_single_tweet_username' => esc_html( __( 'envato', 'ueldo' ) ),
       'twitter_single_tweet_on_stack' => '1',
       'twitter_single_tweet_transient_expiration' => '3600'
    ), $atts ));

   /**
    *
    * display shortcode
    *
    */

?>
<div class="ueldo-shortcode-social-media-feed <?php echo esc_attr( $class_name ); ?>">

    <?php

        # show element content
        switch( $type ) {

            # facebook page feed
            case 'facebook_page_feed':

                ?>
                <div class="fb-page"
                     data-href="<?php echo esc_url( $facebook_page_feed_page_url ); ?>"
                     data-tabs="<?php echo esc_attr( $facebook_page_feed_tabs ); ?>"
                     data-small-header="<?php echo esc_attr( $facebook_page_feed_small_header == 'yes' ? 'true' : 'false' ); ?>"
                     data-adapt-container-width="<?php echo esc_attr( $facebook_page_feed_adapt_container_width == 'yes' ? 'true' : 'false' ); ?>"
                     data-hide-cta="<?php echo esc_attr( $facebook_page_feed_hide_cta == 'yes' ? 'true' : 'false' ); ?>"
                     data-hide-cover="<?php echo esc_attr( $facebook_page_feed_hide_cover == 'yes' ? 'true' : 'false' ); ?>"
                     data-width="<?php echo esc_attr( $facebook_page_feed_use_static_width == 'yes' ? esc_attr( $facebook_page_feed_static_width_px ) : '340' ); ?>"
                     data-height="<?php echo esc_attr( $facebook_page_feed_use_static_height == 'yes' ? esc_attr( $facebook_page_feed_static_height_px ) : '500' ); ?>"
                     data-show-facepile="<?php echo esc_attr( $facebook_page_feed_show_facepile == 'yes' ? 'true' : 'false' ); ?>">

                    <blockquote cite="<?php echo esc_url( $facebook_page_feed_page_url ); ?>" class="fb-xfbml-parse-ignore"><a href="<?php echo esc_url( $facebook_page_feed_page_url ); ?>"><?php echo esc_html( $facebook_page_feed_page_title ); ?></a></blockquote>

                </div>
                <?php

            break;

            # facebook "like" button
            case 'facebook_like_button':

                ?>
                <div class="fb-like"
                     data-href="<?php echo esc_url( $facebook_like_button_page_url ); ?>"
                     data-colorscheme="<?php echo esc_attr( $facebook_like_button_color_scheme ); ?>"
                     data-layout="<?php echo esc_attr( $facebook_like_button_layout == 'only_button' ? 'button' : $facebook_like_button_layout ); ?>"
                     data-action="<?php echo esc_attr( $facebook_like_button_action ); ?>"
                     data-show-faces="<?php echo esc_attr( $facebook_like_button_show_faces == 'yes' ? 'true' : 'false' ); ?>"
                     data-share="<?php echo esc_attr( $facebook_like_button_share == 'yes' ? 'true' : 'false' ); ?>"
                     data-kid-directed-site="<?php echo esc_attr( $facebook_like_button_kid_directed_site == 'yes' ? 'true' : 'false' ); ?>"
                     data-width="<?php echo esc_attr( $facebook_like_button_use_static_width == 'yes' ? esc_attr( $facebook_like_button_static_width_px ) : '450' ); ?>"
                     data-ref="<?php echo esc_attr( $facebook_like_button_referrer ); ?>"
                     data-size="<?php echo esc_attr( $facebook_like_button_size ); ?>">
                </div>
                <?php

            break;

            # facebook "share" button
            case 'facebook_share_button':

                ?>
                <div class="fb-share-button"
                     data-href="<?php echo esc_url( $facebook_share_button_page_url ); ?>"
                     data-layout="<?php echo esc_attr( $facebook_share_button_layout == 'only_button' ? 'button' : $facebook_share_button_layout ); ?>"
                     data-mobile-iframe="<?php echo esc_attr( $facebook_share_button_mobile_iframe == 'yes' ? 'true' : 'false' ); ?>"
                     data-size="<?php echo esc_attr( $facebook_share_button_size ); ?>">
                </div>
                <?php

            break;

            # twitter embed
            case 'twitter_embed':

                # display element
                echo apply_filters( 'the_content', $content );

            break;

            # twitter single tweet
            case 'twitter_single_tweet':

                # check if twitter class already exists
                if( class_exists( 'ueldo_twitter_api' ) ) {

                    # create new object of twitter api class
                    $api = new ueldo_twitter_api();

                    # set twitter api oauth key
                    $api -> set_key( 'oauth_key', ueldo_get_theme_options_value( 'twitter-api', false, 'oauth-key' ) );

                    # set twitter api oauth secret key
                    $api -> set_key( 'oauth_secret_key', ueldo_get_theme_options_value( 'twitter-api', false, 'oauth-secret-key' ) );

                    # get single tweet
                    $result = $api -> get_single_tweet( $twitter_single_tweet_username, $twitter_single_tweet_on_stack, $twitter_single_tweet_transient_expiration );

                    # do we have the result?
                    if( $result != false ) {

                        ?>
                        <div class="ueldo-shortcode-social-media-feed-twitter-single-tweet">

                            <p class="ueldo-shortcode-social-media-feed-twitter-single-tweet-content"><?php echo ueldo_remove_empty_p( $result['content'] ); ?></p>
                            <p class="ueldo-shortcode-social-media-feed-twitter-single-tweet-date"><?php echo ueldo_show_when( $result['date'], false ); ?></p>

                        </div>
                        <?php
                    }
                }

            break;
        }

    ?>

</div>
<?php

    # clear the variables
    unset( $class_name, $type, $facebook_page_feed_page_url, $facebook_page_feed_page_title, $facebook_page_feed_tabs, $facebook_page_feed_hide_cover, $facebook_page_feed_show_facepile, $facebook_page_feed_hide_cta, $facebook_page_feed_small_header, $facebook_page_feed_adapt_container_width, $facebook_page_feed_use_static_width, $facebook_page_feed_static_width_px, $facebook_page_feed_use_static_height, $facebook_page_feed_static_height_px, $facebook_like_button_page_url, $facebook_like_button_action, $facebook_like_button_color_scheme, $facebook_like_button_kid_directed_site, $facebook_like_button_layout, $facebook_like_button_referrer, $facebook_like_button_share, $facebook_like_button_show_faces, $facebook_like_button_size, $facebook_like_button_use_static_width, $facebook_like_button_static_width_px, $facebook_share_button_page_url, $facebook_share_button_layout, $facebook_share_button_mobile_iframe, $facebook_share_button_size, $twitter_single_tweet_username, $twitter_single_tweet_on_stack, $twitter_single_tweet_transient_expiration, $api, $result );

?>