<?php

   /**
    *
    * prepare the data for shortcode
    *
    */

    # extract shortcode arguments
    extract( shortcode_atts( array(
       'class_name' => '',
       'tabs_content_style' => 'style-01',
       'tabs_selector_style' => 'style-01',
       'tabs_selector_position_above_under' => 'above',
       'tabs_selector_position_left_right' => 'left',
       'content_position' => 'left',
       'base_width' => '570',
       'base_height' => '555',
       'display_circle_navigation' => 'yes-under',
       'circle_navigation_alignment' => 'center',
       'autochange_tabs' => 'no',
       'autochange_interval' => '6000'
    ), $atts ));

    # get tabs data
    $tabs = ueldo_vc_get_tabs_shortcodes_data( $content );

    # get tab slug class object
    global $ueldo_vc_shortcode_unique_tabs_slugs;

    # clear tabs slugs array
    $ueldo_vc_shortcode_unique_tabs_slugs -> clear_tabs_slugs_array();

    # do we have tabs added?
    if( $tabs !== false ) {

        ?>
        <div class="ueldo-shortcode-tabs ueldo-shortcode-tabs-<?php echo esc_attr( $tabs_content_style ); ?> <?php echo esc_attr( $class_name ); ?>" data-autochange-enabled="<?php echo esc_attr( $autochange_tabs ); ?>" data-autochange-interval="<?php echo esc_attr( $autochange_interval ); ?>" data-base-width="<?php echo esc_attr( $base_width ); ?>" data-base-height="<?php echo esc_attr( $base_height ); ?>">

            <?php

                # which tabs style do we need to show?
                switch( $tabs_content_style ) {

                   /**
                    *
                    * tabs style: 01
                    *
                    */

                    case 'style-01':

                        # display tabs selector above the tabs content
                        if( $tabs_selector_position_above_under == 'above' ) ueldo_shortcode_tabs_display_tabs_selector( $tabs, $tabs_selector_style, 'horizontal' );

                        ?>
                        <div class="ueldo-shortcode-tabs-single-tabs-container">

                            <?php

                                # do we need to display circle navigation?
                                if( $display_circle_navigation == 'yes-above' ) ueldo_shortcode_tabs_display_circle_navigation( $tabs, $circle_navigation_alignment );

                            ?>

                            <div class="ueldo-shortcode-tabs-single-tabs-contents">

                                <?php

                                    # tabs contents
                                    echo do_shortcode( $content );

                                ?>

                            </div>

                            <?php

                                # do we need to display circle navigation?
                                if( $display_circle_navigation == 'yes-under' ) ueldo_shortcode_tabs_display_circle_navigation( $tabs, $circle_navigation_alignment );

                            ?>

                        </div>
                        <?php

                        # display tabs selector under the tabs content
                        if( $tabs_selector_position_above_under == 'under' ) ueldo_shortcode_tabs_display_tabs_selector( $tabs, $tabs_selector_style, 'horizontal' );

                    break;

                   /**
                    *
                    * tabs style: 02
                    *
                    */

                    case 'style-02':

                        # display tabs selector above the tabs content
                        if( $tabs_selector_position_left_right == 'left' ) ueldo_shortcode_tabs_display_tabs_selector( $tabs, $tabs_selector_style, 'vertical' );

                        ?>
                        <div class="ueldo-shortcode-tabs-single-tabs-container" data-tabs-selector-position="<?php echo esc_attr( $tabs_selector_position_left_right ); ?>">

                            <?php

                                # do we need to display circle navigation?
                                if( $display_circle_navigation == 'yes-above' ) ueldo_shortcode_tabs_display_circle_navigation( $tabs, $circle_navigation_alignment );

                            ?>

                            <div class="ueldo-shortcode-tabs-single-tabs-contents">

                                <?php

                                    # tabs contents
                                    echo do_shortcode( $content );

                                ?>

                            </div>

                            <?php

                                # do we need to display circle navigation?
                                if( $display_circle_navigation == 'yes-under' ) ueldo_shortcode_tabs_display_circle_navigation( $tabs, $circle_navigation_alignment );

                            ?>

                        </div>
                        <?php

                        # display tabs selector under the tabs content
                        if( $tabs_selector_position_left_right == 'right' ) ueldo_shortcode_tabs_display_tabs_selector( $tabs, $tabs_selector_style, 'vertical' );

                    break;

                   /**
                    *
                    * tabs style: 03
                    *
                    */

                    case 'style-03':

                        ?>
                        <div class="ueldo-shortcode-tabs-single-tabs-container" data-tabs-content-position="<?php echo esc_attr( $content_position ); ?>">

                            <div class="ueldo-content-container">

                                <div class="ueldo-shortcode-tabs-single-tabs-content-middle-helper">
                                </div>

                                <div class="ueldo-shortcode-tabs-single-tabs-content-container">

                                    <?php

                                        # display tabs selector above the tabs content
                                        if( $tabs_selector_position_above_under == 'above' ) ueldo_shortcode_tabs_display_tabs_selector( $tabs, $tabs_selector_style, 'horizontal' );

                                        # do we need to display circle navigation?
                                        if( $display_circle_navigation == 'yes-above' ) ueldo_shortcode_tabs_display_circle_navigation( $tabs, $circle_navigation_alignment );

                                    ?>

                                    <div class="ueldo-shortcode-tabs-single-tabs-contents">

                                        <?php

                                            # tabs contents
                                            echo do_shortcode( $content );

                                        ?>

                                    </div>

                                    <?php

                                        # do we need to display circle navigation?
                                        if( $display_circle_navigation == 'yes-under' ) ueldo_shortcode_tabs_display_circle_navigation( $tabs, $circle_navigation_alignment );

                                        # display tabs selector under the tabs content
                                        if( $tabs_selector_position_above_under == 'under' ) ueldo_shortcode_tabs_display_tabs_selector( $tabs, $tabs_selector_style, 'horizontal' );

                                    ?>

                                </div>

                            </div>

                            <?php

                                # display content inside images container
                                ueldo_shortcode_tabs_display_content_inside_images_container( $atts, $content );

                            ?>

                        </div>
                        <?php

                    break;

                   /**
                    *
                    * tabs style: 04
                    *
                    */

                    case 'style-04':

                        # display tabs selector above the tabs content
                        if( $tabs_selector_position_above_under == 'above' ) ueldo_shortcode_tabs_display_tabs_selector( $tabs, $tabs_selector_style, 'horizontal' );

                        ?>
                        <div class="ueldo-shortcode-tabs-single-tabs-container" data-tabs-content-position="<?php echo esc_attr( $content_position ); ?>">

                            <div class="ueldo-shortcode-tabs-single-tabs-content-middle-helper">
                            </div>

                            <div class="ueldo-shortcode-tabs-single-tabs-content-container">

                                <?php

                                    # do we need to display circle navigation?
                                    if( $display_circle_navigation == 'yes-above' ) ueldo_shortcode_tabs_display_circle_navigation( $tabs, $circle_navigation_alignment );

                                ?>

                                <div class="ueldo-shortcode-tabs-single-tabs-contents">

                                    <?php

                                        # tabs contents
                                        echo do_shortcode( $content );

                                    ?>

                                </div>

                                <?php

                                    # do we need to display circle navigation?
                                    if( $display_circle_navigation == 'yes-under' ) ueldo_shortcode_tabs_display_circle_navigation( $tabs, $circle_navigation_alignment );

                                ?>

                            </div>

                            <?php

                                # display content inside images container
                                ueldo_shortcode_tabs_display_content_inside_images_container( $atts, $content );

                            ?>

                        </div>
                        <?php

                        # display tabs selector under the tabs content
                        if( $tabs_selector_position_above_under == 'under' ) ueldo_shortcode_tabs_display_tabs_selector( $tabs, $tabs_selector_style, 'horizontal' );

                    break;

                   /**
                    *
                    * tabs style: 05
                    *
                    */

                    case 'style-05':

                        ?>
                        <div class="ueldo-shortcode-tabs-single-tabs-container" data-tabs-content-position="<?php echo esc_attr( $content_position ); ?>">

                            <div class="ueldo-shortcode-tabs-single-tabs-content-middle-helper">
                            </div>

                            <div class="ueldo-shortcode-tabs-single-tabs-content-container">

                                <?php

                                    # tabs contents
                                    echo do_shortcode( $content );

                                ?>

                            </div>

                            <?php

                                # display content inside images container
                                ueldo_shortcode_tabs_display_content_inside_images_container( $atts, $content );

                            ?>

                        </div>
                        <?php

                    break;

                   /**
                    *
                    * end of tabs styles
                    *
                    */
                }

            ?>

        </div>
        <?php
    }

    # clear the variables
    unset( $class_name, $tabs_content_style, $tabs_selector_style, $tabs_selector_position_above_under, $tabs_selector_position_left_right, $content_position, $base_width, $base_height, $display_circle_navigation, $circle_navigation_alignment, $autochange_tabs, $autochange_interval, $tabs );

?>