<?php

   /**
    *
    * prepare the data for shortcode
    *
    */

    # extract shortcode arguments
    extract( shortcode_atts( array(
       'class_name' => '',
       'switch_to_accordion_from' => 'small'
    ), $atts ));

    # get tab slug class object
    global $ueldo_vc_shortcode_unique_tabs_slugs;

    # clear tabs slugs array
    $ueldo_vc_shortcode_unique_tabs_slugs -> clear_last_id();

   /**
    *
    * display shortcode
    *
    */

?>
<div class="ueldo-shortcode-tabs-box <?php echo esc_attr( esc_attr( $class_name ) ); ?>" data-switch-to-accordion-from="<?php echo esc_attr( $switch_to_accordion_from ); ?>">

    <?php

        # get single tabs attributes
        $shortcodes = ueldo_vc_find_custom_shortcodes( $content );

        # do we have any shortcode set?
        if( $shortcodes != false ) {

            # tabs titles array
            $tabs_titles = array();

            # walk for each shortcode
            foreach( $shortcodes as $shortcode ) {

                # is it our shortcode?
                if( $shortcode['key'] != 'ueldo_shortcode_tabs_box_single_tab' ) continue;

                # temporary variable
                $temp = array(
                    'title' => isset( $shortcode['atts']['title'] ) ? esc_html( $shortcode['atts']['title'] ) : esc_html( __( 'Single tab', 'ueldo' ) )
                );

                # do we need to display icon?
                if( isset( $shortcode['atts']['display_tab_icon'] ) && $shortcode['atts']['display_tab_icon'] != 'no' ) {

                    # update temporary variable
                    $temp['icon'] = array(
                        'class' => '',
                        'position' => esc_attr( $shortcode['atts']['display_tab_icon'] == 'yes-left' ? 'left' : 'right' )
                    );

                    # switch the icon library
                    switch( isset( $shortcode['atts']['tab_icon_library'] ) ? $shortcode['atts']['tab_icon_library'] : 'fontawesome' ) {

                        case 'fontawesome': $temp['icon']['class'] = isset( $shortcode['atts']['tab_icon_fontawesome'] ) ? esc_attr( $shortcode['atts']['tab_icon_fontawesome'] ) : 'fa fa-long-arrow-right'; break;
                        case 'openiconic': $temp['icon']['class'] = isset( $shortcode['atts']['tab_icon_openiconic'] ) ? esc_attr( $shortcode['atts']['tab_icon_openiconic'] ) : 'vc_icon_element-icon vc-oi vc-oi-dial'; break;
                        case 'typicons': $temp['icon']['class'] = isset( $shortcode['atts']['tab_icon_typicons'] ) ? esc_attr( $shortcode['atts']['tab_icon_typicons'] ) : 'typcn typcn-adjust-brightness'; break;
                        case 'entypo': $temp['icon']['class'] = isset( $shortcode['atts']['tab_icon_entypo'] ) ? esc_attr( $shortcode['atts']['tab_icon_entypo'] ) : 'entypo-icon entypo-icon-note'; break;
                        case 'linecons': $temp['icon']['class'] = isset( $shortcode['atts']['tab_icon_linecons'] ) ? esc_attr( $shortcode['atts']['tab_icon_linecons'] ) : 'vc_li vc_li-heart'; break;
                        case 'monosocial': $temp['icon']['class'] = isset( $shortcode['atts']['tab_icon_monosocial'] ) ? esc_attr( $shortcode['atts']['tab_icon_monosocial'] ) : 'vc-mono vc-mono-fivehundredpx'; break;
                        case 'material': $temp['icon']['class'] = isset( $shortcode['atts']['tab_icon_material'] ) ? esc_attr( $shortcode['atts']['tab_icon_material'] ) : 'vc-material vc-material-account_balance'; break;
                        default: $temp['icon']['class'] = ueldo_get_custom_icon( $shortcode['atts'], 'tab_icon_' ); break;
                    }
                }

                # update tabs titles array
                $tabs_titles[] = $temp;

                # remove temporary variable
                unset( $temp );
            }

            # do we have tabs titles set?
            if( $tabs_titles != array() ) {

                ?>
                <ul class="ueldo-shortcode-tabs-box-tabs-selector">

                    <?php

                        # define tab ID
                        $tabID = 1;

                        # walk for each single tab title
                        foreach( $tabs_titles as $tab_title ) {

                            ?>
                            <li data-tab-id="<?php echo esc_attr( $tabID ); ?>">

                                <?php

                                    # do we have to display icon before the title?
                                    if( isset( $tab_title['icon'] ) && $tab_title['icon']['position'] == 'left' ) {

                                        ?>
                                        <i class="<?php echo esc_attr( $tab_title['icon']['class'] ); ?>" data-icon-position="left"></i>
                                        <?php
                                    }

                                ?>

                                <span class="ueldo-shortcode-tabs-box-tabs-selector-single-tab-title"><?php echo esc_html( $tab_title['title'] ); ?></span>

                                <?php

                                    # do we have to display icon before the title?
                                    if( isset( $tab_title['icon'] ) && $tab_title['icon']['position'] == 'right' ) {

                                        ?>
                                        <i class="<?php echo esc_attr( $tab_title['icon']['class'] ); ?>" data-icon-position="right"></i>
                                        <?php
                                    }

                                ?>

                            </li>
                            <?php

                            # update tab ID
                            $tabID += 1;
                        }

                    ?>

                </ul>
                <?php
            }

            # clear the variables
            unset( $class_name, $switch_to_accordion_from, $shortcodes, $tabs_titles, $shortcode, $tabID, $tab_title );
        }

    ?>

    <div class="ueldo-shortcode-tabs-box-tabs-contents">

        <div class="ueldo-shortcode-tabs-box-tabs-contents-clear-line">
        </div>

        <?php

            # display shortcode elements
            echo apply_filters( 'the_content', $content );

        ?>

    </div>

</div>