<?php

   /**
    *
    * prepare the data for shortcode
    *
    */

    # extract shortcode arguments
    extract( shortcode_atts( array(
       'class_name' => '',
       'title' => esc_html( __( 'Single tab', 'ueldo' ) ),
       'display_tab_icon' => 'no',
       'tab_icon_library' => 'fontawesome',
       'tab_icon_fontawesome' => 'fa fa-long-arrow-right',
       'tab_icon_openiconic' => 'vc_icon_element-icon vc-oi vc-oi-dial',
       'tab_icon_typicons' => 'typcn typcn-adjust-brightness',
       'tab_icon_entypo' => 'entypo-icon entypo-icon-note',
       'tab_icon_linecons' => 'vc_li vc_li-heart',
       'tab_icon_monosocial' => 'vc-mono vc-mono-fivehundredpx',
       'tab_icon_material' => 'vc-material vc-material-account_balance'
    ), $atts ));

    # define the icon variable
    $tab_icon = '';

    # is icon set?
    if( $display_tab_icon != 'no' ) {

        # switch the icon library
        switch( $tab_icon_library ) {

            case 'fontawesome': $tab_icon = $tab_icon_fontawesome; break;
            case 'openiconic': $tab_icon = $tab_icon_openiconic; break;
            case 'typicons': $tab_icon = $tab_icon_typicons; break;
            case 'entypo': $tab_icon = $tab_icon_entypo; break;
            case 'linecons': $tab_icon = $tab_icon_linecons; break;
            case 'monosocial': $tab_icon = $tab_icon_monosocial; break;
            case 'material': $tab_icon = $tab_icon_material; break;
            default: $tab_icon = ueldo_get_custom_icon( $atts, 'tab_icon_' ); break;
        }
    }

    # get tab slug class object
    global $ueldo_vc_shortcode_unique_tabs_slugs;

    # get tab ID value
    $tabID = $ueldo_vc_shortcode_unique_tabs_slugs -> get_next_id();

   /**
    *
    * display shortcode
    *
    */

?>
<div class="ueldo-shortcode-tabs-box-single-tab <?php echo esc_attr( esc_attr( $class_name ) ); ?>" data-tab-id="<?php echo esc_attr( $tabID ); ?>">

    <div class="ueldo-shortcode-tabs-box-single-tab-title">

        <?php

            # do we have to display icon before the title?
            if( $display_tab_icon == 'yes-left' ) {

                ?>
                <i class="<?php echo esc_attr( $tab_icon ); ?>" data-icon-position="left"></i>
                <?php
            }

        ?>

        <span class="ueldo-shortcode-tabs-box-single-tab-title-text"><?php echo esc_html( $title ); ?></span>

        <?php

            # do we have to display icon before the title?
            if( $display_tab_icon == 'yes-right' ) {

                ?>
                <i class="<?php echo esc_attr( $tab_icon ); ?>" data-icon-position="right"></i>
                <?php
            }

        ?>

    </div>

    <div class="ueldo-shortcode-tabs-box-single-tab-content">

        <?php

            # display shortcode elements
            echo apply_filters( 'the_content', $content );

        ?>

    </div>

</div>
<?php

    # clear the variables
    unset( $class_name, $title, $display_tab_icon, $tab_icon_library, $tab_icon_fontawesome, $tab_icon_openiconic, $tab_icon_typicons, $tab_icon_entypo, $tab_icon_linecons, $tab_icon_monosocial, $tab_icon_material, $tab_icon, $tabID );

?>