<?php

   /**
    *
    * prepare the data for shortcode
    *
    */

    # extract shortcode arguments
    extract( shortcode_atts( array(
       'single_tab_title' => esc_html( __( '15 years of experience', 'ueldo' ) ),
       'icon_library' => 'fontawesome',
       'icon_fontawesome' => 'fa fa-long-arrow-right',
       'icon_openiconic' => 'vc_icon_element-icon vc-oi vc-oi-dial',
       'icon_typicons' => 'typcn typcn-adjust-brightness',
       'icon_entypo' => 'entypo-icon entypo-icon-note',
       'icon_linecons' => 'vc_li vc_li-heart',
       'icon_monosocial' => 'vc-mono vc-mono-fivehundredpx',
       'icon_material' => 'vc-material vc-material-account_balance'
    ), $atts ));

    # define the icon variable
    $icon = '';

    # switch the icon library
    switch( $icon_library ) {

        case 'fontawesome': $icon = $icon_fontawesome; break;
        case 'openiconic': $icon = $icon_openiconic; break;
        case 'typicons': $icon = $icon_typicons; break;
        case 'entypo': $icon = $icon_entypo; break;
        case 'linecons': $icon = $icon_linecons; break;
        case 'monosocial': $icon = $icon_monosocial; break;
        case 'material': $icon = $icon_material; break;
        default: $icon = ueldo_get_custom_icon( $atts, 'icon_' ); break;
    }

    # get tab slug class object
    global $ueldo_vc_shortcode_unique_tabs_slugs;

    # get tab slug value
    $tab_slug = $ueldo_vc_shortcode_unique_tabs_slugs -> get_tab_slug( empty( $single_tab_title ) ? 'single-tab' : $single_tab_title );

?>
<div class="ueldo-shortcode-tabs-single-tab" data-tab-slug="<?php echo esc_attr( $tab_slug ); ?>">

    <span class="ueldo-shortcode-tabs-single-tab-icon"><i class="<?php echo esc_attr( $icon ); ?>"></i></span>

    <?php

        # display tab content
        echo apply_filters( 'the_content', $content );

    ?>

</div>
<?php

    # clear the variables
    unset( $single_tab_title, $icon_library, $icon_fontawesome, $icon_openiconic, $icon_typicons, $icon_entypo, $icon_linecons, $icon_monosocial, $icon_material, $icon, $tab_slug );

?>