<?php

   /**
    *
    * prepare the data for shortcode
    *
    */

    # extract shortcode arguments
    extract( shortcode_atts( array(
       'class_name' => '',
       'how_many_timeline_elements_on_screen' => '2',
       'display_as' => 'as_card',
       'enable_arrows_animation' => 'yes',
       'autochange_enabled' => 'no',
       'autochange_interval' => '6000'
    ), $atts ));

    # get shortcode class
    $shortcode_class = 'ueldo-shortcode-timeline';

    # update shortcode class with type attribute
    $shortcode_class .= ' ueldo-shortcode-timeline-display-as-'. esc_attr( $display_as == 'as_card' ? 'card' : 'full-width' );

    # update shortcode class with unique class ID
    $shortcode_class .= ' '. esc_attr( esc_attr( $class_name ) );

   /**
    *
    * display shortcode
    *
    */

?>
<div class="<?php echo esc_attr( esc_attr( $shortcode_class ) ); ?>" data-elements-per-screen="<?php echo esc_attr( $how_many_timeline_elements_on_screen ); ?>" data-current-position="0" data-next-prev-icons-animation-enabled="<?php echo esc_attr( $enable_arrows_animation ); ?>" data-autochange-enabled="<?php echo esc_attr( $autochange_enabled ); ?>" data-autochange-interval="<?php echo esc_attr( $autochange_interval ); ?>">

    <?php

        # display as card element
        if( $display_as == 'as_card' ) {

            ?>
            <div class="ueldo-shortcode-timeline-card-inner">

                <div class="ueldo-shortcode-timeline-loop-container">

                    <div class="ueldo-shortcode-timeline-loop-container-elements">

                        <?php

                            # display shortcode elements
                            echo apply_filters( 'the_content', $content );

                        ?>

                    </div>

                </div>

                <div class="ueldo-shortcode-timeline-next-prev-icons">

                    <span class="ueldo-shortcode-timeline-next-prev-icon" data-next-prev-icon-type="prev" data-animation-enabled="<?php echo esc_attr( $enable_arrows_animation ); ?>"><i class="fa fa-long-arrow-up"></i></span>
                    <span class="ueldo-shortcode-timeline-next-prev-icon" data-next-prev-icon-type="next" data-animation-enabled="<?php echo esc_attr( $enable_arrows_animation ); ?>"><i class="fa fa-long-arrow-down"></i></span>

                </div>

            </div>
            <?php
        }

        # display as full-width element
        else {

            ?>
            <div class="ueldo-content-width-container">

                <div class="ueldo-content-width-container-inner">

                    <div class="ueldo-shortcode-timeline-loop-container">

                        <div class="ueldo-shortcode-timeline-loop-container-elements">

                            <?php

                                # display shortcode elements
                                echo apply_filters( 'the_content', $content );

                            ?>

                        </div>

                    </div>

                </div>

            </div>
            <?php
        }

    ?>

</div>
<?php

    # clear the variables
    unset( $class_name, $how_many_timeline_elements_on_screen, $display_as, $enable_arrows_animation, $autochange_enabled, $autochange_interval, $shortcode_class );

?>