<?php

   /**
    *
    * prepare the data for shortcode
    *
    */

    # extract shortcode arguments
    extract( shortcode_atts( array(
       'class_name' => '',
       'orientation' => 'horizontal',
       'horizontal_alignment' => 'left',
       'default_offset' => '50%',
       'before_text' => esc_html( __( 'Before', 'ueldo' ) ),
       'after_text' => esc_html( __( 'After', 'ueldo' ) ),
       'first_image' => esc_url( get_template_directory_uri() .'/_assets/_img/image.png' ),
       'first_image_alt' => esc_html( __( 'Image', 'ueldo' ) ),
       'second_image' => esc_url( get_template_directory_uri() .'/_assets/_img/image.png' ),
       'second_image_alt' => esc_html( __( 'Image', 'ueldo' ) )
    ), $atts ));

   /**
    *
    * display shortcode
    *
    */

?>
<div class="ueldo-shortcode-two-images-difference ueldo-shortcode-two-images-difference-horizontal-alignment-<?php echo esc_attr( $horizontal_alignment ); ?> <?php echo esc_attr( $class_name ); ?>" data-orientation="<?php echo esc_attr( $orientation ); ?>" data-default-offset="<?php echo esc_attr( $default_offset ); ?>" data-before-text="<?php echo esc_attr( $before_text ); ?>" data-after-text="<?php echo esc_attr( $after_text ); ?>">

    <div class="ueldo-shortcode-two-images-difference-container">

        <img src="<?php echo esc_url( ueldo_get_image_src( $first_image ) ); ?>" alt="<?php echo esc_attr( $first_image_alt ); ?>" <?php echo ueldo_retina_ready_attr(); ?> />
        <img src="<?php echo esc_url( ueldo_get_image_src( $second_image ) ); ?>" alt="<?php echo esc_attr( $second_image_alt ); ?>" <?php echo ueldo_retina_ready_attr(); ?> />

    </div>

</div>

<div class="ueldo-clear">
</div>
<?php

    # clear the variables
    unset( $class_name, $orientation, $horizontal_alignment, $default_offset, $before_text, $after_text, $first_image, $first_image_alt, $second_image, $second_image_alt );

?>