<?php

   /**
    *
    * prepare the data for shortcode
    *
    */

    # extract shortcode arguments
    extract( shortcode_atts( array(
       'class_name' => '',
       'image' => esc_url( get_template_directory_uri() .'/_assets/_img/image.png' ),
       'image_alt' => esc_html( __( 'Image', 'ueldo' ) ),
       'horizontal_alignment' => esc_attr( ueldo_is_rtl() ? 'right' : 'left' )
    ), $atts ));

    # get image dimensions
    $dimensions = ueldo_get_image_dimensions( $image );

   /**
    *
    * display shortcode
    *
    */

?>
<div class="ueldo-shortcode-website-logo ueldo-shortcode-website-logo-horizontal-alignment-<?php echo esc_attr( $horizontal_alignment ); ?> <?php echo esc_attr( $class_name ); ?>">

    <a href="<?php echo esc_url( home_url( '/' ) ); ?>"><img src="<?php echo esc_url( ueldo_get_image_src( $image ) ); ?>" alt="<?php echo esc_attr( $image_alt ); ?>" height="<?php echo esc_attr( $dimensions['height'] ); ?>" width="<?php echo esc_attr( $dimensions['width'] ); ?>" <?php echo ueldo_retina_ready_attr(); ?> /></a>

</div>
<?php

    # clear the variables
    unset( $class_name, $image, $image_alt, $horizontal_alignment );

?>