<?php

   /**
    *
    * Template Name: WooCommerce
    *
    */

    # prevent direct file access
    if( !defined( 'ABSPATH' ) ) exit;

    # getting header
    get_header();

    ?>
    <div class="ueldo-content-default" <?php echo ueldo_display_sidebar_attributes( 'woocommerce' ); ?>>

        <div class="ueldo-content-container <?php echo esc_attr( ueldo_get_theme_options_value( 'woocommerce', false, ueldo_get_woocommerce_page_slug() ) == 'no' ? 'ueldo-content-wrapper' : '' ); ?>">

            <?php

                # if sidebar is set, wrap the content
                if( ueldo_get_theme_options_value( 'woocommerce', false, ueldo_get_woocommerce_page_slug() ) != 'no' ) {

                    ?>
                    <div class="ueldo-content-wrapper">
                    <?php
                }

            ?>

            <div class="ueldo-content-woocommerce">

                <?php

                    # display default woocommerce page
                    if( in_array( ueldo_get_woocommerce_page_slug(), array( 'single-product-sidebar', 'products-list-sidebar' ), true ) ) {

                        # woocommerce content
                        woocommerce_content();
                    }

                    # display custom woocommerce page
                    else {

                        # do we have posts?
                        if( have_posts() ) {

                            # initialize post
                            the_post();

                            # display content
                            the_content();
                        }
                    }

                ?>

            </div>

            <?php

                # display sidebar if set and close the content wrapper
                if( ueldo_get_theme_options_value( 'woocommerce', false, ueldo_get_woocommerce_page_slug() ) != 'no' ) {

                    ?>
                    </div>

                    <div class="ueldo-sidebar-wrapper" data-sidebar-responsive-style="<?php echo esc_attr( ueldo_get_theme_options_value( 'woocommerce', false, 'responsive-sidebar-style' ) ); ?>">

                        <?php

                            # get sidebar for blog
                            get_sidebar();

                        ?>

                    </div>
                    <?php

                # end of blog sidebar
                }

            ?>

        </div>

    </div>
    <?php

    # getting footer
    get_footer();

?>