<?php

   /**
    *
    * filter visual composer content to find custom
    * shortcodes and create its styles
    *
    */

    function ueldo_find_custom_vc_shortcodes_styles( $content ) {

        # find the shortcodes we're looking for
        $shortcodes = ueldo_vc_find_custom_shortcodes( $content );

        # do we have shortcodes found?
        if( $shortcodes !== false ) {

            # global variables
            global $ueldo_styles_cache;

            # refresh styles cache if is customize preview
            if( is_customize_preview() ) $ueldo_styles_cache -> refresh();

            # create object of styles cache class
            $shortcodes_styles = new ueldo_shortcodes_styles_cache();

            # walk for each shortcode
            foreach( $shortcodes as $shortcode ) {

                # do we have a class name?
                if( !isset( $shortcode['atts']['class_name'] ) || empty( $shortcode['atts']['class_name'] ) ) continue;

                # switch by the shortcode key
                switch( $shortcode['key'] ) {

                   /**
                    *
                    * ueldo_shortcode_button
                    *
                    */

                    case 'ueldo_shortcode_button':

                        # attributes array
                        $attributes = array(
                            'button_type' => isset( $shortcode['atts']['button_type'] ) && !empty( $shortcode['atts']['button_type'] ) ? $shortcode['atts']['button_type'] : 'standard-button',
                            'standard_button_text_font_family' => isset( $shortcode['atts']['standard_button_text_font_family'] ) && !empty( $shortcode['atts']['standard_button_text_font_family'] ) ? $shortcode['atts']['standard_button_text_font_family'] : 'headings-subtitle-font',
                            'two_line_button_text_font_family' => isset( $shortcode['atts']['two_line_button_text_font_family'] ) && !empty( $shortcode['atts']['two_line_button_text_font_family'] ) ? $shortcode['atts']['two_line_button_text_font_family'] : 'general-font',
                            'second_line_position' => isset( $shortcode['atts']['second_line_position'] ) && !empty( $shortcode['atts']['second_line_position'] ) ? $shortcode['atts']['second_line_position'] : 'bottom',
                            'second_line_text_font_family' => isset( $shortcode['atts']['second_line_text_font_family'] ) && !empty( $shortcode['atts']['second_line_text_font_family'] ) ? $shortcode['atts']['second_line_text_font_family'] : 'headings-subtitle-font',
                            'show_button_icon' => isset( $shortcode['atts']['show_button_icon'] ) && !empty( $shortcode['atts']['show_button_icon'] ) ? $shortcode['atts']['show_button_icon'] : 'no',
                            'button_icon_position' => isset( $shortcode['atts']['button_icon_position'] ) && !empty( $shortcode['atts']['button_icon_position'] ) ? $shortcode['atts']['button_icon_position'] : 'after',
                            'button_icon_visibility' => isset( $shortcode['atts']['button_icon_visibility'] ) && !empty( $shortcode['atts']['button_icon_visibility'] ) ? $shortcode['atts']['button_icon_visibility'] : 'visible',
                            'hover_transform_enabled' => isset( $shortcode['atts']['hover_transform_enabled'] ) && !empty( $shortcode['atts']['hover_transform_enabled'] ) ? $shortcode['atts']['hover_transform_enabled'] : 'no',
                            'hover_transform_y_value' => isset( $shortcode['atts']['hover_transform_y_value'] ) && $shortcode['atts']['hover_transform_y_value'] != '' && ueldo_is_valid_number( $shortcode['atts']['hover_transform_y_value'] ) ? $shortcode['atts']['hover_transform_y_value'] : '-3',
                            'text_near_button_position' => isset( $shortcode['atts']['text_near_button_position'] ) && !empty( $shortcode['atts']['text_near_button_position'] ) ? $shortcode['atts']['text_near_button_position'] : 'after',
                            'custom_sizes_enabled' => isset( $shortcode['atts']['custom_sizes_enabled'] ) && !empty( $shortcode['atts']['custom_sizes_enabled'] ) ? $shortcode['atts']['custom_sizes_enabled'] : 'theme_defaults',
                            'additional_margin_before' => isset( $shortcode['atts']['additional_margin_before'] ) && $shortcode['atts']['additional_margin_before'] != '' && ueldo_is_valid_number( $shortcode['atts']['additional_margin_before'] ) ? $shortcode['atts']['additional_margin_before'] : '0',
                            'additional_margin_after' => isset( $shortcode['atts']['additional_margin_after'] ) && $shortcode['atts']['additional_margin_after'] != '' && ueldo_is_valid_number( $shortcode['atts']['additional_margin_after'] ) ? $shortcode['atts']['additional_margin_after'] : '0',
                            'additional_margin_under' => isset( $shortcode['atts']['additional_margin_under'] ) && $shortcode['atts']['additional_margin_under'] != '' && ueldo_is_valid_number( $shortcode['atts']['additional_margin_under'] ) ? $shortcode['atts']['additional_margin_under'] : '0',
                            'additional_margin_above' => isset( $shortcode['atts']['additional_margin_above'] ) && $shortcode['atts']['additional_margin_above'] != '' && ueldo_is_valid_number( $shortcode['atts']['additional_margin_above'] ) ? $shortcode['atts']['additional_margin_above'] : '0',
                            'margin_between_button_and_text_near_button' => isset( $shortcode['atts']['margin_between_button_and_text_near_button'] ) && $shortcode['atts']['margin_between_button_and_text_near_button'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_between_button_and_text_near_button'] ) ? $shortcode['atts']['margin_between_button_and_text_near_button'] : '15',
                            'standard_button_font_size' => isset( $shortcode['atts']['standard_button_font_size'] ) && $shortcode['atts']['standard_button_font_size'] != '' && ueldo_is_valid_number( $shortcode['atts']['standard_button_font_size'] ) ? $shortcode['atts']['standard_button_font_size'] : esc_attr( $ueldo_styles_cache -> get_style( 'buttons-global-button-font-size' ) ),
                            'standard_button_font_letter_spacing' => isset( $shortcode['atts']['standard_button_font_letter_spacing'] ) && $shortcode['atts']['standard_button_font_letter_spacing'] != '' && ueldo_is_valid_number( $shortcode['atts']['standard_button_font_letter_spacing'] ) ? $shortcode['atts']['standard_button_font_letter_spacing'] : esc_attr( $ueldo_styles_cache -> get_style( 'buttons-global-button-letter-spacing' ) ),
                            'standard_button_icon_size' => isset( $shortcode['atts']['standard_button_icon_size'] ) && $shortcode['atts']['standard_button_icon_size'] != '' && ueldo_is_valid_number( $shortcode['atts']['standard_button_icon_size'] ) ? $shortcode['atts']['standard_button_icon_size'] : esc_attr( $ueldo_styles_cache -> get_style( 'buttons-global-button-icon-size' ) ),
                            'standard_button_padding_top' => isset( $shortcode['atts']['standard_button_padding_top'] ) && $shortcode['atts']['standard_button_padding_top'] != '' && ueldo_is_valid_number( $shortcode['atts']['standard_button_padding_top'] ) ? $shortcode['atts']['standard_button_padding_top'] : esc_attr( $ueldo_styles_cache -> get_style( 'buttons-global-button-padding-top' ) ),
                            'standard_button_padding_right' => isset( $shortcode['atts']['standard_button_padding_right'] ) && $shortcode['atts']['standard_button_padding_right'] != '' && ueldo_is_valid_number( $shortcode['atts']['standard_button_padding_right'] ) ? $shortcode['atts']['standard_button_padding_right'] : esc_attr( $ueldo_styles_cache -> get_style( 'buttons-global-button-padding-right' ) ),
                            'standard_button_padding_bottom' => isset( $shortcode['atts']['standard_button_padding_bottom'] ) && $shortcode['atts']['standard_button_padding_bottom'] != '' && ueldo_is_valid_number( $shortcode['atts']['standard_button_padding_bottom'] ) ? $shortcode['atts']['standard_button_padding_bottom'] : esc_attr( $ueldo_styles_cache -> get_style( 'buttons-global-button-padding-bottom' ) ),
                            'standard_button_padding_left' => isset( $shortcode['atts']['standard_button_padding_left'] ) && $shortcode['atts']['standard_button_padding_left'] != '' && ueldo_is_valid_number( $shortcode['atts']['standard_button_padding_left'] ) ? $shortcode['atts']['standard_button_padding_left'] : esc_attr( $ueldo_styles_cache -> get_style( 'buttons-global-button-padding-left' ) ),
                            'standard_button_use_static_height' => isset( $shortcode['atts']['standard_button_use_static_height'] ) && !empty( $shortcode['atts']['standard_button_use_static_height'] ) ? $shortcode['atts']['standard_button_use_static_height'] : esc_attr( $ueldo_styles_cache -> get_style( 'buttons-global-button-use-static-height' ) ),
                            'standard_button_static_height' => isset( $shortcode['atts']['standard_button_static_height'] ) && $shortcode['atts']['standard_button_static_height'] != '' && ueldo_is_valid_number( $shortcode['atts']['standard_button_static_height'] ) ? $shortcode['atts']['standard_button_static_height'] : esc_attr( $ueldo_styles_cache -> get_style( 'buttons-global-button-static-height' ) ),
                            'standard_button_use_static_width' => isset( $shortcode['atts']['standard_button_use_static_width'] ) && !empty( $shortcode['atts']['standard_button_use_static_width'] ) ? $shortcode['atts']['standard_button_use_static_width'] : 'no',
                            'standard_button_static_width' => isset( $shortcode['atts']['standard_button_static_width'] ) && $shortcode['atts']['standard_button_static_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['standard_button_static_width'] ) ? $shortcode['atts']['standard_button_static_width'] : '180',
                            'standard_button_margin_between_icon_and_text' => isset( $shortcode['atts']['standard_button_margin_between_icon_and_text'] ) && $shortcode['atts']['standard_button_margin_between_icon_and_text'] != '' && ueldo_is_valid_number( $shortcode['atts']['standard_button_margin_between_icon_and_text'] ) ? $shortcode['atts']['standard_button_margin_between_icon_and_text'] : esc_attr( $ueldo_styles_cache -> get_style( 'buttons-global-button-margin-between-text-and-icon' ) ),
                            'standard_button_border_radius' => isset( $shortcode['atts']['standard_button_border_radius'] ) && $shortcode['atts']['standard_button_border_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['standard_button_border_radius'] ) ? $shortcode['atts']['standard_button_border_radius'] : esc_attr( $ueldo_styles_cache -> get_style( 'buttons-global-button-border-radius' ) ),
                            'standard_button_border_width' => isset( $shortcode['atts']['standard_button_border_width'] ) && $shortcode['atts']['standard_button_border_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['standard_button_border_width'] ) ? $shortcode['atts']['standard_button_border_width'] : esc_attr( $ueldo_styles_cache -> get_style( 'buttons-global-button-border-width' ) ),
                            'two_line_button_title_font_size' => isset( $shortcode['atts']['two_line_button_title_font_size'] ) && $shortcode['atts']['two_line_button_title_font_size'] != '' && ueldo_is_valid_number( $shortcode['atts']['two_line_button_title_font_size'] ) ? $shortcode['atts']['two_line_button_title_font_size'] : esc_attr( $ueldo_styles_cache -> get_style( 'font-size-h4' ) ),
                            'two_line_button_title_letter_spacing' => isset( $shortcode['atts']['two_line_button_title_letter_spacing'] ) && $shortcode['atts']['two_line_button_title_letter_spacing'] != '' && ueldo_is_valid_number( $shortcode['atts']['two_line_button_title_letter_spacing'] ) ? $shortcode['atts']['two_line_button_title_letter_spacing'] : '-1',
                            'two_line_button_subtitle_font_size' => isset( $shortcode['atts']['two_line_button_subtitle_font_size'] ) && $shortcode['atts']['two_line_button_subtitle_font_size'] != '' && ueldo_is_valid_number( $shortcode['atts']['two_line_button_subtitle_font_size'] ) ? $shortcode['atts']['two_line_button_subtitle_font_size'] : esc_attr( $ueldo_styles_cache -> get_style( 'font-size-smallest-content' ) ),
                            'two_line_button_icon_size' => isset( $shortcode['atts']['two_line_button_icon_size'] ) && $shortcode['atts']['two_line_button_icon_size'] != '' && ueldo_is_valid_number( $shortcode['atts']['two_line_button_icon_size'] ) ? $shortcode['atts']['two_line_button_icon_size'] : '30',
                            'two_line_button_margin_between_title_and_subtitle' => isset( $shortcode['atts']['two_line_button_margin_between_title_and_subtitle'] ) && $shortcode['atts']['two_line_button_margin_between_title_and_subtitle'] != '' && ueldo_is_valid_number( $shortcode['atts']['two_line_button_margin_between_title_and_subtitle'] ) ? $shortcode['atts']['two_line_button_margin_between_title_and_subtitle'] : '9',
                            'two_line_button_margin_between_icon_and_button_texts' => isset( $shortcode['atts']['two_line_button_margin_between_icon_and_button_texts'] ) && $shortcode['atts']['two_line_button_margin_between_icon_and_button_texts'] != '' && ueldo_is_valid_number( $shortcode['atts']['two_line_button_margin_between_icon_and_button_texts'] ) ? $shortcode['atts']['two_line_button_margin_between_icon_and_button_texts'] : '17',
                            'two_line_button_padding_top' => isset( $shortcode['atts']['two_line_button_padding_top'] ) && $shortcode['atts']['two_line_button_padding_top'] != '' && ueldo_is_valid_number( $shortcode['atts']['two_line_button_padding_top'] ) ? $shortcode['atts']['two_line_button_padding_top'] : '20',
                            'two_line_button_padding_right' => isset( $shortcode['atts']['two_line_button_padding_right'] ) && $shortcode['atts']['two_line_button_padding_right'] != '' && ueldo_is_valid_number( $shortcode['atts']['two_line_button_padding_right'] ) ? $shortcode['atts']['two_line_button_padding_right'] : '20',
                            'two_line_button_padding_bottom' => isset( $shortcode['atts']['two_line_button_padding_bottom'] ) && $shortcode['atts']['two_line_button_padding_bottom'] != '' && ueldo_is_valid_number( $shortcode['atts']['two_line_button_padding_bottom'] ) ? $shortcode['atts']['two_line_button_padding_bottom'] : '20',
                            'two_line_button_padding_left' => isset( $shortcode['atts']['two_line_button_padding_left'] ) && $shortcode['atts']['two_line_button_padding_left'] != '' && ueldo_is_valid_number( $shortcode['atts']['two_line_button_padding_left'] ) ? $shortcode['atts']['two_line_button_padding_left'] : '20',
                            'two_line_button_use_static_height' => isset( $shortcode['atts']['two_line_button_use_static_height'] ) && !empty( $shortcode['atts']['two_line_button_use_static_height'] ) ? $shortcode['atts']['two_line_button_use_static_height'] : 'no',
                            'two_line_button_static_height' => isset( $shortcode['atts']['two_line_button_static_height'] ) && $shortcode['atts']['two_line_button_static_height'] != '' && ueldo_is_valid_number( $shortcode['atts']['two_line_button_static_height'] ) ? $shortcode['atts']['two_line_button_static_height'] : '83',
                            'two_line_button_use_static_width' => isset( $shortcode['atts']['two_line_button_use_static_width'] ) && !empty( $shortcode['atts']['two_line_button_use_static_width'] ) ? $shortcode['atts']['two_line_button_use_static_width'] : 'no',
                            'two_line_button_static_width' => isset( $shortcode['atts']['two_line_button_static_width'] ) && $shortcode['atts']['two_line_button_static_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['two_line_button_static_width'] ) ? $shortcode['atts']['two_line_button_static_width'] : '235',
                            'two_line_button_border_radius' => isset( $shortcode['atts']['two_line_button_border_radius'] ) && $shortcode['atts']['two_line_button_border_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['two_line_button_border_radius'] ) ? $shortcode['atts']['two_line_button_border_radius'] : '4',
                            'two_line_button_border_width' => isset( $shortcode['atts']['two_line_button_border_width'] ) && $shortcode['atts']['two_line_button_border_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['two_line_button_border_width'] ) ? $shortcode['atts']['two_line_button_border_width'] : '1',
                            'custom_colors_enabled' => isset( $shortcode['atts']['custom_colors_enabled'] ) && !empty( $shortcode['atts']['custom_colors_enabled'] ) ? $shortcode['atts']['custom_colors_enabled'] : 'theme_defaults',
                            'standard_button_background_color' => isset( $shortcode['atts']['standard_button_background_color'] ) && $shortcode['atts']['standard_button_background_color'] != '' ? $shortcode['atts']['standard_button_background_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'buttons-global-button-background-color' ) ),
                            'standard_button_background_color_hover' => isset( $shortcode['atts']['standard_button_background_color_hover'] ) && $shortcode['atts']['standard_button_background_color_hover'] != '' ? $shortcode['atts']['standard_button_background_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'buttons-global-button-background-color-hover' ) ),
                            'standard_button_border_color' => isset( $shortcode['atts']['standard_button_border_color'] ) && $shortcode['atts']['standard_button_border_color'] != '' ? $shortcode['atts']['standard_button_border_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'buttons-global-button-border-color' ) ),
                            'standard_button_border_color_hover' => isset( $shortcode['atts']['standard_button_border_color_hover'] ) && $shortcode['atts']['standard_button_border_color_hover'] != '' ? $shortcode['atts']['standard_button_border_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'buttons-global-button-border-color-hover' ) ),
                            'standard_button_box_shadow_horizontal_length' => isset( $shortcode['atts']['standard_button_box_shadow_horizontal_length'] ) && $shortcode['atts']['standard_button_box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['standard_button_box_shadow_horizontal_length'] ) ? $shortcode['atts']['standard_button_box_shadow_horizontal_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'buttons-global-button-box-shadow', 'horizontal-length' ) ),
                            'standard_button_box_shadow_vertical_length' => isset( $shortcode['atts']['standard_button_box_shadow_vertical_length'] ) && $shortcode['atts']['standard_button_box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['standard_button_box_shadow_vertical_length'] ) ? $shortcode['atts']['standard_button_box_shadow_vertical_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'buttons-global-button-box-shadow', 'vertical-length' ) ),
                            'standard_button_box_shadow_blur_radius' => isset( $shortcode['atts']['standard_button_box_shadow_blur_radius'] ) && $shortcode['atts']['standard_button_box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['standard_button_box_shadow_blur_radius'] ) ? $shortcode['atts']['standard_button_box_shadow_blur_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'buttons-global-button-box-shadow', 'blur-radius' ) ),
                            'standard_button_box_shadow_spread_radius' => isset( $shortcode['atts']['standard_button_box_shadow_spread_radius'] ) && $shortcode['atts']['standard_button_box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['standard_button_box_shadow_spread_radius'] ) ? $shortcode['atts']['standard_button_box_shadow_spread_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'buttons-global-button-box-shadow', 'spread-radius' ) ),
                            'standard_button_box_shadow_color' => isset( $shortcode['atts']['standard_button_box_shadow_color'] ) && $shortcode['atts']['standard_button_box_shadow_color'] != '' ? $shortcode['atts']['standard_button_box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'buttons-global-button-box-shadow', 'color' ) ),
                            'standard_button_box_shadow_horizontal_length_hover' => isset( $shortcode['atts']['standard_button_box_shadow_horizontal_length_hover'] ) && $shortcode['atts']['standard_button_box_shadow_horizontal_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['standard_button_box_shadow_horizontal_length_hover'] ) ? $shortcode['atts']['standard_button_box_shadow_horizontal_length_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'buttons-global-button-box-shadow-hover', 'horizontal-length' ) ),
                            'standard_button_box_shadow_vertical_length_hover' => isset( $shortcode['atts']['standard_button_box_shadow_vertical_length_hover'] ) && $shortcode['atts']['standard_button_box_shadow_vertical_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['standard_button_box_shadow_vertical_length_hover'] ) ? $shortcode['atts']['standard_button_box_shadow_vertical_length_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'buttons-global-button-box-shadow-hover', 'vertical-length' ) ),
                            'standard_button_box_shadow_blur_radius_hover' => isset( $shortcode['atts']['standard_button_box_shadow_blur_radius_hover'] ) && $shortcode['atts']['standard_button_box_shadow_blur_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['standard_button_box_shadow_blur_radius_hover'] ) ? $shortcode['atts']['standard_button_box_shadow_blur_radius_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'buttons-global-button-box-shadow-hover', 'blur-radius' ) ),
                            'standard_button_box_shadow_spread_radius_hover' => isset( $shortcode['atts']['standard_button_box_shadow_spread_radius_hover'] ) && $shortcode['atts']['standard_button_box_shadow_spread_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['standard_button_box_shadow_spread_radius_hover'] ) ? $shortcode['atts']['standard_button_box_shadow_spread_radius_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'buttons-global-button-box-shadow-hover', 'spread-radius' ) ),
                            'standard_button_box_shadow_color_hover' => isset( $shortcode['atts']['standard_button_box_shadow_color_hover'] ) && $shortcode['atts']['standard_button_box_shadow_color_hover'] != '' ? $shortcode['atts']['standard_button_box_shadow_color_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'buttons-global-button-box-shadow-hover', 'color' ) ),
                            'two_line_button_background_color' => isset( $shortcode['atts']['two_line_button_background_color'] ) && $shortcode['atts']['two_line_button_background_color'] != '' ? $shortcode['atts']['two_line_button_background_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                            'two_line_button_background_color_hover' => isset( $shortcode['atts']['two_line_button_background_color_hover'] ) && $shortcode['atts']['two_line_button_background_color_hover'] != '' ? $shortcode['atts']['two_line_button_background_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                            'two_line_button_border_color' => isset( $shortcode['atts']['two_line_button_border_color'] ) && $shortcode['atts']['two_line_button_border_color'] != '' ? $shortcode['atts']['two_line_button_border_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-border-color' ) ),
                            'two_line_button_border_color_hover' => isset( $shortcode['atts']['two_line_button_border_color_hover'] ) && $shortcode['atts']['two_line_button_border_color_hover'] != '' ? $shortcode['atts']['two_line_button_border_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-hover-border-color' ) ),
                            'two_line_button_box_shadow_horizontal_length' => isset( $shortcode['atts']['two_line_button_box_shadow_horizontal_length'] ) && $shortcode['atts']['two_line_button_box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['two_line_button_box_shadow_horizontal_length'] ) ? $shortcode['atts']['two_line_button_box_shadow_horizontal_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'horizontal-length' ) ),
                            'two_line_button_box_shadow_vertical_length' => isset( $shortcode['atts']['two_line_button_box_shadow_vertical_length'] ) && $shortcode['atts']['two_line_button_box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['two_line_button_box_shadow_vertical_length'] ) ? $shortcode['atts']['two_line_button_box_shadow_vertical_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'vertical-length' ) ),
                            'two_line_button_box_shadow_blur_radius' => isset( $shortcode['atts']['two_line_button_box_shadow_blur_radius'] ) && $shortcode['atts']['two_line_button_box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['two_line_button_box_shadow_blur_radius'] ) ? $shortcode['atts']['two_line_button_box_shadow_blur_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'blur-radius' ) ),
                            'two_line_button_box_shadow_spread_radius' => isset( $shortcode['atts']['two_line_button_box_shadow_spread_radius'] ) && $shortcode['atts']['two_line_button_box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['two_line_button_box_shadow_spread_radius'] ) ? $shortcode['atts']['two_line_button_box_shadow_spread_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'spread-radius' ) ),
                            'two_line_button_box_shadow_color' => isset( $shortcode['atts']['two_line_button_box_shadow_color'] ) && $shortcode['atts']['two_line_button_box_shadow_color'] != '' ? $shortcode['atts']['two_line_button_box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'color' ) ),
                            'two_line_button_box_shadow_horizontal_length_hover' => isset( $shortcode['atts']['two_line_button_box_shadow_horizontal_length_hover'] ) && $shortcode['atts']['two_line_button_box_shadow_horizontal_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['two_line_button_box_shadow_horizontal_length_hover'] ) ? $shortcode['atts']['two_line_button_box_shadow_horizontal_length_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'horizontal-length' ) ),
                            'two_line_button_box_shadow_vertical_length_hover' => isset( $shortcode['atts']['two_line_button_box_shadow_vertical_length_hover'] ) && $shortcode['atts']['two_line_button_box_shadow_vertical_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['two_line_button_box_shadow_vertical_length_hover'] ) ? $shortcode['atts']['two_line_button_box_shadow_vertical_length_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'vertical-length' ) ),
                            'two_line_button_box_shadow_blur_radius_hover' => isset( $shortcode['atts']['two_line_button_box_shadow_blur_radius_hover'] ) && $shortcode['atts']['two_line_button_box_shadow_blur_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['two_line_button_box_shadow_blur_radius_hover'] ) ? $shortcode['atts']['two_line_button_box_shadow_blur_radius_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'blur-radius' ) ),
                            'two_line_button_box_shadow_spread_radius_hover' => isset( $shortcode['atts']['two_line_button_box_shadow_spread_radius_hover'] ) && $shortcode['atts']['two_line_button_box_shadow_spread_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['two_line_button_box_shadow_spread_radius_hover'] ) ? $shortcode['atts']['two_line_button_box_shadow_spread_radius_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'spread-radius' ) ),
                            'two_line_button_box_shadow_color_hover' => isset( $shortcode['atts']['two_line_button_box_shadow_color_hover'] ) && $shortcode['atts']['two_line_button_box_shadow_color_hover'] != '' ? $shortcode['atts']['two_line_button_box_shadow_color_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'color' ) ),
                            'standard_button_text_color' => isset( $shortcode['atts']['standard_button_text_color'] ) && $shortcode['atts']['standard_button_text_color'] != '' ? $shortcode['atts']['standard_button_text_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'buttons-global-button-text-color' ) ),
                            'standard_button_text_color_hover' => isset( $shortcode['atts']['standard_button_text_color_hover'] ) && $shortcode['atts']['standard_button_text_color_hover'] != '' ? $shortcode['atts']['standard_button_text_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'buttons-global-button-text-color-hover' ) ),
                            'standard_button_text_shadow_horizontal_length' => isset( $shortcode['atts']['standard_button_text_shadow_horizontal_length'] ) && $shortcode['atts']['standard_button_text_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['standard_button_text_shadow_horizontal_length'] ) ? $shortcode['atts']['standard_button_text_shadow_horizontal_length'] : '0',
                            'standard_button_text_shadow_vertical_length' => isset( $shortcode['atts']['standard_button_text_shadow_vertical_length'] ) && $shortcode['atts']['standard_button_text_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['standard_button_text_shadow_vertical_length'] ) ? $shortcode['atts']['standard_button_text_shadow_vertical_length'] : '0',
                            'standard_button_text_shadow_blur_radius' => isset( $shortcode['atts']['standard_button_text_shadow_blur_radius'] ) && $shortcode['atts']['standard_button_text_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['standard_button_text_shadow_blur_radius'] ) ? $shortcode['atts']['standard_button_text_shadow_blur_radius'] : '0',
                            'standard_button_text_shadow_color' => isset( $shortcode['atts']['standard_button_text_shadow_color'] ) && $shortcode['atts']['standard_button_text_shadow_color'] != '' ? $shortcode['atts']['standard_button_text_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) ),
                            'standard_button_text_shadow_horizontal_length_hover' => isset( $shortcode['atts']['standard_button_text_shadow_horizontal_length_hover'] ) && $shortcode['atts']['standard_button_text_shadow_horizontal_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['standard_button_text_shadow_horizontal_length_hover'] ) ? $shortcode['atts']['standard_button_text_shadow_horizontal_length_hover'] : '0',
                            'standard_button_text_shadow_vertical_length_hover' => isset( $shortcode['atts']['standard_button_text_shadow_vertical_length_hover'] ) && $shortcode['atts']['standard_button_text_shadow_vertical_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['standard_button_text_shadow_vertical_length_hover'] ) ? $shortcode['atts']['standard_button_text_shadow_vertical_length_hover'] : '0',
                            'standard_button_text_shadow_blur_radius_hover' => isset( $shortcode['atts']['standard_button_text_shadow_blur_radius_hover'] ) && $shortcode['atts']['standard_button_text_shadow_blur_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['standard_button_text_shadow_blur_radius_hover'] ) ? $shortcode['atts']['standard_button_text_shadow_blur_radius_hover'] : '0',
                            'standard_button_text_shadow_color_hover' => isset( $shortcode['atts']['standard_button_text_shadow_color_hover'] ) && $shortcode['atts']['standard_button_text_shadow_color_hover'] != '' ? $shortcode['atts']['standard_button_text_shadow_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) ),
                            'two_line_button_first_line_color' => isset( $shortcode['atts']['two_line_button_first_line_color'] ) && $shortcode['atts']['two_line_button_first_line_color'] != '' ? $shortcode['atts']['two_line_button_first_line_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-content-color' ) ),
                            'two_line_button_first_line_color_hover' => isset( $shortcode['atts']['two_line_button_first_line_color_hover'] ) && $shortcode['atts']['two_line_button_first_line_color_hover'] != '' ? $shortcode['atts']['two_line_button_first_line_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-content-color' ) ),
                            'two_line_button_first_line_text_shadow_horizontal_length' => isset( $shortcode['atts']['two_line_button_first_line_text_shadow_horizontal_length'] ) && $shortcode['atts']['two_line_button_first_line_text_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['two_line_button_first_line_text_shadow_horizontal_length'] ) ? $shortcode['atts']['two_line_button_first_line_text_shadow_horizontal_length'] : '0',
                            'two_line_button_first_line_text_shadow_vertical_length' => isset( $shortcode['atts']['two_line_button_first_line_text_shadow_vertical_length'] ) && $shortcode['atts']['two_line_button_first_line_text_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['two_line_button_first_line_text_shadow_vertical_length'] ) ? $shortcode['atts']['two_line_button_first_line_text_shadow_vertical_length'] : '0',
                            'two_line_button_first_line_text_shadow_blur_radius' => isset( $shortcode['atts']['two_line_button_first_line_text_shadow_blur_radius'] ) && $shortcode['atts']['two_line_button_first_line_text_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['two_line_button_first_line_text_shadow_blur_radius'] ) ? $shortcode['atts']['two_line_button_first_line_text_shadow_blur_radius'] : '0',
                            'two_line_button_first_line_text_shadow_color' => isset( $shortcode['atts']['two_line_button_first_line_text_shadow_color'] ) && $shortcode['atts']['two_line_button_first_line_text_shadow_color'] != '' ? $shortcode['atts']['two_line_button_first_line_text_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) ),
                            'two_line_button_first_line_text_shadow_horizontal_length_hover' => isset( $shortcode['atts']['two_line_button_first_line_text_shadow_horizontal_length_hover'] ) && $shortcode['atts']['two_line_button_first_line_text_shadow_horizontal_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['two_line_button_first_line_text_shadow_horizontal_length_hover'] ) ? $shortcode['atts']['two_line_button_first_line_text_shadow_horizontal_length_hover'] : '0',
                            'two_line_button_first_line_text_shadow_vertical_length_hover' => isset( $shortcode['atts']['two_line_button_first_line_text_shadow_vertical_length_hover'] ) && $shortcode['atts']['two_line_button_first_line_text_shadow_vertical_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['two_line_button_first_line_text_shadow_vertical_length_hover'] ) ? $shortcode['atts']['two_line_button_first_line_text_shadow_vertical_length_hover'] : '0',
                            'two_line_button_first_line_text_shadow_blur_radius_hover' => isset( $shortcode['atts']['two_line_button_first_line_text_shadow_blur_radius_hover'] ) && $shortcode['atts']['two_line_button_first_line_text_shadow_blur_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['two_line_button_first_line_text_shadow_blur_radius_hover'] ) ? $shortcode['atts']['two_line_button_first_line_text_shadow_blur_radius_hover'] : '0',
                            'two_line_button_first_line_text_shadow_color_hover' => isset( $shortcode['atts']['two_line_button_first_line_text_shadow_color_hover'] ) && $shortcode['atts']['two_line_button_first_line_text_shadow_color_hover'] != '' ? $shortcode['atts']['two_line_button_first_line_text_shadow_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) ),
                            'two_line_button_second_line_color' => isset( $shortcode['atts']['two_line_button_second_line_color'] ) && $shortcode['atts']['two_line_button_second_line_color'] != '' ? $shortcode['atts']['two_line_button_second_line_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-headings-color' ) ),
                            'two_line_button_second_line_color_hover' => isset( $shortcode['atts']['two_line_button_second_line_color_hover'] ) && $shortcode['atts']['two_line_button_second_line_color_hover'] != '' ? $shortcode['atts']['two_line_button_second_line_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-headings-color' ) ),
                            'two_line_button_second_line_text_shadow_horizontal_length' => isset( $shortcode['atts']['two_line_button_second_line_text_shadow_horizontal_length'] ) && $shortcode['atts']['two_line_button_second_line_text_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['two_line_button_second_line_text_shadow_horizontal_length'] ) ? $shortcode['atts']['two_line_button_second_line_text_shadow_horizontal_length'] : '0',
                            'two_line_button_second_line_text_shadow_vertical_length' => isset( $shortcode['atts']['two_line_button_second_line_text_shadow_vertical_length'] ) && $shortcode['atts']['two_line_button_second_line_text_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['two_line_button_second_line_text_shadow_vertical_length'] ) ? $shortcode['atts']['two_line_button_second_line_text_shadow_vertical_length'] : '0',
                            'two_line_button_second_line_text_shadow_blur_radius' => isset( $shortcode['atts']['two_line_button_second_line_text_shadow_blur_radius'] ) && $shortcode['atts']['two_line_button_second_line_text_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['two_line_button_second_line_text_shadow_blur_radius'] ) ? $shortcode['atts']['two_line_button_second_line_text_shadow_blur_radius'] : '0',
                            'two_line_button_second_line_text_shadow_color' => isset( $shortcode['atts']['two_line_button_second_line_text_shadow_color'] ) && $shortcode['atts']['two_line_button_second_line_text_shadow_color'] != '' ? $shortcode['atts']['two_line_button_second_line_text_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) ),
                            'two_line_button_second_line_text_shadow_horizontal_length_hover' => isset( $shortcode['atts']['two_line_button_second_line_text_shadow_horizontal_length_hover'] ) && $shortcode['atts']['two_line_button_second_line_text_shadow_horizontal_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['two_line_button_second_line_text_shadow_horizontal_length_hover'] ) ? $shortcode['atts']['two_line_button_second_line_text_shadow_horizontal_length_hover'] : '0',
                            'two_line_button_second_line_text_shadow_vertical_length_hover' => isset( $shortcode['atts']['two_line_button_second_line_text_shadow_vertical_length_hover'] ) && $shortcode['atts']['two_line_button_second_line_text_shadow_vertical_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['two_line_button_second_line_text_shadow_vertical_length_hover'] ) ? $shortcode['atts']['two_line_button_second_line_text_shadow_vertical_length_hover'] : '0',
                            'two_line_button_second_line_text_shadow_blur_radius_hover' => isset( $shortcode['atts']['two_line_button_second_line_text_shadow_blur_radius_hover'] ) && $shortcode['atts']['two_line_button_second_line_text_shadow_blur_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['two_line_button_second_line_text_shadow_blur_radius_hover'] ) ? $shortcode['atts']['two_line_button_second_line_text_shadow_blur_radius_hover'] : '0',
                            'two_line_button_second_line_text_shadow_color_hover' => isset( $shortcode['atts']['two_line_button_second_line_text_shadow_color_hover'] ) && $shortcode['atts']['two_line_button_second_line_text_shadow_color_hover'] != '' ? $shortcode['atts']['two_line_button_second_line_text_shadow_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) ),
                            'standard_button_icon_color' => isset( $shortcode['atts']['standard_button_icon_color'] ) && $shortcode['atts']['standard_button_icon_color'] != '' ? $shortcode['atts']['standard_button_icon_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'buttons-global-button-icon-color' ) ),
                            'standard_button_icon_color_hover' => isset( $shortcode['atts']['standard_button_icon_color_hover'] ) && $shortcode['atts']['standard_button_icon_color_hover'] != '' ? $shortcode['atts']['standard_button_icon_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'buttons-global-button-icon-color-hover' ) ),
                            'standard_button_icon_text_shadow_horizontal_length' => isset( $shortcode['atts']['standard_button_icon_text_shadow_horizontal_length'] ) && $shortcode['atts']['standard_button_icon_text_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['standard_button_icon_text_shadow_horizontal_length'] ) ? $shortcode['atts']['standard_button_icon_text_shadow_horizontal_length'] : '0',
                            'standard_button_icon_text_shadow_vertical_length' => isset( $shortcode['atts']['standard_button_icon_text_shadow_vertical_length'] ) && $shortcode['atts']['standard_button_icon_text_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['standard_button_icon_text_shadow_vertical_length'] ) ? $shortcode['atts']['standard_button_icon_text_shadow_vertical_length'] : '0',
                            'standard_button_icon_text_shadow_blur_radius' => isset( $shortcode['atts']['standard_button_icon_text_shadow_blur_radius'] ) && $shortcode['atts']['standard_button_icon_text_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['standard_button_icon_text_shadow_blur_radius'] ) ? $shortcode['atts']['standard_button_icon_text_shadow_blur_radius'] : '0',
                            'standard_button_icon_text_shadow_color' => isset( $shortcode['atts']['standard_button_icon_text_shadow_color'] ) && $shortcode['atts']['standard_button_icon_text_shadow_color'] != '' ? $shortcode['atts']['standard_button_icon_text_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) ),
                            'standard_button_icon_text_shadow_horizontal_length_hover' => isset( $shortcode['atts']['standard_button_icon_text_shadow_horizontal_length_hover'] ) && $shortcode['atts']['standard_button_icon_text_shadow_horizontal_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['standard_button_icon_text_shadow_horizontal_length_hover'] ) ? $shortcode['atts']['standard_button_icon_text_shadow_horizontal_length_hover'] : '0',
                            'standard_button_icon_text_shadow_vertical_length_hover' => isset( $shortcode['atts']['standard_button_icon_text_shadow_vertical_length_hover'] ) && $shortcode['atts']['standard_button_icon_text_shadow_vertical_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['standard_button_icon_text_shadow_vertical_length_hover'] ) ? $shortcode['atts']['standard_button_icon_text_shadow_vertical_length_hover'] : '0',
                            'standard_button_icon_text_shadow_blur_radius_hover' => isset( $shortcode['atts']['standard_button_icon_text_shadow_blur_radius_hover'] ) && $shortcode['atts']['standard_button_icon_text_shadow_blur_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['standard_button_icon_text_shadow_blur_radius_hover'] ) ? $shortcode['atts']['standard_button_icon_text_shadow_blur_radius_hover'] : '0',
                            'standard_button_icon_text_shadow_color_hover' => isset( $shortcode['atts']['standard_button_icon_text_shadow_color_hover'] ) && $shortcode['atts']['standard_button_icon_text_shadow_color_hover'] != '' ? $shortcode['atts']['standard_button_icon_text_shadow_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) ),
                            'two_line_button_icon_color' => isset( $shortcode['atts']['two_line_button_icon_color'] ) && $shortcode['atts']['two_line_button_icon_color'] != '' ? $shortcode['atts']['two_line_button_icon_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-icon-color' ) ),
                            'two_line_button_icon_color_hover' => isset( $shortcode['atts']['two_line_button_icon_color_hover'] ) && $shortcode['atts']['two_line_button_icon_color_hover'] != '' ? $shortcode['atts']['two_line_button_icon_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-icon-color' ) ),
                            'two_line_button_icon_text_shadow_horizontal_length' => isset( $shortcode['atts']['two_line_button_icon_text_shadow_horizontal_length'] ) && $shortcode['atts']['two_line_button_icon_text_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['two_line_button_icon_text_shadow_horizontal_length'] ) ? $shortcode['atts']['two_line_button_icon_text_shadow_horizontal_length'] : '0',
                            'two_line_button_icon_text_shadow_vertical_length' => isset( $shortcode['atts']['two_line_button_icon_text_shadow_vertical_length'] ) && $shortcode['atts']['two_line_button_icon_text_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['two_line_button_icon_text_shadow_vertical_length'] ) ? $shortcode['atts']['two_line_button_icon_text_shadow_vertical_length'] : '0',
                            'two_line_button_icon_text_shadow_blur_radius' => isset( $shortcode['atts']['two_line_button_icon_text_shadow_blur_radius'] ) && $shortcode['atts']['two_line_button_icon_text_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['two_line_button_icon_text_shadow_blur_radius'] ) ? $shortcode['atts']['two_line_button_icon_text_shadow_blur_radius'] : '0',
                            'two_line_button_icon_text_shadow_color' => isset( $shortcode['atts']['two_line_button_icon_text_shadow_color'] ) && $shortcode['atts']['two_line_button_icon_text_shadow_color'] != '' ? $shortcode['atts']['two_line_button_icon_text_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) ),
                            'two_line_button_icon_text_shadow_horizontal_length_hover' => isset( $shortcode['atts']['two_line_button_icon_text_shadow_horizontal_length_hover'] ) && $shortcode['atts']['two_line_button_icon_text_shadow_horizontal_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['two_line_button_icon_text_shadow_horizontal_length_hover'] ) ? $shortcode['atts']['two_line_button_icon_text_shadow_horizontal_length_hover'] : '0',
                            'two_line_button_icon_text_shadow_vertical_length_hover' => isset( $shortcode['atts']['two_line_button_icon_text_shadow_vertical_length_hover'] ) && $shortcode['atts']['two_line_button_icon_text_shadow_vertical_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['two_line_button_icon_text_shadow_vertical_length_hover'] ) ? $shortcode['atts']['two_line_button_icon_text_shadow_vertical_length_hover'] : '0',
                            'two_line_button_icon_text_shadow_blur_radius_hover' => isset( $shortcode['atts']['two_line_button_icon_text_shadow_blur_radius_hover'] ) && $shortcode['atts']['two_line_button_icon_text_shadow_blur_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['two_line_button_icon_text_shadow_blur_radius_hover'] ) ? $shortcode['atts']['two_line_button_icon_text_shadow_blur_radius_hover'] : '0',
                            'two_line_button_icon_text_shadow_color_hover' => isset( $shortcode['atts']['two_line_button_icon_text_shadow_color_hover'] ) && $shortcode['atts']['two_line_button_icon_text_shadow_color_hover'] != '' ? $shortcode['atts']['two_line_button_icon_text_shadow_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) )
                        );

                        # set custom font family for button texts
                        switch( $attributes['button_type'] ) {

                            # standard button
                            case 'standard-button':

                                # temporary variable
                                $temp = array(
                                    'font' => ueldo_vc_get_custom_font_family_attributes( ( !empty( $attributes['standard_button_text_font_family'] ) ? $attributes['standard_button_text_font_family'] : false ), 'headings-subtitle-font' ),
                                );

                                # update font family settings
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .', .'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-button-link-text',
                                    array(
                                        'font-family' => esc_attr( $temp['font']['font-family'] ),
                                        'font-weight' => esc_attr( $temp['font']['font-weight'] ),
                                        'font-style' => esc_attr( $temp['font']['font-style'] ),
                                        '-webkit-font-smoothing' => esc_attr( $temp['font']['-webkit-font-smoothing'] ),
                                        '-moz-osx-font-smoothing' => esc_attr( $temp['font']['-moz-osx-font-smoothing'] )
                                    )
                                );

                                # remove temporary variable
                                unset( $temp );

                            break;

                            # two line button
                            case 'two-line-button':

                                # temporary variable
                                $temp = array(
                                    'first-line-font' => ueldo_vc_get_custom_font_family_attributes( ( !empty( $attributes['two_line_button_text_font_family'] ) ? $attributes['two_line_button_text_font_family'] : false ), 'general-font' ),
                                    'second-line-font' => ueldo_vc_get_custom_font_family_attributes( ( !empty( $attributes['second_line_text_font_family'] ) ? $attributes['second_line_text_font_family'] : false ), 'headings-subtitle-font' )
                                );

                                # update first line font family settings
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-two-line-button .ueldo-shortcode-two-line-button-content span.ueldo-shortcode-two-line-button-content-subtitle',
                                    array(
                                        'font-family' => esc_attr( $temp['first-line-font']['font-family'] ),
                                        'font-weight' => esc_attr( $temp['first-line-font']['font-weight'] ),
                                        'font-style' => esc_attr( $temp['first-line-font']['font-style'] ),
                                        '-webkit-font-smoothing' => esc_attr( $temp['first-line-font']['-webkit-font-smoothing'] ),
                                        '-moz-osx-font-smoothing' => esc_attr( $temp['first-line-font']['-moz-osx-font-smoothing'] )
                                    )
                                );

                                # update second line font family settings
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-two-line-button .ueldo-shortcode-two-line-button-content span.ueldo-shortcode-two-line-button-content-title',
                                    array(
                                        'font-family' => esc_attr( $temp['second-line-font']['font-family'] ),
                                        'font-weight' => esc_attr( $temp['second-line-font']['font-weight'] ),
                                        'font-style' => esc_attr( $temp['second-line-font']['font-style'] ),
                                        '-webkit-font-smoothing' => esc_attr( $temp['second-line-font']['-webkit-font-smoothing'] ),
                                        '-moz-osx-font-smoothing' => esc_attr( $temp['second-line-font']['-moz-osx-font-smoothing'] )
                                    )
                                );

                                # remove temporary variable
                                unset( $temp );

                            break;
                        }

                        # do we have hover transform enabled?
                        if( $attributes['hover_transform_enabled'] == 'yes' ) {

                            # set styles depends on button type
                            switch( $attributes['button_type'] ) {

                                # standard button
                                case 'standard-button':

                                    # add hover transform styles
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-button-container#'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-button:hover',
                                        array(
                                            '-webkit-transform' => 'translateY( '. esc_attr( $attributes['hover_transform_y_value'] ) .'px )',
                                            '-moz-transform' => 'translateY( '. esc_attr( $attributes['hover_transform_y_value'] ) .'px )',
                                            '-ms-transform' => 'translateY( '. esc_attr( $attributes['hover_transform_y_value'] ) .'px )',
                                            'transform' => 'translateY( '. esc_attr( $attributes['hover_transform_y_value'] ) .'px )'
                                        )
                                    );

                                break;

                                # two-line button
                                case 'two-line-button':

                                    # hover transform styles
                                    if( $attributes['hover_transform_enabled'] == 'yes' ) {

                                        # add hover transform styles
                                        $shortcodes_styles -> update_style(
                                            esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-two-line-button-container .ueldo-shortcode-two-line-button:hover',
                                            array(
                                                '-webkit-transform' => 'translateY( '. esc_attr( $attributes['hover_transform_y_value'] ) .'px )',
                                                '-moz-transform' => 'translateY( '. esc_attr( $attributes['hover_transform_y_value'] ) .'px )',
                                                '-ms-transform' => 'translateY( '. esc_attr( $attributes['hover_transform_y_value'] ) .'px )',
                                                'transform' => 'translateY( '. esc_attr( $attributes['hover_transform_y_value'] ) .'px )'
                                            )
                                        );
                                    }

                                break;
                            }
                        }

                        # can we set custom sizes?
                        if( $attributes['custom_sizes_enabled'] != 'theme_defaults' ) {

                            # additional margin for button
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ),
                                array(
                                    'margin-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) => esc_attr( $attributes['additional_margin_before'] ),
                                    'margin-'. esc_attr( ueldo_is_rtl() ? 'left' : 'right' ) => esc_attr( $attributes['additional_margin_after'] ),
                                    'margin-top' => esc_attr( $attributes['additional_margin_above'] ),
                                    'margin-bottom' => esc_attr( $attributes['additional_margin_under'] )
                                )
                            );

                            # set styles depends on button type
                            switch( $attributes['button_type'] ) {

                                # standard button
                                case 'standard-button':

                                    # button styles
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-button-container#'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-button',
                                        array(
                                            '-webkit-border-radius' => esc_attr( $attributes['standard_button_border_radius'] ),
                                            '-moz-border-radius' => esc_attr( $attributes['standard_button_border_radius'] ),
                                            'border-radius' => esc_attr( $attributes['standard_button_border_radius'] ),
                                            'border-width' => esc_attr( $attributes['standard_button_border_width'] ),
                                            'height'. esc_attr( $attributes['standard_button_use_static_height'] == 'no' ? '-string' : '' ) => esc_attr( $attributes['standard_button_use_static_height'] == 'yes' ? $attributes['standard_button_static_height'] : 'auto' ),
                                            'padding' => esc_attr( $attributes['standard_button_padding_top'] ) .'px '. esc_attr( $attributes['standard_button_padding_right'] ) .'px '. esc_attr( $attributes['standard_button_padding_bottom'] ) .'px '. esc_attr( $attributes['standard_button_padding_left'] ) .'px'
                                        )
                                    );

                                    # button width
                                    switch( $attributes['standard_button_use_static_width'] ) {

                                        # use auto width
                                        case 'no':

                                            # button styles
                                            $shortcodes_styles -> update_style(
                                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-button-container#'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-button',
                                                array(
                                                    'width-string' => 'auto'
                                                )
                                            );

                                        break;

                                        # use pixels width
                                        case 'yes-pixels':

                                            # button styles
                                            $shortcodes_styles -> update_style(
                                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-button-container#'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-button',
                                                array(
                                                    'width' => esc_attr( $attributes['standard_button_static_width'] )
                                                )
                                            );

                                        break;

                                        # use 100% width
                                        case 'yes-full-width':

                                            # button styles
                                            $shortcodes_styles -> update_style(
                                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-button-container#'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-button',
                                                array(
                                                    'width-%' => '100%'
                                                )
                                            );

                                        break;
                                    }

                                    # do we have icon added?
                                    if( $attributes['show_button_icon'] == 'yes' ) {

                                        # button icon font size
                                        $shortcodes_styles -> update_style(
                                            esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-button-container#'. esc_attr( $shortcode['atts']['class_name'] ) .' i, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-button-container#'. esc_attr( $shortcode['atts']['class_name'] ) .' i:before',
                                            array(
                                                'font-size' => esc_attr( $attributes['standard_button_icon_size'] )
                                            )
                                        );

                                        # switch by icon position
                                        switch( $attributes['button_icon_position'] ) {

                                            # icon before button text
                                            case 'before':

                                                # margin between icon and text
                                                $shortcodes_styles -> update_style(
                                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-button-container#'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-button:not(.ueldo-button-without-text) i.ueldo-button-icon-before-text',
                                                    array(
                                                        'margin-'. esc_attr( ueldo_is_rtl() ? 'left' : 'right' ) => esc_attr( $attributes['standard_button_margin_between_icon_and_text'] )
                                                    )
                                                );

                                            break;

                                            # icon after button text
                                            case 'after':

                                                # margin between icon and text
                                                $shortcodes_styles -> update_style(
                                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-button-container#'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-button:not(.ueldo-button-without-text) i.ueldo-button-icon-after-text',
                                                    array(
                                                        'margin-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) => esc_attr( $attributes['standard_button_margin_between_icon_and_text'] )
                                                    )
                                                );

                                            break;

                                            # icon above button text
                                            case 'above-left':
                                            case 'above-centered':
                                            case 'above-right':

                                                # margin between icon and text
                                                $shortcodes_styles -> update_style(
                                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-button-container#'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-button:not(.ueldo-button-without-text) i.ueldo-button-icon-'. esc_attr( $attributes['button_icon_position'] ),
                                                    array(
                                                        'margin-bottom' => esc_attr( $attributes['standard_button_margin_between_icon_and_text'] )
                                                    )
                                                );

                                            break;

                                            # icon under button text
                                            case 'under-left':
                                            case 'under-centered':
                                            case 'under-right':

                                                # margin between icon and text
                                                $shortcodes_styles -> update_style(
                                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-button-container#'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-button:not(.ueldo-button-without-text) i.ueldo-button-icon-'. esc_attr( $attributes['button_icon_position'] ),
                                                    array(
                                                        'margin-top' => esc_attr( $attributes['standard_button_margin_between_icon_and_text'] )
                                                    )
                                                );

                                            break;
                                        }

                                        # additional margin for vc_mono icon when centered
                                        if( in_array( $attributes['button_icon_position'], array( 'above-centered', 'under-centered' ), true ) ) {

                                            # add margin to icon
                                            $shortcodes_styles -> update_style(
                                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-button-container#'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-button:not(.ueldo-button-without-text) i.ueldo-button-icon-'. esc_attr( $attributes['button_icon_position'] ) .'.vc-mono',
                                                array(
                                                    'margin-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) => '-'. esc_attr( $attributes['standard_button_icon_size'] / 2 )
                                                )
                                            );
                                        }

                                        # additional margin for vc_mono icon when centered
                                        if( in_array( $attributes['button_icon_position'], array( 'above-right', 'under-right' ), true ) ) {

                                            # add margin to icon
                                            $shortcodes_styles -> update_style(
                                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-button-container#'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-button:not(.ueldo-button-without-text) i.ueldo-button-icon-'. esc_attr( $attributes['button_icon_position'] ) .'.vc-mono',
                                                array(
                                                    'margin-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) => '-'. esc_attr( $attributes['standard_button_icon_size'] )
                                                )
                                            );
                                        }

                                        # additional style for vc_mono icon font
                                        $shortcodes_styles -> update_style(
                                            esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-button-container#'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-button i.vc-mono',
                                            array(
                                                'width' => esc_attr( $attributes['standard_button_icon_size'] ),
                                                'height' => esc_attr( $attributes['standard_button_icon_size'] )
                                            )
                                        );

                                        # do we have rtl language mode?
                                        if( ueldo_is_rtl() ) {

                                            # additional style for vc_mono icon font element
                                            $shortcodes_styles -> update_style(
                                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-button-container#'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-button i.vc-mono:before',
                                                array(
                                                    '-webkit-transform' => 'translate( calc( 50% - '. esc_attr( $attributes['standard_button_icon_size'] / 2 ) .'px ), calc( -50% + '. esc_attr( $attributes['standard_button_icon_size'] / 2 ) .'px ) )',
                                                    '-moz-transform' => 'translate( calc( 50% - '. esc_attr( $attributes['standard_button_icon_size'] / 2 ) .'px ), calc( -50% + '. esc_attr( $attributes['standard_button_icon_size'] / 2 ) .'px ) )',
                                                    'transform' => 'translate( calc( 50% - '. esc_attr( $attributes['standard_button_icon_size'] / 2 ) .'px ), calc( -50% + '. esc_attr( $attributes['standard_button_icon_size'] / 2 ) .'px ) )',
                                                )
                                            );
                                        }

                                        # ltr language mode
                                        else {

                                            # additional style for vc_mono icon font element
                                            $shortcodes_styles -> update_style(
                                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-button-container#'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-button i.vc-mono:before',
                                                array(
                                                    '-webkit-transform' => 'translate( calc( -50% + '. esc_attr( $attributes['standard_button_icon_size'] / 2 ) .'px ), calc( -50% + '. esc_attr( $attributes['standard_button_icon_size'] / 2 ) .'px ) )',
                                                    '-moz-transform' => 'translate( calc( -50% + '. esc_attr( $attributes['standard_button_icon_size'] / 2 ) .'px ), calc( -50% + '. esc_attr( $attributes['standard_button_icon_size'] / 2 ) .'px ) )',
                                                    'transform' => 'translate( calc( -50% + '. esc_attr( $attributes['standard_button_icon_size'] / 2 ) .'px ), calc( -50% + '. esc_attr( $attributes['standard_button_icon_size'] / 2 ) .'px ) )',
                                                )
                                            );
                                        }

                                        # do we have icon visible on hover only?
                                        if( $attributes['button_icon_visibility'] == 'on_hover_only' ) {

                                            # margins for icon, when icon is before or after the text
                                            if( in_array( $attributes['button_icon_position'], array( 'before', 'after' ), true ) ) {

                                                # margins for icon visible only on hover
                                                $shortcodes_styles -> update_style(
                                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-button-container.ueldo-shortcode-button-container-icon-visibility-on-hover-only#'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-button i.ueldo-button-icon-before-text, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-button-container.ueldo-shortcode-button-container-icon-visibility-on-hover-only#'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-button i.ueldo-button-icon-after-text',
                                                    array(
                                                        'margin-left' => esc_attr( $attributes['standard_button_margin_between_icon_and_text'] / 2 ),
                                                        'margin-right' => esc_attr( $attributes['standard_button_margin_between_icon_and_text'] / 2 )
                                                    )
                                                );
                                            }

                                            # margins for icon, when icon is above or under the text
                                            else {

                                                # margins for icon visible only on hover
                                                $shortcodes_styles -> update_style(
                                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-button-container.ueldo-shortcode-button-container-icon-visibility-on-hover-only#'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-button i.ueldo-button-icon-'. esc_attr( $attributes['button_icon_position'] ),
                                                    array(
                                                        'margin-top' => esc_attr( $attributes['standard_button_margin_between_icon_and_text'] / 2 ),
                                                        'margin-bottom' => esc_attr( $attributes['standard_button_margin_between_icon_and_text'] / 2 )
                                                    )
                                                );
                                            }

                                            # switch by icon position
                                            switch( $attributes['button_icon_position'] ) {

                                                # icon displayed before button text
                                                case 'before':

                                                    # margins for icon visible only on hover - styles on hover
                                                    $shortcodes_styles -> update_style(
                                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-button-container.ueldo-shortcode-button-container-icon-visibility-on-hover-only#'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-button:hover i.ueldo-button-icon-before-text',
                                                        array(
                                                            'margin-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) => '0',
                                                            'margin-'. esc_attr( ueldo_is_rtl() ? 'left' : 'right' ) => esc_attr( $attributes['standard_button_margin_between_icon_and_text'] )
                                                        )
                                                    );

                                                break;

                                                # icon displayed after button text
                                                case 'after':

                                                    # margins for icon visible only on hover - styles on hover
                                                    $shortcodes_styles -> update_style(
                                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-button-container.ueldo-shortcode-button-container-icon-visibility-on-hover-only#'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-button:hover i.ueldo-button-icon-after-text',
                                                        array(
                                                            'margin-'. esc_attr( ueldo_is_rtl() ? 'left' : 'right' ) => '0',
                                                            'margin-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) => esc_attr( $attributes['standard_button_margin_between_icon_and_text'] )
                                                        )
                                                    );

                                                break;

                                                # icon above button text
                                                case 'above-left':
                                                case 'above-centered':
                                                case 'above-right':

                                                    # margins for icon visible only on hover - styles on hover
                                                    $shortcodes_styles -> update_style(
                                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-button-container.ueldo-shortcode-button-container-icon-visibility-on-hover-only#'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-button:hover i.ueldo-button-icon-'. esc_attr( $attributes['button_icon_position'] ),
                                                        array(
                                                            'margin-top' => '0',
                                                            'margin-bottom' => esc_attr( $attributes['standard_button_margin_between_icon_and_text'] )
                                                        )
                                                    );

                                                break;

                                                # icon under button text
                                                case 'under-left':
                                                case 'under-centered':
                                                case 'under-right':

                                                    # margins for icon visible only on hover - styles on hover
                                                    $shortcodes_styles -> update_style(
                                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-button-container.ueldo-shortcode-button-container-icon-visibility-on-hover-only#'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-button:hover i.ueldo-button-icon-'. esc_attr( $attributes['button_icon_position'] ),
                                                        array(
                                                            'margin-top' => esc_attr( $attributes['standard_button_margin_between_icon_and_text'] ),
                                                            'margin-bottom' => '0'
                                                        )
                                                    );

                                                break;
                                            }
                                        }
                                    }

                                    # button text font size
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-button-container#'. esc_attr( $shortcode['atts']['class_name'] ) .' span.ueldo-button-link-text',
                                        array(
                                            'font-size' => esc_attr( $attributes['standard_button_font_size'] ),
                                            'letter-spacing' => esc_attr( $attributes['standard_button_font_letter_spacing'] )
                                        )
                                    );

                                    # text near button displayed before button
                                    if( $attributes['text_near_button_position'] == 'before' ) {

                                        # margin between button and text near button
                                        $shortcodes_styles -> update_style(
                                            esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-button-container#'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-button-text-near-button.ueldo-shortcode-button-text-near-button-before',
                                            array(
                                                'margin-'. esc_attr( ueldo_is_rtl() ? 'left' : 'right' ) => esc_attr( $attributes['margin_between_button_and_text_near_button'] )
                                            )
                                        );
                                    }

                                    # text near button displayed after button
                                    else {

                                        # margin between button and text near button
                                        $shortcodes_styles -> update_style(
                                            esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-button-container#'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-button-text-near-button.ueldo-shortcode-button-text-near-button-after',
                                            array(
                                                'margin-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) => esc_attr( $attributes['margin_between_button_and_text_near_button'] )
                                            )
                                        );
                                    }

                                    # do we have icon visible on hover only?
                                    if( $attributes['button_icon_visibility'] == 'on_hover_only' ) {

                                        # switch by icon position
                                        switch( $attributes['button_icon_position'] ) {

                                            # button icon displayed before text
                                            case 'before':

                                                # update icon margins
                                                $shortcodes_styles -> update_style(
                                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-button-container.ueldo-shortcode-button-container-icon-visibility-on-hover-only#'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-button .ueldo-button-link-text.ueldo-button-link-text-with-icon-before',
                                                    array(
                                                        'margin-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) => '-'. esc_attr( ( $attributes['standard_button_icon_size'] + $attributes['standard_button_margin_between_icon_and_text'] ) / 2 ),
                                                        'margin-'. esc_attr( ueldo_is_rtl() ? 'left' : 'right' ) => esc_attr( ( $attributes['standard_button_icon_size'] + $attributes['standard_button_margin_between_icon_and_text'] ) / 2 )
                                                    )
                                                );

                                            break;

                                            # button icon displayed after text
                                            case 'after':

                                                # update icon margins
                                                $shortcodes_styles -> update_style(
                                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-button-container.ueldo-shortcode-button-container-icon-visibility-on-hover-only#'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-button .ueldo-button-link-text.ueldo-button-link-text-with-icon-after',
                                                    array(
                                                        'margin-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) => esc_attr( ( $attributes['standard_button_icon_size'] + $attributes['standard_button_margin_between_icon_and_text'] ) / 2 ),
                                                        'margin-'. esc_attr( ueldo_is_rtl() ? 'left' : 'right' ) => '-'. esc_attr( ( $attributes['standard_button_icon_size'] + $attributes['standard_button_margin_between_icon_and_text'] ) / 2 )
                                                    )
                                                );

                                            break;

                                            # icon above button text
                                            case 'above-left':
                                            case 'above-centered':
                                            case 'above-right':

                                                # update icon margins
                                                $shortcodes_styles -> update_style(
                                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-button-container.ueldo-shortcode-button-container-icon-visibility-on-hover-only#'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-button .ueldo-button-link-text.ueldo-button-link-text-with-icon-'. esc_attr( $attributes['button_icon_position'] ),
                                                    array(
                                                        'margin-top' => '-'. esc_attr( ( $attributes['standard_button_icon_size'] + $attributes['standard_button_margin_between_icon_and_text'] ) / 2 ),
                                                        'margin-bottom' => esc_attr( ( $attributes['standard_button_icon_size'] + $attributes['standard_button_margin_between_icon_and_text'] ) / 2 )
                                                    )
                                                );

                                            break;

                                            # icon under button text
                                            case 'under-left':
                                            case 'under-centered':
                                            case 'under-right':

                                                # update icon margins
                                                $shortcodes_styles -> update_style(
                                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-button-container.ueldo-shortcode-button-container-icon-visibility-on-hover-only#'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-button .ueldo-button-link-text.ueldo-button-link-text-with-icon-'. esc_attr( $attributes['button_icon_position'] ),
                                                    array(
                                                        'margin-top' => esc_attr( ( $attributes['standard_button_icon_size'] + $attributes['standard_button_margin_between_icon_and_text'] ) / 2 ),
                                                        'margin-bottom' => '-'. esc_attr( ( $attributes['standard_button_icon_size'] + $attributes['standard_button_margin_between_icon_and_text'] ) / 2 )
                                                    )
                                                );

                                            break;
                                        }

                                        # update icon margins (on hover)
                                        $shortcodes_styles -> update_style(
                                            esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-button-container.ueldo-shortcode-button-container-icon-visibility-on-hover-only#'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-button:hover .ueldo-button-link-text',
                                            array(
                                                'margin-left' => '0',
                                                'margin-right' => '0',
                                                'margin-top' => '0',
                                                'margin-bottom' => '0'
                                            )
                                        );
                                    }

                                break;

                                # two-line button
                                case 'two-line-button':

                                    # button styles
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-two-line-button-container .ueldo-shortcode-two-line-button',
                                        array(
                                            'border-width' => esc_attr( $attributes['two_line_button_border_width'] ),
                                            '-webkit-border-radius' => esc_attr( $attributes['two_line_button_border_radius'] ),
                                            '-moz-border-radius' => esc_attr( $attributes['two_line_button_border_radius'] ),
                                            'border-radius' => esc_attr( $attributes['two_line_button_border_radius'] ),
                                            'height'. esc_attr( $attributes['two_line_button_use_static_height'] == 'no' ? '-string' : '' ) => esc_attr( $attributes['two_line_button_use_static_height'] == 'yes' ? $attributes['two_line_button_static_height'] : 'auto' ),
                                            'padding' => esc_attr( $attributes['two_line_button_padding_top'] ) .'px '. esc_attr( $attributes['two_line_button_padding_right'] ) .'px '. esc_attr( $attributes['two_line_button_padding_bottom'] ) .'px '. esc_attr( $attributes['two_line_button_padding_left'] ) .'px'
                                        )
                                    );

                                    # button width
                                    switch( $attributes['two_line_button_use_static_width'] ) {

                                        # use auto width
                                        case 'no':

                                            # button styles
                                            $shortcodes_styles -> update_style(
                                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-two-line-button-container .ueldo-shortcode-two-line-button',
                                                array(
                                                    'width-string' => 'auto'
                                                )
                                            );

                                        break;

                                        # use pixels width
                                        case 'yes-pixels':

                                            # button styles
                                            $shortcodes_styles -> update_style(
                                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-two-line-button-container .ueldo-shortcode-two-line-button',
                                                array(
                                                    'width' => esc_attr( $attributes['two_line_button_static_width'] )
                                                )
                                            );

                                        break;

                                        # use 100% width
                                        case 'yes-full-width':

                                            # button styles
                                            $shortcodes_styles -> update_style(
                                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-two-line-button-container .ueldo-shortcode-two-line-button',
                                                array(
                                                    'width-%' => '100%'
                                                )
                                            );

                                        break;
                                    }

                                    # do we have icon added?
                                    if( $attributes['show_button_icon'] == 'yes' ) {

                                        # button icon font size and width
                                        $shortcodes_styles -> update_style(
                                            esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-two-line-button-container .ueldo-shortcode-two-line-button i, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-two-line-button-container .ueldo-shortcode-two-line-button i:before',
                                            array(
                                                'font-size' => esc_attr( $attributes['two_line_button_icon_size'] )
                                            )
                                        );

                                        # add margin-top attribute for absolute positioned icons
                                        if( in_array( $attributes['button_icon_position'], array( 'after', 'before' ), true ) ) {

                                            # add margin top to icon
                                            $shortcodes_styles -> update_style(
                                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-two-line-button-container .ueldo-shortcode-two-line-button i',
                                                array(
                                                    'width' => esc_attr( $attributes['two_line_button_icon_size'] ),
                                                    'margin-top' => '-'. esc_attr( $attributes['two_line_button_icon_size'] / 2 )
                                                )
                                            );
                                        }

                                        # switch by the icon position
                                        switch( $attributes['button_icon_position'] ) {

                                            # button icon displayed before text
                                            case 'before':

                                                # update padding value
                                                $shortcodes_styles -> update_style(
                                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-two-line-button-container .ueldo-shortcode-two-line-button .ueldo-shortcode-two-line-button-content.ueldo-shortcode-two-line-button-content-with-icon-before',
                                                    array(
                                                        'padding-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) => esc_attr( $attributes['two_line_button_icon_size'] + $attributes['two_line_button_margin_between_icon_and_button_texts'] )
                                                    )
                                                );

                                                # update padding value for icon
                                                $shortcodes_styles -> update_style(
                                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-two-line-button-container .ueldo-shortcode-two-line-button i.ueldo-shortcode-two-line-button-icon-before-text',
                                                    array(
                                                        esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) => esc_attr( $attributes['two_line_button_padding_left'] ) .'px'
                                                    )
                                                );

                                            break;

                                            # button icon displayed after text
                                            case 'after':

                                                # update padding value
                                                $shortcodes_styles -> update_style(
                                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-two-line-button-container .ueldo-shortcode-two-line-button .ueldo-shortcode-two-line-button-content.ueldo-shortcode-two-line-button-content-with-icon-after',
                                                    array(
                                                        'padding-'. esc_attr( ueldo_is_rtl() ? 'left' : 'right' ) => esc_attr( $attributes['two_line_button_icon_size'] + $attributes['two_line_button_margin_between_icon_and_button_texts'] )
                                                    )
                                                );

                                                # update padding value for icon
                                                $shortcodes_styles -> update_style(
                                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-two-line-button-container .ueldo-shortcode-two-line-button i.ueldo-shortcode-two-line-button-icon-after-text',
                                                    array(
                                                        esc_attr( ueldo_is_rtl() ? 'left' : 'right' ) => esc_attr( $attributes['two_line_button_padding_right'] ) .'px'
                                                    )
                                                );

                                            break;

                                            # icon above button text
                                            case 'above-left':
                                            case 'above-centered':
                                            case 'above-right':

                                                # margin between icon and text
                                                $shortcodes_styles -> update_style(
                                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-two-line-button-container .ueldo-shortcode-two-line-button i.ueldo-shortcode-two-line-button-icon-'. esc_attr( $attributes['button_icon_position'] ),
                                                    array(
                                                        'margin-bottom' => esc_attr( $attributes['two_line_button_margin_between_icon_and_button_texts'] )
                                                    )
                                                );

                                            break;

                                            # icon under button text
                                            case 'under-left':
                                            case 'under-centered':
                                            case 'under-right':

                                                # margin between icon and text
                                                $shortcodes_styles -> update_style(
                                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-two-line-button-container .ueldo-shortcode-two-line-button i.ueldo-shortcode-two-line-button-icon-'. esc_attr( $attributes['button_icon_position'] ),
                                                    array(
                                                        'margin-top' => esc_attr( $attributes['two_line_button_margin_between_icon_and_button_texts'] )
                                                    )
                                                );

                                            break;
                                        }

                                        # additional style for vc_mono icons centered
                                        if( in_array( $attributes['button_icon_position'], array( 'above-centered', 'under-centered' ), true ) ) {

                                            # add margin
                                            $shortcodes_styles -> update_style(
                                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-two-line-button-container .ueldo-shortcode-two-line-button i.ueldo-shortcode-two-line-button-icon-'. esc_attr( $attributes['button_icon_position'] ) .'.vc-mono:before',
                                                array(
                                                    'margin-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) => '-'. esc_attr( $attributes['two_line_button_icon_size'] / 2 )
                                                )
                                            );
                                        }

                                        # additional style for vc_mono icons aligned to right
                                        if( in_array( $attributes['button_icon_position'], array( 'above-right', 'under-right' ), true ) ) {

                                            # add margin
                                            $shortcodes_styles -> update_style(
                                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-two-line-button-container .ueldo-shortcode-two-line-button i.ueldo-shortcode-two-line-button-icon-'. esc_attr( $attributes['button_icon_position'] ) .'.vc-mono:before',
                                                array(
                                                    'margin-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) => '-'. esc_attr( $attributes['two_line_button_icon_size'] + $attributes['two_line_button_margin_between_icon_and_button_texts'] )
                                                )
                                            );
                                        }
                                    }

                                    # text near button displayed before button
                                    if( $attributes['text_near_button_position'] == 'before' ) {

                                        # margin between button and text near button
                                        $shortcodes_styles -> update_style(
                                            esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-two-line-button-container .ueldo-shortcode-two-line-button-text-near-button.ueldo-shortcode-two-line-button-text-near-button-before',
                                            array(
                                                'margin-'. esc_attr( ueldo_is_rtl() ? 'left' : 'right' ) => esc_attr( $attributes['margin_between_button_and_text_near_button'] )
                                            )
                                        );
                                    }

                                    # text near button displayed after button
                                    else {

                                        # margin between button and text near button
                                        $shortcodes_styles -> update_style(
                                            esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-two-line-button-container .ueldo-shortcode-two-line-button-text-near-button.ueldo-shortcode-two-line-button-text-near-button-after',
                                            array(
                                                'margin-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) => esc_attr( $attributes['margin_between_button_and_text_near_button'] )
                                            )
                                        );
                                    }

                                    # additional style for vc_mono icon font
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-two-line-button-container .ueldo-shortcode-two-line-button i.vc-mono',
                                        array(
                                            'width' => esc_attr( $attributes['two_line_button_icon_size'] ),
                                            'height' => esc_attr( $attributes['two_line_button_icon_size'] )
                                        )
                                    );

                                    # do we have rtl language mode?
                                    if( ueldo_is_rtl() ) {

                                        # additional style for vc_mono icon font element
                                        $shortcodes_styles -> update_style(
                                            esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-two-line-button-container .ueldo-shortcode-two-line-button i.vc-mono:before',
                                            array(
                                                '-webkit-transform' => 'translate( calc( 50% - '. esc_attr( $attributes['two_line_button_icon_size'] / 2 ) .'px ), calc( -50% + '. esc_attr( $attributes['two_line_button_icon_size'] / 2 ) .'px ) )',
                                                '-moz-transform' => 'translate( calc( 50% - '. esc_attr( $attributes['two_line_button_icon_size'] / 2 ) .'px ), calc( -50% + '. esc_attr( $attributes['two_line_button_icon_size'] / 2 ) .'px ) )',
                                                'transform' => 'translate( calc( 50% - '. esc_attr( $attributes['two_line_button_icon_size'] / 2 ) .'px ), calc( -50% + '. esc_attr( $attributes['two_line_button_icon_size'] / 2 ) .'px ) )'
                                            )
                                        );
                                    }

                                    # ltr language mode
                                    else {

                                        # additional style for vc_mono icon font element
                                        $shortcodes_styles -> update_style(
                                            esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-two-line-button-container .ueldo-shortcode-two-line-button i.vc-mono:before',
                                            array(
                                                '-webkit-transform' => 'translate( calc( -50% + '. esc_attr( $attributes['two_line_button_icon_size'] / 2 ) .'px ), calc( -50% + '. esc_attr( $attributes['two_line_button_icon_size'] / 2 ) .'px ) )',
                                                '-moz-transform' => 'translate( calc( -50% + '. esc_attr( $attributes['two_line_button_icon_size'] / 2 ) .'px ), calc( -50% + '. esc_attr( $attributes['two_line_button_icon_size'] / 2 ) .'px ) )',
                                                'transform' => 'translate( calc( -50% + '. esc_attr( $attributes['two_line_button_icon_size'] / 2 ) .'px ), calc( -50% + '. esc_attr( $attributes['two_line_button_icon_size'] / 2 ) .'px ) )'
                                            )
                                        );
                                    }

                                    # button content subtitle font size
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-two-line-button-container .ueldo-shortcode-two-line-button .ueldo-shortcode-two-line-button-content span.ueldo-shortcode-two-line-button-content-subtitle',
                                        array(
                                            'font-size' => esc_attr( $attributes['two_line_button_subtitle_font_size'] )
                                        )
                                    );

                                    # button content title font size
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-two-line-button-container .ueldo-shortcode-two-line-button .ueldo-shortcode-two-line-button-content span.ueldo-shortcode-two-line-button-content-title',
                                        array(
                                            'font-size' => esc_attr( $attributes['two_line_button_title_font_size'] ),
                                            'letter-spacing' => esc_attr( $attributes['two_line_button_title_letter_spacing'] )
                                        )
                                    );

                                    # second line displayed at bottom
                                    if( $attributes['second_line_position'] == 'bottom' ) {

                                        # second text line margin
                                        $shortcodes_styles -> update_style(
                                            esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-two-line-button-container .ueldo-shortcode-two-line-button .ueldo-shortcode-two-line-button-content:not(.ueldo-shortcode-two-line-button-content-reversed) span.ueldo-shortcode-two-line-button-content-subtitle',
                                            array(
                                                'margin' => '0 0 '. esc_attr( $attributes['two_line_button_margin_between_title_and_subtitle'] ) .'px 0'
                                            )
                                        );
                                    }

                                    # second line displayed at top
                                    else {

                                        # second text line margin
                                        $shortcodes_styles -> update_style(
                                            esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-two-line-button-container .ueldo-shortcode-two-line-button .ueldo-shortcode-two-line-button-content.ueldo-shortcode-two-line-button-content-reversed span.ueldo-shortcode-two-line-button-content-subtitle',
                                            array(
                                                'margin' => esc_attr( $attributes['two_line_button_margin_between_title_and_subtitle'] ) .'px 0 0 0'
                                            )
                                        );
                                    }

                                    # do we have icon visible on hover only?
                                    if( $attributes['button_icon_visibility'] == 'on_hover_only' ) {

                                        # switch by button icon position
                                        switch( $attributes['button_icon_position'] ) {

                                            # button icon displayed before text
                                            case 'before':

                                                # add animated margins to content
                                                $shortcodes_styles -> update_style(
                                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-two-line-button-container.ueldo-shortcode-two-line-button-container-icon-visibility-on-hover-only .ueldo-shortcode-two-line-button .ueldo-shortcode-two-line-button-content.ueldo-shortcode-two-line-button-content-with-icon-before',
                                                    array(
                                                        'margin-'. esc_attr( ueldo_is_rtl() ? 'left' : 'right' ) => esc_attr( ( $attributes['two_line_button_icon_size'] + $attributes['two_line_button_margin_between_icon_and_button_texts'] ) / 2 ),
                                                        'margin-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) => '-'. esc_attr( ( $attributes['two_line_button_icon_size'] + $attributes['two_line_button_margin_between_icon_and_button_texts'] ) / 2 )
                                                    )
                                                );

                                                # add animated margins to icon
                                                $shortcodes_styles -> update_style(
                                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-two-line-button-container.ueldo-shortcode-two-line-button-container-icon-visibility-on-hover-only .ueldo-shortcode-two-line-button i.ueldo-shortcode-two-line-button-icon-before-text',
                                                    array(
                                                        'margin-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) => esc_attr( $attributes['two_line_button_margin_between_icon_and_button_texts'] / 2 ),
                                                        'margin-'. esc_attr( ueldo_is_rtl() ? 'left' : 'right' ) => '-'. esc_attr( $attributes['two_line_button_margin_between_icon_and_button_texts'] / 2 )
                                                    )
                                                );

                                            break;

                                            # button icon displayed after text
                                            case 'after':

                                                # add animated margins to content
                                                $shortcodes_styles -> update_style(
                                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-two-line-button-container.ueldo-shortcode-two-line-button-container-icon-visibility-on-hover-only .ueldo-shortcode-two-line-button .ueldo-shortcode-two-line-button-content.ueldo-shortcode-two-line-button-content-with-icon-after',
                                                    array(
                                                        'margin-'. esc_attr( ueldo_is_rtl() ? 'left' : 'right' ) => '-'. esc_attr( ( $attributes['two_line_button_icon_size'] + $attributes['two_line_button_margin_between_icon_and_button_texts'] ) / 2 ),
                                                        'margin-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) => esc_attr( ( $attributes['two_line_button_icon_size'] + $attributes['two_line_button_margin_between_icon_and_button_texts'] ) / 2 )
                                                    )
                                                );

                                                # add animated margins to icon
                                                $shortcodes_styles -> update_style(
                                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-two-line-button-container.ueldo-shortcode-two-line-button-container-icon-visibility-on-hover-only .ueldo-shortcode-two-line-button i.ueldo-shortcode-two-line-button-icon-after-text',
                                                    array(
                                                        'margin-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) => '-'. esc_attr( $attributes['two_line_button_margin_between_icon_and_button_texts'] / 2 ),
                                                        'margin-'. esc_attr( ueldo_is_rtl() ? 'left' : 'right' ) => esc_attr( $attributes['two_line_button_margin_between_icon_and_button_texts'] / 2 )
                                                    )
                                                );

                                            break;

                                            # button icon displayed above the text
                                            case 'above-left':
                                            case 'above-centered':
                                            case 'above-right':

                                                # add animated margins to content
                                                $shortcodes_styles -> update_style(
                                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-two-line-button-container.ueldo-shortcode-two-line-button-container-icon-visibility-on-hover-only .ueldo-shortcode-two-line-button .ueldo-shortcode-two-line-button-content.ueldo-shortcode-two-line-button-content-with-icon-'. esc_attr( $attributes['button_icon_position'] ),
                                                    array(
                                                        'margin-top' => '-'. esc_attr( ( $attributes['two_line_button_icon_size'] + $attributes['two_line_button_margin_between_icon_and_button_texts'] ) / 2 ),
                                                        'margin-bottom' => esc_attr( ( $attributes['two_line_button_icon_size'] + $attributes['two_line_button_margin_between_icon_and_button_texts'] ) / 2 )
                                                    )
                                                );

                                                # add animated margins to icon
                                                $shortcodes_styles -> update_style(
                                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-two-line-button-container.ueldo-shortcode-two-line-button-container-icon-visibility-on-hover-only .ueldo-shortcode-two-line-button i.ueldo-shortcode-two-line-button-icon-'. esc_attr( $attributes['button_icon_position'] ),
                                                    array(
                                                        'margin-top' => esc_attr( $attributes['two_line_button_margin_between_icon_and_button_texts'] / 2 ),
                                                        'margin-bottom' => esc_attr( $attributes['two_line_button_margin_between_icon_and_button_texts'] / 2 )
                                                    )
                                                );

                                                # add animated margins to content (on hover)
                                                $shortcodes_styles -> update_style(
                                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-two-line-button-container.ueldo-shortcode-two-line-button-container-icon-visibility-on-hover-only .ueldo-shortcode-two-line-button:hover .ueldo-shortcode-two-line-button-content.ueldo-shortcode-two-line-button-content-with-icon-'. esc_attr( $attributes['button_icon_position'] ),
                                                    array(
                                                        'margin-top' => '0',
                                                        'margin-bottom' => '0'
                                                    )
                                                );

                                                # add animated margins to icon (on hover)
                                                $shortcodes_styles -> update_style(
                                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-two-line-button-container.ueldo-shortcode-two-line-button-container-icon-visibility-on-hover-only .ueldo-shortcode-two-line-button:hover i.ueldo-shortcode-two-line-button-icon-'. esc_attr( $attributes['button_icon_position'] ),
                                                    array(
                                                        'margin-top' => '0',
                                                        'margin-bottom' => esc_attr( $attributes['two_line_button_margin_between_icon_and_button_texts'] )
                                                    )
                                                );

                                            break;

                                            # button icon displayed under the text
                                            case 'under-left':
                                            case 'under-centered':
                                            case 'under-right':

                                                # add animated margins to content
                                                $shortcodes_styles -> update_style(
                                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-two-line-button-container.ueldo-shortcode-two-line-button-container-icon-visibility-on-hover-only .ueldo-shortcode-two-line-button .ueldo-shortcode-two-line-button-content.ueldo-shortcode-two-line-button-content-with-icon-'. esc_attr( $attributes['button_icon_position'] ),
                                                    array(
                                                        'margin-top' => esc_attr( ( $attributes['two_line_button_icon_size'] + $attributes['two_line_button_margin_between_icon_and_button_texts'] ) / 2 ),
                                                        'margin-bottom' => '-'. esc_attr( ( $attributes['two_line_button_icon_size'] + $attributes['two_line_button_margin_between_icon_and_button_texts'] ) / 2 )
                                                    )
                                                );

                                                # add animated margins to icon
                                                $shortcodes_styles -> update_style(
                                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-two-line-button-container.ueldo-shortcode-two-line-button-container-icon-visibility-on-hover-only .ueldo-shortcode-two-line-button i.ueldo-shortcode-two-line-button-icon-'. esc_attr( $attributes['button_icon_position'] ),
                                                    array(
                                                        'margin-top' => esc_attr( $attributes['two_line_button_margin_between_icon_and_button_texts'] / 2 ),
                                                        'margin-bottom' => esc_attr( $attributes['two_line_button_margin_between_icon_and_button_texts'] / 2 )
                                                    )
                                                );

                                                # add animated margins to content (on hover)
                                                $shortcodes_styles -> update_style(
                                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-two-line-button-container.ueldo-shortcode-two-line-button-container-icon-visibility-on-hover-only .ueldo-shortcode-two-line-button:hover .ueldo-shortcode-two-line-button-content.ueldo-shortcode-two-line-button-content-with-icon-'. esc_attr( $attributes['button_icon_position'] ),
                                                    array(
                                                        'margin-top' => '0',
                                                        'margin-bottom' => '0'
                                                    )
                                                );

                                                # add animated margins to icon (on hover)
                                                $shortcodes_styles -> update_style(
                                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-two-line-button-container.ueldo-shortcode-two-line-button-container-icon-visibility-on-hover-only .ueldo-shortcode-two-line-button:hover i.ueldo-shortcode-two-line-button-icon-'. esc_attr( $attributes['button_icon_position'] ),
                                                    array(
                                                        'margin-top' => esc_attr( $attributes['two_line_button_margin_between_icon_and_button_texts'] ),
                                                        'margin-bottom' => '0'
                                                    )
                                                );

                                            break;
                                        }

                                        # clear margin values on hover
                                        $shortcodes_styles -> update_style(
                                            esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-two-line-button-container.ueldo-shortcode-two-line-button-container-icon-visibility-on-hover-only .ueldo-shortcode-two-line-button:hover .ueldo-shortcode-two-line-button-content.ueldo-shortcode-two-line-button-content-with-icon-before, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-two-line-button-container.ueldo-shortcode-two-line-button-container-icon-visibility-on-hover-only .ueldo-shortcode-two-line-button:hover .ueldo-shortcode-two-line-button-content.ueldo-shortcode-two-line-button-content-with-icon-after, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-two-line-button-container.ueldo-shortcode-two-line-button-container-icon-visibility-on-hover-only .ueldo-shortcode-two-line-button:hover i.ueldo-shortcode-two-line-button-icon-before-text, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-two-line-button-container.ueldo-shortcode-two-line-button-container-icon-visibility-on-hover-only .ueldo-shortcode-two-line-button:hover i.ueldo-shortcode-two-line-button-icon-after-text',
                                            array(
                                                'margin-left' => '0',
                                                'margin-right' => '0'
                                            )
                                        );
                                    }

                                break;
                            }
                        }

                        # can we set custom colors?
                        if( $attributes['custom_colors_enabled'] != 'theme_defaults' ) {

                            # set styles depends on button type
                            switch( $attributes['button_type'] ) {

                                # standard button
                                case 'standard-button':

                                    # button styles
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-button-container#'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-button',
                                        array(
                                            'background' => esc_attr( $attributes['standard_button_background_color'] ),
                                            'border-color' => esc_attr( $attributes['standard_button_border_color'] ),
                                            '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['standard_button_box_shadow_horizontal_length'], $attributes['standard_button_box_shadow_vertical_length'], $attributes['standard_button_box_shadow_blur_radius'], $attributes['standard_button_box_shadow_spread_radius'], $attributes['standard_button_box_shadow_color'] ),
                                            '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['standard_button_box_shadow_horizontal_length'], $attributes['standard_button_box_shadow_vertical_length'], $attributes['standard_button_box_shadow_blur_radius'], $attributes['standard_button_box_shadow_spread_radius'], $attributes['standard_button_box_shadow_color'] ),
                                            'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['standard_button_box_shadow_horizontal_length'], $attributes['standard_button_box_shadow_vertical_length'], $attributes['standard_button_box_shadow_blur_radius'], $attributes['standard_button_box_shadow_spread_radius'], $attributes['standard_button_box_shadow_color'] )
                                        )
                                    );

                                    # button styles (on hover)
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-button-container#'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-button:hover',
                                        array(
                                            'background' => esc_attr( $attributes['standard_button_background_color_hover'] ),
                                            'border-color' => esc_attr( $attributes['standard_button_border_color_hover'] ),
                                            '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['standard_button_box_shadow_horizontal_length_hover'], $attributes['standard_button_box_shadow_vertical_length_hover'], $attributes['standard_button_box_shadow_blur_radius_hover'], $attributes['standard_button_box_shadow_spread_radius_hover'], $attributes['standard_button_box_shadow_color_hover'] ),
                                            '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['standard_button_box_shadow_horizontal_length_hover'], $attributes['standard_button_box_shadow_vertical_length_hover'], $attributes['standard_button_box_shadow_blur_radius_hover'], $attributes['standard_button_box_shadow_spread_radius_hover'], $attributes['standard_button_box_shadow_color_hover'] ),
                                            'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['standard_button_box_shadow_horizontal_length_hover'], $attributes['standard_button_box_shadow_vertical_length_hover'], $attributes['standard_button_box_shadow_blur_radius_hover'], $attributes['standard_button_box_shadow_spread_radius_hover'], $attributes['standard_button_box_shadow_color_hover'] )
                                        )
                                    );

                                    # button text styles
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-button-container#'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-button, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-button-container#'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-button .ueldo-button-link-text',
                                        array(
                                            'color' => esc_attr( $attributes['standard_button_text_color'] ),
                                            '-moz-text-shadow' => ueldo_get_text_shadow_attribute_value( $attributes['standard_button_text_shadow_horizontal_length'], $attributes['standard_button_text_shadow_vertical_length'], $attributes['standard_button_text_shadow_blur_radius'], $attributes['standard_button_text_shadow_color'] ),
                                            'text-shadow' => ueldo_get_text_shadow_attribute_value( $attributes['standard_button_text_shadow_horizontal_length'], $attributes['standard_button_text_shadow_vertical_length'], $attributes['standard_button_text_shadow_blur_radius'], $attributes['standard_button_text_shadow_color'] )
                                        )
                                    );

                                    # button text styles (on hover)
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-button-container#'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-button:hover, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-button-container#'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-button:hover .ueldo-button-link-text',
                                        array(
                                            'color' => esc_attr( $attributes['standard_button_text_color_hover'] ),
                                            '-moz-text-shadow' => ueldo_get_text_shadow_attribute_value( $attributes['standard_button_text_shadow_horizontal_length_hover'], $attributes['standard_button_text_shadow_vertical_length_hover'], $attributes['standard_button_text_shadow_blur_radius_hover'], $attributes['standard_button_text_shadow_color_hover'] ),
                                            'text-shadow' => ueldo_get_text_shadow_attribute_value( $attributes['standard_button_text_shadow_horizontal_length_hover'], $attributes['standard_button_text_shadow_vertical_length_hover'], $attributes['standard_button_text_shadow_blur_radius_hover'], $attributes['standard_button_text_shadow_color_hover'] )
                                        )
                                    );

                                    # do we have button icon added?
                                    if( $attributes['show_button_icon'] == 'yes' ) {

                                        # button icon styles
                                        $shortcodes_styles -> update_style(
                                            esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-button-container#'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-button i, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-button-container#'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-button i:before',
                                            array(
                                                'color' => esc_attr( $attributes['standard_button_icon_color'] ),
                                                '-moz-text-shadow' => ueldo_get_text_shadow_attribute_value( $attributes['standard_button_icon_text_shadow_horizontal_length'], $attributes['standard_button_icon_text_shadow_vertical_length'], $attributes['standard_button_icon_text_shadow_blur_radius'], $attributes['standard_button_icon_text_shadow_color'] ),
                                                'text-shadow' => ueldo_get_text_shadow_attribute_value( $attributes['standard_button_icon_text_shadow_horizontal_length'], $attributes['standard_button_icon_text_shadow_vertical_length'], $attributes['standard_button_icon_text_shadow_blur_radius'], $attributes['standard_button_icon_text_shadow_color'] )
                                            )
                                        );

                                        # button icon styles (on hover)
                                        $shortcodes_styles -> update_style(
                                            esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-button-container#'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-button:hover i, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-button-container#'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-button:hover i:before',
                                            array(
                                                'color' => esc_attr( $attributes['standard_button_icon_color_hover'] ),
                                                '-moz-text-shadow' => ueldo_get_text_shadow_attribute_value( $attributes['standard_button_icon_text_shadow_horizontal_length_hover'], $attributes['standard_button_icon_text_shadow_vertical_length_hover'], $attributes['standard_button_icon_text_shadow_blur_radius_hover'], $attributes['standard_button_icon_text_shadow_color_hover'] ),
                                                'text-shadow' => ueldo_get_text_shadow_attribute_value( $attributes['standard_button_icon_text_shadow_horizontal_length_hover'], $attributes['standard_button_icon_text_shadow_vertical_length_hover'], $attributes['standard_button_icon_text_shadow_blur_radius_hover'], $attributes['standard_button_icon_text_shadow_color_hover'] )
                                            )
                                        );
                                    }

                                break;

                                # two-line button
                                case 'two-line-button':

                                    # button styles
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-two-line-button-container .ueldo-shortcode-two-line-button',
                                        array(
                                            'color' => esc_attr( $attributes['two_line_button_second_line_color'] ),
                                            'background' => esc_attr( $attributes['two_line_button_background_color'] ),
                                            'border-color' => esc_attr( $attributes['two_line_button_border_color'] ),
                                            '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['two_line_button_box_shadow_horizontal_length'], $attributes['two_line_button_box_shadow_vertical_length'], $attributes['two_line_button_box_shadow_blur_radius'], $attributes['two_line_button_box_shadow_spread_radius'], $attributes['two_line_button_box_shadow_color'] ),
                                            '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['two_line_button_box_shadow_horizontal_length'], $attributes['two_line_button_box_shadow_vertical_length'], $attributes['two_line_button_box_shadow_blur_radius'], $attributes['two_line_button_box_shadow_spread_radius'], $attributes['two_line_button_box_shadow_color'] ),
                                            'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['two_line_button_box_shadow_horizontal_length'], $attributes['two_line_button_box_shadow_vertical_length'], $attributes['two_line_button_box_shadow_blur_radius'], $attributes['two_line_button_box_shadow_spread_radius'], $attributes['two_line_button_box_shadow_color'] )
                                        )
                                    );

                                    # button styles (on hover)
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-two-line-button-container .ueldo-shortcode-two-line-button:hover',
                                        array(
                                            'color' => esc_attr( $attributes['two_line_button_second_line_color_hover'] ),
                                            'background' => esc_attr( $attributes['two_line_button_background_color_hover'] ),
                                            'border-color' => esc_attr( $attributes['two_line_button_border_color_hover'] ),
                                            '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['two_line_button_box_shadow_horizontal_length_hover'], $attributes['two_line_button_box_shadow_vertical_length_hover'], $attributes['two_line_button_box_shadow_blur_radius_hover'], $attributes['two_line_button_box_shadow_spread_radius_hover'], $attributes['two_line_button_box_shadow_color_hover'] ),
                                            '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['two_line_button_box_shadow_horizontal_length_hover'], $attributes['two_line_button_box_shadow_vertical_length_hover'], $attributes['two_line_button_box_shadow_blur_radius_hover'], $attributes['two_line_button_box_shadow_spread_radius_hover'], $attributes['two_line_button_box_shadow_color_hover'] ),
                                            'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['two_line_button_box_shadow_horizontal_length_hover'], $attributes['two_line_button_box_shadow_vertical_length_hover'], $attributes['two_line_button_box_shadow_blur_radius_hover'], $attributes['two_line_button_box_shadow_spread_radius_hover'], $attributes['two_line_button_box_shadow_color_hover'] )
                                        )
                                    );

                                    # button first line text styles
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-two-line-button-container .ueldo-shortcode-two-line-button .ueldo-shortcode-two-line-button-content .ueldo-shortcode-two-line-button-content-subtitle',
                                        array(
                                            'color' => esc_attr( $attributes['two_line_button_first_line_color'] ),
                                            '-moz-text-shadow' => ueldo_get_text_shadow_attribute_value( $attributes['two_line_button_first_line_text_shadow_horizontal_length'], $attributes['two_line_button_first_line_text_shadow_vertical_length'], $attributes['two_line_button_first_line_text_shadow_blur_radius'], $attributes['two_line_button_first_line_text_shadow_color'] ),
                                            'text-shadow' => ueldo_get_text_shadow_attribute_value( $attributes['two_line_button_first_line_text_shadow_horizontal_length'], $attributes['two_line_button_first_line_text_shadow_vertical_length'], $attributes['two_line_button_first_line_text_shadow_blur_radius'], $attributes['two_line_button_first_line_text_shadow_color'] )
                                        )
                                    );

                                    # button first line text styles (on hover)
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-two-line-button-container .ueldo-shortcode-two-line-button:hover .ueldo-shortcode-two-line-button-content .ueldo-shortcode-two-line-button-content-subtitle',
                                        array(
                                            'color' => esc_attr( $attributes['two_line_button_first_line_color_hover'] ),
                                            '-moz-text-shadow' => ueldo_get_text_shadow_attribute_value( $attributes['two_line_button_first_line_text_shadow_horizontal_length_hover'], $attributes['two_line_button_first_line_text_shadow_vertical_length_hover'], $attributes['two_line_button_first_line_text_shadow_blur_radius_hover'], $attributes['two_line_button_first_line_text_shadow_color_hover'] ),
                                            'text-shadow' => ueldo_get_text_shadow_attribute_value( $attributes['two_line_button_first_line_text_shadow_horizontal_length_hover'], $attributes['two_line_button_first_line_text_shadow_vertical_length_hover'], $attributes['two_line_button_first_line_text_shadow_blur_radius_hover'], $attributes['two_line_button_first_line_text_shadow_color_hover'] )
                                        )
                                    );

                                    # button second line text styles
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-two-line-button-container .ueldo-shortcode-two-line-button .ueldo-shortcode-two-line-button-content .ueldo-shortcode-two-line-button-content-title',
                                        array(
                                            'color' => esc_attr( $attributes['two_line_button_second_line_color'] ),
                                            '-moz-text-shadow' => ueldo_get_text_shadow_attribute_value( $attributes['two_line_button_second_line_text_shadow_horizontal_length'], $attributes['two_line_button_second_line_text_shadow_vertical_length'], $attributes['two_line_button_second_line_text_shadow_blur_radius'], $attributes['two_line_button_second_line_text_shadow_color'] ),
                                            'text-shadow' => ueldo_get_text_shadow_attribute_value( $attributes['two_line_button_second_line_text_shadow_horizontal_length'], $attributes['two_line_button_second_line_text_shadow_vertical_length'], $attributes['two_line_button_second_line_text_shadow_blur_radius'], $attributes['two_line_button_second_line_text_shadow_color'] )
                                        )
                                    );

                                    # button second line text styles (on hover)
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-two-line-button-container .ueldo-shortcode-two-line-button:hover .ueldo-shortcode-two-line-button-content .ueldo-shortcode-two-line-button-content-title',
                                        array(
                                            'color' => esc_attr( $attributes['two_line_button_second_line_color_hover'] ),
                                            '-moz-text-shadow' => ueldo_get_text_shadow_attribute_value( $attributes['two_line_button_second_line_text_shadow_horizontal_length_hover'], $attributes['two_line_button_second_line_text_shadow_vertical_length_hover'], $attributes['two_line_button_second_line_text_shadow_blur_radius_hover'], $attributes['two_line_button_second_line_text_shadow_color_hover'] ),
                                            'text-shadow' => ueldo_get_text_shadow_attribute_value( $attributes['two_line_button_second_line_text_shadow_horizontal_length_hover'], $attributes['two_line_button_second_line_text_shadow_vertical_length_hover'], $attributes['two_line_button_second_line_text_shadow_blur_radius_hover'], $attributes['two_line_button_second_line_text_shadow_color_hover'] )
                                        )
                                    );

                                    # do we have button icon added?
                                    if( $attributes['show_button_icon'] == 'yes' ) {

                                        # button icon styles
                                        $shortcodes_styles -> update_style(
                                            esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-two-line-button-container .ueldo-shortcode-two-line-button i, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-two-line-button-container .ueldo-shortcode-two-line-button i:before',
                                            array(
                                                'color' => esc_attr( $attributes['two_line_button_icon_color'] ),
                                                '-moz-text-shadow' => ueldo_get_text_shadow_attribute_value( $attributes['two_line_button_icon_text_shadow_horizontal_length'], $attributes['two_line_button_icon_text_shadow_vertical_length'], $attributes['two_line_button_icon_text_shadow_blur_radius'], $attributes['two_line_button_icon_text_shadow_color'] ),
                                                'text-shadow' => ueldo_get_text_shadow_attribute_value( $attributes['two_line_button_icon_text_shadow_horizontal_length'], $attributes['two_line_button_icon_text_shadow_vertical_length'], $attributes['two_line_button_icon_text_shadow_blur_radius'], $attributes['two_line_button_icon_text_shadow_color'] )
                                            )
                                        );

                                        # button icon styles (on hover)
                                        $shortcodes_styles -> update_style(
                                            esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-two-line-button-container .ueldo-shortcode-two-line-button:hover i, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-two-line-button-container .ueldo-shortcode-two-line-button:hover i:before',
                                            array(
                                                'color' => esc_attr( $attributes['two_line_button_icon_color_hover'] ),
                                                '-moz-text-shadow' => ueldo_get_text_shadow_attribute_value( $attributes['two_line_button_icon_text_shadow_horizontal_length_hover'], $attributes['two_line_button_icon_text_shadow_vertical_length_hover'], $attributes['two_line_button_icon_text_shadow_blur_radius_hover'], $attributes['two_line_button_icon_text_shadow_color_hover'] ),
                                                'text-shadow' => ueldo_get_text_shadow_attribute_value( $attributes['two_line_button_icon_text_shadow_horizontal_length_hover'], $attributes['two_line_button_icon_text_shadow_vertical_length_hover'], $attributes['two_line_button_icon_text_shadow_blur_radius_hover'], $attributes['two_line_button_icon_text_shadow_color_hover'] )
                                            )
                                        );
                                    }

                                break;
                            }
                        }

                        # save css style
                        $shortcodes_styles -> save_styles();

                        # remove attributes array
                        unset( $attributes );

                    break;

                   /**
                    *
                    * ueldo_shortcode_heading
                    *
                    */

                    case 'ueldo_shortcode_heading':

                        # attributes array
                        $attributes = array(
                            'display_heading_subtitle' => isset( $shortcode['atts']['display_heading_subtitle'] ) && !empty( $shortcode['atts']['display_heading_subtitle'] ) ? $shortcode['atts']['display_heading_subtitle'] : 'yes-above',
                            'custom_font_for_heading_subtitle' => isset( $shortcode['atts']['custom_font_for_heading_subtitle'] ) && !empty( $shortcode['atts']['custom_font_for_heading_subtitle'] ) ? $shortcode['atts']['custom_font_for_heading_subtitle'] : 'theme_defaults',
                            'heading_subtitle_font_family' => isset( $shortcode['atts']['heading_subtitle_font_family'] ) && !empty( $shortcode['atts']['heading_subtitle_font_family'] ) ? $shortcode['atts']['heading_subtitle_font_family'] : 'headings-subtitle-font',
                            'heading_subtitle_uppercase_enabled' => isset( $shortcode['atts']['heading_subtitle_uppercase_enabled'] ) && !empty( $shortcode['atts']['heading_subtitle_uppercase_enabled'] ) ? $shortcode['atts']['heading_subtitle_uppercase_enabled'] : 'yes',
                            'heading_subtitle_font_size' => isset( $shortcode['atts']['heading_subtitle_font_size'] ) && $shortcode['atts']['heading_subtitle_font_size'] != '' && ueldo_is_valid_number( $shortcode['atts']['heading_subtitle_font_size'] ) ? $shortcode['atts']['heading_subtitle_font_size'] : esc_attr( $ueldo_styles_cache -> get_style( 'font-size-content' ) ),
                            'heading_subtitle_line_height' => isset( $shortcode['atts']['heading_subtitle_line_height'] ) && $shortcode['atts']['heading_subtitle_line_height'] != '' && ueldo_is_valid_number( $shortcode['atts']['heading_subtitle_line_height'] ) ? $shortcode['atts']['heading_subtitle_line_height'] : '1.0',
                            'custom_heading_subtitle_font_color_enabled' => isset( $shortcode['atts']['custom_heading_subtitle_font_color_enabled'] ) && !empty( $shortcode['atts']['custom_heading_subtitle_font_color_enabled'] ) ? $shortcode['atts']['custom_heading_subtitle_font_color_enabled'] : 'theme_defaults',
                            'heading_subtitle_font_color' => isset( $shortcode['atts']['heading_subtitle_font_color'] ) && $shortcode['atts']['heading_subtitle_font_color'] != '' ? $shortcode['atts']['heading_subtitle_font_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-headings-subtitle-color' ) ),
                            'heading_subtitle_custom_margin_enabled' => isset( $shortcode['atts']['heading_subtitle_custom_margin_enabled'] ) && !empty( $shortcode['atts']['heading_subtitle_custom_margin_enabled'] ) ? $shortcode['atts']['heading_subtitle_custom_margin_enabled'] : 'theme_defaults',
                            'heading_subtitle_margin' => isset( $shortcode['atts']['heading_subtitle_margin'] ) && $shortcode['atts']['heading_subtitle_margin'] != '' && ueldo_is_valid_number( $shortcode['atts']['heading_subtitle_margin'] ) ? $shortcode['atts']['heading_subtitle_margin'] : '15',
                            'custom_margins_enabled' => isset( $shortcode['atts']['custom_margins_enabled'] ) && !empty( $shortcode['atts']['custom_margins_enabled'] ) ? $shortcode['atts']['custom_margins_enabled'] : 'theme_defaults',
                            'custom_margin_top' => isset( $shortcode['atts']['custom_margin_top'] ) && $shortcode['atts']['custom_margin_top'] != '' && ueldo_is_valid_number( $shortcode['atts']['custom_margin_top'] ) ? $shortcode['atts']['custom_margin_top'] : '0',
                            'custom_margin_right' => isset( $shortcode['atts']['custom_margin_right'] ) && $shortcode['atts']['custom_margin_right'] != '' && ueldo_is_valid_number( $shortcode['atts']['custom_margin_right'] ) ? $shortcode['atts']['custom_margin_right'] : '0',
                            'custom_margin_bottom' => isset( $shortcode['atts']['custom_margin_bottom'] ) && $shortcode['atts']['custom_margin_bottom'] != '' && ueldo_is_valid_number( $shortcode['atts']['custom_margin_bottom'] ) ? $shortcode['atts']['custom_margin_bottom'] : '30',
                            'custom_margin_left' => isset( $shortcode['atts']['custom_margin_left'] ) && $shortcode['atts']['custom_margin_left'] != '' && ueldo_is_valid_number( $shortcode['atts']['custom_margin_left'] ) ? $shortcode['atts']['custom_margin_left'] : '0'
                        );

                        # is heading subtitle enabled?
                        if( in_array( $attributes['display_heading_subtitle'], array( 'yes-above', 'yes-under' ), true ) ) {

                            # are custom font settings enabled?
                            if( $attributes['custom_font_for_heading_subtitle'] != 'theme_defaults' ) {

                                # get font data array
                                $font = ueldo_vc_get_custom_font_family_attributes( ( !empty( $attributes['heading_subtitle_font_family'] ) ? $attributes['heading_subtitle_font_family'] : false ), 'headings-subtitle-font' );

                                # set font family and font weight
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-heading .'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-heading-subtitle',
                                    array(
                                        'font-family' => esc_attr( $font['font-family'] ),
                                        'font-weight' => esc_attr( $font['font-weight'] ),
                                        'font-style' => esc_attr( $font['font-style'] ),
                                        '-webkit-font-smoothing' => esc_attr( $font['-webkit-font-smoothing'] ),
                                        '-moz-osx-font-smoothing' => esc_attr( $font['-moz-osx-font-smoothing'] ),
                                        'font-size' => esc_attr( $attributes['heading_subtitle_font_size'] ),
                                        'line-height' => esc_attr( $attributes['heading_subtitle_line_height'] ),
                                        'text-transform' => esc_attr( $attributes['heading_subtitle_uppercase_enabled'] == 'yes' ? 'uppercase' : 'none' )
                                    )
                                );

                                # remove temporary variable
                                unset( $font );
                            }

                            # is custom font color for heading subtitle enabled?
                            if( $attributes['custom_heading_subtitle_font_color_enabled'] != 'theme_defaults' ) {

                                # update heading subtitle color
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-heading .'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-heading-subtitle',
                                    array(
                                        'color' => esc_attr( $attributes['heading_subtitle_font_color'] )
                                    )
                                );
                            }

                            # is custom subtitle margin enabled?
                            if( $attributes['heading_subtitle_custom_margin_enabled'] != 'theme_defaults' ) {

                                # update heading subtitle margin
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-heading .'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-heading-subtitle',
                                    array(
                                        'margin-'. esc_attr( $attributes['display_heading_subtitle'] == 'yes-under' ? 'top' : 'bottom' ) => esc_attr( $attributes['heading_subtitle_margin'] )
                                    )
                                );
                            }
                        }

                        # is custom margins enabled?
                        if( $attributes['custom_margins_enabled'] != 'theme_defaults' ) {

                            # update general heading styles
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .', .ueldo-content-default .ueldo-content-wrapper .wpb_wrapper .'. esc_attr( $shortcode['atts']['class_name'] ),
                                array(
                                    'margin-top' => esc_attr( $attributes['custom_margin_top'] ),
                                    'margin-right' => esc_attr( $attributes['custom_margin_right'] ),
                                    'margin-bottom' => esc_attr( $attributes['custom_margin_bottom'] ),
                                    'margin-left' => esc_attr( $attributes['custom_margin_left'] )
                                )
                            );
                        }

                        # save css style
                        $shortcodes_styles -> save_styles();

                        # remove attributes array
                        unset( $attributes );

                    break;

                   /**
                    *
                    * ueldo_shortcode_heading_text
                    *
                    */

                    case 'ueldo_shortcode_heading_text':

                        # attributes array
                        $attributes = array(
                            'font_family' => isset( $shortcode['atts']['font_family'] ) && $shortcode['atts']['font_family'] != '' ? $shortcode['atts']['font_family'] : 'headings-font',
                            'custom_font_size_and_line_height_enabled' => isset( $shortcode['atts']['custom_font_size_and_line_height_enabled'] ) && !empty( $shortcode['atts']['custom_font_size_and_line_height_enabled'] ) ? $shortcode['atts']['custom_font_size_and_line_height_enabled'] : 'theme_defaults',
                            'font_size' => isset( $shortcode['atts']['font_size'] ) && $shortcode['atts']['font_size'] != '' && ueldo_is_valid_number( $shortcode['atts']['font_size'] ) ? $shortcode['atts']['font_size'] : esc_attr( $ueldo_styles_cache -> get_style( 'font-size-h1' ) ),
                            'line_height' => isset( $shortcode['atts']['line_height'] ) && $shortcode['atts']['line_height'] != '' && ueldo_is_valid_number( $shortcode['atts']['line_height'] ) ? $shortcode['atts']['line_height'] : esc_attr( $ueldo_styles_cache -> get_style( 'line-height-headings' ) ),
                            'letter_spacing' => isset( $shortcode['atts']['letter_spacing'] ) && $shortcode['atts']['letter_spacing'] != '' && ueldo_is_valid_number( $shortcode['atts']['letter_spacing'] ) ? $shortcode['atts']['letter_spacing'] : '0',
                            'custom_font_color_enabled' => isset( $shortcode['atts']['custom_font_color_enabled'] ) && !empty( $shortcode['atts']['custom_font_color_enabled'] ) ? $shortcode['atts']['custom_font_color_enabled'] : 'theme_defaults',
                            'font_color' => isset( $shortcode['atts']['font_color'] ) && $shortcode['atts']['font_color'] != '' ? $shortcode['atts']['font_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                            'font_color_hover' => isset( $shortcode['atts']['font_color_hover'] ) && $shortcode['atts']['font_color_hover'] != '' ? $shortcode['atts']['font_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                            'additional_margin_before' => isset( $shortcode['atts']['additional_margin_before'] ) && $shortcode['atts']['additional_margin_before'] != '' && ueldo_is_valid_number( $shortcode['atts']['additional_margin_before'] ) ? $shortcode['atts']['additional_margin_before'] : '0',
                            'additional_margin_after' => isset( $shortcode['atts']['additional_margin_after'] ) && $shortcode['atts']['additional_margin_after'] != '' && ueldo_is_valid_number( $shortcode['atts']['additional_margin_after'] ) ? $shortcode['atts']['additional_margin_after'] : '0',
                            'additional_padding_left' => isset( $shortcode['atts']['additional_padding_left'] ) && $shortcode['atts']['additional_padding_left'] != '' && ueldo_is_valid_number( $shortcode['atts']['additional_padding_left'] ) ? $shortcode['atts']['additional_padding_left'] : '0',
                            'additional_padding_right' => isset( $shortcode['atts']['additional_padding_right'] ) && $shortcode['atts']['additional_padding_right'] != '' && ueldo_is_valid_number( $shortcode['atts']['additional_padding_right'] ) ? $shortcode['atts']['additional_padding_right'] : '0',
                            'add_highlights' => isset( $shortcode['atts']['add_highlights'] ) && !empty( $shortcode['atts']['add_highlights'] ) ? $shortcode['atts']['add_highlights'] : 'no',
                            'underline_color' => isset( $shortcode['atts']['underline_color'] ) && $shortcode['atts']['underline_color'] != '' ? $shortcode['atts']['underline_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                            'underline_height' => isset( $shortcode['atts']['underline_height'] ) && $shortcode['atts']['underline_height'] != '' && ueldo_is_valid_number( $shortcode['atts']['underline_height'] ) ? $shortcode['atts']['underline_height'] : '4',
                            'underline_margin_bottom' => isset( $shortcode['atts']['underline_margin_bottom'] ) && $shortcode['atts']['underline_margin_bottom'] != '' && ueldo_is_valid_number( $shortcode['atts']['underline_margin_bottom'] ) ? $shortcode['atts']['underline_margin_bottom'] : '11',
                            'background_color' => isset( $shortcode['atts']['background_color'] ) && $shortcode['atts']['background_color'] != '' ? $shortcode['atts']['background_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                            'background_padding_left' => isset( $shortcode['atts']['background_padding_left'] ) && $shortcode['atts']['background_padding_left'] != '' && ueldo_is_valid_number( $shortcode['atts']['background_padding_left'] ) ? $shortcode['atts']['background_padding_left'] : '0',
                            'background_padding_right' => isset( $shortcode['atts']['background_padding_right'] ) && $shortcode['atts']['background_padding_right'] != '' && ueldo_is_valid_number( $shortcode['atts']['background_padding_right'] ) ? $shortcode['atts']['background_padding_right'] : '0'
                        );

                        # get font data array
                        $font = ueldo_vc_get_custom_font_family_attributes( ( !empty( $attributes['font_family'] ) ? $attributes['font_family'] : false ), 'headings-font' );

                        # set font family and font weight
                        $shortcodes_styles -> update_style(
                            'ueldo-shortcode-heading .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-heading-text',
                            array(
                                'font-family' => esc_attr( $font['font-family'] ),
                                'font-weight' => esc_attr( $font['font-weight'] ),
                                'font-style' => esc_attr( $font['font-style'] ),
                                '-webkit-font-smoothing' => esc_attr( $font['-webkit-font-smoothing'] ),
                                '-moz-osx-font-smoothing' => esc_attr( $font['-moz-osx-font-smoothing'] ),
                                'margin-left' => esc_attr( $attributes['additional_margin_'. esc_attr( ueldo_is_rtl() ? 'after' : 'before' )] ),
                                'margin-right' => esc_attr( $attributes['additional_margin_'. esc_attr( ueldo_is_rtl() ? 'before' : 'after' )] ),
                                'padding-left' => esc_attr( $attributes['additional_padding_left'] ),
                                'padding-right' => esc_attr( $attributes['additional_padding_right'] )
                            )
                        );

                        # font size and line height
                        if( $attributes['custom_font_size_and_line_height_enabled'] != 'theme_defaults' ) {

                            # update element styles with font size and line height
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-heading .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-heading-text',
                                array(
                                    'font-size' => esc_attr( $attributes['font_size'] ),
                                    'line-height' => esc_attr( $attributes['line_height'] ),
                                    'letter-spacing' => esc_attr( $attributes['letter_spacing'] )
                                )
                            );
                        }

                        # font color
                        if( $attributes['custom_font_color_enabled'] != 'theme_defaults' ) {

                            # update element styles with font color
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-heading .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-heading-text',
                                array(
                                    'color' => esc_attr( $attributes['font_color'] )
                                )
                            );

                            # update element styles with font color (on hover)
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-heading h1:hover > .'. esc_attr( $shortcode['atts']['class_name'] ) .', .ueldo-shortcode-heading h2:hover > .'. esc_attr( $shortcode['atts']['class_name'] ) .', .ueldo-shortcode-heading h3:hover > .'. esc_attr( $shortcode['atts']['class_name'] ) .', .ueldo-shortcode-heading h4:hover > .'. esc_attr( $shortcode['atts']['class_name'] ) .', .ueldo-shortcode-heading h5:hover > .'. esc_attr( $shortcode['atts']['class_name'] ) .', .ueldo-shortcode-heading h6:hover > .'. esc_attr( $shortcode['atts']['class_name'] ) .', .ueldo-shortcode-heading p:hover > .'. esc_attr( $shortcode['atts']['class_name'] ) .', .ueldo-shortcode-heading a:hover > .'. esc_attr( $shortcode['atts']['class_name'] ),
                                array(
                                    'color' => esc_attr( $attributes['font_color_hover'] )
                                )
                            );
                        }

                        # underline
                        if( in_array( $attributes['add_highlights'], array( 'yes-underline', 'yes-underline-background' ), true ) ) {

                            # update underline styles
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .':after',
                                array(
                                    'height' => esc_attr( $attributes['underline_height'] ),
                                    'margin-bottom' => esc_attr( $attributes['underline_margin_bottom'] ),
                                    'background-color' => esc_attr( $attributes['underline_color'] )
                                )
                            );
                        }

                        # background
                        if( in_array( $attributes['add_highlights'], array( 'yes-background', 'yes-underline-background' ), true ) ) {

                            # update background styles
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .':before',
                                array(
                                    'background-color' => esc_attr( $attributes['background_color'] )
                                )
                            );
                        }

                        # save css style
                        $shortcodes_styles -> save_styles();

                        # remove attributes array
                        unset( $attributes );

                    break;

                   /**
                    *
                    * ueldo_shortcode_tabs
                    *
                    */

                    case 'ueldo_shortcode_tabs':

                        # attributes array
                        $attributes = array(
                            'tabs_content_style' => isset( $shortcode['atts']['tabs_content_style'] ) && !empty( $shortcode['atts']['tabs_content_style'] ) ? $shortcode['atts']['tabs_content_style'] : 'style-01',
                            'tabs_selector_style' => isset( $shortcode['atts']['tabs_selector_style'] ) && !empty( $shortcode['atts']['tabs_selector_style'] ) ? $shortcode['atts']['tabs_selector_style'] : 'style-01',
                            'tabs_selector_content_alignment' => isset( $shortcode['atts']['tabs_selector_content_alignment'] ) && !empty( $shortcode['atts']['tabs_selector_content_alignment'] ) ? $shortcode['atts']['tabs_selector_content_alignment'] : 'center',
                            'tabs_selector_style_03_alignment' => isset( $shortcode['atts']['tabs_selector_style_03_alignment'] ) && !empty( $shortcode['atts']['tabs_selector_style_03_alignment'] ) ? $shortcode['atts']['tabs_selector_style_03_alignment'] : 'center',
                            'tabs_selector_position_left_right' => isset( $shortcode['atts']['tabs_selector_position_left_right'] ) && !empty( $shortcode['atts']['tabs_selector_position_left_right'] ) ? $shortcode['atts']['tabs_selector_position_left_right'] : 'left',
                            'tabs_selector_position_above_under' => isset( $shortcode['atts']['tabs_selector_position_above_under'] ) && !empty( $shortcode['atts']['tabs_selector_position_above_under'] ) ? $shortcode['atts']['tabs_selector_position_above_under'] : 'above',
                            'circle_navigation_hide_tabs_selector' => isset( $shortcode['atts']['circle_navigation_hide_tabs_selector'] ) && !empty( $shortcode['atts']['circle_navigation_hide_tabs_selector'] ) ? $shortcode['atts']['circle_navigation_hide_tabs_selector'] : 'no',
                            'section_padding_top' => isset( $shortcode['atts']['section_padding_top'] ) && $shortcode['atts']['section_padding_top'] != '' && ueldo_is_valid_number( $shortcode['atts']['section_padding_top'] ) ? $shortcode['atts']['section_padding_top'] : '0',
                            'section_padding_bottom' => isset( $shortcode['atts']['section_padding_bottom'] ) && $shortcode['atts']['section_padding_bottom'] != '' && ueldo_is_valid_number( $shortcode['atts']['section_padding_bottom'] ) ? $shortcode['atts']['section_padding_bottom'] : '0',
                            'tabs_content_and_selector_space' => isset( $shortcode['atts']['tabs_content_and_selector_space'] ) && $shortcode['atts']['tabs_content_and_selector_space'] != '' && ueldo_is_valid_number( $shortcode['atts']['tabs_content_and_selector_space'] ) ? $shortcode['atts']['tabs_content_and_selector_space'] : '60',
                            'lateral_margin' => isset( $shortcode['atts']['lateral_margin'] ) && $shortcode['atts']['lateral_margin'] != '' && ueldo_is_valid_number( $shortcode['atts']['lateral_margin'] ) ? $shortcode['atts']['lateral_margin'] : '100',
                            'tabs_03_content_padding_top' => isset( $shortcode['atts']['tabs_03_content_padding_top'] ) && $shortcode['atts']['tabs_03_content_padding_top'] != '' && ueldo_is_valid_number( $shortcode['atts']['tabs_03_content_padding_top'] ) ? $shortcode['atts']['tabs_03_content_padding_top'] : '0',
                            'tabs_03_content_padding_bottom' => isset( $shortcode['atts']['tabs_03_content_padding_bottom'] ) && $shortcode['atts']['tabs_03_content_padding_bottom'] != '' && ueldo_is_valid_number( $shortcode['atts']['tabs_03_content_padding_bottom'] ) ? $shortcode['atts']['tabs_03_content_padding_bottom'] : '0',
                            'tabs_03_content_padding_right' => isset( $shortcode['atts']['tabs_03_content_padding_right'] ) && $shortcode['atts']['tabs_03_content_padding_right'] != '' && ueldo_is_valid_number( $shortcode['atts']['tabs_03_content_padding_right'] ) ? $shortcode['atts']['tabs_03_content_padding_right'] : '0',
                            'tabs_03_content_padding_left' => isset( $shortcode['atts']['tabs_03_content_padding_left'] ) && $shortcode['atts']['tabs_03_content_padding_left'] != '' && ueldo_is_valid_number( $shortcode['atts']['tabs_03_content_padding_left'] ) ? $shortcode['atts']['tabs_03_content_padding_left'] : '0',
                            'tabs_03_content_padding_top_tablets_mobile' => isset( $shortcode['atts']['tabs_03_content_padding_top_tablets_mobile'] ) && $shortcode['atts']['tabs_03_content_padding_top_tablets_mobile'] != '' && ueldo_is_valid_number( $shortcode['atts']['tabs_03_content_padding_top_tablets_mobile'] ) ? $shortcode['atts']['tabs_03_content_padding_top_tablets_mobile'] : '0',
                            'tabs_03_content_padding_bottom_tablets_mobile' => isset( $shortcode['atts']['tabs_03_content_padding_bottom_tablets_mobile'] ) && $shortcode['atts']['tabs_03_content_padding_bottom_tablets_mobile'] != '' && ueldo_is_valid_number( $shortcode['atts']['tabs_03_content_padding_bottom_tablets_mobile'] ) ? $shortcode['atts']['tabs_03_content_padding_bottom_tablets_mobile'] : '0',
                            'tabs_03_content_padding_right_tablets_mobile' => isset( $shortcode['atts']['tabs_03_content_padding_right_tablets_mobile'] ) && $shortcode['atts']['tabs_03_content_padding_right_tablets_mobile'] != '' && ueldo_is_valid_number( $shortcode['atts']['tabs_03_content_padding_right_tablets_mobile'] ) ? $shortcode['atts']['tabs_03_content_padding_right_tablets_mobile'] : '0',
                            'tabs_03_content_padding_left_tablets_mobile' => isset( $shortcode['atts']['tabs_03_content_padding_left_tablets_mobile'] ) && $shortcode['atts']['tabs_03_content_padding_left_tablets_mobile'] != '' && ueldo_is_valid_number( $shortcode['atts']['tabs_03_content_padding_left_tablets_mobile'] ) ? $shortcode['atts']['tabs_03_content_padding_left_tablets_mobile'] : '0',
                            'tabs_04_content_border_radius' => isset( $shortcode['atts']['tabs_04_content_border_radius'] ) && $shortcode['atts']['tabs_04_content_border_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['tabs_04_content_border_radius'] ) ? $shortcode['atts']['tabs_04_content_border_radius'] : '4',
                            'tabs_04_image_and_content_width' => isset( $shortcode['atts']['tabs_04_image_and_content_width'] ) && $shortcode['atts']['tabs_04_image_and_content_width'] != '' ? $shortcode['atts']['tabs_04_image_and_content_width'] : '55%',
                            'tabs_04_content_padding_top' => isset( $shortcode['atts']['tabs_04_content_padding_top'] ) && $shortcode['atts']['tabs_04_content_padding_top'] != '' && ueldo_is_valid_number( $shortcode['atts']['tabs_04_content_padding_top'] ) ? $shortcode['atts']['tabs_04_content_padding_top'] : '40',
                            'tabs_04_content_padding_bottom' => isset( $shortcode['atts']['tabs_04_content_padding_bottom'] ) && $shortcode['atts']['tabs_04_content_padding_bottom'] != '' && ueldo_is_valid_number( $shortcode['atts']['tabs_04_content_padding_bottom'] ) ? $shortcode['atts']['tabs_04_content_padding_bottom'] : '40',
                            'tabs_04_content_padding_right' => isset( $shortcode['atts']['tabs_04_content_padding_right'] ) && $shortcode['atts']['tabs_04_content_padding_right'] != '' && ueldo_is_valid_number( $shortcode['atts']['tabs_04_content_padding_right'] ) ? $shortcode['atts']['tabs_04_content_padding_right'] : '40',
                            'tabs_04_content_padding_left' => isset( $shortcode['atts']['tabs_04_content_padding_left'] ) && $shortcode['atts']['tabs_04_content_padding_left'] != '' && ueldo_is_valid_number( $shortcode['atts']['tabs_04_content_padding_left'] ) ? $shortcode['atts']['tabs_04_content_padding_left'] : '40',
                            'tabs_04_content_padding_top_tablets_mobile' => isset( $shortcode['atts']['tabs_04_content_padding_top_tablets_mobile'] ) && $shortcode['atts']['tabs_04_content_padding_top_tablets_mobile'] != '' && ueldo_is_valid_number( $shortcode['atts']['tabs_04_content_padding_top_tablets_mobile'] ) ? $shortcode['atts']['tabs_04_content_padding_top_tablets_mobile'] : '0',
                            'tabs_04_content_padding_bottom_tablets_mobile' => isset( $shortcode['atts']['tabs_04_content_padding_bottom_tablets_mobile'] ) && $shortcode['atts']['tabs_04_content_padding_bottom_tablets_mobile'] != '' && ueldo_is_valid_number( $shortcode['atts']['tabs_04_content_padding_bottom_tablets_mobile'] ) ? $shortcode['atts']['tabs_04_content_padding_bottom_tablets_mobile'] : '0',
                            'tabs_04_content_padding_right_tablets_mobile' => isset( $shortcode['atts']['tabs_04_content_padding_right_tablets_mobile'] ) && $shortcode['atts']['tabs_04_content_padding_right_tablets_mobile'] != '' && ueldo_is_valid_number( $shortcode['atts']['tabs_04_content_padding_right_tablets_mobile'] ) ? $shortcode['atts']['tabs_04_content_padding_right_tablets_mobile'] : '0',
                            'tabs_04_content_padding_left_tablets_mobile' => isset( $shortcode['atts']['tabs_04_content_padding_left_tablets_mobile'] ) && $shortcode['atts']['tabs_04_content_padding_left_tablets_mobile'] != '' && ueldo_is_valid_number( $shortcode['atts']['tabs_04_content_padding_left_tablets_mobile'] ) ? $shortcode['atts']['tabs_04_content_padding_left_tablets_mobile'] : '0',
                            'tabs_content_02_margin_between_tabs_selector_content' => isset( $shortcode['atts']['tabs_content_02_margin_between_tabs_selector_content'] ) && $shortcode['atts']['tabs_content_02_margin_between_tabs_selector_content'] != '' && ueldo_is_valid_number( $shortcode['atts']['tabs_content_02_margin_between_tabs_selector_content'] ) ? $shortcode['atts']['tabs_content_02_margin_between_tabs_selector_content'] : '40',
                            'tabs_content_02_margin_between_tabs_selector_content_mobile' => isset( $shortcode['atts']['tabs_content_02_margin_between_tabs_selector_content_mobile'] ) && $shortcode['atts']['tabs_content_02_margin_between_tabs_selector_content_mobile'] != '' && ueldo_is_valid_number( $shortcode['atts']['tabs_content_02_margin_between_tabs_selector_content_mobile'] ) ? $shortcode['atts']['tabs_content_02_margin_between_tabs_selector_content_mobile'] : '60',
                            'tabs_content_03_margin_between_image_content_content' => isset( $shortcode['atts']['tabs_content_03_margin_between_image_content_content'] ) && $shortcode['atts']['tabs_content_03_margin_between_image_content_content'] != '' && ueldo_is_valid_number( $shortcode['atts']['tabs_content_03_margin_between_image_content_content'] ) ? $shortcode['atts']['tabs_content_03_margin_between_image_content_content'] : '60',
                            'tabs_content_05_margin_between_image_content_content' => isset( $shortcode['atts']['tabs_content_05_margin_between_image_content_content'] ) && $shortcode['atts']['tabs_content_05_margin_between_image_content_content'] != '' && ueldo_is_valid_number( $shortcode['atts']['tabs_content_05_margin_between_image_content_content'] ) ? $shortcode['atts']['tabs_content_05_margin_between_image_content_content'] : '30',
                            'image_container_border_radius' => isset( $shortcode['atts']['image_container_border_radius'] ) && $shortcode['atts']['image_container_border_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['image_container_border_radius'] ) ? $shortcode['atts']['image_container_border_radius'] : '4',
                            'circle_navigation_hide_tabs_selector' => isset( $shortcode['atts']['circle_navigation_hide_tabs_selector'] ) && !empty( $shortcode['atts']['circle_navigation_hide_tabs_selector'] ) ? $shortcode['atts']['circle_navigation_hide_tabs_selector'] : 'no',
                            'tabs_selector_border_width' => isset( $shortcode['atts']['tabs_selector_border_width'] ) && $shortcode['atts']['tabs_selector_border_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['tabs_selector_border_width'] ) ? $shortcode['atts']['tabs_selector_border_width'] : '1',
                            'tabs_selector_border_radius' => isset( $shortcode['atts']['tabs_selector_border_radius'] ) && $shortcode['atts']['tabs_selector_border_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['tabs_selector_border_radius'] ) ? $shortcode['atts']['tabs_selector_border_radius'] : '4',
                            'tabs_selector_border_between_elements_width' => isset( $shortcode['atts']['tabs_selector_border_between_elements_width'] ) && $shortcode['atts']['tabs_selector_border_between_elements_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['tabs_selector_border_between_elements_width'] ) ? $shortcode['atts']['tabs_selector_border_between_elements_width'] : '1',
                            'tabs_selector_font_settings_enabled' => isset( $shortcode['atts']['tabs_selector_font_settings_enabled'] ) && !empty( $shortcode['atts']['tabs_selector_font_settings_enabled'] ) ? $shortcode['atts']['tabs_selector_font_settings_enabled'] : 'theme_defaults',
                            'tabs_selector_font_size' => isset( $shortcode['atts']['tabs_selector_font_size'] ) && $shortcode['atts']['tabs_selector_font_size'] != '' && ueldo_is_valid_number( $shortcode['atts']['tabs_selector_font_size'] ) ? $shortcode['atts']['tabs_selector_font_size'] : esc_attr( $ueldo_styles_cache -> get_style( 'font-size-content' ) ),
                            'tabs_selector_font_letter_spacing' => isset( $shortcode['atts']['tabs_selector_font_letter_spacing'] ) && $shortcode['atts']['tabs_selector_font_letter_spacing'] != '' && ueldo_is_valid_number( $shortcode['atts']['tabs_selector_font_letter_spacing'] ) ? $shortcode['atts']['tabs_selector_font_letter_spacing'] : '0',
                            'tabs_selector_font_line_height' => isset( $shortcode['atts']['tabs_selector_font_line_height'] ) && $shortcode['atts']['tabs_selector_font_line_height'] != '' && ueldo_is_valid_number( $shortcode['atts']['tabs_selector_font_line_height'] ) ? $shortcode['atts']['tabs_selector_font_line_height'] : '1.0',
                            'tabs_selector_font_family' => isset( $shortcode['atts']['tabs_selector_font_family'] ) && $shortcode['atts']['tabs_selector_font_family'] != '' ? $shortcode['atts']['tabs_selector_font_family'] : ueldo_get_default_font_key( 'headings-font' ),
                            'tabs_selector_icon_font_size' => isset( $shortcode['atts']['tabs_selector_icon_font_size'] ) && $shortcode['atts']['tabs_selector_icon_font_size'] != '' && ueldo_is_valid_number( $shortcode['atts']['tabs_selector_icon_font_size'] ) ? $shortcode['atts']['tabs_selector_icon_font_size'] : '37',
                            'image_container_border_radius' => isset( $shortcode['atts']['image_container_border_radius'] ) && $shortcode['atts']['image_container_border_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['image_container_border_radius'] ) ? $shortcode['atts']['image_container_border_radius'] : '4',
                            'custom_video_button_sizes_enabled' => isset( $shortcode['atts']['custom_video_button_sizes_enabled'] ) && !empty( $shortcode['atts']['custom_video_button_sizes_enabled'] ) ? $shortcode['atts']['custom_video_button_sizes_enabled'] : 'theme_defaults',
                            'video_button_width' => isset( $shortcode['atts']['video_button_width'] ) && $shortcode['atts']['video_button_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['video_button_width'] ) ? $shortcode['atts']['video_button_width'] : '60',
                            'video_button_height' => isset( $shortcode['atts']['video_button_height'] ) && $shortcode['atts']['video_button_height'] != '' && ueldo_is_valid_number( $shortcode['atts']['video_button_height'] ) ? $shortcode['atts']['video_button_height'] : '60',
                            'video_button_border_width' => isset( $shortcode['atts']['video_button_border_width'] ) && $shortcode['atts']['video_button_border_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['video_button_border_width'] ) ? $shortcode['atts']['video_button_border_width'] : '2',
                            'video_button_border_radius' => isset( $shortcode['atts']['video_button_border_radius'] ) && !empty( $shortcode['atts']['video_button_border_radius'] ) ? $shortcode['atts']['video_button_border_radius'] : 'circle',
                            'video_button_border_radius_px' => isset( $shortcode['atts']['video_button_border_radius_px'] ) && $shortcode['atts']['video_button_border_radius_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['video_button_border_radius_px'] ) ? $shortcode['atts']['video_button_border_radius_px'] : '4',
                            'video_button_icon_size' => isset( $shortcode['atts']['video_button_icon_size'] ) && $shortcode['atts']['video_button_icon_size'] != '' && ueldo_is_valid_number( $shortcode['atts']['video_button_icon_size'] ) ? $shortcode['atts']['video_button_icon_size'] : '18',
                            'video_button_tip_font_size' => isset( $shortcode['atts']['video_button_tip_font_size'] ) && $shortcode['atts']['video_button_tip_font_size'] != '' && ueldo_is_valid_number( $shortcode['atts']['video_button_tip_font_size'] ) ? $shortcode['atts']['video_button_tip_font_size'] : esc_attr( $ueldo_styles_cache -> get_style( 'font-size-smallest-content' ) ),
                            'video_button_tip_width' => isset( $shortcode['atts']['video_button_tip_width'] ) && $shortcode['atts']['video_button_tip_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['video_button_tip_width'] ) ? $shortcode['atts']['video_button_tip_width'] : '140',
                            'video_button_tip_padding_top_bottom' => isset( $shortcode['atts']['video_button_tip_padding_top_bottom'] ) && $shortcode['atts']['video_button_tip_padding_top_bottom'] != '' && ueldo_is_valid_number( $shortcode['atts']['video_button_tip_padding_top_bottom'] ) ? $shortcode['atts']['video_button_tip_padding_top_bottom'] : '6',
                            'video_button_tip_border_radius' => isset( $shortcode['atts']['video_button_tip_border_radius'] ) && $shortcode['atts']['video_button_tip_border_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['video_button_tip_border_radius'] ) ? $shortcode['atts']['video_button_tip_border_radius'] : '4',
                            'video_button_tip_margin_bottom' => isset( $shortcode['atts']['video_button_tip_margin_bottom'] ) && $shortcode['atts']['video_button_tip_margin_bottom'] != '' && ueldo_is_valid_number( $shortcode['atts']['video_button_tip_margin_bottom'] ) ? $shortcode['atts']['video_button_tip_margin_bottom'] : '10',
                            'video_button_tip_bottom_arrow_size' => isset( $shortcode['atts']['video_button_tip_bottom_arrow_size'] ) && $shortcode['atts']['video_button_tip_bottom_arrow_size'] != '' && ueldo_is_valid_number( $shortcode['atts']['video_button_tip_bottom_arrow_size'] ) ? $shortcode['atts']['video_button_tip_bottom_arrow_size'] : '6',
                            'custom_colors_enabled' => isset( $shortcode['atts']['custom_colors_enabled'] ) && !empty( $shortcode['atts']['custom_colors_enabled'] ) ? $shortcode['atts']['custom_colors_enabled'] : 'theme_defaults',
                            'tabs_selector_border_color' => isset( $shortcode['atts']['tabs_selector_border_color'] ) && $shortcode['atts']['tabs_selector_border_color'] != '' ? $shortcode['atts']['tabs_selector_border_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-border-color' ) ),
                            'tabs_selector_border_color_hover' => isset( $shortcode['atts']['tabs_selector_border_color_hover'] ) && $shortcode['atts']['tabs_selector_border_color_hover'] != '' ? $shortcode['atts']['tabs_selector_border_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-hover-border-color' ) ),
                            'tabs_selector_border_between_items_color' => isset( $shortcode['atts']['tabs_selector_border_between_items_color'] ) && $shortcode['atts']['tabs_selector_border_between_items_color'] != '' ? $shortcode['atts']['tabs_selector_border_between_items_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-inset-border-color' ) ),
                            'tabs_selector_background_color' => isset( $shortcode['atts']['tabs_selector_background_color'] ) && $shortcode['atts']['tabs_selector_background_color'] != '' ? $shortcode['atts']['tabs_selector_background_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                            'tabs_selector_active_element_background_color' => isset( $shortcode['atts']['tabs_selector_active_element_background_color'] ) && $shortcode['atts']['tabs_selector_active_element_background_color'] != '' ? $shortcode['atts']['tabs_selector_active_element_background_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-heading-or-active-tab-background-color' ) ),
                            'tabs_selector_title_color' => isset( $shortcode['atts']['tabs_selector_title_color'] ) && $shortcode['atts']['tabs_selector_title_color'] != '' ? $shortcode['atts']['tabs_selector_title_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-headings-subtitle-color' ) ),
                            'tabs_selector_title_color_hover' => isset( $shortcode['atts']['tabs_selector_title_color_hover'] ) && $shortcode['atts']['tabs_selector_title_color_hover'] != '' ? $shortcode['atts']['tabs_selector_title_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-headings-color' ) ),
                            'tabs_selector_icon_color' => isset( $shortcode['atts']['tabs_selector_icon_color'] ) && $shortcode['atts']['tabs_selector_icon_color'] != '' ? $shortcode['atts']['tabs_selector_icon_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-icon-color' ) ),
                            'tabs_selector_icon_color_hover' => isset( $shortcode['atts']['tabs_selector_icon_color_hover'] ) && $shortcode['atts']['tabs_selector_icon_color_hover'] != '' ? $shortcode['atts']['tabs_selector_icon_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                            'tabs_selector_box_shadow_horizontal_length' => isset( $shortcode['atts']['tabs_selector_box_shadow_horizontal_length'] ) && $shortcode['atts']['tabs_selector_box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['tabs_selector_box_shadow_horizontal_length'] ) ? $shortcode['atts']['tabs_selector_box_shadow_horizontal_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'horizontal-length' ) ),
                            'tabs_selector_box_shadow_vertical_length' => isset( $shortcode['atts']['tabs_selector_box_shadow_vertical_length'] ) && $shortcode['atts']['tabs_selector_box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['tabs_selector_box_shadow_vertical_length'] ) ? $shortcode['atts']['tabs_selector_box_shadow_vertical_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'vertical-length' ) ),
                            'tabs_selector_box_shadow_blur_radius' => isset( $shortcode['atts']['tabs_selector_box_shadow_blur_radius'] ) && $shortcode['atts']['tabs_selector_box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['tabs_selector_box_shadow_blur_radius'] ) ? $shortcode['atts']['tabs_selector_box_shadow_blur_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'blur-radius' ) ),
                            'tabs_selector_box_shadow_spread_radius' => isset( $shortcode['atts']['tabs_selector_box_shadow_spread_radius'] ) && $shortcode['atts']['tabs_selector_box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['tabs_selector_box_shadow_spread_radius'] ) ? $shortcode['atts']['tabs_selector_box_shadow_spread_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'spread-radius' ) ),
                            'tabs_selector_box_shadow_color' => isset( $shortcode['atts']['tabs_selector_box_shadow_color'] ) && $shortcode['atts']['tabs_selector_box_shadow_color'] != '' ? $shortcode['atts']['tabs_selector_box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'color' ) ),
                            'tabs_selector_box_shadow_horizontal_length_hover' => isset( $shortcode['atts']['tabs_selector_box_shadow_horizontal_length_hover'] ) && $shortcode['atts']['tabs_selector_box_shadow_horizontal_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['tabs_selector_box_shadow_horizontal_length_hover'] ) ? $shortcode['atts']['tabs_selector_box_shadow_horizontal_length_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'horizontal-length' ) ),
                            'tabs_selector_box_shadow_vertical_length_hover' => isset( $shortcode['atts']['tabs_selector_box_shadow_vertical_length_hover'] ) && $shortcode['atts']['tabs_selector_box_shadow_vertical_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['tabs_selector_box_shadow_vertical_length_hover'] ) ? $shortcode['atts']['tabs_selector_box_shadow_vertical_length_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'vertical-length' ) ),
                            'tabs_selector_box_shadow_blur_radius_hover' => isset( $shortcode['atts']['tabs_selector_box_shadow_blur_radius_hover'] ) && $shortcode['atts']['tabs_selector_box_shadow_blur_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['tabs_selector_box_shadow_blur_radius_hover'] ) ? $shortcode['atts']['tabs_selector_box_shadow_blur_radius_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'blur-radius' ) ),
                            'tabs_selector_box_shadow_spread_radius_hover' => isset( $shortcode['atts']['tabs_selector_box_shadow_spread_radius_hover'] ) && $shortcode['atts']['tabs_selector_box_shadow_spread_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['tabs_selector_box_shadow_spread_radius_hover'] ) ? $shortcode['atts']['tabs_selector_box_shadow_spread_radius_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'spread-radius' ) ),
                            'tabs_selector_box_shadow_color_hover' => isset( $shortcode['atts']['tabs_selector_box_shadow_color_hover'] ) && $shortcode['atts']['tabs_selector_box_shadow_color_hover'] != '' ? $shortcode['atts']['tabs_selector_box_shadow_color_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'color' ) ),
                            'tabs_content_background_color' => isset( $shortcode['atts']['tabs_content_background_color'] ) && $shortcode['atts']['tabs_content_background_color'] != '' ? $shortcode['atts']['tabs_content_background_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                            'circle_navigation_color' => isset( $shortcode['atts']['circle_navigation_color'] ) && $shortcode['atts']['circle_navigation_color'] != '' ? $shortcode['atts']['circle_navigation_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-circle-navigation-background-color' ) ),
                            'circle_navigation_color_hover' => isset( $shortcode['atts']['circle_navigation_color_hover'] ) && $shortcode['atts']['circle_navigation_color_hover'] != '' ? $shortcode['atts']['circle_navigation_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                            'tabs_05_active_tab_background' => isset( $shortcode['atts']['tabs_05_active_tab_background'] ) && $shortcode['atts']['tabs_05_active_tab_background'] != '' ? $shortcode['atts']['tabs_05_active_tab_background'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-heading-or-active-tab-background-color' ) ),
                            'tabs_05_active_tab_icon_color' => isset( $shortcode['atts']['tabs_05_active_tab_icon_color'] ) && $shortcode['atts']['tabs_05_active_tab_icon_color'] != '' ? $shortcode['atts']['tabs_05_active_tab_icon_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-background-icon-color' ) ),
                            'images_container_box_shadow_horizontal_length' => isset( $shortcode['atts']['images_container_box_shadow_horizontal_length'] ) && $shortcode['atts']['images_container_box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['images_container_box_shadow_horizontal_length'] ) ? $shortcode['atts']['images_container_box_shadow_horizontal_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'horizontal-length' ) ),
                            'images_container_box_shadow_vertical_length' => isset( $shortcode['atts']['images_container_box_shadow_vertical_length'] ) && $shortcode['atts']['images_container_box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['images_container_box_shadow_vertical_length'] ) ? $shortcode['atts']['images_container_box_shadow_vertical_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'vertical-length' ) ),
                            'images_container_box_shadow_blur_radius' => isset( $shortcode['atts']['images_container_box_shadow_blur_radius'] ) && $shortcode['atts']['images_container_box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['images_container_box_shadow_blur_radius'] ) ? $shortcode['atts']['images_container_box_shadow_blur_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'blur-radius' ) ),
                            'images_container_box_shadow_spread_radius' => isset( $shortcode['atts']['images_container_box_shadow_spread_radius'] ) && $shortcode['atts']['images_container_box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['images_container_box_shadow_spread_radius'] ) ? $shortcode['atts']['images_container_box_shadow_spread_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'spread-radius' ) ),
                            'images_container_box_shadow_color' => isset( $shortcode['atts']['images_container_box_shadow_color'] ) && $shortcode['atts']['images_container_box_shadow_color'] != '' ? $shortcode['atts']['images_container_box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'color' ) ),
                            'video_button_border_color' => isset( $shortcode['atts']['video_button_border_color'] ) && $shortcode['atts']['video_button_border_color'] != '' ? $shortcode['atts']['video_button_border_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'play-video-button-color' ) ),
                            'video_button_background_color' => isset( $shortcode['atts']['video_button_background_color'] ) && $shortcode['atts']['video_button_background_color'] != '' ? $shortcode['atts']['video_button_background_color'] : esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) ),
                            'video_button_icon_color' => isset( $shortcode['atts']['video_button_icon_color'] ) && $shortcode['atts']['video_button_icon_color'] != '' ? $shortcode['atts']['video_button_icon_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'play-video-button-color' ) ),
                            'video_button_box_shadow_horizontal_length' => isset( $shortcode['atts']['video_button_box_shadow_horizontal_length'] ) && $shortcode['atts']['video_button_box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['video_button_box_shadow_horizontal_length'] ) ? $shortcode['atts']['video_button_box_shadow_horizontal_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'play-video-button-box-shadow', 'horizontal-length' ) ),
                            'video_button_box_shadow_vertical_length' => isset( $shortcode['atts']['video_button_box_shadow_vertical_length'] ) && $shortcode['atts']['video_button_box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['video_button_box_shadow_vertical_length'] ) ? $shortcode['atts']['video_button_box_shadow_vertical_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'play-video-button-box-shadow', 'vertical-length' ) ),
                            'video_button_box_shadow_blur_radius' => isset( $shortcode['atts']['video_button_box_shadow_blur_radius'] ) && $shortcode['atts']['video_button_box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['video_button_box_shadow_blur_radius'] ) ? $shortcode['atts']['video_button_box_shadow_blur_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'play-video-button-box-shadow', 'blur-radius' ) ),
                            'video_button_box_shadow_spread_radius' => isset( $shortcode['atts']['video_button_box_shadow_spread_radius'] ) && $shortcode['atts']['video_button_box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['video_button_box_shadow_spread_radius'] ) ? $shortcode['atts']['video_button_box_shadow_spread_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'play-video-button-box-shadow', 'spread-radius' ) ),
                            'video_button_box_shadow_color' => isset( $shortcode['atts']['video_button_box_shadow_color'] ) && $shortcode['atts']['video_button_box_shadow_color'] != '' ? $shortcode['atts']['video_button_box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'play-video-button-box-shadow', 'color' ) ),
                            'video_button_border_color_hover' => isset( $shortcode['atts']['video_button_border_color_hover'] ) && $shortcode['atts']['video_button_border_color_hover'] != '' ? $shortcode['atts']['video_button_border_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                            'video_button_background_color_hover' => isset( $shortcode['atts']['video_button_background_color_hover'] ) && $shortcode['atts']['video_button_background_color_hover'] != '' ? $shortcode['atts']['video_button_background_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                            'video_button_icon_color_hover' => isset( $shortcode['atts']['video_button_icon_color_hover'] ) && $shortcode['atts']['video_button_icon_color_hover'] != '' ? $shortcode['atts']['video_button_icon_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color-contrast-text-color' ) ),
                            'video_button_box_shadow_horizontal_length_hover' => isset( $shortcode['atts']['video_button_box_shadow_horizontal_length_hover'] ) && $shortcode['atts']['video_button_box_shadow_horizontal_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['video_button_box_shadow_horizontal_length_hover'] ) ? $shortcode['atts']['video_button_box_shadow_horizontal_length_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'play-video-button-box-shadow', 'horizontal-length' ) ),
                            'video_button_box_shadow_vertical_length_hover' => isset( $shortcode['atts']['video_button_box_shadow_vertical_length_hover'] ) && $shortcode['atts']['video_button_box_shadow_vertical_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['video_button_box_shadow_vertical_length_hover'] ) ? $shortcode['atts']['video_button_box_shadow_vertical_length_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'play-video-button-box-shadow', 'vertical-length' ) ),
                            'video_button_box_shadow_blur_radius_hover' => isset( $shortcode['atts']['video_button_box_shadow_blur_radius_hover'] ) && $shortcode['atts']['video_button_box_shadow_blur_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['video_button_box_shadow_blur_radius_hover'] ) ? $shortcode['atts']['video_button_box_shadow_blur_radius_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'play-video-button-box-shadow', 'blur-radius' ) ),
                            'video_button_box_shadow_spread_radius_hover' => isset( $shortcode['atts']['video_button_box_shadow_spread_radius_hover'] ) && $shortcode['atts']['video_button_box_shadow_spread_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['video_button_box_shadow_spread_radius_hover'] ) ? $shortcode['atts']['video_button_box_shadow_spread_radius_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'play-video-button-box-shadow', 'spread-radius' ) ),
                            'video_button_box_shadow_color_hover' => isset( $shortcode['atts']['video_button_box_shadow_color_hover'] ) && $shortcode['atts']['video_button_box_shadow_color_hover'] != '' ? $shortcode['atts']['video_button_box_shadow_color_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'play-video-button-box-shadow', 'color' ) ),
                            'video_button_tip_background_color' => isset( $shortcode['atts']['video_button_tip_background_color'] ) && $shortcode['atts']['video_button_tip_background_color'] != '' ? $shortcode['atts']['video_button_tip_background_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'play-video-button-title-background-color' ) ),
                            'video_button_tip_text_color' => isset( $shortcode['atts']['video_button_tip_text_color'] ) && $shortcode['atts']['video_button_tip_text_color'] != '' ? $shortcode['atts']['video_button_tip_text_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'play-video-button-title-text-color' ) )
                        );

                        # how many single tabs do we have?
                        $tabs_count = substr_count( $shortcode['shortcode-full'], '[ueldo_shortcode_tabs_single_tab' );

                        # padding top and bottom for whole section
                        $shortcodes_styles -> update_style(
                            'ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ),
                            array(
                                'padding-top' => esc_attr( $attributes['section_padding_top'] ),
                                'padding-bottom' => esc_attr( $attributes['section_padding_bottom'] )
                            )
                        );

                        # space between tabs content and selector - only for styles 01, 03, 04
                        if( in_array( $attributes['tabs_content_style'], array( 'style-01', 'style-03', 'style-04' ), true ) ) {

                            # update styles array
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' ul.ueldo-shortcode-tabs-selector[data-tabs-selector-style="horizontal"]',
                                array(
                                    'general' => array(
                                        'margin-'. esc_attr( $attributes['tabs_selector_position_above_under'] == 'above' ? 'bottom' : 'top' ) => esc_attr( $attributes['tabs_content_and_selector_space'] )
                                    )
                                )
                            );
                        }

                        # margin between tabs selector and content - only for tabs content style: 02
                        if( $attributes['tabs_content_style'] == 'style-02' ) {

                            # update styles array
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-style-02 .ueldo-shortcode-tabs-single-tabs-container[data-tabs-selector-position="'. esc_attr( $attributes['tabs_selector_position_left_right'] ) .'"]',
                                array(
                                    '1200_more' => array(
                                        'margin-'. esc_attr( $attributes['tabs_selector_position_left_right'] == 'left' ? esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) : esc_attr( ueldo_is_rtl() ? 'left' : 'right' ) ) => esc_attr( $attributes['tabs_content_02_margin_between_tabs_selector_content'] )
                                    ),
                                    '992_1199' => array(
                                        'margin-'. esc_attr( $attributes['tabs_selector_position_left_right'] == 'left' ? esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) : esc_attr( ueldo_is_rtl() ? 'left' : 'right' ) ) => esc_attr( $attributes['tabs_content_02_margin_between_tabs_selector_content'] )
                                    ),
                                    '768_991' => array(
                                        'margin-'. esc_attr( $attributes['tabs_selector_position_left_right'] == 'left' ? esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) : esc_attr( ueldo_is_rtl() ? 'left' : 'right' ) ) => esc_attr( $attributes['tabs_content_02_margin_between_tabs_selector_content'] )
                                    ),
                                    'less_767' => array(
                                        'margin-'. esc_attr( $attributes['tabs_selector_position_left_right'] == 'left' ? 'top' : 'bottom' ) => esc_attr( $attributes['tabs_content_02_margin_between_tabs_selector_content_mobile'] )
                                    )
                                )
                            );

                            # update styles array
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-style-02 .ueldo-shortcode-tabs-single-tabs-container',
                                array(
                                    '1200_more' => array(
                                        'width-webkit-calc' => '-webkit-calc( 75% - '. esc_attr( $attributes['tabs_content_02_margin_between_tabs_selector_content'] / 2 ) .'px )',
                                        'width-moz-calc' => '-moz-calc( 75% - '. esc_attr( $attributes['tabs_content_02_margin_between_tabs_selector_content'] / 2 ) .'px )',
                                        'width-calc' => 'calc( 75% - '. esc_attr( $attributes['tabs_content_02_margin_between_tabs_selector_content'] / 2 ) .'px )'
                                    ),
                                    '992_1199' => array(
                                        'width-webkit-calc' => '-webkit-calc( 75% - '. esc_attr( $attributes['tabs_content_02_margin_between_tabs_selector_content'] / 2 ) .'px )',
                                        'width-moz-calc' => '-moz-calc( 75% - '. esc_attr( $attributes['tabs_content_02_margin_between_tabs_selector_content'] / 2 ) .'px )',
                                        'width-calc' => 'calc( 75% - '. esc_attr( $attributes['tabs_content_02_margin_between_tabs_selector_content'] / 2 ) .'px )'
                                    ),
                                    '768_991' => array(
                                        'width-webkit-calc' => '-webkit-calc( 66.67% - '. esc_attr( $attributes['tabs_content_02_margin_between_tabs_selector_content'] / 2 ) .'px )',
                                        'width-moz-calc' => '-moz-calc( 66.67% - '. esc_attr( $attributes['tabs_content_02_margin_between_tabs_selector_content'] / 2 ) .'px )',
                                        'width-calc' => 'calc( 66.67% - '. esc_attr( $attributes['tabs_content_02_margin_between_tabs_selector_content'] / 2 ) .'px )'
                                    )
                                )
                            );

                            # update styles array
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-style-02 ul.ueldo-shortcode-tabs-selector[data-tabs-selector-style="vertical"]',
                                array(
                                    '1200_more' => array(
                                        'width-webkit-calc' => '-webkit-calc( 25% - '. esc_attr( $attributes['tabs_content_02_margin_between_tabs_selector_content'] / 2 ) .'px )',
                                        'width-moz-calc' => '-moz-calc( 25% - '. esc_attr( $attributes['tabs_content_02_margin_between_tabs_selector_content'] / 2 ) .'px )',
                                        'width-calc' => 'calc( 25% - '. esc_attr( $attributes['tabs_content_02_margin_between_tabs_selector_content'] / 2 ) .'px )'
                                    ),
                                    '992_1199' => array(
                                        'width-webkit-calc' => '-webkit-calc( 25% - '. esc_attr( $attributes['tabs_content_02_margin_between_tabs_selector_content'] / 2 ) .'px )',
                                        'width-moz-calc' => '-moz-calc( 25% - '. esc_attr( $attributes['tabs_content_02_margin_between_tabs_selector_content'] / 2 ) .'px )',
                                        'width-calc' => 'calc( 25% - '. esc_attr( $attributes['tabs_content_02_margin_between_tabs_selector_content'] / 2 ) .'px )'
                                    ),
                                    '768_991' => array(
                                        'width-webkit-calc' => '-webkit-calc( 33.33% - '. esc_attr( $attributes['tabs_content_02_margin_between_tabs_selector_content'] / 2 ) .'px )',
                                        'width-moz-calc' => '-moz-calc( 33.33% - '. esc_attr( $attributes['tabs_content_02_margin_between_tabs_selector_content'] / 2 ) .'px )',
                                        'width-calc' => 'calc( 33.33% - '. esc_attr( $attributes['tabs_content_02_margin_between_tabs_selector_content'] / 2 ) .'px )'
                                    )
                                )
                            );
                        }

                        # margin between tabs selector and content - only for tabs content style: 03
                        if( $attributes['tabs_content_style'] == 'style-03' ) {

                            # content and image content width
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-style-03 .ueldo-shortcode-tabs-single-tabs-content-container, .ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-style-03 .ueldo-shortcode-tabs-single-tabs-images-container',
                                array(
                                    '1200_more' => array(
                                        'width-webkit-calc' => '-webkit-calc( 50% - '. esc_attr( $attributes['tabs_content_03_margin_between_image_content_content'] / 2 ) .'px )',
                                        'width-moz-calc' => '-moz-calc( 50% - '. esc_attr( $attributes['tabs_content_03_margin_between_image_content_content'] / 2 ) .'px )',
                                        'width-calc' => 'calc( 50% - '. esc_attr( $attributes['tabs_content_03_margin_between_image_content_content'] / 2 ) .'px )'
                                    ),
                                    '992_1199' => array(
                                        'width-webkit-calc' => '-webkit-calc( 50% - '. esc_attr( $attributes['tabs_content_03_margin_between_image_content_content'] / 2 ) .'px )',
                                        'width-moz-calc' => '-moz-calc( 50% - '. esc_attr( $attributes['tabs_content_03_margin_between_image_content_content'] / 2 ) .'px )',
                                        'width-calc' => 'calc( 50% - '. esc_attr( $attributes['tabs_content_03_margin_between_image_content_content'] / 2 ) .'px )'
                                    )
                                )
                            );

                            # content on right side margin left
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-style-03 .ueldo-shortcode-tabs-single-tabs-container[data-tabs-content-position="'. esc_attr( ueldo_is_rtl() ? 'left' : 'right' ) .'"] .ueldo-shortcode-tabs-single-tabs-content-container',
                                array(
                                    '1200_more' => array(
                                        'margin-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) .'-webkit-calc' => '-webkit-calc( 50% + '. esc_attr( $attributes['tabs_content_03_margin_between_image_content_content'] / 2 ) .'px )',
                                        'margin-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) .'-moz-calc' => '-moz-calc( 50% + '. esc_attr( $attributes['tabs_content_03_margin_between_image_content_content'] / 2 ) .'px )',
                                        'margin-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) .'-calc' => 'calc( 50% + '. esc_attr( $attributes['tabs_content_03_margin_between_image_content_content'] / 2 ) .'px )'
                                    ),
                                    '992_1199' => array(
                                        'margin-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) .'-webkit-calc' => '-webkit-calc( 50% + '. esc_attr( $attributes['tabs_content_03_margin_between_image_content_content'] / 2 ) .'px )',
                                        'margin-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) .'-moz-calc' => '-moz-calc( 50% + '. esc_attr( $attributes['tabs_content_03_margin_between_image_content_content'] / 2 ) .'px )',
                                        'margin-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) .'-calc' => 'calc( 50% + '. esc_attr( $attributes['tabs_content_03_margin_between_image_content_content'] / 2 ) .'px )'
                                    )
                                )
                            );

                            # content padding
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-style-03 .ueldo-shortcode-tabs-single-tabs-container .ueldo-shortcode-tabs-single-tabs-content-container',
                                array(
                                    '1200_more' => array(
                                        'padding-top' => esc_attr( $attributes['tabs_03_content_padding_top'] ),
                                        'padding-bottom' => esc_attr( $attributes['tabs_03_content_padding_bottom'] ),
                                        'padding-right' => esc_attr( $attributes['tabs_03_content_padding_right'] ),
                                        'padding-left' => esc_attr( $attributes['tabs_03_content_padding_left'] )
                                    ),
                                    '992_1199' => array(
                                        'padding-top' => esc_attr( $attributes['tabs_03_content_padding_top'] ),
                                        'padding-bottom' => esc_attr( $attributes['tabs_03_content_padding_bottom'] ),
                                        'padding-right' => esc_attr( $attributes['tabs_03_content_padding_right'] ),
                                        'padding-left' => esc_attr( $attributes['tabs_03_content_padding_left'] )
                                    ),
                                    '768_991' => array(
                                        'padding-top' => esc_attr( $attributes['tabs_03_content_padding_top_tablets_mobile'] ),
                                        'padding-bottom' => esc_attr( $attributes['tabs_03_content_padding_bottom_tablets_mobile'] ),
                                        'padding-right' => esc_attr( $attributes['tabs_03_content_padding_right_tablets_mobile'] ),
                                        'padding-left' => esc_attr( $attributes['tabs_03_content_padding_left_tablets_mobile'] )
                                    ),
                                    'less_767' => array(
                                        'padding-top' => esc_attr( $attributes['tabs_03_content_padding_top_tablets_mobile'] ),
                                        'padding-bottom' => esc_attr( $attributes['tabs_03_content_padding_bottom_tablets_mobile'] ),
                                        'padding-right' => esc_attr( $attributes['tabs_03_content_padding_right_tablets_mobile'] ),
                                        'padding-left' => esc_attr( $attributes['tabs_03_content_padding_left_tablets_mobile'] )
                                    )
                                )
                            );

                            # only if: margin between content and image is 0, border radius is 0, padding top and bottom for whole section is 0
                            if( $attributes['tabs_content_03_margin_between_image_content_content'] == 0 && $attributes['image_container_border_radius'] == 0 && $attributes['section_padding_top'] == 0 && $attributes['section_padding_bottom'] == 0 ) {

                                # update styles array
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-style-03 .ueldo-shortcode-tabs-single-tabs-container[data-tabs-content-position="left"] .ueldo-shortcode-tabs-single-tabs-images-container, .ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-style-03 .ueldo-shortcode-tabs-single-tabs-container[data-tabs-content-position="right"] .ueldo-shortcode-tabs-single-tabs-images-container',
                                    array(
                                        '768_991' => array(
                                            'width-%' => '100%',
                                            'margin-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) => '0'
                                        ),
                                        'less_767' => array(
                                            'width-%' => '100%',
                                            'margin-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) => '0'
                                        )
                                    )
                                );
                            }
                        }

                        # custom styles only for tabs content style: 04
                        if( $attributes['tabs_content_style'] == 'style-04' ) {

                            # content padding
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-style-04 .ueldo-shortcode-tabs-single-tabs-container .ueldo-shortcode-tabs-single-tabs-content-container',
                                array(
                                    '1200_more' => array(
                                        'padding-top' => esc_attr( $attributes['tabs_04_content_padding_top'] ),
                                        'padding-bottom' => esc_attr( $attributes['tabs_04_content_padding_bottom'] ),
                                        'padding-right' => esc_attr( $attributes['tabs_04_content_padding_right'] ),
                                        'padding-left' => esc_attr( $attributes['tabs_04_content_padding_left'] ),
                                    ),
                                    '992_1199' => array(
                                        'padding-top' => esc_attr( $attributes['tabs_04_content_padding_top'] ),
                                        'padding-bottom' => esc_attr( $attributes['tabs_04_content_padding_bottom'] ),
                                        'padding-right' => esc_attr( $attributes['tabs_04_content_padding_right'] ),
                                        'padding-left' => esc_attr( $attributes['tabs_04_content_padding_left'] )
                                    ),
                                    '768_991' => array(
                                        'padding-top' => esc_attr( $attributes['tabs_04_content_padding_top_tablets_mobile'] ),
                                        'padding-bottom' => esc_attr( $attributes['tabs_04_content_padding_bottom_tablets_mobile'] ),
                                        'padding-right' => esc_attr( $attributes['tabs_04_content_padding_right_tablets_mobile'] ),
                                        'padding-left' => esc_attr( $attributes['tabs_04_content_padding_left_tablets_mobile'] )
                                    ),
                                    'less_767' => array(
                                        'padding-top' => esc_attr( $attributes['tabs_04_content_padding_top_tablets_mobile'] ),
                                        'padding-bottom' => esc_attr( $attributes['tabs_04_content_padding_bottom_tablets_mobile'] ),
                                        'padding-right' => esc_attr( $attributes['tabs_04_content_padding_right_tablets_mobile'] ),
                                        'padding-left' => esc_attr( $attributes['tabs_04_content_padding_left_tablets_mobile'] )
                                    ),
                                    'general' => array(
                                        '-webkit-border-radius' => esc_attr( $attributes['tabs_04_content_border_radius'] ),
                                        '-moz-border-radius' => esc_attr( $attributes['tabs_04_content_border_radius'] ),
                                        'border-radius' => esc_attr( $attributes['tabs_04_content_border_radius'] )
                                    )
                                )
                            );

                            # content padding
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-style-04 .ueldo-shortcode-tabs-single-tabs-container .ueldo-shortcode-tabs-single-tabs-content-container, .ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-style-04 .ueldo-shortcode-tabs-single-tabs-images-container',
                                array(
                                    '1200_more' => array(
                                        'width-%' => esc_attr( $attributes['tabs_04_image_and_content_width'] )
                                    ),
                                    '992_1199' => array(
                                        'width-%' => esc_attr( $attributes['tabs_04_image_and_content_width'] )
                                    )
                                )
                            );

                            # add margin left if content is on right side
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-style-04 .ueldo-shortcode-tabs-single-tabs-container[data-tabs-content-position="'. esc_attr( ueldo_is_rtl() ? 'left' : 'right' ) .'"] .ueldo-shortcode-tabs-single-tabs-content-container',
                                array(
                                    '1200_more' => array(
                                        'margin-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) .'-%' => esc_attr( ( 100 - ( int ) str_replace( '%', '', $attributes['tabs_04_image_and_content_width'] ) ) .'%' )
                                    ),
                                    '992_1199' => array(
                                        'margin-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) .'-%' => esc_attr( ( 100 - ( int ) str_replace( '%', '', $attributes['tabs_04_image_and_content_width'] ) ) .'%' )
                                    )
                                )
                            );
                        }

                        # margin between tabs selector and content - only for tabs content style: 05
                        if( $attributes['tabs_content_style'] == 'style-05' ) {

                            # update styles array
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-style-05 .ueldo-shortcode-tabs-single-tabs-content-container, .ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-style-05 .ueldo-shortcode-tabs-single-tabs-images-container',
                                array(
                                    '1200_more' => array(
                                        'width-webkit-calc' => '-webkit-calc( 50% - '. esc_attr( $attributes['tabs_content_05_margin_between_image_content_content'] / 2 ) .'px )',
                                        'width-moz-calc' => '-moz-calc( 50% - '. esc_attr( $attributes['tabs_content_05_margin_between_image_content_content'] / 2 ) .'px )',
                                        'width-calc' => 'calc( 50% - '. esc_attr( $attributes['tabs_content_05_margin_between_image_content_content'] / 2 ) .'px )'
                                    ),
                                    '992_1199' => array(
                                        'width-webkit-calc' => '-webkit-calc( 50% - '. esc_attr( $attributes['tabs_content_05_margin_between_image_content_content'] / 2 ) .'px )',
                                        'width-moz-calc' => '-moz-calc( 50% - '. esc_attr( $attributes['tabs_content_05_margin_between_image_content_content'] / 2 ) .'px )',
                                        'width-calc' => 'calc( 50% - '. esc_attr( $attributes['tabs_content_05_margin_between_image_content_content'] / 2 ) .'px )'
                                    )
                                )
                            );

                            # add margin left is content position is set to "right"
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-style-05 .ueldo-shortcode-tabs-single-tabs-container[data-tabs-content-position="'. esc_attr( ueldo_is_rtl() ? 'left' : 'right' ) .'"] .ueldo-shortcode-tabs-single-tabs-content-container',
                                array(
                                    '1200_more' => array(
                                        'margin-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) .'-webkit-calc' => '-webkit-calc( 50% + '. esc_attr( $attributes['tabs_content_05_margin_between_image_content_content'] / 2 ) .'px )',
                                        'margin-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) .'-moz-calc' => '-moz-calc( 50% + '. esc_attr( $attributes['tabs_content_05_margin_between_image_content_content'] / 2 ) .'px )',
                                        'margin-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) .'-calc' => 'calc( 50% + '. esc_attr( $attributes['tabs_content_05_margin_between_image_content_content'] / 2 ) .'px )'
                                    ),
                                    '992_1199' => array(
                                        'margin-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) .'-webkit-calc' => '-webkit-calc( 50% + '. esc_attr( $attributes['tabs_content_05_margin_between_image_content_content'] / 2 ) .'px )',
                                        'margin-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) .'-moz-calc' => '-moz-calc( 50% + '. esc_attr( $attributes['tabs_content_05_margin_between_image_content_content'] / 2 ) .'px )',
                                        'margin-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) .'-calc' => 'calc( 50% + '. esc_attr( $attributes['tabs_content_05_margin_between_image_content_content'] / 2 ) .'px )'
                                    )
                                )
                            );
                        }

                        # font settings for tabs selector, only if tabs content style is different than: 05
                        if( $attributes['tabs_content_style'] != 'style-05' && $attributes['tabs_selector_font_settings_enabled'] != 'theme_defaults' ) {

                            # get font data array
                            $font = ueldo_vc_get_custom_font_family_attributes( ( !empty( $attributes['tabs_selector_font_family'] ) ? $attributes['tabs_selector_font_family'] : false ), 'headings-font' );

                            # set font size and line height
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' ul.ueldo-shortcode-tabs-selector li .ueldo-shortcode-tabs-selector-single-tab-title',
                                array(
                                    'font-family' => esc_attr( $font['font-family'] ),
                                    'font-weight' => esc_attr( $font['font-weight'] ),
                                    'font-style' => esc_attr( $font['font-style'] ),
                                    '-webkit-font-smoothing' => esc_attr( $font['-webkit-font-smoothing'] ),
                                    '-moz-osx-font-smoothing' => esc_attr( $font['-moz-osx-font-smoothing'] ),
                                    'font-size' => esc_attr( $attributes['tabs_selector_font_size'] ),
                                    'line-height' => esc_attr( $attributes['tabs_selector_font_line_height'] ),
                                    'letter-spacing' => esc_attr( $attributes['tabs_selector_font_letter_spacing'] )
                                )
                            );

                            # unset temporary variable
                            unset( $font );
                        }

                        # tabs selector icon font size
                        if( $attributes['tabs_selector_font_settings_enabled'] != 'theme_defaults' && in_array( $attributes['tabs_selector_style'], array( 'style-01', 'style-02' ), true ) ) {

                            # set tabs selector icon font size
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' ul.ueldo-shortcode-tabs-selector li i, .ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' ul.ueldo-shortcode-tabs-selector li i:before',
                                array(
                                    'font-size' => esc_attr( $attributes['tabs_selector_icon_font_size'] )
                                )
                            );

                            # is it tabs content style 02?
                            if( $attributes['tabs_content_style'] == 'style-02' ) {

                                # set tabs selector icon width
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' ul.ueldo-shortcode-tabs-selector li i',
                                    array(
                                        'width' => esc_attr( $attributes['tabs_selector_icon_font_size'] )
                                    )
                                );

                                # set tabs selector title width
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' ul.ueldo-shortcode-tabs-selector:not(.ueldo-shortcode-tabs-selector-03)[data-tabs-selector-style="vertical"] li .ueldo-shortcode-tabs-selector-single-tab-title',
                                    array(
                                        'width-webkit-calc' => '-webkit-calc( 100% - '. esc_attr( $attributes['tabs_selector_icon_font_size'] + 15 ) .'px )',
                                        'width-moz-calc' => '-moz-calc( 100% - '. esc_attr( $attributes['tabs_selector_icon_font_size'] + 15 ) .'px )',
                                        'width-calc' => 'calc( 100% - '. esc_attr( $attributes['tabs_selector_icon_font_size'] + 15 ) .'px )'
                                    )
                                );
                            }
                        }

                        # lateral margin for tabs selector - only for styles 01, 04, and for tabs selector: 01 and 02
                        if( in_array( $attributes['tabs_content_style'], array( 'style-01', 'style-04' ), true ) && in_array( $attributes['tabs_selector_style'], array( 'style-01', 'style-02' ), true ) ) {

                            # add lateral margin styles
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' ul.ueldo-shortcode-tabs-selector[data-tabs-selector-style="horizontal"]',
                                array(
                                    '1200_more' => array(
                                        'margin-left' => esc_attr( $attributes['lateral_margin'] ),
                                        'margin-right' => esc_attr( $attributes['lateral_margin'] ),
                                        'width-webkit-calc' => '-webkit-calc( 100% - '. esc_attr( $attributes['lateral_margin'] * 2 ) .'px )',
                                        'width-moz-calc' => '-moz-calc( 100% - '. esc_attr( $attributes['lateral_margin'] * 2 ) .'px )',
                                        'width-calc' => 'calc( 100% - '. esc_attr( $attributes['lateral_margin'] * 2 ) .'px )'
                                    ),
                                    '992_1199' => array(
                                        'margin-left' => esc_attr( $attributes['lateral_margin'] ),
                                        'margin-right' => esc_attr( $attributes['lateral_margin'] ),
                                        'width-webkit-calc' => '-webkit-calc( 100% - '. esc_attr( $attributes['lateral_margin'] * 2 ) .'px )',
                                        'width-moz-calc' => '-moz-calc( 100% - '. esc_attr( $attributes['lateral_margin'] * 2 ) .'px )',
                                        'width-calc' => 'calc( 100% - '. esc_attr( $attributes['lateral_margin'] * 2 ) .'px )'
                                    )
                                )
                            );
                        }

                        # tabs selector alignment - only for tabs selector style: 03, and tabs content style different than: 02, 05
                        if( !in_array( $attributes['tabs_content_style'], array( 'style-02', 'style-05' ), true ) && $attributes['tabs_selector_style'] == 'style-03' ) {

                            # add alignment
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-tabs-selector-container',
                                array(
                                    'text-align' => esc_attr( $attributes['tabs_selector_style_03_alignment'] )
                                )
                            );
                        }

                        # hide tabs selector if circle navigation is visible
                        if( $attributes['circle_navigation_hide_tabs_selector'] == 'yes' ) {

                            # if tabs selector style is "03", hide parent container
                            if( $attributes['tabs_selector_style'] == 'style-03' ) {

                                # hide element
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-tabs-selector-container',
                                    array(
                                        'display' => 'none'
                                    )
                                );
                            }

                            # for other styles of tabs selector, hide only selector
                            else {

                                # hide element
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' ul.ueldo-shortcode-tabs-selector.ueldo-shortcode-tabs-selector-'. esc_attr( str_replace( 'style-', '', $attributes['tabs_selector_style'] ) ),
                                    array(
                                        'display' => 'none'
                                    )
                                );
                            }
                        }

                        # not for tabs style 02, 05; not for tabs selector style 03
                        if( !in_array( $attributes['tabs_content_style'], array( 'style-02', 'style-05' ), true ) && $attributes['tabs_selector_style'] != 'style-03' ) {

                            # tabs selector content alignment
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' ul.ueldo-shortcode-tabs-selector[data-tabs-selector-style="horizontal"] li',
                                array(
                                    'text-align' => esc_attr( $attributes['tabs_selector_content_alignment'] )
                                )
                            );
                        }

                        # do we have custom sizes for video button enabled?
                        if( $attributes['custom_video_button_sizes_enabled'] != 'theme_defaults' ) {

                            # update video button sizes
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-play-video-button',
                                array(
                                    'height' => esc_attr( $attributes['video_button_height'] ),
                                    'margin-top' => '-'. esc_attr( $attributes['video_button_height'] / 2 )
                                )
                            );

                            # update video button icon container sizes
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-play-video-button .ueldo-play-video-button-icon',
                                array(
                                    'width' => esc_attr( $attributes['video_button_width'] ),
                                    'height' => esc_attr( $attributes['video_button_height'] ),
                                    'border-width' => esc_attr( $attributes['video_button_border_width'] ),
                                    '-webkit-border-radius'. esc_attr( $attributes['video_button_border_radius'] == 'circle' ? '-%' : '' ) => esc_attr( $attributes['video_button_border_radius'] == 'circle' ? '100%' : $attributes['video_button_border_radius_px'] ),
                                    '-moz-border-radius'. esc_attr( $attributes['video_button_border_radius'] == 'circle' ? '-%' : '' ) => esc_attr( $attributes['video_button_border_radius'] == 'circle' ? '100%' : $attributes['video_button_border_radius_px'] ),
                                    'border-radius'. esc_attr( $attributes['video_button_border_radius'] == 'circle' ? '-%' : '' ) => esc_attr( $attributes['video_button_border_radius'] == 'circle' ? '100%' : $attributes['video_button_border_radius_px'] )
                                )
                            );

                            # update video button icon size
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-play-video-button .ueldo-play-video-button-icon i, .ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-play-video-button .ueldo-play-video-button-icon i:before',
                                array(
                                    'font-size' => esc_attr( $attributes['video_button_icon_size'] ),
                                    'width' => esc_attr( $attributes['video_button_width'] ),
                                    'line-height-string' => esc_attr( $attributes['video_button_height'] - ( $attributes['video_button_border_width'] * 2 ) ) .'px'
                                )
                            );

                            # update video button tip sizes
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-play-video-button .ueldo-play-video-button-title',
                                array(
                                    'font-size' => esc_attr( $attributes['video_button_tip_font_size'] ),
                                    'width' => esc_attr( $attributes['video_button_tip_width'] ),
                                    'margin-left' => '-'. esc_attr( $attributes['video_button_tip_width'] / 2 ),
                                    'padding' => esc_attr( $attributes['video_button_tip_padding_top_bottom'] ) .'px 0',
                                    '-webkit-border-radius' => esc_attr( $attributes['video_button_tip_border_radius'] ),
                                    '-moz-border-radius' => esc_attr( $attributes['video_button_tip_border_radius'] ),
                                    'border-radius' => esc_attr( $attributes['video_button_tip_border_radius'] ),
                                    'bottom' => esc_attr( $attributes['video_button_tip_margin_bottom'] + $attributes['video_button_height'] ) .'px',
                                )
                            );

                            # update video button tip arrow size
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-play-video-button .ueldo-play-video-button-title:before',
                                array(
                                    'bottom' => '-'. esc_attr( $attributes['video_button_tip_bottom_arrow_size'] / 2 ) .'px',
                                    'margin-left' => '-'. esc_attr( $attributes['video_button_tip_bottom_arrow_size'] / 2 ),
                                    'border-top-width' => esc_attr( $attributes['video_button_tip_bottom_arrow_size'] / 2 ),
                                    'border-right-width' => esc_attr( $attributes['video_button_tip_bottom_arrow_size'] / 2 ),
                                    'border-bottom-width' => esc_attr( $attributes['video_button_tip_bottom_arrow_size'] / 2 ),
                                    'border-left-width' => esc_attr( $attributes['video_button_tip_bottom_arrow_size'] / 2 )
                                )
                            );
                        }

                        # can we display custom color styles?
                        if( $attributes['custom_colors_enabled'] == 'custom_settings' ) {

                            # can we display tabs selector?
                            if( $attributes['circle_navigation_hide_tabs_selector'] == 'no' ) {

                                # tabs selector styles
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' ul.ueldo-shortcode-tabs-selector.ueldo-shortcode-tabs-selector-01, .ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' ul.ueldo-shortcode-tabs-selector.ueldo-shortcode-tabs-selector-03',
                                    array(
                                        'border-color' => esc_attr( $attributes['tabs_selector_border_color'] ),
                                        'background' => esc_attr( $attributes['tabs_selector_background_color'] ),
                                        '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['tabs_selector_box_shadow_horizontal_length'], $attributes['tabs_selector_box_shadow_vertical_length'], $attributes['tabs_selector_box_shadow_blur_radius'], $attributes['tabs_selector_box_shadow_spread_radius'], $attributes['tabs_selector_box_shadow_color'] ),
                                        '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['tabs_selector_box_shadow_horizontal_length'], $attributes['tabs_selector_box_shadow_vertical_length'], $attributes['tabs_selector_box_shadow_blur_radius'], $attributes['tabs_selector_box_shadow_spread_radius'], $attributes['tabs_selector_box_shadow_color'] ),
                                        'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['tabs_selector_box_shadow_horizontal_length'], $attributes['tabs_selector_box_shadow_vertical_length'], $attributes['tabs_selector_box_shadow_blur_radius'], $attributes['tabs_selector_box_shadow_spread_radius'], $attributes['tabs_selector_box_shadow_color'] )
                                    )
                                );

                                # tabs selector displayed as table - additional line to divide elements rows
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' ul.ueldo-shortcode-tabs-selector.ueldo-shortcode-tabs-selector-as-table[data-tabs-per-row="5"] li:nth-child( 5n+1 ):before, .ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' ul.ueldo-shortcode-tabs-selector.ueldo-shortcode-tabs-selector-as-table[data-tabs-per-row="4"] li:nth-child( 4n+1 ):before, .ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' ul.ueldo-shortcode-tabs-selector.ueldo-shortcode-tabs-selector-as-table[data-tabs-per-row="3"] li:nth-child( 3n+1 ):before, .ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' ul.ueldo-shortcode-tabs-selector.ueldo-shortcode-tabs-selector-as-table[data-tabs-per-row="2"] li:nth-child( 2n+1 ):before, .ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' ul.ueldo-shortcode-tabs-selector.ueldo-shortcode-tabs-selector-as-table[data-tabs-per-row="1"] li:before',
                                    array(
                                        'background' => esc_attr( $attributes['tabs_selector_border_between_items_color'] )
                                    )
                                );

                                # tabs selector styles
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' ul.ueldo-shortcode-tabs-selector.ueldo-shortcode-tabs-selector-02',
                                    array(
                                        'background' => esc_attr( $attributes['tabs_selector_background_color'] )
                                    )
                                );

                                # tabs selector (on hover) styles
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' ul.ueldo-shortcode-tabs-selector.ueldo-shortcode-tabs-selector-01:hover, .ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' ul.ueldo-shortcode-tabs-selector.ueldo-shortcode-tabs-selector-03:hover',
                                    array(
                                        'border-color' => esc_attr( $attributes['tabs_selector_border_color_hover'] ),
                                        '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['tabs_selector_box_shadow_horizontal_length_hover'], $attributes['tabs_selector_box_shadow_vertical_length_hover'], $attributes['tabs_selector_box_shadow_blur_radius_hover'], $attributes['tabs_selector_box_shadow_spread_radius_hover'], $attributes['tabs_selector_box_shadow_color_hover'] ),
                                        '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['tabs_selector_box_shadow_horizontal_length_hover'], $attributes['tabs_selector_box_shadow_vertical_length_hover'], $attributes['tabs_selector_box_shadow_blur_radius_hover'], $attributes['tabs_selector_box_shadow_spread_radius_hover'], $attributes['tabs_selector_box_shadow_color_hover'] ),
                                        'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['tabs_selector_box_shadow_horizontal_length_hover'], $attributes['tabs_selector_box_shadow_vertical_length_hover'], $attributes['tabs_selector_box_shadow_blur_radius_hover'], $attributes['tabs_selector_box_shadow_spread_radius_hover'], $attributes['tabs_selector_box_shadow_color_hover'] )
                                    )
                                );

                                # border between tabs selector items
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' ul.ueldo-shortcode-tabs-selector.ueldo-shortcode-tabs-selector-01 li, .ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' ul.ueldo-shortcode-tabs-selector.ueldo-shortcode-tabs-selector-02 li, .ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' ul.ueldo-shortcode-tabs-selector.ueldo-shortcode-tabs-selector-03 li',
                                    array(
                                        'border-color' => esc_attr( $attributes['tabs_selector_border_between_items_color'] )
                                    )
                                );

                                # tabs selector active element background color
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' ul.ueldo-shortcode-tabs-selector.ueldo-shortcode-tabs-selector-01 li.ueldo-shortcode-tabs-selector-single-tab-active, .ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' ul.ueldo-shortcode-tabs-selector.ueldo-shortcode-tabs-selector-03 li.ueldo-shortcode-tabs-selector-single-tab-active',
                                    array(
                                        'background' => esc_attr( $attributes['tabs_selector_active_element_background_color'] )
                                    )
                                );

                                # tabs selector title
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' ul.ueldo-shortcode-tabs-selector li:not(.ueldo-shortcode-tabs-selector-single-tab-active) span.ueldo-shortcode-tabs-selector-single-tab-title',
                                    array(
                                        'color' => esc_attr( $attributes['tabs_selector_title_color'] )
                                    )
                                );

                                # tabs selector title (active / on hover)
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' ul.ueldo-shortcode-tabs-selector li.ueldo-shortcode-tabs-selector-single-tab-active span.ueldo-shortcode-tabs-selector-single-tab-title, .ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' ul.ueldo-shortcode-tabs-selector.ueldo-shortcode-tabs-selector-01 li:hover span.ueldo-shortcode-tabs-selector-single-tab-title, .ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' ul.ueldo-shortcode-tabs-selector.ueldo-shortcode-tabs-selector-03 li:hover span.ueldo-shortcode-tabs-selector-single-tab-title',
                                    array(
                                        'color' => esc_attr( $attributes['tabs_selector_title_color_hover'] )
                                    )
                                );

                                # tabs selector icon
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' ul.ueldo-shortcode-tabs-selector li:not(.ueldo-shortcode-tabs-selector-single-tab-active) i, .ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' ul.ueldo-shortcode-tabs-selector li:not(.ueldo-shortcode-tabs-selector-single-tab-active) i:before',
                                    array(
                                        'color' => esc_attr( $attributes['tabs_selector_icon_color'] )
                                    )
                                );

                                # tabs selector icon (active / on hover)
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' ul.ueldo-shortcode-tabs-selector li.ueldo-shortcode-tabs-selector-single-tab-active i, .ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' ul.ueldo-shortcode-tabs-selector li:hover i, .ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' ul.ueldo-shortcode-tabs-selector li.ueldo-shortcode-tabs-selector-single-tab-active i:before, .ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' ul.ueldo-shortcode-tabs-selector li:hover i:before',
                                    array(
                                        'color' => esc_attr( $attributes['tabs_selector_icon_color_hover'] )
                                    )
                                );
                            }

                            # tabs content background color
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .':not(.ueldo-shortcode-tabs-style-05) .ueldo-shortcode-tabs-single-tabs-container .ueldo-shortcode-tabs-single-tab, .ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-style-05 .ueldo-shortcode-tabs-single-tabs-content-container .ueldo-shortcode-tabs-single-tab:not(.ueldo-shortcode-tabs-single-tab-active), .ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-style-04 .ueldo-shortcode-tabs-single-tabs-content-container',
                                array(
                                    'background' => esc_attr( $attributes['tabs_content_background_color'] )
                                )
                            );

                            # circle navigation
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-circle-navigation li .ueldo-circle-navigation-element',
                                array(
                                    'background' => esc_attr( $attributes['circle_navigation_color'] ),
                                    'border-color' => esc_attr( $attributes['tabs_content_background_color'] )
                                )
                            );

                            # circle navigation (active / on hover)
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-circle-navigation li:hover .ueldo-circle-navigation-element, .ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-circle-navigation li .ueldo-circle-navigation-element.ueldo-circle-navigation-element-active',
                                array(
                                    'background' => esc_attr( $attributes['circle_navigation_color_hover'] ),
                                    'border-color' => esc_attr( $attributes['circle_navigation_color_hover'] )
                                )
                            );

                            # images container box shadow
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-tabs-single-tabs-container .ueldo-shortcode-tabs-single-tabs-images-container',
                                array(
                                    '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['images_container_box_shadow_horizontal_length'], $attributes['images_container_box_shadow_vertical_length'], $attributes['images_container_box_shadow_blur_radius'], $attributes['images_container_box_shadow_spread_radius'], $attributes['images_container_box_shadow_color'] ),
                                    '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['images_container_box_shadow_horizontal_length'], $attributes['images_container_box_shadow_vertical_length'], $attributes['images_container_box_shadow_blur_radius'], $attributes['images_container_box_shadow_spread_radius'], $attributes['images_container_box_shadow_color'] ),
                                    'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['images_container_box_shadow_horizontal_length'], $attributes['images_container_box_shadow_vertical_length'], $attributes['images_container_box_shadow_blur_radius'], $attributes['images_container_box_shadow_spread_radius'], $attributes['images_container_box_shadow_color'] )
                                )
                            );

                            # tabs 05 active tab background
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-style-05 .ueldo-shortcode-tabs-single-tabs-content-container .ueldo-shortcode-tabs-single-tab.ueldo-shortcode-tabs-single-tab-active',
                                array(
                                    'background' => esc_attr( $attributes['tabs_05_active_tab_background'] )
                                )
                            );

                            # tabs 05 active tab icon color
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-style-05 .ueldo-shortcode-tabs-single-tab.ueldo-shortcode-tabs-single-tab-active .ueldo-shortcode-tabs-single-tab-icon i, .ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-style-05 .ueldo-shortcode-tabs-single-tab.ueldo-shortcode-tabs-single-tab-active .ueldo-shortcode-tabs-single-tab-icon i:before',
                                array(
                                    'color' => esc_attr( $attributes['tabs_05_active_tab_icon_color'] )
                                )
                            );

                            # video button border, background color and box shadow
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-tabs-single-tabs-images-container .ueldo-play-video-button .ueldo-play-video-button-icon',
                                array(
                                    'background' => esc_attr( $attributes['video_button_background_color'] ),
                                    'border-color' => esc_attr( $attributes['video_button_border_color'] ),
                                    '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['video_button_box_shadow_horizontal_length'], $attributes['video_button_box_shadow_vertical_length'], $attributes['video_button_box_shadow_blur_radius'], $attributes['video_button_box_shadow_spread_radius'], $attributes['video_button_box_shadow_color'] ),
                                    '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['video_button_box_shadow_horizontal_length'], $attributes['video_button_box_shadow_vertical_length'], $attributes['video_button_box_shadow_blur_radius'], $attributes['video_button_box_shadow_spread_radius'], $attributes['video_button_box_shadow_color'] ),
                                    'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['video_button_box_shadow_horizontal_length'], $attributes['video_button_box_shadow_vertical_length'], $attributes['video_button_box_shadow_blur_radius'], $attributes['video_button_box_shadow_spread_radius'], $attributes['video_button_box_shadow_color'] )
                                )
                            );

                            # video button icon color
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-tabs-single-tabs-images-container .ueldo-play-video-button .ueldo-play-video-button-icon i',
                                array(
                                    'color' => esc_attr( $attributes['video_button_icon_color'] )
                                )
                            );

                            # video button border, background color and box shadow (active / on hover)
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-tabs-single-tabs-images-container .ueldo-play-video-button .ueldo-play-video-button-icon:hover',
                                array(
                                    'background' => esc_attr( $attributes['video_button_background_color_hover'] ),
                                    'border-color' => esc_attr( $attributes['video_button_border_color_hover'] ),
                                    '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['video_button_box_shadow_horizontal_length_hover'], $attributes['video_button_box_shadow_vertical_length_hover'], $attributes['video_button_box_shadow_blur_radius_hover'], $attributes['video_button_box_shadow_spread_radius_hover'], $attributes['video_button_box_shadow_color_hover'] ),
                                    '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['video_button_box_shadow_horizontal_length_hover'], $attributes['video_button_box_shadow_vertical_length_hover'], $attributes['video_button_box_shadow_blur_radius_hover'], $attributes['video_button_box_shadow_spread_radius_hover'], $attributes['video_button_box_shadow_color_hover'] ),
                                    'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['video_button_box_shadow_horizontal_length_hover'], $attributes['video_button_box_shadow_vertical_length_hover'], $attributes['video_button_box_shadow_blur_radius_hover'], $attributes['video_button_box_shadow_spread_radius_hover'], $attributes['video_button_box_shadow_color_hover'] )
                                )
                            );

                            # video button icon color (active / on hover)
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-tabs-single-tabs-images-container .ueldo-play-video-button .ueldo-play-video-button-icon:hover i',
                                array(
                                    'color' => esc_attr( $attributes['video_button_icon_color_hover'] )
                                )
                            );

                            # video button tip
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-tabs-single-tabs-images-container .ueldo-play-video-button .ueldo-play-video-button-title',
                                array(
                                    'background' => esc_attr( $attributes['video_button_tip_background_color'] ),
                                    'color' => esc_attr( $attributes['video_button_tip_text_color'] )
                                )
                            );

                            # video button tip :before
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-tabs-single-tabs-images-container .ueldo-play-video-button .ueldo-play-video-button-title:before',
                                array(
                                    'border-right-color' => esc_attr( $attributes['video_button_tip_background_color'] ),
                                    'border-bottom-color' => esc_attr( $attributes['video_button_tip_background_color'] )
                                )
                            );
                        }

                       /**
                        *
                        * sizes
                        *
                        */

                        # can we display tabs selector?
                        if( $attributes['circle_navigation_hide_tabs_selector'] == 'no' && $tabs_count > 1 ) {

                            # tabs selector styles
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' ul.ueldo-shortcode-tabs-selector.ueldo-shortcode-tabs-selector-01, .ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' ul.ueldo-shortcode-tabs-selector.ueldo-shortcode-tabs-selector-03',
                                array(
                                    'border-width' => esc_attr( $attributes['tabs_selector_border_width'] ),
                                    '-webkit-border-radius' => esc_attr( $attributes['tabs_selector_border_radius'] ),
                                    '-moz-border-radius' => esc_attr( $attributes['tabs_selector_border_radius'] ),
                                    'border-radius' => esc_attr( $attributes['tabs_selector_border_radius'] )
                                )
                            );

                            # tabs selector for tabs style: 05
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-style-05 .ueldo-shortcode-tabs-single-tabs-content-container .ueldo-shortcode-tabs-single-tab',
                                array(
                                    '-webkit-border-radius' => esc_attr( $attributes['tabs_selector_border_radius'] ),
                                    '-moz-border-radius' => esc_attr( $attributes['tabs_selector_border_radius'] ),
                                    'border-radius' => esc_attr( $attributes['tabs_selector_border_radius'] )
                                )
                            );

                            # border radius for elements: vertical, first child
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' ul.ueldo-shortcode-tabs-selector.ueldo-shortcode-tabs-selector-01[data-tabs-selector-style="vertical"] li.ueldo-shortcode-tabs-selector-single-tab-active:first-child, .ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' ul.ueldo-shortcode-tabs-selector.ueldo-shortcode-tabs-selector-03[data-tabs-selector-style="vertical"] li.ueldo-shortcode-tabs-selector-single-tab-active:first-child',
                                array(
                                    '-webkit-border-top-left-radius' => esc_attr( $attributes['tabs_selector_border_radius'] ),
                                    '-moz-border-top-left-radius' => esc_attr( $attributes['tabs_selector_border_radius'] ),
                                    'border-top-left-radius' => esc_attr( $attributes['tabs_selector_border_radius'] ),
                                    '-webkit-border-top-right-radius' => esc_attr( $attributes['tabs_selector_border_radius'] ),
                                    '-moz-border-top-right-radius' => esc_attr( $attributes['tabs_selector_border_radius'] ),
                                    'border-top-right-radius' => esc_attr( $attributes['tabs_selector_border_radius'] )
                                )
                            );

                            # border radius for elements: vertical, last child
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' ul.ueldo-shortcode-tabs-selector.ueldo-shortcode-tabs-selector-01[data-tabs-selector-style="vertical"] li.ueldo-shortcode-tabs-selector-single-tab-active:last-child, .ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' ul.ueldo-shortcode-tabs-selector.ueldo-shortcode-tabs-selector-03[data-tabs-selector-style="vertical"] li.ueldo-shortcode-tabs-selector-single-tab-active:last-child',
                                array(
                                    '-webkit-border-bottom-left-radius' => esc_attr( $attributes['tabs_selector_border_radius'] ),
                                    '-moz-border-bottom-left-radius' => esc_attr( $attributes['tabs_selector_border_radius'] ),
                                    'border-bottom-left-radius' => esc_attr( $attributes['tabs_selector_border_radius'] ),
                                    '-webkit-border-bottom-right-radius' => esc_attr( $attributes['tabs_selector_border_radius'] ),
                                    '-moz-border-bottom-right-radius' => esc_attr( $attributes['tabs_selector_border_radius'] ),
                                    'border-bottom-right-radius' => esc_attr( $attributes['tabs_selector_border_radius'] )
                                )
                            );

                            # tabs selector, border between elements width (horizontal)
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' ul.ueldo-shortcode-tabs-selector.ueldo-shortcode-tabs-selector-01[data-tabs-selector-style="horizontal"] li, .ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' ul.ueldo-shortcode-tabs-selector.ueldo-shortcode-tabs-selector-03[data-tabs-selector-style="horizontal"] li',
                                array(
                                    'border-'. esc_attr( ueldo_is_rtl() ? 'left' : 'right' ) .'-width' => esc_attr( $attributes['tabs_selector_border_between_elements_width'] )
                                )
                            );

                            # tabs selector, border between elements width (vertical)
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' ul.ueldo-shortcode-tabs-selector.ueldo-shortcode-tabs-selector-01[data-tabs-selector-style="vertical"] li, .ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' ul.ueldo-shortcode-tabs-selector.ueldo-shortcode-tabs-selector-03[data-tabs-selector-style="vertical"] li',
                                array(
                                    'border-bottom-width' => esc_attr( $attributes['tabs_selector_border_between_elements_width'] )
                                )
                            );

                            # tabs selector displayed as table - additional line heights to divide elements rows
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' ul.ueldo-shortcode-tabs-selector.ueldo-shortcode-tabs-selector-as-table[data-tabs-per-row="5"] li:nth-child( 5n+1 ):before, .ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' ul.ueldo-shortcode-tabs-selector.ueldo-shortcode-tabs-selector-as-table[data-tabs-per-row="4"] li:nth-child( 4n+1 ):before, .ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' ul.ueldo-shortcode-tabs-selector.ueldo-shortcode-tabs-selector-as-table[data-tabs-per-row="3"] li:nth-child( 3n+1 ):before, .ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' ul.ueldo-shortcode-tabs-selector.ueldo-shortcode-tabs-selector-as-table[data-tabs-per-row="2"] li:nth-child( 2n+1 ):before, .ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' ul.ueldo-shortcode-tabs-selector.ueldo-shortcode-tabs-selector-as-table[data-tabs-per-row="1"] li:before',
                                array(
                                    'height' => esc_attr( $attributes['tabs_selector_border_between_elements_width'] )
                                )
                            );

                            # tabs selector displayed as table - additional line widths to divide elements rows
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' ul.ueldo-shortcode-tabs-selector.ueldo-shortcode-tabs-selector-as-table[data-tabs-per-row="5"] li:nth-child( 5n+1 ):before',
                                array(
                                    'width-webkit-calc' => '-webkit-calc( 500% + '. esc_attr( $attributes['tabs_selector_border_between_elements_width'] * 5 ) .'px )',
                                    'width-moz-calc' => '-moz-calc( 500% + '. esc_attr( $attributes['tabs_selector_border_between_elements_width'] * 5 ) .'px )',
                                    'width-calc' => 'calc( 500% + '. esc_attr( $attributes['tabs_selector_border_between_elements_width'] * 5 ) .'px )'
                                )
                            );

                            # tabs selector displayed as table - additional line widths to divide elements rows
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' ul.ueldo-shortcode-tabs-selector.ueldo-shortcode-tabs-selector-as-table[data-tabs-per-row="4"] li:nth-child( 4n+1 ):before',
                                array(
                                    'width-webkit-calc' => '-webkit-calc( 400% + '. esc_attr( $attributes['tabs_selector_border_between_elements_width'] * 4 ) .'px )',
                                    'width-moz-calc' => '-moz-calc( 400% + '. esc_attr( $attributes['tabs_selector_border_between_elements_width'] * 4 ) .'px )',
                                    'width-calc' => 'calc( 400% + '. esc_attr( $attributes['tabs_selector_border_between_elements_width'] * 4 ) .'px )'
                                )
                            );

                            # tabs selector displayed as table - additional line widths to divide elements rows
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' ul.ueldo-shortcode-tabs-selector.ueldo-shortcode-tabs-selector-as-table[data-tabs-per-row="3"] li:nth-child( 3n+1 ):before',
                                array(
                                    'width-webkit-calc' => '-webkit-calc( 300% + '. esc_attr( $attributes['tabs_selector_border_between_elements_width'] * 3 ) .'px )',
                                    'width-moz-calc' => '-moz-calc( 300% + '. esc_attr( $attributes['tabs_selector_border_between_elements_width'] * 3 ) .'px )',
                                    'width-calc' => 'calc( 300% + '. esc_attr( $attributes['tabs_selector_border_between_elements_width'] * 3 ) .'px )'
                                )
                            );

                            # tabs selector displayed as table - additional line widths to divide elements rows
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' ul.ueldo-shortcode-tabs-selector.ueldo-shortcode-tabs-selector-as-table[data-tabs-per-row="2"] li:nth-child( 2n+1 ):before',
                                array(
                                    'width-webkit-calc' => '-webkit-calc( 200% + '. esc_attr( $attributes['tabs_selector_border_between_elements_width'] * 2 ) .'px )',
                                    'width-moz-calc' => '-moz-calc( 200% + '. esc_attr( $attributes['tabs_selector_border_between_elements_width'] * 2 ) .'px )',
                                    'width-calc' => 'calc( 200% + '. esc_attr( $attributes['tabs_selector_border_between_elements_width'] * 2 ) .'px )'
                                )
                            );
                        }

                        # images container border radius
                        $shortcodes_styles -> update_style(
                            'ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-tabs-single-tabs-container .ueldo-shortcode-tabs-single-tabs-images-container, .ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-tabs-single-tabs-container .ueldo-shortcode-tabs-single-tabs-images-single-tab-image-content, .ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-tabs-single-tabs-images-container .ueldo-shortcode-tabs-single-tabs-images-single-tab-image-content, .ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-tabs-single-tabs-images-container .ueldo-google-map-container, .ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-tabs-single-tabs-images-container .ueldo-google-map-container .ueldo-google-map-data, .ueldo-shortcode-tabs.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-tabs-single-tabs-images-container .rev_slider li.tp-revslider-slidesli',
                            array(
                                '-webkit-border-radius' => esc_attr( $attributes['image_container_border_radius'] ),
                                '-moz-border-radius' => esc_attr( $attributes['image_container_border_radius'] ),
                                'border-radius' => esc_attr( $attributes['image_container_border_radius'] )
                            )
                        );

                       /**
                        *
                        * end of sizes.
                        *
                        */

                        # save css style
                        $shortcodes_styles -> save_styles();

                        # remove attributes array
                        unset( $attributes, $tabs_count );

                    break;

                   /**
                    *
                    * ueldo_shortcode_tabs_single_tab
                    *
                    */

                    case 'ueldo_shortcode_tabs_single_tab':

                        # attributes array
                        $attributes = array(
                            'custom_icon_color_enabled' => isset( $shortcode['atts']['custom_icon_color_enabled'] ) && !empty( $shortcode['atts']['custom_icon_color_enabled'] ) ? $shortcode['atts']['custom_icon_color_enabled'] : 'theme_defaults',
                            'icon_color' => isset( $shortcode['atts']['icon_color'] ) && $shortcode['atts']['icon_color'] != '' ? $shortcode['atts']['icon_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) )
                        );

                        # do we have custom icon color enabled?
                        if( $attributes['custom_icon_color_enabled'] != 'theme_defaults' ) {

                            # update icon color
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-tabs .ueldo-shortcode-tabs-selector .'. esc_attr( $shortcode['atts']['class_name'] ) .':hover i:before, .ueldo-shortcode-tabs .ueldo-shortcode-tabs-selector .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-selector-single-tab-active i:before',
                                array(
                                    'color' => esc_attr( $attributes['icon_color'] ) .' !important'
                                )
                            );
                        }

                        # save css style
                        $shortcodes_styles -> save_styles();

                        # remove attributes array
                        unset( $attributes );

                    break;

                   /**
                    *
                    * ueldo_shortcode_pulsating_circles
                    *
                    */

                    case 'ueldo_shortcode_pulsating_circles':

                        # attributes array
                        $attributes = array(
                            'display_bar' => isset( $shortcode['atts']['display_bar'] ) && !empty( $shortcode['atts']['display_bar'] ) ? $shortcode['atts']['display_bar'] : 'yes',
                            'bar_border_radius' => isset( $shortcode['atts']['bar_border_radius'] ) && $shortcode['atts']['bar_border_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['bar_border_radius'] ) ? $shortcode['atts']['bar_border_radius'] : '2',
                            'margin_top' => isset( $shortcode['atts']['margin_top'] ) && $shortcode['atts']['margin_top'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_top'] ) ? $shortcode['atts']['margin_top'] : '0',
                            'margin_bottom' => isset( $shortcode['atts']['margin_bottom'] ) && $shortcode['atts']['margin_bottom'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_bottom'] ) ? $shortcode['atts']['margin_bottom'] : '0',
                            'custom_colors_enabled' => isset( $shortcode['atts']['custom_colors_enabled'] ) && !empty( $shortcode['atts']['custom_colors_enabled'] ) ? $shortcode['atts']['custom_colors_enabled'] : 'theme_defaults',
                            'central_circle_background_color' => isset( $shortcode['atts']['central_circle_background_color'] ) && $shortcode['atts']['central_circle_background_color'] != '' ? $shortcode['atts']['central_circle_background_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                            'central_circle_background_color_hover' => isset( $shortcode['atts']['central_circle_background_color_hover'] ) && $shortcode['atts']['central_circle_background_color_hover'] != '' ? $shortcode['atts']['central_circle_background_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                            'central_circle_icon_color' => isset( $shortcode['atts']['central_circle_icon_color'] ) && $shortcode['atts']['central_circle_icon_color'] != '' ? $shortcode['atts']['central_circle_icon_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                            'central_circle_icon_color_hover' => isset( $shortcode['atts']['central_circle_icon_color_hover'] ) && $shortcode['atts']['central_circle_icon_color_hover'] != '' ? $shortcode['atts']['central_circle_icon_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                            'central_circle_box_shadow_horizontal_length' => isset( $shortcode['atts']['central_circle_box_shadow_horizontal_length'] ) && $shortcode['atts']['central_circle_box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['central_circle_box_shadow_horizontal_length'] ) ? $shortcode['atts']['central_circle_box_shadow_horizontal_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-pulsating-circles-central-circle-box-shadow', 'horizontal-length' ) ),
                            'central_circle_box_shadow_vertical_length' => isset( $shortcode['atts']['central_circle_box_shadow_vertical_length'] ) && $shortcode['atts']['central_circle_box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['central_circle_box_shadow_vertical_length'] ) ? $shortcode['atts']['central_circle_box_shadow_vertical_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-pulsating-circles-central-circle-box-shadow', 'vertical-length' ) ),
                            'central_circle_box_shadow_blur_radius' => isset( $shortcode['atts']['central_circle_box_shadow_blur_radius'] ) && $shortcode['atts']['central_circle_box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['central_circle_box_shadow_blur_radius'] ) ? $shortcode['atts']['central_circle_box_shadow_blur_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-pulsating-circles-central-circle-box-shadow', 'blur-radius' ) ),
                            'central_circle_box_shadow_spread_radius' => isset( $shortcode['atts']['central_circle_box_shadow_spread_radius'] ) && $shortcode['atts']['central_circle_box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['central_circle_box_shadow_spread_radius'] ) ? $shortcode['atts']['central_circle_box_shadow_spread_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-pulsating-circles-central-circle-box-shadow', 'spread-radius' ) ),
                            'central_circle_box_shadow_color' => isset( $shortcode['atts']['central_circle_box_shadow_color'] ) && $shortcode['atts']['central_circle_box_shadow_color'] != '' ? $shortcode['atts']['central_circle_box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-pulsating-circles-central-circle-box-shadow', 'color' ) ),
                            'central_circle_box_shadow_horizontal_length_hover' => isset( $shortcode['atts']['central_circle_box_shadow_horizontal_length_hover'] ) && $shortcode['atts']['central_circle_box_shadow_horizontal_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['central_circle_box_shadow_horizontal_length_hover'] ) ? $shortcode['atts']['central_circle_box_shadow_horizontal_length_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-pulsating-circles-central-circle-box-shadow', 'horizontal-length' ) ),
                            'central_circle_box_shadow_vertical_length_hover' => isset( $shortcode['atts']['central_circle_box_shadow_vertical_length_hover'] ) && $shortcode['atts']['central_circle_box_shadow_vertical_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['central_circle_box_shadow_vertical_length_hover'] ) ? $shortcode['atts']['central_circle_box_shadow_vertical_length_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-pulsating-circles-central-circle-box-shadow', 'vertical-length' ) ),
                            'central_circle_box_shadow_blur_radius_hover' => isset( $shortcode['atts']['central_circle_box_shadow_blur_radius_hover'] ) && $shortcode['atts']['central_circle_box_shadow_blur_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['central_circle_box_shadow_blur_radius_hover'] ) ? $shortcode['atts']['central_circle_box_shadow_blur_radius_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-pulsating-circles-central-circle-box-shadow', 'blur-radius' ) ),
                            'central_circle_box_shadow_spread_radius_hover' => isset( $shortcode['atts']['central_circle_box_shadow_spread_radius_hover'] ) && $shortcode['atts']['central_circle_box_shadow_spread_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['central_circle_box_shadow_spread_radius_hover'] ) ? $shortcode['atts']['central_circle_box_shadow_spread_radius_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-pulsating-circles-central-circle-box-shadow', 'spread-radius' ) ),
                            'central_circle_box_shadow_color_hover' => isset( $shortcode['atts']['central_circle_box_shadow_color_hover'] ) && $shortcode['atts']['central_circle_box_shadow_color_hover'] != '' ? $shortcode['atts']['central_circle_box_shadow_color_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-pulsating-circles-central-circle-box-shadow', 'color' ) ),
                            'bar_background_color' => isset( $shortcode['atts']['bar_background_color'] ) && $shortcode['atts']['bar_background_color'] != '' ? $shortcode['atts']['bar_background_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                            'bar_background_color_hover' => isset( $shortcode['atts']['bar_background_color_hover'] ) && $shortcode['atts']['bar_background_color_hover'] != '' ? $shortcode['atts']['bar_background_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                            'bar_text_color' => isset( $shortcode['atts']['bar_text_color'] ) && $shortcode['atts']['bar_text_color'] != '' ? $shortcode['atts']['bar_text_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color-contrast-text-color' ) ),
                            'bar_text_color_hover' => isset( $shortcode['atts']['bar_text_color_hover'] ) && $shortcode['atts']['bar_text_color_hover'] != '' ? $shortcode['atts']['bar_text_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color-contrast-text-color' ) ),
                            'bar_box_shadow_horizontal_length' => isset( $shortcode['atts']['bar_box_shadow_horizontal_length'] ) && $shortcode['atts']['bar_box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['bar_box_shadow_horizontal_length'] ) ? $shortcode['atts']['bar_box_shadow_horizontal_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_pattern( 'pulsating-circles-tip-and-info-box-additional-element-box-shadow', 'horizontal-length' ) ),
                            'bar_box_shadow_vertical_length' => isset( $shortcode['atts']['bar_box_shadow_vertical_length'] ) && $shortcode['atts']['bar_box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['bar_box_shadow_vertical_length'] ) ? $shortcode['atts']['bar_box_shadow_vertical_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_pattern( 'pulsating-circles-tip-and-info-box-additional-element-box-shadow', 'vertical-length' ) ),
                            'bar_box_shadow_blur_radius' => isset( $shortcode['atts']['bar_box_shadow_blur_radius'] ) && $shortcode['atts']['bar_box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['bar_box_shadow_blur_radius'] ) ? $shortcode['atts']['bar_box_shadow_blur_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_pattern( 'pulsating-circles-tip-and-info-box-additional-element-box-shadow', 'blur-radius' ) ),
                            'bar_box_shadow_spread_radius' => isset( $shortcode['atts']['bar_box_shadow_spread_radius'] ) && $shortcode['atts']['bar_box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['bar_box_shadow_spread_radius'] ) ? $shortcode['atts']['bar_box_shadow_spread_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_pattern( 'pulsating-circles-tip-and-info-box-additional-element-box-shadow', 'spread-radius' ) ),
                            'bar_box_shadow_color' => isset( $shortcode['atts']['bar_box_shadow_color'] ) && $shortcode['atts']['bar_box_shadow_color'] != '' ? $shortcode['atts']['bar_box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_pattern( 'pulsating-circles-tip-and-info-box-additional-element-box-shadow', 'color' ) ),
                            'bar_box_shadow_horizontal_length_hover' => isset( $shortcode['atts']['bar_box_shadow_horizontal_length_hover'] ) && $shortcode['atts']['bar_box_shadow_horizontal_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['bar_box_shadow_horizontal_length_hover'] ) ? $shortcode['atts']['bar_box_shadow_horizontal_length_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_pattern( 'pulsating-circles-tip-and-info-box-additional-element-box-shadow', 'horizontal-length' ) ),
                            'bar_box_shadow_vertical_length_hover' => isset( $shortcode['atts']['bar_box_shadow_vertical_length_hover'] ) && $shortcode['atts']['bar_box_shadow_vertical_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['bar_box_shadow_vertical_length_hover'] ) ? $shortcode['atts']['bar_box_shadow_vertical_length_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_pattern( 'pulsating-circles-tip-and-info-box-additional-element-box-shadow', 'vertical-length' ) ),
                            'bar_box_shadow_blur_radius_hover' => isset( $shortcode['atts']['bar_box_shadow_blur_radius_hover'] ) && $shortcode['atts']['bar_box_shadow_blur_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['bar_box_shadow_blur_radius_hover'] ) ? $shortcode['atts']['bar_box_shadow_blur_radius_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_pattern( 'pulsating-circles-tip-and-info-box-additional-element-box-shadow', 'blur-radius' ) ),
                            'bar_box_shadow_spread_radius_hover' => isset( $shortcode['atts']['bar_box_shadow_spread_radius_hover'] ) && $shortcode['atts']['bar_box_shadow_spread_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['bar_box_shadow_spread_radius_hover'] ) ? $shortcode['atts']['bar_box_shadow_spread_radius_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_pattern( 'pulsating-circles-tip-and-info-box-additional-element-box-shadow', 'spread-radius' ) ),
                            'bar_box_shadow_color_hover' => isset( $shortcode['atts']['bar_box_shadow_color_hover'] ) && $shortcode['atts']['bar_box_shadow_color_hover'] != '' ? $shortcode['atts']['bar_box_shadow_color_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_pattern( 'pulsating-circles-tip-and-info-box-additional-element-box-shadow', 'color' ) ),
                            'first_circle_background_color' => isset( $shortcode['atts']['first_circle_background_color'] ) && $shortcode['atts']['first_circle_background_color'] != '' ? $shortcode['atts']['first_circle_background_color'] : esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'pulsating-circles-first-circle-background-color' ) ),
                            'first_circle_border_color' => isset( $shortcode['atts']['first_circle_border_color'] ) && $shortcode['atts']['first_circle_border_color'] != '' ? $shortcode['atts']['first_circle_border_color'] : esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) ),
                            'second_circle_background_color' => isset( $shortcode['atts']['second_circle_background_color'] ) && $shortcode['atts']['second_circle_background_color'] != '' ? $shortcode['atts']['second_circle_background_color'] : esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'pulsating-circles-second-circle-background-color' ) ),
                            'second_circle_border_color' => isset( $shortcode['atts']['second_circle_border_color'] ) && $shortcode['atts']['second_circle_border_color'] != '' ? $shortcode['atts']['second_circle_border_color'] : esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) ),
                            'third_circle_background_color' => isset( $shortcode['atts']['third_circle_background_color'] ) && $shortcode['atts']['third_circle_background_color'] != '' ? $shortcode['atts']['third_circle_background_color'] : esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'pulsating-circles-third-circle-background-color' ) ),
                            'third_circle_border_color' => isset( $shortcode['atts']['third_circle_border_color'] ) && $shortcode['atts']['third_circle_border_color'] != '' ? $shortcode['atts']['third_circle_border_color'] : esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) ),
                            'fourth_circle_background_color' => isset( $shortcode['atts']['fourth_circle_background_color'] ) && $shortcode['atts']['fourth_circle_background_color'] != '' ? $shortcode['atts']['fourth_circle_background_color'] : esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'pulsating-circles-fourth-circle-background-color' ) ),
                            'fourth_circle_border_color' => isset( $shortcode['atts']['fourth_circle_border_color'] ) && $shortcode['atts']['fourth_circle_border_color'] != '' ? $shortcode['atts']['fourth_circle_border_color'] : esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) )
                        );

                        # horizontal alignment is set to center?
                        if( $attributes['margin_top'] != '0' && $attributes['margin_bottom'] != '0' ) {

                            # update shortcode margins
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-pulsating-circles.'. esc_attr( $shortcode['atts']['class_name'] ),
                                array(
                                    'margin' => esc_attr( $attributes['margin_top'] ) .'px auto '. esc_attr( $attributes['margin_bottom'] ) .'px auto'
                                )
                            );
                        }

                        # can we display bar text?
                        if( $attributes['display_bar'] == 'yes' ) {

                            # bar for text styles
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-pulsating-circles.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-pulsating-circles-circle-central .ueldo-shortcode-pulsating-circles-tip',
                                array(
                                    '-webkit-border-radius' => esc_attr( $attributes['bar_border_radius'] ),
                                    '-moz-border-radius' => esc_attr( $attributes['bar_border_radius'] ),
                                    'border-radius' => esc_attr( $attributes['bar_border_radius'] )
                                )
                            );
                        }

                        # can we display custom color styles?
                        if( $attributes['custom_colors_enabled'] == 'custom_settings' ) {

                            # central circle
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-pulsating-circles.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-pulsating-circles-circle-central',
                                array(
                                    'background' => esc_attr( $attributes['central_circle_background_color'] ),
                                    '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['central_circle_box_shadow_horizontal_length'], $attributes['central_circle_box_shadow_vertical_length'], $attributes['central_circle_box_shadow_blur_radius'], $attributes['central_circle_box_shadow_spread_radius'], $attributes['central_circle_box_shadow_color'] ),
                                    '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['central_circle_box_shadow_horizontal_length'], $attributes['central_circle_box_shadow_vertical_length'], $attributes['central_circle_box_shadow_blur_radius'], $attributes['central_circle_box_shadow_spread_radius'], $attributes['central_circle_box_shadow_color'] ),
                                    'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['central_circle_box_shadow_horizontal_length'], $attributes['central_circle_box_shadow_vertical_length'], $attributes['central_circle_box_shadow_blur_radius'], $attributes['central_circle_box_shadow_spread_radius'], $attributes['central_circle_box_shadow_color'] )
                                )
                            );

                            # central circle (on hover)
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-pulsating-circles.'. esc_attr( $shortcode['atts']['class_name'] ) .':hover .ueldo-shortcode-pulsating-circles-circle-central',
                                array(
                                    'background' => esc_attr( $attributes['central_circle_background_color_hover'] ),
                                    '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['central_circle_box_shadow_horizontal_length_hover'], $attributes['central_circle_box_shadow_vertical_length_hover'], $attributes['central_circle_box_shadow_blur_radius_hover'], $attributes['central_circle_box_shadow_spread_radius_hover'], $attributes['central_circle_box_shadow_color_hover'] ),
                                    '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['central_circle_box_shadow_horizontal_length_hover'], $attributes['central_circle_box_shadow_vertical_length_hover'], $attributes['central_circle_box_shadow_blur_radius_hover'], $attributes['central_circle_box_shadow_spread_radius_hover'], $attributes['central_circle_box_shadow_color_hover'] ),
                                    'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['central_circle_box_shadow_horizontal_length_hover'], $attributes['central_circle_box_shadow_vertical_length_hover'], $attributes['central_circle_box_shadow_blur_radius_hover'], $attributes['central_circle_box_shadow_spread_radius_hover'], $attributes['central_circle_box_shadow_color_hover'] )
                                )
                            );

                            # central circle icon
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-pulsating-circles.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-pulsating-circles-circle-central i, .ueldo-shortcode-pulsating-circles.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-pulsating-circles-circle-central i:before',
                                array(
                                    'color' => esc_attr( $attributes['central_circle_icon_color'] )
                                )
                            );

                            # central circle icon (on hover)
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-pulsating-circles.'. esc_attr( $shortcode['atts']['class_name'] ) .':hover .ueldo-shortcode-pulsating-circles-circle-central i, .ueldo-shortcode-pulsating-circles.'. esc_attr( $shortcode['atts']['class_name'] ) .':hover .ueldo-shortcode-pulsating-circles-circle-central i:before',
                                array(
                                    'color' => esc_attr( $attributes['central_circle_icon_color_hover'] )
                                )
                            );

                            # can we display bar for text?
                            if( $attributes['display_bar'] == 'yes' ) {

                                # bar
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-pulsating-circles.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-pulsating-circles-circle-central .ueldo-shortcode-pulsating-circles-tip',
                                    array(
                                        'background' => esc_attr( $attributes['bar_background_color'] ),
                                        'color' => esc_attr( $attributes['bar_text_color'] ),
                                        '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['bar_box_shadow_horizontal_length'], $attributes['bar_box_shadow_vertical_length'], $attributes['bar_box_shadow_blur_radius'], $attributes['bar_box_shadow_spread_radius'], $attributes['bar_box_shadow_color'] ),
                                        '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['bar_box_shadow_horizontal_length'], $attributes['bar_box_shadow_vertical_length'], $attributes['bar_box_shadow_blur_radius'], $attributes['bar_box_shadow_spread_radius'], $attributes['bar_box_shadow_color'] ),
                                        'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['bar_box_shadow_horizontal_length'], $attributes['bar_box_shadow_vertical_length'], $attributes['bar_box_shadow_blur_radius'], $attributes['bar_box_shadow_spread_radius'], $attributes['bar_box_shadow_color'] )
                                    )
                                );

                                # bar (on hover)
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-pulsating-circles.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-pulsating-circles-circle-central .ueldo-shortcode-pulsating-circles-tip:hover',
                                    array(
                                        'background' => esc_attr( $attributes['bar_background_color_hover'] ),
                                        'color' => esc_attr( $attributes['bar_text_color_hover'] ),
                                        '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['bar_box_shadow_horizontal_length_hover'], $attributes['bar_box_shadow_vertical_length_hover'], $attributes['bar_box_shadow_blur_radius_hover'], $attributes['bar_box_shadow_spread_radius_hover'], $attributes['bar_box_shadow_color_hover'] ),
                                        '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['bar_box_shadow_horizontal_length_hover'], $attributes['bar_box_shadow_vertical_length_hover'], $attributes['bar_box_shadow_blur_radius_hover'], $attributes['bar_box_shadow_spread_radius_hover'], $attributes['bar_box_shadow_color_hover'] ),
                                        'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['bar_box_shadow_horizontal_length_hover'], $attributes['bar_box_shadow_vertical_length_hover'], $attributes['bar_box_shadow_blur_radius_hover'], $attributes['bar_box_shadow_spread_radius_hover'], $attributes['bar_box_shadow_color_hover'] )
                                    )
                                );

                                # bar text color
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-pulsating-circles.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-pulsating-circles-circle-central .ueldo-shortcode-pulsating-circles-tip *',
                                    array(
                                        'color' => esc_attr( $attributes['bar_text_color'] )
                                    )
                                );

                                # bar text color (on hover)
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-pulsating-circles.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-pulsating-circles-circle-central .ueldo-shortcode-pulsating-circles-tip:hover *',
                                    array(
                                        'color' => esc_attr( $attributes['bar_text_color_hover'] )
                                    )
                                );

                                # bar arrow
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-pulsating-circles.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-pulsating-circles-circle-central .ueldo-shortcode-pulsating-circles-tip:before',
                                    array(
                                        'background' => esc_attr( $attributes['bar_background_color'] )
                                    )
                                );

                                # bar arrow (on hover)
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-pulsating-circles.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-pulsating-circles-circle-central .ueldo-shortcode-pulsating-circles-tip:hover:before',
                                    array(
                                        'background' => esc_attr( $attributes['bar_background_color_hover'] )
                                    )
                                );
                            }

                            # first circle
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-pulsating-circles.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-pulsating-circles-circle-first',
                                array(
                                    'background' => esc_attr( $attributes['first_circle_background_color'] ),
                                    'border-color' => esc_attr( $attributes['first_circle_border_color'] )
                                )
                            );

                            # second circle
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-pulsating-circles.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-pulsating-circles-circle-second',
                                array(
                                    'background' => esc_attr( $attributes['second_circle_background_color'] ),
                                    'border-color' => esc_attr( $attributes['second_circle_border_color'] )
                                )
                            );

                            # third circle
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-pulsating-circles.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-pulsating-circles-circle-third',
                                array(
                                    'background' => esc_attr( $attributes['third_circle_background_color'] ),
                                    'border-color' => esc_attr( $attributes['third_circle_border_color'] )
                                )
                            );

                            # fourth circle
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-pulsating-circles.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-pulsating-circles-circle-fourth',
                                array(
                                    'background' => esc_attr( $attributes['fourth_circle_background_color'] ),
                                    'border-color' => esc_attr( $attributes['fourth_circle_border_color'] )
                                )
                            );
                        }

                        # save css style
                        $shortcodes_styles -> save_styles();

                        # remove attributes array
                        unset( $attributes );

                    break;

                   /**
                    *
                    * ueldo_shortcode_attributes_box
                    *
                    */

                    case 'ueldo_shortcode_attributes_box':

                        # attributes array
                        $attributes = array(
                            'box_border_width' => isset( $shortcode['atts']['box_border_width'] ) && $shortcode['atts']['box_border_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_border_width'] ) ? $shortcode['atts']['box_border_width'] : '1',
                            'box_border_radius' => isset( $shortcode['atts']['box_border_radius'] ) && $shortcode['atts']['box_border_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_border_radius'] ) ? $shortcode['atts']['box_border_radius'] : '4',
                            'border_between_elements_width' => isset( $shortcode['atts']['border_between_elements_width'] ) && $shortcode['atts']['border_between_elements_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['border_between_elements_width'] ) ? $shortcode['atts']['border_between_elements_width'] : '1',
                            'custom_colors_enabled' => isset( $shortcode['atts']['custom_colors_enabled'] ) && !empty( $shortcode['atts']['custom_colors_enabled'] ) ? $shortcode['atts']['custom_colors_enabled'] : 'theme_defaults',
                            'background_color' => isset( $shortcode['atts']['background_color'] ) && $shortcode['atts']['background_color'] != '' ? $shortcode['atts']['background_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                            'background_color_hover' => isset( $shortcode['atts']['background_color_hover'] ) && $shortcode['atts']['background_color_hover'] != '' ? $shortcode['atts']['background_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                            'border_color' => isset( $shortcode['atts']['border_color'] ) && $shortcode['atts']['border_color'] != '' ? $shortcode['atts']['border_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-border-color' ) ),
                            'border_color_hover' => isset( $shortcode['atts']['border_color_hover'] ) && $shortcode['atts']['border_color_hover'] != '' ? $shortcode['atts']['border_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-hover-border-color' ) ),
                            'box_shadow_horizontal_length' => isset( $shortcode['atts']['box_shadow_horizontal_length'] ) && $shortcode['atts']['box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_horizontal_length'] ) ? $shortcode['atts']['box_shadow_horizontal_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'horizontal-length' ) ),
                            'box_shadow_vertical_length' => isset( $shortcode['atts']['box_shadow_vertical_length'] ) && $shortcode['atts']['box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_vertical_length'] ) ? $shortcode['atts']['box_shadow_vertical_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'vertical-length' ) ),
                            'box_shadow_blur_radius' => isset( $shortcode['atts']['box_shadow_blur_radius'] ) && $shortcode['atts']['box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_blur_radius'] ) ? $shortcode['atts']['box_shadow_blur_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'blur-radius' ) ),
                            'box_shadow_spread_radius' => isset( $shortcode['atts']['box_shadow_spread_radius'] ) && $shortcode['atts']['box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_spread_radius'] ) ? $shortcode['atts']['box_shadow_spread_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'spread-radius' ) ),
                            'box_shadow_color' => isset( $shortcode['atts']['box_shadow_color'] ) && $shortcode['atts']['box_shadow_color'] != '' ? $shortcode['atts']['box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'color' ) ),
                            'box_shadow_horizontal_length_hover' => isset( $shortcode['atts']['box_shadow_horizontal_length_hover'] ) && $shortcode['atts']['box_shadow_horizontal_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_horizontal_length_hover'] ) ? $shortcode['atts']['box_shadow_horizontal_length_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'horizontal-length' ) ),
                            'box_shadow_vertical_length_hover' => isset( $shortcode['atts']['box_shadow_vertical_length_hover'] ) && $shortcode['atts']['box_shadow_vertical_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_vertical_length_hover'] ) ? $shortcode['atts']['box_shadow_vertical_length_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'vertical-length' ) ),
                            'box_shadow_blur_radius_hover' => isset( $shortcode['atts']['box_shadow_blur_radius_hover'] ) && $shortcode['atts']['box_shadow_blur_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_blur_radius_hover'] ) ? $shortcode['atts']['box_shadow_blur_radius_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'blur-radius' ) ),
                            'box_shadow_spread_radius_hover' => isset( $shortcode['atts']['box_shadow_spread_radius_hover'] ) && $shortcode['atts']['box_shadow_spread_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_spread_radius_hover'] ) ? $shortcode['atts']['box_shadow_spread_radius_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'spread-radius' ) ),
                            'box_shadow_color_hover' => isset( $shortcode['atts']['box_shadow_color_hover'] ) && $shortcode['atts']['box_shadow_color_hover'] != '' ? $shortcode['atts']['box_shadow_color_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'color' ) ),
                            'border_color_between_attributes' => isset( $shortcode['atts']['border_color_between_attributes'] ) && $shortcode['atts']['border_color_between_attributes'] != '' ? $shortcode['atts']['border_color_between_attributes'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-inset-border-color' ) ),
                            'box_icon_color' => isset( $shortcode['atts']['box_icon_color'] ) && $shortcode['atts']['box_icon_color'] != '' ? $shortcode['atts']['box_icon_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-background-icon-color' ) ),
                            'attributes_icon_color' => isset( $shortcode['atts']['attributes_icon_color'] ) && $shortcode['atts']['attributes_icon_color'] != '' ? $shortcode['atts']['attributes_icon_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                            'attributes_title_color' => isset( $shortcode['atts']['attributes_title_color'] ) && $shortcode['atts']['attributes_title_color'] != '' ? $shortcode['atts']['attributes_title_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-headings-color' ) )
                        );

                        # attributes box
                        $shortcodes_styles -> update_style(
                            esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-attributes-box-elements',
                            array(
                                'border-width' => esc_attr( $attributes['box_border_width'] ),
                                '-webkit-border-radius' => esc_attr( $attributes['box_border_radius'] ),
                                '-moz-border-radius' => esc_attr( $attributes['box_border_radius'] ),
                                'border-radius' => esc_attr( $attributes['box_border_radius'] )
                            )
                        );

                        # attributes box single attribute
                        $shortcodes_styles -> update_style(
                            esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-attributes-box-elements ul li',
                            array(
                                'border-bottom-width' => esc_attr( $attributes['border_between_elements_width'] )
                            )
                        );

                        # can we display custom color styles?
                        if( $attributes['custom_colors_enabled'] == 'custom_settings' ) {

                            # attributes box
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-attributes-box-elements',
                                array(
                                    'background' => esc_attr( $attributes['background_color'] ),
                                    'border-color' => esc_attr( $attributes['border_color'] ),
                                    '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length'], $attributes['box_shadow_vertical_length'], $attributes['box_shadow_blur_radius'], $attributes['box_shadow_spread_radius'], $attributes['box_shadow_color'] ),
                                    '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length'], $attributes['box_shadow_vertical_length'], $attributes['box_shadow_blur_radius'], $attributes['box_shadow_spread_radius'], $attributes['box_shadow_color'] ),
                                    'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length'], $attributes['box_shadow_vertical_length'], $attributes['box_shadow_blur_radius'], $attributes['box_shadow_spread_radius'], $attributes['box_shadow_color'] )
                                )
                            );

                            # attributes box (on hover)
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-attributes-box-elements:hover',
                                array(
                                    'background' => esc_attr( $attributes['background_color_hover'] ),
                                    'border-color' => esc_attr( $attributes['border_color_hover'] ),
                                    '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length_hover'], $attributes['box_shadow_vertical_length_hover'], $attributes['box_shadow_blur_radius_hover'], $attributes['box_shadow_spread_radius_hover'], $attributes['box_shadow_color_hover'] ),
                                    '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length_hover'], $attributes['box_shadow_vertical_length_hover'], $attributes['box_shadow_blur_radius_hover'], $attributes['box_shadow_spread_radius_hover'], $attributes['box_shadow_color_hover'] ),
                                    'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length_hover'], $attributes['box_shadow_vertical_length_hover'], $attributes['box_shadow_blur_radius_hover'], $attributes['box_shadow_spread_radius_hover'], $attributes['box_shadow_color_hover'] )
                                )
                            );

                            # attributes box icon color
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .' i.ueldo-shortcode-attributes-box-icon, .'. esc_attr( $shortcode['atts']['class_name'] ) .' i.ueldo-shortcode-attributes-box-icon:before',
                                array(
                                    'color' => esc_attr( $attributes['box_icon_color'] )
                                )
                            );

                            # attributes box single attribute
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-attributes-box-elements ul li',
                                array(
                                    'border-color' => esc_attr( $attributes['border_color_between_attributes'] )
                                )
                            );

                            # attributes box single attribute icon
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-attributes-box-elements ul li i, .'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-attributes-box-elements ul li i:before',
                                array(
                                    'color' => esc_attr( $attributes['attributes_icon_color'] )
                                )
                            );

                            # attributes box single attribute title
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-attributes-box-elements ul li .ueldo-shortcode-attributes-box-element-title',
                                array(
                                    'color' => esc_attr( $attributes['attributes_title_color'] )
                                )
                            );
                        }

                        # save css style
                        $shortcodes_styles -> save_styles();

                        # remove attributes array
                        unset( $attributes );

                    break;

                   /**
                    *
                    * ueldo_shortcode_attributes_box_single_attribute
                    *
                    */

                    case 'ueldo_shortcode_attributes_box_single_attribute':

                        # attributes array
                        $attributes = array(
                            'custom_colors_enabled' => isset( $shortcode['atts']['custom_colors_enabled'] ) && !empty( $shortcode['atts']['custom_colors_enabled'] ) ? $shortcode['atts']['custom_colors_enabled'] : 'theme_defaults',
                            'background_color' => isset( $shortcode['atts']['background_color'] ) && $shortcode['atts']['background_color'] != '' ? $shortcode['atts']['background_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                            'attribute_icon_color' => isset( $shortcode['atts']['attribute_icon_color'] ) && $shortcode['atts']['attribute_icon_color'] != '' ? $shortcode['atts']['attribute_icon_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                            'attribute_title_color' => isset( $shortcode['atts']['attribute_title_color'] ) && $shortcode['atts']['attribute_title_color'] != '' ? $shortcode['atts']['attribute_title_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-headings-color' ) )
                        );

                        # can we display custom color styles?
                        if( $attributes['custom_colors_enabled'] == 'custom_settings' ) {

                            # attribute background color
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-attributes-box .ueldo-shortcode-attributes-box-elements ul li.'. esc_attr( $shortcode['atts']['class_name'] ),
                                array(
                                    'background' => esc_attr( $attributes['background_color'] )
                                )
                            );

                            # attribute icon
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-attributes-box .ueldo-shortcode-attributes-box-elements ul li.'. esc_attr( $shortcode['atts']['class_name'] ) .' i, .ueldo-shortcode-attributes-box .ueldo-shortcode-attributes-box-elements ul li.'. esc_attr( $shortcode['atts']['class_name'] ) .' i:before',
                                array(
                                    'color' => esc_attr( $attributes['attribute_icon_color'] )
                                )
                            );

                            # attribute title
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-attributes-box .ueldo-shortcode-attributes-box-elements ul li.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-attributes-box-element-title',
                                array(
                                    'color' => esc_attr( $attributes['attribute_title_color'] )
                                )
                            );
                        }

                        # save css style
                        $shortcodes_styles -> save_styles();

                        # remove attributes array
                        unset( $attributes );

                    break;

                   /**
                    *
                    * ueldo_shortcode_info_box
                    *
                    */

                    case 'ueldo_shortcode_info_box':

                        # attributes array
                        $attributes = array(
                            'content_alignment' => isset( $shortcode['atts']['content_alignment'] ) && !empty( $shortcode['atts']['content_alignment'] ) ? $shortcode['atts']['content_alignment'] : 'center',
                            'display_additional_info_box_element' => isset( $shortcode['atts']['display_additional_info_box_element'] ) && !empty( $shortcode['atts']['display_additional_info_box_element'] ) ? $shortcode['atts']['display_additional_info_box_element'] : 'no',
                            'content_position' => isset( $shortcode['atts']['content_position'] ) && !empty( $shortcode['atts']['content_position'] ) ? $shortcode['atts']['content_position'] : 'bottom',
                            'info_box_title_heading_type' => isset( $shortcode['atts']['info_box_title_heading_type'] ) && !empty( $shortcode['atts']['info_box_title_heading_type'] ) ? $shortcode['atts']['info_box_title_heading_type'] : 'h6',
                            'info_box_title_use_custom_font_size' => isset( $shortcode['atts']['info_box_title_use_custom_font_size'] ) && !empty( $shortcode['atts']['info_box_title_use_custom_font_size'] ) ? $shortcode['atts']['info_box_title_use_custom_font_size'] : 'theme_defaults',
                            'info_element_title_text_font_size' => isset( $shortcode['atts']['info_element_title_text_font_size'] ) && $shortcode['atts']['info_element_title_text_font_size'] != '' && ueldo_is_valid_number( $shortcode['atts']['info_element_title_text_font_size'] ) ? $shortcode['atts']['info_element_title_text_font_size'] : esc_attr( $ueldo_styles_cache -> get_style( 'font-size-h6' ) ),
                            'info_element_title_margin_top' => isset( $shortcode['atts']['info_element_title_margin_top'] ) && $shortcode['atts']['info_element_title_margin_top'] != '' && ueldo_is_valid_number( $shortcode['atts']['info_element_title_margin_top'] ) ? $shortcode['atts']['info_element_title_margin_top'] : '30',
                            'info_element_display_as' => isset( $shortcode['atts']['info_element_display_as'] ) && !empty( $shortcode['atts']['info_element_display_as'] ) ? $shortcode['atts']['info_element_display_as'] : 'static',
                            'info_element_width' => isset( $shortcode['atts']['info_element_width'] ) && $shortcode['atts']['info_element_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['info_element_width'] ) ? $shortcode['atts']['info_element_width'] : '100',
                            'info_element_height' => isset( $shortcode['atts']['info_element_height'] ) && $shortcode['atts']['info_element_height'] != '' && ueldo_is_valid_number( $shortcode['atts']['info_element_height'] ) ? $shortcode['atts']['info_element_height'] : '100',
                            'info_element_border_width' => isset( $shortcode['atts']['info_element_border_width'] ) && $shortcode['atts']['info_element_border_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['info_element_border_width'] ) ? $shortcode['atts']['info_element_border_width'] : '0',
                            'info_element_border_radius' => isset( $shortcode['atts']['info_element_border_radius'] ) && !empty( $shortcode['atts']['info_element_border_radius'] ) ? $shortcode['atts']['info_element_border_radius'] : 'circle',
                            'info_element_border_radius_px' => isset( $shortcode['atts']['info_element_border_radius_px'] ) && $shortcode['atts']['info_element_border_radius_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['info_element_border_radius_px'] ) ? $shortcode['atts']['info_element_border_radius_px'] : '4',
                            'progress_bar_inset_border_radius' => isset( $shortcode['atts']['progress_bar_inset_border_radius'] ) && !empty( $shortcode['atts']['progress_bar_inset_border_radius'] ) ? $shortcode['atts']['progress_bar_inset_border_radius'] : 'same',
                            'progress_bar_inset_border_radius_px' => isset( $shortcode['atts']['progress_bar_inset_border_radius_px'] ) && $shortcode['atts']['progress_bar_inset_border_radius_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['progress_bar_inset_border_radius_px'] ) ? $shortcode['atts']['progress_bar_inset_border_radius_px'] : '4',
                            'info_element_different_sizes_on_hover' => isset( $shortcode['atts']['info_element_different_sizes_on_hover'] ) && !empty( $shortcode['atts']['info_element_different_sizes_on_hover'] ) ? $shortcode['atts']['info_element_different_sizes_on_hover'] : 'no',
                            'info_element_width_hover' => isset( $shortcode['atts']['info_element_width_hover'] ) && $shortcode['atts']['info_element_width_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['info_element_width_hover'] ) ? $shortcode['atts']['info_element_width_hover'] : '100',
                            'info_element_height_hover' => isset( $shortcode['atts']['info_element_height_hover'] ) && $shortcode['atts']['info_element_height_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['info_element_height_hover'] ) ? $shortcode['atts']['info_element_height_hover'] : '100',
                            'info_element_border_width_hover' => isset( $shortcode['atts']['info_element_border_width_hover'] ) && $shortcode['atts']['info_element_border_width_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['info_element_border_width_hover'] ) ? $shortcode['atts']['info_element_border_width_hover'] : '0',
                            'info_element_border_radius_hover' => isset( $shortcode['atts']['info_element_border_radius_hover'] ) && !empty( $shortcode['atts']['info_element_border_radius_hover'] ) ? $shortcode['atts']['info_element_border_radius_hover'] : 'circle',
                            'info_element_border_radius_px_hover' => isset( $shortcode['atts']['info_element_border_radius_px_hover'] ) && $shortcode['atts']['info_element_border_radius_px_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['info_element_border_radius_px_hover'] ) ? $shortcode['atts']['info_element_border_radius_px_hover'] : '4',
                            'progress_bar_inset_border_radius_hover' => isset( $shortcode['atts']['progress_bar_inset_border_radius_hover'] ) && !empty( $shortcode['atts']['progress_bar_inset_border_radius_hover'] ) ? $shortcode['atts']['progress_bar_inset_border_radius_hover'] : 'same',
                            'progress_bar_inset_border_radius_px_hover' => isset( $shortcode['atts']['progress_bar_inset_border_radius_px_hover'] ) && $shortcode['atts']['progress_bar_inset_border_radius_px_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['progress_bar_inset_border_radius_px_hover'] ) ? $shortcode['atts']['progress_bar_inset_border_radius_px_hover'] : '4',
                            'info_element_type' => isset( $shortcode['atts']['info_element_type'] ) && !empty( $shortcode['atts']['info_element_type'] ) ? $shortcode['atts']['info_element_type'] : 'icon',
                            'info_element_icon_custom_size_enabled' => isset( $shortcode['atts']['info_element_icon_custom_size_enabled'] ) && !empty( $shortcode['atts']['info_element_icon_custom_size_enabled'] ) ? $shortcode['atts']['info_element_icon_custom_size_enabled'] : 'theme_defaults',
                            'info_element_icon_custom_size' => isset( $shortcode['atts']['info_element_icon_custom_size'] ) && $shortcode['atts']['info_element_icon_custom_size'] != '' && ueldo_is_valid_number( $shortcode['atts']['info_element_icon_custom_size'] ) ? $shortcode['atts']['info_element_icon_custom_size'] : '48',
                            'info_element_text_custom_font_enabled' => isset( $shortcode['atts']['info_element_text_custom_font_enabled'] ) && !empty( $shortcode['atts']['info_element_text_custom_font_enabled'] ) ? $shortcode['atts']['info_element_text_custom_font_enabled'] : 'theme_defaults',
                            'info_element_text_font_size' => isset( $shortcode['atts']['info_element_text_font_size'] ) && $shortcode['atts']['info_element_text_font_size'] != '' && ueldo_is_valid_number( $shortcode['atts']['info_element_text_font_size'] ) ? $shortcode['atts']['info_element_text_font_size'] : esc_attr( $ueldo_styles_cache -> get_style( 'font-size-h1' ) ),
                            'info_element_text_line_height' => isset( $shortcode['atts']['info_element_text_line_height'] ) && $shortcode['atts']['info_element_text_line_height'] != '' && ueldo_is_valid_number( $shortcode['atts']['info_element_text_line_height'] ) ? $shortcode['atts']['info_element_text_line_height'] : esc_attr( $ueldo_styles_cache -> get_style( 'line-height-headings' ) ),
                            'info_element_text_font_family' => isset( $shortcode['atts']['info_element_text_font_family'] ) && $shortcode['atts']['info_element_text_font_family'] != '' ? $shortcode['atts']['info_element_text_font_family'] : 'headings-font',
                            'info_element_counter_custom_font_enabled' => isset( $shortcode['atts']['info_element_counter_custom_font_enabled'] ) && !empty( $shortcode['atts']['info_element_counter_custom_font_enabled'] ) ? $shortcode['atts']['info_element_counter_custom_font_enabled'] : 'theme_defaults',
                            'info_element_counter_font_size' => isset( $shortcode['atts']['info_element_counter_font_size'] ) && $shortcode['atts']['info_element_counter_font_size'] != '' && ueldo_is_valid_number( $shortcode['atts']['info_element_counter_font_size'] ) ? $shortcode['atts']['info_element_counter_font_size'] : esc_attr( $ueldo_styles_cache -> get_style( 'font-size-h1' ) ),
                            'info_element_counter_line_height' => isset( $shortcode['atts']['info_element_counter_line_height'] ) && $shortcode['atts']['info_element_counter_line_height'] != '' && ueldo_is_valid_number( $shortcode['atts']['info_element_counter_line_height'] ) ? $shortcode['atts']['info_element_counter_line_height'] : esc_attr( $ueldo_styles_cache -> get_style( 'line-height-headings' ) ),
                            'info_element_counter_font_family' => isset( $shortcode['atts']['info_element_counter_font_family'] ) && $shortcode['atts']['info_element_counter_font_family'] != '' ? $shortcode['atts']['info_element_counter_font_family'] : 'headings-font',
                            'info_element_horizontal_alignment' => isset( $shortcode['atts']['info_element_horizontal_alignment'] ) && !empty( $shortcode['atts']['info_element_horizontal_alignment'] ) ? $shortcode['atts']['info_element_horizontal_alignment'] : 'center',
                            'additional_info_element_position' => isset( $shortcode['atts']['additional_info_element_position'] ) && !empty( $shortcode['atts']['additional_info_element_position'] ) ? $shortcode['atts']['additional_info_element_position'] : 'right_bottom',
                            'additional_info_element_width' => isset( $shortcode['atts']['additional_info_element_width'] ) && $shortcode['atts']['additional_info_element_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['additional_info_element_width'] ) ? $shortcode['atts']['additional_info_element_width'] : '36',
                            'additional_info_element_height' => isset( $shortcode['atts']['additional_info_element_height'] ) && $shortcode['atts']['additional_info_element_height'] != '' && ueldo_is_valid_number( $shortcode['atts']['additional_info_element_height'] ) ? $shortcode['atts']['additional_info_element_height'] : '36',
                            'additional_info_element_margin_left' => isset( $shortcode['atts']['additional_info_element_margin_left'] ) && $shortcode['atts']['additional_info_element_margin_left'] != '' && ueldo_is_valid_number( $shortcode['atts']['additional_info_element_margin_left'] ) ? $shortcode['atts']['additional_info_element_margin_left'] : '0',
                            'additional_info_element_margin_right' => isset( $shortcode['atts']['additional_info_element_margin_right'] ) && $shortcode['atts']['additional_info_element_margin_right'] != '' && ueldo_is_valid_number( $shortcode['atts']['additional_info_element_margin_right'] ) ? $shortcode['atts']['additional_info_element_margin_right'] : '0',
                            'additional_info_element_margin_top' => isset( $shortcode['atts']['additional_info_element_margin_top'] ) && $shortcode['atts']['additional_info_element_margin_top'] != '' && ueldo_is_valid_number( $shortcode['atts']['additional_info_element_margin_top'] ) ? $shortcode['atts']['additional_info_element_margin_top'] : '0',
                            'additional_info_element_margin_bottom' => isset( $shortcode['atts']['additional_info_element_margin_bottom'] ) && $shortcode['atts']['additional_info_element_margin_bottom'] != '' && ueldo_is_valid_number( $shortcode['atts']['additional_info_element_margin_bottom'] ) ? $shortcode['atts']['additional_info_element_margin_bottom'] : '0',
                            'additional_info_element_border_width' => isset( $shortcode['atts']['additional_info_element_border_width'] ) && $shortcode['atts']['additional_info_element_border_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['additional_info_element_border_width'] ) ? $shortcode['atts']['additional_info_element_border_width'] : '0',
                            'additional_info_element_border_radius' => isset( $shortcode['atts']['additional_info_element_border_radius'] ) && !empty( $shortcode['atts']['additional_info_element_border_radius'] ) ? $shortcode['atts']['additional_info_element_border_radius'] : 'circle',
                            'additional_info_element_border_radius_px' => isset( $shortcode['atts']['additional_info_element_border_radius_px'] ) && $shortcode['atts']['additional_info_element_border_radius_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['additional_info_element_border_radius_px'] ) ? $shortcode['atts']['additional_info_element_border_radius_px'] : '4',
                            'additional_info_element_different_sizes_on_hover' => isset( $shortcode['atts']['additional_info_element_different_sizes_on_hover'] ) && !empty( $shortcode['atts']['additional_info_element_different_sizes_on_hover'] ) ? $shortcode['atts']['additional_info_element_different_sizes_on_hover'] : 'no',
                            'additional_info_element_width_hover' => isset( $shortcode['atts']['additional_info_element_width_hover'] ) && $shortcode['atts']['additional_info_element_width_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['additional_info_element_width_hover'] ) ? $shortcode['atts']['additional_info_element_width_hover'] : '36',
                            'additional_info_element_height_hover' => isset( $shortcode['atts']['additional_info_element_height_hover'] ) && $shortcode['atts']['additional_info_element_height_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['additional_info_element_height_hover'] ) ? $shortcode['atts']['additional_info_element_height_hover'] : '36',
                            'additional_info_element_margin_left_hover' => isset( $shortcode['atts']['additional_info_element_margin_left_hover'] ) && $shortcode['atts']['additional_info_element_margin_left_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['additional_info_element_margin_left_hover'] ) ? $shortcode['atts']['additional_info_element_margin_left_hover'] : '0',
                            'additional_info_element_margin_right_hover' => isset( $shortcode['atts']['additional_info_element_margin_right_hover'] ) && $shortcode['atts']['additional_info_element_margin_right_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['additional_info_element_margin_right_hover'] ) ? $shortcode['atts']['additional_info_element_margin_right_hover'] : '0',
                            'additional_info_element_margin_top_hover' => isset( $shortcode['atts']['additional_info_element_margin_top_hover'] ) && $shortcode['atts']['additional_info_element_margin_top_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['additional_info_element_margin_top_hover'] ) ? $shortcode['atts']['additional_info_element_margin_top_hover'] : '0',
                            'additional_info_element_margin_bottom_hover' => isset( $shortcode['atts']['additional_info_element_margin_bottom_hover'] ) && $shortcode['atts']['additional_info_element_margin_bottom_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['additional_info_element_margin_bottom_hover'] ) ? $shortcode['atts']['additional_info_element_margin_bottom_hover'] : '0',
                            'additional_info_element_border_width_hover' => isset( $shortcode['atts']['additional_info_element_border_width_hover'] ) && $shortcode['atts']['additional_info_element_border_width_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['additional_info_element_border_width_hover'] ) ? $shortcode['atts']['additional_info_element_border_width_hover'] : '0',
                            'additional_info_element_border_radius_hover' => isset( $shortcode['atts']['additional_info_element_border_radius_hover'] ) && !empty( $shortcode['atts']['additional_info_element_border_radius_hover'] ) ? $shortcode['atts']['additional_info_element_border_radius_hover'] : 'circle',
                            'additional_info_element_border_radius_px_hover' => isset( $shortcode['atts']['additional_info_element_border_radius_px_hover'] ) && $shortcode['atts']['additional_info_element_border_radius_px_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['additional_info_element_border_radius_px_hover'] ) ? $shortcode['atts']['additional_info_element_border_radius_px_hover'] : '4',
                            'additional_info_element_type' => isset( $shortcode['atts']['additional_info_element_type'] ) && !empty( $shortcode['atts']['additional_info_element_type'] ) ? $shortcode['atts']['additional_info_element_type'] : 'text',
                            'additional_info_element_icon_custom_size' => isset( $shortcode['atts']['additional_info_element_icon_custom_size'] ) && $shortcode['atts']['additional_info_element_icon_custom_size'] != '' && ueldo_is_valid_number( $shortcode['atts']['additional_info_element_icon_custom_size'] ) ? $shortcode['atts']['additional_info_element_icon_custom_size'] : '16',
                            'additional_info_element_text_custom_font_enabled' => isset( $shortcode['atts']['additional_info_element_text_custom_font_enabled'] ) && !empty( $shortcode['atts']['additional_info_element_text_custom_font_enabled'] ) ? $shortcode['atts']['additional_info_element_text_custom_font_enabled'] : 'theme_defaults',
                            'additional_info_element_text_font_size' => isset( $shortcode['atts']['additional_info_element_text_font_size'] ) && $shortcode['atts']['additional_info_element_text_font_size'] != '' && ueldo_is_valid_number( $shortcode['atts']['additional_info_element_text_font_size'] ) ? $shortcode['atts']['additional_info_element_text_font_size'] : '16',
                            'additional_info_element_text_line_height' => isset( $shortcode['atts']['additional_info_element_text_line_height'] ) && $shortcode['atts']['additional_info_element_text_line_height'] != '' && ueldo_is_valid_number( $shortcode['atts']['additional_info_element_text_line_height'] ) ? $shortcode['atts']['additional_info_element_text_line_height'] : '1.0',
                            'additional_info_element_text_font_family' => isset( $shortcode['atts']['additional_info_element_text_font_family'] ) && $shortcode['atts']['additional_info_element_text_font_family'] != '' ? $shortcode['atts']['additional_info_element_text_font_family'] : 'headings-font',
                            'additional_info_element_counter_custom_font_enabled' => isset( $shortcode['atts']['additional_info_element_counter_custom_font_enabled'] ) && !empty( $shortcode['atts']['additional_info_element_counter_custom_font_enabled'] ) ? $shortcode['atts']['additional_info_element_counter_custom_font_enabled'] : 'theme_defaults',
                            'additional_info_element_counter_font_size' => isset( $shortcode['atts']['additional_info_element_counter_font_size'] ) && $shortcode['atts']['additional_info_element_counter_font_size'] != '' && ueldo_is_valid_number( $shortcode['atts']['additional_info_element_counter_font_size'] ) ? $shortcode['atts']['additional_info_element_counter_font_size'] : '16',
                            'additional_info_element_counter_line_height' => isset( $shortcode['atts']['additional_info_element_counter_line_height'] ) && $shortcode['atts']['additional_info_element_counter_line_height'] != '' && ueldo_is_valid_number( $shortcode['atts']['additional_info_element_counter_line_height'] ) ? $shortcode['atts']['additional_info_element_counter_line_height'] : '1.0',
                            'additional_info_element_counter_font_family' => isset( $shortcode['atts']['additional_info_element_counter_font_family'] ) && $shortcode['atts']['additional_info_element_counter_font_family'] != '' ? $shortcode['atts']['additional_info_element_counter_font_family'] : 'headings-font',
                            'custom_colors_enabled' => isset( $shortcode['atts']['custom_colors_enabled'] ) && !empty( $shortcode['atts']['custom_colors_enabled'] ) ? $shortcode['atts']['custom_colors_enabled'] : 'theme_defaults',
                            'info_element_background_color' => isset( $shortcode['atts']['info_element_background_color'] ) && $shortcode['atts']['info_element_background_color'] != '' ? $shortcode['atts']['info_element_background_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'info-box-element-background-color' ) ),
                            'info_element_background_color_hover' => isset( $shortcode['atts']['info_element_background_color_hover'] ) && $shortcode['atts']['info_element_background_color_hover'] != '' ? $shortcode['atts']['info_element_background_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'info-box-element-background-color' ) ),
                            'info_element_border_color' => isset( $shortcode['atts']['info_element_border_color'] ) && $shortcode['atts']['info_element_border_color'] != '' ? $shortcode['atts']['info_element_border_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'info-box-element-border-color' ) ),
                            'info_element_border_color_hover' => isset( $shortcode['atts']['info_element_border_color_hover'] ) && $shortcode['atts']['info_element_border_color_hover'] != '' ? $shortcode['atts']['info_element_border_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'info-box-element-border-color' ) ),
                            'info_element_icon_color' => isset( $shortcode['atts']['info_element_icon_color'] ) && $shortcode['atts']['info_element_icon_color'] != '' ? $shortcode['atts']['info_element_icon_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                            'info_element_icon_color_hover' => isset( $shortcode['atts']['info_element_icon_color_hover'] ) && $shortcode['atts']['info_element_icon_color_hover'] != '' ? $shortcode['atts']['info_element_icon_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                            'info_element_text_color' => isset( $shortcode['atts']['info_element_text_color'] ) && $shortcode['atts']['info_element_text_color'] != '' ? $shortcode['atts']['info_element_text_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                            'info_element_text_color_hover' => isset( $shortcode['atts']['info_element_text_color_hover'] ) && $shortcode['atts']['info_element_text_color_hover'] != '' ? $shortcode['atts']['info_element_text_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                            'info_element_counter_color' => isset( $shortcode['atts']['info_element_counter_color'] ) && $shortcode['atts']['info_element_counter_color'] != '' ? $shortcode['atts']['info_element_counter_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                            'info_element_counter_color_hover' => isset( $shortcode['atts']['info_element_counter_color_hover'] ) && $shortcode['atts']['info_element_counter_color_hover'] != '' ? $shortcode['atts']['info_element_counter_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                            'info_element_box_shadow_horizontal_length' => isset( $shortcode['atts']['info_element_box_shadow_horizontal_length'] ) && $shortcode['atts']['info_element_box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['info_element_box_shadow_horizontal_length'] ) ? $shortcode['atts']['info_element_box_shadow_horizontal_length'] : '0',
                            'info_element_box_shadow_vertical_length' => isset( $shortcode['atts']['info_element_box_shadow_vertical_length'] ) && $shortcode['atts']['info_element_box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['info_element_box_shadow_vertical_length'] ) ? $shortcode['atts']['info_element_box_shadow_vertical_length'] : '0',
                            'info_element_box_shadow_blur_radius' => isset( $shortcode['atts']['info_element_box_shadow_blur_radius'] ) && $shortcode['atts']['info_element_box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['info_element_box_shadow_blur_radius'] ) ? $shortcode['atts']['info_element_box_shadow_blur_radius'] : '0',
                            'info_element_box_shadow_spread_radius' => isset( $shortcode['atts']['info_element_box_shadow_spread_radius'] ) && $shortcode['atts']['info_element_box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['info_element_box_shadow_spread_radius'] ) ? $shortcode['atts']['info_element_box_shadow_spread_radius'] : '0',
                            'info_element_box_shadow_color' => isset( $shortcode['atts']['info_element_box_shadow_color'] ) && $shortcode['atts']['info_element_box_shadow_color'] != '' ? $shortcode['atts']['info_element_box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) ),
                            'info_element_box_shadow_horizontal_length_hover' => isset( $shortcode['atts']['info_element_box_shadow_horizontal_length_hover'] ) && $shortcode['atts']['info_element_box_shadow_horizontal_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['info_element_box_shadow_horizontal_length_hover'] ) ? $shortcode['atts']['info_element_box_shadow_horizontal_length_hover'] : '0',
                            'info_element_box_shadow_vertical_length_hover' => isset( $shortcode['atts']['info_element_box_shadow_vertical_length_hover'] ) && $shortcode['atts']['info_element_box_shadow_vertical_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['info_element_box_shadow_vertical_length_hover'] ) ? $shortcode['atts']['info_element_box_shadow_vertical_length_hover'] : '0',
                            'info_element_box_shadow_blur_radius_hover' => isset( $shortcode['atts']['info_element_box_shadow_blur_radius_hover'] ) && $shortcode['atts']['info_element_box_shadow_blur_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['info_element_box_shadow_blur_radius_hover'] ) ? $shortcode['atts']['info_element_box_shadow_blur_radius_hover'] : '0',
                            'info_element_box_shadow_spread_radius_hover' => isset( $shortcode['atts']['info_element_box_shadow_spread_radius_hover'] ) && $shortcode['atts']['info_element_box_shadow_spread_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['info_element_box_shadow_spread_radius_hover'] ) ? $shortcode['atts']['info_element_box_shadow_spread_radius_hover'] : '0',
                            'info_element_box_shadow_color_hover' => isset( $shortcode['atts']['info_element_box_shadow_color_hover'] ) && $shortcode['atts']['info_element_box_shadow_color_hover'] != '' ? $shortcode['atts']['info_element_box_shadow_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) ),
                            'additional_info_element_background_color' => isset( $shortcode['atts']['additional_info_element_background_color'] ) && $shortcode['atts']['additional_info_element_background_color'] != '' ? $shortcode['atts']['additional_info_element_background_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                            'additional_info_element_background_color_hover' => isset( $shortcode['atts']['additional_info_element_background_color_hover'] ) && $shortcode['atts']['additional_info_element_background_color_hover'] != '' ? $shortcode['atts']['additional_info_element_background_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                            'additional_info_element_border_color' => isset( $shortcode['atts']['additional_info_element_border_color'] ) && $shortcode['atts']['additional_info_element_border_color'] != '' ? $shortcode['atts']['additional_info_element_border_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                            'additional_info_element_border_color_hover' => isset( $shortcode['atts']['additional_info_element_border_color_hover'] ) && $shortcode['atts']['additional_info_element_border_color_hover'] != '' ? $shortcode['atts']['additional_info_element_border_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                            'additional_info_element_icon_color' => isset( $shortcode['atts']['additional_info_element_icon_color'] ) && $shortcode['atts']['additional_info_element_icon_color'] != '' ? $shortcode['atts']['additional_info_element_icon_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color-contrast-text-color' ) ),
                            'additional_info_element_icon_color_hover' => isset( $shortcode['atts']['additional_info_element_icon_color_hover'] ) && $shortcode['atts']['additional_info_element_icon_color_hover'] != '' ? $shortcode['atts']['additional_info_element_icon_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color-contrast-text-color' ) ),
                            'additional_info_element_text_color' => isset( $shortcode['atts']['additional_info_element_text_color'] ) && $shortcode['atts']['additional_info_element_text_color'] != '' ? $shortcode['atts']['additional_info_element_text_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color-contrast-text-color' ) ),
                            'additional_info_element_text_color_hover' => isset( $shortcode['atts']['additional_info_element_text_color_hover'] ) && $shortcode['atts']['additional_info_element_text_color_hover'] != '' ? $shortcode['atts']['additional_info_element_text_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color-contrast-text-color' ) ),
                            'additional_info_element_counter_color' => isset( $shortcode['atts']['additional_info_element_counter_color'] ) && $shortcode['atts']['additional_info_element_counter_color'] != '' ? $shortcode['atts']['additional_info_element_counter_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color-contrast-text-color' ) ),
                            'additional_info_element_counter_color_hover' => isset( $shortcode['atts']['additional_info_element_counter_color_hover'] ) && $shortcode['atts']['additional_info_element_counter_color_hover'] != '' ? $shortcode['atts']['additional_info_element_counter_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color-contrast-text-color' ) ),
                            'additional_info_element_box_shadow_horizontal_length' => isset( $shortcode['atts']['additional_info_element_box_shadow_horizontal_length'] ) && $shortcode['atts']['additional_info_element_box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['additional_info_element_box_shadow_horizontal_length'] ) ? $shortcode['atts']['additional_info_element_box_shadow_horizontal_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_pattern( 'pulsating-circles-tip-and-info-box-additional-element-box-shadow', 'horizontal-length' ) ),
                            'additional_info_element_box_shadow_vertical_length' => isset( $shortcode['atts']['additional_info_element_box_shadow_vertical_length'] ) && $shortcode['atts']['additional_info_element_box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['additional_info_element_box_shadow_vertical_length'] ) ? $shortcode['atts']['additional_info_element_box_shadow_vertical_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_pattern( 'pulsating-circles-tip-and-info-box-additional-element-box-shadow', 'vertical-length' ) ),
                            'additional_info_element_box_shadow_blur_radius' => isset( $shortcode['atts']['additional_info_element_box_shadow_blur_radius'] ) && $shortcode['atts']['additional_info_element_box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['additional_info_element_box_shadow_blur_radius'] ) ? $shortcode['atts']['additional_info_element_box_shadow_blur_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_pattern( 'pulsating-circles-tip-and-info-box-additional-element-box-shadow', 'blur-radius' ) ),
                            'additional_info_element_box_shadow_spread_radius' => isset( $shortcode['atts']['additional_info_element_box_shadow_spread_radius'] ) && $shortcode['atts']['additional_info_element_box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['additional_info_element_box_shadow_spread_radius'] ) ? $shortcode['atts']['additional_info_element_box_shadow_spread_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_pattern( 'pulsating-circles-tip-and-info-box-additional-element-box-shadow', 'spread-radius' ) ),
                            'additional_info_element_box_shadow_color' => isset( $shortcode['atts']['additional_info_element_box_shadow_color'] ) && $shortcode['atts']['additional_info_element_box_shadow_color'] != '' ? $shortcode['atts']['additional_info_element_box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_pattern( 'pulsating-circles-tip-and-info-box-additional-element-box-shadow', 'color' ) ),
                            'additional_info_element_box_shadow_horizontal_length_hover' => isset( $shortcode['atts']['additional_info_element_box_shadow_horizontal_length_hover'] ) && $shortcode['atts']['additional_info_element_box_shadow_horizontal_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['additional_info_element_box_shadow_horizontal_length_hover'] ) ? $shortcode['atts']['additional_info_element_box_shadow_horizontal_length_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_pattern( 'pulsating-circles-tip-and-info-box-additional-element-box-shadow', 'horizontal-length' ) ),
                            'additional_info_element_box_shadow_vertical_length_hover' => isset( $shortcode['atts']['additional_info_element_box_shadow_vertical_length_hover'] ) && $shortcode['atts']['additional_info_element_box_shadow_vertical_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['additional_info_element_box_shadow_vertical_length_hover'] ) ? $shortcode['atts']['additional_info_element_box_shadow_vertical_length_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_pattern( 'pulsating-circles-tip-and-info-box-additional-element-box-shadow', 'vertical-length' ) ),
                            'additional_info_element_box_shadow_blur_radius_hover' => isset( $shortcode['atts']['additional_info_element_box_shadow_blur_radius_hover'] ) && $shortcode['atts']['additional_info_element_box_shadow_blur_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['additional_info_element_box_shadow_blur_radius_hover'] ) ? $shortcode['atts']['additional_info_element_box_shadow_blur_radius_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_pattern( 'pulsating-circles-tip-and-info-box-additional-element-box-shadow', 'blur-radius' ) ),
                            'additional_info_element_box_shadow_spread_radius_hover' => isset( $shortcode['atts']['additional_info_element_box_shadow_spread_radius_hover'] ) && $shortcode['atts']['additional_info_element_box_shadow_spread_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['additional_info_element_box_shadow_spread_radius_hover'] ) ? $shortcode['atts']['additional_info_element_box_shadow_spread_radius_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_pattern( 'pulsating-circles-tip-and-info-box-additional-element-box-shadow', 'spread-radius' ) ),
                            'additional_info_element_box_shadow_color_hover' => isset( $shortcode['atts']['additional_info_element_box_shadow_color_hover'] ) && $shortcode['atts']['additional_info_element_box_shadow_color_hover'] != '' ? $shortcode['atts']['additional_info_element_box_shadow_color_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_pattern( 'pulsating-circles-tip-and-info-box-additional-element-box-shadow', 'color' ) ),
                            'info_box_title_color' => isset( $shortcode['atts']['info_box_title_color'] ) && $shortcode['atts']['info_box_title_color'] != '' ? $shortcode['atts']['info_box_title_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-headings-color' ) ),
                            'info_box_title_color_hover' => isset( $shortcode['atts']['info_box_title_color_hover'] ) && $shortcode['atts']['info_box_title_color_hover'] != '' ? $shortcode['atts']['info_box_title_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-headings-color' ) ),
                            'info_box_description_color' => isset( $shortcode['atts']['info_box_description_color'] ) && $shortcode['atts']['info_box_description_color'] != '' ? $shortcode['atts']['info_box_description_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-content-color' ) ),
                            'info_box_description_color_hover' => isset( $shortcode['atts']['info_box_description_color_hover'] ) && $shortcode['atts']['info_box_description_color_hover'] != '' ? $shortcode['atts']['info_box_description_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-content-color' ) )
                        );

                        # info element wrapper height for static info element
                        if( $attributes['info_element_display_as'] == 'static' ) {

                            # info element wrapper height
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-info-box-element-wrapper, .ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-info-box-element-wrapper .ueldo-shortcode-info-box-element-middle-helper',
                                array(
                                    'height' => esc_attr( $attributes['info_element_height'] )
                                )
                            );

                            # info element width and height
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-info-box-element-wrapper .ueldo-shortcode-info-box-element',
                                array(
                                    'width' => esc_attr( $attributes['info_element_width'] ),
                                    'height' => esc_attr( $attributes['info_element_height'] )
                                )
                            );
                        }

                        # info element wrapper height for progress-bar info element
                        else {

                            # info element wrapper height
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-info-box-element-wrapper',
                                array(
                                    'height' => esc_attr( $attributes['info_element_height'] )
                                )
                            );

                            # info element wrapper height
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-info-box-element-wrapper .ueldo-shortcode-info-box-element-middle-helper',
                                array(
                                    'height' => esc_attr( $attributes['info_element_height'] - ( $attributes['info_element_border_width'] * 4 ) )
                                )
                            );

                            # info element width and height
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-info-box-element-wrapper .ueldo-shortcode-info-box-element',
                                array(
                                    'width' => esc_attr( $attributes['info_element_width'] - ( $attributes['info_element_border_width'] * 2 ) ),
                                    'height' => esc_attr( $attributes['info_element_height'] - ( $attributes['info_element_border_width'] * 2 ) ),
                                    'top' => esc_attr( $attributes['info_element_border_width'] ) .'px'
                                )
                            );

                            # switch by info element content position
                            switch( $attributes['content_alignment'] ) {

                                # info element on left side
                                case 'left':

                                    # update info element position
                                    $shortcodes_styles -> update_style(
                                        'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-info-box-element-wrapper .ueldo-shortcode-info-box-element',
                                        array(
                                            'left' => esc_attr( $attributes['info_element_border_width'] ) .'px'
                                        )
                                    );

                                break;

                                # info element centered
                                case 'center':

                                    # update info element position
                                    $shortcodes_styles -> update_style(
                                        'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-info-box-element-wrapper .ueldo-shortcode-info-box-element',
                                        array(
                                            'left' => '0'
                                        )
                                    );

                                break;

                                # info element on right side
                                case 'right':

                                    # update info element position
                                    $shortcodes_styles -> update_style(
                                        'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-info-box-element-wrapper .ueldo-shortcode-info-box-element',
                                        array(
                                            'right' => esc_attr( $attributes['info_element_border_width'] ) .'px'
                                        )
                                    );

                                break;
                            }
                        }

                        # info element width and height
                        $shortcodes_styles -> update_style(
                            'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-info-box-element-wrapper .ueldo-shortcode-info-box-element',
                            array(
                                'border-width' => esc_attr( $attributes['info_element_border_width'] ),
                                '-webkit-border-radius'. esc_attr( $attributes['info_element_border_radius'] == 'circle' ? '-%' : '' ) => esc_attr( $attributes['info_element_border_radius'] == 'circle' ? '100%' : $attributes['info_element_border_radius_px'] ),
                                '-moz-border-radius'. esc_attr( $attributes['info_element_border_radius'] == 'circle' ? '-%' : '' ) => esc_attr( $attributes['info_element_border_radius'] == 'circle' ? '100%' : $attributes['info_element_border_radius_px'] ),
                                'border-radius'. esc_attr( $attributes['info_element_border_radius'] == 'circle' ? '-%' : '' ) => esc_attr( $attributes['info_element_border_radius'] == 'circle' ? '100%' : $attributes['info_element_border_radius_px'] )
                            )
                        );

                        # inner wrapper width
                        $shortcodes_styles -> update_style(
                            'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-info-box-element-wrapper .ueldo-shortcode-info-box-element-inner-wrapper',
                            array(
                                'width' => esc_attr( $attributes['info_element_width'] )
                            )
                        );

                        # add inline element style
                        if( $attributes['content_position'] == 'inline' ) {

                            # info element inline wrapper width
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-info-box-content-position-inline .ueldo-shortcode-info-box-element-wrapper',
                                array(
                                    'width' => esc_attr( $attributes['info_element_width'] )
                                )
                            );

                            # info box inline content width
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-info-box-content-position-inline .ueldo-shortcode-info-box-heading .ueldo-shortcode-info-box-title, .ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-info-box-content-position-inline .ueldo-shortcode-info-box-content',
                                array(
                                    'width-webkit-calc' => '-webkit-calc( 100% - '. esc_attr( $attributes['info_element_width'] + 30 ) .'px )',
                                    'width-moz-calc' => '-moz-calc( 100% - '. esc_attr( $attributes['info_element_width'] + 30 ) .'px )',
                                    'width-calc' => 'calc( 100% - '. esc_attr( $attributes['info_element_width'] + 30 ) .'px )'
                                )
                            );

                            # info box inline content margin
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-info-box-content-position-inline .ueldo-shortcode-info-box-content',
                                array(
                                    'margin-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) => esc_attr( $attributes['info_element_width'] + 30 )
                                )
                            );
                        }

                        # can we add margin top for heading title?
                        if( $attributes['content_position'] == 'bottom' ) {

                            # update info box title margin top value
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-info-box.ueldo-shortcode-info-box-content-position-bottom .ueldo-shortcode-info-box-title',
                                array(
                                    'margin-top' => esc_attr( $attributes['info_element_title_margin_top'] )
                                )
                            );
                        }

                        # can we add custom font size for info box title?
                        if( $attributes['info_box_title_use_custom_font_size'] != 'theme_defaults' ) {

                            # update info box title font size
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-info-box.ueldo-shortcode-info-box-content-position-bottom .ueldo-shortcode-info-box-title '. esc_attr( $attributes['info_box_title_heading_type'] ) .', .ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-info-box.ueldo-shortcode-info-box-content-position-inline .ueldo-shortcode-info-box-heading .ueldo-shortcode-info-box-title '. esc_attr( $attributes['info_box_title_heading_type'] ),
                                array(
                                    'font-size' => esc_attr( $attributes['info_element_title_text_font_size'] )
                                )
                            );
                        }

                        # different element sizes on hover?
                        if( $attributes['info_element_different_sizes_on_hover'] == 'yes' ) {

                            # info element wrapper height for static info element
                            if( $attributes['info_element_display_as'] == 'static' ) {

                                # info element wrapper width
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .':hover .ueldo-shortcode-info-box-element-wrapper, .ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .':hover .ueldo-shortcode-info-box-element-wrapper .ueldo-shortcode-info-box-element-middle-helper',
                                    array(
                                        'height' => esc_attr( $attributes['info_element_height_hover'] )
                                    )
                                );

                                # info element width and height
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .':hover .ueldo-shortcode-info-box-element-wrapper .ueldo-shortcode-info-box-element',
                                    array(
                                        'width' => esc_attr( $attributes['info_element_width_hover'] ),
                                        'height' => esc_attr( $attributes['info_element_height_hover'] )
                                    )
                                );
                            }

                            # info element wrapper height for progress-bar info element
                            else {

                                 # info element wrapper width
                                 $shortcodes_styles -> update_style(
                                     'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .':hover .ueldo-shortcode-info-box-element-wrapper, .ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .':hover .ueldo-shortcode-info-box-element-wrapper .ueldo-shortcode-info-box-element-middle-helper',
                                     array(
                                         'height' => esc_attr( $attributes['info_element_height_hover'] - ( $attributes['info_element_border_width_hover'] * 4 ) )
                                     )
                                 );

                                 # info element width and height
                                 $shortcodes_styles -> update_style(
                                     'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .':hover .ueldo-shortcode-info-box-element-wrapper .ueldo-shortcode-info-box-element',
                                     array(
                                         'width' => esc_attr( $attributes['info_element_width_hover'] - ( $attributes['info_element_border_width_hover'] * 2 ) ),
                                         'height' => esc_attr( $attributes['info_element_height_hover'] - ( $attributes['info_element_border_width_hover'] * 2 ) ),
                                         'top' => esc_attr( $attributes['info_element_border_width_hover'] ) .'px'
                                     )
                                 );

                                 # switch by info element content position
                                 switch( $attributes['content_alignment'] ) {

                                     # info element on left side
                                     case 'left':

                                         # update info element position
                                         $shortcodes_styles -> update_style(
                                             'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .':hover .ueldo-shortcode-info-box-element-wrapper .ueldo-shortcode-info-box-element',
                                             array(
                                                 'left' => esc_attr( $attributes['info_element_border_width_hover'] ) .'px'
                                             )
                                         );

                                     break;

                                     # info element centered
                                     case 'center':

                                         # update info element position
                                         $shortcodes_styles -> update_style(
                                             'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .':hover .ueldo-shortcode-info-box-element-wrapper .ueldo-shortcode-info-box-element',
                                             array(
                                                 'left' => '0'
                                             )
                                         );

                                     break;

                                     # info element on right side
                                     case 'right':

                                         # update info element position
                                         $shortcodes_styles -> update_style(
                                             'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .':hover .ueldo-shortcode-info-box-element-wrapper .ueldo-shortcode-info-box-element',
                                             array(
                                                 'right' => esc_attr( $attributes['info_element_border_width_hover'] ) .'px'
                                             )
                                         );

                                     break;
                                 }
                            }

                            # info element width and height
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .':hover .ueldo-shortcode-info-box-element-wrapper .ueldo-shortcode-info-box-element',
                                array(
                                    'border-width' => esc_attr( $attributes['info_element_border_width_hover'] ),
                                    '-webkit-border-radius'. esc_attr( $attributes['info_element_border_radius_hover'] == 'circle' ? '-%' : '' ) => esc_attr( $attributes['info_element_border_radius_hover'] == 'circle' ? '100%' : $attributes['info_element_border_radius_px_hover'] ),
                                    '-moz-border-radius'. esc_attr( $attributes['info_element_border_radius_hover'] == 'circle' ? '-%' : '' ) => esc_attr( $attributes['info_element_border_radius_hover'] == 'circle' ? '100%' : $attributes['info_element_border_radius_px_hover'] ),
                                    'border-radius'. esc_attr( $attributes['info_element_border_radius_hover'] == 'circle' ? '-%' : '' ) => esc_attr( $attributes['info_element_border_radius_hover'] == 'circle' ? '100%' : $attributes['info_element_border_radius_px_hover'] )
                                )
                            );

                            # inner wrapper width
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .':hover .ueldo-shortcode-info-box-element-wrapper .ueldo-shortcode-info-box-element-inner-wrapper',
                                array(
                                    'width' => esc_attr( $attributes['info_element_width_hover'] )
                                )
                            );

                            # add inline element style
                            if( $attributes['content_position'] == 'inline' ) {

                                # info element inline wrapper height
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-info-box-content-position-inline:hover .ueldo-shortcode-info-box-element-wrapper',
                                    array(
                                        'width' => esc_attr( $attributes['info_element_width_hover'] )
                                    )
                                );

                                # info box inline content width
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-info-box-content-position-inline:hover .ueldo-shortcode-info-box-heading .ueldo-shortcode-info-box-title, .ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-info-box-content-position-inline:hover .ueldo-shortcode-info-box-content',
                                    array(
                                        'width-webkit-calc' => '-webkit-calc( 100% - '. esc_attr( $attributes['info_element_width_hover'] + 30 ) .'px )',
                                        'width-moz-calc' => '-moz-calc( 100% - '. esc_attr( $attributes['info_element_width_hover'] + 30 ) .'px )',
                                        'width-calc' => 'calc( 100% - '. esc_attr( $attributes['info_element_width_hover'] + 30 ) .'px )'
                                    )
                                );

                                # info box inline content margin
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-info-box-content-position-inline:hover .ueldo-shortcode-info-box-content',
                                    array(
                                        'margin-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) => esc_attr( $attributes['info_element_width_hover'] + 30 )
                                    )
                                );
                            }
                        }

                        # info element contents
                        switch( $attributes['info_element_type'] ) {

                            # info element: icon
                            case 'icon':

                                # can we set custom icon size?
                                if( $attributes['info_element_icon_custom_size_enabled'] != 'theme_defaults' ) {

                                    # info box element icon size
                                    $shortcodes_styles -> update_style(
                                        'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-info-box-element i, .ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-info-box-element i:before',
                                        array(
                                            'font-size' => esc_attr( $attributes['info_element_icon_custom_size'] )
                                        )
                                    );

                                    # info box element icon position (not for "vc-mono")
                                    $shortcodes_styles -> update_style(
                                        'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-info-box-element i:not(.vc-mono)',
                                        array(
                                            'margin-top' => '-'. esc_attr( floor( $attributes['info_element_icon_custom_size'] / 2 ) ),
                                            'margin-left' => '-'. esc_attr( floor( $attributes['info_element_icon_custom_size'] / 2 ) ),
                                            'width' => esc_attr( $attributes['info_element_icon_custom_size'] ),
                                            'height' => esc_attr( $attributes['info_element_icon_custom_size'] )
                                        )
                                    );

                                    # info box element icon position (for "vc-mono")
                                    $shortcodes_styles -> update_style(
                                        'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-info-box-element i.vc-mono',
                                        array(
                                            'margin-top' => '-'. esc_attr( floor( $attributes['info_element_icon_custom_size'] / 2 ) ),
                                            'height' => esc_attr( $attributes['info_element_icon_custom_size'] ),
                                            'line-height-string' => esc_attr( $attributes['info_element_icon_custom_size'] ) .'px'
                                        )
                                    );
                                }

                            break;

                            # info element: text
                            case 'text':

                                # can we set custom font settings for "text" element?
                                if( $attributes['info_element_text_custom_font_enabled'] != 'theme_defaults' ) {

                                    # get font data array
                                    $font = ueldo_vc_get_custom_font_family_attributes( ( !empty( $attributes['info_element_text_font_family'] ) ? $attributes['info_element_text_font_family'] : false ), 'headings-font' );

                                    # set font size and line height
                                    $shortcodes_styles -> update_style(
                                        'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-info-box-element .ueldo-shortcode-info-box-element-text',
                                        array(
                                            'font-size' => esc_attr( $attributes['info_element_text_font_size'] ),
                                            'line-height' => esc_attr( $attributes['info_element_text_line_height'] ),
                                            'font-family' => esc_attr( $font['font-family'] ),
                                            'font-weight' => esc_attr( $font['font-weight'] ),
                                            'font-style' => esc_attr( $font['font-style'] ),
                                            '-webkit-font-smoothing' => esc_attr( $font['-webkit-font-smoothing'] ),
                                            '-moz-osx-font-smoothing' => esc_attr( $font['-moz-osx-font-smoothing'] )
                                        )
                                    );

                                    # unset temporary variable
                                    unset( $font );
                                }

                            break;

                            # info element: counter
                            case 'counter':

                                # can we set custom font settings for "counter" element?
                                if( $attributes['info_element_counter_custom_font_enabled'] != 'theme_defaults' ) {

                                    # get font data array
                                    $font = ueldo_vc_get_custom_font_family_attributes( ( !empty( $attributes['info_element_counter_font_family'] ) ? $attributes['info_element_counter_font_family'] : false ), 'headings-font' );

                                    # set font size and line height
                                    $shortcodes_styles -> update_style(
                                        'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-info-box-element .ueldo-shortcode-info-box-element-counter',
                                        array(
                                            'font-size' => esc_attr( $attributes['info_element_counter_font_size'] ),
                                            'line-height' => esc_attr( $attributes['info_element_counter_line_height'] ),
                                            'font-family' => esc_attr( $font['font-family'] ),
                                            'font-weight' => esc_attr( $font['font-weight'] ),
                                            'font-style' => esc_attr( $font['font-style'] ),
                                            '-webkit-font-smoothing' => esc_attr( $font['-webkit-font-smoothing'] ),
                                            '-moz-osx-font-smoothing' => esc_attr( $font['-moz-osx-font-smoothing'] )
                                        )
                                    );

                                    # unset temporary variable
                                    unset( $font );
                                }

                            break;
                        }

                        # progress bar settings
                        if( $attributes['info_element_display_as'] == 'progress-bar' ) {

                            # temporary variable
                            $temp = array(
                                'border-radius' => $attributes['info_element_border_radius'] == 'circle' ? '100%' : $attributes['info_element_border_radius_px'],
                                'border-radius-inset' => $attributes['progress_bar_inset_border_radius'] == 'same' ? ( $attributes['info_element_border_radius'] == 'circle' ? '100%' : $attributes['info_element_border_radius_px'] ) : ( $attributes['progress_bar_inset_border_radius'] == 'circle' ? '100%' : $attributes['progress_bar_inset_border_radius_px'] )
                            );

                            # progress bar styles
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-progress-bar-rounded',
                                array(
                                    'width' => esc_attr( $attributes['info_element_width'] ),
                                    'height' => esc_attr( $attributes['info_element_height'] ),
                                    '-webkit-border-radius'. esc_attr( $temp['border-radius'] == '100%' ? '-%' : '' ) => esc_attr( $temp['border-radius'] ),
                                    '-moz-border-radius'. esc_attr( $temp['border-radius'] == '100%' ? '-%' : '' ) => esc_attr( $temp['border-radius'] ),
                                    'border-radius'. esc_attr( $temp['border-radius'] == '100%' ? '-%' : '' ) => esc_attr( $temp['border-radius'] ),
                                    esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) => '0'
                                )
                            );

                            # progress bar container styles
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-progress-bar-rounded .ueldo-progress-bar-container, .ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-progress-bar-rounded .ueldo-progress-bar-container-hover',
                                array(
                                    'width' => esc_attr( $attributes['info_element_width'] ),
                                    'height' => esc_attr( $attributes['info_element_height'] )
                                )
                            );

                            # progress bar inner styles
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-progress-bar-rounded .ueldo-progress-bar-rounded-inner, .ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-progress-bar-rounded .ueldo-progress-bar-rounded-inner-hover',
                                array(
                                    'width' => esc_attr( $attributes['info_element_width'] - ( $attributes['info_element_border_width'] * 2 ) ),
                                    'height' => esc_attr( $attributes['info_element_height'] - ( $attributes['info_element_border_width'] * 2 ) ),
                                    esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) => esc_attr( $attributes['info_element_border_width'] ) .'px',
                                    'top' => esc_attr( $attributes['info_element_border_width'] ) .'px'
                                )
                            );

                            # progress bar center
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-info-box-content-alignment-center:not(.ueldo-shortcode-info-box-content-position-inline) .ueldo-progress-bar-rounded',
                                array(
                                    'margin-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) => '-'. esc_attr( $attributes['info_element_width'] ) / 2
                                )
                            );

                            # progress bar inner border radius
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-progress-bar-rounded .ueldo-progress-bar-rounded-inner, .ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-progress-bar-rounded .ueldo-progress-bar-rounded-line, .ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-progress-bar-rounded .ueldo-progress-bar-rounded-inner-hover, .ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-progress-bar-rounded .ueldo-progress-bar-rounded-line-hover',
                                array(
                                    '-webkit-border-radius'. esc_attr( $temp['border-radius-inset'] == '100%' ? '-%' : '' ) => esc_attr( $temp['border-radius-inset'] ),
                                    '-moz-border-radius'. esc_attr( $temp['border-radius-inset'] == '100%' ? '-%' : '' ) => esc_attr( $temp['border-radius-inset'] ),
                                    'border-radius'. esc_attr( $temp['border-radius-inset'] == '100%' ? '-%' : '' ) => esc_attr( $temp['border-radius-inset'] )
                                )
                            );

                            # remove temporary variable
                            unset( $temp );

                            # different sizes on hover?
                            if( $attributes['info_element_different_sizes_on_hover'] == 'yes' ) {

                                # temporary variable
                                $temp = array(
                                    'border-radius-hover' => $attributes['info_element_border_radius_hover'] == 'circle' ? '100%' : $attributes['info_element_border_radius_px_hover'],
                                    'border-radius-inset-hover' => $attributes['progress_bar_inset_border_radius_hover'] == 'same' ? ( $attributes['info_element_border_radius_hover'] == 'circle' ? '100%' : $attributes['info_element_border_radius_px_hover'] ) : ( $attributes['progress_bar_inset_border_radius_hover'] == 'circle' ? '100%' : $attributes['progress_bar_inset_border_radius_hover_px'] )
                                );

                                # progress bar (on hover) border radius
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .':hover .ueldo-progress-bar-rounded',
                                    array(
                                        'width' => esc_attr( $attributes['info_element_width_hover'] ),
                                        'height' => esc_attr( $attributes['info_element_height_hover'] ),
                                        '-webkit-border-radius'. esc_attr( $temp['border-radius-hover'] == '100%' ? '-%' : '' ) => esc_attr( $temp['border-radius-hover'] ),
                                        '-moz-border-radius'. esc_attr( $temp['border-radius-hover'] == '100%' ? '-%' : '' ) => esc_attr( $temp['border-radius-hover'] ),
                                        'border-radius'. esc_attr( $temp['border-radius-hover'] == '100%' ? '-%' : '' ) => esc_attr( $temp['border-radius-hover'] )
                                    )
                                );

                                # progress bar center
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-info-box-content-alignment-center:not(.ueldo-shortcode-info-box-content-position-inline):hover .ueldo-progress-bar-rounded',
                                    array(
                                        'margin-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) => '-'. esc_attr( $attributes['info_element_width_hover'] ) / 2
                                    )
                                );

                                # progress bar container styles
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .':hover .ueldo-progress-bar-rounded .ueldo-progress-bar-container, .ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .':hover .ueldo-progress-bar-rounded .ueldo-progress-bar-container-hover',
                                    array(
                                        'width' => esc_attr( $attributes['info_element_width_hover'] ),
                                        'height' => esc_attr( $attributes['info_element_height_hover'] )
                                    )
                                );

                                # progress bar inner styles
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .':hover .ueldo-progress-bar-rounded .ueldo-progress-bar-rounded-inner, .ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .':hover .ueldo-progress-bar-rounded .ueldo-progress-bar-rounded-inner-hover',
                                    array(
                                        'width' => esc_attr( $attributes['info_element_width_hover'] - ( $attributes['info_element_border_width_hover'] * 2 ) ),
                                        'height' => esc_attr( $attributes['info_element_height_hover'] - ( $attributes['info_element_border_width_hover'] * 2 ) ),
                                        esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) => esc_attr( $attributes['info_element_border_width_hover'] ) .'px',
                                        'top' => esc_attr( $attributes['info_element_border_width_hover'] ) .'px'
                                    )
                                );

                                # progress bar inner border radius (on hover)
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .':hover .ueldo-progress-bar-rounded .ueldo-progress-bar-rounded-inner, .ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .':hover .ueldo-progress-bar-rounded .ueldo-progress-bar-rounded-line, .ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .':hover .ueldo-progress-bar-rounded .ueldo-progress-bar-rounded-inner-hover, .ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .':hover .ueldo-progress-bar-rounded .ueldo-progress-bar-rounded-line-hover',
                                    array(
                                        '-webkit-border-radius'. esc_attr( $temp['border-radius-inset-hover'] == '100%' ? '-%' : '' ) => esc_attr( $temp['border-radius-inset-hover'] ),
                                        '-moz-border-radius'. esc_attr( $temp['border-radius-inset-hover'] == '100%' ? '-%' : '' ) => esc_attr( $temp['border-radius-inset-hover'] ),
                                        'border-radius'. esc_attr( $temp['border-radius-inset-hover'] == '100%' ? '-%' : '' ) => esc_attr( $temp['border-radius-inset-hover'] )
                                    )
                                );

                                # remove temporary variable
                                unset( $temp );
                            }
                        }

                        # set horizontal alignment for info element
                        $shortcodes_styles -> update_style(
                            'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-info-box .ueldo-shortcode-info-box-element',
                            array(
                                'text-align' => esc_attr( $attributes['info_element_horizontal_alignment'] )
                            )
                        );

                        # additional info element
                        if( $attributes['display_additional_info_box_element'] != 'no' ) {

                            # additional info element styles
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-info-box-additional-element',
                                array(
                                    'width' => esc_attr( $attributes['additional_info_element_width'] ),
                                    'height' => esc_attr( $attributes['additional_info_element_height'] ),
                                    'border-width' => esc_attr( $attributes['additional_info_element_border_width'] ),
                                    '-webkit-border-radius'. esc_attr( $attributes['additional_info_element_border_radius'] == 'circle' ? '-%' : '' ) => esc_attr( $attributes['additional_info_element_border_radius'] == 'circle' ? '100%' : $attributes['additional_info_element_border_radius_px'] ),
                                    '-moz-border-radius'. esc_attr( $attributes['additional_info_element_border_radius'] == 'circle' ? '-%' : '' ) => esc_attr( $attributes['additional_info_element_border_radius'] == 'circle' ? '100%' : $attributes['additional_info_element_border_radius_px'] ),
                                    'border-radius'. esc_attr( $attributes['additional_info_element_border_radius'] == 'circle' ? '-%' : '' ) => esc_attr( $attributes['additional_info_element_border_radius'] == 'circle' ? '100%' : $attributes['additional_info_element_border_radius_px'] )
                                )
                            );

                            # additional info element position
                            switch( $attributes['additional_info_element_position'] ) {

                                # left - top position
                                case 'left_top':

                                    # additional info element position styles
                                    $shortcodes_styles -> update_style(
                                        'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-info-box-additional-element.ueldo-shortcode-info-box-additional-element-left-top',
                                        array(
                                            'top' => '-'. esc_attr( $attributes['additional_info_element_height'] / 2 ) .'px',
                                            'left' => '-'. esc_attr( $attributes['additional_info_element_width'] / 2 ) .'px',
                                            'margin-left' => esc_attr( $attributes['additional_info_element_margin_left'] ),
                                            'margin-top' => esc_attr( $attributes['additional_info_element_margin_top'] )
                                        )
                                    );

                                break;

                                # left - center position
                                case 'left_center':

                                    # additional info element position styles
                                    $shortcodes_styles -> update_style(
                                        'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-info-box-additional-element.ueldo-shortcode-info-box-additional-element-left-center',
                                        array(
                                            'top' => '50%',
                                            'margin-top' => '-'. esc_attr( $attributes['additional_info_element_height'] / 2 ),
                                            'left' => '-'. esc_attr( $attributes['additional_info_element_width'] / 2 ) .'px',
                                            'margin-left' => esc_attr( $attributes['additional_info_element_margin_left'] )
                                        )
                                    );

                                break;

                                # left - bottom position
                                case 'left_bottom':

                                    # additional info element position styles
                                    $shortcodes_styles -> update_style(
                                        'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-info-box-additional-element.ueldo-shortcode-info-box-additional-element-left-bottom',
                                        array(
                                            'bottom' => '-'. esc_attr( $attributes['additional_info_element_height'] / 2 ) .'px',
                                            'left' => '-'. esc_attr( $attributes['additional_info_element_width'] / 2 ) .'px',
                                            'margin-left' => esc_attr( $attributes['additional_info_element_margin_left'] ),
                                            'margin-bottom' => esc_attr( $attributes['additional_info_element_margin_bottom'] )
                                        )
                                    );

                                break;

                                # center - top position
                                case 'center_top':

                                    # additional info element position styles
                                    $shortcodes_styles -> update_style(
                                        'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-info-box-additional-element.ueldo-shortcode-info-box-additional-element-center-top',
                                        array(
                                            'left' => '50%',
                                            'margin-left' => '-'. esc_attr( $attributes['additional_info_element_width'] / 2 ),
                                            'top' => '-'. esc_attr( $attributes['additional_info_element_height'] / 2 ) .'px',
                                            'margin-top' => esc_attr( $attributes['additional_info_element_margin_top'] )
                                        )
                                    );

                                break;

                                # center - bottom position
                                case 'center_bottom':

                                    # additional info element position styles
                                    $shortcodes_styles -> update_style(
                                        'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-info-box-additional-element.ueldo-shortcode-info-box-additional-element-center-bottom',
                                        array(
                                            'left' => '50%',
                                            'margin-left' => '-'. esc_attr( $attributes['additional_info_element_width'] / 2 ),
                                            'bottom' => '-'. esc_attr( $attributes['additional_info_element_height'] / 2 ) .'px',
                                            'margin-bottom' => esc_attr( $attributes['additional_info_element_margin_bottom'] )
                                        )
                                    );

                                break;

                                # right - top position
                                case 'right_top':

                                    # additional info element position styles
                                    $shortcodes_styles -> update_style(
                                        'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-info-box-additional-element.ueldo-shortcode-info-box-additional-element-right-top',
                                        array(
                                            'top' => '-'. esc_attr( $attributes['additional_info_element_height'] / 2 ) .'px',
                                            'right' => '-'. esc_attr( $attributes['additional_info_element_width'] / 2 ) .'px',
                                            'margin-right' => esc_attr( $attributes['additional_info_element_margin_right'] ),
                                            'margin-top' => esc_attr( $attributes['additional_info_element_margin_top'] )
                                        )
                                    );

                                break;

                                # right - center position
                                case 'right_center':

                                    # additional info element position styles
                                    $shortcodes_styles -> update_style(
                                        'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-info-box-additional-element.ueldo-shortcode-info-box-additional-element-right-center',
                                        array(
                                            'top' => '50%',
                                            'margin-top' => '-'. esc_attr( $attributes['additional_info_element_height'] / 2 ),
                                            'right' => '-'. esc_attr( $attributes['additional_info_element_width'] / 2 ) .'px',
                                            'margin-right' => esc_attr( $attributes['additional_info_element_margin_right'] )
                                        )
                                    );

                                break;

                                # right - bottom position
                                case 'right_bottom':

                                    # additional info element position styles
                                    $shortcodes_styles -> update_style(
                                        'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-info-box-additional-element.ueldo-shortcode-info-box-additional-element-right-bottom',
                                        array(
                                            'bottom' => '-'. esc_attr( $attributes['additional_info_element_height'] / 2 ) .'px',
                                            'right' => '-'. esc_attr( $attributes['additional_info_element_width'] / 2 ) .'px',
                                            'margin-right' => esc_attr( $attributes['additional_info_element_margin_right'] ),
                                            'margin-bottom' => esc_attr( $attributes['additional_info_element_margin_bottom'] )
                                        )
                                    );

                                break;
                            }

                            # middle helper height
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-info-box-additional-element .ueldo-shortcode-info-box-additional-element-middle-helper',
                                array(
                                    'height' => esc_attr( $attributes['additional_info_element_height'] - ( $attributes['additional_info_element_border_width'] * 2 ) )
                                )
                            );

                            # do we have to use different sizes on hover, for additional info element?
                            if( $attributes['additional_info_element_different_sizes_on_hover'] != 'no' ) {

                                # additional info element styles (on hover)
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .':hover .ueldo-shortcode-info-box-additional-element',
                                    array(
                                        'width' => esc_attr( $attributes['additional_info_element_width_hover'] ),
                                        'height' => esc_attr( $attributes['additional_info_element_height_hover'] ),
                                        'border-width' => esc_attr( $attributes['additional_info_element_border_width_hover'] ),
                                        '-webkit-border-radius'. esc_attr( $attributes['additional_info_element_border_radius_hover'] == 'circle' ? '-%' : '' ) => esc_attr( $attributes['additional_info_element_border_radius_hover'] == 'circle' ? '100%' : $attributes['additional_info_element_border_radius_px_hover'] ),
                                        '-moz-border-radius'. esc_attr( $attributes['additional_info_element_border_radius_hover'] == 'circle' ? '-%' : '' ) => esc_attr( $attributes['additional_info_element_border_radius_hover'] == 'circle' ? '100%' : $attributes['additional_info_element_border_radius_px_hover'] ),
                                        'border-radius'. esc_attr( $attributes['additional_info_element_border_radius_hover'] == 'circle' ? '-%' : '' ) => esc_attr( $attributes['additional_info_element_border_radius_hover'] == 'circle' ? '100%' : $attributes['additional_info_element_border_radius_px_hover'] )
                                    )
                                );

                                # additional info element position (on hover)
                                switch( $attributes['additional_info_element_position'] ) {

                                    # left - top position
                                    case 'left_top':

                                        # additional info element position styles (on hover)
                                        $shortcodes_styles -> update_style(
                                            'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .':hover .ueldo-shortcode-info-box-additional-element.ueldo-shortcode-info-box-additional-element-left-top',
                                            array(
                                                'top' => '-'. esc_attr( $attributes['additional_info_element_height_hover'] / 2 ) .'px',
                                                'left' => '-'. esc_attr( $attributes['additional_info_element_width_hover'] / 2 ) .'px',
                                                'margin-left' => esc_attr( $attributes['additional_info_element_margin_left_hover'] ),
                                                'margin-top' => esc_attr( $attributes['additional_info_element_margin_top_hover'] )
                                            )
                                        );

                                    break;

                                    # left - center position
                                    case 'left_center':

                                        # additional info element position styles (on hover)
                                        $shortcodes_styles -> update_style(
                                            'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .':hover .ueldo-shortcode-info-box-additional-element.ueldo-shortcode-info-box-additional-element-left-center',
                                            array(
                                                'top' => '50%',
                                                'margin-top' => '-'. esc_attr( $attributes['additional_info_element_height_hover'] / 2 ),
                                                'left' => '-'. esc_attr( $attributes['additional_info_element_width_hover'] / 2 ) .'px',
                                                'margin-left' => esc_attr( $attributes['additional_info_element_margin_left_hover'] )
                                            )
                                        );

                                    break;

                                    # left - bottom position
                                    case 'left_bottom':

                                        # additional info element position styles (on hover)
                                        $shortcodes_styles -> update_style(
                                            'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .':hover .ueldo-shortcode-info-box-additional-element.ueldo-shortcode-info-box-additional-element-left-bottom',
                                            array(
                                                'bottom' => '-'. esc_attr( $attributes['additional_info_element_height_hover'] / 2 ) .'px',
                                                'left' => '-'. esc_attr( $attributes['additional_info_element_width_hover'] / 2 ) .'px',
                                                'margin-left' => esc_attr( $attributes['additional_info_element_margin_left_hover'] ),
                                                'margin-bottom' => esc_attr( $attributes['additional_info_element_margin_bottom_hover'] )
                                            )
                                        );

                                    break;

                                    # center - bottom position
                                    case 'center_top':

                                        # additional info element position styles (on hover)
                                        $shortcodes_styles -> update_style(
                                            'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .':hover .ueldo-shortcode-info-box-additional-element.ueldo-shortcode-info-box-additional-element-center-top',
                                            array(
                                                'left' => '50%',
                                                'margin-left' => '-'. esc_attr( $attributes['additional_info_element_width_hover'] / 2 ),
                                                'top' => '-'. esc_attr( $attributes['additional_info_element_height_hover'] / 2 ) .'px',
                                                'margin-top' => esc_attr( $attributes['additional_info_element_margin_top_hover'] )
                                            )
                                        );

                                    break;

                                    # center - bottom position
                                    case 'center_bottom':

                                        # additional info element position styles (on hover)
                                        $shortcodes_styles -> update_style(
                                            'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .':hover .ueldo-shortcode-info-box-additional-element.ueldo-shortcode-info-box-additional-element-center-bottom',
                                            array(
                                                'left' => '50%',
                                                'margin-left' => '-'. esc_attr( $attributes['additional_info_element_width_hover'] / 2 ),
                                                'bottom' => '-'. esc_attr( $attributes['additional_info_element_height_hover'] / 2 ) .'px',
                                                'margin-bottom' => esc_attr( $attributes['additional_info_element_margin_bottom_hover'] )
                                            )
                                        );

                                    break;

                                    # right - top position
                                    case 'right_top':

                                        # additional info element position styles (on hover)
                                        $shortcodes_styles -> update_style(
                                            'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .':hover .ueldo-shortcode-info-box-additional-element.ueldo-shortcode-info-box-additional-element-right-top',
                                            array(
                                                'top' => '-'. esc_attr( $attributes['additional_info_element_height_hover'] / 2 ) .'px',
                                                'right' => '-'. esc_attr( $attributes['additional_info_element_width_hover'] / 2 ) .'px',
                                                'margin-right' => esc_attr( $attributes['additional_info_element_margin_right_hover'] ),
                                                'margin-top' => esc_attr( $attributes['additional_info_element_margin_top_hover'] )
                                            )
                                        );

                                    break;

                                    # right - center position
                                    case 'right_center':

                                        # additional info element position styles (on hover)
                                        $shortcodes_styles -> update_style(
                                            'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .':hover .ueldo-shortcode-info-box-additional-element.ueldo-shortcode-info-box-additional-element-right-center',
                                            array(
                                                'top' => '50%',
                                                'margin-top' => '-'. esc_attr( $attributes['additional_info_element_height_hover'] / 2 ),
                                                'right' => '-'. esc_attr( $attributes['additional_info_element_width_hover'] / 2 ) .'px',
                                                'margin-right' => esc_attr( $attributes['additional_info_element_margin_right_hover'] )
                                            )
                                        );

                                    break;

                                    # right - bottom position
                                    case 'right_bottom':

                                        # additional info element position styles (on hover)
                                        $shortcodes_styles -> update_style(
                                            'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .':hover .ueldo-shortcode-info-box-additional-element.ueldo-shortcode-info-box-additional-element-right-bottom',
                                            array(
                                                'bottom' => '-'. esc_attr( $attributes['additional_info_element_height_hover'] / 2 ) .'px',
                                                'right' => '-'. esc_attr( $attributes['additional_info_element_width_hover'] / 2 ) .'px',
                                                'margin-right' => esc_attr( $attributes['additional_info_element_margin_right_hover'] ),
                                                'margin-bottom' => esc_attr( $attributes['additional_info_element_margin_bottom_hover'] )
                                            )
                                        );

                                    break;
                                }

                                # middle helper height (on hover)
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .':hover .ueldo-shortcode-info-box-additional-element .ueldo-shortcode-info-box-additional-element-middle-helper',
                                    array(
                                        'height' => esc_attr( $attributes['additional_info_element_height_hover'] - ( $attributes['additional_info_element_border_width_hover'] * 2 ) )
                                    )
                                );
                            }

                            # additional info element contents
                            switch( $attributes['additional_info_element_type'] ) {

                                # additional info element: icon
                                case 'icon':

                                    # additional info box element icon size
                                    $shortcodes_styles -> update_style(
                                        'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-info-box-additional-element i, .ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-info-box-additional-element i:before',
                                        array(
                                            'font-size' => esc_attr( $attributes['additional_info_element_icon_custom_size'] )
                                        )
                                    );

                                    # additional info box element icon position (not for "vc-mono")
                                    $shortcodes_styles -> update_style(
                                        'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-info-box-additional-element i:not(.vc-mono)',
                                        array(
                                            'margin-top' => '-'. esc_attr( floor( $attributes['additional_info_element_icon_custom_size'] / 2 ) ),
                                            'margin-left' => '-'. esc_attr( floor( $attributes['additional_info_element_icon_custom_size'] / 2 ) ),
                                            'width' => esc_attr( $attributes['additional_info_element_icon_custom_size'] ),
                                            'height' => esc_attr( $attributes['additional_info_element_icon_custom_size'] )
                                        )
                                    );

                                    # additional info box element icon position (for "vc-mono")
                                    $shortcodes_styles -> update_style(
                                        'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-info-box-additional-element i.vc-mono',
                                        array(
                                            'margin-top' => '-'. esc_attr( floor( $attributes['additional_info_element_icon_custom_size'] / 2 ) ),
                                            'height' => esc_attr( $attributes['additional_info_element_icon_custom_size'] )
                                        )
                                    );

                                break;

                                # additional info element: text
                                case 'text':

                                    # can we set custom font?
                                    if( $attributes['additional_info_element_text_custom_font_enabled'] != 'theme_defaults' ) {

                                        # get font data array
                                        $font = ueldo_vc_get_custom_font_family_attributes( ( !empty( $attributes['additional_info_element_text_font_family'] ) ? $attributes['additional_info_element_text_font_family'] : false ), 'headings-font' );

                                        # set font size and line height
                                        $shortcodes_styles -> update_style(
                                            'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-info-box-additional-element .ueldo-shortcode-info-box-additional-element-text',
                                            array(
                                                'font-size' => esc_attr( $attributes['additional_info_element_text_font_size'] ),
                                                'line-height' => esc_attr( $attributes['additional_info_element_text_line_height'] ),
                                                'font-family' => esc_attr( $font['font-family'] ),
                                                'font-weight' => esc_attr( $font['font-weight'] ),
                                                'font-style' => esc_attr( $font['font-style'] ),
                                                '-webkit-font-smoothing' => esc_attr( $font['-webkit-font-smoothing'] ),
                                                '-moz-osx-font-smoothing' => esc_attr( $font['-moz-osx-font-smoothing'] )
                                            )
                                        );

                                        # unset temporary variable
                                        unset( $font );
                                    }

                                break;

                                # additional info element: counter
                                case 'counter':

                                    # can we set custom font?
                                    if( $attributes['additional_info_element_counter_custom_font_enabled'] != 'theme_defaults' ) {

                                        # get font data array
                                        $font = ueldo_vc_get_custom_font_family_attributes( ( !empty( $attributes['additional_info_element_counter_font_family'] ) ? $attributes['additional_info_element_counter_font_family'] : false ), 'headings-font' );

                                        # set font size and line height
                                        $shortcodes_styles -> update_style(
                                            'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-info-box-additional-element .ueldo-shortcode-info-box-additional-element-counter',
                                            array(
                                                'font-size' => esc_attr( $attributes['additional_info_element_counter_font_size'] ),
                                                'line-height' => esc_attr( $attributes['additional_info_element_counter_line_height'] ),
                                                'font-family' => esc_attr( $font['font-family'] ),
                                                'font-weight' => esc_attr( $font['font-weight'] ),
                                                'font-style' => esc_attr( $font['font-style'] ),
                                                '-webkit-font-smoothing' => esc_attr( $font['-webkit-font-smoothing'] ),
                                                '-moz-osx-font-smoothing' => esc_attr( $font['-moz-osx-font-smoothing'] )
                                            )
                                        );

                                        # unset temporary variable
                                        unset( $font );
                                    }

                                break;
                            }
                        }

                        # can we set custom colors?
                        if( $attributes['custom_colors_enabled'] != 'theme_defaults' ) {

                            # display info element as progress bar
                            if( $attributes['info_element_display_as'] == 'progress-bar' ) {

                                # info element styles
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-info-box-element',
                                    array(
                                        'background' => esc_attr( $attributes['info_element_background_color'] ),
                                        'border-color' => 'transparent',
                                        '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['info_element_box_shadow_horizontal_length'], $attributes['info_element_box_shadow_vertical_length'], $attributes['info_element_box_shadow_blur_radius'], $attributes['info_element_box_shadow_spread_radius'], $attributes['info_element_box_shadow_color'] ),
                                        '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['info_element_box_shadow_horizontal_length'], $attributes['info_element_box_shadow_vertical_length'], $attributes['info_element_box_shadow_blur_radius'], $attributes['info_element_box_shadow_spread_radius'], $attributes['info_element_box_shadow_color'] ),
                                        'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['info_element_box_shadow_horizontal_length'], $attributes['info_element_box_shadow_vertical_length'], $attributes['info_element_box_shadow_blur_radius'], $attributes['info_element_box_shadow_spread_radius'], $attributes['info_element_box_shadow_color'] )
                                    )
                                );

                                # info element styles (on hover)
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .':hover .ueldo-shortcode-info-box-element',
                                    array(
                                        'background' => esc_attr( $attributes['info_element_background_color_hover'] ),
                                        'border-color' => 'transparent',
                                        '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['info_element_box_shadow_horizontal_length_hover'], $attributes['info_element_box_shadow_vertical_length_hover'], $attributes['info_element_box_shadow_blur_radius_hover'], $attributes['info_element_box_shadow_spread_radius_hover'], $attributes['info_element_box_shadow_color_hover'] ),
                                        '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['info_element_box_shadow_horizontal_length_hover'], $attributes['info_element_box_shadow_vertical_length_hover'], $attributes['info_element_box_shadow_blur_radius_hover'], $attributes['info_element_box_shadow_spread_radius_hover'], $attributes['info_element_box_shadow_color_hover'] ),
                                        'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['info_element_box_shadow_horizontal_length_hover'], $attributes['info_element_box_shadow_vertical_length_hover'], $attributes['info_element_box_shadow_blur_radius_hover'], $attributes['info_element_box_shadow_spread_radius_hover'], $attributes['info_element_box_shadow_color_hover'] )
                                    )
                                );
                            }

                            # display static info element
                            else {

                                # info element styles
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-info-box-element',
                                    array(
                                        'background' => esc_attr( $attributes['info_element_background_color'] ),
                                        'border-color' => esc_attr( $attributes['info_element_border_color'] ),
                                        '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['info_element_box_shadow_horizontal_length'], $attributes['info_element_box_shadow_vertical_length'], $attributes['info_element_box_shadow_blur_radius'], $attributes['info_element_box_shadow_spread_radius'], $attributes['info_element_box_shadow_color'] ),
                                        '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['info_element_box_shadow_horizontal_length'], $attributes['info_element_box_shadow_vertical_length'], $attributes['info_element_box_shadow_blur_radius'], $attributes['info_element_box_shadow_spread_radius'], $attributes['info_element_box_shadow_color'] ),
                                        'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['info_element_box_shadow_horizontal_length'], $attributes['info_element_box_shadow_vertical_length'], $attributes['info_element_box_shadow_blur_radius'], $attributes['info_element_box_shadow_spread_radius'], $attributes['info_element_box_shadow_color'] )
                                    )
                                );

                                # info element styles (on hover)
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .':hover .ueldo-shortcode-info-box-element',
                                    array(
                                        'background' => esc_attr( $attributes['info_element_background_color_hover'] ),
                                        'border-color' => esc_attr( $attributes['info_element_border_color_hover'] ),
                                        '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['info_element_box_shadow_horizontal_length_hover'], $attributes['info_element_box_shadow_vertical_length_hover'], $attributes['info_element_box_shadow_blur_radius_hover'], $attributes['info_element_box_shadow_spread_radius_hover'], $attributes['info_element_box_shadow_color_hover'] ),
                                        '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['info_element_box_shadow_horizontal_length_hover'], $attributes['info_element_box_shadow_vertical_length_hover'], $attributes['info_element_box_shadow_blur_radius_hover'], $attributes['info_element_box_shadow_spread_radius_hover'], $attributes['info_element_box_shadow_color_hover'] ),
                                        'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['info_element_box_shadow_horizontal_length_hover'], $attributes['info_element_box_shadow_vertical_length_hover'], $attributes['info_element_box_shadow_blur_radius_hover'], $attributes['info_element_box_shadow_spread_radius_hover'], $attributes['info_element_box_shadow_color_hover'] )
                                    )
                                );
                            }

                            # info element contents
                            switch( $attributes['info_element_type'] ) {

                                case 'icon':

                                    # info element icon styles
                                    $shortcodes_styles -> update_style(
                                        'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-info-box-element i, .ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-info-box-element i:before',
                                        array(
                                            'color' => esc_attr( $attributes['info_element_icon_color'] )
                                        )
                                    );

                                    # info element icon styles (on hover)
                                    $shortcodes_styles -> update_style(
                                        'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .':hover .ueldo-shortcode-info-box-element i, .ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .':hover .ueldo-shortcode-info-box-element i:before',
                                        array(
                                            'color' => esc_attr( $attributes['info_element_icon_color_hover'] )
                                        )
                                    );

                                break;

                                case 'text':

                                    # info element text styles
                                    $shortcodes_styles -> update_style(
                                        'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-info-box-element .ueldo-shortcode-info-box-element-text',
                                        array(
                                            'color' => esc_attr( $attributes['info_element_text_color'] )
                                        )
                                    );

                                    # info element text styles (on hover)
                                    $shortcodes_styles -> update_style(
                                        'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .':hover .ueldo-shortcode-info-box-element .ueldo-shortcode-info-box-element-text',
                                        array(
                                            'color' => esc_attr( $attributes['info_element_text_color_hover'] )
                                        )
                                    );

                                break;

                                case 'counter':

                                    # info element text styles
                                    $shortcodes_styles -> update_style(
                                        'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-info-box-element .ueldo-shortcode-info-box-element-counter',
                                        array(
                                            'color' => esc_attr( $attributes['info_element_counter_color'] )
                                        )
                                    );

                                    # info element text styles (on hover)
                                    $shortcodes_styles -> update_style(
                                        'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .':hover .ueldo-shortcode-info-box-element .ueldo-shortcode-info-box-element-counter',
                                        array(
                                            'color' => esc_attr( $attributes['info_element_counter_color_hover'] )
                                        )
                                    );

                                break;
                            }

                            # additional info element
                            if( $attributes['display_additional_info_box_element'] != 'no' ) {

                                # additional info element styles
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-info-box-additional-element',
                                    array(
                                        'background' => esc_attr( $attributes['additional_info_element_background_color'] ),
                                        'border-color' => esc_attr( $attributes['additional_info_element_border_color'] ),
                                        '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['additional_info_element_box_shadow_horizontal_length'], $attributes['additional_info_element_box_shadow_vertical_length'], $attributes['additional_info_element_box_shadow_blur_radius'], $attributes['additional_info_element_box_shadow_spread_radius'], $attributes['additional_info_element_box_shadow_color'] ),
                                        '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['additional_info_element_box_shadow_horizontal_length'], $attributes['additional_info_element_box_shadow_vertical_length'], $attributes['additional_info_element_box_shadow_blur_radius'], $attributes['additional_info_element_box_shadow_spread_radius'], $attributes['additional_info_element_box_shadow_color'] ),
                                        'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['additional_info_element_box_shadow_horizontal_length'], $attributes['additional_info_element_box_shadow_vertical_length'], $attributes['additional_info_element_box_shadow_blur_radius'], $attributes['additional_info_element_box_shadow_spread_radius'], $attributes['additional_info_element_box_shadow_color'] )
                                    )
                                );

                                # additional info element styles (on hover)
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .':hover .ueldo-shortcode-info-box-additional-element',
                                    array(
                                        'background' => esc_attr( $attributes['additional_info_element_background_color_hover'] ),
                                        'border-color' => esc_attr( $attributes['additional_info_element_border_color_hover'] ),
                                        '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['additional_info_element_box_shadow_horizontal_length_hover'], $attributes['additional_info_element_box_shadow_vertical_length_hover'], $attributes['additional_info_element_box_shadow_blur_radius_hover'], $attributes['additional_info_element_box_shadow_spread_radius_hover'], $attributes['additional_info_element_box_shadow_color_hover'] ),
                                        '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['additional_info_element_box_shadow_horizontal_length_hover'], $attributes['additional_info_element_box_shadow_vertical_length_hover'], $attributes['additional_info_element_box_shadow_blur_radius_hover'], $attributes['additional_info_element_box_shadow_spread_radius_hover'], $attributes['additional_info_element_box_shadow_color_hover'] ),
                                        'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['additional_info_element_box_shadow_horizontal_length_hover'], $attributes['additional_info_element_box_shadow_vertical_length_hover'], $attributes['additional_info_element_box_shadow_blur_radius_hover'], $attributes['additional_info_element_box_shadow_spread_radius_hover'], $attributes['additional_info_element_box_shadow_color_hover'] )
                                    )
                                );

                                # additional info element contents
                                switch( $attributes['additional_info_element_type'] ) {

                                    # additional info element: icon
                                    case 'icon':

                                        # additional info box element icon color
                                        $shortcodes_styles -> update_style(
                                            'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-info-box-additional-element i, .ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-info-box-additional-element i:before',
                                            array(
                                                'color' => esc_attr( $attributes['additional_info_element_icon_color'] )
                                            )
                                        );

                                        # additional info box element icon color (on hover)
                                        $shortcodes_styles -> update_style(
                                            'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .':hover .ueldo-shortcode-info-box-additional-element i, .ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .':hover .ueldo-shortcode-info-box-additional-element i:before',
                                            array(
                                                'color' => esc_attr( $attributes['additional_info_element_icon_color_hover'] )
                                            )
                                        );

                                    break;

                                    # additional info element: text
                                    case 'text':

                                        # additional info element text color
                                        $shortcodes_styles -> update_style(
                                            'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-info-box-additional-element .ueldo-shortcode-info-box-additional-element-text',
                                            array(
                                                'color' => esc_attr( $attributes['additional_info_element_text_color'] )
                                            )
                                        );

                                        # additional info element text color (on hover)
                                        $shortcodes_styles -> update_style(
                                            'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .':hover .ueldo-shortcode-info-box-additional-element .ueldo-shortcode-info-box-additional-element-text',
                                            array(
                                                'color' => esc_attr( $attributes['additional_info_element_text_color_hover'] )
                                            )
                                        );

                                    break;

                                    # additional info element: counter
                                    case 'counter':

                                        # additional info element counter color
                                        $shortcodes_styles -> update_style(
                                            'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-info-box-additional-element .ueldo-shortcode-info-box-additional-element-counter',
                                            array(
                                                'color' => esc_attr( $attributes['additional_info_element_counter_color'] )
                                            )
                                        );

                                        # additional info element counter color (on hover)
                                        $shortcodes_styles -> update_style(
                                            'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .':hover .ueldo-shortcode-info-box-additional-element .ueldo-shortcode-info-box-additional-element-counter',
                                            array(
                                                'color' => esc_attr( $attributes['additional_info_element_counter_color_hover'] )
                                            )
                                        );

                                    break;
                                }
                            }

                            # info box title color
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-info-box-heading .ueldo-shortcode-info-box-title, .ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-info-box-heading .ueldo-shortcode-info-box-title a, .ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-info-box-heading .ueldo-shortcode-info-box-title '. esc_attr( $attributes['info_box_title_heading_type'] ),
                                array(
                                    'color' => esc_attr( $attributes['info_box_title_color'] )
                                )
                            );

                            # info box title color (on hover)
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .':hover .ueldo-shortcode-info-box-heading .ueldo-shortcode-info-box-title, .ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .':hover .ueldo-shortcode-info-box-heading .ueldo-shortcode-info-box-title a, .ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .':hover .ueldo-shortcode-info-box-heading .ueldo-shortcode-info-box-title '. esc_attr( $attributes['info_box_title_heading_type'] ),
                                array(
                                    'color' => esc_attr( $attributes['info_box_title_color_hover'] )
                                )
                            );

                            # info box description color
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-info-box-heading p.ueldo-shortcode-info-box-subtitle, .ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-info-box-heading p.ueldo-shortcode-info-box-subtitle a',
                                array(
                                    'color' => esc_attr( $attributes['info_box_description_color'] )
                                )
                            );

                            # info box description color (on hover)
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .':hover .ueldo-shortcode-info-box-heading p.ueldo-shortcode-info-box-subtitle, .ueldo-shortcode-info-box.'. esc_attr( $shortcode['atts']['class_name'] ) .':hover .ueldo-shortcode-info-box-heading p.ueldo-shortcode-info-box-subtitle a',
                                array(
                                    'color' => esc_attr( $attributes['info_box_description_color_hover'] )
                                )
                            );
                        }

                        # save css style
                        $shortcodes_styles -> save_styles();

                        # remove attributes array
                        unset( $attributes );

                    break;

                   /**
                    *
                    * ueldo_shortcode_pricing_table
                    *
                    */

                    case 'ueldo_shortcode_pricing_table':

                        # attributes array
                        $attributes = array(
                            'pricing_table_style' => isset( $shortcode['atts']['pricing_table_style'] ) && !empty( $shortcode['atts']['pricing_table_style'] ) ? $shortcode['atts']['pricing_table_style'] : '01',
                            'horizontal_alignment' => isset( $shortcode['atts']['horizontal_alignment'] ) && !empty( $shortcode['atts']['horizontal_alignment'] ) ? $shortcode['atts']['horizontal_alignment'] : esc_attr( ueldo_is_rtl() ? 'right' : 'left' ),
                            'border_width' => isset( $shortcode['atts']['border_width'] ) && $shortcode['atts']['border_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['border_width'] ) ? $shortcode['atts']['border_width'] : '1',
                            'border_radius' => isset( $shortcode['atts']['border_radius'] ) && $shortcode['atts']['border_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['border_radius'] ) ? $shortcode['atts']['border_radius'] : '4',
                            'border_between_attributes_width' => isset( $shortcode['atts']['border_between_attributes_width'] ) && $shortcode['atts']['border_between_attributes_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['border_between_attributes_width'] ) ? $shortcode['atts']['border_between_attributes_width'] : '1',
                            'large_width_type' => isset( $shortcode['atts']['large_width_type'] ) && !empty( $shortcode['atts']['large_width_type'] ) ? $shortcode['atts']['large_width_type'] : 'percentage',
                            'large_width_percentage' => isset( $shortcode['atts']['large_width_percentage'] ) && $shortcode['atts']['large_width_percentage'] != '' ? $shortcode['atts']['large_width_percentage'] : '100%',
                            'large_width_px' => isset( $shortcode['atts']['large_width_px'] ) && $shortcode['atts']['large_width_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['large_width_px'] ) ? $shortcode['atts']['large_width_px'] : '100',
                            'medium_layer_custom_sizes' => isset( $shortcode['atts']['medium_custom_sizes'] ) && !empty( $shortcode['atts']['medium_custom_sizes'] ) ? $shortcode['atts']['medium_custom_sizes'] : 'no-large',
                            'medium_width_type' => isset( $shortcode['atts']['medium_width_type'] ) && !empty( $shortcode['atts']['medium_width_type'] ) ? $shortcode['atts']['medium_width_type'] : 'percentage',
                            'medium_width_percentage' => isset( $shortcode['atts']['medium_width_percentage'] ) && $shortcode['atts']['medium_width_percentage'] != '' ? $shortcode['atts']['medium_width_percentage'] : '100%',
                            'medium_width_px' => isset( $shortcode['atts']['medium_width_px'] ) && $shortcode['atts']['medium_width_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['medium_width_px'] ) ? $shortcode['atts']['medium_width_px'] : '100',
                            'small_layer_custom_sizes' => isset( $shortcode['atts']['small_custom_sizes'] ) && !empty( $shortcode['atts']['small_custom_sizes'] ) ? $shortcode['atts']['small_custom_sizes'] : 'no-medium',
                            'small_width_type' => isset( $shortcode['atts']['small_width_type'] ) && !empty( $shortcode['atts']['small_width_type'] ) ? $shortcode['atts']['small_width_type'] : 'percentage',
                            'small_width_percentage' => isset( $shortcode['atts']['small_width_percentage'] ) && $shortcode['atts']['small_width_percentage'] != '' ? $shortcode['atts']['small_width_percentage'] : '100%',
                            'small_width_px' => isset( $shortcode['atts']['small_width_px'] ) && $shortcode['atts']['small_width_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['small_width_px'] ) ? $shortcode['atts']['small_width_px'] : '100',
                            'extra_small_layer_custom_sizes' => isset( $shortcode['atts']['extra_small_custom_sizes'] ) && !empty( $shortcode['atts']['extra_small_custom_sizes'] ) ? $shortcode['atts']['extra_small_custom_sizes'] : 'no-small',
                            'extra_small_width_type' => isset( $shortcode['atts']['extra_small_width_type'] ) && !empty( $shortcode['atts']['extra_small_width_type'] ) ? $shortcode['atts']['extra_small_width_type'] : 'percentage',
                            'extra_small_width_percentage' => isset( $shortcode['atts']['extra_small_width_percentage'] ) && $shortcode['atts']['extra_small_width_percentage'] != '' ? $shortcode['atts']['extra_small_width_percentage'] : '100%',
                            'extra_small_width_px' => isset( $shortcode['atts']['extra_small_width_px'] ) && $shortcode['atts']['extra_small_width_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['extra_small_width_px'] ) ? $shortcode['atts']['extra_small_width_px'] : '100',
                            'margin_top' => isset( $shortcode['atts']['margin_top'] ) && $shortcode['atts']['margin_top'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_top'] ) ? $shortcode['atts']['margin_top'] : '0',
                            'margin_right' => isset( $shortcode['atts']['margin_right'] ) && $shortcode['atts']['margin_right'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_right'] ) ? $shortcode['atts']['margin_right'] : '0',
                            'margin_bottom' => isset( $shortcode['atts']['margin_bottom'] ) && $shortcode['atts']['margin_bottom'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_bottom'] ) ? $shortcode['atts']['margin_bottom'] : '30',
                            'margin_left' => isset( $shortcode['atts']['margin_left'] ) && $shortcode['atts']['margin_left'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_left'] ) ? $shortcode['atts']['margin_left'] : '0',
                            'use_background_image' => isset( $shortcode['atts']['use_background_image'] ) && !empty( $shortcode['atts']['use_background_image'] ) ? $shortcode['atts']['use_background_image'] : 'no',
                            'use_image_overlay' => isset( $shortcode['atts']['use_image_overlay'] ) && !empty( $shortcode['atts']['use_image_overlay'] ) ? $shortcode['atts']['use_image_overlay'] : 'no',
                            'custom_colors_enabled' => isset( $shortcode['atts']['custom_colors_enabled'] ) && !empty( $shortcode['atts']['custom_colors_enabled'] ) ? $shortcode['atts']['custom_colors_enabled'] : 'theme_defaults',
                            'background_color' => isset( $shortcode['atts']['background_color'] ) && $shortcode['atts']['background_color'] != '' ? $shortcode['atts']['background_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                            'background_color_hover' => isset( $shortcode['atts']['background_color_hover'] ) && $shortcode['atts']['background_color_hover'] != '' ? $shortcode['atts']['background_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                            'border_color' => isset( $shortcode['atts']['border_color'] ) && $shortcode['atts']['border_color'] != '' ? $shortcode['atts']['border_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-border-color' ) ),
                            'border_color_hover' => isset( $shortcode['atts']['border_color_hover'] ) && $shortcode['atts']['border_color_hover'] != '' ? $shortcode['atts']['border_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-hover-border-color' ) ),
                            'box_shadow_horizontal_length' => isset( $shortcode['atts']['box_shadow_horizontal_length'] ) && $shortcode['atts']['box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_horizontal_length'] ) ? $shortcode['atts']['box_shadow_horizontal_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'horizontal-length' ) ),
                            'box_shadow_vertical_length' => isset( $shortcode['atts']['box_shadow_vertical_length'] ) && $shortcode['atts']['box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_vertical_length'] ) ? $shortcode['atts']['box_shadow_vertical_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'vertical-length' ) ),
                            'box_shadow_blur_radius' => isset( $shortcode['atts']['box_shadow_blur_radius'] ) && $shortcode['atts']['box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_blur_radius'] ) ? $shortcode['atts']['box_shadow_blur_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'blur-radius' ) ),
                            'box_shadow_spread_radius' => isset( $shortcode['atts']['box_shadow_spread_radius'] ) && $shortcode['atts']['box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_spread_radius'] ) ? $shortcode['atts']['box_shadow_spread_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'spread-radius' ) ),
                            'box_shadow_color' => isset( $shortcode['atts']['box_shadow_color'] ) && $shortcode['atts']['box_shadow_color'] != '' ? $shortcode['atts']['box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'color' ) ),
                            'box_shadow_horizontal_length_hover' => isset( $shortcode['atts']['box_shadow_horizontal_length_hover'] ) && $shortcode['atts']['box_shadow_horizontal_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_horizontal_length_hover'] ) ? $shortcode['atts']['box_shadow_horizontal_length_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'horizontal-length' ) ),
                            'box_shadow_vertical_length_hover' => isset( $shortcode['atts']['box_shadow_vertical_length_hover'] ) && $shortcode['atts']['box_shadow_vertical_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_vertical_length_hover'] ) ? $shortcode['atts']['box_shadow_vertical_length_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'vertical-length' ) ),
                            'box_shadow_blur_radius_hover' => isset( $shortcode['atts']['box_shadow_blur_radius_hover'] ) && $shortcode['atts']['box_shadow_blur_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_blur_radius_hover'] ) ? $shortcode['atts']['box_shadow_blur_radius_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'blur-radius' ) ),
                            'box_shadow_spread_radius_hover' => isset( $shortcode['atts']['box_shadow_spread_radius_hover'] ) && $shortcode['atts']['box_shadow_spread_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_spread_radius_hover'] ) ? $shortcode['atts']['box_shadow_spread_radius_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'spread-radius' ) ),
                            'box_shadow_color_hover' => isset( $shortcode['atts']['box_shadow_color_hover'] ) && $shortcode['atts']['box_shadow_color_hover'] != '' ? $shortcode['atts']['box_shadow_color_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'color' ) ),
                            'heading_background_color' => isset( $shortcode['atts']['heading_background_color'] ) && $shortcode['atts']['heading_background_color'] != '' ? $shortcode['atts']['heading_background_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-heading-or-active-tab-background-color' ) ),
                            'heading_border_color' => isset( $shortcode['atts']['heading_border_color'] ) && $shortcode['atts']['heading_border_color'] != '' ? $shortcode['atts']['heading_border_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-border-color' ) ),
                            'title_color' => isset( $shortcode['atts']['title_color'] ) && $shortcode['atts']['title_color'] != '' ? $shortcode['atts']['title_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-headings-color' ) ),
                            'line_under_title_color' => isset( $shortcode['atts']['line_under_title_color'] ) && $shortcode['atts']['line_under_title_color'] != '' ? $shortcode['atts']['line_under_title_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-border-color' ) ),
                            'price_value_color' => isset( $shortcode['atts']['price_value_color'] ) && $shortcode['atts']['price_value_color'] != '' ? $shortcode['atts']['price_value_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                            'price_currency_color' => isset( $shortcode['atts']['price_currency_color'] ) && $shortcode['atts']['price_currency_color'] != '' ? $shortcode['atts']['price_currency_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                            'price_additional_element_color' => isset( $shortcode['atts']['price_additional_element_color'] ) && $shortcode['atts']['price_additional_element_color'] != '' ? $shortcode['atts']['price_additional_element_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                            'ribbon_background_color' => isset( $shortcode['atts']['ribbon_background_color'] ) && $shortcode['atts']['ribbon_background_color'] != '' ? $shortcode['atts']['ribbon_background_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-border-color' ) ),
                            'ribbon_text_color' => isset( $shortcode['atts']['ribbon_text_color'] ) && $shortcode['atts']['ribbon_text_color'] != '' ? $shortcode['atts']['ribbon_text_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                            'level_icons_color' => isset( $shortcode['atts']['level_icons_color'] ) && $shortcode['atts']['level_icons_color'] != '' ? $shortcode['atts']['level_icons_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-background-icon-color' ) ),
                            'border_between_attributes_color' => isset( $shortcode['atts']['border_between_attributes_color'] ) && $shortcode['atts']['border_between_attributes_color'] != '' ? $shortcode['atts']['border_between_attributes_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-inset-border-color' ) ),
                            'image_overlay_color' => isset( $shortcode['atts']['image_overlay_color'] ) && $shortcode['atts']['image_overlay_color'] != '' ? $shortcode['atts']['image_overlay_color'] : esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'pricing-table-03-image-overlay-background-color' ) )
                        );

                        # temporary values for each devices
                        $temp = array(
                            'medium-width-type' => ueldo_get_vc_element_device_attributes( $attributes, 'width_type', 'medium' ),
                            'medium-width-percentage' => ueldo_get_vc_element_device_attributes( $attributes, 'width_percentage', 'medium' ),
                            'medium-width-px' => ueldo_get_vc_element_device_attributes( $attributes, 'width_px', 'medium' ),
                            'small-width-type' => ueldo_get_vc_element_device_attributes( $attributes, 'width_type', 'small' ),
                            'small-width-percentage' => ueldo_get_vc_element_device_attributes( $attributes, 'width_percentage', 'small' ),
                            'small-width-px' => ueldo_get_vc_element_device_attributes( $attributes, 'width_px', 'small' ),
                            'extra-small-width-type' => ueldo_get_vc_element_device_attributes( $attributes, 'width_type', 'extra_small' ),
                            'extra-small-width-percentage' => ueldo_get_vc_element_device_attributes( $attributes, 'width_percentage', 'extra_small' ),
                            'extra-small-width-px' => ueldo_get_vc_element_device_attributes( $attributes, 'width_px', 'extra_small' ),
                        );

                        # general element styles
                        $shortcodes_styles -> update_style(
                            'ueldo-shortcode-pricing-table.'. esc_attr( $shortcode['atts']['class_name'] ),
                            array(
                                '1200_more' => array(
                                    'width'. esc_attr( $attributes['large_width_type'] == 'percentage' ? '-%' : '' ) => esc_attr( $attributes['large_width_type'] == 'percentage' ? $attributes['large_width_percentage'] : $attributes['large_width_px'] )
                                ),
                                '992_1199' => array(
                                    'width'. esc_attr( $temp['medium-width-type'] == 'percentage' ? '-%' : '' ) => esc_attr( $temp['medium-width-type'] == 'percentage' ? $temp['medium-width-percentage'] : $temp['medium-width-px'] )
                                ),
                                '768_991' => array(
                                    'width'. esc_attr( $temp['small-width-type'] == 'percentage' ? '-%' : '' ) => esc_attr( $temp['small-width-type'] == 'percentage' ? $temp['small-width-percentage'] : $temp['small-width-px'] )
                                ),
                                'less_767' => array(
                                    'width'. esc_attr( $temp['extra-small-width-type'] == 'percentage' ? '-%' : '' ) => esc_attr( $temp['extra-small-width-type'] == 'percentage' ? $temp['extra-small-width-percentage'] : $temp['extra-small-width-px'] )
                                )
                            )
                        );

                        # remove temporary variables
                        unset( $temp );

                        # horizontal alignment is set to center?
                        if( $attributes['horizontal_alignment'] == 'center' ) {

                            # update shortcode margins
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-pricing-table.'. esc_attr( $shortcode['atts']['class_name'] ),
                                array(
                                    'general' => array(
                                        'margin' => esc_attr( $attributes['margin_top'] ) .'px auto '. esc_attr( $attributes['margin_bottom'] ) .'px auto'
                                    )
                                )
                            );
                        }

                        # horizontal alignment is set to left or right
                        else {

                            # update shortcode margins
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-pricing-table.'. esc_attr( $shortcode['atts']['class_name'] ),
                                array(
                                    'general' => array(
                                        'margin-top' => esc_attr( $attributes['margin_top'] ),
                                        'margin-right' => esc_attr( $attributes['margin_right'] ),
                                        'margin-bottom' => esc_attr( $attributes['margin_bottom'] ),
                                        'margin-left' => esc_attr( $attributes['margin_left'] )
                                    )
                                )
                            );
                        }

                        # can we set custom colors?
                        if( $attributes['custom_colors_enabled'] != 'theme_defaults' ) {

                            # set background, border color and box shadow
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-pricing-table.'. esc_attr( $shortcode['atts']['class_name'] ),
                                array(
                                    'general' => array(
                                        'background' => esc_attr( $attributes['background_color'] ),
                                        'border-color' => esc_attr( $attributes['border_color'] ),
                                        '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length'], $attributes['box_shadow_vertical_length'], $attributes['box_shadow_blur_radius'], $attributes['box_shadow_spread_radius'], $attributes['box_shadow_color'] ),
                                        '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length'], $attributes['box_shadow_vertical_length'], $attributes['box_shadow_blur_radius'], $attributes['box_shadow_spread_radius'], $attributes['box_shadow_color'] ),
                                        'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length'], $attributes['box_shadow_vertical_length'], $attributes['box_shadow_blur_radius'], $attributes['box_shadow_spread_radius'], $attributes['box_shadow_color'] )
                                    )
                                )
                            );

                            # set background, border color and box shadow (all on hover)
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-pricing-table.'. esc_attr( $shortcode['atts']['class_name'] ) .':hover',
                                array(
                                    'background' => esc_attr( $attributes['background_color_hover'] ),
                                    'border-color' => esc_attr( $attributes['border_color_hover'] ),
                                    '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length_hover'], $attributes['box_shadow_vertical_length_hover'], $attributes['box_shadow_blur_radius_hover'], $attributes['box_shadow_spread_radius_hover'], $attributes['box_shadow_color_hover'] ),
                                    '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length_hover'], $attributes['box_shadow_vertical_length_hover'], $attributes['box_shadow_blur_radius_hover'], $attributes['box_shadow_spread_radius_hover'], $attributes['box_shadow_color_hover'] ),
                                    'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length_hover'], $attributes['box_shadow_vertical_length_hover'], $attributes['box_shadow_blur_radius_hover'], $attributes['box_shadow_spread_radius_hover'], $attributes['box_shadow_color_hover'] )
                                )
                            );

                            # set heading title color
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-pricing-table.'. esc_attr( $shortcode['atts']['class_name'] ) .' h6.ueldo-shortcode-pricing-table-content-title',
                                array(
                                    'color' => esc_attr( $attributes['title_color'] )
                                )
                            );

                            # set price value color
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-pricing-table.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-pricing-table-content-price .ueldo-shortcode-pricing-table-content-price-value',
                                array(
                                    'color' => esc_attr( $attributes['price_value_color'] )
                                )
                            );

                            # set price currency color
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-pricing-table.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-pricing-table-content-price .ueldo-shortcode-pricing-table-content-price-currency',
                                array(
                                    'color' => esc_attr( $attributes['price_currency_color'] )
                                )
                            );

                            # set price additional color
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-pricing-table.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-pricing-table-content-price .ueldo-shortcode-pricing-table-content-price-after-value',
                                array(
                                    'color' => esc_attr( $attributes['price_additional_element_color'] )
                                )
                            );

                            # set ribbon colors
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-pricing-table.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-pricing-table-ribbon',
                                array(
                                    'background' => esc_attr( $attributes['ribbon_background_color'] ),
                                    'color' => esc_attr( $attributes['ribbon_text_color'] )
                                )
                            );

                            # switch by pricing table style
                            switch( $attributes['pricing_table_style'] ) {

                                # style: 01
                                case '01':

                                    # set background and border radius settings for attributes
                                    $shortcodes_styles -> update_style(
                                        'ueldo-shortcode-pricing-table.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-pricing-table-style-01 ul.ueldo-shortcode-pricing-table-attributes',
                                        array(
                                            'background' => esc_attr( $attributes['background_color'] )
                                        )
                                    );

                                    # set background, border color and box shadow
                                    $shortcodes_styles -> update_style(
                                        'ueldo-shortcode-pricing-table.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-pricing-table-style-01:hover ul.ueldo-shortcode-pricing-table-attributes',
                                        array(
                                            'background' => esc_attr( $attributes['background_color_hover'] )
                                        )
                                    );

                                    # set heading background color
                                    $shortcodes_styles -> update_style(
                                        'ueldo-shortcode-pricing-table.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-pricing-table-style-01 .ueldo-shortcode-pricing-table-content',
                                        array(
                                            'background' => esc_attr( $attributes['heading_background_color'] ),
                                            'border-color' => esc_attr( $attributes['heading_border_color'] )
                                        )
                                    );

                                break;

                                # style: 02
                                case '02':

                                    # set background and border radius settings for attributes
                                    $shortcodes_styles -> update_style(
                                        'ueldo-shortcode-pricing-table.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-pricing-table-style-02 ul.ueldo-shortcode-pricing-table-attributes',
                                        array(
                                            'background' => esc_attr( $attributes['background_color'] )
                                        )
                                    );

                                    # set background, border color and box shadow
                                    $shortcodes_styles -> update_style(
                                        'ueldo-shortcode-pricing-table.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-pricing-table-style-02:hover ul.ueldo-shortcode-pricing-table-attributes',
                                        array(
                                            'background' => esc_attr( $attributes['background_color_hover'] )
                                        )
                                    );

                                    # set heading background color
                                    $shortcodes_styles -> update_style(
                                        'ueldo-shortcode-pricing-table.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-pricing-table-style-02 .ueldo-shortcode-pricing-table-heading',
                                        array(
                                            'background' => esc_attr( $attributes['heading_background_color'] ),
                                            'border-color' => esc_attr( $attributes['heading_border_color'] )
                                        )
                                    );

                                    # level icons color
                                    $shortcodes_styles -> update_style(
                                        'ueldo-shortcode-pricing-table.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-pricing-table-style-02 .ueldo-shortcode-pricing-table-level-icons i, .ueldo-shortcode-pricing-table.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-pricing-table-style-02 .ueldo-shortcode-pricing-table-level-icons i:before',
                                        array(
                                            'color' => esc_attr( $attributes['level_icons_color'] )
                                        )
                                    );

                                    # border between attributes color
                                    $shortcodes_styles -> update_style(
                                        'ueldo-shortcode-pricing-table.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-pricing-table-style-02 ul.ueldo-shortcode-pricing-table-attributes li',
                                        array(
                                            'border-color' => esc_attr( $attributes['border_between_attributes_color'] )
                                        )
                                    );

                                break;

                                # style: 03
                                case '03':

                                    # set color for line under the title
                                    $shortcodes_styles -> update_style(
                                        'ueldo-shortcode-pricing-table.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-pricing-table-style-03 .ueldo-shortcode-pricing-table-content-title-line',
                                        array(
                                            'background' => esc_attr( $attributes['line_under_title_color'] )
                                        )
                                    );

                                    # do we have background image set?
                                    if( $attributes['use_background_image'] == 'yes' && $attributes['use_image_overlay'] != 'no' ) {

                                        # image overlay
                                        $shortcodes_styles -> update_style(
                                            'ueldo-shortcode-pricing-table.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-pricing-table-style-03 .ueldo-shortcode-pricing-table-content:before',
                                            array(
                                                'background' => esc_attr( $attributes['image_overlay_color'] )
                                            )
                                        );
                                    }

                                break;
                            }
                        }

                        # set background, border color and box shadow
                        $shortcodes_styles -> update_style(
                            esc_attr( $shortcode['atts']['class_name'] ),
                            array(
                                'general' => array(
                                    'border-width' => esc_attr( $attributes['border_width'] ),
                                    '-webkit-border-radius' => esc_attr( $attributes['border_radius'] ),
                                    '-moz-border-radius' => esc_attr( $attributes['border_radius'] ),
                                    'border-radius' => esc_attr( $attributes['border_radius'] )
                                )
                            )
                        );

                        # set ribbon container sizes
                        $shortcodes_styles -> update_style(
                            'ueldo-shortcode-pricing-table.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-pricing-table-ribbon-container',
                            array(
                                'width-webkit-calc' => '-webkit-calc( 100% + '. esc_attr( $attributes['border_width'] * 2 ) .'px )',
                                'width-moz-calc' => '-moz-calc( 100% + '. esc_attr( $attributes['border_width'] * 2 ) .'px )',
                                'width-calc' => 'calc( 100% + '. esc_attr( $attributes['border_width'] * 2 ) .'px )',
                                'height-webkit-calc' => '-webkit-calc( 100% + '. esc_attr( $attributes['border_width'] * 2 ) .'px )',
                                'height-moz-calc' => '-moz-calc( 100% + '. esc_attr( $attributes['border_width'] * 2 ) .'px )',
                                'height-calc' => 'calc( 100% + '. esc_attr( $attributes['border_width'] * 2 ) .'px )',
                                'top' => esc_attr( $attributes['border_width'] == '0' ? '0' : '-'. esc_attr( $attributes['border_width'] ) .'px' ),
                                'left' => esc_attr( $attributes['border_width'] == '0' ? '0' : '-'. esc_attr( $attributes['border_width'] ) .'px' )
                            )
                        );

                        # switch by pricing table style
                        switch( $attributes['pricing_table_style'] ) {

                            # style: 01
                            case '01':

                                # set background and border radius settings for attributes
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-pricing-table.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-pricing-table-style-01 ul.ueldo-shortcode-pricing-table-attributes',
                                    array(
                                        '-webkit-border-top-left-radius' => esc_attr( $attributes['border_radius'] ),
                                        '-moz-border-top-left-radius' => esc_attr( $attributes['border_radius'] ),
                                        'border-top-left-radius' => esc_attr( $attributes['border_radius'] ),
                                        '-webkit-border-top-right-radius' => esc_attr( $attributes['border_radius'] ),
                                        '-moz-border-top-right-radius' => esc_attr( $attributes['border_radius'] ),
                                        'border-top-right-radius' => esc_attr( $attributes['border_radius'] )
                                    )
                                );

                                # border radius and border width for table style: 01, content
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-pricing-table.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-pricing-table-style-01 .ueldo-shortcode-pricing-table-content',
                                    array(
                                        '-webkit-border-bottom-left-radius' => esc_attr( $attributes['border_radius'] ),
                                        '-moz-border-bottom-left-radius' => esc_attr( $attributes['border_radius'] ),
                                        'border-bottom-left-radius' => esc_attr( $attributes['border_radius'] ),
                                        '-webkit-border-bottom-right-radius' => esc_attr( $attributes['border_radius'] ),
                                        '-moz-border-bottom-right-radius' => esc_attr( $attributes['border_radius'] ),
                                        'border-bottom-right-radius' => esc_attr( $attributes['border_radius'] ),
                                        'border-top-width' => esc_attr( $attributes['border_between_attributes_width'] )
                                    )
                                );

                            break;

                            # style: 02
                            case '02':

                                # set background and border radius settings for attributes
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-pricing-table.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-pricing-table-style-02 ul.ueldo-shortcode-pricing-table-attributes',
                                    array(
                                        '-webkit-border-bottom-left-radius' => esc_attr( $attributes['border_radius'] ),
                                        '-moz-border-bottom-left-radius' => esc_attr( $attributes['border_radius'] ),
                                        'border-bottom-left-radius' => esc_attr( $attributes['border_radius'] ),
                                        '-webkit-border-bottom-right-radius' => esc_attr( $attributes['border_radius'] ),
                                        '-moz-border-bottom-right-radius' => esc_attr( $attributes['border_radius'] ),
                                        'border-bottom-right-radius' => esc_attr( $attributes['border_radius'] )
                                    )
                                );

                                # border radius and border width for table style: 02, heading
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-pricing-table.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-pricing-table-style-02 .ueldo-shortcode-pricing-table-heading',
                                    array(
                                        '-webkit-border-top-left-radius' => esc_attr( $attributes['border_radius'] ),
                                        '-moz-border-top-left-radius' => esc_attr( $attributes['border_radius'] ),
                                        'border-top-left-radius' => esc_attr( $attributes['border_radius'] ),
                                        '-webkit-border-top-right-radius' => esc_attr( $attributes['border_radius'] ),
                                        '-moz-border-top-right-radius' => esc_attr( $attributes['border_radius'] ),
                                        'border-top-right-radius' => esc_attr( $attributes['border_radius'] ),
                                        'border-bottom-width' => esc_attr( $attributes['border_between_attributes_width'] )
                                    )
                                );

                                # border between attributes color
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-pricing-table.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-pricing-table-style-02 ul.ueldo-shortcode-pricing-table-attributes li',
                                    array(
                                        'border-bottom-width' => esc_attr( $attributes['border_between_attributes_width'] )
                                    )
                                );

                            break;

                            # style: 03
                            case '03':

                                # background image border radius
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-pricing-table.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-pricing-table-style-03 .ueldo-shortcode-pricing-table-background-image',
                                    array(
                                        '-webkit-border-radius' => esc_attr( $attributes['border_radius'] ),
                                        '-moz-border-radius' => esc_attr( $attributes['border_radius'] ),
                                        'border-radius' => esc_attr( $attributes['border_radius'] )
                                    )
                                );

                                # do we have background image set?
                                if( $attributes['use_background_image'] == 'yes' ) {

                                    # use image overlay for image and border
                                    if( $attributes['use_image_overlay'] == 'yes-all' ) {

                                        # image overlay
                                        $shortcodes_styles -> update_style(
                                            'ueldo-shortcode-pricing-table.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-pricing-table-style-03 .ueldo-shortcode-pricing-table-content:before',
                                            array(
                                                '-webkit-border-radius' => esc_attr( $attributes['border_radius'] ),
                                                '-moz-border-radius' => esc_attr( $attributes['border_radius'] ),
                                                'border-radius' => esc_attr( $attributes['border_radius'] ),
                                                'width-webkit-calc' => '-webkit-calc( 100% + '. esc_attr( ( $attributes['border_width'] * 2 ) + 60 ) .'px )',
                                                'width-moz-calc' => '-moz-calc( 100% + '. esc_attr( ( $attributes['border_width'] * 2 ) + 60 ) .'px )',
                                                'width-calc' => 'calc( 100% + '. esc_attr( ( $attributes['border_width'] * 2 ) + 60 ) .'px )',
                                                'height-webkit-calc' => '-webkit-calc( 100% + '. esc_attr( ( $attributes['border_width'] * 2 ) + 60 ) .'px )',
                                                'height-moz-calc' => '-moz-calc( 100% + '. esc_attr( ( $attributes['border_width'] * 2 ) + 60 ) .'px )',
                                                'height-calc' => 'calc( 100% + '. esc_attr( ( $attributes['border_width'] * 2 ) + 60 ) .'px )',
                                                'top' => esc_attr( $attributes['border_width'] == '0' ? '-30' : '-'. esc_attr( 30 + $attributes['border_width'] ) .'px' ),
                                                'left' => esc_attr( $attributes['border_width'] == '0' ? '-30' : '-'. esc_attr( 30 + $attributes['border_width'] ) .'px' )
                                            )
                                        );
                                    }

                                    # use image overlay only for image
                                    else if( $attributes['use_image_overlay'] == 'yes-only-image' ) {

                                        # image overlay
                                        $shortcodes_styles -> update_style(
                                            'ueldo-shortcode-pricing-table.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-pricing-table-style-03 .ueldo-shortcode-pricing-table-content:before',
                                            array(
                                                '-webkit-border-radius' => esc_attr( $attributes['border_radius'] ),
                                                '-moz-border-radius' => esc_attr( $attributes['border_radius'] ),
                                                'border-radius' => esc_attr( $attributes['border_radius'] ),
                                                'width-webkit-calc' => '-webkit-calc( 100% + 60px )',
                                                'width-moz-calc' => '-moz-calc( 100% + 60px )',
                                                'width-calc' => 'calc( 100% + 60px )',
                                                'height-webkit-calc' => '-webkit-calc( 100% + 60px )',
                                                'height-moz-calc' => '-moz-calc( 100% + 60px )',
                                                'height-calc' => 'calc( 100% + 60px )',
                                                'top' => '-30px',
                                                'left' => '-30px'
                                            )
                                        );
                                    }

                                    # image loader
                                    $shortcodes_styles -> update_style(
                                        'ueldo-shortcode-pricing-table.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-pricing-table-style-03 .ueldo-shortcode-pricing-table-background-image .ueldo-image-parent-loading',
                                        array(
                                            '-webkit-border-radius' => esc_attr( $attributes['border_radius'] ),
                                            '-moz-border-radius' => esc_attr( $attributes['border_radius'] ),
                                            'border-radius' => esc_attr( $attributes['border_radius'] )
                                        )
                                    );
                                }

                            break;
                        }

                        # save css style
                        $shortcodes_styles -> save_styles();

                        # remove attributes array
                        unset( $attributes );

                    break;

                   /**
                    *
                    * ueldo_shortcode_pricing_list
                    *
                    */

                    case 'ueldo_shortcode_pricing_list':

                        # attributes array
                        $attributes = array(
                            'custom_colors_enabled' => isset( $shortcode['atts']['custom_colors_enabled'] ) && !empty( $shortcode['atts']['custom_colors_enabled'] ) ? $shortcode['atts']['custom_colors_enabled'] : 'theme_defaults',
                            'border_color' => isset( $shortcode['atts']['border_color'] ) && $shortcode['atts']['border_color'] != '' ? $shortcode['atts']['border_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-border-color' ) ),
                            'border_color_hover' => isset( $shortcode['atts']['border_color_hover'] ) && $shortcode['atts']['border_color_hover'] != '' ? $shortcode['atts']['border_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-hover-border-color' ) ),
                            'background_color' => isset( $shortcode['atts']['background_color'] ) && $shortcode['atts']['background_color'] != '' ? $shortcode['atts']['background_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                            'box_shadow_horizontal_length' => isset( $shortcode['atts']['box_shadow_horizontal_length'] ) && $shortcode['atts']['box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_horizontal_length'] ) ? $shortcode['atts']['box_shadow_horizontal_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'horizontal-length' ) ),
                            'box_shadow_vertical_length' => isset( $shortcode['atts']['box_shadow_vertical_length'] ) && $shortcode['atts']['box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_vertical_length'] ) ? $shortcode['atts']['box_shadow_vertical_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'vertical-length' ) ),
                            'box_shadow_blur_radius' => isset( $shortcode['atts']['box_shadow_blur_radius'] ) && $shortcode['atts']['box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_blur_radius'] ) ? $shortcode['atts']['box_shadow_blur_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'blur-radius' ) ),
                            'box_shadow_spread_radius' => isset( $shortcode['atts']['box_shadow_spread_radius'] ) && $shortcode['atts']['box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_spread_radius'] ) ? $shortcode['atts']['box_shadow_spread_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'spread-radius' ) ),
                            'box_shadow_color' => isset( $shortcode['atts']['box_shadow_color'] ) && $shortcode['atts']['box_shadow_color'] != '' ? $shortcode['atts']['box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'color' ) ),
                            'box_shadow_horizontal_length_hover' => isset( $shortcode['atts']['box_shadow_horizontal_length_hover'] ) && $shortcode['atts']['box_shadow_horizontal_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_horizontal_length_hover'] ) ? $shortcode['atts']['box_shadow_horizontal_length_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'horizontal-length' ) ),
                            'box_shadow_vertical_length_hover' => isset( $shortcode['atts']['box_shadow_vertical_length_hover'] ) && $shortcode['atts']['box_shadow_vertical_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_vertical_length_hover'] ) ? $shortcode['atts']['box_shadow_vertical_length_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'vertical-length' ) ),
                            'box_shadow_blur_radius_hover' => isset( $shortcode['atts']['box_shadow_blur_radius_hover'] ) && $shortcode['atts']['box_shadow_blur_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_blur_radius_hover'] ) ? $shortcode['atts']['box_shadow_blur_radius_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'blur-radius' ) ),
                            'box_shadow_spread_radius_hover' => isset( $shortcode['atts']['box_shadow_spread_radius_hover'] ) && $shortcode['atts']['box_shadow_spread_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_spread_radius_hover'] ) ? $shortcode['atts']['box_shadow_spread_radius_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'spread-radius' ) ),
                            'box_shadow_color_hover' => isset( $shortcode['atts']['box_shadow_color_hover'] ) && $shortcode['atts']['box_shadow_color_hover'] != '' ? $shortcode['atts']['box_shadow_color_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'color' ) ),
                            'icon_color' => isset( $shortcode['atts']['icon_color'] ) && $shortcode['atts']['icon_color'] != '' ? $shortcode['atts']['icon_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-background-icon-color' ) ),
                            'text_color' => isset( $shortcode['atts']['text_color'] ) && $shortcode['atts']['text_color'] != '' ? $shortcode['atts']['text_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-content-color' ) ),
                            'price_color' => isset( $shortcode['atts']['price_color'] ) && $shortcode['atts']['price_color'] != '' ? $shortcode['atts']['price_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-headings-color' ) ),
                            'border_between_attributes_color' => isset( $shortcode['atts']['border_between_attributes_color'] ) && $shortcode['atts']['border_between_attributes_color'] != '' ? $shortcode['atts']['border_between_attributes_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-border-color' ) ),
                            'inset_box_shadow_horizontal_length' => isset( $shortcode['atts']['inset_box_shadow_horizontal_length'] ) && $shortcode['atts']['inset_box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['inset_box_shadow_horizontal_length'] ) ? $shortcode['atts']['inset_box_shadow_horizontal_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-pricing-list-inset-box-shadow', 'horizontal-length' ) ),
                            'inset_box_shadow_vertical_length' => isset( $shortcode['atts']['inset_box_shadow_vertical_length'] ) && $shortcode['atts']['inset_box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['inset_box_shadow_vertical_length'] ) ? $shortcode['atts']['inset_box_shadow_vertical_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-pricing-list-inset-box-shadow', 'vertical-length' ) ),
                            'inset_box_shadow_blur_radius' => isset( $shortcode['atts']['inset_box_shadow_blur_radius'] ) && $shortcode['atts']['inset_box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['inset_box_shadow_blur_radius'] ) ? $shortcode['atts']['inset_box_shadow_blur_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-pricing-list-inset-box-shadow', 'blur-radius' ) ),
                            'inset_box_shadow_spread_radius' => isset( $shortcode['atts']['inset_box_shadow_spread_radius'] ) && $shortcode['atts']['inset_box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['inset_box_shadow_spread_radius'] ) ? $shortcode['atts']['inset_box_shadow_spread_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-pricing-list-inset-box-shadow', 'spread-radius' ) ),
                            'inset_box_shadow_color' => isset( $shortcode['atts']['inset_box_shadow_color'] ) && $shortcode['atts']['inset_box_shadow_color'] != '' ? $shortcode['atts']['inset_box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-pricing-list-inset-box-shadow', 'color' ) ),
                            'select_field_border_color' => isset( $shortcode['atts']['select_field_border_color'] ) && $shortcode['atts']['select_field_border_color'] != '' ? $shortcode['atts']['select_field_border_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'forms-field-border-color' ) ),
                            'select_field_border_color_hover' => isset( $shortcode['atts']['select_field_border_color_hover'] ) && $shortcode['atts']['select_field_border_color_hover'] != '' ? $shortcode['atts']['select_field_border_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'forms-field-border-color-on-hover' ) ),
                            'select_field_background_color' => isset( $shortcode['atts']['select_field_background_color'] ) && $shortcode['atts']['select_field_background_color'] != '' ? $shortcode['atts']['select_field_background_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'forms-field-background-color' ) ),
                            'select_field_text_color' => isset( $shortcode['atts']['select_field_text_color'] ) && $shortcode['atts']['select_field_text_color'] != '' ? $shortcode['atts']['select_field_text_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'forms-field-text-color' ) ),
                            'select_field_inset_box_shadow_horizontal_length' => isset( $shortcode['atts']['select_field_inset_box_shadow_horizontal_length'] ) && $shortcode['atts']['select_field_inset_box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['select_field_inset_box_shadow_horizontal_length'] ) ? $shortcode['atts']['select_field_inset_box_shadow_horizontal_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'forms-field-inset-box-shadow', 'horizontal-length' ) ),
                            'select_field_inset_box_shadow_vertical_length' => isset( $shortcode['atts']['select_field_inset_box_shadow_vertical_length'] ) && $shortcode['atts']['select_field_inset_box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['select_field_inset_box_shadow_vertical_length'] ) ? $shortcode['atts']['select_field_inset_box_shadow_vertical_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'forms-field-inset-box-shadow', 'vertical-length' ) ),
                            'select_field_inset_box_shadow_blur_radius' => isset( $shortcode['atts']['select_field_inset_box_shadow_blur_radius'] ) && $shortcode['atts']['select_field_inset_box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['select_field_inset_box_shadow_blur_radius'] ) ? $shortcode['atts']['select_field_inset_box_shadow_blur_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'forms-field-inset-box-shadow', 'blur-radius' ) ),
                            'select_field_inset_box_shadow_spread_radius' => isset( $shortcode['atts']['select_field_inset_box_shadow_spread_radius'] ) && $shortcode['atts']['select_field_inset_box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['select_field_inset_box_shadow_spread_radius'] ) ? $shortcode['atts']['select_field_inset_box_shadow_spread_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'forms-field-inset-box-shadow', 'spread-radius' ) ),
                            'select_field_inset_box_shadow_color' => isset( $shortcode['atts']['select_field_inset_box_shadow_color'] ) && $shortcode['atts']['select_field_inset_box_shadow_color'] != '' ? $shortcode['atts']['select_field_inset_box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'forms-field-inset-box-shadow', 'color' ) ),
                            'select_selector_background_color' => isset( $shortcode['atts']['select_selector_background_color'] ) && $shortcode['atts']['select_selector_background_color'] != '' ? $shortcode['atts']['select_selector_background_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'forms-select-and-date-field-icon-background-color' ) ),
                            'select_selector_icon_color' => isset( $shortcode['atts']['select_selector_icon_color'] ) && $shortcode['atts']['select_selector_icon_color'] != '' ? $shortcode['atts']['select_selector_icon_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'forms-select-and-date-field-icon-color' ) ),
                            'select_selector_icon_color_hover' => isset( $shortcode['atts']['select_selector_icon_color_hover'] ) && $shortcode['atts']['select_selector_icon_color_hover'] != '' ? $shortcode['atts']['select_selector_icon_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'forms-field-text-color' ) ),
                            'select_selector_border_color' => isset( $shortcode['atts']['select_selector_border_color'] ) && $shortcode['atts']['select_selector_border_color'] != '' ? $shortcode['atts']['select_selector_border_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'forms-select-and-date-field-icon-border-color' ) )
                        );

                        # are custom colors enabled?
                        if( $attributes['custom_colors_enabled'] != 'theme_defaults' ) {

                            # element background and border color
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-pricing-list.'. esc_attr( $shortcode['atts']['class_name'] ),
                                array(
                                    'border-color' => esc_attr( $attributes['border_color'] ),
                                    'background' => esc_attr( $attributes['background_color'] ),
                                    '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length'], $attributes['box_shadow_vertical_length'], $attributes['box_shadow_blur_radius'], $attributes['box_shadow_spread_radius'], $attributes['box_shadow_color'] ),
                                    '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length'], $attributes['box_shadow_vertical_length'], $attributes['box_shadow_blur_radius'], $attributes['box_shadow_spread_radius'], $attributes['box_shadow_color'] ),
                                    'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length'], $attributes['box_shadow_vertical_length'], $attributes['box_shadow_blur_radius'], $attributes['box_shadow_spread_radius'], $attributes['box_shadow_color'] )
                                )
                            );

                            # background color for containers inside element
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-pricing-list.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-pricing-list-background-icons:after, .ueldo-shortcode-pricing-list.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-pricing-list-groups-selector, .ueldo-shortcode-pricing-list.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-pricing-list-groups-content',
                                array(
                                    'background' => esc_attr( $attributes['background_color'] )
                                )
                            );

                            # element border color (on hover)
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-pricing-list.'. esc_attr( $shortcode['atts']['class_name'] ) .':hover',
                                array(
                                    'border-color' => esc_attr( $attributes['border_color_hover'] ),
                                    '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length_hover'], $attributes['box_shadow_vertical_length_hover'], $attributes['box_shadow_blur_radius_hover'], $attributes['box_shadow_spread_radius_hover'], $attributes['box_shadow_color_hover'] ),
                                    '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length_hover'], $attributes['box_shadow_vertical_length_hover'], $attributes['box_shadow_blur_radius_hover'], $attributes['box_shadow_spread_radius_hover'], $attributes['box_shadow_color_hover'] ),
                                    'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length_hover'], $attributes['box_shadow_vertical_length_hover'], $attributes['box_shadow_blur_radius_hover'], $attributes['box_shadow_spread_radius_hover'], $attributes['box_shadow_color_hover'] )
                                )
                            );

                            # icon color
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-pricing-list.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-pricing-list-background-icons .ueldo-shortcode-pricing-list-background-icon, .ueldo-shortcode-pricing-list.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-pricing-list-background-icons .ueldo-shortcode-pricing-list-background-icon:before',
                                array(
                                    'color' => esc_attr( $attributes['icon_color'] )
                                )
                            );

                            # text color
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-pricing-list.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-pricing-list-groups-selector-descriptions p, .ueldo-shortcode-pricing-list.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-pricing-list-groups-content-group-attributes-list .ueldo-shortcode-pricing-list-attribute-title',
                                array(
                                    'color' => esc_attr( $attributes['text_color'] )
                                )
                            );

                            # price color
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-pricing-list.'. esc_attr( $shortcode['atts']['class_name'] ) .' ul.ueldo-shortcode-pricing-list-groups-content-group-attributes-list li span.ueldo-shortcode-pricing-list-attribute-price',
                                array(
                                    'color' => esc_attr( $attributes['price_color'] )
                                )
                            );

                            # border between attributes
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-pricing-list.'. esc_attr( $shortcode['atts']['class_name'] ) .':before, .ueldo-shortcode-pricing-list.'. esc_attr( $shortcode['atts']['class_name'] ) .' ul.ueldo-shortcode-pricing-list-groups-content-group-attributes-list.ueldo-shortcode-pricing-list-groups-content-group-attributes-list-left, .ueldo-shortcode-pricing-list.'. esc_attr( $shortcode['atts']['class_name'] ) .' ul.ueldo-shortcode-pricing-list-groups-content-group-attributes-list li',
                                array(
                                    'border-color' => esc_attr( $attributes['border_between_attributes_color'] )
                                )
                            );

                            # additional border between content and selector on mobile
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-pricing-list.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-pricing-list-groups-content',
                                array(
                                    'less_767' => array(
                                        'border-color' => esc_attr( $attributes['border_between_attributes_color'] )
                                    )
                                )
                            );

                            # border between attributes
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-pricing-list.'. esc_attr( $shortcode['atts']['class_name'] ) .':before',
                                array(
                                    '-webkit-box-shadow' => 'inset '. ueldo_get_box_shadow_attribute_value( $attributes['inset_box_shadow_horizontal_length'], $attributes['inset_box_shadow_vertical_length'], $attributes['inset_box_shadow_blur_radius'], $attributes['inset_box_shadow_spread_radius'], $attributes['inset_box_shadow_color'] ),
                                    '-moz-box-shadow' => 'inset '. ueldo_get_box_shadow_attribute_value( $attributes['inset_box_shadow_horizontal_length'], $attributes['inset_box_shadow_vertical_length'], $attributes['inset_box_shadow_blur_radius'], $attributes['inset_box_shadow_spread_radius'], $attributes['inset_box_shadow_color'] ),
                                    'box-shadow' => 'inset '. ueldo_get_box_shadow_attribute_value( $attributes['inset_box_shadow_horizontal_length'], $attributes['inset_box_shadow_vertical_length'], $attributes['inset_box_shadow_blur_radius'], $attributes['inset_box_shadow_spread_radius'], $attributes['inset_box_shadow_color'] )
                                )
                            );

                            # border between attributes
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-pricing-list.'. esc_attr( $shortcode['atts']['class_name'] ) .':after',
                                array(
                                    'background' => esc_attr( $attributes['border_between_attributes_color'] )
                                )
                            );

                            # select field container
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-pricing-list.'. esc_attr( $shortcode['atts']['class_name'] ) .' span.ueldo-select-field',
                                array(
                                    'border-color' => esc_attr( $attributes['select_field_border_color'] ),
                                    'background' => esc_attr( $attributes['select_field_background_color'] ),
                                    'color' => esc_attr( $attributes['select_field_text_color'] ),
                                    '-webkit-box-shadow' => 'inset '. ueldo_get_box_shadow_attribute_value( $attributes['select_field_inset_box_shadow_horizontal_length'], $attributes['select_field_inset_box_shadow_vertical_length'], $attributes['select_field_inset_box_shadow_blur_radius'], $attributes['select_field_inset_box_shadow_spread_radius'], $attributes['select_field_inset_box_shadow_color'] ),
                                    '-moz-box-shadow' => 'inset '. ueldo_get_box_shadow_attribute_value( $attributes['select_field_inset_box_shadow_horizontal_length'], $attributes['select_field_inset_box_shadow_vertical_length'], $attributes['select_field_inset_box_shadow_blur_radius'], $attributes['select_field_inset_box_shadow_spread_radius'], $attributes['select_field_inset_box_shadow_color'] ),
                                    'box-shadow' => 'inset '. ueldo_get_box_shadow_attribute_value( $attributes['select_field_inset_box_shadow_horizontal_length'], $attributes['select_field_inset_box_shadow_vertical_length'], $attributes['select_field_inset_box_shadow_blur_radius'], $attributes['select_field_inset_box_shadow_spread_radius'], $attributes['select_field_inset_box_shadow_color'] )
                                )
                            );

                            # select field container (on hover)
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-pricing-list.'. esc_attr( $shortcode['atts']['class_name'] ) .' span.ueldo-select-field:hover',
                                array(
                                    'border-color' => esc_attr( $attributes['select_field_border_color_hover'] )
                                )
                            );

                            # select field
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-pricing-list.'. esc_attr( $shortcode['atts']['class_name'] ) .' span.ueldo-select-field select',
                                array(
                                    'color' => esc_attr( $attributes['select_field_text_color'] )
                                )
                            );

                            # select field selector
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-pricing-list.'. esc_attr( $shortcode['atts']['class_name'] ) .' span.ueldo-select-field:after',
                                array(
                                    'background' => esc_attr( $attributes['select_selector_background_color'] ),
                                    'border-color' => esc_attr( $attributes['select_selector_border_color'] ),
                                    'color' => esc_attr( $attributes['select_selector_icon_color'] )
                                )
                            );

                            # select field selector (on hover)
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-pricing-list.'. esc_attr( $shortcode['atts']['class_name'] ) .' span.ueldo-select-field:hover:after',
                                array(
                                    'color' => esc_attr( $attributes['select_selector_icon_color_hover'] )
                                )
                            );
                        }

                        # save css style
                        $shortcodes_styles -> save_styles();

                        # remove attributes array
                        unset( $attributes );

                    break;

                   /**
                    *
                    * ueldo_shortcode_price_single
                    *
                    */

                    case 'ueldo_shortcode_price_single':

                        # attributes array
                        $attributes = array(
                            'title_custom_font_settings_enabled' => isset( $shortcode['atts']['title_custom_font_settings_enabled'] ) && !empty( $shortcode['atts']['title_custom_font_settings_enabled'] ) ? $shortcode['atts']['title_custom_font_settings_enabled'] : 'theme_defaults',
                            'title_font_size' => isset( $shortcode['atts']['title_font_size'] ) && $shortcode['atts']['title_font_size'] != '' && ueldo_is_valid_number( $shortcode['atts']['title_font_size'] ) ? $shortcode['atts']['title_font_size'] : esc_attr( $ueldo_styles_cache -> get_style( 'font-size-content' ) ),
                            'title_font_letter_spacing' => isset( $shortcode['atts']['title_font_letter_spacing'] ) && $shortcode['atts']['title_font_letter_spacing'] != '' && ueldo_is_valid_number( $shortcode['atts']['title_font_letter_spacing'] ) ? $shortcode['atts']['title_font_letter_spacing'] : '0',
                            'title_font_line_height' => isset( $shortcode['atts']['title_font_line_height'] ) && $shortcode['atts']['title_font_line_height'] != '' && ueldo_is_valid_number( $shortcode['atts']['title_font_line_height'] ) ? $shortcode['atts']['title_font_line_height'] : '1.0',
                            'title_font_family' => isset( $shortcode['atts']['title_font_family'] ) && !empty( $shortcode['atts']['title_font_family'] ) ? $shortcode['atts']['title_font_family'] : 'headings-font',
                            'description_custom_font_settings_enabled' => isset( $shortcode['atts']['description_custom_font_settings_enabled'] ) && !empty( $shortcode['atts']['description_custom_font_settings_enabled'] ) ? $shortcode['atts']['description_custom_font_settings_enabled'] : 'theme_defaults',
                            'description_font_size' => isset( $shortcode['atts']['description_font_size'] ) && $shortcode['atts']['description_font_size'] != '' && ueldo_is_valid_number( $shortcode['atts']['description_font_size'] ) ? $shortcode['atts']['description_font_size'] : esc_attr( $ueldo_styles_cache -> get_style( 'font-size-content' ) ),
                            'description_font_letter_spacing' => isset( $shortcode['atts']['description_font_letter_spacing'] ) && $shortcode['atts']['description_font_letter_spacing'] != '' && ueldo_is_valid_number( $shortcode['atts']['description_font_letter_spacing'] ) ? $shortcode['atts']['description_font_letter_spacing'] : '0',
                            'description_font_line_height' => isset( $shortcode['atts']['description_font_line_height'] ) && $shortcode['atts']['description_font_line_height'] != '' && ueldo_is_valid_number( $shortcode['atts']['description_font_line_height'] ) ? $shortcode['atts']['description_font_line_height'] : esc_attr( $ueldo_styles_cache -> get_style( 'line-height-general' ) ),
                            'description_font_family' => isset( $shortcode['atts']['description_font_family'] ) && !empty( $shortcode['atts']['description_font_family'] ) ? $shortcode['atts']['description_font_family'] : 'general-font',
                            'price_custom_font_settings_enabled' => isset( $shortcode['atts']['price_custom_font_settings_enabled'] ) && !empty( $shortcode['atts']['price_custom_font_settings_enabled'] ) ? $shortcode['atts']['price_custom_font_settings_enabled'] : 'theme_defaults',
                            'price_font_size' => isset( $shortcode['atts']['price_font_size'] ) && $shortcode['atts']['price_font_size'] != '' && ueldo_is_valid_number( $shortcode['atts']['price_font_size'] ) ? $shortcode['atts']['price_font_size'] : esc_attr( $ueldo_styles_cache -> get_style( 'font-size-content' ) ),
                            'price_font_letter_spacing' => isset( $shortcode['atts']['price_font_letter_spacing'] ) && $shortcode['atts']['price_font_letter_spacing'] != '' && ueldo_is_valid_number( $shortcode['atts']['price_font_letter_spacing'] ) ? $shortcode['atts']['price_font_letter_spacing'] : '0',
                            'price_font_line_height' => isset( $shortcode['atts']['price_font_line_height'] ) && $shortcode['atts']['price_font_line_height'] != '' && ueldo_is_valid_number( $shortcode['atts']['price_font_line_height'] ) ? $shortcode['atts']['price_font_line_height'] : '1.0',
                            'price_font_family' => isset( $shortcode['atts']['price_font_family'] ) && !empty( $shortcode['atts']['price_font_family'] ) ? $shortcode['atts']['price_font_family'] : 'headings-font',
                            'add_image' => isset( $shortcode['atts']['add_image'] ) && !empty( $shortcode['atts']['add_image'] ) ? $shortcode['atts']['add_image'] : 'no',
                            'image_width' => isset( $shortcode['atts']['image_width'] ) && $shortcode['atts']['image_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['image_width'] ) ? $shortcode['atts']['image_width'] : '100',
                            'image_border_radius' => isset( $shortcode['atts']['image_border_radius'] ) && $shortcode['atts']['image_border_radius'] != '' ? $shortcode['atts']['image_border_radius'] : 'px',
                            'image_border_radius_px' => isset( $shortcode['atts']['image_border_radius_px'] ) && $shortcode['atts']['image_border_radius_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['image_border_radius_px'] ) ? $shortcode['atts']['image_border_radius_px'] : '4',
                            'custom_colors_enabled' => isset( $shortcode['atts']['custom_colors_enabled'] ) && !empty( $shortcode['atts']['custom_colors_enabled'] ) ? $shortcode['atts']['custom_colors_enabled'] : 'theme_defaults',
                            'content_elements_background_color' => isset( $shortcode['atts']['content_elements_background_color'] ) && $shortcode['atts']['content_elements_background_color'] != '' ? $shortcode['atts']['content_elements_background_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                            'title_color' => isset( $shortcode['atts']['title_color'] ) && $shortcode['atts']['title_color'] != '' ? $shortcode['atts']['title_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-headings-color' ) ),
                            'price_color' => isset( $shortcode['atts']['price_color'] ) && $shortcode['atts']['price_color'] != '' ? $shortcode['atts']['price_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-headings-color' ) ),
                            'delimiter_color' => isset( $shortcode['atts']['delimiter_color'] ) && $shortcode['atts']['delimiter_color'] != '' ? $shortcode['atts']['delimiter_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-border-color' ) ),
                            'description_color' => isset( $shortcode['atts']['description_color'] ) && $shortcode['atts']['description_color'] != '' ? $shortcode['atts']['description_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-content-color' ) ),
                            'image_box_shadow_horizontal_length' => isset( $shortcode['atts']['image_box_shadow_horizontal_length'] ) && $shortcode['atts']['image_box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['image_box_shadow_horizontal_length'] ) ? $shortcode['atts']['image_box_shadow_horizontal_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'horizontal-length' ) ),
                            'image_box_shadow_vertical_length' => isset( $shortcode['atts']['image_box_shadow_vertical_length'] ) && $shortcode['atts']['image_box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['image_box_shadow_vertical_length'] ) ? $shortcode['atts']['image_box_shadow_vertical_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'vertical-length' ) ),
                            'image_box_shadow_blur_radius' => isset( $shortcode['atts']['image_box_shadow_blur_radius'] ) && $shortcode['atts']['image_box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['image_box_shadow_blur_radius'] ) ? $shortcode['atts']['image_box_shadow_blur_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'blur-radius' ) ),
                            'image_box_shadow_spread_radius' => isset( $shortcode['atts']['image_box_shadow_spread_radius'] ) && $shortcode['atts']['image_box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['image_box_shadow_spread_radius'] ) ? $shortcode['atts']['image_box_shadow_spread_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'spread-radius' ) ),
                            'image_box_shadow_color' => isset( $shortcode['atts']['image_box_shadow_color'] ) && $shortcode['atts']['image_box_shadow_color'] != '' ? $shortcode['atts']['image_box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'color' ) )
                        );

                        # custom font settings for title
                        if( $attributes['title_custom_font_settings_enabled'] != 'theme_defaults' ) {

                            # get font data array
                            $font = ueldo_vc_get_custom_font_family_attributes( ( !empty( $attributes['title_font_family'] ) ? $attributes['title_font_family'] : false ), 'headings-font' );

                            # title font size
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-price-single.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-price-single-column .ueldo-shortcode-price-single-content .ueldo-shortcode-price-single-title, .ueldo-shortcode-price-single.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-price-single-column .ueldo-shortcode-price-single-content .ueldo-shortcode-price-single-title .ueldo-shortcode-price-single-title-text',
                                array(
                                    'font-family' => esc_attr( $font['font-family'] ),
                                    'font-weight' => esc_attr( $font['font-weight'] ),
                                    'font-style' => esc_attr( $font['font-style'] ),
                                    '-webkit-font-smoothing' => esc_attr( $font['-webkit-font-smoothing'] ),
                                    '-moz-osx-font-smoothing' => esc_attr( $font['-moz-osx-font-smoothing'] ),
                                    'font-size' => esc_attr( $attributes['title_font_size'] ),
                                    'letter-spacing' => esc_attr( $attributes['title_font_letter_spacing'] ),
                                    'line-height' => esc_attr( $attributes['title_font_line_height'] )
                                )
                            );

                            # remove temporary variables
                            unset( $font );
                        }

                        # custom font settings for description
                        if( $attributes['description_custom_font_settings_enabled'] != 'theme_defaults' ) {

                            # get font data array
                            $font = ueldo_vc_get_custom_font_family_attributes( ( !empty( $attributes['description_font_family'] ) ? $attributes['description_font_family'] : false ), 'general-font' );

                            # description font size
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-price-single.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-price-single-column p.ueldo-shortcode-price-single-description',
                                array(
                                    'font-family' => esc_attr( $font['font-family'] ),
                                    'font-weight' => esc_attr( $font['font-weight'] ),
                                    'font-style' => esc_attr( $font['font-style'] ),
                                    '-webkit-font-smoothing' => esc_attr( $font['-webkit-font-smoothing'] ),
                                    '-moz-osx-font-smoothing' => esc_attr( $font['-moz-osx-font-smoothing'] ),
                                    'font-size' => esc_attr( $attributes['description_font_size'] ),
                                    'letter-spacing' => esc_attr( $attributes['description_font_letter_spacing'] ),
                                    'line-height' => esc_attr( $attributes['description_font_line_height'] )
                                )
                            );

                            # remove temporary variables
                            unset( $font );
                        }

                        # custom font settings for price
                        if( $attributes['price_custom_font_settings_enabled'] != 'theme_defaults' ) {

                            # get font data array
                            $font = ueldo_vc_get_custom_font_family_attributes( ( !empty( $attributes['price_font_family'] ) ? $attributes['price_font_family'] : false ), 'headings-font' );

                            # price font size
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-price-single.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-price-single-column .ueldo-shortcode-price-single-content .ueldo-shortcode-price-single-price, .ueldo-shortcode-price-single.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-price-single-column .ueldo-shortcode-price-single-content .ueldo-shortcode-price-single-price .ueldo-shortcode-price-single-price-text',
                                array(
                                    'font-family' => esc_attr( $font['font-family'] ),
                                    'font-weight' => esc_attr( $font['font-weight'] ),
                                    'font-style' => esc_attr( $font['font-style'] ),
                                    '-webkit-font-smoothing' => esc_attr( $font['-webkit-font-smoothing'] ),
                                    '-moz-osx-font-smoothing' => esc_attr( $font['-moz-osx-font-smoothing'] ),
                                    'font-size' => esc_attr( $attributes['price_font_size'] ),
                                    'letter-spacing' => esc_attr( $attributes['price_font_letter_spacing'] ),
                                    'line-height' => esc_attr( $attributes['price_font_line_height'] )
                                )
                            );

                            # remove temporary variables
                            unset( $font );
                        }

                        # do we have image added?
                        if( $attributes['add_image'] == 'yes' ) {

                            # image width
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-price-single.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-price-single-column.ueldo-shortcode-price-single-column-with-image',
                                array(
                                    'width' => esc_attr( $attributes['image_width'] )
                                )
                            );

                            # custom colors enabled?
                            if( $attributes['custom_colors_enabled'] != 'theme_defaults' ) {

                                # image width and box shadow
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-price-single.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-price-single-column.ueldo-shortcode-price-single-column-with-image img',
                                    array(
                                        'max-width' => esc_attr( $attributes['image_width'] ),
                                        '-webkit-border-radius'. esc_attr( $attributes['image_border_radius'] == 'circle' ? '-%' : '' ) => esc_attr( $attributes['image_border_radius'] == 'circle' ? '100%' : $attributes['image_border_radius_px'] ),
                                        '-moz-border-radius'. esc_attr( $attributes['image_border_radius'] == 'circle' ? '-%' : '' ) => esc_attr( $attributes['image_border_radius'] == 'circle' ? '100%' : $attributes['image_border_radius_px'] ),
                                        'border-radius'. esc_attr( $attributes['image_border_radius'] == 'circle' ? '-%' : '' ) => esc_attr( $attributes['image_border_radius'] == 'circle' ? '100%' : $attributes['image_border_radius_px'] ),
                                        '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['image_box_shadow_horizontal_length'], $attributes['image_box_shadow_vertical_length'], $attributes['image_box_shadow_blur_radius'], $attributes['image_box_shadow_spread_radius'], $attributes['image_box_shadow_color'] ),
                                        '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['image_box_shadow_horizontal_length'], $attributes['image_box_shadow_vertical_length'], $attributes['image_box_shadow_blur_radius'], $attributes['image_box_shadow_spread_radius'], $attributes['image_box_shadow_color'] ),
                                        'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['image_box_shadow_horizontal_length'], $attributes['image_box_shadow_vertical_length'], $attributes['image_box_shadow_blur_radius'], $attributes['image_box_shadow_spread_radius'], $attributes['image_box_shadow_color'] )
                                    )
                                );
                            }

                            # use theme colors - set only image width
                            else {

                                # image width
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-price-single.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-price-single-column.ueldo-shortcode-price-single-column-with-image img',
                                    array(
                                        'max-width' => esc_attr( $attributes['image_width'] ),
                                        '-webkit-border-radius'. esc_attr( $attributes['image_border_radius'] == 'circle' ? '-%' : '' ) => esc_attr( $attributes['image_border_radius'] == 'circle' ? '100%' : $attributes['image_border_radius_px'] ),
                                        '-moz-border-radius'. esc_attr( $attributes['image_border_radius'] == 'circle' ? '-%' : '' ) => esc_attr( $attributes['image_border_radius'] == 'circle' ? '100%' : $attributes['image_border_radius_px'] ),
                                        'border-radius'. esc_attr( $attributes['image_border_radius'] == 'circle' ? '-%' : '' ) => esc_attr( $attributes['image_border_radius'] == 'circle' ? '100%' : $attributes['image_border_radius_px'] )
                                    )
                                );
                            }

                            # content width
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-price-single.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-price-single-column.ueldo-shortcode-price-single-column-near-image',
                                array(
                                    'width-webkit-calc' => '-webkit-calc( 100% - '. esc_attr( $attributes['image_width'] ) .'px )',
                                    'width-moz-calc' => '-moz-calc( 100% - '. esc_attr( $attributes['image_width'] ) .'px )',
                                    'width-calc' => 'calc( 100% - '. esc_attr( $attributes['image_width'] ) .'px )'
                                )
                            );
                        }

                        # custom colors enabled?
                        if( $attributes['custom_colors_enabled'] != 'theme_defaults' ) {

                            # content elements background color
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-price-single.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-price-single-with-delimiter .ueldo-shortcode-price-single-content .ueldo-shortcode-price-single-title-text, .ueldo-shortcode-price-single.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-price-single-with-delimiter .ueldo-shortcode-price-single-content .ueldo-shortcode-price-single-price-text',
                                array(
                                    'background' => esc_attr( $attributes['content_elements_background_color'] )
                                )
                            );

                            # title color
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-price-single.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-price-single-content .ueldo-shortcode-price-single-title-text',
                                array(
                                    'color' => esc_attr( $attributes['title_color'] )
                                )
                            );

                            # price color
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-price-single.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-price-single-content .ueldo-shortcode-price-single-price-text',
                                array(
                                    'color' => esc_attr( $attributes['price_color'] )
                                )
                            );

                            # description color
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-price-single.'. esc_attr( $shortcode['atts']['class_name'] ) .' p',
                                array(
                                    'color' => esc_attr( $attributes['description_color'] )
                                )
                            );

                            # delimiter color
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-price-single.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-price-single-with-delimiter .ueldo-shortcode-price-single-content:before',
                                array(
                                    'background' => esc_attr( $attributes['delimiter_color'] )
                                )
                            );
                        }

                        # save css style
                        $shortcodes_styles -> save_styles();

                        # remove attributes array
                        unset( $attributes );

                    break;

                   /**
                    *
                    * ueldo_shortcode_inline_container_element
                    *
                    */

                    case 'ueldo_shortcode_inline_container_element':

                        # attributes array
                        $attributes = array(
                            'large_width_type' => isset( $shortcode['atts']['large_width_type'] ) && !empty( $shortcode['atts']['large_width_type'] ) ? $shortcode['atts']['large_width_type'] : 'percentage',
                            'large_width_percentage' => isset( $shortcode['atts']['large_width_percentage'] ) && $shortcode['atts']['large_width_percentage'] != '' ? $shortcode['atts']['large_width_percentage'] : '50%',
                            'large_width_px' => isset( $shortcode['atts']['large_width_px'] ) && $shortcode['atts']['large_width_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['large_width_px'] ) ? $shortcode['atts']['large_width_px'] : '100',
                            'large_width_calc_base' => isset( $shortcode['atts']['large_width_calc_base'] ) && $shortcode['atts']['large_width_calc_base'] != '' ? $shortcode['atts']['large_width_calc_base'] : '100%',
                            'large_width_calc_operator' => isset( $shortcode['atts']['large_width_calc_operator'] ) && !empty( $shortcode['atts']['large_width_calc_operator'] ) ? $shortcode['atts']['large_width_calc_operator'] : '-',
                            'large_width_calc_px' => isset( $shortcode['atts']['large_width_calc_px'] ) && $shortcode['atts']['large_width_calc_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['large_width_calc_px'] ) ? $shortcode['atts']['large_width_calc_px'] : '100',
                            'large_content_alignment' => isset( $shortcode['atts']['large_content_alignment'] ) && !empty( $shortcode['atts']['large_content_alignment'] ) ? $shortcode['atts']['large_content_alignment'] : esc_attr( ueldo_is_rtl() ? 'right' : 'left' ),
                            'medium_layer_custom_sizes' => isset( $shortcode['atts']['medium_custom_sizes'] ) && !empty( $shortcode['atts']['medium_custom_sizes'] ) ? $shortcode['atts']['medium_custom_sizes'] : 'no-large',
                            'medium_width_type' => isset( $shortcode['atts']['medium_width_type'] ) && !empty( $shortcode['atts']['medium_width_type'] ) ? $shortcode['atts']['medium_width_type'] : 'percentage',
                            'medium_width_percentage' => isset( $shortcode['atts']['medium_width_percentage'] ) && $shortcode['atts']['medium_width_percentage'] != '' ? $shortcode['atts']['medium_width_percentage'] : '50%',
                            'medium_width_px' => isset( $shortcode['atts']['medium_width_px'] ) && $shortcode['atts']['medium_width_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['medium_width_px'] ) ? $shortcode['atts']['medium_width_px'] : '100',
                            'medium_width_calc_base' => isset( $shortcode['atts']['medium_width_calc_base'] ) && $shortcode['atts']['medium_width_calc_base'] != '' ? $shortcode['atts']['medium_width_calc_base'] : '100%',
                            'medium_width_calc_operator' => isset( $shortcode['atts']['medium_width_calc_operator'] ) && !empty( $shortcode['atts']['medium_width_calc_operator'] ) ? $shortcode['atts']['medium_width_calc_operator'] : '-',
                            'medium_width_calc_px' => isset( $shortcode['atts']['medium_width_calc_px'] ) && $shortcode['atts']['medium_width_calc_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['medium_width_calc_px'] ) ? $shortcode['atts']['medium_width_calc_px'] : '100',
                            'medium_content_alignment' => isset( $shortcode['atts']['medium_content_alignment'] ) && !empty( $shortcode['atts']['medium_content_alignment'] ) ? $shortcode['atts']['medium_content_alignment'] : esc_attr( ueldo_is_rtl() ? 'right' : 'left' ),
                            'small_layer_custom_sizes' => isset( $shortcode['atts']['small_custom_sizes'] ) && !empty( $shortcode['atts']['small_custom_sizes'] ) ? $shortcode['atts']['small_custom_sizes'] : 'no-medium',
                            'small_width_type' => isset( $shortcode['atts']['small_width_type'] ) && !empty( $shortcode['atts']['small_width_type'] ) ? $shortcode['atts']['small_width_type'] : 'percentage',
                            'small_width_percentage' => isset( $shortcode['atts']['small_width_percentage'] ) && $shortcode['atts']['small_width_percentage'] != '' ? $shortcode['atts']['small_width_percentage'] : '100%',
                            'small_width_px' => isset( $shortcode['atts']['small_width_px'] ) && $shortcode['atts']['small_width_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['small_width_px'] ) ? $shortcode['atts']['small_width_px'] : '100',
                            'small_width_calc_base' => isset( $shortcode['atts']['small_width_calc_base'] ) && $shortcode['atts']['small_width_calc_base'] != '' ? $shortcode['atts']['small_width_calc_base'] : '100%',
                            'small_width_calc_operator' => isset( $shortcode['atts']['small_width_calc_operator'] ) && !empty( $shortcode['atts']['small_width_calc_operator'] ) ? $shortcode['atts']['small_width_calc_operator'] : '-',
                            'small_width_calc_px' => isset( $shortcode['atts']['small_width_calc_px'] ) && $shortcode['atts']['small_width_calc_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['small_width_calc_px'] ) ? $shortcode['atts']['small_width_calc_px'] : '100',
                            'small_content_alignment' => isset( $shortcode['atts']['small_content_alignment'] ) && !empty( $shortcode['atts']['small_content_alignment'] ) ? $shortcode['atts']['small_content_alignment'] : esc_attr( ueldo_is_rtl() ? 'right' : 'left' ),
                            'extra_small_layer_custom_sizes' => isset( $shortcode['atts']['extra_small_custom_sizes'] ) && !empty( $shortcode['atts']['extra_small_custom_sizes'] ) ? $shortcode['atts']['extra_small_custom_sizes'] : 'no-small',
                            'extra_small_width_type' => isset( $shortcode['atts']['extra_small_width_type'] ) && !empty( $shortcode['atts']['extra_small_width_type'] ) ? $shortcode['atts']['extra_small_width_type'] : 'percentage',
                            'extra_small_width_percentage' => isset( $shortcode['atts']['extra_small_width_percentage'] ) && $shortcode['atts']['extra_small_width_percentage'] != '' ? $shortcode['atts']['extra_small_width_percentage'] : '100%',
                            'extra_small_width_px' => isset( $shortcode['atts']['extra_small_width_px'] ) && $shortcode['atts']['extra_small_width_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['extra_small_width_px'] ) ? $shortcode['atts']['extra_small_width_px'] : '100',
                            'extra_small_width_calc_base' => isset( $shortcode['atts']['extra_small_width_calc_base'] ) && $shortcode['atts']['extra_small_width_calc_base'] != '' ? $shortcode['atts']['extra_small_width_calc_base'] : '100%',
                            'extra_small_width_calc_operator' => isset( $shortcode['atts']['extra_small_width_calc_operator'] ) && !empty( $shortcode['atts']['extra_small_width_calc_operator'] ) ? $shortcode['atts']['extra_small_width_calc_operator'] : '-',
                            'extra_small_width_calc_px' => isset( $shortcode['atts']['extra_small_width_calc_px'] ) && $shortcode['atts']['extra_small_width_calc_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['extra_small_width_calc_px'] ) ? $shortcode['atts']['extra_small_width_calc_px'] : '100',
                            'extra_small_content_alignment' => isset( $shortcode['atts']['extra_small_content_alignment'] ) && !empty( $shortcode['atts']['extra_small_content_alignment'] ) ? $shortcode['atts']['extra_small_content_alignment'] : esc_attr( ueldo_is_rtl() ? 'right' : 'left' )
                        );

                        # temporary values for each devices
                        $temp = array(
                            'medium-width-type' => ueldo_get_vc_element_device_attributes( $attributes, 'width_type', 'medium' ),
                            'medium-width-percentage' => ueldo_get_vc_element_device_attributes( $attributes, 'width_percentage', 'medium' ),
                            'medium-width-px' => ueldo_get_vc_element_device_attributes( $attributes, 'width_px', 'medium' ),
                            'medium-width-calc-base' => ueldo_get_vc_element_device_attributes( $attributes, 'width_calc_base', 'medium' ),
                            'medium-width-calc-operator' => ueldo_get_vc_element_device_attributes( $attributes, 'width_calc_operator', 'medium' ),
                            'medium-width-calc-px' => ueldo_get_vc_element_device_attributes( $attributes, 'width_calc_px', 'medium' ),
                            'medium-content-alignment' => ueldo_get_vc_element_device_attributes( $attributes, 'content_alignment', 'medium' ),
                            'small-width-type' => ueldo_get_vc_element_device_attributes( $attributes, 'width_type', 'small' ),
                            'small-width-percentage' => ueldo_get_vc_element_device_attributes( $attributes, 'width_percentage', 'small' ),
                            'small-width-px' => ueldo_get_vc_element_device_attributes( $attributes, 'width_px', 'small' ),
                            'small-width-calc-base' => ueldo_get_vc_element_device_attributes( $attributes, 'width_calc_base', 'small' ),
                            'small-width-calc-operator' => ueldo_get_vc_element_device_attributes( $attributes, 'width_calc_operator', 'small' ),
                            'small-width-calc-px' => ueldo_get_vc_element_device_attributes( $attributes, 'width_calc_px', 'small' ),
                            'small-content-alignment' => ueldo_get_vc_element_device_attributes( $attributes, 'content_alignment', 'small' ),
                            'extra-small-width-type' => ueldo_get_vc_element_device_attributes( $attributes, 'width_type', 'extra_small' ),
                            'extra-small-width-percentage' => ueldo_get_vc_element_device_attributes( $attributes, 'width_percentage', 'extra_small' ),
                            'extra-small-width-px' => ueldo_get_vc_element_device_attributes( $attributes, 'width_px', 'extra_small' ),
                            'extra-small-width-calc-base' => ueldo_get_vc_element_device_attributes( $attributes, 'width_calc_base', 'extra_small' ),
                            'extra-small-width-calc-operator' => ueldo_get_vc_element_device_attributes( $attributes, 'width_calc_operator', 'extra_small' ),
                            'extra-small-width-calc-px' => ueldo_get_vc_element_device_attributes( $attributes, 'width_calc_px', 'extra_small' ),
                            'extra-small-content-alignment' => ueldo_get_vc_element_device_attributes( $attributes, 'content_alignment', 'extra_small' )
                        );

                        # width value for large devices
                        switch( $attributes['large_width_type'] ) {

                            # percentage width
                            case 'percentage':

                                # update element width
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ),
                                    array(
                                        '1200_more' => array(
                                            'width-%' => $attributes['large_width_percentage']
                                        )
                                    )
                                );

                            break;

                            # pixels width
                            case 'px':

                                # update element width
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ),
                                    array(
                                        '1200_more' => array(
                                            'width' => $attributes['large_width_px']
                                        )
                                    )
                                );

                            break;

                            # calculated width
                            case 'calc':

                                # update element width
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ),
                                    array(
                                        '1200_more' => array(
                                            'width-webkit-calc' => '-webkit-calc( '. esc_attr( $attributes['large_width_calc_base'] ) .' '. esc_attr( $attributes['large_width_calc_operator'] ) .' '. esc_attr( $attributes['large_width_calc_px'] ) .'px )',
                                            'width-moz-calc' => '-moz-calc( '. esc_attr( $attributes['large_width_calc_base'] ) .' '. esc_attr( $attributes['large_width_calc_operator'] ) .' '. esc_attr( $attributes['large_width_calc_px'] ) .'px )',
                                            'width-calc' => 'calc( '. esc_attr( $attributes['large_width_calc_base'] ) .' '. esc_attr( $attributes['large_width_calc_operator'] ) .' '. esc_attr( $attributes['large_width_calc_px'] ) .'px )'
                                        )
                                    )
                                );

                            break;
                        }

                        # width value for medium devices
                        switch( $temp['medium-width-type'] ) {

                            # percentage width
                            case 'percentage':

                                # update element width
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ),
                                    array(
                                        '992_1199' => array(
                                            'width-%' => esc_attr( $temp['medium-width-percentage'] )
                                        )
                                    )
                                );

                            break;

                            # pixels width
                            case 'px':

                                # update element width
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ),
                                    array(
                                        '992_1199' => array(
                                            'width' => esc_attr( $temp['medium-width-px'] )
                                        )
                                    )
                                );

                            break;

                            # calculated width
                            case 'calc':

                                # update element width
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ),
                                    array(
                                        '992_1199' => array(
                                            'width-webkit-calc' => '-webkit-calc( '. esc_attr( $temp['medium-width-calc-base'] ) .' '. esc_attr( $temp['medium-width-calc-operator'] ) .' '. esc_attr( $temp['medium-width-calc-px'] ) .'px )',
                                            'width-moz-calc' => '-moz-calc( '. esc_attr( $temp['medium-width-calc-base'] ) .' '. esc_attr( $temp['medium-width-calc-operator'] ) .' '. esc_attr( $temp['medium-width-calc-px'] ) .'px )',
                                            'width-calc' => 'calc( '. esc_attr( $temp['medium-width-calc-base'] ) .' '. esc_attr( $temp['medium-width-calc-operator'] ) .' '. esc_attr( $temp['medium-width-calc-px'] ) .'px )'
                                        )
                                    )
                                );

                            break;
                        }

                        # width value for small devices
                        switch( $temp['small-width-type'] ) {

                            # percentage width
                            case 'percentage':

                                # update element width
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ),
                                    array(
                                        '768_991' => array(
                                            'width-%' => esc_attr( $temp['small-width-percentage'] )
                                        )
                                    )
                                );

                            break;

                            # pixels width
                            case 'px':

                                # update element width
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ),
                                    array(
                                        '768_991' => array(
                                            'width' => esc_attr( $temp['small-width-px'] )
                                        )
                                    )
                                );

                            break;

                            # calculated width
                            case 'calc':

                                # update element width
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ),
                                    array(
                                        '768_991' => array(
                                            'width-webkit-calc' => '-webkit-calc( '. esc_attr( $temp['small-width-calc-base'] ) .' '. esc_attr( $temp['small-width-calc-operator'] ) .' '. esc_attr( $temp['small-width-calc-px'] ) .'px )',
                                            'width-moz-calc' => '-moz-calc( '. esc_attr( $temp['small-width-calc-base'] ) .' '. esc_attr( $temp['small-width-calc-operator'] ) .' '. esc_attr( $temp['small-width-calc-px'] ) .'px )',
                                            'width-calc' => 'calc( '. esc_attr( $temp['small-width-calc-base'] ) .' '. esc_attr( $temp['small-width-calc-operator'] ) .' '. esc_attr( $temp['small-width-calc-px'] ) .'px )'
                                        )
                                    )
                                );

                            break;
                        }

                        # width value for extra small devices
                        switch( $temp['extra-small-width-type'] ) {

                            # percentage width
                            case 'percentage':

                                # update element width
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ),
                                    array(
                                        'less_767' => array(
                                            'width-%' => esc_attr( $temp['extra-small-width-percentage'] )
                                        )
                                    )
                                );

                            break;

                            # pixels width
                            case 'px':

                                # update element width
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ),
                                    array(
                                        'less_767' => array(
                                            'width' => esc_attr( $temp['extra-small-width-px'] )
                                        )
                                    )
                                );

                            break;

                            # calculated width
                            case 'calc':

                                # update element width
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ),
                                    array(
                                        'less_767' => array(
                                            'width-webkit-calc' => '-webkit-calc( '. esc_attr( $temp['extra-small-width-calc-base'] ) .' '. esc_attr( $temp['extra-small-width-calc-operator'] ) .' '. esc_attr( $temp['extra-small-width-calc-px'] ) .'px )',
                                            'width-moz-calc' => '-moz-calc( '. esc_attr( $temp['extra-small-width-calc-base'] ) .' '. esc_attr( $temp['extra-small-width-calc-operator'] ) .' '. esc_attr( $temp['extra-small-width-calc-px'] ) .'px )',
                                            'width-calc' => 'calc( '. esc_attr( $temp['extra-small-width-calc-base'] ) .' '. esc_attr( $temp['extra-small-width-calc-operator'] ) .' '. esc_attr( $temp['extra-small-width-calc-px'] ) .'px )'
                                        )
                                    )
                                );

                            break;
                        }

                        # content alignment
                        $shortcodes_styles -> update_style(
                            esc_attr( $shortcode['atts']['class_name'] ),
                            array(
                                '1200_more' => array(
                                    'text-align' => esc_attr( $attributes['large_content_alignment'] )
                                ),
                                '992_1199' => array(
                                    'text-align' => esc_attr( $temp['medium-content-alignment'] )
                                ),
                                '768_991' => array(
                                    'text-align' => esc_attr( $temp['small-content-alignment'] )
                                ),
                                'less_767' => array(
                                    'text-align' => esc_attr( $temp['extra-small-content-alignment'] )
                                )
                            )
                        );

                        # remove temporary variable
                        unset( $temp );

                        # save css style
                        $shortcodes_styles -> save_styles();

                        # remove attributes array
                        unset( $attributes );

                    break;

                   /**
                    *
                    * ueldo_shortcode_image
                    *
                    */

                    case 'ueldo_shortcode_image':

                        # attributes array
                        $attributes = array(
                            'image' => isset( $shortcode['atts']['image'] ) && $shortcode['atts']['image'] != '' && ueldo_is_valid_number( $shortcode['atts']['image'] ) ? $shortcode['atts']['image'] : 'default',
                            'additional' => isset( $shortcode['atts']['additional'] ) && !empty( $shortcode['atts']['additional'] ) ? $shortcode['atts']['additional'] : 'none',
                            'horizontal_alignment' => isset( $shortcode['atts']['horizontal_alignment'] ) && !empty( $shortcode['atts']['horizontal_alignment'] ) ? $shortcode['atts']['horizontal_alignment'] : esc_attr( ueldo_is_rtl() ? 'right' : 'left' ),
                            'border_radius' => isset( $shortcode['atts']['border_radius'] ) && $shortcode['atts']['border_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['border_radius'] ) ? $shortcode['atts']['border_radius'] : '4',
                            'border_width' => isset( $shortcode['atts']['border_width'] ) && $shortcode['atts']['border_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['border_width'] ) ? $shortcode['atts']['border_width'] : '0',
                            'large_device_sizes' => isset( $shortcode['atts']['large_device_sizes'] ) && !empty( $shortcode['atts']['large_device_sizes'] ) ? $shortcode['atts']['large_device_sizes'] : 'custom',
                            'large_width_type' => isset( $shortcode['atts']['large_width_type'] ) && !empty( $shortcode['atts']['large_width_type'] ) ? $shortcode['atts']['large_width_type'] : 'percentage',
                            'large_width_percentage' => isset( $shortcode['atts']['large_width_percentage'] ) && $shortcode['atts']['large_width_percentage'] != '' ? $shortcode['atts']['large_width_percentage'] : '100%',
                            'large_width_px' => isset( $shortcode['atts']['large_width_px'] ) && $shortcode['atts']['large_width_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['large_width_px'] ) ? $shortcode['atts']['large_width_px'] : '100',
                            'large_height_px' => isset( $shortcode['atts']['large_height_px'] ) && $shortcode['atts']['large_height_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['large_height_px'] ) ? $shortcode['atts']['large_height_px'] : '300',
                            'medium_layer_custom_sizes' => isset( $shortcode['atts']['medium_custom_sizes'] ) && !empty( $shortcode['atts']['medium_custom_sizes'] ) ? $shortcode['atts']['medium_custom_sizes'] : 'no-large',
                            'medium_device_sizes' => isset( $shortcode['atts']['medium_device_sizes'] ) && !empty( $shortcode['atts']['medium_device_sizes'] ) ? $shortcode['atts']['medium_device_sizes'] : 'custom',
                            'medium_width_type' => isset( $shortcode['atts']['medium_width_type'] ) && !empty( $shortcode['atts']['medium_width_type'] ) ? $shortcode['atts']['medium_width_type'] : 'percentage',
                            'medium_width_percentage' => isset( $shortcode['atts']['medium_width_percentage'] ) && $shortcode['atts']['medium_width_percentage'] != '' ? $shortcode['atts']['medium_width_percentage'] : '100%',
                            'medium_width_px' => isset( $shortcode['atts']['medium_width_px'] ) && $shortcode['atts']['medium_width_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['medium_width_px'] ) ? $shortcode['atts']['medium_width_px'] : '100',
                            'medium_height_px' => isset( $shortcode['atts']['medium_height_px'] ) && $shortcode['atts']['medium_height_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['medium_height_px'] ) ? $shortcode['atts']['medium_height_px'] : '300',
                            'small_layer_custom_sizes' => isset( $shortcode['atts']['small_custom_sizes'] ) && !empty( $shortcode['atts']['small_custom_sizes'] ) ? $shortcode['atts']['small_custom_sizes'] : 'no-medium',
                            'small_device_sizes' => isset( $shortcode['atts']['small_device_sizes'] ) && !empty( $shortcode['atts']['small_device_sizes'] ) ? $shortcode['atts']['small_device_sizes'] : 'custom',
                            'small_width_type' => isset( $shortcode['atts']['small_width_type'] ) && !empty( $shortcode['atts']['small_width_type'] ) ? $shortcode['atts']['small_width_type'] : 'percentage',
                            'small_width_percentage' => isset( $shortcode['atts']['small_width_percentage'] ) && $shortcode['atts']['small_width_percentage'] != '' ? $shortcode['atts']['small_width_percentage'] : '100%',
                            'small_width_px' => isset( $shortcode['atts']['small_width_px'] ) && $shortcode['atts']['small_width_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['small_width_px'] ) ? $shortcode['atts']['small_width_px'] : '100',
                            'small_height_px' => isset( $shortcode['atts']['small_height_px'] ) && $shortcode['atts']['small_height_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['small_height_px'] ) ? $shortcode['atts']['small_height_px'] : '300',
                            'extra_small_device_sizes' => isset( $shortcode['atts']['extra_small_device_sizes'] ) && !empty( $shortcode['atts']['extra_small_device_sizes'] ) ? $shortcode['atts']['extra_small_device_sizes'] : 'custom',
                            'extra_small_layer_custom_sizes' => isset( $shortcode['atts']['extra_small_custom_sizes'] ) && !empty( $shortcode['atts']['extra_small_custom_sizes'] ) ? $shortcode['atts']['extra_small_custom_sizes'] : 'no-small',
                            'extra_small_width_type' => isset( $shortcode['atts']['extra_small_width_type'] ) && !empty( $shortcode['atts']['extra_small_width_type'] ) ? $shortcode['atts']['extra_small_width_type'] : 'percentage',
                            'extra_small_width_percentage' => isset( $shortcode['atts']['extra_small_width_percentage'] ) && $shortcode['atts']['extra_small_width_percentage'] != '' ? $shortcode['atts']['extra_small_width_percentage'] : '100%',
                            'extra_small_width_px' => isset( $shortcode['atts']['extra_small_width_px'] ) && $shortcode['atts']['extra_small_width_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['extra_small_width_px'] ) ? $shortcode['atts']['extra_small_width_px'] : '100',
                            'extra_small_height_px' => isset( $shortcode['atts']['extra_small_height_px'] ) && $shortcode['atts']['extra_small_height_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['extra_small_height_px'] ) ? $shortcode['atts']['extra_small_height_px'] : '300',
                            'margin_top' => isset( $shortcode['atts']['margin_top'] ) && $shortcode['atts']['margin_top'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_top'] ) ? $shortcode['atts']['margin_top'] : '0',
                            'margin_right' => isset( $shortcode['atts']['margin_right'] ) && $shortcode['atts']['margin_right'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_right'] ) ? $shortcode['atts']['margin_right'] : '0',
                            'margin_bottom' => isset( $shortcode['atts']['margin_bottom'] ) && $shortcode['atts']['margin_bottom'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_bottom'] ) ? $shortcode['atts']['margin_bottom'] : '30',
                            'margin_left' => isset( $shortcode['atts']['margin_left'] ) && $shortcode['atts']['margin_left'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_left'] ) ? $shortcode['atts']['margin_left'] : '0',
                            'custom_video_button_sizes_enabled' => isset( $shortcode['atts']['custom_video_button_sizes_enabled'] ) && !empty( $shortcode['atts']['custom_video_button_sizes_enabled'] ) ? $shortcode['atts']['custom_video_button_sizes_enabled'] : 'theme_defaults',
                            'video_button_width' => isset( $shortcode['atts']['video_button_width'] ) && $shortcode['atts']['video_button_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['video_button_width'] ) ? $shortcode['atts']['video_button_width'] : '60',
                            'video_button_height' => isset( $shortcode['atts']['video_button_height'] ) && $shortcode['atts']['video_button_height'] != '' && ueldo_is_valid_number( $shortcode['atts']['video_button_height'] ) ? $shortcode['atts']['video_button_height'] : '60',
                            'video_button_border_width' => isset( $shortcode['atts']['video_button_border_width'] ) && $shortcode['atts']['video_button_border_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['video_button_border_width'] ) ? $shortcode['atts']['video_button_border_width'] : '2',
                            'video_button_border_radius' => isset( $shortcode['atts']['video_button_border_radius'] ) && !empty( $shortcode['atts']['video_button_border_radius'] ) ? $shortcode['atts']['video_button_border_radius'] : 'circle',
                            'video_button_border_radius_px' => isset( $shortcode['atts']['video_button_border_radius_px'] ) && $shortcode['atts']['video_button_border_radius_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['video_button_border_radius_px'] ) ? $shortcode['atts']['video_button_border_radius_px'] : '4',
                            'video_button_icon_size' => isset( $shortcode['atts']['video_button_icon_size'] ) && $shortcode['atts']['video_button_icon_size'] != '' && ueldo_is_valid_number( $shortcode['atts']['video_button_icon_size'] ) ? $shortcode['atts']['video_button_icon_size'] : '18',
                            'video_button_tip_font_size' => isset( $shortcode['atts']['video_button_tip_font_size'] ) && $shortcode['atts']['video_button_tip_font_size'] != '' && ueldo_is_valid_number( $shortcode['atts']['video_button_tip_font_size'] ) ? $shortcode['atts']['video_button_tip_font_size'] : esc_attr( $ueldo_styles_cache -> get_style( 'font-size-smallest-content' ) ),
                            'video_button_tip_width' => isset( $shortcode['atts']['video_button_tip_width'] ) && $shortcode['atts']['video_button_tip_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['video_button_tip_width'] ) ? $shortcode['atts']['video_button_tip_width'] : '140',
                            'video_button_tip_padding_top_bottom' => isset( $shortcode['atts']['video_button_tip_padding_top_bottom'] ) && $shortcode['atts']['video_button_tip_padding_top_bottom'] != '' && ueldo_is_valid_number( $shortcode['atts']['video_button_tip_padding_top_bottom'] ) ? $shortcode['atts']['video_button_tip_padding_top_bottom'] : '6',
                            'video_button_tip_border_radius' => isset( $shortcode['atts']['video_button_tip_border_radius'] ) && $shortcode['atts']['video_button_tip_border_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['video_button_tip_border_radius'] ) ? $shortcode['atts']['video_button_tip_border_radius'] : '4',
                            'video_button_tip_margin_bottom' => isset( $shortcode['atts']['video_button_tip_margin_bottom'] ) && $shortcode['atts']['video_button_tip_margin_bottom'] != '' && ueldo_is_valid_number( $shortcode['atts']['video_button_tip_margin_bottom'] ) ? $shortcode['atts']['video_button_tip_margin_bottom'] : '10',
                            'video_button_tip_bottom_arrow_size' => isset( $shortcode['atts']['video_button_tip_bottom_arrow_size'] ) && $shortcode['atts']['video_button_tip_bottom_arrow_size'] != '' && ueldo_is_valid_number( $shortcode['atts']['video_button_tip_bottom_arrow_size'] ) ? $shortcode['atts']['video_button_tip_bottom_arrow_size'] : '6',
                            'custom_gallery_buttons_sizes_enabled' => isset( $shortcode['atts']['custom_gallery_buttons_sizes_enabled'] ) && !empty( $shortcode['atts']['custom_gallery_buttons_sizes_enabled'] ) ? $shortcode['atts']['custom_gallery_buttons_sizes_enabled'] : 'theme_defaults',
                            'gallery_buttons_width' => isset( $shortcode['atts']['gallery_buttons_width'] ) && $shortcode['atts']['gallery_buttons_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['gallery_buttons_width'] ) ? $shortcode['atts']['gallery_buttons_width'] : '50',
                            'gallery_buttons_height' => isset( $shortcode['atts']['gallery_buttons_height'] ) && $shortcode['atts']['gallery_buttons_height'] != '' && ueldo_is_valid_number( $shortcode['atts']['gallery_buttons_height'] ) ? $shortcode['atts']['gallery_buttons_height'] : '50',
                            'gallery_buttons_margin' => isset( $shortcode['atts']['gallery_buttons_margin'] ) && $shortcode['atts']['gallery_buttons_margin'] != '' && ueldo_is_valid_number( $shortcode['atts']['gallery_buttons_margin'] ) ? $shortcode['atts']['gallery_buttons_margin'] : '10',
                            'gallery_buttons_border_width' => isset( $shortcode['atts']['gallery_buttons_border_width'] ) && $shortcode['atts']['gallery_buttons_border_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['gallery_buttons_border_width'] ) ? $shortcode['atts']['gallery_buttons_border_width'] : '2',
                            'gallery_buttons_border_radius' => isset( $shortcode['atts']['gallery_buttons_border_radius'] ) && !empty( $shortcode['atts']['gallery_buttons_border_radius'] ) ? $shortcode['atts']['gallery_buttons_border_radius'] : 'circle',
                            'gallery_buttons_border_radius_px' => isset( $shortcode['atts']['gallery_buttons_border_radius_px'] ) && $shortcode['atts']['gallery_buttons_border_radius_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['gallery_buttons_border_radius_px'] ) ? $shortcode['atts']['gallery_buttons_border_radius_px'] : '4',
                            'gallery_buttons_icon_size' => isset( $shortcode['atts']['gallery_buttons_icon_size'] ) && $shortcode['atts']['gallery_buttons_icon_size'] != '' && ueldo_is_valid_number( $shortcode['atts']['gallery_buttons_icon_size'] ) ? $shortcode['atts']['gallery_buttons_icon_size'] : '18',
                            'custom_link_button_sizes_enabled' => isset( $shortcode['atts']['custom_link_button_sizes_enabled'] ) && !empty( $shortcode['atts']['custom_link_button_sizes_enabled'] ) ? $shortcode['atts']['custom_link_button_sizes_enabled'] : 'theme_defaults',
                            'link_button_width' => isset( $shortcode['atts']['link_button_width'] ) && $shortcode['atts']['link_button_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['link_button_width'] ) ? $shortcode['atts']['link_button_width'] : '50',
                            'link_button_height' => isset( $shortcode['atts']['link_button_height'] ) && $shortcode['atts']['link_button_height'] != '' && ueldo_is_valid_number( $shortcode['atts']['link_button_height'] ) ? $shortcode['atts']['link_button_height'] : '50',
                            'link_button_border_width' => isset( $shortcode['atts']['link_button_border_width'] ) && $shortcode['atts']['link_button_border_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['link_button_border_width'] ) ? $shortcode['atts']['link_button_border_width'] : '2',
                            'link_button_border_radius' => isset( $shortcode['atts']['link_button_border_radius'] ) && !empty( $shortcode['atts']['link_button_border_radius'] ) ? $shortcode['atts']['link_button_border_radius'] : 'circle',
                            'link_button_border_radius_px' => isset( $shortcode['atts']['link_button_border_radius_px'] ) && $shortcode['atts']['link_button_border_radius_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['link_button_border_radius_px'] ) ? $shortcode['atts']['link_button_border_radius_px'] : '4',
                            'link_button_icon_size' => isset( $shortcode['atts']['link_button_icon_size'] ) && $shortcode['atts']['link_button_icon_size'] != '' && ueldo_is_valid_number( $shortcode['atts']['link_button_icon_size'] ) ? $shortcode['atts']['link_button_icon_size'] : '18',
                            'custom_colors_enabled' => isset( $shortcode['atts']['custom_colors_enabled'] ) && !empty( $shortcode['atts']['custom_colors_enabled'] ) ? $shortcode['atts']['custom_colors_enabled'] : 'theme_defaults',
                            'image_border_color' => isset( $shortcode['atts']['image_border_color'] ) && $shortcode['atts']['image_border_color'] != '' ? $shortcode['atts']['image_border_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                            'images_container_box_shadow_horizontal_length' => isset( $shortcode['atts']['images_container_box_shadow_horizontal_length'] ) && $shortcode['atts']['images_container_box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['images_container_box_shadow_horizontal_length'] ) ? $shortcode['atts']['images_container_box_shadow_horizontal_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'horizontal-length' ) ),
                            'images_container_box_shadow_vertical_length' => isset( $shortcode['atts']['images_container_box_shadow_vertical_length'] ) && $shortcode['atts']['images_container_box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['images_container_box_shadow_vertical_length'] ) ? $shortcode['atts']['images_container_box_shadow_vertical_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'vertical-length' ) ),
                            'images_container_box_shadow_blur_radius' => isset( $shortcode['atts']['images_container_box_shadow_blur_radius'] ) && $shortcode['atts']['images_container_box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['images_container_box_shadow_blur_radius'] ) ? $shortcode['atts']['images_container_box_shadow_blur_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'blur-radius' ) ),
                            'images_container_box_shadow_spread_radius' => isset( $shortcode['atts']['images_container_box_shadow_spread_radius'] ) && $shortcode['atts']['images_container_box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['images_container_box_shadow_spread_radius'] ) ? $shortcode['atts']['images_container_box_shadow_spread_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'spread-radius' ) ),
                            'images_container_box_shadow_color' => isset( $shortcode['atts']['images_container_box_shadow_color'] ) && $shortcode['atts']['images_container_box_shadow_color'] != '' ? $shortcode['atts']['images_container_box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'color' ) ),
                            'video_button_border_color' => isset( $shortcode['atts']['video_button_border_color'] ) && $shortcode['atts']['video_button_border_color'] != '' ? $shortcode['atts']['video_button_border_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'play-video-button-color' ) ),
                            'video_button_background_color' => isset( $shortcode['atts']['video_button_background_color'] ) && $shortcode['atts']['video_button_background_color'] != '' ? $shortcode['atts']['video_button_background_color'] : esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) ),
                            'video_button_icon_color' => isset( $shortcode['atts']['video_button_icon_color'] ) && $shortcode['atts']['video_button_icon_color'] != '' ? $shortcode['atts']['video_button_icon_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'play-video-button-color' ) ),
                            'video_button_box_shadow_horizontal_length' => isset( $shortcode['atts']['video_button_box_shadow_horizontal_length'] ) && $shortcode['atts']['video_button_box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['video_button_box_shadow_horizontal_length'] ) ? $shortcode['atts']['video_button_box_shadow_horizontal_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'play-video-button-box-shadow', 'horizontal-length' ) ),
                            'video_button_box_shadow_vertical_length' => isset( $shortcode['atts']['video_button_box_shadow_vertical_length'] ) && $shortcode['atts']['video_button_box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['video_button_box_shadow_vertical_length'] ) ? $shortcode['atts']['video_button_box_shadow_vertical_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'play-video-button-box-shadow', 'vertical-length' ) ),
                            'video_button_box_shadow_blur_radius' => isset( $shortcode['atts']['video_button_box_shadow_blur_radius'] ) && $shortcode['atts']['video_button_box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['video_button_box_shadow_blur_radius'] ) ? $shortcode['atts']['video_button_box_shadow_blur_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'play-video-button-box-shadow', 'blur-radius' ) ),
                            'video_button_box_shadow_spread_radius' => isset( $shortcode['atts']['video_button_box_shadow_spread_radius'] ) && $shortcode['atts']['video_button_box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['video_button_box_shadow_spread_radius'] ) ? $shortcode['atts']['video_button_box_shadow_spread_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'play-video-button-box-shadow', 'spread-radius' ) ),
                            'video_button_box_shadow_color' => isset( $shortcode['atts']['video_button_box_shadow_color'] ) && $shortcode['atts']['video_button_box_shadow_color'] != '' ? $shortcode['atts']['video_button_box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'play-video-button-box-shadow', 'color' ) ),
                            'video_button_border_color_hover' => isset( $shortcode['atts']['video_button_border_color_hover'] ) && $shortcode['atts']['video_button_border_color_hover'] != '' ? $shortcode['atts']['video_button_border_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                            'video_button_background_color_hover' => isset( $shortcode['atts']['video_button_background_color_hover'] ) && $shortcode['atts']['video_button_background_color_hover'] != '' ? $shortcode['atts']['video_button_background_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                            'video_button_icon_color_hover' => isset( $shortcode['atts']['video_button_icon_color_hover'] ) && $shortcode['atts']['video_button_icon_color_hover'] != '' ? $shortcode['atts']['video_button_icon_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color-contrast-text-color' ) ),
                            'video_button_box_shadow_horizontal_length_hover' => isset( $shortcode['atts']['video_button_box_shadow_horizontal_length_hover'] ) && $shortcode['atts']['video_button_box_shadow_horizontal_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['video_button_box_shadow_horizontal_length_hover'] ) ? $shortcode['atts']['video_button_box_shadow_horizontal_length_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'play-video-button-box-shadow', 'horizontal-length' ) ),
                            'video_button_box_shadow_vertical_length_hover' => isset( $shortcode['atts']['video_button_box_shadow_vertical_length_hover'] ) && $shortcode['atts']['video_button_box_shadow_vertical_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['video_button_box_shadow_vertical_length_hover'] ) ? $shortcode['atts']['video_button_box_shadow_vertical_length_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'play-video-button-box-shadow', 'vertical-length' ) ),
                            'video_button_box_shadow_blur_radius_hover' => isset( $shortcode['atts']['video_button_box_shadow_blur_radius_hover'] ) && $shortcode['atts']['video_button_box_shadow_blur_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['video_button_box_shadow_blur_radius_hover'] ) ? $shortcode['atts']['video_button_box_shadow_blur_radius_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'play-video-button-box-shadow', 'blur-radius' ) ),
                            'video_button_box_shadow_spread_radius_hover' => isset( $shortcode['atts']['video_button_box_shadow_spread_radius_hover'] ) && $shortcode['atts']['video_button_box_shadow_spread_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['video_button_box_shadow_spread_radius_hover'] ) ? $shortcode['atts']['video_button_box_shadow_spread_radius_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'play-video-button-box-shadow', 'spread-radius' ) ),
                            'video_button_box_shadow_color_hover' => isset( $shortcode['atts']['video_button_box_shadow_color_hover'] ) && $shortcode['atts']['video_button_box_shadow_color_hover'] != '' ? $shortcode['atts']['video_button_box_shadow_color_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'play-video-button-box-shadow', 'color' ) ),
                            'video_button_tip_background_color' => isset( $shortcode['atts']['video_button_tip_background_color'] ) && $shortcode['atts']['video_button_tip_background_color'] != '' ? $shortcode['atts']['video_button_tip_background_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'play-video-button-title-background-color' ) ),
                            'video_button_tip_text_color' => isset( $shortcode['atts']['video_button_tip_text_color'] ) && $shortcode['atts']['video_button_tip_text_color'] != '' ? $shortcode['atts']['video_button_tip_text_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'play-video-button-title-text-color' ) ),
                            'gallery_buttons_container_background_color' => isset( $shortcode['atts']['gallery_buttons_container_background_color'] ) && $shortcode['atts']['gallery_buttons_container_background_color'] != '' ? $shortcode['atts']['gallery_buttons_container_background_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'gallery-image-overlay-background-color' ) ),
                            'gallery_buttons_border_color' => isset( $shortcode['atts']['gallery_buttons_border_color'] ) && $shortcode['atts']['gallery_buttons_border_color'] != '' ? $shortcode['atts']['gallery_buttons_border_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'gallery-image-buttons-color' ) ),
                            'gallery_buttons_background_color' => isset( $shortcode['atts']['gallery_buttons_background_color'] ) && $shortcode['atts']['gallery_buttons_background_color'] != '' ? $shortcode['atts']['gallery_buttons_background_color'] : esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) ),
                            'gallery_buttons_icon_color' => isset( $shortcode['atts']['gallery_buttons_icon_color'] ) && $shortcode['atts']['gallery_buttons_icon_color'] != '' ? $shortcode['atts']['gallery_buttons_icon_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'gallery-image-buttons-color' ) ),
                            'gallery_buttons_box_shadow_horizontal_length' => isset( $shortcode['atts']['gallery_buttons_box_shadow_horizontal_length'] ) && $shortcode['atts']['gallery_buttons_box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['gallery_buttons_box_shadow_horizontal_length'] ) ? $shortcode['atts']['gallery_buttons_box_shadow_horizontal_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'gallery-image-buttons-box-shadow', 'horizontal-length' ) ),
                            'gallery_buttons_box_shadow_vertical_length' => isset( $shortcode['atts']['gallery_buttons_box_shadow_vertical_length'] ) && $shortcode['atts']['gallery_buttons_box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['gallery_buttons_box_shadow_vertical_length'] ) ? $shortcode['atts']['gallery_buttons_box_shadow_vertical_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'gallery-image-buttons-box-shadow', 'vertical-length' ) ),
                            'gallery_buttons_box_shadow_blur_radius' => isset( $shortcode['atts']['gallery_buttons_box_shadow_blur_radius'] ) && $shortcode['atts']['gallery_buttons_box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['gallery_buttons_box_shadow_blur_radius'] ) ? $shortcode['atts']['gallery_buttons_box_shadow_blur_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'gallery-image-buttons-box-shadow', 'blur-radius' ) ),
                            'gallery_buttons_box_shadow_spread_radius' => isset( $shortcode['atts']['gallery_buttons_box_shadow_spread_radius'] ) && $shortcode['atts']['gallery_buttons_box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['gallery_buttons_box_shadow_spread_radius'] ) ? $shortcode['atts']['gallery_buttons_box_shadow_spread_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'gallery-image-buttons-box-shadow', 'spread-radius' ) ),
                            'gallery_buttons_box_shadow_color' => isset( $shortcode['atts']['gallery_buttons_box_shadow_color'] ) && $shortcode['atts']['gallery_buttons_box_shadow_color'] != '' ? $shortcode['atts']['gallery_buttons_box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'gallery-image-buttons-box-shadow', 'color' ) ),
                            'gallery_buttons_border_color_hover' => isset( $shortcode['atts']['gallery_buttons_border_color_hover'] ) && $shortcode['atts']['gallery_buttons_border_color_hover'] != '' ? $shortcode['atts']['gallery_buttons_border_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                            'gallery_buttons_background_color_hover' => isset( $shortcode['atts']['gallery_buttons_background_color_hover'] ) && $shortcode['atts']['gallery_buttons_background_color_hover'] != '' ? $shortcode['atts']['gallery_buttons_background_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                            'gallery_buttons_icon_color_hover' => isset( $shortcode['atts']['gallery_buttons_icon_color_hover'] ) && $shortcode['atts']['gallery_buttons_icon_color_hover'] != '' ? $shortcode['atts']['gallery_buttons_icon_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color-contrast-text-color' ) ),
                            'gallery_buttons_box_shadow_horizontal_length_hover' => isset( $shortcode['atts']['gallery_buttons_box_shadow_horizontal_length_hover'] ) && $shortcode['atts']['gallery_buttons_box_shadow_horizontal_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['gallery_buttons_box_shadow_horizontal_length_hover'] ) ? $shortcode['atts']['gallery_buttons_box_shadow_horizontal_length_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'gallery-image-buttons-box-shadow', 'horizontal-length' ) ),
                            'gallery_buttons_box_shadow_vertical_length_hover' => isset( $shortcode['atts']['gallery_buttons_box_shadow_vertical_length_hover'] ) && $shortcode['atts']['gallery_buttons_box_shadow_vertical_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['gallery_buttons_box_shadow_vertical_length_hover'] ) ? $shortcode['atts']['gallery_buttons_box_shadow_vertical_length_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'gallery-image-buttons-box-shadow', 'vertical-length' ) ),
                            'gallery_buttons_box_shadow_blur_radius_hover' => isset( $shortcode['atts']['gallery_buttons_box_shadow_blur_radius_hover'] ) && $shortcode['atts']['gallery_buttons_box_shadow_blur_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['gallery_buttons_box_shadow_blur_radius_hover'] ) ? $shortcode['atts']['gallery_buttons_box_shadow_blur_radius_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'gallery-image-buttons-box-shadow', 'blur-radius' ) ),
                            'gallery_buttons_box_shadow_spread_radius_hover' => isset( $shortcode['atts']['gallery_buttons_box_shadow_spread_radius_hover'] ) && $shortcode['atts']['gallery_buttons_box_shadow_spread_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['gallery_buttons_box_shadow_spread_radius_hover'] ) ? $shortcode['atts']['gallery_buttons_box_shadow_spread_radius_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'gallery-image-buttons-box-shadow', 'spread-radius' ) ),
                            'gallery_buttons_box_shadow_color_hover' => isset( $shortcode['atts']['gallery_buttons_box_shadow_color_hover'] ) && $shortcode['atts']['gallery_buttons_box_shadow_color_hover'] != '' ? $shortcode['atts']['gallery_buttons_box_shadow_color_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'gallery-image-buttons-box-shadow', 'color' ) ),


                            'link_button_container_background_color' => isset( $shortcode['atts']['link_button_container_background_color'] ) && $shortcode['atts']['link_button_container_background_color'] != '' ? $shortcode['atts']['link_button_container_background_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'gallery-image-overlay-background-color' ) ),
                            'link_button_border_color' => isset( $shortcode['atts']['link_button_border_color'] ) && $shortcode['atts']['link_button_border_color'] != '' ? $shortcode['atts']['link_button_border_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'gallery-image-buttons-color' ) ),
                            'link_button_background_color' => isset( $shortcode['atts']['link_button_background_color'] ) && $shortcode['atts']['link_button_background_color'] != '' ? $shortcode['atts']['link_button_background_color'] : esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) ),
                            'link_button_icon_color' => isset( $shortcode['atts']['link_button_icon_color'] ) && $shortcode['atts']['link_button_icon_color'] != '' ? $shortcode['atts']['link_button_icon_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'gallery-image-buttons-color' ) ),
                            'link_button_box_shadow_horizontal_length' => isset( $shortcode['atts']['link_button_box_shadow_horizontal_length'] ) && $shortcode['atts']['link_button_box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['link_button_box_shadow_horizontal_length'] ) ? $shortcode['atts']['link_button_box_shadow_horizontal_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'gallery-image-buttons-box-shadow', 'horizontal-length' ) ),
                            'link_button_box_shadow_vertical_length' => isset( $shortcode['atts']['link_button_box_shadow_vertical_length'] ) && $shortcode['atts']['link_button_box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['link_button_box_shadow_vertical_length'] ) ? $shortcode['atts']['link_button_box_shadow_vertical_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'gallery-image-buttons-box-shadow', 'vertical-length' ) ),
                            'link_button_box_shadow_blur_radius' => isset( $shortcode['atts']['link_button_box_shadow_blur_radius'] ) && $shortcode['atts']['link_button_box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['link_button_box_shadow_blur_radius'] ) ? $shortcode['atts']['link_button_box_shadow_blur_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'gallery-image-buttons-box-shadow', 'blur-radius' ) ),
                            'link_button_box_shadow_spread_radius' => isset( $shortcode['atts']['link_button_box_shadow_spread_radius'] ) && $shortcode['atts']['link_button_box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['link_button_box_shadow_spread_radius'] ) ? $shortcode['atts']['link_button_box_shadow_spread_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'gallery-image-buttons-box-shadow', 'spread-radius' ) ),
                            'link_button_box_shadow_color' => isset( $shortcode['atts']['link_button_box_shadow_color'] ) && $shortcode['atts']['link_button_box_shadow_color'] != '' ? $shortcode['atts']['link_button_box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'gallery-image-buttons-box-shadow', 'color' ) ),
                            'link_button_border_color_hover' => isset( $shortcode['atts']['link_button_border_color_hover'] ) && $shortcode['atts']['link_button_border_color_hover'] != '' ? $shortcode['atts']['link_button_border_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                            'link_button_background_color_hover' => isset( $shortcode['atts']['link_button_background_color_hover'] ) && $shortcode['atts']['link_button_background_color_hover'] != '' ? $shortcode['atts']['link_button_background_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                            'link_button_icon_color_hover' => isset( $shortcode['atts']['link_button_icon_color_hover'] ) && $shortcode['atts']['link_button_icon_color_hover'] != '' ? $shortcode['atts']['link_button_icon_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color-contrast-text-color' ) ),
                            'link_button_box_shadow_horizontal_length_hover' => isset( $shortcode['atts']['link_button_box_shadow_horizontal_length_hover'] ) && $shortcode['atts']['link_button_box_shadow_horizontal_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['link_button_box_shadow_horizontal_length_hover'] ) ? $shortcode['atts']['link_button_box_shadow_horizontal_length_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'gallery-image-buttons-box-shadow', 'horizontal-length' ) ),
                            'link_button_box_shadow_vertical_length_hover' => isset( $shortcode['atts']['link_button_box_shadow_vertical_length_hover'] ) && $shortcode['atts']['link_button_box_shadow_vertical_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['link_button_box_shadow_vertical_length_hover'] ) ? $shortcode['atts']['link_button_box_shadow_vertical_length_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'gallery-image-buttons-box-shadow', 'vertical-length' ) ),
                            'link_button_box_shadow_blur_radius_hover' => isset( $shortcode['atts']['link_button_box_shadow_blur_radius_hover'] ) && $shortcode['atts']['link_button_box_shadow_blur_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['link_button_box_shadow_blur_radius_hover'] ) ? $shortcode['atts']['link_button_box_shadow_blur_radius_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'gallery-image-buttons-box-shadow', 'blur-radius' ) ),
                            'link_button_box_shadow_spread_radius_hover' => isset( $shortcode['atts']['link_button_box_shadow_spread_radius_hover'] ) && $shortcode['atts']['link_button_box_shadow_spread_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['link_button_box_shadow_spread_radius_hover'] ) ? $shortcode['atts']['link_button_box_shadow_spread_radius_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'gallery-image-buttons-box-shadow', 'spread-radius' ) ),
                            'link_button_box_shadow_color_hover' => isset( $shortcode['atts']['link_button_box_shadow_color_hover'] ) && $shortcode['atts']['link_button_box_shadow_color_hover'] != '' ? $shortcode['atts']['link_button_box_shadow_color_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'gallery-image-buttons-box-shadow', 'color' ) )
                        );

                        # temporary values for each devices
                        $temp = array(
                            'medium-device-sizes' => ueldo_get_vc_element_device_attributes( $attributes, 'device_sizes', 'medium' ),
                            'medium-width-type' => ueldo_get_vc_element_device_attributes( $attributes, 'width_type', 'medium' ),
                            'medium-width-percentage' => ueldo_get_vc_element_device_attributes( $attributes, 'width_percentage', 'medium' ),
                            'medium-width-px' => ueldo_get_vc_element_device_attributes( $attributes, 'width_px', 'medium' ),
                            'medium-height-px' => ueldo_get_vc_element_device_attributes( $attributes, 'height_px', 'medium' ),
                            'small-device-sizes' => ueldo_get_vc_element_device_attributes( $attributes, 'device_sizes', 'small' ),
                            'small-width-type' => ueldo_get_vc_element_device_attributes( $attributes, 'width_type', 'small' ),
                            'small-width-percentage' => ueldo_get_vc_element_device_attributes( $attributes, 'width_percentage', 'small' ),
                            'small-width-px' => ueldo_get_vc_element_device_attributes( $attributes, 'width_px', 'small' ),
                            'small-height-px' => ueldo_get_vc_element_device_attributes( $attributes, 'height_px', 'small' ),
                            'extra-small-device-sizes' => ueldo_get_vc_element_device_attributes( $attributes, 'device_sizes', 'extra_small' ),
                            'extra-small-width-type' => ueldo_get_vc_element_device_attributes( $attributes, 'width_type', 'extra_small' ),
                            'extra-small-width-percentage' => ueldo_get_vc_element_device_attributes( $attributes, 'width_percentage', 'extra_small' ),
                            'extra-small-width-px' => ueldo_get_vc_element_device_attributes( $attributes, 'width_px', 'extra_small' ),
                            'extra-small-height-px' => ueldo_get_vc_element_device_attributes( $attributes, 'height_px', 'extra_small' )
                        );

                        # do we have any case with "auto" image sizes?
                        if( $attributes['large_device_sizes'] == 'auto' || $temp['medium-device-sizes'] == 'auto' || $temp['small-device-sizes'] == 'auto' || $temp['extra-small-device-sizes'] == 'auto' ) {

                            # get image dimensions
                            $temp['image-dimensions'] = ueldo_get_image_dimensions( $attributes['image'] );

                            # calculate "padding-top" value
                            $temp['image-dimensions-ratio'] = ( string ) round( ( ( int ) $temp['image-dimensions']['height'] / ( int ) $temp['image-dimensions']['width'] ) * 100, 2 ) .'%';
                        }

                        # auto image dimensions for large devices
                        if( $attributes['large_device_sizes'] == 'auto' ) {

                            # image dimensions
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-image.'. esc_attr( $shortcode['atts']['class_name'] ),
                                array(
                                    '1200_more' => array(
                                        'width-%' => '100%',
                                        'height-string' => 'auto',
                                        'padding-top-string' => esc_attr( $temp['image-dimensions-ratio'] )
                                    )
                                )
                            );
                        }

                        # custom image dimensions for large devices
                        else {

                            # image dimensions
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-image.'. esc_attr( $shortcode['atts']['class_name'] ),
                                array(
                                    '1200_more' => array(
                                        'width'. esc_attr( $attributes['large_width_type'] == 'percentage' ? '-%' : '' ) => esc_attr( $attributes['large_width_type'] == 'percentage' ? $attributes['large_width_percentage'] : $attributes['large_width_px'] ),
                                        'height' => esc_attr( $attributes['large_height_px'] )
                                    )
                                )
                            );
                        }

                        # auto image dimensions for medium devices
                        if( $temp['medium-device-sizes'] == 'auto' ) {

                            # image dimensions
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-image.'. esc_attr( $shortcode['atts']['class_name'] ),
                                array(
                                    '992_1199' => array(
                                        'width-%' => '100%',
                                        'height-string' => 'auto',
                                        'padding-top-string' => esc_attr( $temp['image-dimensions-ratio'] )
                                    )
                                )
                            );
                        }

                        # custom image dimensions for medium devices
                        else {

                            # image dimensions
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-image.'. esc_attr( $shortcode['atts']['class_name'] ),
                                array(
                                    '992_1199' => array(
                                        'width'. esc_attr( $temp['medium-width-type'] == 'percentage' ? '-%' : '' ) => esc_attr( $temp['medium-width-type'] == 'percentage' ? $temp['medium-width-percentage'] : $temp['medium-width-px'] ),
                                        'height' => esc_attr( $temp['medium-height-px'] )
                                    )
                                )
                            );
                        }

                        # auto image dimensions for small devices
                        if( $temp['small-device-sizes'] == 'auto' ) {

                            # image dimensions
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-image.'. esc_attr( $shortcode['atts']['class_name'] ),
                                array(
                                    '768_991' => array(
                                        'width-%' => '100%',
                                        'height-string' => 'auto',
                                        'padding-top-string' => esc_attr( $temp['image-dimensions-ratio'] )
                                    )
                                )
                            );
                        }

                        # custom image dimensions for small devices
                        else {

                            # image dimensions
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-image.'. esc_attr( $shortcode['atts']['class_name'] ),
                                array(
                                    '768_991' => array(
                                        'width'. esc_attr( $temp['small-width-type'] == 'percentage' ? '-%' : '' ) => esc_attr( $temp['small-width-type'] == 'percentage' ? $temp['small-width-percentage'] : $temp['small-width-px'] ),
                                        'height' => esc_attr( $temp['small-height-px'] )
                                    )
                                )
                            );
                        }

                        # auto image dimensions for extra small devices
                        if( $temp['extra-small-device-sizes'] == 'auto' ) {

                            # image dimensions
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-image.'. esc_attr( $shortcode['atts']['class_name'] ),
                                array(
                                    'less_767' => array(
                                        'width-%' => '100%',
                                        'height-string' => 'auto',
                                        'padding-top-string' => esc_attr( $temp['image-dimensions-ratio'] )
                                    )
                                )
                            );
                        }

                        # custom image dimensions for extra small devices
                        else {

                            # image dimensions
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-image.'. esc_attr( $shortcode['atts']['class_name'] ),
                                array(
                                    'less_767' => array(
                                        'width'. esc_attr( $temp['extra-small-width-type'] == 'percentage' ? '-%' : '' ) => esc_attr( $temp['extra-small-width-type'] == 'percentage' ? $temp['extra-small-width-percentage'] : $temp['extra-small-width-px'] ),
                                        'height' => esc_attr( $temp['extra-small-height-px'] )
                                    )
                                )
                            );
                        }

                        # image border styles
                        $shortcodes_styles -> update_style(
                            'ueldo-shortcode-image.'. esc_attr( $shortcode['atts']['class_name'] ),
                            array(
                                'general' => array(
                                    '-webkit-border-radius' => esc_attr( $attributes['border_radius'] ),
                                    '-moz-border-radius' => esc_attr( $attributes['border_radius'] ),
                                    'border-radius' => esc_attr( $attributes['border_radius'] ),
                                    'border-width' => esc_attr( $attributes['border_width'] )
                                )
                            )
                        );

                        # is horizontal alignment set to center?
                        if( $attributes['horizontal_alignment'] == 'center' ) {

                            # update shortcode margins
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-image.'. esc_attr( $shortcode['atts']['class_name'] ),
                                array(
                                    'general' => array(
                                        'margin' => esc_attr( $attributes['margin_top'] ) .'px auto '. esc_attr( $attributes['margin_bottom'] ) .'px auto'
                                    )
                                )
                            );
                        }

                        # horizontal alignment is set to left or right
                        else {

                            # update shortcode margins
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-image.'. esc_attr( $shortcode['atts']['class_name'] ),
                                array(
                                    'general' => array(
                                        'margin-top' => esc_attr( $attributes['margin_top'] ),
                                        'margin-right' => esc_attr( $attributes['margin_right'] ),
                                        'margin-bottom' => esc_attr( $attributes['margin_bottom'] ),
                                        'margin-left' => esc_attr( $attributes['margin_left'] )
                                    )
                                )
                            );
                        }

                        # remove temporary variables
                        unset( $temp );

                        # image loader border radius
                        $shortcodes_styles -> update_style(
                            'ueldo-shortcode-image.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-image-parent-loading',
                            array(
                                '-webkit-border-radius' => esc_attr( $attributes['border_radius'] ),
                                '-moz-border-radius' => esc_attr( $attributes['border_radius'] ),
                                'border-radius' => esc_attr( $attributes['border_radius'] )
                            )
                        );

                        # do we have custom sizes for video button enabled?
                        if( $attributes['additional'] == 'video_button' && $attributes['custom_video_button_sizes_enabled'] != 'theme_defaults' ) {

                            # update video button sizes
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-image.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-play-video-button',
                                array(
                                    'height' => esc_attr( $attributes['video_button_height'] ),
                                    'margin-top' => '-'. esc_attr( $attributes['video_button_height'] / 2 )
                                )
                            );

                            # update video button icon container sizes
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-image.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-play-video-button .ueldo-play-video-button-icon',
                                array(
                                    'width' => esc_attr( $attributes['video_button_width'] ),
                                    'height' => esc_attr( $attributes['video_button_height'] ),
                                    'border-width' => esc_attr( $attributes['video_button_border_width'] ),
                                    '-webkit-border-radius'. esc_attr( $attributes['video_button_border_radius'] == 'circle' ? '-%' : '' ) => esc_attr( $attributes['video_button_border_radius'] == 'circle' ? '100%' : $attributes['video_button_border_radius_px'] ),
                                    '-moz-border-radius'. esc_attr( $attributes['video_button_border_radius'] == 'circle' ? '-%' : '' ) => esc_attr( $attributes['video_button_border_radius'] == 'circle' ? '100%' : $attributes['video_button_border_radius_px'] ),
                                    'border-radius'. esc_attr( $attributes['video_button_border_radius'] == 'circle' ? '-%' : '' ) => esc_attr( $attributes['video_button_border_radius'] == 'circle' ? '100%' : $attributes['video_button_border_radius_px'] )
                                )
                            );

                            # update video button icon size
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-image.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-play-video-button .ueldo-play-video-button-icon i, .ueldo-shortcode-image.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-play-video-button .ueldo-play-video-button-icon i:before',
                                array(
                                    'font-size' => esc_attr( $attributes['video_button_icon_size'] ),
                                    'width' => esc_attr( $attributes['video_button_width'] - ( $attributes['video_button_border_width'] * 2 ) ),
                                    'line-height-string' => esc_attr( $attributes['video_button_height'] - ( $attributes['video_button_border_width'] * 2 ) ) .'px'
                                )
                            );

                            # update video button tip sizes
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-image.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-play-video-button .ueldo-play-video-button-title',
                                array(
                                    'font-size' => esc_attr( $attributes['video_button_tip_font_size'] ),
                                    'width' => esc_attr( $attributes['video_button_tip_width'] ),
                                    'margin-left' => '-'. esc_attr( $attributes['video_button_tip_width'] / 2 ),
                                    'padding' => esc_attr( $attributes['video_button_tip_padding_top_bottom'] ) .'px 0',
                                    '-webkit-border-radius' => esc_attr( $attributes['video_button_tip_border_radius'] ),
                                    '-moz-border-radius' => esc_attr( $attributes['video_button_tip_border_radius'] ),
                                    'border-radius' => esc_attr( $attributes['video_button_tip_border_radius'] ),
                                    'bottom' => esc_attr( $attributes['video_button_tip_margin_bottom'] + $attributes['video_button_height'] ) .'px',
                                )
                            );

                            # update video button tip arrow size
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-image.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-play-video-button .ueldo-play-video-button-title:before',
                                array(
                                    'bottom' => '-'. esc_attr( $attributes['video_button_tip_bottom_arrow_size'] / 2 ) .'px',
                                    'margin-left' => '-'. esc_attr( $attributes['video_button_tip_bottom_arrow_size'] / 2 ),
                                    'border-top-width' => esc_attr( $attributes['video_button_tip_bottom_arrow_size'] / 2 ),
                                    'border-right-width' => esc_attr( $attributes['video_button_tip_bottom_arrow_size'] / 2 ),
                                    'border-bottom-width' => esc_attr( $attributes['video_button_tip_bottom_arrow_size'] / 2 ),
                                    'border-left-width' => esc_attr( $attributes['video_button_tip_bottom_arrow_size'] / 2 )
                                )
                            );
                        }

                        # do we have custom sizes for gallery buttons enabled?
                        if( $attributes['additional'] == 'gallery_image' && $attributes['custom_gallery_buttons_sizes_enabled'] != 'theme_defaults' ) {

                            # update gallery buttons sizes
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-image.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-image-caption .ueldo-image-caption-middle',
                                array(
                                    'height' => esc_attr( $attributes['gallery_buttons_height'] ),
                                    'margin-top' => '-'. esc_attr( $attributes['gallery_buttons_height'] / 2 )
                                )
                            );

                            # update gallery buttons icon container sizes
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-image.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-image-caption .ueldo-image-caption-icon',
                                array(
                                    'width' => esc_attr( $attributes['gallery_buttons_width'] ),
                                    'height' => esc_attr( $attributes['gallery_buttons_height'] ),
                                    'border-width' => esc_attr( $attributes['gallery_buttons_border_width'] ),
                                    '-webkit-border-radius'. esc_attr( $attributes['gallery_buttons_border_radius'] == 'circle' ? '-%' : '' ) => esc_attr( $attributes['gallery_buttons_border_radius'] == 'circle' ? '100%' : $attributes['gallery_buttons_border_radius_px'] ),
                                    '-moz-border-radius'. esc_attr( $attributes['gallery_buttons_border_radius'] == 'circle' ? '-%' : '' ) => esc_attr( $attributes['gallery_buttons_border_radius'] == 'circle' ? '100%' : $attributes['gallery_buttons_border_radius_px'] ),
                                    'border-radius'. esc_attr( $attributes['gallery_buttons_border_radius'] == 'circle' ? '-%' : '' ) => esc_attr( $attributes['gallery_buttons_border_radius'] == 'circle' ? '100%' : $attributes['gallery_buttons_border_radius_px'] ),
                                    'margin' => '0 '. esc_attr( $attributes['gallery_buttons_margin'] / 2 ) .'px'
                                )
                            );

                            # update gallery buttons icon size
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-image.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-image-caption .ueldo-image-caption-icon i, .ueldo-shortcode-image.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-image-caption .ueldo-image-caption-icon i:before',
                                array(
                                    'font-size' => esc_attr( $attributes['gallery_buttons_icon_size'] ),
                                    'width' => esc_attr( $attributes['gallery_buttons_width'] - ( $attributes['gallery_buttons_border_width'] * 2 ) ),
                                    'line-height-string' => esc_attr( $attributes['gallery_buttons_height'] - ( $attributes['gallery_buttons_border_width'] * 2 ) ) .'px'
                                )
                            );
                        }

                        # do we have custom sizes for link button enabled?
                        if( $attributes['additional'] == 'as_link' && $attributes['custom_link_button_sizes_enabled'] != 'theme_defaults' ) {

                            # update link button sizes
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-image.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-image-caption .ueldo-image-caption-middle',
                                array(
                                    'height' => esc_attr( $attributes['link_button_height'] ),
                                    'margin-top' => '-'. esc_attr( $attributes['link_button_height'] / 2 )
                                )
                            );

                            # update link button icon container sizes
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-image.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-image-caption .ueldo-image-caption-icon',
                                array(
                                    'width' => esc_attr( $attributes['link_button_width'] ),
                                    'height' => esc_attr( $attributes['link_button_height'] ),
                                    'border-width' => esc_attr( $attributes['link_button_border_width'] ),
                                    '-webkit-border-radius'. esc_attr( $attributes['link_button_border_radius'] == 'circle' ? '-%' : '' ) => esc_attr( $attributes['link_button_border_radius'] == 'circle' ? '100%' : $attributes['link_button_border_radius_px'] ),
                                    '-moz-border-radius'. esc_attr( $attributes['link_button_border_radius'] == 'circle' ? '-%' : '' ) => esc_attr( $attributes['link_button_border_radius'] == 'circle' ? '100%' : $attributes['link_button_border_radius_px'] ),
                                    'border-radius'. esc_attr( $attributes['link_button_border_radius'] == 'circle' ? '-%' : '' ) => esc_attr( $attributes['link_button_border_radius'] == 'circle' ? '100%' : $attributes['link_button_border_radius_px'] )
                                )
                            );

                            # update link button icon size
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-image.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-image-caption .ueldo-image-caption-icon i, .ueldo-shortcode-image.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-image-caption .ueldo-image-caption-icon i:before',
                                array(
                                    'font-size' => esc_attr( $attributes['link_button_icon_size'] ),
                                    'width' => esc_attr( $attributes['link_button_width'] - ( $attributes['link_button_border_width'] * 2 ) ),
                                    'line-height-string' => esc_attr( $attributes['link_button_height'] - ( $attributes['link_button_border_width'] * 2 ) ) .'px'
                                )
                            );
                        }

                        # do we have custom colors enabled?
                        if( $attributes['custom_colors_enabled'] != 'theme_defaults' ) {

                            # update image styles
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-image.'. esc_attr( $shortcode['atts']['class_name'] ),
                                array(
                                    'general' => array(
                                        'border-color' => $attributes['image_border_color'],
                                        '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['images_container_box_shadow_horizontal_length'], $attributes['images_container_box_shadow_vertical_length'], $attributes['images_container_box_shadow_blur_radius'], $attributes['images_container_box_shadow_spread_radius'], $attributes['images_container_box_shadow_color'] ),
                                        '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['images_container_box_shadow_horizontal_length'], $attributes['images_container_box_shadow_vertical_length'], $attributes['images_container_box_shadow_blur_radius'], $attributes['images_container_box_shadow_spread_radius'], $attributes['images_container_box_shadow_color'] ),
                                        'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['images_container_box_shadow_horizontal_length'], $attributes['images_container_box_shadow_vertical_length'], $attributes['images_container_box_shadow_blur_radius'], $attributes['images_container_box_shadow_spread_radius'], $attributes['images_container_box_shadow_color'] )
                                    )
                                )
                            );

                            # do we have video button added?
                            if( $attributes['additional'] == 'video_button' ) {

                                # video button border, background color and box shadow
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-image.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-play-video-button .ueldo-play-video-button-icon',
                                    array(
                                        'background' => esc_attr( $attributes['video_button_background_color'] ),
                                        'border-color' => esc_attr( $attributes['video_button_border_color'] ),
                                        '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['video_button_box_shadow_horizontal_length'], $attributes['video_button_box_shadow_vertical_length'], $attributes['video_button_box_shadow_blur_radius'], $attributes['video_button_box_shadow_spread_radius'], $attributes['video_button_box_shadow_color'] ),
                                        '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['video_button_box_shadow_horizontal_length'], $attributes['video_button_box_shadow_vertical_length'], $attributes['video_button_box_shadow_blur_radius'], $attributes['video_button_box_shadow_spread_radius'], $attributes['video_button_box_shadow_color'] ),
                                        'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['video_button_box_shadow_horizontal_length'], $attributes['video_button_box_shadow_vertical_length'], $attributes['video_button_box_shadow_blur_radius'], $attributes['video_button_box_shadow_spread_radius'], $attributes['video_button_box_shadow_color'] )
                                    )
                                );

                                # video button icon color
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-image.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-play-video-button .ueldo-play-video-button-icon i, .ueldo-shortcode-image.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-play-video-button .ueldo-play-video-button-icon i:before',
                                    array(
                                        'color' => esc_attr( $attributes['video_button_icon_color'] )
                                    )
                                );

                                # video button border, background color and box shadow (active / on hover)
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-image.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-play-video-button .ueldo-play-video-button-icon:hover',
                                    array(
                                        'background' => esc_attr( $attributes['video_button_background_color_hover'] ),
                                        'border-color' => esc_attr( $attributes['video_button_border_color_hover'] ),
                                        '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['video_button_box_shadow_horizontal_length_hover'], $attributes['video_button_box_shadow_vertical_length_hover'], $attributes['video_button_box_shadow_blur_radius_hover'], $attributes['video_button_box_shadow_spread_radius_hover'], $attributes['video_button_box_shadow_color_hover'] ),
                                        '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['video_button_box_shadow_horizontal_length_hover'], $attributes['video_button_box_shadow_vertical_length_hover'], $attributes['video_button_box_shadow_blur_radius_hover'], $attributes['video_button_box_shadow_spread_radius_hover'], $attributes['video_button_box_shadow_color_hover'] ),
                                        'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['video_button_box_shadow_horizontal_length_hover'], $attributes['video_button_box_shadow_vertical_length_hover'], $attributes['video_button_box_shadow_blur_radius_hover'], $attributes['video_button_box_shadow_spread_radius_hover'], $attributes['video_button_box_shadow_color_hover'] )
                                    )
                                );

                                # video button icon color (active / on hover)
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-image.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-play-video-button .ueldo-play-video-button-icon:hover i, .ueldo-shortcode-image.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-play-video-button .ueldo-play-video-button-icon:hover i:before',
                                    array(
                                        'color' => esc_attr( $attributes['video_button_icon_color_hover'] )
                                    )
                                );

                                # video button tip
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-image.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-play-video-button .ueldo-play-video-button-title',
                                    array(
                                        'background' => esc_attr( $attributes['video_button_tip_background_color'] ),
                                        'color' => esc_attr( $attributes['video_button_tip_text_color'] )
                                    )
                                );

                                # video button tip :before
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-image.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-play-video-button .ueldo-play-video-button-title:before',
                                    array(
                                        'border-right-color' => esc_attr( $attributes['video_button_tip_background_color'] ),
                                        'border-bottom-color' => esc_attr( $attributes['video_button_tip_background_color'] )
                                    )
                                );
                            }

                            # do we have gallery buttons added?
                            if( $attributes['additional'] == 'gallery_image' ) {

                                # gallery container background color
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-image.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-image-caption',
                                    array(
                                        'background' => esc_attr( $attributes['gallery_buttons_container_background_color'] )
                                    )
                                );

                                # gallery buttons border, background color and box shadow
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-image.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-image-caption .ueldo-image-caption-icon',
                                    array(
                                        'background' => esc_attr( $attributes['gallery_buttons_background_color'] ),
                                        'border-color' => esc_attr( $attributes['gallery_buttons_border_color'] ),
                                        '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['gallery_buttons_box_shadow_horizontal_length'], $attributes['gallery_buttons_box_shadow_vertical_length'], $attributes['gallery_buttons_box_shadow_blur_radius'], $attributes['gallery_buttons_box_shadow_spread_radius'], $attributes['gallery_buttons_box_shadow_color'] ),
                                        '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['gallery_buttons_box_shadow_horizontal_length'], $attributes['gallery_buttons_box_shadow_vertical_length'], $attributes['gallery_buttons_box_shadow_blur_radius'], $attributes['gallery_buttons_box_shadow_spread_radius'], $attributes['gallery_buttons_box_shadow_color'] ),
                                        'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['gallery_buttons_box_shadow_horizontal_length'], $attributes['gallery_buttons_box_shadow_vertical_length'], $attributes['gallery_buttons_box_shadow_blur_radius'], $attributes['gallery_buttons_box_shadow_spread_radius'], $attributes['gallery_buttons_box_shadow_color'] )
                                    )
                                );

                                # gallery buttons icon color
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-image.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-image-caption .ueldo-image-caption-icon i, .ueldo-shortcode-image.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-image-caption .ueldo-image-caption-icon i:before',
                                    array(
                                        'color' => esc_attr( $attributes['gallery_buttons_icon_color'] )
                                    )
                                );

                                # gallery buttons border, background color and box shadow (active / on hover)
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-image.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-image-caption .ueldo-image-caption-icon:hover',
                                    array(
                                        'background' => esc_attr( $attributes['gallery_buttons_background_color_hover'] ),
                                        'border-color' => esc_attr( $attributes['gallery_buttons_border_color_hover'] ),
                                        '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['gallery_buttons_box_shadow_horizontal_length_hover'], $attributes['gallery_buttons_box_shadow_vertical_length_hover'], $attributes['gallery_buttons_box_shadow_blur_radius_hover'], $attributes['gallery_buttons_box_shadow_spread_radius_hover'], $attributes['gallery_buttons_box_shadow_color_hover'] ),
                                        '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['gallery_buttons_box_shadow_horizontal_length_hover'], $attributes['gallery_buttons_box_shadow_vertical_length_hover'], $attributes['gallery_buttons_box_shadow_blur_radius_hover'], $attributes['gallery_buttons_box_shadow_spread_radius_hover'], $attributes['gallery_buttons_box_shadow_color_hover'] ),
                                        'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['gallery_buttons_box_shadow_horizontal_length_hover'], $attributes['gallery_buttons_box_shadow_vertical_length_hover'], $attributes['gallery_buttons_box_shadow_blur_radius_hover'], $attributes['gallery_buttons_box_shadow_spread_radius_hover'], $attributes['gallery_buttons_box_shadow_color_hover'] )
                                    )
                                );

                                # gallery buttons icon color (active / on hover)
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-image.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-image-caption .ueldo-image-caption-icon:hover i, .ueldo-shortcode-image.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-image-caption .ueldo-image-caption-icon:hover i:before',
                                    array(
                                        'color' => esc_attr( $attributes['gallery_buttons_icon_color_hover'] )
                                    )
                                );
                            }

                            # do we have link button added?
                            if( $attributes['additional'] == 'as_link' ) {

                                # gallery container background color
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-image.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-image-caption',
                                    array(
                                        'background' => esc_attr( $attributes['link_button_container_background_color'] )
                                    )
                                );

                                # gallery buttons border, background color and box shadow
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-image.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-image-caption .ueldo-image-caption-icon',
                                    array(
                                        'background' => esc_attr( $attributes['link_button_background_color'] ),
                                        'border-color' => esc_attr( $attributes['link_button_border_color'] ),
                                        '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['link_button_box_shadow_horizontal_length'], $attributes['link_button_box_shadow_vertical_length'], $attributes['link_button_box_shadow_blur_radius'], $attributes['link_button_box_shadow_spread_radius'], $attributes['link_button_box_shadow_color'] ),
                                        '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['link_button_box_shadow_horizontal_length'], $attributes['link_button_box_shadow_vertical_length'], $attributes['link_button_box_shadow_blur_radius'], $attributes['link_button_box_shadow_spread_radius'], $attributes['link_button_box_shadow_color'] ),
                                        'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['link_button_box_shadow_horizontal_length'], $attributes['link_button_box_shadow_vertical_length'], $attributes['link_button_box_shadow_blur_radius'], $attributes['link_button_box_shadow_spread_radius'], $attributes['link_button_box_shadow_color'] )
                                    )
                                );

                                # gallery buttons icon color
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-image.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-image-caption .ueldo-image-caption-icon i, .ueldo-shortcode-image.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-image-caption .ueldo-image-caption-icon i:before',
                                    array(
                                        'color' => esc_attr( $attributes['link_button_icon_color'] )
                                    )
                                );

                                # gallery buttons border, background color and box shadow (active / on hover)
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-image.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-image-caption .ueldo-image-caption-icon:hover',
                                    array(
                                        'background' => esc_attr( $attributes['link_button_background_color_hover'] ),
                                        'border-color' => esc_attr( $attributes['link_button_border_color_hover'] ),
                                        '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['link_button_box_shadow_horizontal_length_hover'], $attributes['link_button_box_shadow_vertical_length_hover'], $attributes['link_button_box_shadow_blur_radius_hover'], $attributes['link_button_box_shadow_spread_radius_hover'], $attributes['link_button_box_shadow_color_hover'] ),
                                        '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['link_button_box_shadow_horizontal_length_hover'], $attributes['link_button_box_shadow_vertical_length_hover'], $attributes['link_button_box_shadow_blur_radius_hover'], $attributes['link_button_box_shadow_spread_radius_hover'], $attributes['link_button_box_shadow_color_hover'] ),
                                        'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['link_button_box_shadow_horizontal_length_hover'], $attributes['link_button_box_shadow_vertical_length_hover'], $attributes['link_button_box_shadow_blur_radius_hover'], $attributes['link_button_box_shadow_spread_radius_hover'], $attributes['link_button_box_shadow_color_hover'] )
                                    )
                                );

                                # gallery buttons icon color (active / on hover)
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-image.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-image-caption .ueldo-image-caption-icon:hover i, .ueldo-shortcode-image.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-image-caption .ueldo-image-caption-icon:hover i:before',
                                    array(
                                        'color' => esc_attr( $attributes['link_button_icon_color_hover'] )
                                    )
                                );
                            }
                        }

                        # save css style
                        $shortcodes_styles -> save_styles();

                        # remove attributes array
                        unset( $attributes );

                    break;

                   /**
                    *
                    * ueldo_shortcode_card
                    *
                    */

                    case 'ueldo_shortcode_card':

                        # attributes array
                        $attributes = array(
                            'border_width' => isset( $shortcode['atts']['border_width'] ) && $shortcode['atts']['border_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['border_width'] ) ? $shortcode['atts']['border_width'] : '1',
                            'border_radius' => isset( $shortcode['atts']['border_radius'] ) && $shortcode['atts']['border_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['border_radius'] ) ? $shortcode['atts']['border_radius'] : '4',
                            'padding_top' => isset( $shortcode['atts']['padding_top'] ) && $shortcode['atts']['padding_top'] != '' && ueldo_is_valid_number( $shortcode['atts']['padding_top'] ) ? $shortcode['atts']['padding_top'] : '25',
                            'padding_right' => isset( $shortcode['atts']['padding_right'] ) && $shortcode['atts']['padding_right'] != '' && ueldo_is_valid_number( $shortcode['atts']['padding_right'] ) ? $shortcode['atts']['padding_right'] : '30',
                            'padding_bottom' => isset( $shortcode['atts']['padding_bottom'] ) && $shortcode['atts']['padding_bottom'] != '' && ueldo_is_valid_number( $shortcode['atts']['padding_bottom'] ) ? $shortcode['atts']['padding_bottom'] : '25',
                            'padding_left' => isset( $shortcode['atts']['padding_left'] ) && $shortcode['atts']['padding_left'] != '' && ueldo_is_valid_number( $shortcode['atts']['padding_left'] ) ? $shortcode['atts']['padding_left'] : '30',
                            'margin_top' => isset( $shortcode['atts']['margin_top'] ) && $shortcode['atts']['margin_top'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_top'] ) ? $shortcode['atts']['margin_top'] : '0',
                            'margin_right' => isset( $shortcode['atts']['margin_right'] ) && $shortcode['atts']['margin_right'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_right'] ) ? $shortcode['atts']['margin_right'] : '0',
                            'margin_bottom' => isset( $shortcode['atts']['margin_bottom'] ) && $shortcode['atts']['margin_bottom'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_bottom'] ) ? $shortcode['atts']['margin_bottom'] : '0',
                            'margin_left' => isset( $shortcode['atts']['margin_left'] ) && $shortcode['atts']['margin_left'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_left'] ) ? $shortcode['atts']['margin_left'] : '0',
                            'use_static_height' => isset( $shortcode['atts']['use_static_height'] ) && !empty( $shortcode['atts']['use_static_height'] ) ? $shortcode['atts']['use_static_height'] : 'no',
                            'static_height_px' => isset( $shortcode['atts']['static_height_px'] ) && $shortcode['atts']['static_height_px'] != '' ? $shortcode['atts']['static_height_px'] : '300',
                            'custom_colors_enabled' => isset( $shortcode['atts']['custom_colors_enabled'] ) && !empty( $shortcode['atts']['custom_colors_enabled'] ) ? $shortcode['atts']['custom_colors_enabled'] : 'theme_defaults',
                            'box_shadow_horizontal_length' => isset( $shortcode['atts']['box_shadow_horizontal_length'] ) && $shortcode['atts']['box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_horizontal_length'] ) ? $shortcode['atts']['box_shadow_horizontal_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'horizontal-length' ) ),
                            'box_shadow_vertical_length' => isset( $shortcode['atts']['box_shadow_vertical_length'] ) && $shortcode['atts']['box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_vertical_length'] ) ? $shortcode['atts']['box_shadow_vertical_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'vertical-length' ) ),
                            'box_shadow_blur_radius' => isset( $shortcode['atts']['box_shadow_blur_radius'] ) && $shortcode['atts']['box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_blur_radius'] ) ? $shortcode['atts']['box_shadow_blur_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'blur-radius' ) ),
                            'box_shadow_spread_radius' => isset( $shortcode['atts']['box_shadow_spread_radius'] ) && $shortcode['atts']['box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_spread_radius'] ) ? $shortcode['atts']['box_shadow_spread_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'spread-radius' ) ),
                            'box_shadow_color' => isset( $shortcode['atts']['box_shadow_color'] ) && $shortcode['atts']['box_shadow_color'] != '' ? $shortcode['atts']['box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'color' ) ),
                            'box_shadow_horizontal_length_hover' => isset( $shortcode['atts']['box_shadow_horizontal_length_hover'] ) && $shortcode['atts']['box_shadow_horizontal_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_horizontal_length_hover'] ) ? $shortcode['atts']['box_shadow_horizontal_length_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'horizontal-length' ) ),
                            'box_shadow_vertical_length_hover' => isset( $shortcode['atts']['box_shadow_vertical_length_hover'] ) && $shortcode['atts']['box_shadow_vertical_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_vertical_length_hover'] ) ? $shortcode['atts']['box_shadow_vertical_length_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'vertical-length' ) ),
                            'box_shadow_blur_radius_hover' => isset( $shortcode['atts']['box_shadow_blur_radius_hover'] ) && $shortcode['atts']['box_shadow_blur_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_blur_radius_hover'] ) ? $shortcode['atts']['box_shadow_blur_radius_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'blur-radius' ) ),
                            'box_shadow_spread_radius_hover' => isset( $shortcode['atts']['box_shadow_spread_radius_hover'] ) && $shortcode['atts']['box_shadow_spread_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_spread_radius_hover'] ) ? $shortcode['atts']['box_shadow_spread_radius_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'spread-radius' ) ),
                            'box_shadow_color_hover' => isset( $shortcode['atts']['box_shadow_color_hover'] ) && $shortcode['atts']['box_shadow_color_hover'] != '' ? $shortcode['atts']['box_shadow_color_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'color' ) ),
                            'background_color' => isset( $shortcode['atts']['background_color'] ) && $shortcode['atts']['background_color'] != '' ? $shortcode['atts']['background_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                            'background_color_hover' => isset( $shortcode['atts']['background_color_hover'] ) && $shortcode['atts']['background_color_hover'] != '' ? $shortcode['atts']['background_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                            'border_color' => isset( $shortcode['atts']['border_color'] ) && $shortcode['atts']['border_color'] != '' ? $shortcode['atts']['border_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-border-color' ) ),
                            'border_color_hover' => isset( $shortcode['atts']['border_color_hover'] ) && $shortcode['atts']['border_color_hover'] != '' ? $shortcode['atts']['border_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-hover-border-color' ) ),
                        );

                        # general card styles
                        $shortcodes_styles -> update_style(
                            'ueldo-shortcode-card.'. esc_attr( $shortcode['atts']['class_name'] ),
                            array(
                                'border-width' => esc_attr( $attributes['border_width'] ),
                                '-webkit-border-radius' => esc_attr( $attributes['border_radius'] ),
                                '-moz-border-radius' => esc_attr( $attributes['border_radius'] ),
                                'border-radius' => esc_attr( $attributes['border_radius'] ),
                                'padding-top' => esc_attr( $attributes['padding_top'] ),
                                'padding-right' => esc_attr( $attributes['padding_right'] ),
                                'padding-bottom' => esc_attr( $attributes['padding_bottom'] ),
                                'padding-left' => esc_attr( $attributes['padding_left'] ),
                                'margin-top' => esc_attr( $attributes['margin_top'] ),
                                'margin-right' => esc_attr( $attributes['margin_right'] ),
                                'margin-bottom' => esc_attr( $attributes['margin_bottom'] ),
                                'margin-left' => esc_attr( $attributes['margin_left'] )
                            )
                        );

                        # do we have static height set?
                        if( $attributes['use_static_height'] == 'yes' ) {

                            # update card styles
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-card.'. esc_attr( $shortcode['atts']['class_name'] ),
                                array(
                                    'height' => esc_attr( $attributes['static_height_px'] )
                                )
                            );
                        }

                        # do we have custom colors enabled?
                        if( $attributes['custom_colors_enabled'] != 'theme_defaults' ) {

                            # update card styles
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-card.'. esc_attr( $shortcode['atts']['class_name'] ),
                                array(
                                    'border-color' => esc_attr( $attributes['border_color'] ),
                                    'background' => esc_attr( $attributes['background_color'] ),
                                    '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length'], $attributes['box_shadow_vertical_length'], $attributes['box_shadow_blur_radius'], $attributes['box_shadow_spread_radius'], $attributes['box_shadow_color'] ),
                                    '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length'], $attributes['box_shadow_vertical_length'], $attributes['box_shadow_blur_radius'], $attributes['box_shadow_spread_radius'], $attributes['box_shadow_color'] ),
                                    'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length'], $attributes['box_shadow_vertical_length'], $attributes['box_shadow_blur_radius'], $attributes['box_shadow_spread_radius'], $attributes['box_shadow_color'] )
                                )
                            );

                            # shortcode on hover styles
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-card.'. esc_attr( $shortcode['atts']['class_name'] ) .':hover',
                                array(
                                    'border-color' => esc_attr( $attributes['border_color_hover'] ),
                                    'background' => esc_attr( $attributes['background_color_hover'] ),
                                    '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length_hover'], $attributes['box_shadow_vertical_length_hover'], $attributes['box_shadow_blur_radius_hover'], $attributes['box_shadow_spread_radius_hover'], $attributes['box_shadow_color_hover'] ),
                                    '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length_hover'], $attributes['box_shadow_vertical_length_hover'], $attributes['box_shadow_blur_radius_hover'], $attributes['box_shadow_spread_radius_hover'], $attributes['box_shadow_color_hover'] ),
                                    'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length_hover'], $attributes['box_shadow_vertical_length_hover'], $attributes['box_shadow_blur_radius_hover'], $attributes['box_shadow_spread_radius_hover'], $attributes['box_shadow_color_hover'] )
                                )
                            );
                        }

                        # save css style
                        $shortcodes_styles -> save_styles();

                        # remove attributes array
                        unset( $attributes );

                    break;

                   /**
                    *
                    * ueldo_shortcode_card_layer
                    *
                    */

                    case 'ueldo_shortcode_card_layer':

                        # attributes array
                        $attributes = array(
                            'layer_type' => isset( $shortcode['atts']['layer_type'] ) && !empty( $shortcode['atts']['layer_type'] ) ? $shortcode['atts']['layer_type'] : 'color',
                            'layer_opacity' => isset( $shortcode['atts']['layer_opacity'] ) && $shortcode['atts']['layer_opacity'] != '' ? $shortcode['atts']['layer_opacity'] : '100%',
                            'layer_z_index' => isset( $shortcode['atts']['layer_z_index'] ) && $shortcode['atts']['layer_z_index'] != '' && ueldo_is_valid_number( $shortcode['atts']['layer_z_index'] ) ? $shortcode['atts']['layer_z_index'] : '5',
                            'color' => isset( $shortcode['atts']['color'] ) && $shortcode['atts']['color'] != '' ? $shortcode['atts']['color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                            'text_rotate' => isset( $shortcode['atts']['text_rotate'] ) && !empty( $shortcode['atts']['text_rotate'] ) ? $shortcode['atts']['text_rotate'] : '0deg',
                            'text_font_family' => isset( $shortcode['atts']['text_font_family'] ) && !empty( $shortcode['atts']['text_font_family'] ) ? $shortcode['atts']['text_font_family'] : 'headings-bold-font',
                            'text_uppercase_enabled' => isset( $shortcode['atts']['text_uppercase_enabled'] ) && !empty( $shortcode['atts']['text_uppercase_enabled'] ) ? $shortcode['atts']['text_uppercase_enabled'] : 'yes',
                            'text_alignment' => isset( $shortcode['atts']['text_alignment'] ) && !empty( $shortcode['atts']['text_alignment'] ) ? $shortcode['atts']['text_alignment'] : 'center',
                            'text_font_size' => isset( $shortcode['atts']['text_font_size'] ) && $shortcode['atts']['text_font_size'] != '' && ueldo_is_valid_number( $shortcode['atts']['text_font_size'] ) ? $shortcode['atts']['text_font_size'] : '108',
                            'text_line_height' => isset( $shortcode['atts']['text_line_height'] ) && $shortcode['atts']['text_line_height'] != '' && ueldo_is_valid_number( $shortcode['atts']['text_line_height'] ) ? $shortcode['atts']['text_line_height'] : '1.0',
                            'text_letter_spacing' => isset( $shortcode['atts']['text_letter_spacing'] ) && $shortcode['atts']['text_letter_spacing'] != '' && ueldo_is_valid_number( $shortcode['atts']['text_letter_spacing'] ) ? $shortcode['atts']['text_letter_spacing'] : '0',
                            'text_color' => isset( $shortcode['atts']['text_color'] ) && $shortcode['atts']['text_color'] != '' ? $shortcode['atts']['text_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-headings-subtitle-color' ) ),
                            'text_shadow_horizontal_length' => isset( $shortcode['atts']['text_shadow_horizontal_length'] ) && $shortcode['atts']['text_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['text_shadow_horizontal_length'] ) ? $shortcode['atts']['text_shadow_horizontal_length'] : '0',
                            'text_shadow_vertical_length' => isset( $shortcode['atts']['text_shadow_vertical_length'] ) && $shortcode['atts']['text_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['text_shadow_vertical_length'] ) ? $shortcode['atts']['text_shadow_vertical_length'] : '0',
                            'text_shadow_blur_radius' => isset( $shortcode['atts']['text_shadow_blur_radius'] ) && $shortcode['atts']['text_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['text_shadow_blur_radius'] ) ? $shortcode['atts']['text_shadow_blur_radius'] : '0',
                            'text_shadow_color' => isset( $shortcode['atts']['text_shadow_color'] ) && $shortcode['atts']['text_shadow_color'] != '' ? $shortcode['atts']['text_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) ),
                            'icon_size' => isset( $shortcode['atts']['icon_size'] ) && $shortcode['atts']['icon_size'] != '' && ueldo_is_valid_number( $shortcode['atts']['icon_size'] ) ? $shortcode['atts']['icon_size'] : '48',
                            'icon_rotate' => isset( $shortcode['atts']['icon_rotate'] ) && !empty( $shortcode['atts']['icon_rotate'] ) ? $shortcode['atts']['icon_rotate'] : '0deg',
                            'icon_alignment' => isset( $shortcode['atts']['icon_alignment'] ) && !empty( $shortcode['atts']['icon_alignment'] ) ? $shortcode['atts']['icon_alignment'] : 'center',
                            'icon_color' => isset( $shortcode['atts']['icon_color'] ) && $shortcode['atts']['icon_color'] != '' ? $shortcode['atts']['icon_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-background-icon-color' ) ),
                            'icon_shadow_horizontal_length' => isset( $shortcode['atts']['icon_shadow_horizontal_length'] ) && $shortcode['atts']['icon_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['icon_shadow_horizontal_length'] ) ? $shortcode['atts']['icon_shadow_horizontal_length'] : '0',
                            'icon_shadow_vertical_length' => isset( $shortcode['atts']['icon_shadow_vertical_length'] ) && $shortcode['atts']['icon_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['icon_shadow_vertical_length'] ) ? $shortcode['atts']['icon_shadow_vertical_length'] : '0',
                            'icon_shadow_blur_radius' => isset( $shortcode['atts']['icon_shadow_blur_radius'] ) && $shortcode['atts']['icon_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['icon_shadow_blur_radius'] ) ? $shortcode['atts']['icon_shadow_blur_radius'] : '0',
                            'icon_shadow_color' => isset( $shortcode['atts']['icon_shadow_color'] ) && $shortcode['atts']['icon_shadow_color'] != '' ? $shortcode['atts']['icon_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) ),
                            'custom_layer_sizes' => isset( $shortcode['atts']['custom_layer_sizes'] ) && !empty( $shortcode['atts']['custom_layer_sizes'] ) ? $shortcode['atts']['custom_layer_sizes'] : 'theme_defaults',
                            'large_layer_visibility' => isset( $shortcode['atts']['large_layer_visibility'] ) && !empty( $shortcode['atts']['large_layer_visibility'] ) ? $shortcode['atts']['large_layer_visibility'] : 'yes',
                            'large_width_type' => isset( $shortcode['atts']['large_width_type'] ) && !empty( $shortcode['atts']['large_width_type'] ) ? $shortcode['atts']['large_width_type'] : 'percentage',
                            'large_width_percentage' => isset( $shortcode['atts']['large_width_percentage'] ) && $shortcode['atts']['large_width_percentage'] != '' ? $shortcode['atts']['large_width_percentage'] : '100%',
                            'large_width_px' => isset( $shortcode['atts']['large_width_px'] ) && $shortcode['atts']['large_width_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['large_width_px'] ) ? $shortcode['atts']['large_width_px'] : '100',
                            'large_height_type' => isset( $shortcode['atts']['large_height_type'] ) && !empty( $shortcode['atts']['large_height_type'] ) ? $shortcode['atts']['large_height_type'] : 'percentage',
                            'large_height_percentage' => isset( $shortcode['atts']['large_height_percentage'] ) && $shortcode['atts']['large_height_percentage'] != '' ? $shortcode['atts']['large_height_percentage'] : '100%',
                            'large_height_px' => isset( $shortcode['atts']['large_height_px'] ) && $shortcode['atts']['large_height_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['large_height_px'] ) ? $shortcode['atts']['large_height_px'] : '100',
                            'large_layer_position' => isset( $shortcode['atts']['large_layer_position'] ) && !empty( $shortcode['atts']['large_layer_position'] ) ? $shortcode['atts']['large_layer_position'] : esc_attr( ueldo_is_rtl() ? 'top_right' : 'top_left' ),
                            'large_margin_top' => isset( $shortcode['atts']['large_margin_top'] ) && $shortcode['atts']['large_margin_top'] != '' && ueldo_is_valid_number( $shortcode['atts']['large_margin_top'] ) ? $shortcode['atts']['large_margin_top'] : '0',
                            'large_margin_bottom' => isset( $shortcode['atts']['large_margin_bottom'] ) && $shortcode['atts']['large_margin_bottom'] != '' && ueldo_is_valid_number( $shortcode['atts']['large_margin_bottom'] ) ? $shortcode['atts']['large_margin_bottom'] : '0',
                            'large_margin_left' => isset( $shortcode['atts']['large_margin_left'] ) && $shortcode['atts']['large_margin_left'] != '' && ueldo_is_valid_number( $shortcode['atts']['large_margin_left'] ) ? $shortcode['atts']['large_margin_left'] : '0',
                            'large_margin_right' => isset( $shortcode['atts']['large_margin_right'] ) && $shortcode['atts']['large_margin_right'] != '' && ueldo_is_valid_number( $shortcode['atts']['large_margin_right'] ) ? $shortcode['atts']['large_margin_right'] : '0',
                            'large_custom_border_radius' => isset( $shortcode['atts']['large_custom_border_radius'] ) && !empty( $shortcode['atts']['large_custom_border_radius'] ) ? $shortcode['atts']['large_custom_border_radius'] : 'no',
                            'large_border_radius' => isset( $shortcode['atts']['large_border_radius'] ) && $shortcode['atts']['large_border_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['large_border_radius'] ) ? $shortcode['atts']['large_border_radius'] : '0',
                            'medium_layer_visibility' => isset( $shortcode['atts']['medium_layer_visibility'] ) && !empty( $shortcode['atts']['medium_layer_visibility'] ) ? $shortcode['atts']['medium_layer_visibility'] : 'yes',
                            'medium_layer_custom_sizes' => isset( $shortcode['atts']['medium_layer_custom_sizes'] ) && !empty( $shortcode['atts']['medium_layer_custom_sizes'] ) ? $shortcode['atts']['medium_layer_custom_sizes'] : 'no-large',
                            'medium_width_type' => isset( $shortcode['atts']['medium_width_type'] ) && !empty( $shortcode['atts']['medium_width_type'] ) ? $shortcode['atts']['medium_width_type'] : 'percentage',
                            'medium_width_percentage' => isset( $shortcode['atts']['medium_width_percentage'] ) && $shortcode['atts']['medium_width_percentage'] != '' ? $shortcode['atts']['medium_width_percentage'] : '100%',
                            'medium_width_px' => isset( $shortcode['atts']['medium_width_px'] ) && $shortcode['atts']['medium_width_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['medium_width_px'] ) ? $shortcode['atts']['medium_width_px'] : '100',
                            'medium_height_type' => isset( $shortcode['atts']['medium_height_type'] ) && !empty( $shortcode['atts']['medium_height_type'] ) ? $shortcode['atts']['medium_height_type'] : 'percentage',
                            'medium_height_percentage' => isset( $shortcode['atts']['medium_height_percentage'] ) && $shortcode['atts']['medium_height_percentage'] != '' ? $shortcode['atts']['medium_height_percentage'] : '100%',
                            'medium_height_px' => isset( $shortcode['atts']['medium_height_px'] ) && $shortcode['atts']['medium_height_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['medium_height_px'] ) ? $shortcode['atts']['medium_height_px'] : '100',
                            'medium_layer_position' => isset( $shortcode['atts']['medium_layer_position'] ) && !empty( $shortcode['atts']['medium_layer_position'] ) ? $shortcode['atts']['medium_layer_position'] : esc_attr( ueldo_is_rtl() ? 'top_right' : 'top_left' ),
                            'medium_margin_top' => isset( $shortcode['atts']['medium_margin_top'] ) && $shortcode['atts']['medium_margin_top'] != '' && ueldo_is_valid_number( $shortcode['atts']['medium_margin_top'] ) ? $shortcode['atts']['medium_margin_top'] : '0',
                            'medium_margin_bottom' => isset( $shortcode['atts']['medium_margin_bottom'] ) && $shortcode['atts']['medium_margin_bottom'] != '' && ueldo_is_valid_number( $shortcode['atts']['medium_margin_bottom'] ) ? $shortcode['atts']['medium_margin_bottom'] : '0',
                            'medium_margin_left' => isset( $shortcode['atts']['medium_margin_left'] ) && $shortcode['atts']['medium_margin_left'] != '' && ueldo_is_valid_number( $shortcode['atts']['medium_margin_left'] ) ? $shortcode['atts']['medium_margin_left'] : '0',
                            'medium_margin_right' => isset( $shortcode['atts']['medium_margin_right'] ) && $shortcode['atts']['medium_margin_right'] != '' && ueldo_is_valid_number( $shortcode['atts']['medium_margin_right'] ) ? $shortcode['atts']['medium_margin_right'] : '0',
                            'medium_custom_border_radius' => isset( $shortcode['atts']['medium_custom_border_radius'] ) && !empty( $shortcode['atts']['medium_custom_border_radius'] ) ? $shortcode['atts']['medium_custom_border_radius'] : 'no',
                            'medium_border_radius' => isset( $shortcode['atts']['medium_border_radius'] ) && $shortcode['atts']['medium_border_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['medium_border_radius'] ) ? $shortcode['atts']['medium_border_radius'] : '0',
                            'small_layer_visibility' => isset( $shortcode['atts']['small_layer_visibility'] ) && !empty( $shortcode['atts']['small_layer_visibility'] ) ? $shortcode['atts']['small_layer_visibility'] : 'yes',
                            'small_layer_custom_sizes' => isset( $shortcode['atts']['small_layer_custom_sizes'] ) && !empty( $shortcode['atts']['small_layer_custom_sizes'] ) ? $shortcode['atts']['small_layer_custom_sizes'] : 'no-medium',
                            'small_width_type' => isset( $shortcode['atts']['small_width_type'] ) && !empty( $shortcode['atts']['small_width_type'] ) ? $shortcode['atts']['small_width_type'] : 'percentage',
                            'small_width_percentage' => isset( $shortcode['atts']['small_width_percentage'] ) && $shortcode['atts']['small_width_percentage'] != '' ? $shortcode['atts']['small_width_percentage'] : '100%',
                            'small_width_px' => isset( $shortcode['atts']['small_width_px'] ) && $shortcode['atts']['small_width_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['small_width_px'] ) ? $shortcode['atts']['small_width_px'] : '100',
                            'small_height_type' => isset( $shortcode['atts']['small_height_type'] ) && !empty( $shortcode['atts']['small_height_type'] ) ? $shortcode['atts']['small_height_type'] : 'percentage',
                            'small_height_percentage' => isset( $shortcode['atts']['small_height_percentage'] ) && $shortcode['atts']['small_height_percentage'] != '' ? $shortcode['atts']['small_height_percentage'] : '100%',
                            'small_height_px' => isset( $shortcode['atts']['small_height_px'] ) && $shortcode['atts']['small_height_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['small_height_px'] ) ? $shortcode['atts']['small_height_px'] : '100',
                            'small_layer_position' => isset( $shortcode['atts']['small_layer_position'] ) && !empty( $shortcode['atts']['small_layer_position'] ) ? $shortcode['atts']['small_layer_position'] : esc_attr( ueldo_is_rtl() ? 'top_right' : 'top_left' ),
                            'small_margin_top' => isset( $shortcode['atts']['small_margin_top'] ) && $shortcode['atts']['small_margin_top'] != '' && ueldo_is_valid_number( $shortcode['atts']['small_margin_top'] ) ? $shortcode['atts']['small_margin_top'] : '0',
                            'small_margin_bottom' => isset( $shortcode['atts']['small_margin_bottom'] ) && $shortcode['atts']['small_margin_bottom'] != '' && ueldo_is_valid_number( $shortcode['atts']['small_margin_bottom'] ) ? $shortcode['atts']['small_margin_bottom'] : '0',
                            'small_margin_left' => isset( $shortcode['atts']['small_margin_left'] ) && $shortcode['atts']['small_margin_left'] != '' && ueldo_is_valid_number( $shortcode['atts']['small_margin_left'] ) ? $shortcode['atts']['small_margin_left'] : '0',
                            'small_margin_right' => isset( $shortcode['atts']['small_margin_right'] ) && $shortcode['atts']['small_margin_right'] != '' && ueldo_is_valid_number( $shortcode['atts']['small_margin_right'] ) ? $shortcode['atts']['small_margin_right'] : '0',
                            'small_custom_border_radius' => isset( $shortcode['atts']['small_custom_border_radius'] ) && !empty( $shortcode['atts']['small_custom_border_radius'] ) ? $shortcode['atts']['small_custom_border_radius'] : 'no',
                            'small_border_radius' => isset( $shortcode['atts']['small_border_radius'] ) && $shortcode['atts']['small_border_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['small_border_radius'] ) ? $shortcode['atts']['small_border_radius'] : '0',
                            'extra_small_layer_visibility' => isset( $shortcode['atts']['extra_small_layer_visibility'] ) && !empty( $shortcode['atts']['extra_small_layer_visibility'] ) ? $shortcode['atts']['extra_small_layer_visibility'] : 'yes',
                            'extra_small_layer_custom_sizes' => isset( $shortcode['atts']['extra_small_layer_custom_sizes'] ) && !empty( $shortcode['atts']['extra_small_layer_custom_sizes'] ) ? $shortcode['atts']['extra_small_layer_custom_sizes'] : 'no-small',
                            'extra_small_width_type' => isset( $shortcode['atts']['extra_small_width_type'] ) && !empty( $shortcode['atts']['extra_small_width_type'] ) ? $shortcode['atts']['extra_small_width_type'] : 'percentage',
                            'extra_small_width_percentage' => isset( $shortcode['atts']['extra_small_width_percentage'] ) && $shortcode['atts']['extra_small_width_percentage'] != '' ? $shortcode['atts']['extra_small_width_percentage'] : '100%',
                            'extra_small_width_px' => isset( $shortcode['atts']['extra_small_width_px'] ) && $shortcode['atts']['extra_small_width_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['extra_small_width_px'] ) ? $shortcode['atts']['extra_small_width_px'] : '100',
                            'extra_small_height_type' => isset( $shortcode['atts']['extra_small_height_type'] ) && !empty( $shortcode['atts']['extra_small_height_type'] ) ? $shortcode['atts']['extra_small_height_type'] : 'percentage',
                            'extra_small_height_percentage' => isset( $shortcode['atts']['extra_small_height_percentage'] ) && $shortcode['atts']['extra_small_height_percentage'] != '' ? $shortcode['atts']['extra_small_height_percentage'] : '100%',
                            'extra_small_height_px' => isset( $shortcode['atts']['extra_small_height_px'] ) && $shortcode['atts']['extra_small_height_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['extra_small_height_px'] ) ? $shortcode['atts']['extra_small_height_px'] : '100',
                            'extra_small_layer_position' => isset( $shortcode['atts']['extra_small_layer_position'] ) && !empty( $shortcode['atts']['extra_small_layer_position'] ) ? $shortcode['atts']['extra_small_layer_position'] : esc_attr( ueldo_is_rtl() ? 'top_right' : 'top_left' ),
                            'extra_small_margin_top' => isset( $shortcode['atts']['extra_small_margin_top'] ) && $shortcode['atts']['extra_small_margin_top'] != '' && ueldo_is_valid_number( $shortcode['atts']['extra_small_margin_top'] ) ? $shortcode['atts']['extra_small_margin_top'] : '0',
                            'extra_small_margin_bottom' => isset( $shortcode['atts']['extra_small_margin_bottom'] ) && $shortcode['atts']['extra_small_margin_bottom'] != '' && ueldo_is_valid_number( $shortcode['atts']['extra_small_margin_bottom'] ) ? $shortcode['atts']['extra_small_margin_bottom'] : '0',
                            'extra_small_margin_left' => isset( $shortcode['atts']['extra_small_margin_left'] ) && $shortcode['atts']['extra_small_margin_left'] != '' && ueldo_is_valid_number( $shortcode['atts']['extra_small_margin_left'] ) ? $shortcode['atts']['extra_small_margin_left'] : '0',
                            'extra_small_margin_right' => isset( $shortcode['atts']['extra_small_margin_right'] ) && $shortcode['atts']['extra_small_margin_right'] != '' && ueldo_is_valid_number( $shortcode['atts']['extra_small_margin_right'] ) ? $shortcode['atts']['extra_small_margin_right'] : '0',
                            'extra_small_custom_border_radius' => isset( $shortcode['atts']['extra_small_custom_border_radius'] ) && !empty( $shortcode['atts']['extra_small_custom_border_radius'] ) ? $shortcode['atts']['extra_small_custom_border_radius'] : 'no',
                            'extra_small_border_radius' => isset( $shortcode['atts']['extra_small_border_radius'] ) && $shortcode['atts']['extra_small_border_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['extra_small_border_radius'] ) ? $shortcode['atts']['extra_small_border_radius'] : '0'
                        );

                        # temporary variables
                        $temp = array(
                            'opacity' => ( ( int ) str_replace( '%', '', $attributes['layer_opacity'] ) ) / 100
                        );

                        # general layer styles
                        $shortcodes_styles -> update_style(
                            'ueldo-shortcode-card .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-card-layer',
                            array(
                                'general' => array(
                                    'opacity' => esc_attr( $temp['opacity'] ),
                                    'z-index' => esc_attr( $attributes['layer_z_index'] )
                                )
                            )
                        );

                        # remove temporary variables
                        unset( $temp );

                        # do we have background color?
                        if( $attributes['layer_type'] == 'color' ) {

                            # update layer styles
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-card .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-card-layer',
                                array(
                                    'general' => array(
                                        'background' => esc_attr( $attributes['color'] )
                                    )
                                )
                            );
                        }

                        # is layer type a text?
                        if( $attributes['layer_type'] == 'text' ) {

                            # get font data array
                            $font = ueldo_vc_get_custom_font_family_attributes( ( !empty( $attributes['text_font_family'] ) ? $attributes['text_font_family'] : false ), 'headings-bold-font' );

                            # general styles for text layer
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-card .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-card-layer .ueldo-shortcode-card-layer-text',
                                array(
                                    'font-family' => esc_attr( $font['font-family'] ),
                                    'font-weight' => esc_attr( $font['font-weight'] ),
                                    'font-style' => esc_attr( $font['font-style'] ),
                                    '-webkit-font-smoothing' => esc_attr( $font['-webkit-font-smoothing'] ),
                                    '-moz-osx-font-smoothing' => esc_attr( $font['-moz-osx-font-smoothing'] ),
                                    'font-size' => esc_attr( $attributes['text_font_size'] ),
                                    'line-height' => esc_attr( $attributes['text_line_height'] ),
                                    'text-transform' => esc_attr( $attributes['text_uppercase_enabled'] == 'yes' ? 'uppercase' : 'none' ),
                                    'letter-spacing' => esc_attr( $attributes['text_letter_spacing'] ),
                                    'color' => esc_attr( $attributes['text_color'] ),
                                    'text-align' => esc_attr( $attributes['text_alignment'] ),
                                    '-moz-text-shadow' => ueldo_get_text_shadow_attribute_value( $attributes['text_shadow_horizontal_length'], $attributes['text_shadow_vertical_length'], $attributes['text_shadow_blur_radius'], $attributes['text_shadow_color'] ),
                                    'text-shadow' => ueldo_get_text_shadow_attribute_value( $attributes['text_shadow_horizontal_length'], $attributes['text_shadow_vertical_length'], $attributes['text_shadow_blur_radius'], $attributes['text_shadow_color'] )
                                )
                            );

                            # do we have text rotation set?
                            if( $attributes['text_rotate'] != '0deg' ) {

                                # update text layer styles
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-card .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-card-layer .ueldo-shortcode-card-layer-text',
                                    array(
                                        'transform' => 'rotate( '. esc_attr( $attributes['text_rotate'] ) .' )'
                                    )
                                );
                            }

                            # remove temporary variables
                            unset( $font );
                        }

                        # is layer type an icon?
                        if( $attributes['layer_type'] == 'icon' ) {

                            # general styles for icon
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-card .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-card-layer .ueldo-shortcode-card-layer-icon i, .ueldo-shortcode-card .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-card-layer .ueldo-shortcode-card-layer-icon i:before',
                                array(
                                    'font-size' => esc_attr( $attributes['icon_size'] ),
                                    'color' => esc_attr( $attributes['icon_color'] ),
                                    '-moz-text-shadow' => ueldo_get_text_shadow_attribute_value( $attributes['icon_shadow_horizontal_length'], $attributes['icon_shadow_vertical_length'], $attributes['icon_shadow_blur_radius'], $attributes['icon_shadow_color'] ),
                                    'text-shadow' => ueldo_get_text_shadow_attribute_value( $attributes['icon_shadow_horizontal_length'], $attributes['icon_shadow_vertical_length'], $attributes['icon_shadow_blur_radius'], $attributes['icon_shadow_color'] )
                                )
                            );

                            # general styles for icon layer
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-card .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-card-layer .ueldo-shortcode-card-layer-icon',
                                array(
                                    'text-align' => esc_attr( $attributes['icon_alignment'] )
                                )
                            );

                            # do we have text rotation set?
                            if( $attributes['icon_rotate'] != '0deg' ) {

                                # update text layer styles
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-card .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-card-layer .ueldo-shortcode-card-layer-icon',
                                    array(
                                        '-webkit-transform' => 'rotate( '. esc_attr( $attributes['icon_rotate'] ) .' )',
                                        '-moz-transform' => 'rotate( '. esc_attr( $attributes['icon_rotate'] ) .' )',
                                        'transform' => 'rotate( '. esc_attr( $attributes['icon_rotate'] ) .' )'
                                    )
                                );
                            }
                        }

                        # hide on "large" devices
                        if( $attributes['large_layer_visibility'] == 'no' ) {

                            # update layer styles
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-card .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-card-layer',
                                array(
                                    '1200_more' => array(
                                        'display' => 'none'
                                    )
                                )
                            );
                        }

                        # styles for "large" devices
                        else {

                            # update layer styles
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-card .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-card-layer',
                                array(
                                    '1200_more' => array(
                                        'width'. esc_attr( $attributes['large_width_type'] == 'percentage' ? '-%' : '' ) => esc_attr( $attributes['large_width_type'] == 'percentage' ? $attributes['large_width_percentage'] : $attributes['large_width_px'] ),
                                        'height'. esc_attr( $attributes['large_height_type'] == 'percentage' ? '-%' : '' ) => esc_attr( $attributes['large_height_type'] == 'percentage' ? $attributes['large_height_percentage'] : $attributes['large_height_px'] ),
                                        'margin-top' => esc_attr( $attributes['large_margin_top'] ),
                                        'margin-bottom' => esc_attr( $attributes['large_margin_bottom'] ),
                                        'margin-left' => esc_attr( $attributes['large_margin_left'] ),
                                        'margin-right' => esc_attr( $attributes['large_margin_right'] )
                                    )
                                )
                            );

                            # do we have custom border radius?
                            if( $attributes['large_custom_border_radius'] == 'yes' ) {

                                # update layer styles
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-card .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-card-layer',
                                    array(
                                        '1200_more' => array(
                                            '-webkit-border-radius' => esc_attr( $attributes['large_border_radius'] ),
                                            '-moz-border-radius' => esc_attr( $attributes['large_border_radius'] ),
                                            'border-radius' => esc_attr( $attributes['large_border_radius'] )
                                        )
                                    )
                                );
                            }

                            # set top/left/right/bottom position
                            switch( $attributes['large_layer_position'] ) {

                                # top left position
                                case 'top_left':

                                    # update general row layer styles for large devices
                                    $shortcodes_styles -> update_style(
                                        'ueldo-shortcode-card .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-card-layer',
                                        array(
                                            '1200_more' => array(
                                                'top' => '0',
                                                'bottom' => 'auto',
                                                'left' => '0',
                                                'right' => 'auto'
                                            )
                                        )
                                    );

                                break;

                                # top right position
                                case 'top_right':

                                    # update general row layer styles for large devices
                                    $shortcodes_styles -> update_style(
                                        'ueldo-shortcode-card .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-card-layer',
                                        array(
                                            '1200_more' => array(
                                                'top' => '0',
                                                'bottom' => 'auto',
                                                'left' => 'auto',
                                                'right' => '0'
                                            )
                                        )
                                    );

                                break;

                                # bottom left position
                                case 'bottom_left':

                                    # update general row layer styles for large devices
                                    $shortcodes_styles -> update_style(
                                        'ueldo-shortcode-card .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-card-layer',
                                        array(
                                            '1200_more' => array(
                                                'top' => 'auto',
                                                'bottom' => '0',
                                                'left' => '0',
                                                'right' => 'auto'
                                            )
                                        )
                                    );

                                break;

                                # bottom right position
                                case 'bottom_right':

                                    # update general row layer styles for large devices
                                    $shortcodes_styles -> update_style(
                                        'ueldo-shortcode-card .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-card-layer',
                                        array(
                                            '1200_more' => array(
                                                'top' => 'auto',
                                                'bottom' => '0',
                                                'left' => 'auto',
                                                'right' => '0'
                                            )
                                        )
                                    );

                                break;
                            }
                        }

                        # hide on "medium" devices
                        if( $attributes['medium_layer_visibility'] == 'no' ) {

                            # update layer styles
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-card .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-card-layer',
                                array(
                                    '992_1199' => array(
                                        'display' => 'none'
                                    )
                                )
                            );
                        }

                        # styles for "medium" devices
                        else {

                            # temporary values for "medium" devices
                            $temp = array(
                                'width-type' => ueldo_get_vc_element_device_attributes( $attributes, 'width_type', 'medium' ),
                                'width-percentage' => ueldo_get_vc_element_device_attributes( $attributes, 'width_percentage', 'medium' ),
                                'width-px' => ueldo_get_vc_element_device_attributes( $attributes, 'width_px', 'medium' ),
                                'height-type' => ueldo_get_vc_element_device_attributes( $attributes, 'height_type', 'medium' ),
                                'height-percentage' => ueldo_get_vc_element_device_attributes( $attributes, 'height_percentage', 'medium' ),
                                'height-px' => ueldo_get_vc_element_device_attributes( $attributes, 'height_px', 'medium' ),
                                'layer-position' => ueldo_get_vc_element_device_attributes( $attributes, 'layer_position', 'medium' ),
                                'margin-top' => ueldo_get_vc_element_device_attributes( $attributes, 'margin_top', 'medium' ),
                                'margin-bottom' => ueldo_get_vc_element_device_attributes( $attributes, 'margin_bottom', 'medium' ),
                                'margin-left' => ueldo_get_vc_element_device_attributes( $attributes, 'margin_left', 'medium' ),
                                'margin-right' => ueldo_get_vc_element_device_attributes( $attributes, 'margin_right', 'medium' ),
                                'custom-border-radius' => ueldo_get_vc_element_device_attributes( $attributes, 'custom_border_radius', 'medium' ),
                                'border-radius' => ueldo_get_vc_element_device_attributes( $attributes, 'border_radius', 'medium' )
                            );

                            # update layer styles
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-card .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-card-layer',
                                array(
                                    '992_1199' => array(
                                        'width'. esc_attr( $temp['width-type'] == 'percentage' ? '-%' : '' ) => esc_attr( $temp['width-type'] == 'percentage' ? $temp['width-percentage'] : $temp['width-px'] ),
                                        'height'. esc_attr( $temp['height-type'] == 'percentage' ? '-%' : '' ) => esc_attr( $temp['height-type'] == 'percentage' ? $temp['height-percentage'] : $temp['height-px'] ),
                                        'margin-top' => esc_attr( $temp['margin-top'] ),
                                        'margin-bottom' => esc_attr( $temp['margin-bottom'] ),
                                        'margin-left' => esc_attr( $temp['margin-left'] ),
                                        'margin-right' => esc_attr( $temp['margin-right'] )
                                    )
                                )
                            );

                            # do we have custom border radius?
                            if( $temp['custom-border-radius'] == 'yes' ) {

                                # update layer styles
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-card .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-card-layer',
                                    array(
                                        '992_1199' => array(
                                            '-webkit-border-radius' => esc_attr( $temp['border-radius'] ),
                                            '-moz-border-radius' => esc_attr( $temp['border-radius'] ),
                                            'border-radius' => esc_attr( $temp['border-radius'] )
                                        )
                                    )
                                );
                            }

                            # set top/left/right/bottom position
                            switch( $temp['layer-position'] ) {

                                # top left position
                                case 'top_left':

                                    # update general row layer styles for medium devices
                                    $shortcodes_styles -> update_style(
                                        'ueldo-shortcode-card .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-card-layer',
                                        array(
                                            '992_1199' => array(
                                                'top' => '0',
                                                'bottom' => 'auto',
                                                'left' => '0',
                                                'right' => 'auto'
                                            )
                                        )
                                    );

                                break;

                                # top right position
                                case 'top_right':

                                    # update general row layer styles for medium devices
                                    $shortcodes_styles -> update_style(
                                        'ueldo-shortcode-card .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-card-layer',
                                        array(
                                            '992_1199' => array(
                                                'top' => '0',
                                                'bottom' => 'auto',
                                                'left' => 'auto',
                                                'right' => '0'
                                            )
                                        )
                                    );

                                break;

                                # bottom left position
                                case 'bottom_left':

                                    # update general row layer styles for medium devices
                                    $shortcodes_styles -> update_style(
                                        'ueldo-shortcode-card .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-card-layer',
                                        array(
                                            '992_1199' => array(
                                                'top' => 'auto',
                                                'bottom' => '0',
                                                'left' => '0',
                                                'right' => 'auto'
                                            )
                                        )
                                    );

                                break;

                                # bottom right position
                                case 'bottom_right':

                                    # update general row layer styles for medium devices
                                    $shortcodes_styles -> update_style(
                                        'ueldo-shortcode-card .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-card-layer',
                                        array(
                                            '992_1199' => array(
                                                'top' => 'auto',
                                                'bottom' => '0',
                                                'left' => 'auto',
                                                'right' => '0'
                                            )
                                        )
                                    );

                                break;
                            }

                            # remove temporary variable
                            unset( $temp );
                        }

                        # hide on "small" devices
                        if( $attributes['small_layer_visibility'] == 'no' ) {

                            # update layer styles
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-card .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-card-layer',
                                array(
                                    '768_991' => array(
                                        'display' => 'none'
                                    )
                                )
                            );
                        }

                        # styles for "small" devices
                        else {

                            # temporary values for "small" devices
                            $temp = array(
                                'width-type' => ueldo_get_vc_element_device_attributes( $attributes, 'width_type', 'small' ),
                                'width-percentage' => ueldo_get_vc_element_device_attributes( $attributes, 'width_percentage', 'small' ),
                                'width-px' => ueldo_get_vc_element_device_attributes( $attributes, 'width_px', 'small' ),
                                'height-type' => ueldo_get_vc_element_device_attributes( $attributes, 'height_type', 'small' ),
                                'height-percentage' => ueldo_get_vc_element_device_attributes( $attributes, 'height_percentage', 'small' ),
                                'height-px' => ueldo_get_vc_element_device_attributes( $attributes, 'height_px', 'small' ),
                                'layer-position' => ueldo_get_vc_element_device_attributes( $attributes, 'layer_position', 'small' ),
                                'margin-top' => ueldo_get_vc_element_device_attributes( $attributes, 'margin_top', 'small' ),
                                'margin-bottom' => ueldo_get_vc_element_device_attributes( $attributes, 'margin_bottom', 'small' ),
                                'margin-left' => ueldo_get_vc_element_device_attributes( $attributes, 'margin_left', 'small' ),
                                'margin-right' => ueldo_get_vc_element_device_attributes( $attributes, 'margin_right', 'small' ),
                                'custom-border-radius' => ueldo_get_vc_element_device_attributes( $attributes, 'custom_border_radius', 'small' ),
                                'border-radius' => ueldo_get_vc_element_device_attributes( $attributes, 'border_radius', 'small' )
                            );

                            # update layer styles
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-card .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-card-layer',
                                array(
                                    '768_991' => array(
                                        'width'. esc_attr( $temp['width-type'] == 'percentage' ? '-%' : '' ) => esc_attr( $temp['width-type'] == 'percentage' ? $temp['width-percentage'] : $temp['width-px'] ),
                                        'height'. esc_attr( $temp['height-type'] == 'percentage' ? '-%' : '' ) => esc_attr( $temp['height-type'] == 'percentage' ? $temp['height-percentage'] : $temp['height-px'] ),
                                        'margin-top' => esc_attr( $temp['margin-top'] ),
                                        'margin-bottom' => esc_attr( $temp['margin-bottom'] ),
                                        'margin-left' => esc_attr( $temp['margin-left'] ),
                                        'margin-right' => esc_attr( $temp['margin-right'] )
                                    )
                                )
                            );

                            # do we have custom border radius?
                            if( $temp['custom-border-radius'] == 'yes' ) {

                                # update layer styles
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-card .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-card-layer',
                                    array(
                                        '768_991' => array(
                                            '-webkit-border-radius' => esc_attr( $temp['border-radius'] ),
                                            '-moz-border-radius' => esc_attr( $temp['border-radius'] ),
                                            'border-radius' => esc_attr( $temp['border-radius'] )
                                        )
                                    )
                                );
                            }

                            # set top/left/right/bottom position
                            switch( $temp['layer-position'] ) {

                                # top left position
                                case 'top_left':

                                    # update general row layer styles for small devices
                                    $shortcodes_styles -> update_style(
                                        'ueldo-shortcode-card .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-card-layer',
                                        array(
                                            '768_991' => array(
                                                'top' => '0',
                                                'bottom' => 'auto',
                                                'left' => '0',
                                                'right' => 'auto'
                                            )
                                        )
                                    );

                                break;

                                # top right position
                                case 'top_right':

                                    # update general row layer styles for small devices
                                    $shortcodes_styles -> update_style(
                                        'ueldo-shortcode-card .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-card-layer',
                                        array(
                                            '768_991' => array(
                                                'top' => '0',
                                                'bottom' => 'auto',
                                                'left' => 'auto',
                                                'right' => '0'
                                            )
                                        )
                                    );

                                break;

                                # bottom left position
                                case 'bottom_left':

                                    # update general row layer styles for small devices
                                    $shortcodes_styles -> update_style(
                                        'ueldo-shortcode-card .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-card-layer',
                                        array(
                                            '768_991' => array(
                                                'top' => 'auto',
                                                'bottom' => '0',
                                                'left' => '0',
                                                'right' => 'auto'
                                            )
                                        )
                                    );

                                break;

                                # bottom right position
                                case 'bottom_right':

                                    # update general row layer styles for small devices
                                    $shortcodes_styles -> update_style(
                                        'ueldo-shortcode-card .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-card-layer',
                                        array(
                                            '768_991' => array(
                                                'top' => 'auto',
                                                'bottom' => '0',
                                                'left' => 'auto',
                                                'right' => '0'
                                            )
                                        )
                                    );

                                break;
                            }

                            # remove temporary variable
                            unset( $temp );
                        }

                        # hide on "extra small" devices
                        if( $attributes['extra_small_layer_visibility'] == 'no' ) {

                            # update layer styles
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-card .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-card-layer',
                                array(
                                    'less_767' => array(
                                        'display' => 'none'
                                    )
                                )
                            );
                        }

                        # styles for "extra small" devices
                        else {

                            # temporary values for "extra small" devices
                            $temp = array(
                                'width-type' => ueldo_get_vc_element_device_attributes( $attributes, 'width_type', 'extra_small' ),
                                'width-percentage' => ueldo_get_vc_element_device_attributes( $attributes, 'width_percentage', 'extra_small' ),
                                'width-px' => ueldo_get_vc_element_device_attributes( $attributes, 'width_px', 'extra_small' ),
                                'height-type' => ueldo_get_vc_element_device_attributes( $attributes, 'height_type', 'extra_small' ),
                                'height-percentage' => ueldo_get_vc_element_device_attributes( $attributes, 'height_percentage', 'extra_small' ),
                                'height-px' => ueldo_get_vc_element_device_attributes( $attributes, 'height_px', 'extra_small' ),
                                'layer-position' => ueldo_get_vc_element_device_attributes( $attributes, 'layer_position', 'extra_small' ),
                                'margin-top' => ueldo_get_vc_element_device_attributes( $attributes, 'margin_top', 'extra_small' ),
                                'margin-bottom' => ueldo_get_vc_element_device_attributes( $attributes, 'margin_bottom', 'extra_small' ),
                                'margin-left' => ueldo_get_vc_element_device_attributes( $attributes, 'margin_left', 'extra_small' ),
                                'margin-right' => ueldo_get_vc_element_device_attributes( $attributes, 'margin_right', 'extra_small' ),
                                'custom-border-radius' => ueldo_get_vc_element_device_attributes( $attributes, 'custom_border_radius', 'extra_small' ),
                                'border-radius' => ueldo_get_vc_element_device_attributes( $attributes, 'border_radius', 'extra_small' )
                            );

                            # update layer styles
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-card .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-card-layer',
                                array(
                                    'less_767' => array(
                                        'width'. esc_attr( $temp['width-type'] == 'percentage' ? '-%' : '' ) => esc_attr( $temp['width-type'] == 'percentage' ? $temp['width-percentage'] : $temp['width-px'] ),
                                        'height'. esc_attr( $temp['height-type'] == 'percentage' ? '-%' : '' ) => esc_attr( $temp['height-type'] == 'percentage' ? $temp['height-percentage'] : $temp['height-px'] ),
                                        'margin-top' => esc_attr( $temp['margin-top'] ),
                                        'margin-bottom' => esc_attr( $temp['margin-bottom'] ),
                                        'margin-left' => esc_attr( $temp['margin-left'] ),
                                        'margin-right' => esc_attr( $temp['margin-right'] )
                                    )
                                )
                            );

                            # do we have custom border radius?
                            if( $temp['custom-border-radius'] == 'yes' ) {

                                # update layer styles
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-card .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-card-layer',
                                    array(
                                        'less_767' => array(
                                            '-webkit-border-radius' => esc_attr( $temp['border-radius'] ),
                                            '-moz-border-radius' => esc_attr( $temp['border-radius'] ),
                                            'border-radius' => esc_attr( $temp['border-radius'] )
                                        )
                                    )
                                );
                            }

                            # set top/left/right/bottom position
                            switch( $temp['layer-position'] ) {

                                # top left position
                                case 'top_left':

                                    # update general row layer styles for extra small devices
                                    $shortcodes_styles -> update_style(
                                        'ueldo-shortcode-card .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-card-layer',
                                        array(
                                            'less_767' => array(
                                                'top' => '0',
                                                'bottom' => 'auto',
                                                'left' => '0',
                                                'right' => 'auto'
                                            )
                                        )
                                    );

                                break;

                                # top right position
                                case 'top_right':

                                    # update general row layer styles for extra small devices
                                    $shortcodes_styles -> update_style(
                                        'ueldo-shortcode-card .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-card-layer',
                                        array(
                                            'less_767' => array(
                                                'top' => '0',
                                                'bottom' => 'auto',
                                                'left' => 'auto',
                                                'right' => '0'
                                            )
                                        )
                                    );

                                break;

                                # bottom left position
                                case 'bottom_left':

                                    # update general row layer styles for extra small devices
                                    $shortcodes_styles -> update_style(
                                        'ueldo-shortcode-card .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-card-layer',
                                        array(
                                            'less_767' => array(
                                                'top' => 'auto',
                                                'bottom' => '0',
                                                'left' => '0',
                                                'right' => 'auto'
                                            )
                                        )
                                    );

                                break;

                                # bottom right position
                                case 'bottom_right':

                                    # update general row layer styles for extra small devices
                                    $shortcodes_styles -> update_style(
                                        'ueldo-shortcode-card .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-card-layer',
                                        array(
                                            'less_767' => array(
                                                'top' => 'auto',
                                                'bottom' => '0',
                                                'left' => 'auto',
                                                'right' => '0'
                                            )
                                        )
                                    );

                                break;
                            }

                            # remove temporary variable
                            unset( $temp );
                        }

                        # save css style
                        $shortcodes_styles -> save_styles();

                        # remove attributes array
                        unset( $attributes );

                    break;

                   /**
                    *
                    * ueldo_shortcode_google_map
                    *
                    */

                    case 'ueldo_shortcode_google_map':

                        # attributes array
                        $attributes = array(
                            'horizontal_alignment' => isset( $shortcode['atts']['horizontal_alignment'] ) && !empty( $shortcode['atts']['horizontal_alignment'] ) ? $shortcode['atts']['horizontal_alignment'] : esc_attr( ueldo_is_rtl() ? 'right' : 'left' ),
                            'border_radius' => isset( $shortcode['atts']['border_radius'] ) && $shortcode['atts']['border_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['border_radius'] ) ? $shortcode['atts']['border_radius'] : '4',
                            'border_width' => isset( $shortcode['atts']['border_width'] ) && $shortcode['atts']['border_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['border_width'] ) ? $shortcode['atts']['border_width'] : '0',
                            'large_width_type' => isset( $shortcode['atts']['large_width_type'] ) && !empty( $shortcode['atts']['large_width_type'] ) ? $shortcode['atts']['large_width_type'] : 'percentage',
                            'large_width_percentage' => isset( $shortcode['atts']['large_width_percentage'] ) && $shortcode['atts']['large_width_percentage'] != '' ? $shortcode['atts']['large_width_percentage'] : '100%',
                            'large_width_px' => isset( $shortcode['atts']['large_width_px'] ) && $shortcode['atts']['large_width_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['large_width_px'] ) ? $shortcode['atts']['large_width_px'] : '100',
                            'large_height_px' => isset( $shortcode['atts']['large_height_px'] ) && $shortcode['atts']['large_height_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['large_height_px'] ) ? $shortcode['atts']['large_height_px'] : '300',
                            'medium_layer_custom_sizes' => isset( $shortcode['atts']['medium_custom_sizes'] ) && !empty( $shortcode['atts']['medium_custom_sizes'] ) ? $shortcode['atts']['medium_custom_sizes'] : 'no-large',
                            'medium_width_type' => isset( $shortcode['atts']['medium_width_type'] ) && !empty( $shortcode['atts']['medium_width_type'] ) ? $shortcode['atts']['medium_width_type'] : 'percentage',
                            'medium_width_percentage' => isset( $shortcode['atts']['medium_width_percentage'] ) && $shortcode['atts']['medium_width_percentage'] != '' ? $shortcode['atts']['medium_width_percentage'] : '100%',
                            'medium_width_px' => isset( $shortcode['atts']['medium_width_px'] ) && $shortcode['atts']['medium_width_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['medium_width_px'] ) ? $shortcode['atts']['medium_width_px'] : '100',
                            'medium_height_px' => isset( $shortcode['atts']['medium_height_px'] ) && $shortcode['atts']['medium_height_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['medium_height_px'] ) ? $shortcode['atts']['medium_height_px'] : '300',
                            'small_layer_custom_sizes' => isset( $shortcode['atts']['small_custom_sizes'] ) && !empty( $shortcode['atts']['small_custom_sizes'] ) ? $shortcode['atts']['small_custom_sizes'] : 'no-medium',
                            'small_width_type' => isset( $shortcode['atts']['small_width_type'] ) && !empty( $shortcode['atts']['small_width_type'] ) ? $shortcode['atts']['small_width_type'] : 'percentage',
                            'small_width_percentage' => isset( $shortcode['atts']['small_width_percentage'] ) && $shortcode['atts']['small_width_percentage'] != '' ? $shortcode['atts']['small_width_percentage'] : '100%',
                            'small_width_px' => isset( $shortcode['atts']['small_width_px'] ) && $shortcode['atts']['small_width_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['small_width_px'] ) ? $shortcode['atts']['small_width_px'] : '100',
                            'small_height_px' => isset( $shortcode['atts']['small_height_px'] ) && $shortcode['atts']['small_height_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['small_height_px'] ) ? $shortcode['atts']['small_height_px'] : '300',
                            'extra_small_layer_custom_sizes' => isset( $shortcode['atts']['extra_small_custom_sizes'] ) && !empty( $shortcode['atts']['extra_small_custom_sizes'] ) ? $shortcode['atts']['extra_small_custom_sizes'] : 'no-small',
                            'extra_small_width_type' => isset( $shortcode['atts']['extra_small_width_type'] ) && !empty( $shortcode['atts']['extra_small_width_type'] ) ? $shortcode['atts']['extra_small_width_type'] : 'percentage',
                            'extra_small_width_percentage' => isset( $shortcode['atts']['extra_small_width_percentage'] ) && $shortcode['atts']['extra_small_width_percentage'] != '' ? $shortcode['atts']['extra_small_width_percentage'] : '100%',
                            'extra_small_width_px' => isset( $shortcode['atts']['extra_small_width_px'] ) && $shortcode['atts']['extra_small_width_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['extra_small_width_px'] ) ? $shortcode['atts']['extra_small_width_px'] : '100',
                            'extra_small_height_px' => isset( $shortcode['atts']['extra_small_height_px'] ) && $shortcode['atts']['extra_small_height_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['extra_small_height_px'] ) ? $shortcode['atts']['extra_small_height_px'] : '300',
                            'margin_top' => isset( $shortcode['atts']['margin_top'] ) && $shortcode['atts']['margin_top'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_top'] ) ? $shortcode['atts']['margin_top'] : '0',
                            'margin_right' => isset( $shortcode['atts']['margin_right'] ) && $shortcode['atts']['margin_right'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_right'] ) ? $shortcode['atts']['margin_right'] : '0',
                            'margin_bottom' => isset( $shortcode['atts']['margin_bottom'] ) && $shortcode['atts']['margin_bottom'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_bottom'] ) ? $shortcode['atts']['margin_bottom'] : '30',
                            'margin_left' => isset( $shortcode['atts']['margin_left'] ) && $shortcode['atts']['margin_left'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_left'] ) ? $shortcode['atts']['margin_left'] : '0',
                            'custom_colors_enabled' => isset( $shortcode['atts']['custom_colors_enabled'] ) && !empty( $shortcode['atts']['custom_colors_enabled'] ) ? $shortcode['atts']['custom_colors_enabled'] : 'theme_defaults',
                            'border_color' => isset( $shortcode['atts']['border_color'] ) && $shortcode['atts']['border_color'] != '' ? $shortcode['atts']['border_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                            'box_shadow_type' => isset( $shortcode['atts']['box_shadow_type'] ) && !empty( $shortcode['atts']['box_shadow_type'] ) ? $shortcode['atts']['box_shadow_type'] : 'outset',
                            'box_shadow_horizontal_length' => isset( $shortcode['atts']['box_shadow_horizontal_length'] ) && $shortcode['atts']['box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_horizontal_length'] ) ? $shortcode['atts']['box_shadow_horizontal_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'horizontal-length' ) ),
                            'box_shadow_vertical_length' => isset( $shortcode['atts']['box_shadow_vertical_length'] ) && $shortcode['atts']['box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_vertical_length'] ) ? $shortcode['atts']['box_shadow_vertical_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'vertical-length' ) ),
                            'box_shadow_blur_radius' => isset( $shortcode['atts']['box_shadow_blur_radius'] ) && $shortcode['atts']['box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_blur_radius'] ) ? $shortcode['atts']['box_shadow_blur_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'blur-radius' ) ),
                            'box_shadow_spread_radius' => isset( $shortcode['atts']['box_shadow_spread_radius'] ) && $shortcode['atts']['box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_spread_radius'] ) ? $shortcode['atts']['box_shadow_spread_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'spread-radius' ) ),
                            'box_shadow_color' => isset( $shortcode['atts']['box_shadow_color'] ) && $shortcode['atts']['box_shadow_color'] != '' ? $shortcode['atts']['box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'color' ) ),
                            'inset_top_box_shadow_horizontal_length' => isset( $shortcode['atts']['inset_top_box_shadow_horizontal_length'] ) && $shortcode['atts']['inset_top_box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['inset_top_box_shadow_horizontal_length'] ) ? $shortcode['atts']['inset_top_box_shadow_horizontal_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-top', 'horizontal-length' ) ),
                            'inset_top_box_shadow_vertical_length' => isset( $shortcode['atts']['inset_top_box_shadow_vertical_length'] ) && $shortcode['atts']['inset_top_box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['inset_top_box_shadow_vertical_length'] ) ? $shortcode['atts']['inset_top_box_shadow_vertical_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-top', 'vertical-length' ) ),
                            'inset_top_box_shadow_blur_radius' => isset( $shortcode['atts']['inset_top_box_shadow_blur_radius'] ) && $shortcode['atts']['inset_top_box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['inset_top_box_shadow_blur_radius'] ) ? $shortcode['atts']['inset_top_box_shadow_blur_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-top', 'blur-radius' ) ),
                            'inset_top_box_shadow_spread_radius' => isset( $shortcode['atts']['inset_top_box_shadow_spread_radius'] ) && $shortcode['atts']['inset_top_box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['inset_top_box_shadow_spread_radius'] ) ? $shortcode['atts']['inset_top_box_shadow_spread_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-top', 'spread-radius' ) ),
                            'inset_top_box_shadow_color' => isset( $shortcode['atts']['inset_top_box_shadow_color'] ) && $shortcode['atts']['inset_top_box_shadow_color'] != '' ? $shortcode['atts']['inset_top_box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-top', 'color' ) ),
                            'inset_bottom_box_shadow_horizontal_length' => isset( $shortcode['atts']['inset_bottom_box_shadow_horizontal_length'] ) && $shortcode['atts']['inset_bottom_box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['inset_bottom_box_shadow_horizontal_length'] ) ? $shortcode['atts']['inset_bottom_box_shadow_horizontal_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-bottom', 'horizontal-length' ) ),
                            'inset_bottom_box_shadow_vertical_length' => isset( $shortcode['atts']['inset_bottom_box_shadow_vertical_length'] ) && $shortcode['atts']['inset_bottom_box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['inset_bottom_box_shadow_vertical_length'] ) ? $shortcode['atts']['inset_bottom_box_shadow_vertical_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-bottom', 'vertical-length' ) ),
                            'inset_bottom_box_shadow_blur_radius' => isset( $shortcode['atts']['inset_bottom_box_shadow_blur_radius'] ) && $shortcode['atts']['inset_bottom_box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['inset_bottom_box_shadow_blur_radius'] ) ? $shortcode['atts']['inset_bottom_box_shadow_blur_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-bottom', 'blur-radius' ) ),
                            'inset_bottom_box_shadow_spread_radius' => isset( $shortcode['atts']['inset_bottom_box_shadow_spread_radius'] ) && $shortcode['atts']['inset_bottom_box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['inset_bottom_box_shadow_spread_radius'] ) ? $shortcode['atts']['inset_bottom_box_shadow_spread_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-bottom', 'spread-radius' ) ),
                            'inset_bottom_box_shadow_color' => isset( $shortcode['atts']['inset_bottom_box_shadow_color'] ) && $shortcode['atts']['inset_bottom_box_shadow_color'] != '' ? $shortcode['atts']['inset_bottom_box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-bottom', 'color' ) )
                        );

                        # temporary values for each devices
                        $temp = array(
                            'medium-width-type' => ueldo_get_vc_element_device_attributes( $attributes, 'width_type', 'medium' ),
                            'medium-width-percentage' => ueldo_get_vc_element_device_attributes( $attributes, 'width_percentage', 'medium' ),
                            'medium-width-px' => ueldo_get_vc_element_device_attributes( $attributes, 'width_px', 'medium' ),
                            'medium-height-px' => ueldo_get_vc_element_device_attributes( $attributes, 'height_px', 'medium' ),
                            'small-width-type' => ueldo_get_vc_element_device_attributes( $attributes, 'width_type', 'small' ),
                            'small-width-percentage' => ueldo_get_vc_element_device_attributes( $attributes, 'width_percentage', 'small' ),
                            'small-width-px' => ueldo_get_vc_element_device_attributes( $attributes, 'width_px', 'small' ),
                            'small-height-px' => ueldo_get_vc_element_device_attributes( $attributes, 'height_px', 'small' ),
                            'extra-small-width-type' => ueldo_get_vc_element_device_attributes( $attributes, 'width_type', 'extra_small' ),
                            'extra-small-width-percentage' => ueldo_get_vc_element_device_attributes( $attributes, 'width_percentage', 'extra_small' ),
                            'extra-small-width-px' => ueldo_get_vc_element_device_attributes( $attributes, 'width_px', 'extra_small' ),
                            'extra-small-height-px' => ueldo_get_vc_element_device_attributes( $attributes, 'height_px', 'extra_small' )
                        );

                        # general element styles
                        $shortcodes_styles -> update_style(
                            esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-google-map.ueldo-google-map-container',
                            array(
                                '1200_more' => array(
                                    'width'. esc_attr( $attributes['large_width_type'] == 'percentage' ? '-%' : '' ) => esc_attr( $attributes['large_width_type'] == 'percentage' ? $attributes['large_width_percentage'] : $attributes['large_width_px'] ),
                                    'height' => esc_attr( $attributes['large_height_px'] )
                                ),
                                '992_1199' => array(
                                    'width'. esc_attr( $temp['medium-width-type'] == 'percentage' ? '-%' : '' ) => esc_attr( $temp['medium-width-type'] == 'percentage' ? $temp['medium-width-percentage'] : $temp['medium-width-px'] ),
                                    'height' => esc_attr( $temp['medium-height-px'] )
                                ),
                                '768_991' => array(
                                    'width'. esc_attr( $temp['small-width-type'] == 'percentage' ? '-%' : '' ) => esc_attr( $temp['small-width-type'] == 'percentage' ? $temp['small-width-percentage'] : $temp['small-width-px'] ),
                                    'height' => esc_attr( $temp['small-height-px'] )
                                ),
                                'less_767' => array(
                                    'width'. esc_attr( $temp['extra-small-width-type'] == 'percentage' ? '-%' : '' ) => esc_attr( $temp['extra-small-width-type'] == 'percentage' ? $temp['extra-small-width-percentage'] : $temp['extra-small-width-px'] ),
                                    'height' => esc_attr( $temp['extra-small-height-px'] )
                                ),
                                'general' => array(
                                    'border-width' => esc_attr( $attributes['border_width'] ),
                                    '-webkit-border-radius' => esc_attr( $attributes['border_radius'] ),
                                    '-moz-border-radius' => esc_attr( $attributes['border_radius'] ),
                                    'border-radius' => esc_attr( $attributes['border_radius'] )
                                )
                            )
                        );

                        # remove temporary variables
                        unset( $temp );

                        # horizontal alignment is set to center?
                        if( $attributes['horizontal_alignment'] == 'center' ) {

                            # update shortcode margins
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-google-map.ueldo-google-map-container',
                                array(
                                    'general' => array(
                                        'margin' => esc_attr( $attributes['margin_top'] ) .'px auto '. esc_attr( $attributes['margin_bottom'] ) .'px auto'
                                    )
                                )
                            );
                        }

                        # horizontal alignment is set to left or right
                        else {

                            # update shortcode margins
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-google-map.ueldo-google-map-container',
                                array(
                                    'general' => array(
                                        'margin-top' => esc_attr( $attributes['margin_top'] ),
                                        'margin-right' => esc_attr( $attributes['margin_right'] ),
                                        'margin-bottom' => esc_attr( $attributes['margin_bottom'] ),
                                        'margin-left' => esc_attr( $attributes['margin_left'] )
                                    )
                                )
                            );
                        }

                        # do we have custom colors enabled?
                        if( $attributes['custom_colors_enabled'] != 'theme_defaults' ) {

                            # border color
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-google-map.ueldo-google-map-container',
                                array(
                                    'general' => array(
                                        'border-color' => esc_attr( $attributes['border_color'] )
                                    )
                                )
                            );

                            # outset box shadow
                            if( $attributes['box_shadow_type'] == 'outset' ) {

                                # update element styles
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-google-map.ueldo-google-map-container',
                                    array(
                                        'general' => array(
                                            '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length'], $attributes['box_shadow_vertical_length'], $attributes['box_shadow_blur_radius'], $attributes['box_shadow_spread_radius'], $attributes['box_shadow_color'] ),
                                            '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length'], $attributes['box_shadow_vertical_length'], $attributes['box_shadow_blur_radius'], $attributes['box_shadow_spread_radius'], $attributes['box_shadow_color'] ),
                                            'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length'], $attributes['box_shadow_vertical_length'], $attributes['box_shadow_blur_radius'], $attributes['box_shadow_spread_radius'], $attributes['box_shadow_color'] )
                                        )
                                    )
                                );
                            }

                            # inset (top and bottom) box shadow
                            else {

                                # update element styles - clear outset box shadow
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-google-map.ueldo-google-map-container',
                                    array(
                                        'general' => array(
                                            '-webkit-box-shadow' => 'none',
                                            '-moz-box-shadow' => 'none',
                                            'box-shadow' => 'none'
                                        )
                                    )
                                );

                                # update inset box shadow - top
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-google-map.ueldo-google-map-container.ueldo-shortcode-google-map-shadow-inset:before',
                                    array(
                                        '-webkit-box-shadow' => 'inset '. ueldo_get_box_shadow_attribute_value( $attributes['inset_top_box_shadow_horizontal_length'], $attributes['inset_top_box_shadow_vertical_length'], $attributes['inset_top_box_shadow_blur_radius'], $attributes['inset_top_box_shadow_spread_radius'], $attributes['inset_top_box_shadow_color'] ),
                                        '-moz-box-shadow' => 'inset '. ueldo_get_box_shadow_attribute_value( $attributes['inset_top_box_shadow_horizontal_length'], $attributes['inset_top_box_shadow_vertical_length'], $attributes['inset_top_box_shadow_blur_radius'], $attributes['inset_top_box_shadow_spread_radius'], $attributes['inset_top_box_shadow_color'] ),
                                        'box-shadow' => 'inset '. ueldo_get_box_shadow_attribute_value( $attributes['inset_top_box_shadow_horizontal_length'], $attributes['inset_top_box_shadow_vertical_length'], $attributes['inset_top_box_shadow_blur_radius'], $attributes['inset_top_box_shadow_spread_radius'], $attributes['inset_top_box_shadow_color'] )
                                    )
                                );

                                # update inset box shadow - bottom
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-google-map.ueldo-google-map-container.ueldo-shortcode-google-map-shadow-inset:after',
                                    array(
                                        '-webkit-box-shadow' => 'inset '. ueldo_get_box_shadow_attribute_value( $attributes['inset_top_box_shadow_horizontal_length'], $attributes['inset_bottom_box_shadow_vertical_length'], $attributes['inset_bottom_box_shadow_blur_radius'], $attributes['inset_bottom_box_shadow_spread_radius'], $attributes['inset_bottom_box_shadow_color'] ),
                                        '-moz-box-shadow' => 'inset '. ueldo_get_box_shadow_attribute_value( $attributes['inset_bottom_box_shadow_horizontal_length'], $attributes['inset_bottom_box_shadow_vertical_length'], $attributes['inset_bottom_box_shadow_blur_radius'], $attributes['inset_bottom_box_shadow_spread_radius'], $attributes['inset_bottom_box_shadow_color'] ),
                                        'box-shadow' => 'inset '. ueldo_get_box_shadow_attribute_value( $attributes['inset_bottom_box_shadow_horizontal_length'], $attributes['inset_bottom_box_shadow_vertical_length'], $attributes['inset_bottom_box_shadow_blur_radius'], $attributes['inset_bottom_box_shadow_spread_radius'], $attributes['inset_bottom_box_shadow_color'] )
                                    )
                                );
                            }
                        }

                        # save css style
                        $shortcodes_styles -> save_styles();

                        # remove attributes array
                        unset( $attributes );

                    break;

                   /**
                    *
                    * ueldo_shortcode_row_layer
                    *
                    */

                    case 'ueldo_shortcode_row_layer':

                        # attributes array
                        $attributes = array(
                            'layer_type' => isset( $shortcode['atts']['layer_type'] ) && !empty( $shortcode['atts']['layer_type'] ) ? $shortcode['atts']['layer_type'] : 'color',
                            'layer_opacity' => isset( $shortcode['atts']['layer_opacity'] ) && $shortcode['atts']['layer_opacity'] != '' ? $shortcode['atts']['layer_opacity'] : '100%',
                            'layer_z_index' => isset( $shortcode['atts']['layer_z_index'] ) && $shortcode['atts']['layer_z_index'] != '' && ueldo_is_valid_number( $shortcode['atts']['layer_z_index'] ) ? $shortcode['atts']['layer_z_index'] : '1',
                            'color' => isset( $shortcode['atts']['color'] ) && $shortcode['atts']['color'] != '' ? $shortcode['atts']['color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                            'color_add_box_shadow' => isset( $shortcode['atts']['color_add_box_shadow'] ) && !empty( $shortcode['atts']['color_add_box_shadow'] ) ? $shortcode['atts']['color_add_box_shadow'] : 'no',
                            'color_inset_top_box_shadow_horizontal_length' => isset( $shortcode['atts']['color_inset_top_box_shadow_horizontal_length'] ) && $shortcode['atts']['color_inset_top_box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['color_inset_top_box_shadow_horizontal_length'] ) ? $shortcode['atts']['color_inset_top_box_shadow_horizontal_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-top', 'horizontal-length' ) ),
                            'color_inset_top_box_shadow_vertical_length' => isset( $shortcode['atts']['color_inset_top_box_shadow_vertical_length'] ) && $shortcode['atts']['color_inset_top_box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['color_inset_top_box_shadow_vertical_length'] ) ? $shortcode['atts']['color_inset_top_box_shadow_vertical_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-top', 'vertical-length' ) ),
                            'color_inset_top_box_shadow_blur_radius' => isset( $shortcode['atts']['color_inset_top_box_shadow_blur_radius'] ) && $shortcode['atts']['color_inset_top_box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['color_inset_top_box_shadow_blur_radius'] ) ? $shortcode['atts']['color_inset_top_box_shadow_blur_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-top', 'blur-radius' ) ),
                            'color_inset_top_box_shadow_spread_radius' => isset( $shortcode['atts']['color_inset_top_box_shadow_spread_radius'] ) && $shortcode['atts']['color_inset_top_box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['color_inset_top_box_shadow_spread_radius'] ) ? $shortcode['atts']['color_inset_top_box_shadow_spread_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-top', 'spread-radius' ) ),
                            'color_inset_top_box_shadow_color' => isset( $shortcode['atts']['color_inset_top_box_shadow_color'] ) && $shortcode['atts']['color_inset_top_box_shadow_color'] != '' ? $shortcode['atts']['color_inset_top_box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-top', 'color' ) ),
                            'color_inset_bottom_box_shadow_horizontal_length' => isset( $shortcode['atts']['color_inset_bottom_box_shadow_horizontal_length'] ) && $shortcode['atts']['color_inset_bottom_box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['color_inset_bottom_box_shadow_horizontal_length'] ) ? $shortcode['atts']['color_inset_bottom_box_shadow_horizontal_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-bottom', 'horizontal-length' ) ),
                            'color_inset_bottom_box_shadow_vertical_length' => isset( $shortcode['atts']['color_inset_bottom_box_shadow_vertical_length'] ) && $shortcode['atts']['color_inset_bottom_box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['color_inset_bottom_box_shadow_vertical_length'] ) ? $shortcode['atts']['color_inset_bottom_box_shadow_vertical_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-bottom', 'vertical-length' ) ),
                            'color_inset_bottom_box_shadow_blur_radius' => isset( $shortcode['atts']['color_inset_bottom_box_shadow_blur_radius'] ) && $shortcode['atts']['color_inset_bottom_box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['color_inset_bottom_box_shadow_blur_radius'] ) ? $shortcode['atts']['color_inset_bottom_box_shadow_blur_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-bottom', 'blur-radius' ) ),
                            'color_inset_bottom_box_shadow_spread_radius' => isset( $shortcode['atts']['color_inset_bottom_box_shadow_spread_radius'] ) && $shortcode['atts']['color_inset_bottom_box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['color_inset_bottom_box_shadow_spread_radius'] ) ? $shortcode['atts']['color_inset_bottom_box_shadow_spread_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-bottom', 'spread-radius' ) ),
                            'color_inset_bottom_box_shadow_color' => isset( $shortcode['atts']['color_inset_bottom_box_shadow_color'] ) && $shortcode['atts']['color_inset_bottom_box_shadow_color'] != '' ? $shortcode['atts']['color_inset_bottom_box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-bottom', 'color' ) ),
                            'color_outset_box_shadow_horizontal_length' => isset( $shortcode['atts']['color_outset_box_shadow_horizontal_length'] ) && $shortcode['atts']['color_outset_box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['color_outset_box_shadow_horizontal_length'] ) ? $shortcode['atts']['color_outset_box_shadow_horizontal_length'] : '0',
                            'color_outset_box_shadow_vertical_length' => isset( $shortcode['atts']['color_outset_box_shadow_vertical_length'] ) && $shortcode['atts']['color_outset_box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['color_outset_box_shadow_vertical_length'] ) ? $shortcode['atts']['color_outset_box_shadow_vertical_length'] : '0',
                            'color_outset_box_shadow_blur_radius' => isset( $shortcode['atts']['color_outset_box_shadow_blur_radius'] ) && $shortcode['atts']['color_outset_box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['color_outset_box_shadow_blur_radius'] ) ? $shortcode['atts']['color_outset_box_shadow_blur_radius'] : '0',
                            'color_outset_box_shadow_spread_radius' => isset( $shortcode['atts']['color_outset_box_shadow_spread_radius'] ) && $shortcode['atts']['color_outset_box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['color_outset_box_shadow_spread_radius'] ) ? $shortcode['atts']['color_outset_box_shadow_spread_radius'] : '0',
                            'color_outset_box_shadow_color' => isset( $shortcode['atts']['color_outset_box_shadow_color'] ) && $shortcode['atts']['color_outset_box_shadow_color'] != '' ? $shortcode['atts']['color_outset_box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) ),
                            'color_add_border' => isset( $shortcode['atts']['color_add_border'] ) && !empty( $shortcode['atts']['color_add_border'] ) ? $shortcode['atts']['color_add_border'] : 'no',
                            'color_border_width' => isset( $shortcode['atts']['color_border_width'] ) && $shortcode['atts']['color_border_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['color_border_width'] ) ? $shortcode['atts']['color_border_width'] : '0',
                            'color_border_color' => isset( $shortcode['atts']['color_border_color'] ) && $shortcode['atts']['color_border_color'] != '' ? $shortcode['atts']['color_border_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-border-color' ) ),
                            'image_add_box_shadow' => isset( $shortcode['atts']['image_add_box_shadow'] ) && !empty( $shortcode['atts']['image_add_box_shadow'] ) ? $shortcode['atts']['image_add_box_shadow'] : 'no',
                            'image_inset_top_box_shadow_horizontal_length' => isset( $shortcode['atts']['image_inset_top_box_shadow_horizontal_length'] ) && $shortcode['atts']['image_inset_top_box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['image_inset_top_box_shadow_horizontal_length'] ) ? $shortcode['atts']['image_inset_top_box_shadow_horizontal_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-top', 'horizontal-length' ) ),
                            'image_inset_top_box_shadow_vertical_length' => isset( $shortcode['atts']['image_inset_top_box_shadow_vertical_length'] ) && $shortcode['atts']['image_inset_top_box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['image_inset_top_box_shadow_vertical_length'] ) ? $shortcode['atts']['image_inset_top_box_shadow_vertical_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-top', 'vertical-length' ) ),
                            'image_inset_top_box_shadow_blur_radius' => isset( $shortcode['atts']['image_inset_top_box_shadow_blur_radius'] ) && $shortcode['atts']['image_inset_top_box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['image_inset_top_box_shadow_blur_radius'] ) ? $shortcode['atts']['image_inset_top_box_shadow_blur_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-top', 'blur-radius' ) ),
                            'image_inset_top_box_shadow_spread_radius' => isset( $shortcode['atts']['image_inset_top_box_shadow_spread_radius'] ) && $shortcode['atts']['image_inset_top_box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['image_inset_top_box_shadow_spread_radius'] ) ? $shortcode['atts']['image_inset_top_box_shadow_spread_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-top', 'spread-radius' ) ),
                            'image_inset_top_box_shadow_color' => isset( $shortcode['atts']['image_inset_top_box_shadow_color'] ) && $shortcode['atts']['image_inset_top_box_shadow_color'] != '' ? $shortcode['atts']['image_inset_top_box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-top', 'color' ) ),
                            'image_inset_bottom_box_shadow_horizontal_length' => isset( $shortcode['atts']['image_inset_bottom_box_shadow_horizontal_length'] ) && $shortcode['atts']['image_inset_bottom_box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['image_inset_bottom_box_shadow_horizontal_length'] ) ? $shortcode['atts']['image_inset_bottom_box_shadow_horizontal_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-bottom', 'horizontal-length' ) ),
                            'image_inset_bottom_box_shadow_vertical_length' => isset( $shortcode['atts']['image_inset_bottom_box_shadow_vertical_length'] ) && $shortcode['atts']['image_inset_bottom_box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['image_inset_bottom_box_shadow_vertical_length'] ) ? $shortcode['atts']['image_inset_bottom_box_shadow_vertical_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-bottom', 'vertical-length' ) ),
                            'image_inset_bottom_box_shadow_blur_radius' => isset( $shortcode['atts']['image_inset_bottom_box_shadow_blur_radius'] ) && $shortcode['atts']['image_inset_bottom_box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['image_inset_bottom_box_shadow_blur_radius'] ) ? $shortcode['atts']['image_inset_bottom_box_shadow_blur_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-bottom', 'blur-radius' ) ),
                            'image_inset_bottom_box_shadow_spread_radius' => isset( $shortcode['atts']['image_inset_bottom_box_shadow_spread_radius'] ) && $shortcode['atts']['image_inset_bottom_box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['image_inset_bottom_box_shadow_spread_radius'] ) ? $shortcode['atts']['image_inset_bottom_box_shadow_spread_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-bottom', 'spread-radius' ) ),
                            'image_inset_bottom_box_shadow_color' => isset( $shortcode['atts']['image_inset_bottom_box_shadow_color'] ) && $shortcode['atts']['image_inset_bottom_box_shadow_color'] != '' ? $shortcode['atts']['image_inset_bottom_box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-bottom', 'color' ) ),
                            'image_outset_box_shadow_horizontal_length' => isset( $shortcode['atts']['image_outset_box_shadow_horizontal_length'] ) && $shortcode['atts']['image_outset_box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['image_outset_box_shadow_horizontal_length'] ) ? $shortcode['atts']['image_outset_box_shadow_horizontal_length'] : '0',
                            'image_outset_box_shadow_vertical_length' => isset( $shortcode['atts']['image_outset_box_shadow_vertical_length'] ) && $shortcode['atts']['image_outset_box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['image_outset_box_shadow_vertical_length'] ) ? $shortcode['atts']['image_outset_box_shadow_vertical_length'] : '0',
                            'image_outset_box_shadow_blur_radius' => isset( $shortcode['atts']['image_outset_box_shadow_blur_radius'] ) && $shortcode['atts']['image_outset_box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['image_outset_box_shadow_blur_radius'] ) ? $shortcode['atts']['image_outset_box_shadow_blur_radius'] : '0',
                            'image_outset_box_shadow_spread_radius' => isset( $shortcode['atts']['image_outset_box_shadow_spread_radius'] ) && $shortcode['atts']['image_outset_box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['image_outset_box_shadow_spread_radius'] ) ? $shortcode['atts']['image_outset_box_shadow_spread_radius'] : '0',
                            'image_outset_box_shadow_color' => isset( $shortcode['atts']['image_outset_box_shadow_color'] ) && $shortcode['atts']['image_outset_box_shadow_color'] != '' ? $shortcode['atts']['image_outset_box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) ),
                            'image_add_border' => isset( $shortcode['atts']['image_add_border'] ) && !empty( $shortcode['atts']['image_add_border'] ) ? $shortcode['atts']['image_add_border'] : 'no',
                            'image_border_width' => isset( $shortcode['atts']['image_border_width'] ) && $shortcode['atts']['image_border_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['image_border_width'] ) ? $shortcode['atts']['image_border_width'] : '0',
                            'image_border_color' => isset( $shortcode['atts']['image_border_color'] ) && $shortcode['atts']['image_border_color'] != '' ? $shortcode['atts']['image_border_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-border-color' ) ),
                            'parallax_inset_box_shadow_top_bottom' => isset( $shortcode['atts']['parallax_inset_box_shadow_top_bottom'] ) && !empty( $shortcode['atts']['parallax_inset_box_shadow_top_bottom'] ) ? $shortcode['atts']['parallax_inset_box_shadow_top_bottom'] : 'no',
                            'parallax_inset_top_box_shadow_horizontal_length' => isset( $shortcode['atts']['parallax_inset_top_box_shadow_horizontal_length'] ) && $shortcode['atts']['parallax_inset_top_box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['parallax_inset_top_box_shadow_horizontal_length'] ) ? $shortcode['atts']['parallax_inset_top_box_shadow_horizontal_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-top', 'horizontal-length' ) ),
                            'parallax_inset_top_box_shadow_vertical_length' => isset( $shortcode['atts']['parallax_inset_top_box_shadow_vertical_length'] ) && $shortcode['atts']['parallax_inset_top_box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['parallax_inset_top_box_shadow_vertical_length'] ) ? $shortcode['atts']['parallax_inset_top_box_shadow_vertical_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-top', 'vertical-length' ) ),
                            'parallax_inset_top_box_shadow_blur_radius' => isset( $shortcode['atts']['parallax_inset_top_box_shadow_blur_radius'] ) && $shortcode['atts']['parallax_inset_top_box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['parallax_inset_top_box_shadow_blur_radius'] ) ? $shortcode['atts']['parallax_inset_top_box_shadow_blur_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-top', 'blur-radius' ) ),
                            'parallax_inset_top_box_shadow_spread_radius' => isset( $shortcode['atts']['parallax_inset_top_box_shadow_spread_radius'] ) && $shortcode['atts']['parallax_inset_top_box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['parallax_inset_top_box_shadow_spread_radius'] ) ? $shortcode['atts']['parallax_inset_top_box_shadow_spread_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-top', 'spread-radius' ) ),
                            'parallax_inset_top_box_shadow_color' => isset( $shortcode['atts']['parallax_inset_top_box_shadow_color'] ) && $shortcode['atts']['parallax_inset_top_box_shadow_color'] != '' ? $shortcode['atts']['parallax_inset_top_box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-top', 'color' ) ),
                            'parallax_inset_bottom_box_shadow_horizontal_length' => isset( $shortcode['atts']['parallax_inset_bottom_box_shadow_horizontal_length'] ) && $shortcode['atts']['parallax_inset_bottom_box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['parallax_inset_bottom_box_shadow_horizontal_length'] ) ? $shortcode['atts']['parallax_inset_bottom_box_shadow_horizontal_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-bottom', 'horizontal-length' ) ),
                            'parallax_inset_bottom_box_shadow_vertical_length' => isset( $shortcode['atts']['parallax_inset_bottom_box_shadow_vertical_length'] ) && $shortcode['atts']['parallax_inset_bottom_box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['parallax_inset_bottom_box_shadow_vertical_length'] ) ? $shortcode['atts']['parallax_inset_bottom_box_shadow_vertical_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-bottom', 'vertical-length' ) ),
                            'parallax_inset_bottom_box_shadow_blur_radius' => isset( $shortcode['atts']['parallax_inset_bottom_box_shadow_blur_radius'] ) && $shortcode['atts']['parallax_inset_bottom_box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['parallax_inset_bottom_box_shadow_blur_radius'] ) ? $shortcode['atts']['parallax_inset_bottom_box_shadow_blur_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-bottom', 'blur-radius' ) ),
                            'parallax_inset_bottom_box_shadow_spread_radius' => isset( $shortcode['atts']['parallax_inset_bottom_box_shadow_spread_radius'] ) && $shortcode['atts']['parallax_inset_bottom_box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['parallax_inset_bottom_box_shadow_spread_radius'] ) ? $shortcode['atts']['parallax_inset_bottom_box_shadow_spread_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-bottom', 'spread-radius' ) ),
                            'parallax_inset_bottom_box_shadow_color' => isset( $shortcode['atts']['parallax_inset_bottom_box_shadow_color'] ) && $shortcode['atts']['parallax_inset_bottom_box_shadow_color'] != '' ? $shortcode['atts']['parallax_inset_bottom_box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-bottom', 'color' ) ),
                            'video_add_box_shadow' => isset( $shortcode['atts']['video_add_box_shadow'] ) && !empty( $shortcode['atts']['video_add_box_shadow'] ) ? $shortcode['atts']['video_add_box_shadow'] : 'no',
                            'video_inset_top_box_shadow_horizontal_length' => isset( $shortcode['atts']['video_inset_top_box_shadow_horizontal_length'] ) && $shortcode['atts']['video_inset_top_box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['video_inset_top_box_shadow_horizontal_length'] ) ? $shortcode['atts']['video_inset_top_box_shadow_horizontal_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-top', 'horizontal-length' ) ),
                            'video_inset_top_box_shadow_vertical_length' => isset( $shortcode['atts']['video_inset_top_box_shadow_vertical_length'] ) && $shortcode['atts']['video_inset_top_box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['video_inset_top_box_shadow_vertical_length'] ) ? $shortcode['atts']['video_inset_top_box_shadow_vertical_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-top', 'vertical-length' ) ),
                            'video_inset_top_box_shadow_blur_radius' => isset( $shortcode['atts']['video_inset_top_box_shadow_blur_radius'] ) && $shortcode['atts']['video_inset_top_box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['video_inset_top_box_shadow_blur_radius'] ) ? $shortcode['atts']['video_inset_top_box_shadow_blur_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-top', 'blur-radius' ) ),
                            'video_inset_top_box_shadow_spread_radius' => isset( $shortcode['atts']['video_inset_top_box_shadow_spread_radius'] ) && $shortcode['atts']['video_inset_top_box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['video_inset_top_box_shadow_spread_radius'] ) ? $shortcode['atts']['video_inset_top_box_shadow_spread_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-top', 'spread-radius' ) ),
                            'video_inset_top_box_shadow_color' => isset( $shortcode['atts']['video_inset_top_box_shadow_color'] ) && $shortcode['atts']['video_inset_top_box_shadow_color'] != '' ? $shortcode['atts']['video_inset_top_box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-top', 'color' ) ),
                            'video_inset_bottom_box_shadow_horizontal_length' => isset( $shortcode['atts']['video_inset_bottom_box_shadow_horizontal_length'] ) && $shortcode['atts']['video_inset_bottom_box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['video_inset_bottom_box_shadow_horizontal_length'] ) ? $shortcode['atts']['video_inset_bottom_box_shadow_horizontal_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-bottom', 'horizontal-length' ) ),
                            'video_inset_bottom_box_shadow_vertical_length' => isset( $shortcode['atts']['video_inset_bottom_box_shadow_vertical_length'] ) && $shortcode['atts']['video_inset_bottom_box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['video_inset_bottom_box_shadow_vertical_length'] ) ? $shortcode['atts']['video_inset_bottom_box_shadow_vertical_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-bottom', 'vertical-length' ) ),
                            'video_inset_bottom_box_shadow_blur_radius' => isset( $shortcode['atts']['video_inset_bottom_box_shadow_blur_radius'] ) && $shortcode['atts']['video_inset_bottom_box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['video_inset_bottom_box_shadow_blur_radius'] ) ? $shortcode['atts']['video_inset_bottom_box_shadow_blur_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-bottom', 'blur-radius' ) ),
                            'video_inset_bottom_box_shadow_spread_radius' => isset( $shortcode['atts']['video_inset_bottom_box_shadow_spread_radius'] ) && $shortcode['atts']['video_inset_bottom_box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['video_inset_bottom_box_shadow_spread_radius'] ) ? $shortcode['atts']['video_inset_bottom_box_shadow_spread_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-bottom', 'spread-radius' ) ),
                            'video_inset_bottom_box_shadow_color' => isset( $shortcode['atts']['video_inset_bottom_box_shadow_color'] ) && $shortcode['atts']['video_inset_bottom_box_shadow_color'] != '' ? $shortcode['atts']['video_inset_bottom_box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-full-width-elements-inset-box-shadow-bottom', 'color' ) ),
                            'video_outset_box_shadow_horizontal_length' => isset( $shortcode['atts']['video_outset_box_shadow_horizontal_length'] ) && $shortcode['atts']['video_outset_box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['video_outset_box_shadow_horizontal_length'] ) ? $shortcode['atts']['video_outset_box_shadow_horizontal_length'] : '0',
                            'video_outset_box_shadow_vertical_length' => isset( $shortcode['atts']['video_outset_box_shadow_vertical_length'] ) && $shortcode['atts']['video_outset_box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['video_outset_box_shadow_vertical_length'] ) ? $shortcode['atts']['video_outset_box_shadow_vertical_length'] : '0',
                            'video_outset_box_shadow_blur_radius' => isset( $shortcode['atts']['video_outset_box_shadow_blur_radius'] ) && $shortcode['atts']['video_outset_box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['video_outset_box_shadow_blur_radius'] ) ? $shortcode['atts']['video_outset_box_shadow_blur_radius'] : '0',
                            'video_outset_box_shadow_spread_radius' => isset( $shortcode['atts']['video_outset_box_shadow_spread_radius'] ) && $shortcode['atts']['video_outset_box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['video_outset_box_shadow_spread_radius'] ) ? $shortcode['atts']['video_outset_box_shadow_spread_radius'] : '0',
                            'video_outset_box_shadow_color' => isset( $shortcode['atts']['video_outset_box_shadow_color'] ) && $shortcode['atts']['video_outset_box_shadow_color'] != '' ? $shortcode['atts']['video_outset_box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) ),
                            'text_rotate' => isset( $shortcode['atts']['text_rotate'] ) && !empty( $shortcode['atts']['text_rotate'] ) ? $shortcode['atts']['text_rotate'] : '0deg',
                            'text_font_family' => isset( $shortcode['atts']['text_font_family'] ) && !empty( $shortcode['atts']['text_font_family'] ) ? $shortcode['atts']['text_font_family'] : 'headings-bold-font',
                            'text_uppercase_enabled' => isset( $shortcode['atts']['text_uppercase_enabled'] ) && !empty( $shortcode['atts']['text_uppercase_enabled'] ) ? $shortcode['atts']['text_uppercase_enabled'] : 'yes',
                            'text_alignment' => isset( $shortcode['atts']['text_alignment'] ) && !empty( $shortcode['atts']['text_alignment'] ) ? $shortcode['atts']['text_alignment'] : 'center',
                            'text_font_size' => isset( $shortcode['atts']['text_font_size'] ) && $shortcode['atts']['text_font_size'] != '' && ueldo_is_valid_number( $shortcode['atts']['text_font_size'] ) ? $shortcode['atts']['text_font_size'] : '108',
                            'text_line_height' => isset( $shortcode['atts']['text_line_height'] ) && $shortcode['atts']['text_line_height'] != '' && ueldo_is_valid_number( $shortcode['atts']['text_line_height'] ) ? $shortcode['atts']['text_line_height'] : '1.0',
                            'text_letter_spacing' => isset( $shortcode['atts']['text_letter_spacing'] ) && $shortcode['atts']['text_letter_spacing'] != '' && ueldo_is_valid_number( $shortcode['atts']['text_letter_spacing'] ) ? $shortcode['atts']['text_letter_spacing'] : '0',
                            'text_color' => isset( $shortcode['atts']['text_color'] ) && $shortcode['atts']['text_color'] != '' ? $shortcode['atts']['text_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-headings-subtitle-color' ) ),
                            'text_shadow_horizontal_length' => isset( $shortcode['atts']['text_shadow_horizontal_length'] ) && $shortcode['atts']['text_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['text_shadow_horizontal_length'] ) ? $shortcode['atts']['text_shadow_horizontal_length'] : '0',
                            'text_shadow_vertical_length' => isset( $shortcode['atts']['text_shadow_vertical_length'] ) && $shortcode['atts']['text_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['text_shadow_vertical_length'] ) ? $shortcode['atts']['text_shadow_vertical_length'] : '0',
                            'text_shadow_blur_radius' => isset( $shortcode['atts']['text_shadow_blur_radius'] ) && $shortcode['atts']['text_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['text_shadow_blur_radius'] ) ? $shortcode['atts']['text_shadow_blur_radius'] : '0',
                            'text_shadow_color' => isset( $shortcode['atts']['text_shadow_color'] ) && $shortcode['atts']['text_shadow_color'] != '' ? $shortcode['atts']['text_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) ),
                            'icon_size' => isset( $shortcode['atts']['icon_size'] ) && $shortcode['atts']['icon_size'] != '' && ueldo_is_valid_number( $shortcode['atts']['icon_size'] ) ? $shortcode['atts']['icon_size'] : '48',
                            'icon_rotate' => isset( $shortcode['atts']['icon_rotate'] ) && !empty( $shortcode['atts']['icon_rotate'] ) ? $shortcode['atts']['icon_rotate'] : '0deg',
                            'icon_alignment' => isset( $shortcode['atts']['icon_alignment'] ) && !empty( $shortcode['atts']['icon_alignment'] ) ? $shortcode['atts']['icon_alignment'] : 'center',
                            'icon_color' => isset( $shortcode['atts']['icon_color'] ) && $shortcode['atts']['icon_color'] != '' ? $shortcode['atts']['icon_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-headings-subtitle-color' ) ),
                            'icon_shadow_horizontal_length' => isset( $shortcode['atts']['icon_shadow_horizontal_length'] ) && $shortcode['atts']['icon_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['icon_shadow_horizontal_length'] ) ? $shortcode['atts']['icon_shadow_horizontal_length'] : '0',
                            'icon_shadow_vertical_length' => isset( $shortcode['atts']['icon_shadow_vertical_length'] ) && $shortcode['atts']['icon_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['icon_shadow_vertical_length'] ) ? $shortcode['atts']['icon_shadow_vertical_length'] : '0',
                            'icon_shadow_blur_radius' => isset( $shortcode['atts']['icon_shadow_blur_radius'] ) && $shortcode['atts']['icon_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['icon_shadow_blur_radius'] ) ? $shortcode['atts']['icon_shadow_blur_radius'] : '0',
                            'icon_shadow_color' => isset( $shortcode['atts']['icon_shadow_color'] ) && $shortcode['atts']['icon_shadow_color'] != '' ? $shortcode['atts']['icon_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) ),
                            'animation' => isset( $shortcode['atts']['animation'] ) && !empty( $shortcode['atts']['animation'] ) ? $shortcode['atts']['animation'] : '',
                            'custom_layer_sizes' => isset( $shortcode['atts']['custom_layer_sizes'] ) && !empty( $shortcode['atts']['custom_layer_sizes'] ) ? $shortcode['atts']['custom_layer_sizes'] : 'theme_defaults',
                            'large_layer_visibility' => isset( $shortcode['atts']['large_layer_visibility'] ) && !empty( $shortcode['atts']['large_layer_visibility'] ) ? $shortcode['atts']['large_layer_visibility'] : 'yes',
                            'large_width_type' => isset( $shortcode['atts']['large_width_type'] ) && !empty( $shortcode['atts']['large_width_type'] ) ? $shortcode['atts']['large_width_type'] : 'percentage',
                            'large_width_percentage' => isset( $shortcode['atts']['large_width_percentage'] ) && $shortcode['atts']['large_width_percentage'] != '' ? $shortcode['atts']['large_width_percentage'] : '100%',
                            'large_width_px' => isset( $shortcode['atts']['large_width_px'] ) && $shortcode['atts']['large_width_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['large_width_px'] ) ? $shortcode['atts']['large_width_px'] : '100',
                            'large_width_calc_base' => isset( $shortcode['atts']['large_width_calc_base'] ) && $shortcode['atts']['large_width_calc_base'] != '' ? $shortcode['atts']['large_width_calc_base'] : '100%',
                            'large_width_calc_operator' => isset( $shortcode['atts']['large_width_calc_operator'] ) && !empty( $shortcode['atts']['large_width_calc_operator'] ) ? $shortcode['atts']['large_width_calc_operator'] : '-',
                            'large_width_calc_px' => isset( $shortcode['atts']['large_width_calc_px'] ) && $shortcode['atts']['large_width_calc_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['large_width_calc_px'] ) ? $shortcode['atts']['large_width_calc_px'] : '100',
                            'large_height_type' => isset( $shortcode['atts']['large_height_type'] ) && !empty( $shortcode['atts']['large_height_type'] ) ? $shortcode['atts']['large_height_type'] : 'percentage',
                            'large_height_percentage' => isset( $shortcode['atts']['large_height_percentage'] ) && $shortcode['atts']['large_height_percentage'] != '' ? $shortcode['atts']['large_height_percentage'] : '100%',
                            'large_height_px' => isset( $shortcode['atts']['large_height_px'] ) && $shortcode['atts']['large_height_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['large_height_px'] ) ? $shortcode['atts']['large_height_px'] : '100',
                            'large_height_calc_base' => isset( $shortcode['atts']['large_height_calc_base'] ) && $shortcode['atts']['large_height_calc_base'] != '' ? $shortcode['atts']['large_height_calc_base'] : '100%',
                            'large_height_calc_operator' => isset( $shortcode['atts']['large_height_calc_operator'] ) && !empty( $shortcode['atts']['large_height_calc_operator'] ) ? $shortcode['atts']['large_height_calc_operator'] : '-',
                            'large_height_calc_px' => isset( $shortcode['atts']['large_height_calc_px'] ) && $shortcode['atts']['large_height_calc_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['large_height_calc_px'] ) ? $shortcode['atts']['large_height_calc_px'] : '100',
                            'large_layer_position' => isset( $shortcode['atts']['large_layer_position'] ) && !empty( $shortcode['atts']['large_layer_position'] ) ? $shortcode['atts']['large_layer_position'] : esc_attr( ueldo_is_rtl() ? 'top_right' : 'top_left' ),
                            'large_margin_top' => isset( $shortcode['atts']['large_margin_top'] ) && $shortcode['atts']['large_margin_top'] != '' && ueldo_is_valid_number( $shortcode['atts']['large_margin_top'] ) ? $shortcode['atts']['large_margin_top'] : '0',
                            'large_margin_bottom' => isset( $shortcode['atts']['large_margin_bottom'] ) && $shortcode['atts']['large_margin_bottom'] != '' && ueldo_is_valid_number( $shortcode['atts']['large_margin_bottom'] ) ? $shortcode['atts']['large_margin_bottom'] : '0',
                            'large_margin_left' => isset( $shortcode['atts']['large_margin_left'] ) && $shortcode['atts']['large_margin_left'] != '' && ueldo_is_valid_number( $shortcode['atts']['large_margin_left'] ) ? $shortcode['atts']['large_margin_left'] : '0',
                            'large_margin_right' => isset( $shortcode['atts']['large_margin_right'] ) && $shortcode['atts']['large_margin_right'] != '' && ueldo_is_valid_number( $shortcode['atts']['large_margin_right'] ) ? $shortcode['atts']['large_margin_right'] : '0',
                            'large_custom_row_border_radius' => isset( $shortcode['atts']['large_custom_row_border_radius'] ) && !empty( $shortcode['atts']['large_custom_row_border_radius'] ) ? $shortcode['atts']['large_custom_row_border_radius'] : 'no',
                            'large_row_border_radius' => isset( $shortcode['atts']['large_row_border_radius'] ) && $shortcode['atts']['large_row_border_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['large_row_border_radius'] ) ? $shortcode['atts']['large_row_border_radius'] : '0',
                            'large_row_border_radius_top_left_corner' => isset( $shortcode['atts']['large_row_border_radius_top_left_corner'] ) && $shortcode['atts']['large_row_border_radius_top_left_corner'] != '' && ueldo_is_valid_number( $shortcode['atts']['large_row_border_radius_top_left_corner'] ) ? $shortcode['atts']['large_row_border_radius_top_left_corner'] : '0',
                            'large_row_border_radius_top_right_corner' => isset( $shortcode['atts']['large_row_border_radius_top_right_corner'] ) && $shortcode['atts']['large_row_border_radius_top_right_corner'] != '' && ueldo_is_valid_number( $shortcode['atts']['large_row_border_radius_top_right_corner'] ) ? $shortcode['atts']['large_row_border_radius_top_right_corner'] : '0',
                            'large_row_border_radius_bottom_left_corner' => isset( $shortcode['atts']['large_row_border_radius_bottom_left_corner'] ) && $shortcode['atts']['large_row_border_radius_bottom_left_corner'] != '' && ueldo_is_valid_number( $shortcode['atts']['large_row_border_radius_bottom_left_corner'] ) ? $shortcode['atts']['large_row_border_radius_bottom_left_corner'] : '0',
                            'large_row_border_radius_bottom_right_corner' => isset( $shortcode['atts']['large_row_border_radius_bottom_right_corner'] ) && $shortcode['atts']['large_row_border_radius_bottom_right_corner'] != '' && ueldo_is_valid_number( $shortcode['atts']['large_row_border_radius_bottom_right_corner'] ) ? $shortcode['atts']['large_row_border_radius_bottom_right_corner'] : '0',
                            'medium_layer_visibility' => isset( $shortcode['atts']['medium_layer_visibility'] ) && !empty( $shortcode['atts']['medium_layer_visibility'] ) ? $shortcode['atts']['medium_layer_visibility'] : 'yes',
                            'medium_layer_custom_sizes' => isset( $shortcode['atts']['medium_layer_custom_sizes'] ) && !empty( $shortcode['atts']['medium_layer_custom_sizes'] ) ? $shortcode['atts']['medium_layer_custom_sizes'] : 'no-large',
                            'medium_width_type' => isset( $shortcode['atts']['medium_width_type'] ) && !empty( $shortcode['atts']['medium_width_type'] ) ? $shortcode['atts']['medium_width_type'] : 'percentage',
                            'medium_width_percentage' => isset( $shortcode['atts']['medium_width_percentage'] ) && $shortcode['atts']['medium_width_percentage'] != '' ? $shortcode['atts']['medium_width_percentage'] : '100%',
                            'medium_width_px' => isset( $shortcode['atts']['medium_width_px'] ) && $shortcode['atts']['medium_width_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['medium_width_px'] ) ? $shortcode['atts']['medium_width_px'] : '100',
                            'medium_width_calc_base' => isset( $shortcode['atts']['medium_width_calc_base'] ) && $shortcode['atts']['medium_width_calc_base'] != '' ? $shortcode['atts']['medium_width_calc_base'] : '100%',
                            'medium_width_calc_operator' => isset( $shortcode['atts']['medium_width_calc_operator'] ) && !empty( $shortcode['atts']['medium_width_calc_operator'] ) ? $shortcode['atts']['medium_width_calc_operator'] : '-',
                            'medium_width_calc_px' => isset( $shortcode['atts']['medium_width_calc_px'] ) && $shortcode['atts']['medium_width_calc_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['medium_width_calc_px'] ) ? $shortcode['atts']['medium_width_calc_px'] : '100',
                            'medium_height_type' => isset( $shortcode['atts']['medium_height_type'] ) && !empty( $shortcode['atts']['medium_height_type'] ) ? $shortcode['atts']['medium_height_type'] : 'percentage',
                            'medium_height_percentage' => isset( $shortcode['atts']['medium_height_percentage'] ) && $shortcode['atts']['medium_height_percentage'] != '' ? $shortcode['atts']['medium_height_percentage'] : '100%',
                            'medium_height_px' => isset( $shortcode['atts']['medium_height_px'] ) && $shortcode['atts']['medium_height_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['medium_height_px'] ) ? $shortcode['atts']['medium_height_px'] : '100',
                            'medium_height_calc_base' => isset( $shortcode['atts']['medium_height_calc_base'] ) && $shortcode['atts']['medium_height_calc_base'] != '' ? $shortcode['atts']['medium_height_calc_base'] : '100%',
                            'medium_height_calc_operator' => isset( $shortcode['atts']['medium_height_calc_operator'] ) && !empty( $shortcode['atts']['medium_height_calc_operator'] ) ? $shortcode['atts']['medium_height_calc_operator'] : '-',
                            'medium_height_calc_px' => isset( $shortcode['atts']['medium_height_calc_px'] ) && $shortcode['atts']['medium_height_calc_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['medium_height_calc_px'] ) ? $shortcode['atts']['medium_height_calc_px'] : '100',
                            'medium_layer_position' => isset( $shortcode['atts']['medium_layer_position'] ) && !empty( $shortcode['atts']['medium_layer_position'] ) ? $shortcode['atts']['medium_layer_position'] : esc_attr( ueldo_is_rtl() ? 'top_right' : 'top_left' ),
                            'medium_margin_top' => isset( $shortcode['atts']['medium_margin_top'] ) && $shortcode['atts']['medium_margin_top'] != '' && ueldo_is_valid_number( $shortcode['atts']['medium_margin_top'] ) ? $shortcode['atts']['medium_margin_top'] : '0',
                            'medium_margin_bottom' => isset( $shortcode['atts']['medium_margin_bottom'] ) && $shortcode['atts']['medium_margin_bottom'] != '' && ueldo_is_valid_number( $shortcode['atts']['medium_margin_bottom'] ) ? $shortcode['atts']['medium_margin_bottom'] : '0',
                            'medium_margin_left' => isset( $shortcode['atts']['medium_margin_left'] ) && $shortcode['atts']['medium_margin_left'] != '' && ueldo_is_valid_number( $shortcode['atts']['medium_margin_left'] ) ? $shortcode['atts']['medium_margin_left'] : '0',
                            'medium_margin_right' => isset( $shortcode['atts']['medium_margin_right'] ) && $shortcode['atts']['medium_margin_right'] != '' && ueldo_is_valid_number( $shortcode['atts']['medium_margin_right'] ) ? $shortcode['atts']['medium_margin_right'] : '0',
                            'medium_custom_row_border_radius' => isset( $shortcode['atts']['medium_custom_row_border_radius'] ) && !empty( $shortcode['atts']['medium_custom_row_border_radius'] ) ? $shortcode['atts']['medium_custom_row_border_radius'] : 'no',
                            'medium_row_border_radius' => isset( $shortcode['atts']['medium_row_border_radius'] ) && $shortcode['atts']['medium_row_border_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['medium_row_border_radius'] ) ? $shortcode['atts']['medium_row_border_radius'] : '0',
                            'medium_row_border_radius_top_left_corner' => isset( $shortcode['atts']['medium_row_border_radius_top_left_corner'] ) && $shortcode['atts']['medium_row_border_radius_top_left_corner'] != '' && ueldo_is_valid_number( $shortcode['atts']['medium_row_border_radius_top_left_corner'] ) ? $shortcode['atts']['medium_row_border_radius_top_left_corner'] : '0',
                            'medium_row_border_radius_top_right_corner' => isset( $shortcode['atts']['medium_row_border_radius_top_right_corner'] ) && $shortcode['atts']['medium_row_border_radius_top_right_corner'] != '' && ueldo_is_valid_number( $shortcode['atts']['medium_row_border_radius_top_right_corner'] ) ? $shortcode['atts']['medium_row_border_radius_top_right_corner'] : '0',
                            'medium_row_border_radius_bottom_left_corner' => isset( $shortcode['atts']['medium_row_border_radius_bottom_left_corner'] ) && $shortcode['atts']['medium_row_border_radius_bottom_left_corner'] != '' && ueldo_is_valid_number( $shortcode['atts']['medium_row_border_radius_bottom_left_corner'] ) ? $shortcode['atts']['medium_row_border_radius_bottom_left_corner'] : '0',
                            'medium_row_border_radius_bottom_right_corner' => isset( $shortcode['atts']['medium_row_border_radius_bottom_right_corner'] ) && $shortcode['atts']['medium_row_border_radius_bottom_right_corner'] != '' && ueldo_is_valid_number( $shortcode['atts']['medium_row_border_radius_bottom_right_corner'] ) ? $shortcode['atts']['medium_row_border_radius_bottom_right_corner'] : '0',
                            'small_layer_visibility' => isset( $shortcode['atts']['small_layer_visibility'] ) && !empty( $shortcode['atts']['small_layer_visibility'] ) ? $shortcode['atts']['small_layer_visibility'] : 'yes',
                            'small_layer_custom_sizes' => isset( $shortcode['atts']['small_layer_custom_sizes'] ) && !empty( $shortcode['atts']['small_layer_custom_sizes'] ) ? $shortcode['atts']['small_layer_custom_sizes'] : 'no-medium',
                            'small_width_type' => isset( $shortcode['atts']['small_width_type'] ) && !empty( $shortcode['atts']['small_width_type'] ) ? $shortcode['atts']['small_width_type'] : 'percentage',
                            'small_width_percentage' => isset( $shortcode['atts']['small_width_percentage'] ) && $shortcode['atts']['small_width_percentage'] != '' ? $shortcode['atts']['small_width_percentage'] : '100%',
                            'small_width_px' => isset( $shortcode['atts']['small_width_px'] ) && $shortcode['atts']['small_width_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['small_width_px'] ) ? $shortcode['atts']['small_width_px'] : '100',
                            'small_width_calc_base' => isset( $shortcode['atts']['small_width_calc_base'] ) && $shortcode['atts']['small_width_calc_base'] != '' ? $shortcode['atts']['small_width_calc_base'] : '100%',
                            'small_width_calc_operator' => isset( $shortcode['atts']['small_width_calc_operator'] ) && !empty( $shortcode['atts']['small_width_calc_operator'] ) ? $shortcode['atts']['small_width_calc_operator'] : '-',
                            'small_width_calc_px' => isset( $shortcode['atts']['small_width_calc_px'] ) && $shortcode['atts']['small_width_calc_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['small_width_calc_px'] ) ? $shortcode['atts']['small_width_calc_px'] : '100',
                            'small_height_type' => isset( $shortcode['atts']['small_height_type'] ) && !empty( $shortcode['atts']['small_height_type'] ) ? $shortcode['atts']['small_height_type'] : 'percentage',
                            'small_height_percentage' => isset( $shortcode['atts']['small_height_percentage'] ) && $shortcode['atts']['small_height_percentage'] != '' ? $shortcode['atts']['small_height_percentage'] : '100%',
                            'small_height_px' => isset( $shortcode['atts']['small_height_px'] ) && $shortcode['atts']['small_height_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['small_height_px'] ) ? $shortcode['atts']['small_height_px'] : '100',
                            'small_height_calc_base' => isset( $shortcode['atts']['small_height_calc_base'] ) && $shortcode['atts']['small_height_calc_base'] != '' ? $shortcode['atts']['small_height_calc_base'] : '100%',
                            'small_height_calc_operator' => isset( $shortcode['atts']['small_height_calc_operator'] ) && !empty( $shortcode['atts']['small_height_calc_operator'] ) ? $shortcode['atts']['small_height_calc_operator'] : '-',
                            'small_height_calc_px' => isset( $shortcode['atts']['small_height_calc_px'] ) && $shortcode['atts']['small_height_calc_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['small_height_calc_px'] ) ? $shortcode['atts']['small_height_calc_px'] : '100',
                            'small_layer_position' => isset( $shortcode['atts']['small_layer_position'] ) && !empty( $shortcode['atts']['small_layer_position'] ) ? $shortcode['atts']['small_layer_position'] : esc_attr( ueldo_is_rtl() ? 'top_right' : 'top_left' ),
                            'small_margin_top' => isset( $shortcode['atts']['small_margin_top'] ) && $shortcode['atts']['small_margin_top'] != '' && ueldo_is_valid_number( $shortcode['atts']['small_margin_top'] ) ? $shortcode['atts']['small_margin_top'] : '0',
                            'small_margin_bottom' => isset( $shortcode['atts']['small_margin_bottom'] ) && $shortcode['atts']['small_margin_bottom'] != '' && ueldo_is_valid_number( $shortcode['atts']['small_margin_bottom'] ) ? $shortcode['atts']['small_margin_bottom'] : '0',
                            'small_margin_left' => isset( $shortcode['atts']['small_margin_left'] ) && $shortcode['atts']['small_margin_left'] != '' && ueldo_is_valid_number( $shortcode['atts']['small_margin_left'] ) ? $shortcode['atts']['small_margin_left'] : '0',
                            'small_margin_right' => isset( $shortcode['atts']['small_margin_right'] ) && $shortcode['atts']['small_margin_right'] != '' && ueldo_is_valid_number( $shortcode['atts']['small_margin_right'] ) ? $shortcode['atts']['small_margin_right'] : '0',
                            'small_custom_row_border_radius' => isset( $shortcode['atts']['small_custom_row_border_radius'] ) && !empty( $shortcode['atts']['small_custom_row_border_radius'] ) ? $shortcode['atts']['small_custom_row_border_radius'] : 'no',
                            'small_row_border_radius' => isset( $shortcode['atts']['small_row_border_radius'] ) && $shortcode['atts']['small_row_border_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['small_row_border_radius'] ) ? $shortcode['atts']['small_row_border_radius'] : '0',
                            'small_row_border_radius_top_left_corner' => isset( $shortcode['atts']['small_row_border_radius_top_left_corner'] ) && $shortcode['atts']['small_row_border_radius_top_left_corner'] != '' && ueldo_is_valid_number( $shortcode['atts']['small_row_border_radius_top_left_corner'] ) ? $shortcode['atts']['small_row_border_radius_top_left_corner'] : '0',
                            'small_row_border_radius_top_right_corner' => isset( $shortcode['atts']['small_row_border_radius_top_right_corner'] ) && $shortcode['atts']['small_row_border_radius_top_right_corner'] != '' && ueldo_is_valid_number( $shortcode['atts']['small_row_border_radius_top_right_corner'] ) ? $shortcode['atts']['small_row_border_radius_top_right_corner'] : '0',
                            'small_row_border_radius_bottom_left_corner' => isset( $shortcode['atts']['small_row_border_radius_bottom_left_corner'] ) && $shortcode['atts']['small_row_border_radius_bottom_left_corner'] != '' && ueldo_is_valid_number( $shortcode['atts']['small_row_border_radius_bottom_left_corner'] ) ? $shortcode['atts']['small_row_border_radius_bottom_left_corner'] : '0',
                            'small_row_border_radius_bottom_right_corner' => isset( $shortcode['atts']['small_row_border_radius_bottom_right_corner'] ) && $shortcode['atts']['small_row_border_radius_bottom_right_corner'] != '' && ueldo_is_valid_number( $shortcode['atts']['small_row_border_radius_bottom_right_corner'] ) ? $shortcode['atts']['small_row_border_radius_bottom_right_corner'] : '0',
                            'extra_small_layer_visibility' => isset( $shortcode['atts']['extra_small_layer_visibility'] ) && !empty( $shortcode['atts']['extra_small_layer_visibility'] ) ? $shortcode['atts']['extra_small_layer_visibility'] : 'yes',
                            'extra_small_layer_custom_sizes' => isset( $shortcode['atts']['extra_small_layer_custom_sizes'] ) && !empty( $shortcode['atts']['extra_small_layer_custom_sizes'] ) ? $shortcode['atts']['extra_small_layer_custom_sizes'] : 'no-small',
                            'extra_small_width_type' => isset( $shortcode['atts']['extra_small_width_type'] ) && !empty( $shortcode['atts']['extra_small_width_type'] ) ? $shortcode['atts']['extra_small_width_type'] : 'percentage',
                            'extra_small_width_percentage' => isset( $shortcode['atts']['extra_small_width_percentage'] ) && $shortcode['atts']['extra_small_width_percentage'] != '' ? $shortcode['atts']['extra_small_width_percentage'] : '100%',
                            'extra_small_width_px' => isset( $shortcode['atts']['extra_small_width_px'] ) && $shortcode['atts']['extra_small_width_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['extra_small_width_px'] ) ? $shortcode['atts']['extra_small_width_px'] : '100',
                            'extra_small_width_calc_base' => isset( $shortcode['atts']['extra_small_width_calc_base'] ) && $shortcode['atts']['extra_small_width_calc_base'] != '' ? $shortcode['atts']['extra_small_width_calc_base'] : '100%',
                            'extra_small_width_calc_operator' => isset( $shortcode['atts']['extra_small_width_calc_operator'] ) && !empty( $shortcode['atts']['extra_small_width_calc_operator'] ) ? $shortcode['atts']['extra_small_width_calc_operator'] : '-',
                            'extra_small_width_calc_px' => isset( $shortcode['atts']['extra_small_width_calc_px'] ) && $shortcode['atts']['extra_small_width_calc_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['extra_small_width_calc_px'] ) ? $shortcode['atts']['extra_small_width_calc_px'] : '100',
                            'extra_small_height_type' => isset( $shortcode['atts']['extra_small_height_type'] ) && !empty( $shortcode['atts']['extra_small_height_type'] ) ? $shortcode['atts']['extra_small_height_type'] : 'percentage',
                            'extra_small_height_percentage' => isset( $shortcode['atts']['extra_small_height_percentage'] ) && $shortcode['atts']['extra_small_height_percentage'] != '' ? $shortcode['atts']['extra_small_height_percentage'] : '100%',
                            'extra_small_height_px' => isset( $shortcode['atts']['extra_small_height_px'] ) && $shortcode['atts']['extra_small_height_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['extra_small_height_px'] ) ? $shortcode['atts']['extra_small_height_px'] : '100',
                            'extra_small_height_calc_base' => isset( $shortcode['atts']['extra_small_height_calc_base'] ) && $shortcode['atts']['extra_small_height_calc_base'] != '' ? $shortcode['atts']['extra_small_height_calc_base'] : '100%',
                            'extra_small_height_calc_operator' => isset( $shortcode['atts']['extra_small_height_calc_operator'] ) && !empty( $shortcode['atts']['extra_small_height_calc_operator'] ) ? $shortcode['atts']['extra_small_height_calc_operator'] : '-',
                            'extra_small_height_calc_px' => isset( $shortcode['atts']['extra_small_height_calc_px'] ) && $shortcode['atts']['extra_small_height_calc_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['extra_small_height_calc_px'] ) ? $shortcode['atts']['extra_small_height_calc_px'] : '100',
                            'extra_small_layer_position' => isset( $shortcode['atts']['extra_small_layer_position'] ) && !empty( $shortcode['atts']['extra_small_layer_position'] ) ? $shortcode['atts']['extra_small_layer_position'] : esc_attr( ueldo_is_rtl() ? 'top_right' : 'top_left' ),
                            'extra_small_margin_top' => isset( $shortcode['atts']['extra_small_margin_top'] ) && $shortcode['atts']['extra_small_margin_top'] != '' && ueldo_is_valid_number( $shortcode['atts']['extra_small_margin_top'] ) ? $shortcode['atts']['extra_small_margin_top'] : '0',
                            'extra_small_margin_bottom' => isset( $shortcode['atts']['extra_small_margin_bottom'] ) && $shortcode['atts']['extra_small_margin_bottom'] != '' && ueldo_is_valid_number( $shortcode['atts']['extra_small_margin_bottom'] ) ? $shortcode['atts']['extra_small_margin_bottom'] : '0',
                            'extra_small_margin_left' => isset( $shortcode['atts']['extra_small_margin_left'] ) && $shortcode['atts']['extra_small_margin_left'] != '' && ueldo_is_valid_number( $shortcode['atts']['extra_small_margin_left'] ) ? $shortcode['atts']['extra_small_margin_left'] : '0',
                            'extra_small_margin_right' => isset( $shortcode['atts']['extra_small_margin_right'] ) && $shortcode['atts']['extra_small_margin_right'] != '' && ueldo_is_valid_number( $shortcode['atts']['extra_small_margin_right'] ) ? $shortcode['atts']['extra_small_margin_right'] : '0',
                            'extra_small_custom_row_border_radius' => isset( $shortcode['atts']['extra_small_custom_row_border_radius'] ) && !empty( $shortcode['atts']['extra_small_custom_row_border_radius'] ) ? $shortcode['atts']['extra_small_custom_row_border_radius'] : 'no',
                            'extra_small_row_border_radius' => isset( $shortcode['atts']['extra_small_row_border_radius'] ) && $shortcode['atts']['extra_small_row_border_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['extra_small_row_border_radius'] ) ? $shortcode['atts']['extra_small_row_border_radius'] : '0',
                            'extra_small_row_border_radius_top_left_corner' => isset( $shortcode['atts']['extra_small_row_border_radius_top_left_corner'] ) && $shortcode['atts']['extra_small_row_border_radius_top_left_corner'] != '' && ueldo_is_valid_number( $shortcode['atts']['extra_small_row_border_radius_top_left_corner'] ) ? $shortcode['atts']['extra_small_row_border_radius_top_left_corner'] : '0',
                            'extra_small_row_border_radius_top_right_corner' => isset( $shortcode['atts']['extra_small_row_border_radius_top_right_corner'] ) && $shortcode['atts']['extra_small_row_border_radius_top_right_corner'] != '' && ueldo_is_valid_number( $shortcode['atts']['extra_small_row_border_radius_top_right_corner'] ) ? $shortcode['atts']['extra_small_row_border_radius_top_right_corner'] : '0',
                            'extra_small_row_border_radius_bottom_left_corner' => isset( $shortcode['atts']['extra_small_row_border_radius_bottom_left_corner'] ) && $shortcode['atts']['extra_small_row_border_radius_bottom_left_corner'] != '' && ueldo_is_valid_number( $shortcode['atts']['extra_small_row_border_radius_bottom_left_corner'] ) ? $shortcode['atts']['extra_small_row_border_radius_bottom_left_corner'] : '0',
                            'extra_small_row_border_radius_bottom_right_corner' => isset( $shortcode['atts']['extra_small_row_border_radius_bottom_right_corner'] ) && $shortcode['atts']['extra_small_row_border_radius_bottom_right_corner'] != '' && ueldo_is_valid_number( $shortcode['atts']['extra_small_row_border_radius_bottom_right_corner'] ) ? $shortcode['atts']['extra_small_row_border_radius_bottom_right_corner'] : '0'
                        );

                        # temporary variable
                        $temp = array(
                            'opacity' => ( ( int ) str_replace( '%', '', $attributes['layer_opacity'] ) ) / 100
                        );

                        # general row layer styles
                        $shortcodes_styles -> update_style(
                            'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                            array(
                                'general' => array(
                                    'z-index' => esc_attr( $attributes['layer_z_index'] )
                                )
                            )
                        );

                        # there's no animation set?
                        if( empty( $attributes['animation'] ) ) {

                            # general row layer styles
                            $shortcodes_styles -> update_style(
                                'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                array(
                                    'general' => array(
                                        'opacity' => esc_attr( $temp['opacity'] )
                                    )
                                )
                            );
                        }

                        # remove temporary variable
                        unset( $temp );

                        # is layer type a color?
                        if( $attributes['layer_type'] == 'color' ) {

                            # update general row layer styles
                            $shortcodes_styles -> update_style(
                                'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                array(
                                    'general' => array(
                                        'background' => esc_attr( $attributes['color'] )
                                    )
                                )
                            );
                        }

                        # add styles, depended on layer type
                        switch( $attributes['layer_type'] ) {

                            # layer type: text
                            case 'text':

                                # get font data array
                                $font = ueldo_vc_get_custom_font_family_attributes( ( !empty( $attributes['text_font_family'] ) ? $attributes['text_font_family'] : false ), 'headings-bold-font' );

                                # general styles for text layer
                                $shortcodes_styles -> update_style(
                                    'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer .ueldo-shortcode-row-layer-text, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer .ueldo-shortcode-row-layer-text',
                                    array(
                                        'font-family' => esc_attr( $font['font-family'] ),
                                        'font-weight' => esc_attr( $font['font-weight'] ),
                                        'font-style' => esc_attr( $font['font-style'] ),
                                        '-webkit-font-smoothing' => esc_attr( $font['-webkit-font-smoothing'] ),
                                        '-moz-osx-font-smoothing' => esc_attr( $font['-moz-osx-font-smoothing'] ),
                                        'font-size' => esc_attr( $attributes['text_font_size'] ),
                                        'line-height' => esc_attr( $attributes['text_line_height'] ),
                                        'text-transform' => esc_attr( $attributes['text_uppercase_enabled'] == 'yes' ? 'uppercase' : 'none' ),
                                        'letter-spacing' => esc_attr( $attributes['text_letter_spacing'] ),
                                        'color' => esc_attr( $attributes['text_color'] ),
                                        'text-align' => esc_attr( $attributes['text_alignment'] ),
                                        '-moz-text-shadow' => ueldo_get_text_shadow_attribute_value( $attributes['text_shadow_horizontal_length'], $attributes['text_shadow_vertical_length'], $attributes['text_shadow_blur_radius'], $attributes['text_shadow_color'] ),
                                        'text-shadow' => ueldo_get_text_shadow_attribute_value( $attributes['text_shadow_horizontal_length'], $attributes['text_shadow_vertical_length'], $attributes['text_shadow_blur_radius'], $attributes['text_shadow_color'] )
                                    )
                                );

                                # do we have text rotation set?
                                if( $attributes['text_rotate'] != '0deg' ) {

                                    # update text layer styles
                                    $shortcodes_styles -> update_style(
                                        'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer .ueldo-shortcode-row-layer-text, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer .ueldo-shortcode-row-layer-text',
                                        array(
                                            'transform' => 'rotate( '. esc_attr( $attributes['text_rotate'] ) .' )'
                                        )
                                    );
                                }

                                # remove temporary variables
                                unset( $temp );

                            break;

                            # layer type: icon
                            case 'icon':

                                # general styles for icon
                                $shortcodes_styles -> update_style(
                                    'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer .ueldo-shortcode-row-layer-icon i, .vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer .ueldo-shortcode-row-layer-icon i:before, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer .ueldo-shortcode-row-layer-icon i, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer .ueldo-shortcode-row-layer-icon i:before',
                                    array(
                                        'font-size' => esc_attr( $attributes['icon_size'] ),
                                        'color' => esc_attr( $attributes['icon_color'] ),
                                        '-moz-text-shadow' => ueldo_get_text_shadow_attribute_value( $attributes['icon_shadow_horizontal_length'], $attributes['icon_shadow_vertical_length'], $attributes['icon_shadow_blur_radius'], $attributes['icon_shadow_color'] ),
                                        'text-shadow' => ueldo_get_text_shadow_attribute_value( $attributes['icon_shadow_horizontal_length'], $attributes['icon_shadow_vertical_length'], $attributes['icon_shadow_blur_radius'], $attributes['icon_shadow_color'] )
                                    )
                                );

                                # general styles for icon layer
                                $shortcodes_styles -> update_style(
                                    'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer .ueldo-shortcode-row-layer-icon, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer .ueldo-shortcode-row-layer-icon',
                                    array(
                                        'text-align' => esc_attr( $attributes['icon_alignment'] )
                                    )
                                );

                                # do we have text rotation set?
                                if( $attributes['icon_rotate'] != '0deg' ) {

                                    # update text layer styles
                                    $shortcodes_styles -> update_style(
                                        'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer .ueldo-shortcode-row-layer-icon, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer .ueldo-shortcode-row-layer-icon',
                                        array(
                                            'transform' => 'rotate( '. esc_attr( $attributes['icon_rotate'] ) .' )'
                                        )
                                    );
                                }

                            break;

                            # layer type: color
                            case 'color':

                                # can we add top inset box shadow?
                                if( in_array( $attributes['color_add_box_shadow'], array( 'yes-inset-on-top', 'yes-inset' ), true ) ) {

                                    # update inset box shadow - top
                                    $shortcodes_styles -> update_style(
                                        'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer.ueldo-shortcode-row-layer-with-box-shadow-inset:before, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer.ueldo-shortcode-row-layer-with-box-shadow-inset:before',
                                        array(
                                            '-webkit-box-shadow' => 'inset '. ueldo_get_box_shadow_attribute_value( $attributes['color_inset_top_box_shadow_horizontal_length'], $attributes['color_inset_top_box_shadow_vertical_length'], $attributes['color_inset_top_box_shadow_blur_radius'], $attributes['color_inset_top_box_shadow_spread_radius'], $attributes['color_inset_top_box_shadow_color'] ),
                                            '-moz-box-shadow' => 'inset '. ueldo_get_box_shadow_attribute_value( $attributes['color_inset_top_box_shadow_horizontal_length'], $attributes['color_inset_top_box_shadow_vertical_length'], $attributes['color_inset_top_box_shadow_blur_radius'], $attributes['color_inset_top_box_shadow_spread_radius'], $attributes['color_inset_top_box_shadow_color'] ),
                                            'box-shadow' => 'inset '. ueldo_get_box_shadow_attribute_value( $attributes['color_inset_top_box_shadow_horizontal_length'], $attributes['color_inset_top_box_shadow_vertical_length'], $attributes['color_inset_top_box_shadow_blur_radius'], $attributes['color_inset_top_box_shadow_spread_radius'], $attributes['color_inset_top_box_shadow_color'] )
                                        )
                                    );
                                }

                                # can we add bottom inset box shadow?
                                if( in_array( $attributes['color_add_box_shadow'], array( 'yes-inset-on-bottom', 'yes-inset' ), true ) ) {

                                    # update inset box shadow - bottom
                                    $shortcodes_styles -> update_style(
                                        'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer.ueldo-shortcode-row-layer-with-box-shadow-inset:after, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer.ueldo-shortcode-row-layer-with-box-shadow-inset:after',
                                        array(
                                            '-webkit-box-shadow' => 'inset '. ueldo_get_box_shadow_attribute_value( $attributes['color_inset_bottom_box_shadow_horizontal_length'], $attributes['color_inset_bottom_box_shadow_vertical_length'], $attributes['color_inset_bottom_box_shadow_blur_radius'], $attributes['color_inset_bottom_box_shadow_spread_radius'], $attributes['color_inset_bottom_box_shadow_color'] ),
                                            '-moz-box-shadow' => 'inset '. ueldo_get_box_shadow_attribute_value( $attributes['color_inset_bottom_box_shadow_horizontal_length'], $attributes['color_inset_bottom_box_shadow_vertical_length'], $attributes['color_inset_bottom_box_shadow_blur_radius'], $attributes['color_inset_bottom_box_shadow_spread_radius'], $attributes['color_inset_bottom_box_shadow_color'] ),
                                            'box-shadow' => 'inset '. ueldo_get_box_shadow_attribute_value( $attributes['color_inset_bottom_box_shadow_horizontal_length'], $attributes['color_inset_bottom_box_shadow_vertical_length'], $attributes['color_inset_bottom_box_shadow_blur_radius'], $attributes['color_inset_bottom_box_shadow_spread_radius'], $attributes['color_inset_bottom_box_shadow_color'] )
                                        )
                                    );
                                }

                                # can we add outset box shadow?
                                if( $attributes['color_add_box_shadow'] == 'yes-outset' ) {

                                    # update outset box shadow
                                    $shortcodes_styles -> update_style(
                                        'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                        array(
                                            'general' => array(
                                                '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['color_outset_box_shadow_horizontal_length'], $attributes['color_outset_box_shadow_vertical_length'], $attributes['color_outset_box_shadow_blur_radius'], $attributes['color_outset_box_shadow_spread_radius'], $attributes['color_outset_box_shadow_color'] ),
                                                '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['color_outset_box_shadow_horizontal_length'], $attributes['color_outset_box_shadow_vertical_length'], $attributes['color_outset_box_shadow_blur_radius'], $attributes['color_outset_box_shadow_spread_radius'], $attributes['color_outset_box_shadow_color'] ),
                                                'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['color_outset_box_shadow_horizontal_length'], $attributes['color_outset_box_shadow_vertical_length'], $attributes['color_outset_box_shadow_blur_radius'], $attributes['color_outset_box_shadow_spread_radius'], $attributes['color_outset_box_shadow_color'] )
                                            )
                                        )
                                    );
                                }

                            break;

                            # layer type: image
                            case 'image':

                                # can we add top inset box shadow?
                                if( in_array( $attributes['image_add_box_shadow'], array( 'yes-inset-on-top', 'yes-inset' ), true ) ) {

                                    # update inset box shadow - top
                                    $shortcodes_styles -> update_style(
                                        'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer.ueldo-shortcode-row-layer-with-box-shadow-inset:before, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer.ueldo-shortcode-row-layer-with-box-shadow-inset:before',
                                        array(
                                            '-webkit-box-shadow' => 'inset '. ueldo_get_box_shadow_attribute_value( $attributes['image_inset_top_box_shadow_horizontal_length'], $attributes['image_inset_top_box_shadow_vertical_length'], $attributes['image_inset_top_box_shadow_blur_radius'], $attributes['image_inset_top_box_shadow_spread_radius'], $attributes['image_inset_top_box_shadow_color'] ),
                                            '-moz-box-shadow' => 'inset '. ueldo_get_box_shadow_attribute_value( $attributes['image_inset_top_box_shadow_horizontal_length'], $attributes['image_inset_top_box_shadow_vertical_length'], $attributes['image_inset_top_box_shadow_blur_radius'], $attributes['image_inset_top_box_shadow_spread_radius'], $attributes['image_inset_top_box_shadow_color'] ),
                                            'box-shadow' => 'inset '. ueldo_get_box_shadow_attribute_value( $attributes['image_inset_top_box_shadow_horizontal_length'], $attributes['image_inset_top_box_shadow_vertical_length'], $attributes['image_inset_top_box_shadow_blur_radius'], $attributes['image_inset_top_box_shadow_spread_radius'], $attributes['image_inset_top_box_shadow_color'] )
                                        )
                                    );
                                }

                                # can we add bottom inset box shadow?
                                if( in_array( $attributes['image_add_box_shadow'], array( 'yes-inset-on-bottom', 'yes-inset' ), true ) ) {

                                    # update inset box shadow - bottom
                                    $shortcodes_styles -> update_style(
                                        'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer.ueldo-shortcode-row-layer-with-box-shadow-inset:after, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer.ueldo-shortcode-row-layer-with-box-shadow-inset:after',
                                        array(
                                            '-webkit-box-shadow' => 'inset '. ueldo_get_box_shadow_attribute_value( $attributes['image_inset_bottom_box_shadow_horizontal_length'], $attributes['image_inset_bottom_box_shadow_vertical_length'], $attributes['image_inset_bottom_box_shadow_blur_radius'], $attributes['image_inset_bottom_box_shadow_spread_radius'], $attributes['image_inset_bottom_box_shadow_color'] ),
                                            '-moz-box-shadow' => 'inset '. ueldo_get_box_shadow_attribute_value( $attributes['image_inset_bottom_box_shadow_horizontal_length'], $attributes['image_inset_bottom_box_shadow_vertical_length'], $attributes['image_inset_bottom_box_shadow_blur_radius'], $attributes['image_inset_bottom_box_shadow_spread_radius'], $attributes['image_inset_bottom_box_shadow_color'] ),
                                            'box-shadow' => 'inset '. ueldo_get_box_shadow_attribute_value( $attributes['image_inset_bottom_box_shadow_horizontal_length'], $attributes['image_inset_bottom_box_shadow_vertical_length'], $attributes['image_inset_bottom_box_shadow_blur_radius'], $attributes['image_inset_bottom_box_shadow_spread_radius'], $attributes['image_inset_bottom_box_shadow_color'] )
                                        )
                                    );
                                }

                                # can we add outset box shadow?
                                if( $attributes['image_add_box_shadow'] == 'yes-outset' ) {

                                    # update outset box shadow
                                    $shortcodes_styles -> update_style(
                                        'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                        array(
                                            'general' => array(
                                                '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['image_outset_box_shadow_horizontal_length'], $attributes['image_outset_box_shadow_vertical_length'], $attributes['image_outset_box_shadow_blur_radius'], $attributes['image_outset_box_shadow_spread_radius'], $attributes['image_outset_box_shadow_color'] ),
                                                '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['image_outset_box_shadow_horizontal_length'], $attributes['image_outset_box_shadow_vertical_length'], $attributes['image_outset_box_shadow_blur_radius'], $attributes['image_outset_box_shadow_spread_radius'], $attributes['image_outset_box_shadow_color'] ),
                                                'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['image_outset_box_shadow_horizontal_length'], $attributes['image_outset_box_shadow_vertical_length'], $attributes['image_outset_box_shadow_blur_radius'], $attributes['image_outset_box_shadow_spread_radius'], $attributes['image_outset_box_shadow_color'] )
                                            )
                                        )
                                    );
                                }

                            break;

                            # layer type: parallax image
                            case 'parallax_image':

                                # can we add top and bottom inset box shadow?
                                if( $attributes['parallax_inset_box_shadow_top_bottom'] == 'yes' ) {

                                    # update inset box shadow - top
                                    $shortcodes_styles -> update_style(
                                        'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer.ueldo-shortcode-row-layer-with-box-shadow-inset:before, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer.ueldo-shortcode-row-layer-with-box-shadow-inset:before',
                                        array(
                                            '-webkit-box-shadow' => 'inset '. ueldo_get_box_shadow_attribute_value( $attributes['parallax_inset_top_box_shadow_horizontal_length'], $attributes['parallax_inset_top_box_shadow_vertical_length'], $attributes['parallax_inset_top_box_shadow_blur_radius'], $attributes['parallax_inset_top_box_shadow_spread_radius'], $attributes['parallax_inset_top_box_shadow_color'] ),
                                            '-moz-box-shadow' => 'inset '. ueldo_get_box_shadow_attribute_value( $attributes['parallax_inset_top_box_shadow_horizontal_length'], $attributes['parallax_inset_top_box_shadow_vertical_length'], $attributes['parallax_inset_top_box_shadow_blur_radius'], $attributes['parallax_inset_top_box_shadow_spread_radius'], $attributes['parallax_inset_top_box_shadow_color'] ),
                                            'box-shadow' => 'inset '. ueldo_get_box_shadow_attribute_value( $attributes['parallax_inset_top_box_shadow_horizontal_length'], $attributes['parallax_inset_top_box_shadow_vertical_length'], $attributes['parallax_inset_top_box_shadow_blur_radius'], $attributes['parallax_inset_top_box_shadow_spread_radius'], $attributes['parallax_inset_top_box_shadow_color'] )
                                        )
                                    );

                                    # update inset box shadow - bottom
                                    $shortcodes_styles -> update_style(
                                        'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer.ueldo-shortcode-row-layer-with-box-shadow-inset:after, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer.ueldo-shortcode-row-layer-with-box-shadow-inset:after',
                                        array(
                                            '-webkit-box-shadow' => 'inset '. ueldo_get_box_shadow_attribute_value( $attributes['parallax_inset_bottom_box_shadow_horizontal_length'], $attributes['parallax_inset_bottom_box_shadow_vertical_length'], $attributes['parallax_inset_bottom_box_shadow_blur_radius'], $attributes['parallax_inset_bottom_box_shadow_spread_radius'], $attributes['parallax_inset_bottom_box_shadow_color'] ),
                                            '-moz-box-shadow' => 'inset '. ueldo_get_box_shadow_attribute_value( $attributes['parallax_inset_bottom_box_shadow_horizontal_length'], $attributes['parallax_inset_bottom_box_shadow_vertical_length'], $attributes['parallax_inset_bottom_box_shadow_blur_radius'], $attributes['parallax_inset_bottom_box_shadow_spread_radius'], $attributes['parallax_inset_bottom_box_shadow_color'] ),
                                            'box-shadow' => 'inset '. ueldo_get_box_shadow_attribute_value( $attributes['parallax_inset_bottom_box_shadow_horizontal_length'], $attributes['parallax_inset_bottom_box_shadow_vertical_length'], $attributes['parallax_inset_bottom_box_shadow_blur_radius'], $attributes['parallax_inset_bottom_box_shadow_spread_radius'], $attributes['parallax_inset_bottom_box_shadow_color'] )
                                        )
                                    );
                                }

                            break;

                            # layer type: youtube video
                            case 'youtube_video':

                                # can we add top inset box shadow?
                                if( in_array( $attributes['video_add_box_shadow'], array( 'yes-inset-on-top', 'yes-inset' ), true ) ) {

                                    # update inset box shadow - top
                                    $shortcodes_styles -> update_style(
                                        'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer.ueldo-shortcode-row-layer-with-box-shadow-inset:before, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer.ueldo-shortcode-row-layer-with-box-shadow-inset:before',
                                        array(
                                            '-webkit-box-shadow' => 'inset '. ueldo_get_box_shadow_attribute_value( $attributes['video_inset_top_box_shadow_horizontal_length'], $attributes['video_inset_top_box_shadow_vertical_length'], $attributes['video_inset_top_box_shadow_blur_radius'], $attributes['video_inset_top_box_shadow_spread_radius'], $attributes['video_inset_top_box_shadow_color'] ),
                                            '-moz-box-shadow' => 'inset '. ueldo_get_box_shadow_attribute_value( $attributes['video_inset_top_box_shadow_horizontal_length'], $attributes['video_inset_top_box_shadow_vertical_length'], $attributes['video_inset_top_box_shadow_blur_radius'], $attributes['video_inset_top_box_shadow_spread_radius'], $attributes['video_inset_top_box_shadow_color'] ),
                                            'box-shadow' => 'inset '. ueldo_get_box_shadow_attribute_value( $attributes['video_inset_top_box_shadow_horizontal_length'], $attributes['video_inset_top_box_shadow_vertical_length'], $attributes['video_inset_top_box_shadow_blur_radius'], $attributes['video_inset_top_box_shadow_spread_radius'], $attributes['video_inset_top_box_shadow_color'] )
                                        )
                                    );
                                }

                                # can we add bottom inset box shadow?
                                if( in_array( $attributes['video_add_box_shadow'], array( 'yes-inset-on-bottom', 'yes-inset' ), true ) ) {

                                    # update inset box shadow - bottom
                                    $shortcodes_styles -> update_style(
                                        'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer.ueldo-shortcode-row-layer-with-box-shadow-inset:after, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer.ueldo-shortcode-row-layer-with-box-shadow-inset:after',
                                        array(
                                            '-webkit-box-shadow' => 'inset '. ueldo_get_box_shadow_attribute_value( $attributes['video_inset_bottom_box_shadow_horizontal_length'], $attributes['video_inset_bottom_box_shadow_vertical_length'], $attributes['video_inset_bottom_box_shadow_blur_radius'], $attributes['video_inset_bottom_box_shadow_spread_radius'], $attributes['video_inset_bottom_box_shadow_color'] ),
                                            '-moz-box-shadow' => 'inset '. ueldo_get_box_shadow_attribute_value( $attributes['video_inset_bottom_box_shadow_horizontal_length'], $attributes['video_inset_bottom_box_shadow_vertical_length'], $attributes['video_inset_bottom_box_shadow_blur_radius'], $attributes['video_inset_bottom_box_shadow_spread_radius'], $attributes['video_inset_bottom_box_shadow_color'] ),
                                            'box-shadow' => 'inset '. ueldo_get_box_shadow_attribute_value( $attributes['video_inset_bottom_box_shadow_horizontal_length'], $attributes['video_inset_bottom_box_shadow_vertical_length'], $attributes['video_inset_bottom_box_shadow_blur_radius'], $attributes['video_inset_bottom_box_shadow_spread_radius'], $attributes['video_inset_bottom_box_shadow_color'] )
                                        )
                                    );
                                }

                                # can we add outset box shadow?
                                if( $attributes['video_add_box_shadow'] == 'yes-outset' ) {

                                    # update outset box shadow
                                    $shortcodes_styles -> update_style(
                                        'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                        array(
                                            'general' => array(
                                                '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['video_outset_box_shadow_horizontal_length'], $attributes['video_outset_box_shadow_vertical_length'], $attributes['video_outset_box_shadow_blur_radius'], $attributes['video_outset_box_shadow_spread_radius'], $attributes['video_outset_box_shadow_color'] ),
                                                '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['video_outset_box_shadow_horizontal_length'], $attributes['video_outset_box_shadow_vertical_length'], $attributes['video_outset_box_shadow_blur_radius'], $attributes['video_outset_box_shadow_spread_radius'], $attributes['video_outset_box_shadow_color'] ),
                                                'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['video_outset_box_shadow_horizontal_length'], $attributes['video_outset_box_shadow_vertical_length'], $attributes['video_outset_box_shadow_blur_radius'], $attributes['video_outset_box_shadow_spread_radius'], $attributes['video_outset_box_shadow_color'] )
                                            )
                                        )
                                    );
                                }

                            break;
                        }

                        # custom sizes not for parallax
                        if( $attributes['layer_type'] != 'parallax_image' ) {

                            # hide on "large" devices
                            if( $attributes['large_layer_visibility'] == 'no' ) {

                                # update general row layer styles for large devices
                                $shortcodes_styles -> update_style(
                                    'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                    array(
                                        '1200_more' => array(
                                            'display' => 'none'
                                        )
                                    )
                                );
                            }

                            # styles for "large" devices
                            else {

                                # update general row layer styles for large devices
                                $shortcodes_styles -> update_style(
                                    'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                    array(
                                        '1200_more' => array(
                                            'margin-top' => esc_attr( $attributes['large_margin_top'] ),
                                            'margin-bottom' => esc_attr( $attributes['large_margin_bottom'] ),
                                            'margin-left' => esc_attr( $attributes['large_margin_left'] ),
                                            'margin-right' => esc_attr( $attributes['large_margin_right'] )
                                        )
                                    )
                                );

                                # width value for large devices
                                switch( $attributes['large_width_type'] ) {

                                    # percentage width
                                    case 'percentage':

                                        # update element width
                                        $shortcodes_styles -> update_style(
                                            'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                            array(
                                                '1200_more' => array(
                                                    'width-%' => $attributes['large_width_percentage']
                                                )
                                            )
                                        );

                                    break;

                                    # pixels width
                                    case 'px':

                                        # update element width
                                        $shortcodes_styles -> update_style(
                                            'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                            array(
                                                '1200_more' => array(
                                                    'width' => $attributes['large_width_px']
                                                )
                                            )
                                        );

                                    break;

                                    # calculated width
                                    case 'calc':

                                        # update element width
                                        $shortcodes_styles -> update_style(
                                            'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                            array(
                                                '1200_more' => array(
                                                    'width-webkit-calc' => '-webkit-calc( '. esc_attr( $attributes['large_width_calc_base'] ) .' '. esc_attr( $attributes['large_width_calc_operator'] ) .' '. esc_attr( $attributes['large_width_calc_px'] ) .'px )',
                                                    'width-moz-calc' => '-moz-calc( '. esc_attr( $attributes['large_width_calc_base'] ) .' '. esc_attr( $attributes['large_width_calc_operator'] ) .' '. esc_attr( $attributes['large_width_calc_px'] ) .'px )',
                                                    'width-calc' => 'calc( '. esc_attr( $attributes['large_width_calc_base'] ) .' '. esc_attr( $attributes['large_width_calc_operator'] ) .' '. esc_attr( $attributes['large_width_calc_px'] ) .'px )'
                                                )
                                            )
                                        );

                                    break;
                                }

                                # height value for large devices
                                switch( $attributes['large_height_type'] ) {

                                    # percentage height
                                    case 'percentage':

                                        # update element height
                                        $shortcodes_styles -> update_style(
                                            'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                            array(
                                                '1200_more' => array(
                                                    'height-%' => $attributes['large_height_percentage']
                                                )
                                            )
                                        );

                                    break;

                                    # pixels height
                                    case 'px':

                                        # update element height
                                        $shortcodes_styles -> update_style(
                                            'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                            array(
                                                '1200_more' => array(
                                                    'height' => $attributes['large_height_px']
                                                )
                                            )
                                        );

                                    break;

                                    # calculated height
                                    case 'calc':

                                        # update element height
                                        $shortcodes_styles -> update_style(
                                            'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                            array(
                                                '1200_more' => array(
                                                    'height-webkit-calc' => '-webkit-calc( '. esc_attr( $attributes['large_height_calc_base'] ) .' '. esc_attr( $attributes['large_height_calc_operator'] ) .' '. esc_attr( $attributes['large_height_calc_px'] ) .'px )',
                                                    'height-moz-calc' => '-moz-calc( '. esc_attr( $attributes['large_height_calc_base'] ) .' '. esc_attr( $attributes['large_height_calc_operator'] ) .' '. esc_attr( $attributes['large_height_calc_px'] ) .'px )',
                                                    'height-calc' => 'calc( '. esc_attr( $attributes['large_height_calc_base'] ) .' '. esc_attr( $attributes['large_height_calc_operator'] ) .' '. esc_attr( $attributes['large_height_calc_px'] ) .'px )'
                                                )
                                            )
                                        );

                                    break;
                                }

                                # do we have custom border radius?
                                switch( $attributes['large_custom_row_border_radius'] ) {

                                    # same border radius value for all corners
                                    case 'yes-same-for-corners':

                                        # update general row layer styles for large devices
                                        $shortcodes_styles -> update_style(
                                            'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                            array(
                                                '1200_more' => array(
                                                    '-webkit-border-radius' => esc_attr( $attributes['large_row_border_radius'] ),
                                                    '-moz-border-radius' => esc_attr( $attributes['large_row_border_radius'] ),
                                                    'border-radius' => esc_attr( $attributes['large_row_border_radius'] )
                                                )
                                            )
                                        );

                                    break;

                                    # different border radius value for each corners
                                    case 'yes-unique-for-corners':

                                        # update general row layer styles for large devices
                                        $shortcodes_styles -> update_style(
                                            'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                            array(
                                                '1200_more' => array(
                                                    '-webkit-border-radius' => esc_attr( $attributes['large_row_border_radius_top_left_corner'] ) .'px '. esc_attr( $attributes['large_row_border_radius_top_right_corner'] ) .'px '. esc_attr( $attributes['large_row_border_radius_bottom_right_corner'] ) .'px '. esc_attr( $attributes['large_row_border_radius_bottom_left_corner'] ),
                                                    '-moz-border-radius' => esc_attr( $attributes['large_row_border_radius_top_left_corner'] ) .'px '. esc_attr( $attributes['large_row_border_radius_top_right_corner'] ) .'px '. esc_attr( $attributes['large_row_border_radius_bottom_right_corner'] ) .'px '. esc_attr( $attributes['large_row_border_radius_bottom_left_corner'] ),
                                                    'border-radius' => esc_attr( $attributes['large_row_border_radius_top_left_corner'] ) .'px '. esc_attr( $attributes['large_row_border_radius_top_right_corner'] ) .'px '. esc_attr( $attributes['large_row_border_radius_bottom_right_corner'] ) .'px '. esc_attr( $attributes['large_row_border_radius_bottom_left_corner'] )
                                                )
                                            )
                                        );

                                    break;
                                }

                                # set top/left/right/bottom position
                                switch( $attributes['large_layer_position'] ) {

                                    # top left position
                                    case 'top_left':

                                        # update general row layer styles for large devices
                                        $shortcodes_styles -> update_style(
                                            'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                            array(
                                                '1200_more' => array(
                                                    'top' => '0',
                                                    'bottom' => 'auto',
                                                    'left' => '0',
                                                    'right' => 'auto'
                                                )
                                            )
                                        );

                                    break;

                                    # top center position
                                    case 'top_center':

                                        # update general row layer styles for large devices
                                        $shortcodes_styles -> update_style(
                                            'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                            array(
                                                '1200_more' => array(
                                                    'top' => '0',
                                                    'bottom' => 'auto',
                                                    'left' => '50%',
                                                    'right' => 'auto'
                                                )
                                            )
                                        );

                                    break;

                                    # top right position
                                    case 'top_right':

                                        # update general row layer styles for large devices
                                        $shortcodes_styles -> update_style(
                                            'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                            array(
                                                '1200_more' => array(
                                                    'top' => '0',
                                                    'bottom' => 'auto',
                                                    'left' => 'auto',
                                                    'right' => '0'
                                                )
                                            )
                                        );

                                    break;

                                    # center left position
                                    case 'center_left':

                                        # update general row layer styles for large devices
                                        $shortcodes_styles -> update_style(
                                            'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                            array(
                                                '1200_more' => array(
                                                    'top' => '50%',
                                                    'bottom' => 'auto',
                                                    'left' => '0',
                                                    'right' => 'auto'
                                                )
                                            )
                                        );

                                    break;

                                    # center center position
                                    case 'center_center':

                                       # update general row layer styles for large devices
                                       $shortcodes_styles -> update_style(
                                           'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                           array(
                                               '1200_more' => array(
                                                   'top' => '50%',
                                                   'bottom' => 'auto',
                                                   'left' => '50%',
                                                   'right' => 'auto'
                                               )
                                           )
                                       );

                                    break;

                                    # center right position
                                    case 'center_right':

                                        # update general row layer styles for large devices
                                        $shortcodes_styles -> update_style(
                                            'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                            array(
                                                '1200_more' => array(
                                                    'top' => '50%',
                                                    'bottom' => 'auto',
                                                    'left' => 'auto',
                                                    'right' => '0'
                                                )
                                            )
                                        );

                                    break;

                                    # bottom left position
                                    case 'bottom_left':

                                        # update general row layer styles for large devices
                                        $shortcodes_styles -> update_style(
                                            'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                            array(
                                                '1200_more' => array(
                                                    'top' => 'auto',
                                                    'bottom' => '0',
                                                    'left' => '0',
                                                    'right' => 'auto'
                                                )
                                            )
                                        );

                                    break;

                                    # bottom center position
                                    case 'bottom_center':

                                        # update general row layer styles for large devices
                                        $shortcodes_styles -> update_style(
                                            'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                            array(
                                                '1200_more' => array(
                                                    'top' => 'auto',
                                                    'bottom' => '0',
                                                    'left' => '50%',
                                                    'right' => 'auto'
                                                )
                                            )
                                        );

                                    break;

                                    # bottom right position
                                    case 'bottom_right':

                                        # update general row layer styles for large devices
                                        $shortcodes_styles -> update_style(
                                            'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                            array(
                                                '1200_more' => array(
                                                    'top' => 'auto',
                                                    'bottom' => '0',
                                                    'left' => 'auto',
                                                    'right' => '0'
                                                )
                                            )
                                        );

                                    break;
                                }
                            }

                            # hide on "medium" devices
                            if( $attributes['medium_layer_visibility'] == 'no' ) {

                                # update general row layer styles for medium devices
                                $shortcodes_styles -> update_style(
                                    'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                    array(
                                        '992_1199' => array(
                                            'display' => 'none'
                                        )
                                    )
                                );
                            }

                            # styles for "medium" devices
                            else {

                                # temporary values for "medium" devices
                                $temp = array(
                                    'width-type' => ueldo_get_vc_element_device_attributes( $attributes, 'width_type', 'medium' ),
                                    'width-percentage' => ueldo_get_vc_element_device_attributes( $attributes, 'width_percentage', 'medium' ),
                                    'width-px' => ueldo_get_vc_element_device_attributes( $attributes, 'width_px', 'medium' ),
                                    'width-calc-base' => ueldo_get_vc_element_device_attributes( $attributes, 'width_calc_base', 'medium' ),
                                    'width-calc-operator' => ueldo_get_vc_element_device_attributes( $attributes, 'width_calc_operator', 'medium' ),
                                    'width-calc-px' => ueldo_get_vc_element_device_attributes( $attributes, 'width_calc_px', 'medium' ),
                                    'height-type' => ueldo_get_vc_element_device_attributes( $attributes, 'height_type', 'medium' ),
                                    'height-percentage' => ueldo_get_vc_element_device_attributes( $attributes, 'height_percentage', 'medium' ),
                                    'height-px' => ueldo_get_vc_element_device_attributes( $attributes, 'height_px', 'medium' ),
                                    'height-calc-base' => ueldo_get_vc_element_device_attributes( $attributes, 'height_calc_base', 'medium' ),
                                    'height-calc-operator' => ueldo_get_vc_element_device_attributes( $attributes, 'height_calc_operator', 'medium' ),
                                    'height-calc-px' => ueldo_get_vc_element_device_attributes( $attributes, 'height_calc_px', 'medium' ),
                                    'layer-position' => ueldo_get_vc_element_device_attributes( $attributes, 'layer_position', 'medium' ),
                                    'margin-top' => ueldo_get_vc_element_device_attributes( $attributes, 'margin_top', 'medium' ),
                                    'margin-bottom' => ueldo_get_vc_element_device_attributes( $attributes, 'margin_bottom', 'medium' ),
                                    'margin-left' => ueldo_get_vc_element_device_attributes( $attributes, 'margin_left', 'medium' ),
                                    'margin-right' => ueldo_get_vc_element_device_attributes( $attributes, 'margin_right', 'medium' ),
                                    'custom-row-border-radius' => ueldo_get_vc_element_device_attributes( $attributes, 'custom_row_border_radius', 'medium' ),
                                    'row-border-radius' => ueldo_get_vc_element_device_attributes( $attributes, 'row_border_radius', 'medium' ),
                                    'row-border-radius-top-left-corner' => ueldo_get_vc_element_device_attributes( $attributes, 'row_border_radius_top_left_corner', 'medium' ),
                                    'row-border-radius-top-right-corner' => ueldo_get_vc_element_device_attributes( $attributes, 'row_border_radius_top_right_corner', 'medium' ),
                                    'row-border-radius-bottom-left-corner' => ueldo_get_vc_element_device_attributes( $attributes, 'row_border_radius_bottom_left_corner', 'medium' ),
                                    'row-border-radius-bottom-right-corner' => ueldo_get_vc_element_device_attributes( $attributes, 'row_border_radius_bottom_right_corner', 'medium' )
                                );

                                # update general row layer styles for medium devices
                                $shortcodes_styles -> update_style(
                                    'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                    array(
                                        '992_1199' => array(
                                            'margin-top' => esc_attr( $temp['margin-top'] ),
                                            'margin-bottom' => esc_attr( $temp['margin-bottom'] ),
                                            'margin-left' => esc_attr( $temp['margin-left'] ),
                                            'margin-right' => esc_attr( $temp['margin-right'] )
                                        )
                                    )
                                );

                                # width value for medium devices
                                switch( $temp['width-type'] ) {

                                    # percentage width
                                    case 'percentage':

                                        # update element width
                                        $shortcodes_styles -> update_style(
                                            'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                            array(
                                                '992_1199' => array(
                                                    'width-%' => $temp['width-percentage']
                                                )
                                            )
                                        );

                                    break;

                                    # pixels width
                                    case 'px':

                                        # update element width
                                        $shortcodes_styles -> update_style(
                                            'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                            array(
                                                '992_1199' => array(
                                                    'width' => $temp['width-px']
                                                )
                                            )
                                        );

                                    break;

                                    # calculated width
                                    case 'calc':

                                        # update element width
                                        $shortcodes_styles -> update_style(
                                            'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                            array(
                                                '992_1199' => array(
                                                    'width-webkit-calc' => '-webkit-calc( '. esc_attr( $temp['width-calc-base'] ) .' '. esc_attr( $temp['width-calc-operator'] ) .' '. esc_attr( $temp['width-calc-px'] ) .'px )',
                                                    'width-moz-calc' => '-moz-calc( '. esc_attr( $temp['width-calc-base'] ) .' '. esc_attr( $temp['width-calc-operator'] ) .' '. esc_attr( $temp['width-calc-px'] ) .'px )',
                                                    'width-calc' => 'calc( '. esc_attr( $temp['width-calc-base'] ) .' '. esc_attr( $temp['width-calc-operator'] ) .' '. esc_attr( $temp['width-calc-px'] ) .'px )'
                                                )
                                            )
                                        );

                                    break;
                                }

                                # height value for medium devices
                                switch( $temp['height-type'] ) {

                                    # percentage height
                                    case 'percentage':

                                        # update element height
                                        $shortcodes_styles -> update_style(
                                            'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                            array(
                                                '992_1199' => array(
                                                    'height-%' => $temp['height-percentage']
                                                )
                                            )
                                        );

                                    break;

                                    # pixels height
                                    case 'px':

                                        # update element height
                                        $shortcodes_styles -> update_style(
                                            'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                            array(
                                                '992_1199' => array(
                                                    'height' => $temp['height-px']
                                                )
                                            )
                                        );

                                    break;

                                    # calculated height
                                    case 'calc':

                                        # update element height
                                        $shortcodes_styles -> update_style(
                                            'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                            array(
                                                '992_1199' => array(
                                                    'height-webkit-calc' => '-webkit-calc( '. esc_attr( $temp['height-calc-base'] ) .' '. esc_attr( $temp['height-calc-operator'] ) .' '. esc_attr( $temp['height-calc-px'] ) .'px )',
                                                    'height-moz-calc' => '-moz-calc( '. esc_attr( $temp['height-calc-base'] ) .' '. esc_attr( $temp['height-calc-operator'] ) .' '. esc_attr( $temp['height-calc-px'] ) .'px )',
                                                    'height-calc' => 'calc( '. esc_attr( $temp['height-calc-base'] ) .' '. esc_attr( $temp['height-calc-operator'] ) .' '. esc_attr( $temp['height-calc-px'] ) .'px )'
                                                )
                                            )
                                        );

                                    break;
                                }

                                # do we have custom border radius?
                                switch( $temp['custom-row-border-radius'] ) {

                                    # same border radius value for all corners
                                    case 'yes-same-for-corners':

                                        # update general row layer styles for medium devices
                                        $shortcodes_styles -> update_style(
                                            'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                            array(
                                                '992_1199' => array(
                                                    '-webkit-border-radius' => esc_attr( $temp['row-border-radius'] ),
                                                    '-moz-border-radius' => esc_attr( $temp['row-border-radius'] ),
                                                    'border-radius' => esc_attr( $temp['row-border-radius'] )
                                                )
                                            )
                                        );

                                    break;

                                    # different border radius value for each corners
                                    case 'yes-unique-for-corners':

                                        # update general row layer styles for medium devices
                                        $shortcodes_styles -> update_style(
                                            'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                            array(
                                                '992_1199' => array(
                                                    '-webkit-border-radius' => esc_attr( $temp['row-border-radius-top-left-corner'] ) .'px '. esc_attr( $temp['row-border-radius-top-right-corner'] ) .'px '. esc_attr( $temp['row-border-radius-bottom-right-corner'] ) .'px '. esc_attr( $temp['row-border-radius-bottom-left-corner'] ),
                                                    '-moz-border-radius' => esc_attr( $temp['row-border-radius-top-left-corner'] ) .'px '. esc_attr( $temp['row-border-radius-top-right-corner'] ) .'px '. esc_attr( $temp['row-border-radius-bottom-right-corner'] ) .'px '. esc_attr( $temp['row-border-radius-bottom-left-corner'] ),
                                                    'border-radius' => esc_attr( $temp['row-border-radius-top-left-corner'] ) .'px '. esc_attr( $temp['row-border-radius-top-right-corner'] ) .'px '. esc_attr( $temp['row-border-radius-bottom-right-corner'] ) .'px '. esc_attr( $temp['row-border-radius-bottom-left-corner'] )
                                                )
                                            )
                                        );

                                    break;
                                }

                                # set top/left/right/bottom position
                                switch( $temp['layer-position'] ) {

                                    # top left position
                                    case 'top_left':

                                        # update general row layer styles for medium devices
                                        $shortcodes_styles -> update_style(
                                            'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                            array(
                                                '992_1199' => array(
                                                    'top' => '0',
                                                    'bottom' => 'auto',
                                                    'left' => '0',
                                                    'right' => 'auto'
                                                )
                                            )
                                        );

                                    break;

                                    # top center position
                                    case 'top_center':

                                        # update general row layer styles for large devices
                                        $shortcodes_styles -> update_style(
                                            'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                            array(
                                                '992_1199' => array(
                                                    'top' => '0',
                                                    'bottom' => 'auto',
                                                    'left' => '50%',
                                                    'right' => 'auto'
                                                )
                                            )
                                        );

                                    break;

                                    # top right position
                                    case 'top_right':

                                        # update general row layer styles for medium devices
                                        $shortcodes_styles -> update_style(
                                            'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                            array(
                                                '992_1199' => array(
                                                    'top' => '0',
                                                    'bottom' => 'auto',
                                                    'left' => 'auto',
                                                    'right' => '0'
                                                )
                                            )
                                        );

                                    break;

                                    # center left position
                                    case 'center_left':

                                        # update general row layer styles for large devices
                                        $shortcodes_styles -> update_style(
                                            'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                            array(
                                                '992_1199' => array(
                                                    'top' => '50%',
                                                    'bottom' => 'auto',
                                                    'left' => '0',
                                                    'right' => 'auto'
                                                )
                                            )
                                        );

                                    break;

                                    # center center position
                                    case 'center_center':

                                       # update general row layer styles for large devices
                                       $shortcodes_styles -> update_style(
                                           'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                           array(
                                               '992_1199' => array(
                                                   'top' => '50%',
                                                   'bottom' => 'auto',
                                                   'left' => '50%',
                                                   'right' => 'auto'
                                               )
                                           )
                                       );

                                    break;

                                    # center right position
                                    case 'center_right':

                                        # update general row layer styles for large devices
                                        $shortcodes_styles -> update_style(
                                            'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                            array(
                                                '992_1199' => array(
                                                    'top' => '50%',
                                                    'bottom' => 'auto',
                                                    'left' => 'auto',
                                                    'right' => '0'
                                                )
                                            )
                                        );

                                    break;

                                    # bottom left position
                                    case 'bottom_left':

                                        # update general row layer styles for medium devices
                                        $shortcodes_styles -> update_style(
                                            'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                            array(
                                                '992_1199' => array(
                                                    'top' => 'auto',
                                                    'bottom' => '0',
                                                    'left' => '0',
                                                    'right' => 'auto'
                                                )
                                            )
                                        );

                                    break;

                                    # bottom center position
                                    case 'bottom_center':

                                        # update general row layer styles for large devices
                                        $shortcodes_styles -> update_style(
                                            'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                            array(
                                                '992_1199' => array(
                                                    'top' => 'auto',
                                                    'bottom' => '0',
                                                    'left' => '50%',
                                                    'right' => 'auto'
                                                )
                                            )
                                        );

                                    break;

                                    # bottom right position
                                    case 'bottom_right':

                                        # update general row layer styles for medium devices
                                        $shortcodes_styles -> update_style(
                                            'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                            array(
                                                '992_1199' => array(
                                                    'top' => 'auto',
                                                    'bottom' => '0',
                                                    'left' => 'auto',
                                                    'right' => '0'
                                                )
                                            )
                                        );

                                    break;
                                }

                                # remove temporary variable
                                unset( $temp );
                            }

                            # hide on "small" devices
                            if( $attributes['small_layer_visibility'] == 'no' ) {

                                # update general row layer styles for small devices
                                $shortcodes_styles -> update_style(
                                    'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                    array(
                                        '768_991' => array(
                                            'display' => 'none'
                                        )
                                    )
                                );
                            }

                            # styles for "small" devices
                            else {

                                # temporary values for "small" devices
                                $temp = array(
                                    'width-type' => ueldo_get_vc_element_device_attributes( $attributes, 'width_type', 'small' ),
                                    'width-percentage' => ueldo_get_vc_element_device_attributes( $attributes, 'width_percentage', 'small' ),
                                    'width-px' => ueldo_get_vc_element_device_attributes( $attributes, 'width_px', 'small' ),
                                    'width-calc-base' => ueldo_get_vc_element_device_attributes( $attributes, 'width_calc_base', 'small' ),
                                    'width-calc-operator' => ueldo_get_vc_element_device_attributes( $attributes, 'width_calc_operator', 'small' ),
                                    'width-calc-px' => ueldo_get_vc_element_device_attributes( $attributes, 'width_calc_px', 'small' ),
                                    'height-type' => ueldo_get_vc_element_device_attributes( $attributes, 'height_type', 'small' ),
                                    'height-percentage' => ueldo_get_vc_element_device_attributes( $attributes, 'height_percentage', 'small' ),
                                    'height-px' => ueldo_get_vc_element_device_attributes( $attributes, 'height_px', 'small' ),
                                    'height-calc-base' => ueldo_get_vc_element_device_attributes( $attributes, 'height_calc_base', 'small' ),
                                    'height-calc-operator' => ueldo_get_vc_element_device_attributes( $attributes, 'height_calc_operator', 'small' ),
                                    'height-calc-px' => ueldo_get_vc_element_device_attributes( $attributes, 'height_calc_px', 'small' ),
                                    'layer-position' => ueldo_get_vc_element_device_attributes( $attributes, 'layer_position', 'small' ),
                                    'margin-top' => ueldo_get_vc_element_device_attributes( $attributes, 'margin_top', 'small' ),
                                    'margin-bottom' => ueldo_get_vc_element_device_attributes( $attributes, 'margin_bottom', 'small' ),
                                    'margin-left' => ueldo_get_vc_element_device_attributes( $attributes, 'margin_left', 'small' ),
                                    'margin-right' => ueldo_get_vc_element_device_attributes( $attributes, 'margin_right', 'small' ),
                                    'custom-row-border-radius' => ueldo_get_vc_element_device_attributes( $attributes, 'custom_row_border_radius', 'small' ),
                                    'row-border-radius' => ueldo_get_vc_element_device_attributes( $attributes, 'row_border_radius', 'small' ),
                                    'row-border-radius-top-left-corner' => ueldo_get_vc_element_device_attributes( $attributes, 'row_border_radius_top_left_corner', 'small' ),
                                    'row-border-radius-top-right-corner' => ueldo_get_vc_element_device_attributes( $attributes, 'row_border_radius_top_right_corner', 'small' ),
                                    'row-border-radius-bottom-left-corner' => ueldo_get_vc_element_device_attributes( $attributes, 'row_border_radius_bottom_left_corner', 'small' ),
                                    'row-border-radius-bottom-right-corner' => ueldo_get_vc_element_device_attributes( $attributes, 'row_border_radius_bottom_right_corner', 'small' )
                                );

                                # update general row layer styles for small devices
                                $shortcodes_styles -> update_style(
                                    'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                    array(
                                        '768_991' => array(
                                            'margin-top' => esc_attr( $temp['margin-top'] ),
                                            'margin-bottom' => esc_attr( $temp['margin-bottom'] ),
                                            'margin-left' => esc_attr( $temp['margin-left'] ),
                                            'margin-right' => esc_attr( $temp['margin-right'] )
                                        )
                                    )
                                );

                                # width value for small devices
                                switch( $temp['width-type'] ) {

                                    # percentage width
                                    case 'percentage':

                                        # update element width
                                        $shortcodes_styles -> update_style(
                                            'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                            array(
                                                '768_991' => array(
                                                    'width-%' => $temp['width-percentage']
                                                )
                                            )
                                        );

                                    break;

                                    # pixels width
                                    case 'px':

                                        # update element width
                                        $shortcodes_styles -> update_style(
                                            'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                            array(
                                                '768_991' => array(
                                                    'width' => $temp['width-px']
                                                )
                                            )
                                        );

                                    break;

                                    # calculated width
                                    case 'calc':

                                        # update element width
                                        $shortcodes_styles -> update_style(
                                            'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                            array(
                                                '768_991' => array(
                                                    'width-webkit-calc' => '-webkit-calc( '. esc_attr( $temp['width-calc-base'] ) .' '. esc_attr( $temp['width-calc-operator'] ) .' '. esc_attr( $temp['width-calc-px'] ) .'px )',
                                                    'width-moz-calc' => '-moz-calc( '. esc_attr( $temp['width-calc-base'] ) .' '. esc_attr( $temp['width-calc-operator'] ) .' '. esc_attr( $temp['width-calc-px'] ) .'px )',
                                                    'width-calc' => 'calc( '. esc_attr( $temp['width-calc-base'] ) .' '. esc_attr( $temp['width-calc-operator'] ) .' '. esc_attr( $temp['width-calc-px'] ) .'px )'
                                                )
                                            )
                                        );

                                    break;
                                }

                                # height value for small devices
                                switch( $temp['height-type'] ) {

                                    # percentage height
                                    case 'percentage':

                                        # update element height
                                        $shortcodes_styles -> update_style(
                                            'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                            array(
                                                '768_991' => array(
                                                    'height-%' => $temp['height-percentage']
                                                )
                                            )
                                        );

                                    break;

                                    # pixels height
                                    case 'px':

                                        # update element height
                                        $shortcodes_styles -> update_style(
                                            'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                            array(
                                                '768_991' => array(
                                                    'height' => $temp['height-px']
                                                )
                                            )
                                        );

                                    break;

                                    # calculated height
                                    case 'calc':

                                        # update element height
                                        $shortcodes_styles -> update_style(
                                            'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                            array(
                                                '768_991' => array(
                                                    'height-webkit-calc' => '-webkit-calc( '. esc_attr( $temp['height-calc-base'] ) .' '. esc_attr( $temp['height-calc-operator'] ) .' '. esc_attr( $temp['height-calc-px'] ) .'px )',
                                                    'height-moz-calc' => '-moz-calc( '. esc_attr( $temp['height-calc-base'] ) .' '. esc_attr( $temp['height-calc-operator'] ) .' '. esc_attr( $temp['height-calc-px'] ) .'px )',
                                                    'height-calc' => 'calc( '. esc_attr( $temp['height-calc-base'] ) .' '. esc_attr( $temp['height-calc-operator'] ) .' '. esc_attr( $temp['height-calc-px'] ) .'px )'
                                                )
                                            )
                                        );

                                    break;
                                }

                                # do we have custom border radius?
                                switch( $temp['custom-row-border-radius'] ) {

                                    # same border radius value for all corners
                                    case 'yes-same-for-corners':

                                        # update general row layer styles for small devices
                                        $shortcodes_styles -> update_style(
                                            'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                            array(
                                                '768_991' => array(
                                                    '-webkit-border-radius' => esc_attr( $temp['row-border-radius'] ),
                                                    '-moz-border-radius' => esc_attr( $temp['row-border-radius'] ),
                                                    'border-radius' => esc_attr( $temp['row-border-radius'] )
                                                )
                                            )
                                        );

                                    break;

                                    # different border radius value for each corners
                                    case 'yes-unique-for-corners':

                                        # update general row layer styles for small devices
                                        $shortcodes_styles -> update_style(
                                            'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                            array(
                                                '768_991' => array(
                                                    '-webkit-border-radius' => esc_attr( $temp['row-border-radius-top-left-corner'] ) .'px '. esc_attr( $temp['row-border-radius-top-right-corner'] ) .'px '. esc_attr( $temp['row-border-radius-bottom-right-corner'] ) .'px '. esc_attr( $temp['row-border-radius-bottom-left-corner'] ),
                                                    '-moz-border-radius' => esc_attr( $temp['row-border-radius-top-left-corner'] ) .'px '. esc_attr( $temp['row-border-radius-top-right-corner'] ) .'px '. esc_attr( $temp['row-border-radius-bottom-right-corner'] ) .'px '. esc_attr( $temp['row-border-radius-bottom-left-corner'] ),
                                                    'border-radius' => esc_attr( $temp['row-border-radius-top-left-corner'] ) .'px '. esc_attr( $temp['row-border-radius-top-right-corner'] ) .'px '. esc_attr( $temp['row-border-radius-bottom-right-corner'] ) .'px '. esc_attr( $temp['row-border-radius-bottom-left-corner'] )
                                                )
                                            )
                                        );

                                    break;
                                }

                                # set top/left/right/bottom position
                                switch( $temp['layer-position'] ) {

                                    # top left position
                                    case 'top_left':

                                        # update general row layer styles for small devices
                                        $shortcodes_styles -> update_style(
                                            'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                            array(
                                                '768_991' => array(
                                                    'top' => '0',
                                                    'bottom' => 'auto',
                                                    'left' => '0',
                                                    'right' => 'auto'
                                                )
                                            )
                                        );

                                    break;

                                    # top center position
                                    case 'top_center':

                                        # update general row layer styles for large devices
                                        $shortcodes_styles -> update_style(
                                            'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                            array(
                                                '768_991' => array(
                                                    'top' => '0',
                                                    'bottom' => 'auto',
                                                    'left' => '50%',
                                                    'right' => 'auto'
                                                )
                                            )
                                        );

                                    break;

                                    # top right position
                                    case 'top_right':

                                        # update general row layer styles for small devices
                                        $shortcodes_styles -> update_style(
                                            'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                            array(
                                                '768_991' => array(
                                                    'top' => '0',
                                                    'bottom' => 'auto',
                                                    'left' => 'auto',
                                                    'right' => '0'
                                                )
                                            )
                                        );

                                    break;

                                    # center left position
                                    case 'center_left':

                                        # update general row layer styles for large devices
                                        $shortcodes_styles -> update_style(
                                            'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                            array(
                                                '768_991' => array(
                                                    'top' => '50%',
                                                    'bottom' => 'auto',
                                                    'left' => '0',
                                                    'right' => 'auto'
                                                )
                                            )
                                        );

                                    break;

                                    # center center position
                                    case 'center_center':

                                       # update general row layer styles for large devices
                                       $shortcodes_styles -> update_style(
                                           'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                           array(
                                               '768_991' => array(
                                                   'top' => '50%',
                                                   'bottom' => 'auto',
                                                   'left' => '50%',
                                                   'right' => 'auto'
                                               )
                                           )
                                       );

                                    break;

                                    # center right position
                                    case 'center_right':

                                        # update general row layer styles for large devices
                                        $shortcodes_styles -> update_style(
                                            'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                            array(
                                                '768_991' => array(
                                                    'top' => '50%',
                                                    'bottom' => 'auto',
                                                    'left' => 'auto',
                                                    'right' => '0'
                                                )
                                            )
                                        );

                                    break;

                                    # bottom left position
                                    case 'bottom_left':

                                        # update general row layer styles for small devices
                                        $shortcodes_styles -> update_style(
                                            'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                            array(
                                                '768_991' => array(
                                                    'top' => 'auto',
                                                    'bottom' => '0',
                                                    'left' => '0',
                                                    'right' => 'auto'
                                                )
                                            )
                                        );

                                    break;

                                    # bottom center position
                                    case 'bottom_center':

                                        # update general row layer styles for large devices
                                        $shortcodes_styles -> update_style(
                                            'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                            array(
                                                '768_991' => array(
                                                    'top' => 'auto',
                                                    'bottom' => '0',
                                                    'left' => '50%',
                                                    'right' => 'auto'
                                                )
                                            )
                                        );

                                    break;

                                    # bottom right position
                                    case 'bottom_right':

                                        # update general row layer styles for small devices
                                        $shortcodes_styles -> update_style(
                                            'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                            array(
                                                '768_991' => array(
                                                    'top' => 'auto',
                                                    'bottom' => '0',
                                                    'left' => 'auto',
                                                    'right' => '0'
                                                )
                                            )
                                        );

                                    break;
                                }

                                # remove temporary variable
                                unset( $temp );
                            }

                            # hide on "extra small" devices
                            if( $attributes['extra_small_layer_visibility'] == 'no' ) {

                                # update general row layer styles for extra small devices
                                $shortcodes_styles -> update_style(
                                    'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                    array(
                                        'less_767' => array(
                                            'display' => 'none'
                                        )
                                    )
                                );
                            }

                            # styles for "extra small" devices
                            else {

                                # temporary values for "extra small" devices
                                $temp = array(
                                    'width-type' => ueldo_get_vc_element_device_attributes( $attributes, 'width_type', 'extra_small' ),
                                    'width-percentage' => ueldo_get_vc_element_device_attributes( $attributes, 'width_percentage', 'extra_small' ),
                                    'width-px' => ueldo_get_vc_element_device_attributes( $attributes, 'width_px', 'extra_small' ),
                                    'width-calc-base' => ueldo_get_vc_element_device_attributes( $attributes, 'width_calc_base', 'extra_small' ),
                                    'width-calc-operator' => ueldo_get_vc_element_device_attributes( $attributes, 'width_calc_operator', 'extra_small' ),
                                    'width-calc-px' => ueldo_get_vc_element_device_attributes( $attributes, 'width_calc_px', 'extra_small' ),
                                    'height-type' => ueldo_get_vc_element_device_attributes( $attributes, 'height_type', 'extra_small' ),
                                    'height-percentage' => ueldo_get_vc_element_device_attributes( $attributes, 'height_percentage', 'extra_small' ),
                                    'height-px' => ueldo_get_vc_element_device_attributes( $attributes, 'height_px', 'extra_small' ),
                                    'height-calc-base' => ueldo_get_vc_element_device_attributes( $attributes, 'height_calc_base', 'extra_small' ),
                                    'height-calc-operator' => ueldo_get_vc_element_device_attributes( $attributes, 'height_calc_operator', 'extra_small' ),
                                    'height-calc-px' => ueldo_get_vc_element_device_attributes( $attributes, 'height_calc_px', 'extra_small' ),
                                    'layer-position' => ueldo_get_vc_element_device_attributes( $attributes, 'layer_position', 'extra_small' ),
                                    'margin-top' => ueldo_get_vc_element_device_attributes( $attributes, 'margin_top', 'extra_small' ),
                                    'margin-bottom' => ueldo_get_vc_element_device_attributes( $attributes, 'margin_bottom', 'extra_small' ),
                                    'margin-left' => ueldo_get_vc_element_device_attributes( $attributes, 'margin_left', 'extra_small' ),
                                    'margin-right' => ueldo_get_vc_element_device_attributes( $attributes, 'margin_right', 'extra_small' ),
                                    'custom-row-border-radius' => ueldo_get_vc_element_device_attributes( $attributes, 'custom_row_border_radius', 'extra_small' ),
                                    'row-border-radius' => ueldo_get_vc_element_device_attributes( $attributes, 'row_border_radius', 'extra_small' ),
                                    'row-border-radius-top-left-corner' => ueldo_get_vc_element_device_attributes( $attributes, 'row_border_radius_top_left_corner', 'extra_small' ),
                                    'row-border-radius-top-right-corner' => ueldo_get_vc_element_device_attributes( $attributes, 'row_border_radius_top_right_corner', 'extra_small' ),
                                    'row-border-radius-bottom-left-corner' => ueldo_get_vc_element_device_attributes( $attributes, 'row_border_radius_bottom_left_corner', 'extra_small' ),
                                    'row-border-radius-bottom-right-corner' => ueldo_get_vc_element_device_attributes( $attributes, 'row_border_radius_bottom_right_corner', 'extra_small' )
                                );

                                # update general row layer styles for extra small devices
                                $shortcodes_styles -> update_style(
                                    'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                    array(
                                        'less_767' => array(
                                            'margin-top' => esc_attr( $temp['margin-top'] ),
                                            'margin-bottom' => esc_attr( $temp['margin-bottom'] ),
                                            'margin-left' => esc_attr( $temp['margin-left'] ),
                                            'margin-right' => esc_attr( $temp['margin-right'] )
                                        )
                                    )
                                );

                                # width value for extra small devices
                                switch( $temp['width-type'] ) {

                                    # percentage width
                                    case 'percentage':

                                        # update element width
                                        $shortcodes_styles -> update_style(
                                            'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                            array(
                                                'less_767' => array(
                                                    'width-%' => $temp['width-percentage']
                                                )
                                            )
                                        );

                                    break;

                                    # pixels width
                                    case 'px':

                                        # update element width
                                        $shortcodes_styles -> update_style(
                                            'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                            array(
                                                'less_767' => array(
                                                    'width' => $temp['width-px']
                                                )
                                            )
                                        );

                                    break;

                                    # calculated width
                                    case 'calc':

                                        # update element width
                                        $shortcodes_styles -> update_style(
                                            'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                            array(
                                                'less_767' => array(
                                                    'width-webkit-calc' => '-webkit-calc( '. esc_attr( $temp['width-calc-base'] ) .' '. esc_attr( $temp['width-calc-operator'] ) .' '. esc_attr( $temp['width-calc-px'] ) .'px )',
                                                    'width-moz-calc' => '-moz-calc( '. esc_attr( $temp['width-calc-base'] ) .' '. esc_attr( $temp['width-calc-operator'] ) .' '. esc_attr( $temp['width-calc-px'] ) .'px )',
                                                    'width-calc' => 'calc( '. esc_attr( $temp['width-calc-base'] ) .' '. esc_attr( $temp['width-calc-operator'] ) .' '. esc_attr( $temp['width-calc-px'] ) .'px )'
                                                )
                                            )
                                        );

                                    break;
                                }

                                # height value for extra small devices
                                switch( $temp['height-type'] ) {

                                    # percentage height
                                    case 'percentage':

                                        # update element height
                                        $shortcodes_styles -> update_style(
                                            'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                            array(
                                                'less_767' => array(
                                                    'height-%' => $temp['height-percentage']
                                                )
                                            )
                                        );

                                    break;

                                    # pixels height
                                    case 'px':

                                        # update element height
                                        $shortcodes_styles -> update_style(
                                            'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                            array(
                                                'less_767' => array(
                                                    'height' => $temp['height-px']
                                                )
                                            )
                                        );

                                    break;

                                    # calculated height
                                    case 'calc':

                                        # update element height
                                        $shortcodes_styles -> update_style(
                                            'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                            array(
                                                'less_767' => array(
                                                    'height-webkit-calc' => '-webkit-calc( '. esc_attr( $temp['height-calc-base'] ) .' '. esc_attr( $temp['height-calc-operator'] ) .' '. esc_attr( $temp['height-calc-px'] ) .'px )',
                                                    'height-moz-calc' => '-moz-calc( '. esc_attr( $temp['height-calc-base'] ) .' '. esc_attr( $temp['height-calc-operator'] ) .' '. esc_attr( $temp['height-calc-px'] ) .'px )',
                                                    'height-calc' => 'calc( '. esc_attr( $temp['height-calc-base'] ) .' '. esc_attr( $temp['height-calc-operator'] ) .' '. esc_attr( $temp['height-calc-px'] ) .'px )'
                                                )
                                            )
                                        );

                                    break;
                                }

                                # do we have custom border radius?
                                switch( $temp['custom-row-border-radius'] ) {

                                    # same border radius value for all corners
                                    case 'yes-same-for-corners':

                                        # update general row layer styles for extra small devices
                                        $shortcodes_styles -> update_style(
                                            'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                            array(
                                                'less_767' => array(
                                                    '-webkit-border-radius' => esc_attr( $temp['row-border-radius'] ),
                                                    '-moz-border-radius' => esc_attr( $temp['row-border-radius'] ),
                                                    'border-radius' => esc_attr( $temp['row-border-radius'] )
                                                )
                                            )
                                        );

                                    break;

                                    # different border radius value for each corners
                                    case 'yes-unique-for-corners':

                                        # update general row layer styles for extra small devices
                                        $shortcodes_styles -> update_style(
                                            'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                            array(
                                                'less_767' => array(
                                                    '-webkit-border-radius' => esc_attr( $temp['row-border-radius-top-left-corner'] ) .'px '. esc_attr( $temp['row-border-radius-top-right-corner'] ) .'px '. esc_attr( $temp['row-border-radius-bottom-right-corner'] ) .'px '. esc_attr( $temp['row-border-radius-bottom-left-corner'] ),
                                                    '-moz-border-radius' => esc_attr( $temp['row-border-radius-top-left-corner'] ) .'px '. esc_attr( $temp['row-border-radius-top-right-corner'] ) .'px '. esc_attr( $temp['row-border-radius-bottom-right-corner'] ) .'px '. esc_attr( $temp['row-border-radius-bottom-left-corner'] ),
                                                    'border-radius' => esc_attr( $temp['row-border-radius-top-left-corner'] ) .'px '. esc_attr( $temp['row-border-radius-top-right-corner'] ) .'px '. esc_attr( $temp['row-border-radius-bottom-right-corner'] ) .'px '. esc_attr( $temp['row-border-radius-bottom-left-corner'] )
                                                )
                                            )
                                        );

                                    break;
                                }

                                # set top/left/right/bottom position
                                switch( $temp['layer-position'] ) {

                                    # top left position
                                    case 'top_left':

                                        # update general row layer styles for extra small devices
                                        $shortcodes_styles -> update_style(
                                            'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                            array(
                                                'less_767' => array(
                                                    'top' => '0',
                                                    'bottom' => 'auto',
                                                    'left' => '0',
                                                    'right' => 'auto'
                                                )
                                            )
                                        );

                                    break;

                                    # top center position
                                    case 'top_center':

                                        # update general row layer styles for large devices
                                        $shortcodes_styles -> update_style(
                                            'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                            array(
                                                'less_767' => array(
                                                    'top' => '0',
                                                    'bottom' => 'auto',
                                                    'left' => '50%',
                                                    'right' => 'auto'
                                                )
                                            )
                                        );

                                    break;

                                    # top right position
                                    case 'top_right':

                                        # update general row layer styles for extra small devices
                                        $shortcodes_styles -> update_style(
                                            'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                            array(
                                                'less_767' => array(
                                                    'top' => '0',
                                                    'bottom' => 'auto',
                                                    'left' => 'auto',
                                                    'right' => '0'
                                                )
                                            )
                                        );

                                    break;

                                    # center left position
                                    case 'center_left':

                                        # update general row layer styles for large devices
                                        $shortcodes_styles -> update_style(
                                            'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                            array(
                                                'less_767' => array(
                                                    'top' => '50%',
                                                    'bottom' => 'auto',
                                                    'left' => '0',
                                                    'right' => 'auto'
                                                )
                                            )
                                        );

                                    break;

                                    # center center position
                                    case 'center_center':

                                       # update general row layer styles for large devices
                                       $shortcodes_styles -> update_style(
                                           'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                           array(
                                               'less_767' => array(
                                                   'top' => '50%',
                                                   'bottom' => 'auto',
                                                   'left' => '50%',
                                                   'right' => 'auto'
                                               )
                                           )
                                       );

                                    break;

                                    # center right position
                                    case 'center_right':

                                        # update general row layer styles for large devices
                                        $shortcodes_styles -> update_style(
                                            'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                            array(
                                                'less_767' => array(
                                                    'top' => '50%',
                                                    'bottom' => 'auto',
                                                    'left' => 'auto',
                                                    'right' => '0'
                                                )
                                            )
                                        );

                                    break;

                                    # bottom left position
                                    case 'bottom_left':

                                        # update general row layer styles for extra small devices
                                        $shortcodes_styles -> update_style(
                                            'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                            array(
                                                'less_767' => array(
                                                    'top' => 'auto',
                                                    'bottom' => '0',
                                                    'left' => '0',
                                                    'right' => 'auto'
                                                )
                                            )
                                        );

                                    break;

                                    # bottom center position
                                    case 'bottom_center':

                                        # update general row layer styles for large devices
                                        $shortcodes_styles -> update_style(
                                            'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                            array(
                                                'less_767' => array(
                                                    'top' => 'auto',
                                                    'bottom' => '0',
                                                    'left' => '50%',
                                                    'right' => 'auto'
                                                )
                                            )
                                        );

                                    break;

                                    # bottom right position
                                    case 'bottom_right':

                                        # update general row layer styles for extra small devices
                                        $shortcodes_styles -> update_style(
                                            'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                            array(
                                                'less_767' => array(
                                                    'top' => 'auto',
                                                    'bottom' => '0',
                                                    'left' => 'auto',
                                                    'right' => '0'
                                                )
                                            )
                                        );

                                    break;
                                }

                                # remove temporary variable
                                unset( $temp );
                            }

                            # border for "color" or "image" row layer
                            if( in_array( $attributes['layer_type'], array( 'color', 'image' ), true ) ) {

                                # can we add border styles?
                                if( ( $attributes['layer_type'] == 'color' && $attributes['color_add_border'] == 'yes' ) || ( $attributes['layer_type'] == 'image' && $attributes['image_add_border'] == 'yes' ) ) {

                                    # update border styles
                                    $shortcodes_styles -> update_style(
                                        'vc_row > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer, .vc_section > .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-row-layer',
                                        array(
                                            'general' => array(
                                                'border-width' => esc_attr( $attributes['layer_type'] == 'color' ? $attributes['color_border_width'] : $attributes['image_border_width'] ),
                                                'border-color' => esc_attr( $attributes['layer_type'] == 'color' ? $attributes['color_border_color'] : $attributes['image_border_color'] )
                                            )
                                        )
                                    );
                                }
                            }
                        }

                        # save css style
                        $shortcodes_styles -> save_styles();

                        # remove attributes array
                        unset( $attributes );

                    break;

                   /**
                    *
                    * ueldo_shortcode_full_width_testimonials
                    *
                    */

                    case 'ueldo_shortcode_full_width_testimonials':

                        # attributes array
                        $attributes = array(
                            'type' => isset( $shortcode['atts']['type'] ) && !empty( $shortcode['atts']['type'] ) ? $shortcode['atts']['type'] : 'companies',
                            'author_name_position' => isset( $shortcode['atts']['author_name_position'] ) && !empty( $shortcode['atts']['author_name_position'] ) ? $shortcode['atts']['author_name_position'] : 'under-content',
                            'content_position' => isset( $shortcode['atts']['content_position'] ) && !empty( $shortcode['atts']['content_position'] ) ? $shortcode['atts']['content_position'] : 'under',
                            'space_between_logos_and_content' => isset( $shortcode['atts']['space_between_logos_and_content'] ) && !empty( $shortcode['atts']['space_between_logos_and_content'] ) ? $shortcode['atts']['space_between_logos_and_content'] : 'theme_defaults',
                            'space_between_logos_and_content_px' => isset( $shortcode['atts']['space_between_logos_and_content_px'] ) && $shortcode['atts']['space_between_logos_and_content_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['space_between_logos_and_content_px'] ) ? $shortcode['atts']['space_between_logos_and_content_px'] : '60',
                            'author_description_margin_px' => isset( $shortcode['atts']['author_description_margin_px'] ) && $shortcode['atts']['author_description_margin_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['author_description_margin_px'] ) ? $shortcode['atts']['author_description_margin_px'] : '30',
                            'person_images_custom_sizes_enabled' => isset( $shortcode['atts']['person_images_custom_sizes_enabled'] ) && !empty( $shortcode['atts']['person_images_custom_sizes_enabled'] ) ? $shortcode['atts']['person_images_custom_sizes_enabled'] : 'theme_defaults',
                            'person_images_loop_padding_top' => isset( $shortcode['atts']['person_images_loop_padding_top'] ) && $shortcode['atts']['person_images_loop_padding_top'] != '' && ueldo_is_valid_number( $shortcode['atts']['person_images_loop_padding_top'] ) ? $shortcode['atts']['person_images_loop_padding_top'] : '45',
                            'person_images_loop_padding_bottom' => isset( $shortcode['atts']['person_images_loop_padding_bottom'] ) && $shortcode['atts']['person_images_loop_padding_bottom'] != '' && ueldo_is_valid_number( $shortcode['atts']['person_images_loop_padding_bottom'] ) ? $shortcode['atts']['person_images_loop_padding_bottom'] : '45',
                            'person_images_border_radius' => isset( $shortcode['atts']['person_images_border_radius'] ) && $shortcode['atts']['person_images_border_radius'] != '' ? $shortcode['atts']['person_images_border_radius'] : '100%',
                            'person_images_border_radius_px' => isset( $shortcode['atts']['person_images_border_radius_px'] ) && $shortcode['atts']['person_images_border_radius_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['person_images_border_radius_px'] ) ? $shortcode['atts']['person_images_border_radius_px'] : '4',
                            'current_person_image_border_radius' => isset( $shortcode['atts']['current_person_image_border_radius'] ) && !empty( $shortcode['atts']['current_person_image_border_radius'] ) ? $shortcode['atts']['current_person_image_border_radius'] : 'same',
                            'current_person_image_border_radius_px' => isset( $shortcode['atts']['current_person_image_border_radius_px'] ) && $shortcode['atts']['current_person_image_border_radius_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['current_person_image_border_radius_px'] ) ? $shortcode['atts']['current_person_image_border_radius_px'] : '4',
                            'person_images_width' => isset( $shortcode['atts']['person_images_width'] ) && $shortcode['atts']['person_images_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['person_images_width'] ) ? $shortcode['atts']['person_images_width'] : '40',
                            'person_images_height' => isset( $shortcode['atts']['person_images_height'] ) && $shortcode['atts']['person_images_height'] != '' && ueldo_is_valid_number( $shortcode['atts']['person_images_height'] ) ? $shortcode['atts']['person_images_height'] : '40',
                            'current_person_image_width' => isset( $shortcode['atts']['current_person_image_width'] ) && $shortcode['atts']['current_person_image_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['current_person_image_width'] ) ? $shortcode['atts']['current_person_image_width'] : '60',
                            'current_person_image_height' => isset( $shortcode['atts']['current_person_image_height'] ) && $shortcode['atts']['current_person_image_height'] != '' && ueldo_is_valid_number( $shortcode['atts']['current_person_image_height'] ) ? $shortcode['atts']['current_person_image_height'] : '60',
                            'space_between_person_images' => isset( $shortcode['atts']['space_between_person_images'] ) && $shortcode['atts']['space_between_person_images'] != '' && ueldo_is_valid_number( $shortcode['atts']['space_between_person_images'] ) ? $shortcode['atts']['space_between_person_images'] : '20',
                            'custom_next_prev_arrows_settings' => isset( $shortcode['atts']['custom_next_prev_arrows_settings'] ) && !empty( $shortcode['atts']['custom_next_prev_arrows_settings'] ) ? $shortcode['atts']['custom_next_prev_arrows_settings'] : 'theme_defaults',
                            'arrow_font_size' => isset( $shortcode['atts']['arrow_font_size'] ) && $shortcode['atts']['arrow_font_size'] != '' && ueldo_is_valid_number( $shortcode['atts']['arrow_font_size'] ) ? $shortcode['atts']['arrow_font_size'] : '17',
                            'arrow_padding_top_bottom' => isset( $shortcode['atts']['arrow_padding_top_bottom'] ) && $shortcode['atts']['arrow_padding_top_bottom'] != '' && ueldo_is_valid_number( $shortcode['atts']['arrow_padding_top_bottom'] ) ? $shortcode['atts']['arrow_padding_top_bottom'] : '10',
                            'arrow_padding_left_right' => isset( $shortcode['atts']['arrow_padding_left_right'] ) && $shortcode['atts']['arrow_padding_left_right'] != '' && ueldo_is_valid_number( $shortcode['atts']['arrow_padding_left_right'] ) ? $shortcode['atts']['arrow_padding_left_right'] : '10',
                            'arrow_border_radius' => isset( $shortcode['atts']['arrow_border_radius'] ) && $shortcode['atts']['arrow_border_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['arrow_border_radius'] ) ? $shortcode['atts']['arrow_border_radius'] : '0',
                            'arrow_border_width' => isset( $shortcode['atts']['arrow_border_width'] ) && $shortcode['atts']['arrow_border_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['arrow_border_width'] ) ? $shortcode['atts']['arrow_border_width'] : '0',
                            'custom_colors_enabled' => isset( $shortcode['atts']['custom_colors_enabled'] ) && !empty( $shortcode['atts']['custom_colors_enabled'] ) ? $shortcode['atts']['custom_colors_enabled'] : 'theme_defaults',
                            'background_color' => isset( $shortcode['atts']['background_color'] ) && $shortcode['atts']['background_color'] != '' ? $shortcode['atts']['background_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                            'author_name_color' => isset( $shortcode['atts']['author_name_color'] ) && $shortcode['atts']['author_name_color'] != '' ? $shortcode['atts']['author_name_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-headings-color' ) ),
                            'author_description_color' => isset( $shortcode['atts']['author_description_color'] ) && $shortcode['atts']['author_description_color'] != '' ? $shortcode['atts']['author_description_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-content-color' ) ),
                            'persons_images_box_shadow_horizontal_length' => isset( $shortcode['atts']['persons_images_box_shadow_horizontal_length'] ) && $shortcode['atts']['persons_images_box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['persons_images_box_shadow_horizontal_length'] ) ? $shortcode['atts']['persons_images_box_shadow_horizontal_length'] : '0',
                            'persons_images_box_shadow_vertical_length' => isset( $shortcode['atts']['persons_images_box_shadow_vertical_length'] ) && $shortcode['atts']['persons_images_box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['persons_images_box_shadow_vertical_length'] ) ? $shortcode['atts']['persons_images_box_shadow_vertical_length'] : '0',
                            'persons_images_box_shadow_blur_radius' => isset( $shortcode['atts']['persons_images_box_shadow_blur_radius'] ) && $shortcode['atts']['persons_images_box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['persons_images_box_shadow_blur_radius'] ) ? $shortcode['atts']['persons_images_box_shadow_blur_radius'] : '0',
                            'persons_images_box_shadow_spread_radius' => isset( $shortcode['atts']['persons_images_box_shadow_spread_radius'] ) && $shortcode['atts']['persons_images_box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['persons_images_box_shadow_spread_radius'] ) ? $shortcode['atts']['persons_images_box_shadow_spread_radius'] : '0',
                            'persons_images_box_shadow_color' => isset( $shortcode['atts']['persons_images_box_shadow_color'] ) && $shortcode['atts']['persons_images_box_shadow_color'] != '' ? $shortcode['atts']['persons_images_box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) ),
                            'persons_images_box_shadow_horizontal_length_hover' => isset( $shortcode['atts']['persons_images_box_shadow_horizontal_length_hover'] ) && $shortcode['atts']['persons_images_box_shadow_horizontal_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['persons_images_box_shadow_horizontal_length_hover'] ) ? $shortcode['atts']['persons_images_box_shadow_horizontal_length_hover'] : '0',
                            'persons_images_box_shadow_vertical_length_hover' => isset( $shortcode['atts']['persons_images_box_shadow_vertical_length_hover'] ) && $shortcode['atts']['persons_images_box_shadow_vertical_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['persons_images_box_shadow_vertical_length_hover'] ) ? $shortcode['atts']['persons_images_box_shadow_vertical_length_hover'] : '0',
                            'persons_images_box_shadow_blur_radius_hover' => isset( $shortcode['atts']['persons_images_box_shadow_blur_radius_hover'] ) && $shortcode['atts']['persons_images_box_shadow_blur_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['persons_images_box_shadow_blur_radius_hover'] ) ? $shortcode['atts']['persons_images_box_shadow_blur_radius_hover'] : '0',
                            'persons_images_box_shadow_spread_radius_hover' => isset( $shortcode['atts']['persons_images_box_shadow_spread_radius_hover'] ) && $shortcode['atts']['persons_images_box_shadow_spread_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['persons_images_box_shadow_spread_radius_hover'] ) ? $shortcode['atts']['persons_images_box_shadow_spread_radius_hover'] : '0',
                            'persons_images_box_shadow_color_hover' => isset( $shortcode['atts']['persons_images_box_shadow_color_hover'] ) && $shortcode['atts']['persons_images_box_shadow_color_hover'] != '' ? $shortcode['atts']['persons_images_box_shadow_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) ),
                            'active_person_image_box_shadow_horizontal_length' => isset( $shortcode['atts']['active_person_image_box_shadow_horizontal_length'] ) && $shortcode['atts']['active_person_image_box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['active_person_image_box_shadow_horizontal_length'] ) ? $shortcode['atts']['active_person_image_box_shadow_horizontal_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'horizontal-length' ) ),
                            'active_person_image_box_shadow_vertical_length' => isset( $shortcode['atts']['active_person_image_box_shadow_vertical_length'] ) && $shortcode['atts']['active_person_image_box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['active_person_image_box_shadow_vertical_length'] ) ? $shortcode['atts']['active_person_image_box_shadow_vertical_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'vertical-length' ) ),
                            'active_person_image_box_shadow_blur_radius' => isset( $shortcode['atts']['active_person_image_box_shadow_blur_radius'] ) && $shortcode['atts']['active_person_image_box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['active_person_image_box_shadow_blur_radius'] ) ? $shortcode['atts']['active_person_image_box_shadow_blur_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'blur-radius' ) ),
                            'active_person_image_box_shadow_spread_radius' => isset( $shortcode['atts']['active_person_image_box_shadow_spread_radius'] ) && $shortcode['atts']['active_person_image_box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['active_person_image_box_shadow_spread_radius'] ) ? $shortcode['atts']['active_person_image_box_shadow_spread_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'spread-radius' ) ),
                            'active_person_image_box_shadow_color' => isset( $shortcode['atts']['active_person_image_box_shadow_color'] ) && $shortcode['atts']['active_person_image_box_shadow_color'] != '' ? $shortcode['atts']['active_person_image_box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'color' ) ),
                            'active_person_image_box_shadow_horizontal_length_hover' => isset( $shortcode['atts']['active_person_image_box_shadow_horizontal_length_hover'] ) && $shortcode['atts']['active_person_image_box_shadow_horizontal_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['active_person_image_box_shadow_horizontal_length_hover'] ) ? $shortcode['atts']['active_person_image_box_shadow_horizontal_length_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'horizontal-length' ) ),
                            'active_person_image_box_shadow_vertical_length_hover' => isset( $shortcode['atts']['active_person_image_box_shadow_vertical_length_hover'] ) && $shortcode['atts']['active_person_image_box_shadow_vertical_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['active_person_image_box_shadow_vertical_length_hover'] ) ? $shortcode['atts']['active_person_image_box_shadow_vertical_length_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'vertical-length' ) ),
                            'active_person_image_box_shadow_blur_radius_hover' => isset( $shortcode['atts']['active_person_image_box_shadow_blur_radius_hover'] ) && $shortcode['atts']['active_person_image_box_shadow_blur_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['active_person_image_box_shadow_blur_radius_hover'] ) ? $shortcode['atts']['active_person_image_box_shadow_blur_radius_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'blur-radius' ) ),
                            'active_person_image_box_shadow_spread_radius_hover' => isset( $shortcode['atts']['active_person_image_box_shadow_spread_radius_hover'] ) && $shortcode['atts']['active_person_image_box_shadow_spread_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['active_person_image_box_shadow_spread_radius_hover'] ) ? $shortcode['atts']['active_person_image_box_shadow_spread_radius_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'spread-radius' ) ),
                            'active_person_image_box_shadow_color_hover' => isset( $shortcode['atts']['active_person_image_box_shadow_color_hover'] ) && $shortcode['atts']['active_person_image_box_shadow_color_hover'] != '' ? $shortcode['atts']['active_person_image_box_shadow_color_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'color' ) ),
                            'next_prev_arrow_color' => isset( $shortcode['atts']['next_prev_arrow_color'] ) && $shortcode['atts']['next_prev_arrow_color'] != '' ? $shortcode['atts']['next_prev_arrow_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-icon-color' ) ),
                            'next_prev_arrow_color_hover' => isset( $shortcode['atts']['next_prev_arrow_color_hover'] ) && $shortcode['atts']['next_prev_arrow_color_hover'] != '' ? $shortcode['atts']['next_prev_arrow_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                            'next_prev_arrow_container_background' => isset( $shortcode['atts']['next_prev_arrow_container_background'] ) && $shortcode['atts']['next_prev_arrow_container_background'] != '' ? $shortcode['atts']['next_prev_arrow_container_background'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                            'next_prev_arrow_container_background_hover' => isset( $shortcode['atts']['next_prev_arrow_container_background_hover'] ) && $shortcode['atts']['next_prev_arrow_container_background_hover'] != '' ? $shortcode['atts']['next_prev_arrow_container_background_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                            'next_prev_arrow_container_border_color' => isset( $shortcode['atts']['next_prev_arrow_container_border_color'] ) && $shortcode['atts']['next_prev_arrow_container_border_color'] != '' ? $shortcode['atts']['next_prev_arrow_container_border_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                            'next_prev_arrow_container_border_color_hover' => isset( $shortcode['atts']['next_prev_arrow_container_border_color_hover'] ) && $shortcode['atts']['next_prev_arrow_container_border_color_hover'] != '' ? $shortcode['atts']['next_prev_arrow_container_border_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                            'next_prev_arrow_container_box_shadow_horizontal_length' => isset( $shortcode['atts']['next_prev_arrow_container_box_shadow_horizontal_length'] ) && $shortcode['atts']['next_prev_arrow_container_box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['next_prev_arrow_container_box_shadow_horizontal_length'] ) ? $shortcode['atts']['next_prev_arrow_container_box_shadow_horizontal_length'] : '0',
                            'next_prev_arrow_container_box_shadow_vertical_length' => isset( $shortcode['atts']['next_prev_arrow_container_box_shadow_vertical_length'] ) && $shortcode['atts']['next_prev_arrow_container_box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['next_prev_arrow_container_box_shadow_vertical_length'] ) ? $shortcode['atts']['next_prev_arrow_container_box_shadow_vertical_length'] : '0',
                            'next_prev_arrow_container_box_shadow_blur_radius' => isset( $shortcode['atts']['next_prev_arrow_container_box_shadow_blur_radius'] ) && $shortcode['atts']['next_prev_arrow_container_box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['next_prev_arrow_container_box_shadow_blur_radius'] ) ? $shortcode['atts']['next_prev_arrow_container_box_shadow_blur_radius'] : '0',
                            'next_prev_arrow_container_box_shadow_spread_radius' => isset( $shortcode['atts']['next_prev_arrow_container_box_shadow_spread_radius'] ) && $shortcode['atts']['next_prev_arrow_container_box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['next_prev_arrow_container_box_shadow_spread_radius'] ) ? $shortcode['atts']['next_prev_arrow_container_box_shadow_spread_radius'] : '0',
                            'next_prev_arrow_container_box_shadow_color' => isset( $shortcode['atts']['next_prev_arrow_container_box_shadow_color'] ) && $shortcode['atts']['next_prev_arrow_container_box_shadow_color'] != '' ? $shortcode['atts']['next_prev_arrow_container_box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) ),
                            'next_prev_arrow_container_box_shadow_horizontal_length_hover' => isset( $shortcode['atts']['next_prev_arrow_container_box_shadow_horizontal_length_hover'] ) && $shortcode['atts']['next_prev_arrow_container_box_shadow_horizontal_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['next_prev_arrow_container_box_shadow_horizontal_length_hover'] ) ? $shortcode['atts']['next_prev_arrow_container_box_shadow_horizontal_length_hover'] : '0',
                            'next_prev_arrow_container_box_shadow_vertical_length_hover' => isset( $shortcode['atts']['next_prev_arrow_container_box_shadow_vertical_length_hover'] ) && $shortcode['atts']['next_prev_arrow_container_box_shadow_vertical_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['next_prev_arrow_container_box_shadow_vertical_length_hover'] ) ? $shortcode['atts']['next_prev_arrow_container_box_shadow_vertical_length_hover'] : '0',
                            'next_prev_arrow_container_box_shadow_blur_radius_hover' => isset( $shortcode['atts']['next_prev_arrow_container_box_shadow_blur_radius_hover'] ) && $shortcode['atts']['next_prev_arrow_container_box_shadow_blur_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['next_prev_arrow_container_box_shadow_blur_radius_hover'] ) ? $shortcode['atts']['next_prev_arrow_container_box_shadow_blur_radius_hover'] : '0',
                            'next_prev_arrow_container_box_shadow_spread_radius_hover' => isset( $shortcode['atts']['next_prev_arrow_container_box_shadow_spread_radius_hover'] ) && $shortcode['atts']['next_prev_arrow_container_box_shadow_spread_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['next_prev_arrow_container_box_shadow_spread_radius_hover'] ) ? $shortcode['atts']['next_prev_arrow_container_box_shadow_spread_radius_hover'] : '0',
                            'next_prev_arrow_container_box_shadow_color_hover' => isset( $shortcode['atts']['next_prev_arrow_container_box_shadow_color_hover'] ) && $shortcode['atts']['next_prev_arrow_container_box_shadow_color_hover'] != '' ? $shortcode['atts']['next_prev_arrow_container_box_shadow_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) )
                        );

                        # configure full-width testimonials single element width
                        $shortcodes_styles -> update_style(
                            'ueldo-shortcode-full-width-testimonials.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-full-width-testimonials-clients-logos .ueldo-shortcode-full-width-testimonials-clients-logos-single-client',
                            array(
                                '1200_more' => array(
                                    'width' => esc_attr( ( ( int ) ueldo_get_theme_options_value( 'boxed-website', false, 'large-content-width' ) - 20 ) / 5 )
                                ),
                                '992_1199' => array(
                                    'width' => esc_attr( ( ( int ) ueldo_get_theme_options_value( 'boxed-website', false, 'medium-content-width' ) - 20 ) / 5 )
                                ),
                                '768_991' => array(
                                    'width' => esc_attr( ( ( int ) ueldo_get_theme_options_value( 'boxed-website', false, 'small-content-width' ) - 10 ) / 3 )
                                )
                            )
                        );

                        # can we set custom space between testimonial elements?
                        if( $attributes['type'] == 'companies' && $attributes['space_between_logos_and_content'] != 'theme_defaults' ) {

                            # add custom margin between logos and content
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-full-width-testimonials.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-full-width-testimonials-clients-logos[data-content-position="'. esc_attr( $attributes['content_position'] ) .'"]',
                                array(
                                    'margin-'. esc_attr( $attributes['content_position'] == 'under' ? 'bottom' : 'top' ) => esc_attr( $attributes['space_between_logos_and_content_px'] )
                                )
                            );
                        }

                        # author description margin for logos
                        if( $attributes['type'] == 'companies' ) {

                            # add margin
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-full-width-testimonials.'. esc_attr( $shortcode['atts']['class_name'] ) .'[data-loop-type="logos"] .ueldo-shortcode-full-width-testimonials-single-testimonial-author',
                                array(
                                    'margin-top' => esc_attr( $attributes['author_description_margin_px'] )
                                )
                            );
                        }

                        # person styles
                        else {

                            # can we add the margin?
                            if( ( ( $attributes['author_name_position'] == 'under-person-images' && $attributes['content_position'] == 'under' ) || $attributes['author_name_position'] == 'above-content' ) || ( ( $attributes['author_name_position'] == 'above-person-images' && $attributes['content_position'] == 'above' ) || $attributes['author_name_position'] == 'under-content' ) ) {

                                # add margin
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-full-width-testimonials.'. esc_attr( $shortcode['atts']['class_name'] ) .'[data-loop-type="images"] .ueldo-shortcode-full-width-testimonials-single-testimonial-authors[data-author-name-position="'. esc_attr( $attributes['author_name_position'] ) .'"][data-content-position="'. esc_attr( $attributes['content_position'] ) .'"] .ueldo-shortcode-full-width-testimonials-single-testimonial-author',
                                    array(
                                        'margin-'. esc_attr( ( ( $attributes['author_name_position'] == 'under-person-images' && $attributes['content_position'] == 'under' ) || $attributes['author_name_position'] == 'above-content' ) ? 'bottom' : 'top' ) => esc_attr( $attributes['author_description_margin_px'] )
                                    )
                                );
                            }

                            # can we add custom person images sizes?
                            if( $attributes['person_images_custom_sizes_enabled'] != 'theme_defaults' ) {

                                # temporary variables
                                $temp = array(
                                    'image-container-width' => $attributes['current_person_image_width'] > $attributes['person_images_width'] ? $attributes['current_person_image_width'] : $attributes['person_images_width'],
                                    'image-container-height' => $attributes['current_person_image_height'] > $attributes['person_images_height'] ? $attributes['current_person_image_height'] : $attributes['person_images_height'],
                                    'person-images-border-radius' => $attributes['person_images_border_radius'] == '100%' ? '100%' : $attributes['person_images_border_radius_px'],
                                    'current-person-image-border-radius' => $attributes['current_person_image_border_radius'] == 'same' ? ( $attributes['person_images_border_radius'] == '100%' ? '100%' : $attributes['person_images_border_radius_px'] ) : ( $attributes['current_person_image_border_radius'] == '100%' ? '100%' : $attributes['current_person_image_border_radius_px'] )
                                );

                                # loop padding
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-full-width-testimonials.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-full-width-testimonials-clients-images .ueldo-shortcode-full-width-testimonials-clients-images-loop',
                                    array(
                                        'padding-top' => esc_attr( $attributes['person_images_loop_padding_top'] ),
                                        'padding-bottom' => esc_attr( $attributes['person_images_loop_padding_bottom'] )
                                    )
                                );

                                # image container
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-full-width-testimonials.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-full-width-testimonials-clients-images .ueldo-shortcode-full-width-testimonials-clients-images-single-client-container',
                                    array(
                                        'margin-left' => esc_attr( $attributes['space_between_person_images'] == 0 ? 0 : ( $attributes['space_between_person_images'] / 2 ) ),
                                        'margin-right' => esc_attr( $attributes['space_between_person_images'] == 0 ? 0 : ( $attributes['space_between_person_images'] / 2 ) ),
                                        'width' => esc_attr( $temp['image-container-width'] ),
                                        'height' => esc_attr( $temp['image-container-height'] )
                                    )
                                );

                                # person images (inactive)
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-full-width-testimonials.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-full-width-testimonials-clients-images .ueldo-shortcode-full-width-testimonials-clients-images-single-client[data-active="no"]',
                                    array(
                                        'width' => esc_attr( $attributes['person_images_width'] ),
                                        'height' => esc_attr( $attributes['person_images_height'] ),
                                        'top' => ( $temp['image-container-height'] == $attributes['person_images_height'] ? 0 : ( ( $temp['image-container-height'] - $attributes['person_images_height'] ) / 2 ) ) .'px',
                                        esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) => ( $temp['image-container-width'] == $attributes['person_images_width'] ? 0 : ( ( $temp['image-container-width'] - $attributes['person_images_width'] ) / 2 ) ) .'px',
                                        '-webkit-border-radius'. esc_attr( $temp['person-images-border-radius'] == '100%' ? '-%' : '' ) => esc_attr( $temp['person-images-border-radius'] ),
                                        '-moz-border-radius'. esc_attr( $temp['person-images-border-radius'] == '100%' ? '-%' : '' ) => esc_attr( $temp['person-images-border-radius'] ),
                                        'border-radius'. esc_attr( $temp['person-images-border-radius'] == '100%' ? '-%' : '' ) => esc_attr( $temp['person-images-border-radius'] )
                                    )
                                );

                                # person images (active)
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-full-width-testimonials.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-full-width-testimonials-clients-images .ueldo-shortcode-full-width-testimonials-clients-images-single-client[data-active="yes"]',
                                    array(
                                        'width' => esc_attr( $attributes['current_person_image_width'] ),
                                        'height' => esc_attr( $attributes['current_person_image_height'] ),
                                        'top' => ( $temp['image-container-height'] == $attributes['current_person_image_height'] ? 0 : ( ( $temp['image-container-height'] - $attributes['current_person_image_height'] ) / 2 ) ) .'px',
                                        esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) => ( $temp['image-container-width'] == $attributes['current_person_image_width'] ? 0 : ( ( $temp['image-container-width'] - $attributes['current_person_image_width'] ) / 2 ) ) .'px',
                                        '-webkit-border-radius'. esc_attr( $temp['current-person-image-border-radius'] == '100%' ? '-%' : '' ) => esc_attr( $temp['current-person-image-border-radius'] ),
                                        '-moz-border-radius'. esc_attr( $temp['current-person-image-border-radius'] == '100%' ? '-%' : '' ) => esc_attr( $temp['current-person-image-border-radius'] ),
                                        'border-radius'. esc_attr( $temp['current-person-image-border-radius'] == '100%' ? '-%' : '' ) => esc_attr( $temp['current-person-image-border-radius'] )
                                    )
                                );

                                # remove temporary variables
                                unset( $temp );
                            }
                        }

                        # can we add custom colors?
                        if( $attributes['custom_colors_enabled'] != 'theme_defaults' ) {

                            # background color
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-full-width-testimonials.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-full-width-testimonials-single-testimonial-content',
                                array(
                                    'background' => esc_attr( $attributes['background_color'] )
                                )
                            );

                            # author name color
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-full-width-testimonials.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-full-width-testimonials-single-testimonial-author p.ueldo-shortcode-full-width-testimonials-single-testimonial-author-name',
                                array(
                                    'color' => esc_attr( $attributes['author_name_color'] )
                                )
                            );

                            # author description
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-full-width-testimonials.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-full-width-testimonials-single-testimonial-author p:not(.ueldo-shortcode-full-width-testimonials-single-testimonial-author-name)',
                                array(
                                    'color' => esc_attr( $attributes['author_description_color'] )
                                )
                            );

                            # box shadows for persons
                            if( $attributes['type'] == 'persons' ) {

                                # add box shadow to person images
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-full-width-testimonials.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-full-width-testimonials-clients-images .ueldo-shortcode-full-width-testimonials-clients-images-single-client[data-active="no"]',
                                    array(
                                        '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['persons_images_box_shadow_horizontal_length'], $attributes['persons_images_box_shadow_vertical_length'], $attributes['persons_images_box_shadow_blur_radius'], $attributes['persons_images_box_shadow_spread_radius'], $attributes['persons_images_box_shadow_color'] ),
                                        '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['persons_images_box_shadow_horizontal_length'], $attributes['persons_images_box_shadow_vertical_length'], $attributes['persons_images_box_shadow_blur_radius'], $attributes['persons_images_box_shadow_spread_radius'], $attributes['persons_images_box_shadow_color'] ),
                                        'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['persons_images_box_shadow_horizontal_length'], $attributes['persons_images_box_shadow_vertical_length'], $attributes['persons_images_box_shadow_blur_radius'], $attributes['persons_images_box_shadow_spread_radius'], $attributes['persons_images_box_shadow_color'] )
                                    )
                                );

                                # add box shadow to person images (on hover)
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-full-width-testimonials.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-full-width-testimonials-clients-images .ueldo-shortcode-full-width-testimonials-clients-images-single-client[data-active="no"]:hover',
                                    array(
                                        '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['persons_images_box_shadow_horizontal_length_hover'], $attributes['persons_images_box_shadow_vertical_length_hover'], $attributes['persons_images_box_shadow_blur_radius_hover'], $attributes['persons_images_box_shadow_spread_radius_hover'], $attributes['persons_images_box_shadow_color_hover'] ),
                                        '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['persons_images_box_shadow_horizontal_length_hover'], $attributes['persons_images_box_shadow_vertical_length_hover'], $attributes['persons_images_box_shadow_blur_radius_hover'], $attributes['persons_images_box_shadow_spread_radius_hover'], $attributes['persons_images_box_shadow_color_hover'] ),
                                        'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['persons_images_box_shadow_horizontal_length_hover'], $attributes['persons_images_box_shadow_vertical_length_hover'], $attributes['persons_images_box_shadow_blur_radius_hover'], $attributes['persons_images_box_shadow_spread_radius_hover'], $attributes['persons_images_box_shadow_color_hover'] )
                                    )
                                );

                                # add box shadow to active person image
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-full-width-testimonials.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-full-width-testimonials-clients-images .ueldo-shortcode-full-width-testimonials-clients-images-single-client[data-active="yes"]',
                                    array(
                                        '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['active_person_image_box_shadow_horizontal_length'], $attributes['active_person_image_box_shadow_vertical_length'], $attributes['active_person_image_box_shadow_blur_radius'], $attributes['active_person_image_box_shadow_spread_radius'], $attributes['active_person_image_box_shadow_color'] ),
                                        '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['active_person_image_box_shadow_horizontal_length'], $attributes['active_person_image_box_shadow_vertical_length'], $attributes['active_person_image_box_shadow_blur_radius'], $attributes['active_person_image_box_shadow_spread_radius'], $attributes['active_person_image_box_shadow_color'] ),
                                        'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['active_person_image_box_shadow_horizontal_length'], $attributes['active_person_image_box_shadow_vertical_length'], $attributes['active_person_image_box_shadow_blur_radius'], $attributes['active_person_image_box_shadow_spread_radius'], $attributes['active_person_image_box_shadow_color'] )
                                    )
                                );

                                # add box shadow to active person image (on hover)
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-full-width-testimonials.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-full-width-testimonials-clients-images .ueldo-shortcode-full-width-testimonials-clients-images-single-client[data-active="yes"]:hover',
                                    array(
                                        '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['active_person_image_box_shadow_horizontal_length_hover'], $attributes['active_person_image_box_shadow_vertical_length_hover'], $attributes['active_person_image_box_shadow_blur_radius_hover'], $attributes['active_person_image_box_shadow_spread_radius_hover'], $attributes['active_person_image_box_shadow_color_hover'] ),
                                        '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['active_person_image_box_shadow_horizontal_length_hover'], $attributes['active_person_image_box_shadow_vertical_length_hover'], $attributes['active_person_image_box_shadow_blur_radius_hover'], $attributes['active_person_image_box_shadow_spread_radius_hover'], $attributes['active_person_image_box_shadow_color_hover'] ),
                                        'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['active_person_image_box_shadow_horizontal_length_hover'], $attributes['active_person_image_box_shadow_vertical_length_hover'], $attributes['active_person_image_box_shadow_blur_radius_hover'], $attributes['active_person_image_box_shadow_spread_radius_hover'], $attributes['active_person_image_box_shadow_color_hover'] )
                                    )
                                );
                            }

                            # logos background
                            else {

                                # background color
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-full-width-testimonials.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-full-width-testimonials-clients-logos .ueldo-shortcode-full-width-testimonials-clients-logos-single-client .ueldo-shortcode-full-width-testimonials-clients-logos-single-client-image, .ueldo-shortcode-full-width-testimonials.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-full-width-testimonials-clients-logos .ueldo-shortcode-full-width-testimonials-clients-logos-single-client .ueldo-shortcode-full-width-testimonials-clients-logos-single-client-image-hover',
                                    array(
                                        'background' => esc_attr( $attributes['background_color'] )
                                    )
                                );
                            }

                            # next / prev arrow color
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-full-width-testimonials.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-full-width-testimonials-next-prev-icon i',
                                array(
                                    'color' => esc_attr( $attributes['next_prev_arrow_color'] )
                                )
                            );

                            # next / prev arrow (on hover) color
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-full-width-testimonials.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-full-width-testimonials-next-prev-icon:hover i',
                                array(
                                    'color' => esc_attr( $attributes['next_prev_arrow_color_hover'] )
                                )
                            );

                            # next / prev arrow container
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-full-width-testimonials.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-full-width-testimonials-next-prev-icon',
                                array(
                                    'background' => esc_attr( $attributes['next_prev_arrow_container_background'] ),
                                    'border-color' => esc_attr( $attributes['next_prev_arrow_container_border_color'] ),
                                    '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['next_prev_arrow_container_box_shadow_horizontal_length'], $attributes['next_prev_arrow_container_box_shadow_vertical_length'], $attributes['next_prev_arrow_container_box_shadow_blur_radius'], $attributes['next_prev_arrow_container_box_shadow_spread_radius'], $attributes['next_prev_arrow_container_box_shadow_color'] ),
                                    '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['next_prev_arrow_container_box_shadow_horizontal_length'], $attributes['next_prev_arrow_container_box_shadow_vertical_length'], $attributes['next_prev_arrow_container_box_shadow_blur_radius'], $attributes['next_prev_arrow_container_box_shadow_spread_radius'], $attributes['next_prev_arrow_container_box_shadow_color'] ),
                                    'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['next_prev_arrow_container_box_shadow_horizontal_length'], $attributes['next_prev_arrow_container_box_shadow_vertical_length'], $attributes['next_prev_arrow_container_box_shadow_blur_radius'], $attributes['next_prev_arrow_container_box_shadow_spread_radius'], $attributes['next_prev_arrow_container_box_shadow_color'] )
                                )
                            );

                            # next / prev arrow container (on hover)
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-full-width-testimonials.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-full-width-testimonials-next-prev-icon:hover',
                                array(
                                    'background' => esc_attr( $attributes['next_prev_arrow_container_background_hover'] ),
                                    'border-color' => esc_attr( $attributes['next_prev_arrow_container_border_color_hover'] ),
                                    '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['next_prev_arrow_container_box_shadow_horizontal_length_hover'], $attributes['next_prev_arrow_container_box_shadow_vertical_length_hover'], $attributes['next_prev_arrow_container_box_shadow_blur_radius_hover'], $attributes['next_prev_arrow_container_box_shadow_spread_radius_hover'], $attributes['next_prev_arrow_container_box_shadow_color_hover'] ),
                                    '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['next_prev_arrow_container_box_shadow_horizontal_length_hover'], $attributes['next_prev_arrow_container_box_shadow_vertical_length_hover'], $attributes['next_prev_arrow_container_box_shadow_blur_radius_hover'], $attributes['next_prev_arrow_container_box_shadow_spread_radius_hover'], $attributes['next_prev_arrow_container_box_shadow_color_hover'] ),
                                    'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['next_prev_arrow_container_box_shadow_horizontal_length_hover'], $attributes['next_prev_arrow_container_box_shadow_vertical_length_hover'], $attributes['next_prev_arrow_container_box_shadow_blur_radius_hover'], $attributes['next_prev_arrow_container_box_shadow_spread_radius_hover'], $attributes['next_prev_arrow_container_box_shadow_color_hover'] )
                                )
                            );
                        }

                        # can we set custom sizes for next / prev arrows?
                        if( $attributes['custom_next_prev_arrows_settings'] != 'theme_defaults' ) {

                            # update next / prev arrow font size
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-full-width-testimonials.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-full-width-testimonials-next-prev-icon i',
                                array(
                                    'font-size' => esc_attr( $attributes['arrow_font_size'] )
                                )
                            );

                            # update container sizes
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-full-width-testimonials.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-full-width-testimonials-next-prev-icon',
                                array(
                                    'padding-top' => esc_attr( $attributes['arrow_padding_top_bottom'] ),
                                    'padding-bottom' => esc_attr( $attributes['arrow_padding_top_bottom'] ),
                                    'padding-left' => esc_attr( $attributes['arrow_padding_left_right'] ),
                                    'padding-right' => esc_attr( $attributes['arrow_padding_left_right'] ),
                                    '-webkit-border-radius' => esc_attr( $attributes['arrow_border_radius'] ),
                                    '-moz-border-radius' => esc_attr( $attributes['arrow_border_radius'] ),
                                    'border-radius' => esc_attr( $attributes['arrow_border_radius'] ),
                                    'border-width' => esc_attr( $attributes['arrow_border_width'] ),
                                    'margin-top' => '-'. esc_attr( ( ( $attributes['arrow_padding_top_bottom'] * 2 ) + $attributes['arrow_font_size'] ) / 2 )
                                )
                            );
                        }

                        # save css style
                        $shortcodes_styles -> save_styles();

                        # remove attributes array
                        unset( $attributes );

                    break;

                   /**
                    *
                    * ueldo_shortcode_full_width_testimonials_single_testimonial
                    *
                    */

                    case 'ueldo_shortcode_full_width_testimonials_single_testimonial':

                        # attributes array
                        $attributes = array(
                            'image_opacity' => isset( $shortcode['atts']['image_opacity'] ) && $shortcode['atts']['image_opacity'] != '' ? $shortcode['atts']['image_opacity'] : '100%',
                            'other_image_on_hover' => isset( $shortcode['atts']['other_image_on_hover'] ) && !empty( $shortcode['atts']['other_image_on_hover'] ) ? $shortcode['atts']['other_image_on_hover'] : 'no',
                            'hover_image_opacity' => isset( $shortcode['atts']['hover_image_opacity'] ) && $shortcode['atts']['hover_image_opacity'] != '' ? $shortcode['atts']['hover_image_opacity'] : '100%'
                        );

                        # add styles
                        $shortcodes_styles -> update_style(
                            'ueldo-shortcode-full-width-testimonials-clients-logos-loop .'. esc_attr( $shortcode['atts']['class_name'] ) .', .'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-full-width-testimonials-clients-images-single-client',
                            array(
                                'opacity' => esc_attr( str_replace( '%', '', $attributes['image_opacity'] ) / 100 )
                            )
                        );

                        # do we need to display other image on hover?
                        if( $attributes['other_image_on_hover'] == 'yes' ) {

                            # add styles
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-full-width-testimonials-clients-logos-loop .'. esc_attr( $shortcode['atts']['class_name'] ) .'[data-active="yes"], .'. esc_attr( $shortcode['atts']['class_name'] ) .':hover, .'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-full-width-testimonials-clients-images-single-client[data-active="yes"], .'. esc_attr( $shortcode['atts']['class_name'] ) .':hover .ueldo-shortcode-full-width-testimonials-clients-images-single-client',
                                array(
                                    'opacity' => esc_attr( str_replace( '%', '', $attributes['hover_image_opacity'] ) / 100 )
                                )
                            );
                        }

                        # save css style
                        $shortcodes_styles -> save_styles();

                        # remove attributes array
                        unset( $attributes );

                    break;

                   /**
                    *
                    * ueldo_shortcode_accordion
                    *
                    */

                    case 'ueldo_shortcode_accordion':

                        # attributes array
                        $attributes = array(
                            'single_element_title_heading_type' => isset( $shortcode['atts']['single_element_title_heading_type'] ) && !empty( $shortcode['atts']['single_element_title_heading_type'] ) ? $shortcode['atts']['single_element_title_heading_type'] : 'h6',
                            'custom_sizes_enabled' => isset( $shortcode['atts']['custom_sizes_enabled'] ) && !empty( $shortcode['atts']['custom_sizes_enabled'] ) ? $shortcode['atts']['custom_sizes_enabled'] : 'theme_defaults',
                            'box_border_width' => isset( $shortcode['atts']['box_border_width'] ) && $shortcode['atts']['box_border_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_border_width'] ) ? $shortcode['atts']['box_border_width'] : '1',
                            'box_border_radius' => isset( $shortcode['atts']['box_border_radius'] ) && $shortcode['atts']['box_border_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_border_radius'] ) ? $shortcode['atts']['box_border_radius'] : '4',
                            'border_between_elements_width' => isset( $shortcode['atts']['border_between_elements_width'] ) && $shortcode['atts']['border_between_elements_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['border_between_elements_width'] ) ? $shortcode['atts']['border_between_elements_width'] : '1',
                            'custom_colors_enabled' => isset( $shortcode['atts']['custom_colors_enabled'] ) && !empty( $shortcode['atts']['custom_colors_enabled'] ) ? $shortcode['atts']['custom_colors_enabled'] : 'theme_defaults',
                            'background_color' => isset( $shortcode['atts']['background_color'] ) && $shortcode['atts']['background_color'] != '' ? $shortcode['atts']['background_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                            'background_color_hover' => isset( $shortcode['atts']['background_color_hover'] ) && $shortcode['atts']['background_color_hover'] != '' ? $shortcode['atts']['background_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                            'border_color' => isset( $shortcode['atts']['border_color'] ) && $shortcode['atts']['border_color'] != '' ? $shortcode['atts']['border_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-border-color' ) ),
                            'border_color_hover' => isset( $shortcode['atts']['border_color_hover'] ) && $shortcode['atts']['border_color_hover'] != '' ? $shortcode['atts']['border_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-hover-border-color' ) ),
                            'box_shadow_horizontal_length' => isset( $shortcode['atts']['box_shadow_horizontal_length'] ) && $shortcode['atts']['box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_horizontal_length'] ) ? $shortcode['atts']['box_shadow_horizontal_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'horizontal-length' ) ),
                            'box_shadow_vertical_length' => isset( $shortcode['atts']['box_shadow_vertical_length'] ) && $shortcode['atts']['box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_vertical_length'] ) ? $shortcode['atts']['box_shadow_vertical_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'vertical-length' ) ),
                            'box_shadow_blur_radius' => isset( $shortcode['atts']['box_shadow_blur_radius'] ) && $shortcode['atts']['box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_blur_radius'] ) ? $shortcode['atts']['box_shadow_blur_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'blur-radius' ) ),
                            'box_shadow_spread_radius' => isset( $shortcode['atts']['box_shadow_spread_radius'] ) && $shortcode['atts']['box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_spread_radius'] ) ? $shortcode['atts']['box_shadow_spread_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'spread-radius' ) ),
                            'box_shadow_color' => isset( $shortcode['atts']['box_shadow_color'] ) && $shortcode['atts']['box_shadow_color'] != '' ? $shortcode['atts']['box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'color' ) ),
                            'box_shadow_horizontal_length_hover' => isset( $shortcode['atts']['box_shadow_horizontal_length_hover'] ) && $shortcode['atts']['box_shadow_horizontal_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_horizontal_length_hover'] ) ? $shortcode['atts']['box_shadow_horizontal_length_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'horizontal-length' ) ),
                            'box_shadow_vertical_length_hover' => isset( $shortcode['atts']['box_shadow_vertical_length_hover'] ) && $shortcode['atts']['box_shadow_vertical_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_vertical_length_hover'] ) ? $shortcode['atts']['box_shadow_vertical_length_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'vertical-length' ) ),
                            'box_shadow_blur_radius_hover' => isset( $shortcode['atts']['box_shadow_blur_radius_hover'] ) && $shortcode['atts']['box_shadow_blur_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_blur_radius_hover'] ) ? $shortcode['atts']['box_shadow_blur_radius_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'blur-radius' ) ),
                            'box_shadow_spread_radius_hover' => isset( $shortcode['atts']['box_shadow_spread_radius_hover'] ) && $shortcode['atts']['box_shadow_spread_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_spread_radius_hover'] ) ? $shortcode['atts']['box_shadow_spread_radius_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'spread-radius' ) ),
                            'box_shadow_color_hover' => isset( $shortcode['atts']['box_shadow_color_hover'] ) && $shortcode['atts']['box_shadow_color_hover'] != '' ? $shortcode['atts']['box_shadow_color_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'color' ) ),
                            'border_color_between_elements' => isset( $shortcode['atts']['border_color_between_elements'] ) && $shortcode['atts']['border_color_between_elements'] != '' ? $shortcode['atts']['border_color_between_elements'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-inset-border-color' ) ),
                            'element_title_color' => isset( $shortcode['atts']['element_title_color'] ) && $shortcode['atts']['element_title_color'] != '' ? $shortcode['atts']['element_title_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-headings-color' ) ),
                            'element_title_color_hover' => isset( $shortcode['atts']['element_title_color_hover'] ) && $shortcode['atts']['element_title_color_hover'] != '' ? $shortcode['atts']['element_title_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) )
                        );

                        # do we have custom sizes enabled?
                        if( $attributes['custom_sizes_enabled'] != 'theme_defaults' ) {

                            # general element styles
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ),
                                array(
                                    'border-width' => esc_attr( $attributes['box_border_width'] ),
                                    '-webkit-border-radius' => esc_attr( $attributes['box_border_radius'] ),
                                    '-moz-border-radius' => esc_attr( $attributes['box_border_radius'] ),
                                    'border-radius' => esc_attr( $attributes['box_border_radius'] )
                                )
                            );

                            # border between elements width
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-accordion-single-element',
                                array(
                                    'border-bottom-width' => esc_attr( $attributes['border_between_elements_width'] )
                                )
                            );
                        }

                        # do we have custom colors enabled?
                        if( $attributes['custom_colors_enabled'] != 'theme_defaults' ) {

                            # update general element styles
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ),
                                array(
                                    'background' => esc_attr( $attributes['background_color'] ),
                                    'border-color' => esc_attr( $attributes['border_color'] ),
                                    '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length'], $attributes['box_shadow_vertical_length'], $attributes['box_shadow_blur_radius'], $attributes['box_shadow_spread_radius'], $attributes['box_shadow_color'] ),
                                    '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length'], $attributes['box_shadow_vertical_length'], $attributes['box_shadow_blur_radius'], $attributes['box_shadow_spread_radius'], $attributes['box_shadow_color'] ),
                                    'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length'], $attributes['box_shadow_vertical_length'], $attributes['box_shadow_blur_radius'], $attributes['box_shadow_spread_radius'], $attributes['box_shadow_color'] )
                                )
                            );

                            # update general element styles (on hover)
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .':hover',
                                array(
                                    'background' => esc_attr( $attributes['background_color_hover'] ),
                                    'border-color' => esc_attr( $attributes['border_color_hover'] ),
                                    '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length_hover'], $attributes['box_shadow_vertical_length_hover'], $attributes['box_shadow_blur_radius_hover'], $attributes['box_shadow_spread_radius_hover'], $attributes['box_shadow_color_hover'] ),
                                    '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length_hover'], $attributes['box_shadow_vertical_length_hover'], $attributes['box_shadow_blur_radius_hover'], $attributes['box_shadow_spread_radius_hover'], $attributes['box_shadow_color_hover'] ),
                                    'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length_hover'], $attributes['box_shadow_vertical_length_hover'], $attributes['box_shadow_blur_radius_hover'], $attributes['box_shadow_spread_radius_hover'], $attributes['box_shadow_color_hover'] )
                                )
                            );

                            # border color between elements
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-accordion-single-element',
                                array(
                                    'border-color' => esc_attr( $attributes['border_color_between_elements'] )
                                )
                            );

                            # element title color
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-accordion-single-element.ueldo-shortcode-accordion-single-element-inactive .ueldo-shortcode-accordion-single-element-title '. esc_attr( $attributes['single_element_title_heading_type'] ),
                                array(
                                    'color' => esc_attr( $attributes['element_title_color'] )
                                )
                            );

                            # element title color (on hover, active)
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-accordion-single-element:not(.ueldo-shortcode-accordion-single-element-inactive) .ueldo-shortcode-accordion-single-element-title '. esc_attr( $attributes['single_element_title_heading_type'] ) .', .'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-accordion-single-element.ueldo-shortcode-accordion-single-element-inactive .ueldo-shortcode-accordion-single-element-title:hover '. esc_attr( $attributes['single_element_title_heading_type'] ),
                                array(
                                    'color' => esc_attr( $attributes['element_title_color_hover'] )
                                )
                            );
                        }

                        # save css style
                        $shortcodes_styles -> save_styles();

                        # remove attributes array
                        unset( $attributes );

                    break;

                   /**
                    *
                    * ueldo_shortcode_accordion_single_element
                    *
                    */

                    case 'ueldo_shortcode_accordion_single_element':

                        # attributes array
                        $attributes = array(
                            'custom_colors_enabled' => isset( $shortcode['atts']['custom_colors_enabled'] ) && !empty( $shortcode['atts']['custom_colors_enabled'] ) ? $shortcode['atts']['custom_colors_enabled'] : 'theme_defaults',
                            'background_color' => isset( $shortcode['atts']['background_color'] ) && $shortcode['atts']['background_color'] != '' ? $shortcode['atts']['background_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                            'background_color_hover' => isset( $shortcode['atts']['background_color_hover'] ) && $shortcode['atts']['background_color_hover'] != '' ? $shortcode['atts']['background_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                            'title_color' => isset( $shortcode['atts']['title_color'] ) && $shortcode['atts']['title_color'] != '' ? $shortcode['atts']['title_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-headings-color' ) ),
                            'title_color_hover' => isset( $shortcode['atts']['title_color_hover'] ) && $shortcode['atts']['title_color_hover'] != '' ? $shortcode['atts']['title_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) )
                        );

                        # do we have custom colors enabled?
                        if( $attributes['custom_colors_enabled'] != 'theme_defaults' ) {

                            # update general element styles
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ),
                                array(
                                    'background' => esc_attr( $attributes['background_color'] )
                                )
                            );

                            # update general element styles (on hover)
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .':hover',
                                array(
                                    'background' => esc_attr( $attributes['background_color_hover'] )
                                )
                            );

                            # element title color
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-accordion .ueldo-shortcode-accordion-single-element.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-accordion-single-element-inactive .ueldo-shortcode-accordion-single-element-title h6',
                                array(
                                    'color' => esc_attr( $attributes['title_color'] )
                                )
                            );

                            # element title color (on hover, active)
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-accordion .ueldo-shortcode-accordion-single-element.'. esc_attr( $shortcode['atts']['class_name'] ) .':not(.ueldo-shortcode-accordion-single-element-inactive) .ueldo-shortcode-accordion-single-element-title h6, .ueldo-shortcode-accordion .ueldo-shortcode-accordion-single-element.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-accordion-single-element-inactive .ueldo-shortcode-accordion-single-element-title:hover h6',
                                array(
                                    'color' => esc_attr( $attributes['title_color_hover'] )
                                )
                            );
                        }

                        # save css style
                        $shortcodes_styles -> save_styles();

                        # remove attributes array
                        unset( $attributes );

                    break;

                   /**
                    *
                    * ueldo_shortcode_icon_list
                    *
                    */

                    case 'ueldo_shortcode_icon_list':

                        # attributes array
                        $attributes = array(
                            'list_type' => isset( $shortcode['atts']['list_type'] ) && !empty( $shortcode['atts']['list_type'] ) ? $shortcode['atts']['list_type'] : 'icon_list',
                            'number_position' => isset( $shortcode['atts']['number_position'] ) && !empty( $shortcode['atts']['number_position'] ) ? $shortcode['atts']['number_position'] : esc_attr( ueldo_is_rtl() ? 'right' : 'left' ),
                            'number_element_sizes' => isset( $shortcode['atts']['number_element_sizes'] ) && !empty( $shortcode['atts']['number_element_sizes'] ) ? $shortcode['atts']['number_element_sizes'] : 'theme_defaults',
                            'number_element_font_family' => isset( $shortcode['atts']['number_element_font_family'] ) && !empty( $shortcode['atts']['number_element_font_family'] ) ? $shortcode['atts']['number_element_font_family'] : 'headings-bold-font',
                            'number_element_font_size' => isset( $shortcode['atts']['number_element_font_size'] ) && $shortcode['atts']['number_element_font_size'] != '' && ueldo_is_valid_number( $shortcode['atts']['number_element_font_size'] ) ? $shortcode['atts']['number_element_font_size'] : esc_attr( $ueldo_styles_cache -> get_style( 'font-size-content' ) ),
                            'number_element_width' => isset( $shortcode['atts']['number_element_width'] ) && $shortcode['atts']['number_element_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['number_element_width'] ) ? $shortcode['atts']['number_element_width'] : esc_attr( $ueldo_styles_cache -> get_style( 'font-size-content' ) ),
                            'number_element_height' => isset( $shortcode['atts']['number_element_height'] ) && $shortcode['atts']['number_element_height'] != '' && ueldo_is_valid_number( $shortcode['atts']['number_element_height'] ) ? $shortcode['atts']['number_element_height'] : esc_attr( $ueldo_styles_cache -> get_style( 'font-size-content' ) ),
                            'number_element_list_content_space' => isset( $shortcode['atts']['number_element_list_content_space'] ) && $shortcode['atts']['number_element_list_content_space'] != '' && ueldo_is_valid_number( $shortcode['atts']['number_element_list_content_space'] ) ? $shortcode['atts']['number_element_list_content_space'] : '15',
                            'number_element_border_width' => isset( $shortcode['atts']['number_element_border_width'] ) && $shortcode['atts']['number_element_border_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['number_element_border_width'] ) ? $shortcode['atts']['number_element_border_width'] : '0',
                            'number_element_border_radius' => isset( $shortcode['atts']['number_element_border_radius'] ) && !empty( $shortcode['atts']['number_element_border_radius'] ) ? $shortcode['atts']['number_element_border_radius'] : 'px',
                            'number_element_border_radius_px' => isset( $shortcode['atts']['number_element_border_radius_px'] ) && $shortcode['atts']['number_element_border_radius_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['number_element_border_radius_px'] ) ? $shortcode['atts']['number_element_border_radius_px'] : '0',
                            'number_element_margin_bottom' => isset( $shortcode['atts']['number_element_margin_bottom'] ) && $shortcode['atts']['number_element_margin_bottom'] != '' && ueldo_is_valid_number( $shortcode['atts']['number_element_margin_bottom'] ) ? $shortcode['atts']['number_element_margin_bottom'] : '0',
                            'icon_position' => isset( $shortcode['atts']['icon_position'] ) && !empty( $shortcode['atts']['icon_position'] ) ? $shortcode['atts']['icon_position'] : esc_attr( ueldo_is_rtl() ? 'right' : 'left' ),
                            'icon_sizes' => isset( $shortcode['atts']['icon_sizes'] ) && !empty( $shortcode['atts']['icon_sizes'] ) ? $shortcode['atts']['icon_sizes'] : 'theme_defaults',
                            'icon_font_size' => isset( $shortcode['atts']['icon_font_size'] ) && $shortcode['atts']['icon_font_size'] != '' && ueldo_is_valid_number( $shortcode['atts']['icon_font_size'] ) ? $shortcode['atts']['icon_font_size'] : esc_attr( $ueldo_styles_cache -> get_style( 'font-size-content' ) ),
                            'icon_width' => isset( $shortcode['atts']['icon_width'] ) && $shortcode['atts']['icon_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['icon_width'] ) ? $shortcode['atts']['icon_width'] : esc_attr( $ueldo_styles_cache -> get_style( 'font-size-content' ) ),
                            'icon_height' => isset( $shortcode['atts']['icon_height'] ) && $shortcode['atts']['icon_height'] != '' && ueldo_is_valid_number( $shortcode['atts']['icon_height'] ) ? $shortcode['atts']['icon_height'] : esc_attr( $ueldo_styles_cache -> get_style( 'font-size-content' ) ),
                            'icon_list_content_space' => isset( $shortcode['atts']['icon_list_content_space'] ) && $shortcode['atts']['icon_list_content_space'] != '' && ueldo_is_valid_number( $shortcode['atts']['icon_list_content_space'] ) ? $shortcode['atts']['icon_list_content_space'] : '15',
                            'icon_border_width' => isset( $shortcode['atts']['icon_border_width'] ) && $shortcode['atts']['icon_border_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['icon_border_width'] ) ? $shortcode['atts']['icon_border_width'] : '0',
                            'icon_border_radius' => isset( $shortcode['atts']['icon_border_radius'] ) && !empty( $shortcode['atts']['icon_border_radius'] ) ? $shortcode['atts']['icon_border_radius'] : 'px',
                            'icon_border_radius_px' => isset( $shortcode['atts']['icon_border_radius_px'] ) && $shortcode['atts']['icon_border_radius_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['icon_border_radius_px'] ) ? $shortcode['atts']['icon_border_radius_px'] : '0',
                            'icon_margin_bottom' => isset( $shortcode['atts']['icon_margin_bottom'] ) && $shortcode['atts']['icon_margin_bottom'] != '' && ueldo_is_valid_number( $shortcode['atts']['icon_margin_bottom'] ) ? $shortcode['atts']['icon_margin_bottom'] : '0',
                            'custom_font_family_for_content_enabled' => isset( $shortcode['atts']['custom_font_family_for_content_enabled'] ) && !empty( $shortcode['atts']['custom_font_family_for_content_enabled'] ) ? $shortcode['atts']['custom_font_family_for_content_enabled'] : 'theme_defaults',
                            'content_font_family' => isset( $shortcode['atts']['content_font_family'] ) && !empty( $shortcode['atts']['content_font_family'] ) ? $shortcode['atts']['content_font_family'] : 'general-font',
                            'margin_top' => isset( $shortcode['atts']['margin_top'] ) && $shortcode['atts']['margin_top'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_top'] ) ? $shortcode['atts']['margin_top'] : '0',
                            'margin_right' => isset( $shortcode['atts']['margin_right'] ) && $shortcode['atts']['margin_right'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_right'] ) ? $shortcode['atts']['margin_right'] : '0',
                            'margin_bottom' => isset( $shortcode['atts']['margin_bottom'] ) && $shortcode['atts']['margin_bottom'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_bottom'] ) ? $shortcode['atts']['margin_bottom'] : '30',
                            'margin_left' => isset( $shortcode['atts']['margin_left'] ) && $shortcode['atts']['margin_left'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_left'] ) ? $shortcode['atts']['margin_left'] : '0',
                            'custom_colors_enabled' => isset( $shortcode['atts']['custom_colors_enabled'] ) && !empty( $shortcode['atts']['custom_colors_enabled'] ) ? $shortcode['atts']['custom_colors_enabled'] : 'theme_defaults',
                            'icon_number_color' => isset( $shortcode['atts']['icon_number_color'] ) && $shortcode['atts']['icon_number_color'] != '' ? $shortcode['atts']['icon_number_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                            'icon_number_color_hover' => isset( $shortcode['atts']['icon_number_color_hover'] ) && $shortcode['atts']['icon_number_color_hover'] != '' ? $shortcode['atts']['icon_number_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                            'background_color' => isset( $shortcode['atts']['background_color'] ) && $shortcode['atts']['background_color'] != '' ? $shortcode['atts']['background_color'] : esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) ),
                            'background_color_hover' => isset( $shortcode['atts']['background_color_hover'] ) && $shortcode['atts']['background_color_hover'] != '' ? $shortcode['atts']['background_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) ),
                            'border_color' => isset( $shortcode['atts']['border_color'] ) && $shortcode['atts']['border_color'] != '' ? $shortcode['atts']['border_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-border-color' ) ),
                            'border_color_hover' => isset( $shortcode['atts']['border_color_hover'] ) && $shortcode['atts']['border_color_hover'] != '' ? $shortcode['atts']['border_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-border-color' ) ),
                            'box_shadow_horizontal_length' => isset( $shortcode['atts']['box_shadow_horizontal_length'] ) && $shortcode['atts']['box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_horizontal_length'] ) ? $shortcode['atts']['box_shadow_horizontal_length'] : '0',
                            'box_shadow_vertical_length' => isset( $shortcode['atts']['box_shadow_vertical_length'] ) && $shortcode['atts']['box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_vertical_length'] ) ? $shortcode['atts']['box_shadow_vertical_length'] : '0',
                            'box_shadow_blur_radius' => isset( $shortcode['atts']['box_shadow_blur_radius'] ) && $shortcode['atts']['box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_blur_radius'] ) ? $shortcode['atts']['box_shadow_blur_radius'] : '0',
                            'box_shadow_spread_radius' => isset( $shortcode['atts']['box_shadow_spread_radius'] ) && $shortcode['atts']['box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_spread_radius'] ) ? $shortcode['atts']['box_shadow_spread_radius'] : '0',
                            'box_shadow_color' => isset( $shortcode['atts']['box_shadow_color'] ) && $shortcode['atts']['box_shadow_color'] != '' ? $shortcode['atts']['box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) ),
                            'box_shadow_horizontal_length_hover' => isset( $shortcode['atts']['box_shadow_horizontal_length_hover'] ) && $shortcode['atts']['box_shadow_horizontal_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_horizontal_length_hover'] ) ? $shortcode['atts']['box_shadow_horizontal_length_hover'] : '0',
                            'box_shadow_vertical_length_hover' => isset( $shortcode['atts']['box_shadow_vertical_length_hover'] ) && $shortcode['atts']['box_shadow_vertical_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_vertical_length_hover'] ) ? $shortcode['atts']['box_shadow_vertical_length_hover'] : '0',
                            'box_shadow_blur_radius_hover' => isset( $shortcode['atts']['box_shadow_blur_radius_hover'] ) && $shortcode['atts']['box_shadow_blur_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_blur_radius_hover'] ) ? $shortcode['atts']['box_shadow_blur_radius_hover'] : '0',
                            'box_shadow_spread_radius_hover' => isset( $shortcode['atts']['box_shadow_spread_radius_hover'] ) && $shortcode['atts']['box_shadow_spread_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_spread_radius_hover'] ) ? $shortcode['atts']['box_shadow_spread_radius_hover'] : '0',
                            'box_shadow_color_hover' => isset( $shortcode['atts']['box_shadow_color_hover'] ) && $shortcode['atts']['box_shadow_color_hover'] != '' ? $shortcode['atts']['box_shadow_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) ),
                            'single_element_content_color' => isset( $shortcode['atts']['single_element_content_color'] ) && $shortcode['atts']['single_element_content_color'] != '' ? $shortcode['atts']['single_element_content_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-content-color' ) ),
                            'single_element_content_link_color' => isset( $shortcode['atts']['single_element_content_link_color'] ) && $shortcode['atts']['single_element_content_link_color'] != '' ? $shortcode['atts']['single_element_content_link_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                            'single_element_content_link_color_hover' => isset( $shortcode['atts']['single_element_content_link_color_hover'] ) && $shortcode['atts']['single_element_content_link_color_hover'] != '' ? $shortcode['atts']['single_element_content_link_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) )
                        );

                        # margins
                        $shortcodes_styles -> update_style(
                            'ueldo-shortcode-icon-list.'. esc_attr( $shortcode['atts']['class_name'] ),
                            array(
                                'margin-top' => esc_attr( $attributes['margin_top'] ),
                                'margin-right' => esc_attr( $attributes['margin_right'] ),
                                'margin-bottom' => esc_attr( $attributes['margin_bottom'] ),
                                'margin-left' => esc_attr( $attributes['margin_left'] )
                            )
                        );

                        # action depends on list type
                        switch( $attributes['list_type'] ) {

                            # icon list
                            case 'icon_list':

                                # can we set custom sizes?
                                if( $attributes['icon_sizes'] != 'theme_defaults' ) {

                                    # icon font size
                                    $shortcodes_styles -> update_style(
                                        'ueldo-shortcode-icon-list.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-icon-list-single-element .ueldo-shortcode-icon-list-single-element-icon i, .ueldo-shortcode-icon-list.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-icon-list-single-element .ueldo-shortcode-icon-list-single-element-icon i:before',
                                        array(
                                            'font-size' => esc_attr( $attributes['icon_font_size'] )
                                        )
                                    );

                                    # icon width and height
                                    $shortcodes_styles -> update_style(
                                        'ueldo-shortcode-icon-list.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-icon-list-single-element .ueldo-shortcode-icon-list-single-element-icon',
                                        array(
                                            'width' => esc_attr( $attributes['icon_width'] ),
                                            'height' => esc_attr( $attributes['icon_height'] ),
                                            'border-width' => esc_attr( $attributes['icon_border_width'] ),
                                            '-webkit-border-radius'. esc_attr( $attributes['icon_border_radius'] == 'circle' ? '-%' : '' ) => esc_attr( $attributes['icon_border_radius'] == 'circle' ? '100%' : $attributes['icon_border_radius_px'] ),
                                            '-moz-border-radius'. esc_attr( $attributes['icon_border_radius'] == 'circle' ? '-%' : '' ) => esc_attr( $attributes['icon_border_radius'] == 'circle' ? '100%' : $attributes['icon_border_radius_px'] ),
                                            'border-radius'. esc_attr( $attributes['icon_border_radius'] == 'circle' ? '-%' : '' ) => esc_attr( $attributes['icon_border_radius'] == 'circle' ? '100%' : $attributes['icon_border_radius_px'] ),
                                            'margin-'. esc_attr( $attributes['icon_position'] == 'left' ? 'right' : 'left' ) => esc_attr( $attributes['icon_list_content_space'] )
                                        )
                                    );

                                    # icon middle helper
                                    $shortcodes_styles -> update_style(
                                        'ueldo-shortcode-icon-list.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-icon-list-single-element .ueldo-shortcode-icon-list-single-element-icon span.ueldo-shortcode-icon-list-single-element-icon-middle-helper',
                                        array(
                                            'height' => esc_attr( $attributes['icon_height'] - ( $attributes['icon_border_width'] * 2 ) )
                                        )
                                    );

                                    # single element margin bottom
                                    $shortcodes_styles -> update_style(
                                        'ueldo-shortcode-icon-list.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-icon-list-single-element',
                                        array(
                                            'margin-bottom' => esc_attr( $attributes['icon_margin_bottom'] )
                                        )
                                    );

                                    # content width
                                    $shortcodes_styles -> update_style(
                                        'ueldo-shortcode-icon-list.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-icon-list-single-element .ueldo-shortcode-icon-list-single-element-content',
                                        array(
                                            'width-webkit-calc' => '-webkit-calc( 100% - '. esc_attr( $attributes['icon_width'] + $attributes['icon_list_content_space'] ) .'px )',
                                            'width-moz-calc' => '-moz-calc( 100% - '. esc_attr( $attributes['icon_width'] + $attributes['icon_list_content_space'] ) .'px )',
                                            'width-calc' => 'calc( 100% - '. esc_attr( $attributes['icon_width'] + $attributes['icon_list_content_space'] ) .'px )'
                                        )
                                    );
                                }

                            break;

                            # number list
                            case 'number_list':

                                # can we set custom sizes?
                                if( $attributes['number_element_sizes'] != 'theme_defaults' ) {

                                    # get font data array
                                    $font = ueldo_vc_get_custom_font_family_attributes( ( !empty( $attributes['number_element_font_family'] ) ? $attributes['number_element_font_family'] : false ), 'headings-bold-font' );

                                    # number font size
                                    $shortcodes_styles -> update_style(
                                        'ueldo-shortcode-icon-list.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-icon-list-single-element .ueldo-shortcode-icon-list-single-element-number span.ueldo-shortcode-icon-list-single-element-number-value',
                                        array(
                                            'font-family' => esc_attr( $font['font-family'] ),
                                            'font-weight' => esc_attr( $font['font-weight'] ),
                                            'font-style' => esc_attr( $font['font-style'] ),
                                            '-webkit-font-smoothing' => esc_attr( $font['-webkit-font-smoothing'] ),
                                            '-moz-osx-font-smoothing' => esc_attr( $font['-moz-osx-font-smoothing'] ),
                                            'font-size' => esc_attr( $attributes['number_element_font_size'] )
                                        )
                                    );

                                    # number width and height
                                    $shortcodes_styles -> update_style(
                                        'ueldo-shortcode-icon-list.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-icon-list-single-element .ueldo-shortcode-icon-list-single-element-number',
                                        array(
                                            'width' => esc_attr( $attributes['number_element_width'] ),
                                            'height' => esc_attr( $attributes['number_element_height'] ),
                                            'border-width' => esc_attr( $attributes['number_element_border_width'] ),
                                            '-webkit-border-radius'. esc_attr( $attributes['number_element_border_radius'] == 'circle' ? '-%' : '' ) => esc_attr( $attributes['number_element_border_radius'] == 'circle' ? '100%' : $attributes['number_element_border_radius_px'] ),
                                            '-moz-border-radius'. esc_attr( $attributes['number_element_border_radius'] == 'circle' ? '-%' : '' ) => esc_attr( $attributes['number_element_border_radius'] == 'circle' ? '100%' : $attributes['number_element_border_radius_px'] ),
                                            'border-radius'. esc_attr( $attributes['number_element_border_radius'] == 'circle' ? '-%' : '' ) => esc_attr( $attributes['number_element_border_radius'] == 'circle' ? '100%' : $attributes['number_element_border_radius_px'] ),
                                            'margin-'. esc_attr( $attributes['number_position'] == 'left' ? 'right' : 'left' ) => esc_attr( $attributes['number_element_list_content_space'] )
                                        )
                                    );

                                    # number middle helper
                                    $shortcodes_styles -> update_style(
                                        'ueldo-shortcode-icon-list.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-icon-list-single-element .ueldo-shortcode-icon-list-single-element-number span.ueldo-shortcode-icon-list-single-element-number-middle-helper',
                                        array(
                                            'height' => esc_attr( $attributes['number_element_height'] - ( $attributes['number_element_border_width'] * 2 ) )
                                        )
                                    );

                                    # single element margin bottom
                                    $shortcodes_styles -> update_style(
                                        'ueldo-shortcode-icon-list.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-icon-list-single-element',
                                        array(
                                            'margin-bottom' => esc_attr( $attributes['number_element_margin_bottom'] )
                                        )
                                    );

                                    # content width
                                    $shortcodes_styles -> update_style(
                                        'ueldo-shortcode-icon-list.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-icon-list-single-element .ueldo-shortcode-icon-list-single-element-content',
                                        array(
                                            'width-webkit-calc' => '-webkit-calc( 100% - '. esc_attr( $attributes['number_element_width'] + $attributes['number_element_list_content_space'] ) .'px )',
                                            'width-moz-calc' => '-moz-calc( 100% - '. esc_attr( $attributes['number_element_width'] + $attributes['number_element_list_content_space'] ) .'px )',
                                            'width-calc' => 'calc( 100% - '. esc_attr( $attributes['number_element_width'] + $attributes['number_element_list_content_space'] ) .'px )'
                                        )
                                    );

                                    # remove temporary variable
                                    unset( $font, $temp );
                                }

                            break;
                        }

                        # is custom font family for content elements enabled?
                        if( $attributes['custom_font_family_for_content_enabled'] != 'theme_defaults' ) {

                            # temporary variables
                            $temp = array(
                                'font' => ueldo_vc_get_custom_font_family_attributes( ( !empty( $attributes['content_font_family'] ) ? $attributes['content_font_family'] : false ), 'general-font' )
                            );

                            # update content elements font
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-icon-list.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-icon-list-single-element .ueldo-shortcode-icon-list-single-element-content *:not(i)',
                                array(
                                    'font-family' => esc_attr( $temp['font']['font-family'] ),
                                    'font-weight' => esc_attr( $temp['font']['font-weight'] ),
                                    'font-style' => esc_attr( $temp['font']['font-style'] ),
                                    '-webkit-font-smoothing' => esc_attr( $temp['font']['-webkit-font-smoothing'] ),
                                    '-moz-osx-font-smoothing' => esc_attr( $temp['font']['-moz-osx-font-smoothing'] )
                                )
                            );

                            # remove temporary variable
                            unset( $temp );
                        }

                        # do we have custom colors enabled?
                        if( $attributes['custom_colors_enabled'] != 'theme_defaults' ) {

                            # action depends on list type
                            switch( $attributes['list_type'] ) {

                                # icon list
                                case 'icon_list':

                                    # update icon color
                                    $shortcodes_styles -> update_style(
                                        'ueldo-shortcode-icon-list.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-icon-list-single-element .ueldo-shortcode-icon-list-single-element-icon i, .ueldo-shortcode-icon-list.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-icon-list-single-element .ueldo-shortcode-icon-list-single-element-icon i:before',
                                        array(
                                            'color' => esc_attr( $attributes['icon_number_color'] )
                                        )
                                    );

                                    # update icon color (on hover)
                                    $shortcodes_styles -> update_style(
                                        'ueldo-shortcode-icon-list.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-icon-list-single-element:hover .ueldo-shortcode-icon-list-single-element-icon i, .ueldo-shortcode-icon-list.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-icon-list-single-element:hover .ueldo-shortcode-icon-list-single-element-icon i:before',
                                        array(
                                            'color' => esc_attr( $attributes['icon_number_color_hover'] )
                                        )
                                    );

                                    # update background color
                                    $shortcodes_styles -> update_style(
                                        'ueldo-shortcode-icon-list.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-icon-list-single-element .ueldo-shortcode-icon-list-single-element-icon',
                                        array(
                                            'background' => esc_attr( $attributes['background_color'] ),
                                            'border-color' => esc_attr( $attributes['border_color'] ),
                                            '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length'], $attributes['box_shadow_vertical_length'], $attributes['box_shadow_blur_radius'], $attributes['box_shadow_spread_radius'], $attributes['box_shadow_color'] ),
                                            '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length'], $attributes['box_shadow_vertical_length'], $attributes['box_shadow_blur_radius'], $attributes['box_shadow_spread_radius'], $attributes['box_shadow_color'] ),
                                            'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length'], $attributes['box_shadow_vertical_length'], $attributes['box_shadow_blur_radius'], $attributes['box_shadow_spread_radius'], $attributes['box_shadow_color'] )
                                        )
                                    );

                                    # update background color (on hover)
                                    $shortcodes_styles -> update_style(
                                        'ueldo-shortcode-icon-list.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-icon-list-single-element:hover .ueldo-shortcode-icon-list-single-element-icon',
                                        array(
                                            'background' => esc_attr( $attributes['background_color_hover'] ),
                                            'border-color' => esc_attr( $attributes['border_color_hover'] ),
                                            '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length_hover'], $attributes['box_shadow_vertical_length_hover'], $attributes['box_shadow_blur_radius_hover'], $attributes['box_shadow_spread_radius_hover'], $attributes['box_shadow_color_hover'] ),
                                            '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length_hover'], $attributes['box_shadow_vertical_length_hover'], $attributes['box_shadow_blur_radius_hover'], $attributes['box_shadow_spread_radius_hover'], $attributes['box_shadow_color_hover'] ),
                                            'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length_hover'], $attributes['box_shadow_vertical_length_hover'], $attributes['box_shadow_blur_radius_hover'], $attributes['box_shadow_spread_radius_hover'], $attributes['box_shadow_color_hover'] )
                                        )
                                    );

                                break;

                                # number list
                                case 'number_list':

                                    # update number color
                                    $shortcodes_styles -> update_style(
                                        'ueldo-shortcode-icon-list.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-icon-list-single-element .ueldo-shortcode-icon-list-single-element-number span.ueldo-shortcode-icon-list-single-element-number-value',
                                        array(
                                            'color' => esc_attr( $attributes['icon_number_color'] )
                                        )
                                    );

                                    # update number color (on hover)
                                    $shortcodes_styles -> update_style(
                                        'ueldo-shortcode-icon-list.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-icon-list-single-element:hover .ueldo-shortcode-icon-list-single-element-number span.ueldo-shortcode-icon-list-single-element-number-value',
                                        array(
                                            'color' => esc_attr( $attributes['icon_number_color_hover'] )
                                        )
                                    );

                                    # update background color
                                    $shortcodes_styles -> update_style(
                                        'ueldo-shortcode-icon-list.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-icon-list-single-element .ueldo-shortcode-icon-list-single-element-number',
                                        array(
                                            'background' => esc_attr( $attributes['background_color'] ),
                                            'border-color' => esc_attr( $attributes['border_color'] ),
                                            '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length'], $attributes['box_shadow_vertical_length'], $attributes['box_shadow_blur_radius'], $attributes['box_shadow_spread_radius'], $attributes['box_shadow_color'] ),
                                            '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length'], $attributes['box_shadow_vertical_length'], $attributes['box_shadow_blur_radius'], $attributes['box_shadow_spread_radius'], $attributes['box_shadow_color'] ),
                                            'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length'], $attributes['box_shadow_vertical_length'], $attributes['box_shadow_blur_radius'], $attributes['box_shadow_spread_radius'], $attributes['box_shadow_color'] )
                                        )
                                    );

                                    # update background color (on hover)
                                    $shortcodes_styles -> update_style(
                                        'ueldo-shortcode-icon-list.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-icon-list-single-element:hover .ueldo-shortcode-icon-list-single-element-number',
                                        array(
                                            'background' => esc_attr( $attributes['background_color_hover'] ),
                                            'border-color' => esc_attr( $attributes['border_color_hover'] ),
                                            '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length_hover'], $attributes['box_shadow_vertical_length_hover'], $attributes['box_shadow_blur_radius_hover'], $attributes['box_shadow_spread_radius_hover'], $attributes['box_shadow_color_hover'] ),
                                            '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length_hover'], $attributes['box_shadow_vertical_length_hover'], $attributes['box_shadow_blur_radius_hover'], $attributes['box_shadow_spread_radius_hover'], $attributes['box_shadow_color_hover'] ),
                                            'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length_hover'], $attributes['box_shadow_vertical_length_hover'], $attributes['box_shadow_blur_radius_hover'], $attributes['box_shadow_spread_radius_hover'], $attributes['box_shadow_color_hover'] )
                                        )
                                    );

                                break;
                            }

                            # content color
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-icon-list.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-icon-list-single-element .ueldo-shortcode-icon-list-single-element-content',
                                array(
                                    'color' => esc_attr( $attributes['single_element_content_color'] )
                                )
                            );

                            # content link color
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-icon-list.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-icon-list-single-element .ueldo-shortcode-icon-list-single-element-content a',
                                array(
                                    'color' => esc_attr( $attributes['single_element_content_link_color'] )
                                )
                            );

                            # content link color (on hover)
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-icon-list.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-icon-list-single-element .ueldo-shortcode-icon-list-single-element-content a:hover',
                                array(
                                    'color' => esc_attr( $attributes['single_element_content_link_color_hover'] )
                                )
                            );
                        }

                        # save css style
                        $shortcodes_styles -> save_styles();

                        # remove attributes array
                        unset( $attributes );

                    break;

                   /**
                    *
                    * ueldo_shortcode_gap
                    *
                    */

                    case 'ueldo_shortcode_gap':

                        # attributes array
                        $attributes = array(
                            'large_height' => isset( $shortcode['atts']['large_height'] ) && $shortcode['atts']['large_height'] != '' && ueldo_is_valid_number( $shortcode['atts']['large_height'] ) ? $shortcode['atts']['large_height'] : '60',
                            'medium_layer_custom_sizes' => isset( $shortcode['atts']['medium_custom_sizes'] ) && !empty( $shortcode['atts']['medium_custom_sizes'] ) ? $shortcode['atts']['medium_custom_sizes'] : 'no-large',
                            'medium_height' => isset( $shortcode['atts']['medium_height'] ) && $shortcode['atts']['medium_height'] != '' && ueldo_is_valid_number( $shortcode['atts']['medium_height'] ) ? $shortcode['atts']['medium_height'] : '60',
                            'small_layer_custom_sizes' => isset( $shortcode['atts']['small_custom_sizes'] ) && !empty( $shortcode['atts']['small_custom_sizes'] ) ? $shortcode['atts']['small_custom_sizes'] : 'no-medium',
                            'small_height' => isset( $shortcode['atts']['small_height'] ) && $shortcode['atts']['small_height'] != '' && ueldo_is_valid_number( $shortcode['atts']['small_height'] ) ? $shortcode['atts']['small_height'] : '60',
                            'extra_small_layer_custom_sizes' => isset( $shortcode['atts']['extra_small_custom_sizes'] ) && !empty( $shortcode['atts']['extra_small_custom_sizes'] ) ? $shortcode['atts']['extra_small_custom_sizes'] : 'no-small',
                            'extra_small_height' => isset( $shortcode['atts']['extra_small_height'] ) && $shortcode['atts']['extra_small_height'] != '' && ueldo_is_valid_number( $shortcode['atts']['extra_small_height'] ) ? $shortcode['atts']['extra_small_height'] : '60'
                        );

                        # temporary values for each devices
                        $temp = array(
                            'medium-height' => ueldo_get_vc_element_device_attributes( $attributes, 'height', 'medium' ),
                            'small-height' => ueldo_get_vc_element_device_attributes( $attributes, 'height', 'small' ),
                            'extra-small-height' => ueldo_get_vc_element_device_attributes( $attributes, 'height', 'extra_small' )
                        );

                        # general element styles
                        $shortcodes_styles -> update_style(
                            esc_attr( $shortcode['atts']['class_name'] ),
                            array(
                                '1200_more' => array(
                                    'height' => esc_attr( $attributes['large_height'] )
                                ),
                                '992_1199' => array(
                                    'height' => esc_attr( $temp['medium-height'] )
                                ),
                                '768_991' => array(
                                    'height' => esc_attr( $temp['small-height'] )
                                ),
                                'less_767' => array(
                                    'height' => esc_attr( $temp['extra-small-height'] )
                                )
                            )
                        );

                        # remove temporary variables
                        unset( $temp );

                        # save css style
                        $shortcodes_styles -> save_styles();

                        # remove attributes array
                        unset( $attributes );

                    break;

                   /**
                    *
                    * ueldo_shortcode_announcement
                    *
                    */

                    case 'ueldo_shortcode_announcement':

                        # attributes array
                        $attributes = array(
                            'type' => isset( $shortcode['atts']['type'] ) && !empty( $shortcode['atts']['type'] ) ? $shortcode['atts']['type'] : 'info',
                            'add_icon' => isset( $shortcode['atts']['add_icon'] ) && !empty( $shortcode['atts']['add_icon'] ) ? $shortcode['atts']['add_icon'] : 'no',
                            'icon_position' => isset( $shortcode['atts']['icon_position'] ) && !empty( $shortcode['atts']['icon_position'] ) ? $shortcode['atts']['icon_position'] : esc_attr( ueldo_is_rtl() ? 'right' : 'left' ),
                            'margin_top' => isset( $shortcode['atts']['margin_top'] ) && $shortcode['atts']['margin_top'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_top'] ) ? $shortcode['atts']['margin_top'] : '0',
                            'margin_right' => isset( $shortcode['atts']['margin_right'] ) && $shortcode['atts']['margin_right'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_right'] ) ? $shortcode['atts']['margin_right'] : '0',
                            'margin_bottom' => isset( $shortcode['atts']['margin_bottom'] ) && $shortcode['atts']['margin_bottom'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_bottom'] ) ? $shortcode['atts']['margin_bottom'] : '30',
                            'margin_left' => isset( $shortcode['atts']['margin_left'] ) && $shortcode['atts']['margin_left'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_left'] ) ? $shortcode['atts']['margin_left'] : '0',
                            'custom_sizes_enabled' => isset( $shortcode['atts']['custom_sizes_enabled'] ) && !empty( $shortcode['atts']['custom_sizes_enabled'] ) ? $shortcode['atts']['custom_sizes_enabled'] : 'theme_defaults',
                            'padding_top_bottom' => isset( $shortcode['atts']['padding_top_bottom'] ) && $shortcode['atts']['padding_top_bottom'] != '' && ueldo_is_valid_number( $shortcode['atts']['padding_top_bottom'] ) ? $shortcode['atts']['padding_top_bottom'] : '12',
                            'padding_left_right' => isset( $shortcode['atts']['padding_left_right'] ) && $shortcode['atts']['padding_left_right'] != '' && ueldo_is_valid_number( $shortcode['atts']['padding_left_right'] ) ? $shortcode['atts']['padding_left_right'] : '20',
                            'border_radius' => isset( $shortcode['atts']['border_radius'] ) && $shortcode['atts']['border_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['border_radius'] ) ? $shortcode['atts']['border_radius'] : '2',
                            'border_width' => isset( $shortcode['atts']['border_width'] ) && $shortcode['atts']['border_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['border_width'] ) ? $shortcode['atts']['border_width'] : '1',
                            'icon_size' => isset( $shortcode['atts']['icon_size'] ) && $shortcode['atts']['icon_size'] != '' && ueldo_is_valid_number( $shortcode['atts']['icon_size'] ) ? $shortcode['atts']['icon_size'] : '18',
                            'margin_between_icon_and_content' => isset( $shortcode['atts']['margin_between_icon_and_content'] ) && $shortcode['atts']['margin_between_icon_and_content'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_between_icon_and_content'] ) ? $shortcode['atts']['margin_between_icon_and_content'] : '18',
                            'custom_colors_enabled' => isset( $shortcode['atts']['custom_colors_enabled'] ) && !empty( $shortcode['atts']['custom_colors_enabled'] ) ? $shortcode['atts']['custom_colors_enabled'] : 'theme_defaults',
                            'info_content_color' => isset( $shortcode['atts']['info_content_color'] ) && $shortcode['atts']['info_content_color'] != '' ? $shortcode['atts']['info_content_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'announcement-info-content-color' ) ),
                            'info_border_color' => isset( $shortcode['atts']['info_border_color'] ) && $shortcode['atts']['info_border_color'] != '' ? $shortcode['atts']['info_border_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'announcement-info-border-color' ) ),
                            'info_border_color_hover' => isset( $shortcode['atts']['info_border_color_hover'] ) && $shortcode['atts']['info_border_color_hover'] != '' ? $shortcode['atts']['info_border_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'announcement-info-border-color' ) ),
                            'info_background_color' => isset( $shortcode['atts']['info_background_color'] ) && $shortcode['atts']['info_background_color'] != '' ? $shortcode['atts']['info_background_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'announcement-info-background-color' ) ),
                            'info_background_color_hover' => isset( $shortcode['atts']['info_background_color_hover'] ) && $shortcode['atts']['info_background_color_hover'] != '' ? $shortcode['atts']['info_background_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'announcement-info-background-color' ) ),
                            'info_box_shadow_horizontal_length' => isset( $shortcode['atts']['info_box_shadow_horizontal_length'] ) && $shortcode['atts']['info_box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['info_box_shadow_horizontal_length'] ) ? $shortcode['atts']['info_box_shadow_horizontal_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'announcement-info-box-shadow', 'horizontal-length' ) ),
                            'info_box_shadow_vertical_length' => isset( $shortcode['atts']['info_box_shadow_vertical_length'] ) && $shortcode['atts']['info_box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['info_box_shadow_vertical_length'] ) ? $shortcode['atts']['info_box_shadow_vertical_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'announcement-info-box-shadow', 'vertical-length' ) ),
                            'info_box_shadow_blur_radius' => isset( $shortcode['atts']['info_box_shadow_blur_radius'] ) && $shortcode['atts']['info_box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['info_box_shadow_blur_radius'] ) ? $shortcode['atts']['info_box_shadow_blur_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'announcement-info-box-shadow', 'blur-radius' ) ),
                            'info_box_shadow_spread_radius' => isset( $shortcode['atts']['info_box_shadow_spread_radius'] ) && $shortcode['atts']['info_box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['info_box_shadow_spread_radius'] ) ? $shortcode['atts']['info_box_shadow_spread_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'announcement-info-box-shadow', 'spread-radius' ) ),
                            'info_box_shadow_color' => isset( $shortcode['atts']['info_box_shadow_color'] ) && $shortcode['atts']['info_box_shadow_color'] != '' ? $shortcode['atts']['info_box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'announcement-info-box-shadow', 'color' ) ),
                            'info_box_shadow_horizontal_length_hover' => isset( $shortcode['atts']['info_box_shadow_horizontal_length_hover'] ) && $shortcode['atts']['info_box_shadow_horizontal_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['info_box_shadow_horizontal_length_hover'] ) ? $shortcode['atts']['info_box_shadow_horizontal_length_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'announcement-info-box-shadow', 'horizontal-length' ) ),
                            'info_box_shadow_vertical_length_hover' => isset( $shortcode['atts']['info_box_shadow_vertical_length_hover'] ) && $shortcode['atts']['info_box_shadow_vertical_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['info_box_shadow_vertical_length_hover'] ) ? $shortcode['atts']['info_box_shadow_vertical_length_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'announcement-info-box-shadow', 'vertical-length' ) ),
                            'info_box_shadow_blur_radius_hover' => isset( $shortcode['atts']['info_box_shadow_blur_radius_hover'] ) && $shortcode['atts']['info_box_shadow_blur_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['info_box_shadow_blur_radius_hover'] ) ? $shortcode['atts']['info_box_shadow_blur_radius_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'announcement-info-box-shadow', 'blur-radius' ) ),
                            'info_box_shadow_spread_radius_hover' => isset( $shortcode['atts']['info_box_shadow_spread_radius_hover'] ) && $shortcode['atts']['info_box_shadow_spread_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['info_box_shadow_spread_radius_hover'] ) ? $shortcode['atts']['info_box_shadow_spread_radius_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'announcement-info-box-shadow', 'spread-radius' ) ),
                            'info_box_shadow_color_hover' => isset( $shortcode['atts']['info_box_shadow_color_hover'] ) && $shortcode['atts']['info_box_shadow_color_hover'] != '' ? $shortcode['atts']['info_box_shadow_color_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'announcement-info-box-shadow', 'color' ) ),
                            'success_content_color' => isset( $shortcode['atts']['success_content_color'] ) && $shortcode['atts']['success_content_color'] != '' ? $shortcode['atts']['success_content_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'announcement-success-content-color' ) ),
                            'success_border_color' => isset( $shortcode['atts']['success_border_color'] ) && $shortcode['atts']['success_border_color'] != '' ? $shortcode['atts']['success_border_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'announcement-success-border-color' ) ),
                            'success_border_color_hover' => isset( $shortcode['atts']['success_border_color_hover'] ) && $shortcode['atts']['success_border_color_hover'] != '' ? $shortcode['atts']['success_border_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'announcement-success-border-color' ) ),
                            'success_background_color' => isset( $shortcode['atts']['success_background_color'] ) && $shortcode['atts']['success_background_color'] != '' ? $shortcode['atts']['success_background_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'announcement-success-background-color' ) ),
                            'success_background_color_hover' => isset( $shortcode['atts']['success_background_color_hover'] ) && $shortcode['atts']['success_background_color_hover'] != '' ? $shortcode['atts']['success_background_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'announcement-success-background-color' ) ),
                            'success_box_shadow_horizontal_length' => isset( $shortcode['atts']['success_box_shadow_horizontal_length'] ) && $shortcode['atts']['success_box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['success_box_shadow_horizontal_length'] ) ? $shortcode['atts']['success_box_shadow_horizontal_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'announcement-success-box-shadow', 'horizontal-length' ) ),
                            'success_box_shadow_vertical_length' => isset( $shortcode['atts']['success_box_shadow_vertical_length'] ) && $shortcode['atts']['success_box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['success_box_shadow_vertical_length'] ) ? $shortcode['atts']['success_box_shadow_vertical_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'announcement-success-box-shadow', 'vertical-length' ) ),
                            'success_box_shadow_blur_radius' => isset( $shortcode['atts']['success_box_shadow_blur_radius'] ) && $shortcode['atts']['success_box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['success_box_shadow_blur_radius'] ) ? $shortcode['atts']['success_box_shadow_blur_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'announcement-success-box-shadow', 'blur-radius' ) ),
                            'success_box_shadow_spread_radius' => isset( $shortcode['atts']['success_box_shadow_spread_radius'] ) && $shortcode['atts']['success_box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['success_box_shadow_spread_radius'] ) ? $shortcode['atts']['success_box_shadow_spread_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'announcement-success-box-shadow', 'spread-radius' ) ),
                            'success_box_shadow_color' => isset( $shortcode['atts']['success_box_shadow_color'] ) && $shortcode['atts']['success_box_shadow_color'] != '' ? $shortcode['atts']['success_box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'announcement-success-box-shadow', 'color' ) ),
                            'success_box_shadow_horizontal_length_hover' => isset( $shortcode['atts']['success_box_shadow_horizontal_length_hover'] ) && $shortcode['atts']['success_box_shadow_horizontal_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['success_box_shadow_horizontal_length_hover'] ) ? $shortcode['atts']['success_box_shadow_horizontal_length_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'announcement-success-box-shadow', 'horizontal-length' ) ),
                            'success_box_shadow_vertical_length_hover' => isset( $shortcode['atts']['success_box_shadow_vertical_length_hover'] ) && $shortcode['atts']['success_box_shadow_vertical_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['success_box_shadow_vertical_length_hover'] ) ? $shortcode['atts']['success_box_shadow_vertical_length_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'announcement-success-box-shadow', 'vertical-length' ) ),
                            'success_box_shadow_blur_radius_hover' => isset( $shortcode['atts']['success_box_shadow_blur_radius_hover'] ) && $shortcode['atts']['success_box_shadow_blur_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['success_box_shadow_blur_radius_hover'] ) ? $shortcode['atts']['success_box_shadow_blur_radius_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'announcement-success-box-shadow', 'blur-radius' ) ),
                            'success_box_shadow_spread_radius_hover' => isset( $shortcode['atts']['success_box_shadow_spread_radius_hover'] ) && $shortcode['atts']['success_box_shadow_spread_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['success_box_shadow_spread_radius_hover'] ) ? $shortcode['atts']['success_box_shadow_spread_radius_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'announcement-success-box-shadow', 'spread-radius' ) ),
                            'success_box_shadow_color_hover' => isset( $shortcode['atts']['success_box_shadow_color_hover'] ) && $shortcode['atts']['success_box_shadow_color_hover'] != '' ? $shortcode['atts']['success_box_shadow_color_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'announcement-success-box-shadow', 'color' ) ),
                            'error_content_color' => isset( $shortcode['atts']['error_content_color'] ) && $shortcode['atts']['error_content_color'] != '' ? $shortcode['atts']['error_content_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'announcement-error-content-color' ) ),
                            'error_border_color' => isset( $shortcode['atts']['error_border_color'] ) && $shortcode['atts']['error_border_color'] != '' ? $shortcode['atts']['error_border_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'announcement-error-border-color' ) ),
                            'error_border_color_hover' => isset( $shortcode['atts']['error_border_color_hover'] ) && $shortcode['atts']['error_border_color_hover'] != '' ? $shortcode['atts']['error_border_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'announcement-error-border-color' ) ),
                            'error_background_color' => isset( $shortcode['atts']['error_background_color'] ) && $shortcode['atts']['error_background_color'] != '' ? $shortcode['atts']['error_background_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'announcement-error-background-color' ) ),
                            'error_background_color_hover' => isset( $shortcode['atts']['error_background_color_hover'] ) && $shortcode['atts']['error_background_color_hover'] != '' ? $shortcode['atts']['error_background_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'announcement-error-background-color' ) ),
                            'error_box_shadow_horizontal_length' => isset( $shortcode['atts']['error_box_shadow_horizontal_length'] ) && $shortcode['atts']['error_box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['error_box_shadow_horizontal_length'] ) ? $shortcode['atts']['error_box_shadow_horizontal_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'announcement-error-box-shadow', 'horizontal-length' ) ),
                            'error_box_shadow_vertical_length' => isset( $shortcode['atts']['error_box_shadow_vertical_length'] ) && $shortcode['atts']['error_box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['error_box_shadow_vertical_length'] ) ? $shortcode['atts']['error_box_shadow_vertical_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'announcement-error-box-shadow', 'vertical-length' ) ),
                            'error_box_shadow_blur_radius' => isset( $shortcode['atts']['error_box_shadow_blur_radius'] ) && $shortcode['atts']['error_box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['error_box_shadow_blur_radius'] ) ? $shortcode['atts']['error_box_shadow_blur_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'announcement-error-box-shadow', 'blur-radius' ) ),
                            'error_box_shadow_spread_radius' => isset( $shortcode['atts']['error_box_shadow_spread_radius'] ) && $shortcode['atts']['error_box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['error_box_shadow_spread_radius'] ) ? $shortcode['atts']['error_box_shadow_spread_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'announcement-error-box-shadow', 'spread-radius' ) ),
                            'error_box_shadow_color' => isset( $shortcode['atts']['error_box_shadow_color'] ) && $shortcode['atts']['error_box_shadow_color'] != '' ? $shortcode['atts']['error_box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'announcement-error-box-shadow', 'color' ) ),
                            'error_box_shadow_horizontal_length_hover' => isset( $shortcode['atts']['error_box_shadow_horizontal_length_hover'] ) && $shortcode['atts']['error_box_shadow_horizontal_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['error_box_shadow_horizontal_length_hover'] ) ? $shortcode['atts']['error_box_shadow_horizontal_length_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'announcement-error-box-shadow', 'horizontal-length' ) ),
                            'error_box_shadow_vertical_length_hover' => isset( $shortcode['atts']['error_box_shadow_vertical_length_hover'] ) && $shortcode['atts']['error_box_shadow_vertical_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['error_box_shadow_vertical_length_hover'] ) ? $shortcode['atts']['error_box_shadow_vertical_length_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'announcement-error-box-shadow', 'vertical-length' ) ),
                            'error_box_shadow_blur_radius_hover' => isset( $shortcode['atts']['error_box_shadow_blur_radius_hover'] ) && $shortcode['atts']['error_box_shadow_blur_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['error_box_shadow_blur_radius_hover'] ) ? $shortcode['atts']['error_box_shadow_blur_radius_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'announcement-error-box-shadow', 'blur-radius' ) ),
                            'error_box_shadow_spread_radius_hover' => isset( $shortcode['atts']['error_box_shadow_spread_radius_hover'] ) && $shortcode['atts']['error_box_shadow_spread_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['error_box_shadow_spread_radius_hover'] ) ? $shortcode['atts']['error_box_shadow_spread_radius_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'announcement-error-box-shadow', 'spread-radius' ) ),
                            'error_box_shadow_color_hover' => isset( $shortcode['atts']['error_box_shadow_color_hover'] ) && $shortcode['atts']['error_box_shadow_color_hover'] != '' ? $shortcode['atts']['error_box_shadow_color_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'announcement-error-box-shadow', 'color' ) ),
                            'warning_content_color' => isset( $shortcode['atts']['warning_content_color'] ) && $shortcode['atts']['warning_content_color'] != '' ? $shortcode['atts']['warning_content_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'announcement-warning-content-color' ) ),
                            'warning_border_color' => isset( $shortcode['atts']['warning_border_color'] ) && $shortcode['atts']['warning_border_color'] != '' ? $shortcode['atts']['warning_border_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'announcement-warning-border-color' ) ),
                            'warning_border_color_hover' => isset( $shortcode['atts']['warning_border_color_hover'] ) && $shortcode['atts']['warning_border_color_hover'] != '' ? $shortcode['atts']['warning_border_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'announcement-warning-border-color' ) ),
                            'warning_background_color' => isset( $shortcode['atts']['warning_background_color'] ) && $shortcode['atts']['warning_background_color'] != '' ? $shortcode['atts']['warning_background_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'announcement-warning-background-color' ) ),
                            'warning_background_color_hover' => isset( $shortcode['atts']['warning_background_color_hover'] ) && $shortcode['atts']['warning_background_color_hover'] != '' ? $shortcode['atts']['warning_background_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'announcement-warning-background-color' ) ),
                            'warning_box_shadow_horizontal_length' => isset( $shortcode['atts']['warning_box_shadow_horizontal_length'] ) && $shortcode['atts']['warning_box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['warning_box_shadow_horizontal_length'] ) ? $shortcode['atts']['warning_box_shadow_horizontal_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'announcement-warning-box-shadow', 'horizontal-length' ) ),
                            'warning_box_shadow_vertical_length' => isset( $shortcode['atts']['warning_box_shadow_vertical_length'] ) && $shortcode['atts']['warning_box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['warning_box_shadow_vertical_length'] ) ? $shortcode['atts']['warning_box_shadow_vertical_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'announcement-warning-box-shadow', 'vertical-length' ) ),
                            'warning_box_shadow_blur_radius' => isset( $shortcode['atts']['warning_box_shadow_blur_radius'] ) && $shortcode['atts']['warning_box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['warning_box_shadow_blur_radius'] ) ? $shortcode['atts']['warning_box_shadow_blur_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'announcement-warning-box-shadow', 'blur-radius' ) ),
                            'warning_box_shadow_spread_radius' => isset( $shortcode['atts']['warning_box_shadow_spread_radius'] ) && $shortcode['atts']['warning_box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['warning_box_shadow_spread_radius'] ) ? $shortcode['atts']['warning_box_shadow_spread_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'announcement-warning-box-shadow', 'spread-radius' ) ),
                            'warning_box_shadow_color' => isset( $shortcode['atts']['warning_box_shadow_color'] ) && $shortcode['atts']['warning_box_shadow_color'] != '' ? $shortcode['atts']['warning_box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'announcement-warning-box-shadow', 'color' ) ),
                            'warning_box_shadow_horizontal_length_hover' => isset( $shortcode['atts']['warning_box_shadow_horizontal_length_hover'] ) && $shortcode['atts']['warning_box_shadow_horizontal_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['warning_box_shadow_horizontal_length_hover'] ) ? $shortcode['atts']['warning_box_shadow_horizontal_length_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'announcement-warning-box-shadow', 'horizontal-length' ) ),
                            'warning_box_shadow_vertical_length_hover' => isset( $shortcode['atts']['warning_box_shadow_vertical_length_hover'] ) && $shortcode['atts']['warning_box_shadow_vertical_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['warning_box_shadow_vertical_length_hover'] ) ? $shortcode['atts']['warning_box_shadow_vertical_length_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'announcement-warning-box-shadow', 'vertical-length' ) ),
                            'warning_box_shadow_blur_radius_hover' => isset( $shortcode['atts']['warning_box_shadow_blur_radius_hover'] ) && $shortcode['atts']['warning_box_shadow_blur_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['warning_box_shadow_blur_radius_hover'] ) ? $shortcode['atts']['warning_box_shadow_blur_radius_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'announcement-warning-box-shadow', 'blur-radius' ) ),
                            'warning_box_shadow_spread_radius_hover' => isset( $shortcode['atts']['warning_box_shadow_spread_radius_hover'] ) && $shortcode['atts']['warning_box_shadow_spread_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['warning_box_shadow_spread_radius_hover'] ) ? $shortcode['atts']['warning_box_shadow_spread_radius_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'announcement-warning-box-shadow', 'spread-radius' ) ),
                            'warning_box_shadow_color_hover' => isset( $shortcode['atts']['warning_box_shadow_color_hover'] ) && $shortcode['atts']['warning_box_shadow_color_hover'] != '' ? $shortcode['atts']['warning_box_shadow_color_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'announcement-warning-box-shadow', 'color' ) ),
                            'custom_content_color' => isset( $shortcode['atts']['custom_content_color'] ) && $shortcode['atts']['custom_content_color'] != '' ? $shortcode['atts']['custom_content_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-content-color' ) ),
                            'custom_border_color' => isset( $shortcode['atts']['custom_border_color'] ) && $shortcode['atts']['custom_border_color'] != '' ? $shortcode['atts']['custom_border_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-border-color' ) ),
                            'custom_border_color_hover' => isset( $shortcode['atts']['custom_border_color_hover'] ) && $shortcode['atts']['custom_border_color_hover'] != '' ? $shortcode['atts']['custom_border_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-hover-border-color' ) ),
                            'custom_background_color' => isset( $shortcode['atts']['custom_background_color'] ) && $shortcode['atts']['custom_background_color'] != '' ? $shortcode['atts']['custom_background_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                            'custom_background_color_hover' => isset( $shortcode['atts']['custom_background_color_hover'] ) && $shortcode['atts']['custom_background_color_hover'] != '' ? $shortcode['atts']['custom_background_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                            'custom_box_shadow_horizontal_length' => isset( $shortcode['atts']['custom_box_shadow_horizontal_length'] ) && $shortcode['atts']['custom_box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['custom_box_shadow_horizontal_length'] ) ? $shortcode['atts']['custom_box_shadow_horizontal_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'horizontal-length' ) ),
                            'custom_box_shadow_vertical_length' => isset( $shortcode['atts']['custom_box_shadow_vertical_length'] ) && $shortcode['atts']['custom_box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['custom_box_shadow_vertical_length'] ) ? $shortcode['atts']['custom_box_shadow_vertical_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'vertical-length' ) ),
                            'custom_box_shadow_blur_radius' => isset( $shortcode['atts']['custom_box_shadow_blur_radius'] ) && $shortcode['atts']['custom_box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['custom_box_shadow_blur_radius'] ) ? $shortcode['atts']['custom_box_shadow_blur_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'blur-radius' ) ),
                            'custom_box_shadow_spread_radius' => isset( $shortcode['atts']['custom_box_shadow_spread_radius'] ) && $shortcode['atts']['custom_box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['custom_box_shadow_spread_radius'] ) ? $shortcode['atts']['custom_box_shadow_spread_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'spread-radius' ) ),
                            'custom_box_shadow_color' => isset( $shortcode['atts']['custom_box_shadow_color'] ) && $shortcode['atts']['custom_box_shadow_color'] != '' ? $shortcode['atts']['custom_box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'color' ) ),
                            'custom_box_shadow_horizontal_length_hover' => isset( $shortcode['atts']['custom_box_shadow_horizontal_length_hover'] ) && $shortcode['atts']['custom_box_shadow_horizontal_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['custom_box_shadow_horizontal_length_hover'] ) ? $shortcode['atts']['custom_box_shadow_horizontal_length_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'horizontal-length' ) ),
                            'custom_box_shadow_vertical_length_hover' => isset( $shortcode['atts']['custom_box_shadow_vertical_length_hover'] ) && $shortcode['atts']['custom_box_shadow_vertical_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['custom_box_shadow_vertical_length_hover'] ) ? $shortcode['atts']['custom_box_shadow_vertical_length_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'vertical-length' ) ),
                            'custom_box_shadow_blur_radius_hover' => isset( $shortcode['atts']['custom_box_shadow_blur_radius_hover'] ) && $shortcode['atts']['custom_box_shadow_blur_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['custom_box_shadow_blur_radius_hover'] ) ? $shortcode['atts']['custom_box_shadow_blur_radius_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'blur-radius' ) ),
                            'custom_box_shadow_spread_radius_hover' => isset( $shortcode['atts']['custom_box_shadow_spread_radius_hover'] ) && $shortcode['atts']['custom_box_shadow_spread_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['custom_box_shadow_spread_radius_hover'] ) ? $shortcode['atts']['custom_box_shadow_spread_radius_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'spread-radius' ) ),
                            'custom_box_shadow_color_hover' => isset( $shortcode['atts']['custom_box_shadow_color_hover'] ) && $shortcode['atts']['custom_box_shadow_color_hover'] != '' ? $shortcode['atts']['custom_box_shadow_color_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'color' ) )
                        );

                        # general element settings
                        $shortcodes_styles -> update_style(
                            esc_attr( $shortcode['atts']['class_name'] ),
                            array(
                                'margin-top' => esc_attr( $attributes['margin_top'] ),
                                'margin-right' => esc_attr( $attributes['margin_right'] ),
                                'margin-bottom' => esc_attr( $attributes['margin_bottom'] ),
                                'margin-left' => esc_attr( $attributes['margin_left'] )
                            )
                        );

                        # do we have custom sizes enabled?
                        if( $attributes['custom_sizes_enabled'] != 'theme_defaults' ) {

                            # update element styles
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-announcement',
                                array(
                                    'padding-top' => esc_attr( $attributes['padding_top_bottom'] ),
                                    'padding-bottom' => esc_attr( $attributes['padding_top_bottom'] ),
                                    'padding-left' => esc_attr( $attributes['padding_left_right'] ),
                                    'padding-right' => esc_attr( $attributes['padding_left_right'] ),
                                    '-webkit-border-radius' => esc_attr( $attributes['border_radius'] ),
                                    '-moz-border-radius' => esc_attr( $attributes['border_radius'] ),
                                    'border-radius' => esc_attr( $attributes['border_radius'] ),
                                    'border-width' => esc_attr( $attributes['border_width'] )
                                )
                            );

                            # do we have icon?
                            if( $attributes['add_icon'] == 'yes' ) {

                                # update icon container sizes
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-announcement-icon.ueldo-shortcode-announcement-icon-'. esc_attr( $attributes['icon_position'] ),
                                    array(
                                        'width' => esc_attr( $attributes['icon_size'] ),
                                        'height' => esc_attr( $attributes['icon_size'] ),
                                        'margin-'. esc_attr( $attributes['icon_position'] == 'left' ? 'right' : 'left' ) => esc_attr( $attributes['margin_between_icon_and_content'] )
                                    )
                                );

                                # update icon sizes
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-announcement-icon i, .'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-announcement-icon i:before',
                                    array(
                                        'font-size' => esc_attr( $attributes['icon_size'] )
                                    )
                                );

                                # update content width
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-announcement-content.ueldo-shortcode-announcement-content-with-icon',
                                    array(
                                        'width-webkit-calc' => '-webkit-calc( 100% - '. esc_attr( $attributes['icon_size'] + $attributes['margin_between_icon_and_content'] ) .'px )',
                                        'width-moz-calc' => '-moz-calc( 100% - '. esc_attr( $attributes['icon_size'] + $attributes['margin_between_icon_and_content'] ) .'px )',
                                        'width-calc' => 'calc( 100% - '. esc_attr( $attributes['icon_size'] + $attributes['margin_between_icon_and_content'] ) .'px )'
                                    )
                                );
                            }
                        }

                        # do we have custom colors enabled?
                        if( $attributes['custom_colors_enabled'] != 'theme_defaults' ) {

                            # update element style, depends on type
                            switch( $attributes['type'] ) {

                                # info type
                                case 'info':

                                    # update element colors
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-announcement-type-info',
                                        array(
                                            'border-color' => esc_attr( $attributes['info_border_color'] ),
                                            'background' => esc_attr( $attributes['info_background_color'] ),
                                            'color' => esc_attr( $attributes['info_content_color'] ),
                                            '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['info_box_shadow_horizontal_length'], $attributes['info_box_shadow_vertical_length'], $attributes['info_box_shadow_blur_radius'], $attributes['info_box_shadow_spread_radius'], $attributes['info_box_shadow_color'] ),
                                            '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['info_box_shadow_horizontal_length'], $attributes['info_box_shadow_vertical_length'], $attributes['info_box_shadow_blur_radius'], $attributes['info_box_shadow_spread_radius'], $attributes['info_box_shadow_color'] ),
                                            'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['info_box_shadow_horizontal_length'], $attributes['info_box_shadow_vertical_length'], $attributes['info_box_shadow_blur_radius'], $attributes['info_box_shadow_spread_radius'], $attributes['info_box_shadow_color'] )
                                        )
                                    );

                                    # update element colors (on hover)
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-announcement-type-info:hover',
                                        array(
                                            'border-color' => esc_attr( $attributes['info_border_color_hover'] ),
                                            'background' => esc_attr( $attributes['info_background_color_hover'] ),
                                            '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['info_box_shadow_horizontal_length_hover'], $attributes['info_box_shadow_vertical_length_hover'], $attributes['info_box_shadow_blur_radius_hover'], $attributes['info_box_shadow_spread_radius_hover'], $attributes['info_box_shadow_color_hover'] ),
                                            '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['info_box_shadow_horizontal_length_hover'], $attributes['info_box_shadow_vertical_length_hover'], $attributes['info_box_shadow_blur_radius_hover'], $attributes['info_box_shadow_spread_radius_hover'], $attributes['info_box_shadow_color_hover'] ),
                                            'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['info_box_shadow_horizontal_length_hover'], $attributes['info_box_shadow_vertical_length_hover'], $attributes['info_box_shadow_blur_radius_hover'], $attributes['info_box_shadow_spread_radius_hover'], $attributes['info_box_shadow_color_hover'] )
                                        )
                                    );

                                    # update content color
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-announcement-type-info *',
                                        array(
                                            'color' => esc_attr( $attributes['info_content_color'] )
                                        )
                                    );

                                break;

                                # success type
                                case 'success':

                                    # update element colors
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-announcement-type-success',
                                        array(
                                            'border-color' => esc_attr( $attributes['success_border_color'] ),
                                            'background' => esc_attr( $attributes['success_background_color'] ),
                                            'color' => esc_attr( $attributes['success_content_color'] ),
                                            '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['success_box_shadow_horizontal_length'], $attributes['success_box_shadow_vertical_length'], $attributes['success_box_shadow_blur_radius'], $attributes['success_box_shadow_spread_radius'], $attributes['success_box_shadow_color'] ),
                                            '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['success_box_shadow_horizontal_length'], $attributes['success_box_shadow_vertical_length'], $attributes['success_box_shadow_blur_radius'], $attributes['success_box_shadow_spread_radius'], $attributes['success_box_shadow_color'] ),
                                            'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['success_box_shadow_horizontal_length'], $attributes['success_box_shadow_vertical_length'], $attributes['success_box_shadow_blur_radius'], $attributes['success_box_shadow_spread_radius'], $attributes['success_box_shadow_color'] )
                                        )
                                    );

                                    # update element colors (on hover)
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-announcement-type-success:hover',
                                        array(
                                            'border-color' => esc_attr( $attributes['success_border_color_hover'] ),
                                            'background' => esc_attr( $attributes['success_background_color_hover'] ),
                                            '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['success_box_shadow_horizontal_length_hover'], $attributes['success_box_shadow_vertical_length_hover'], $attributes['success_box_shadow_blur_radius_hover'], $attributes['success_box_shadow_spread_radius_hover'], $attributes['success_box_shadow_color_hover'] ),
                                            '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['success_box_shadow_horizontal_length_hover'], $attributes['success_box_shadow_vertical_length_hover'], $attributes['success_box_shadow_blur_radius_hover'], $attributes['success_box_shadow_spread_radius_hover'], $attributes['success_box_shadow_color_hover'] ),
                                            'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['success_box_shadow_horizontal_length_hover'], $attributes['success_box_shadow_vertical_length_hover'], $attributes['success_box_shadow_blur_radius_hover'], $attributes['success_box_shadow_spread_radius_hover'], $attributes['success_box_shadow_color_hover'] )
                                        )
                                    );

                                    # update content color
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-announcement-type-success *',
                                        array(
                                            'color' => esc_attr( $attributes['success_content_color'] )
                                        )
                                    );

                                break;

                                # error type
                                case 'error':

                                    # update element colors
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-announcement-type-error',
                                        array(
                                            'border-color' => esc_attr( $attributes['error_border_color'] ),
                                            'background' => esc_attr( $attributes['error_background_color'] ),
                                            'color' => esc_attr( $attributes['error_content_color'] ),
                                            '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['error_box_shadow_horizontal_length'], $attributes['error_box_shadow_vertical_length'], $attributes['error_box_shadow_blur_radius'], $attributes['error_box_shadow_spread_radius'], $attributes['error_box_shadow_color'] ),
                                            '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['error_box_shadow_horizontal_length'], $attributes['error_box_shadow_vertical_length'], $attributes['error_box_shadow_blur_radius'], $attributes['error_box_shadow_spread_radius'], $attributes['error_box_shadow_color'] ),
                                            'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['error_box_shadow_horizontal_length'], $attributes['error_box_shadow_vertical_length'], $attributes['error_box_shadow_blur_radius'], $attributes['error_box_shadow_spread_radius'], $attributes['error_box_shadow_color'] )
                                        )
                                    );

                                    # update element colors (on hover)
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-announcement-type-error:hover',
                                        array(
                                            'border-color' => esc_attr( $attributes['error_border_color_hover'] ),
                                            'background' => esc_attr( $attributes['error_background_color_hover'] ),
                                            '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['error_box_shadow_horizontal_length_hover'], $attributes['error_box_shadow_vertical_length_hover'], $attributes['error_box_shadow_blur_radius_hover'], $attributes['error_box_shadow_spread_radius_hover'], $attributes['error_box_shadow_color_hover'] ),
                                            '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['error_box_shadow_horizontal_length_hover'], $attributes['error_box_shadow_vertical_length_hover'], $attributes['error_box_shadow_blur_radius_hover'], $attributes['error_box_shadow_spread_radius_hover'], $attributes['error_box_shadow_color_hover'] ),
                                            'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['error_box_shadow_horizontal_length_hover'], $attributes['error_box_shadow_vertical_length_hover'], $attributes['error_box_shadow_blur_radius_hover'], $attributes['error_box_shadow_spread_radius_hover'], $attributes['error_box_shadow_color_hover'] )
                                        )
                                    );

                                    # update content color
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-announcement-type-error *',
                                        array(
                                            'color' => esc_attr( $attributes['error_content_color'] )
                                        )
                                    );

                                break;

                                # warning type
                                case 'warning':

                                    # update element colors
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-announcement-type-warning',
                                        array(
                                            'border-color' => esc_attr( $attributes['warning_border_color'] ),
                                            'background' => esc_attr( $attributes['warning_background_color'] ),
                                            'color' => esc_attr( $attributes['warning_content_color'] ),
                                            '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['warning_box_shadow_horizontal_length'], $attributes['warning_box_shadow_vertical_length'], $attributes['warning_box_shadow_blur_radius'], $attributes['warning_box_shadow_spread_radius'], $attributes['warning_box_shadow_color'] ),
                                            '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['warning_box_shadow_horizontal_length'], $attributes['warning_box_shadow_vertical_length'], $attributes['warning_box_shadow_blur_radius'], $attributes['warning_box_shadow_spread_radius'], $attributes['warning_box_shadow_color'] ),
                                            'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['warning_box_shadow_horizontal_length'], $attributes['warning_box_shadow_vertical_length'], $attributes['warning_box_shadow_blur_radius'], $attributes['warning_box_shadow_spread_radius'], $attributes['warning_box_shadow_color'] )
                                        )
                                    );

                                    # update element colors (on hover)
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-announcement-type-warning:hover',
                                        array(
                                            'border-color' => esc_attr( $attributes['warning_border_color_hover'] ),
                                            'background' => esc_attr( $attributes['warning_background_color_hover'] ),
                                            '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['warning_box_shadow_horizontal_length_hover'], $attributes['warning_box_shadow_vertical_length_hover'], $attributes['warning_box_shadow_blur_radius_hover'], $attributes['warning_box_shadow_spread_radius_hover'], $attributes['warning_box_shadow_color_hover'] ),
                                            '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['warning_box_shadow_horizontal_length_hover'], $attributes['warning_box_shadow_vertical_length_hover'], $attributes['warning_box_shadow_blur_radius_hover'], $attributes['warning_box_shadow_spread_radius_hover'], $attributes['warning_box_shadow_color_hover'] ),
                                            'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['warning_box_shadow_horizontal_length_hover'], $attributes['warning_box_shadow_vertical_length_hover'], $attributes['warning_box_shadow_blur_radius_hover'], $attributes['warning_box_shadow_spread_radius_hover'], $attributes['warning_box_shadow_color_hover'] )
                                        )
                                    );

                                    # update content color
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-announcement-type-warning *',
                                        array(
                                            'color' => esc_attr( $attributes['warning_content_color'] )
                                        )
                                    );

                                break;

                                # custom type
                                case 'custom':

                                    # update element colors
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-announcement-type-custom',
                                        array(
                                            'border-color' => esc_attr( $attributes['custom_border_color'] ),
                                            'background' => esc_attr( $attributes['custom_background_color'] ),
                                            'color' => esc_attr( $attributes['custom_content_color'] ),
                                            '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['custom_box_shadow_horizontal_length'], $attributes['custom_box_shadow_vertical_length'], $attributes['custom_box_shadow_blur_radius'], $attributes['custom_box_shadow_spread_radius'], $attributes['custom_box_shadow_color'] ),
                                            '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['custom_box_shadow_horizontal_length'], $attributes['custom_box_shadow_vertical_length'], $attributes['custom_box_shadow_blur_radius'], $attributes['custom_box_shadow_spread_radius'], $attributes['custom_box_shadow_color'] ),
                                            'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['custom_box_shadow_horizontal_length'], $attributes['custom_box_shadow_vertical_length'], $attributes['custom_box_shadow_blur_radius'], $attributes['custom_box_shadow_spread_radius'], $attributes['custom_box_shadow_color'] )
                                        )
                                    );

                                    # update element colors (on hover)
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-announcement-type-custom:hover',
                                        array(
                                            'border-color' => esc_attr( $attributes['custom_border_color_hover'] ),
                                            'background' => esc_attr( $attributes['custom_background_color_hover'] ),
                                            '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['custom_box_shadow_horizontal_length_hover'], $attributes['custom_box_shadow_vertical_length_hover'], $attributes['custom_box_shadow_blur_radius_hover'], $attributes['custom_box_shadow_spread_radius_hover'], $attributes['custom_box_shadow_color_hover'] ),
                                            '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['custom_box_shadow_horizontal_length_hover'], $attributes['custom_box_shadow_vertical_length_hover'], $attributes['custom_box_shadow_blur_radius_hover'], $attributes['custom_box_shadow_spread_radius_hover'], $attributes['custom_box_shadow_color_hover'] ),
                                            'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['custom_box_shadow_horizontal_length_hover'], $attributes['custom_box_shadow_vertical_length_hover'], $attributes['custom_box_shadow_blur_radius_hover'], $attributes['custom_box_shadow_spread_radius_hover'], $attributes['custom_box_shadow_color_hover'] )
                                        )
                                    );

                                    # update content color
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-announcement-type-custom *',
                                        array(
                                            'color' => esc_attr( $attributes['custom_content_color'] )
                                        )
                                    );

                                break;
                            }
                        }

                        # save css style
                        $shortcodes_styles -> save_styles();

                        # remove attributes array
                        unset( $attributes );

                    break;

                   /**
                    *
                    * ueldo_shortcode_delimiter
                    *
                    */

                    case 'ueldo_shortcode_delimiter':

                        # attributes array
                        $attributes = array(
                            'horizontal_alignment' => isset( $shortcode['atts']['horizontal_alignment'] ) && !empty( $shortcode['atts']['horizontal_alignment'] ) ? $shortcode['atts']['horizontal_alignment'] : esc_attr( ueldo_is_rtl() ? 'right' : 'left' ),
                            'border_radius' => isset( $shortcode['atts']['border_radius'] ) && $shortcode['atts']['border_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['border_radius'] ) ? $shortcode['atts']['border_radius'] : '0',
                            'large_width_type' => isset( $shortcode['atts']['large_width_type'] ) && !empty( $shortcode['atts']['large_width_type'] ) ? $shortcode['atts']['large_width_type'] : 'percentage',
                            'large_width_percentage' => isset( $shortcode['atts']['large_width_percentage'] ) && $shortcode['atts']['large_width_percentage'] != '' ? $shortcode['atts']['large_width_percentage'] : '100%',
                            'large_width_px' => isset( $shortcode['atts']['large_width_px'] ) && $shortcode['atts']['large_width_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['large_width_px'] ) ? $shortcode['atts']['large_width_px'] : '100',
                            'large_width_calc_base' => isset( $shortcode['atts']['large_width_calc_base'] ) && $shortcode['atts']['large_width_calc_base'] != '' ? $shortcode['atts']['large_width_calc_base'] : '100%',
                            'large_width_calc_operator' => isset( $shortcode['atts']['large_width_calc_operator'] ) && !empty( $shortcode['atts']['large_width_calc_operator'] ) ? $shortcode['atts']['large_width_calc_operator'] : '-',
                            'large_width_calc_px' => isset( $shortcode['atts']['large_width_calc_px'] ) && $shortcode['atts']['large_width_calc_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['large_width_calc_px'] ) ? $shortcode['atts']['large_width_calc_px'] : '100',
                            'large_height' => isset( $shortcode['atts']['large_height'] ) && $shortcode['atts']['large_height'] != '' && ueldo_is_valid_number( $shortcode['atts']['large_height'] ) ? $shortcode['atts']['large_height'] : '3',
                            'medium_layer_custom_sizes' => isset( $shortcode['atts']['medium_custom_sizes'] ) && !empty( $shortcode['atts']['medium_custom_sizes'] ) ? $shortcode['atts']['medium_custom_sizes'] : 'no-large',
                            'medium_width_type' => isset( $shortcode['atts']['medium_width_type'] ) && !empty( $shortcode['atts']['medium_width_type'] ) ? $shortcode['atts']['medium_width_type'] : 'percentage',
                            'medium_width_percentage' => isset( $shortcode['atts']['medium_width_percentage'] ) && $shortcode['atts']['medium_width_percentage'] != '' ? $shortcode['atts']['medium_width_percentage'] : '100%',
                            'medium_width_px' => isset( $shortcode['atts']['medium_width_px'] ) && $shortcode['atts']['medium_width_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['medium_width_px'] ) ? $shortcode['atts']['medium_width_px'] : '100',
                            'medium_width_calc_base' => isset( $shortcode['atts']['medium_width_calc_base'] ) && $shortcode['atts']['medium_width_calc_base'] != '' ? $shortcode['atts']['medium_width_calc_base'] : '100%',
                            'medium_width_calc_operator' => isset( $shortcode['atts']['medium_width_calc_operator'] ) && !empty( $shortcode['atts']['medium_width_calc_operator'] ) ? $shortcode['atts']['medium_width_calc_operator'] : '-',
                            'medium_width_calc_px' => isset( $shortcode['atts']['medium_width_calc_px'] ) && $shortcode['atts']['medium_width_calc_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['medium_width_calc_px'] ) ? $shortcode['atts']['medium_width_calc_px'] : '100',
                            'medium_height' => isset( $shortcode['atts']['medium_height'] ) && $shortcode['atts']['medium_height'] != '' && ueldo_is_valid_number( $shortcode['atts']['medium_height'] ) ? $shortcode['atts']['medium_height'] : '3',
                            'small_layer_custom_sizes' => isset( $shortcode['atts']['small_custom_sizes'] ) && !empty( $shortcode['atts']['small_custom_sizes'] ) ? $shortcode['atts']['small_custom_sizes'] : 'no-medium',
                            'small_width_type' => isset( $shortcode['atts']['small_width_type'] ) && !empty( $shortcode['atts']['small_width_type'] ) ? $shortcode['atts']['small_width_type'] : 'percentage',
                            'small_width_percentage' => isset( $shortcode['atts']['small_width_percentage'] ) && $shortcode['atts']['small_width_percentage'] != '' ? $shortcode['atts']['small_width_percentage'] : '100%',
                            'small_width_px' => isset( $shortcode['atts']['small_width_px'] ) && $shortcode['atts']['small_width_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['small_width_px'] ) ? $shortcode['atts']['small_width_px'] : '100',
                            'small_width_calc_base' => isset( $shortcode['atts']['small_width_calc_base'] ) && $shortcode['atts']['small_width_calc_base'] != '' ? $shortcode['atts']['small_width_calc_base'] : '100%',
                            'small_width_calc_operator' => isset( $shortcode['atts']['small_width_calc_operator'] ) && !empty( $shortcode['atts']['small_width_calc_operator'] ) ? $shortcode['atts']['small_width_calc_operator'] : '-',
                            'small_width_calc_px' => isset( $shortcode['atts']['small_width_calc_px'] ) && $shortcode['atts']['small_width_calc_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['small_width_calc_px'] ) ? $shortcode['atts']['small_width_calc_px'] : '100',
                            'small_height' => isset( $shortcode['atts']['small_height'] ) && $shortcode['atts']['small_height'] != '' && ueldo_is_valid_number( $shortcode['atts']['small_height'] ) ? $shortcode['atts']['small_height'] : '3',
                            'extra_small_layer_custom_sizes' => isset( $shortcode['atts']['extra_small_custom_sizes'] ) && !empty( $shortcode['atts']['extra_small_custom_sizes'] ) ? $shortcode['atts']['extra_small_custom_sizes'] : 'no-small',
                            'extra_small_width_type' => isset( $shortcode['atts']['extra_small_width_type'] ) && !empty( $shortcode['atts']['extra_small_width_type'] ) ? $shortcode['atts']['extra_small_width_type'] : 'percentage',
                            'extra_small_width_percentage' => isset( $shortcode['atts']['extra_small_width_percentage'] ) && $shortcode['atts']['extra_small_width_percentage'] != '' ? $shortcode['atts']['extra_small_width_percentage'] : '100%',
                            'extra_small_width_px' => isset( $shortcode['atts']['extra_small_width_px'] ) && $shortcode['atts']['extra_small_width_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['extra_small_width_px'] ) ? $shortcode['atts']['extra_small_width_px'] : '100',
                            'extra_small_width_calc_base' => isset( $shortcode['atts']['extra_small_width_calc_base'] ) && $shortcode['atts']['extra_small_width_calc_base'] != '' ? $shortcode['atts']['extra_small_width_calc_base'] : '100%',
                            'extra_small_width_calc_operator' => isset( $shortcode['atts']['extra_small_width_calc_operator'] ) && !empty( $shortcode['atts']['extra_small_width_calc_operator'] ) ? $shortcode['atts']['extra_small_width_calc_operator'] : '-',
                            'extra_small_width_calc_px' => isset( $shortcode['atts']['extra_small_width_calc_px'] ) && $shortcode['atts']['extra_small_width_calc_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['extra_small_width_calc_px'] ) ? $shortcode['atts']['extra_small_width_calc_px'] : '100',
                            'extra_small_height' => isset( $shortcode['atts']['extra_small_height'] ) && $shortcode['atts']['extra_small_height'] != '' && ueldo_is_valid_number( $shortcode['atts']['extra_small_height'] ) ? $shortcode['atts']['extra_small_height'] : '3',
                            'margin_top' => isset( $shortcode['atts']['margin_top'] ) && $shortcode['atts']['margin_top'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_top'] ) ? $shortcode['atts']['margin_top'] : '0',
                            'margin_right' => isset( $shortcode['atts']['margin_right'] ) && $shortcode['atts']['margin_right'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_right'] ) ? $shortcode['atts']['margin_right'] : '0',
                            'margin_bottom' => isset( $shortcode['atts']['margin_bottom'] ) && $shortcode['atts']['margin_bottom'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_bottom'] ) ? $shortcode['atts']['margin_bottom'] : '30',
                            'margin_left' => isset( $shortcode['atts']['margin_left'] ) && $shortcode['atts']['margin_left'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_left'] ) ? $shortcode['atts']['margin_left'] : '0',
                            'custom_colors_enabled' => isset( $shortcode['atts']['custom_colors_enabled'] ) && !empty( $shortcode['atts']['custom_colors_enabled'] ) ? $shortcode['atts']['custom_colors_enabled'] : 'theme_defaults',
                            'background_color' => isset( $shortcode['atts']['background_color'] ) && $shortcode['atts']['background_color'] != '' ? $shortcode['atts']['background_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-border-color' ) )
                        );

                        # temporary values for each devices
                        $temp = array(
                            'medium-width-type' => ueldo_get_vc_element_device_attributes( $attributes, 'width_type', 'medium' ),
                            'medium-width-percentage' => ueldo_get_vc_element_device_attributes( $attributes, 'width_percentage', 'medium' ),
                            'medium-width-px' => ueldo_get_vc_element_device_attributes( $attributes, 'width_px', 'medium' ),
                            'medium-width-calc-base' => ueldo_get_vc_element_device_attributes( $attributes, 'width_calc_base', 'medium' ),
                            'medium-width-calc-operator' => ueldo_get_vc_element_device_attributes( $attributes, 'width_calc_operator', 'medium' ),
                            'medium-width-calc-px' => ueldo_get_vc_element_device_attributes( $attributes, 'width_calc_px', 'medium' ),
                            'medium-height' => ueldo_get_vc_element_device_attributes( $attributes, 'height', 'medium' ),
                            'small-width-type' => ueldo_get_vc_element_device_attributes( $attributes, 'width_type', 'small' ),
                            'small-width-percentage' => ueldo_get_vc_element_device_attributes( $attributes, 'width_percentage', 'small' ),
                            'small-width-px' => ueldo_get_vc_element_device_attributes( $attributes, 'width_px', 'small' ),
                            'small-width-calc-base' => ueldo_get_vc_element_device_attributes( $attributes, 'width_calc_base', 'small' ),
                            'small-width-calc-operator' => ueldo_get_vc_element_device_attributes( $attributes, 'width_calc_operator', 'small' ),
                            'small-width-calc-px' => ueldo_get_vc_element_device_attributes( $attributes, 'width_calc_px', 'small' ),
                            'small-height' => ueldo_get_vc_element_device_attributes( $attributes, 'height', 'small' ),
                            'extra-small-width-type' => ueldo_get_vc_element_device_attributes( $attributes, 'width_type', 'extra_small' ),
                            'extra-small-width-percentage' => ueldo_get_vc_element_device_attributes( $attributes, 'width_percentage', 'extra_small' ),
                            'extra-small-width-px' => ueldo_get_vc_element_device_attributes( $attributes, 'width_px', 'extra_small' ),
                            'extra-small-width-calc-base' => ueldo_get_vc_element_device_attributes( $attributes, 'width_calc_base', 'extra_small' ),
                            'extra-small-width-calc-operator' => ueldo_get_vc_element_device_attributes( $attributes, 'width_calc_operator', 'extra_small' ),
                            'extra-small-width-calc-px' => ueldo_get_vc_element_device_attributes( $attributes, 'width_calc_px', 'extra_small' ),
                            'extra-small-height' => ueldo_get_vc_element_device_attributes( $attributes, 'height', 'extra_small' )
                        );

                        # large devices element width styles
                        switch( $attributes['large_width_type'] ) {

                            # percentage width
                            case 'percentage':

                                # update element width
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-delimiter',
                                    array(
                                        '1200_more' => array(
                                            'width-%' => esc_attr( $attributes['large_width_percentage'] )
                                        )
                                    )
                                );

                            break;

                            # pixel width
                            case 'px':

                                # update element width
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-delimiter',
                                    array(
                                        '1200_more' => array(
                                            'width' => esc_attr( $attributes['large_width_px'] )
                                        )
                                    )
                                );

                            break;

                            # calculated width
                            case 'calc':

                                # update element width
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-delimiter',
                                    array(
                                        '1200_more' => array(
                                            'width-webkit-calc' => '-webkit-calc( '. esc_attr( $attributes['large_width_calc_base'] ) .' '. esc_attr( $attributes['large_width_calc_operator'] ) .' '. esc_attr( $attributes['large_width_calc_px'] ) .'px )',
                                            'width-moz-calc' => '-moz-calc( '. esc_attr( $attributes['large_width_calc_base'] ) .' '. esc_attr( $attributes['large_width_calc_operator'] ) .' '. esc_attr( $attributes['large_width_calc_px'] ) .'px )',
                                            'width-calc' => 'calc( '. esc_attr( $attributes['large_width_calc_base'] ) .' '. esc_attr( $attributes['large_width_calc_operator'] ) .' '. esc_attr( $attributes['large_width_calc_px'] ) .'px )'
                                        )
                                    )
                                );

                            break;
                        }

                        # medium devices element width styles
                        switch( $temp['medium-width-type'] ) {

                            # percentage width
                            case 'percentage':

                                # update element width
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-delimiter',
                                    array(
                                        '992_1199' => array(
                                            'width-%' => esc_attr( $temp['medium-width-percentage'] )
                                        )
                                    )
                                );

                            break;

                            # pixel width
                            case 'px':

                                # update element width
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-delimiter',
                                    array(
                                        '992_1199' => array(
                                            'width' => esc_attr( $temp['medium-width-px'] )
                                        )
                                    )
                                );

                            break;

                            # calculated width
                            case 'calc':

                                # update element width
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-delimiter',
                                    array(
                                        '992_1199' => array(
                                            'width-webkit-calc' => '-webkit-calc( '. esc_attr( $temp['medium-width-calc-base'] ) .' '. esc_attr( $temp['medium-width-calc-operator'] ) .' '. esc_attr( $temp['medium-width-calc-px'] ) .'px )',
                                            'width-moz-calc' => '-moz-calc( '. esc_attr( $temp['medium-width-calc-base'] ) .' '. esc_attr( $temp['medium-width-calc-operator'] ) .' '. esc_attr( $temp['medium-width-calc-px'] ) .'px )',
                                            'width-calc' => 'calc( '. esc_attr( $temp['medium-width-calc-base'] ) .' '. esc_attr( $temp['medium-width-calc-operator'] ) .' '. esc_attr( $temp['medium-width-calc-px'] ) .'px )'
                                        )
                                    )
                                );

                            break;
                        }

                        # small devices element width styles
                        switch( $temp['small-width-type'] ) {

                            # percentage width
                            case 'percentage':

                                # update element width
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-delimiter',
                                    array(
                                        '768_991' => array(
                                            'width-%' => esc_attr( $temp['small-width-percentage'] )
                                        )
                                    )
                                );

                            break;

                            # pixel width
                            case 'px':

                                # update element width
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-delimiter',
                                    array(
                                        '768_991' => array(
                                            'width' => esc_attr( $temp['small-width-px'] )
                                        )
                                    )
                                );

                            break;

                            # calculated width
                            case 'calc':

                                # update element width
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-delimiter',
                                    array(
                                        '768_991' => array(
                                            'width-webkit-calc' => '-webkit-calc( '. esc_attr( $temp['small-width-calc-base'] ) .' '. esc_attr( $temp['small-width-calc-operator'] ) .' '. esc_attr( $temp['small-width-calc-px'] ) .'px )',
                                            'width-moz-calc' => '-moz-calc( '. esc_attr( $temp['small-width-calc-base'] ) .' '. esc_attr( $temp['small-width-calc-operator'] ) .' '. esc_attr( $temp['small-width-calc-px'] ) .'px )',
                                            'width-calc' => 'calc( '. esc_attr( $temp['small-width-calc-base'] ) .' '. esc_attr( $temp['small-width-calc-operator'] ) .' '. esc_attr( $temp['small-width-calc-px'] ) .'px )'
                                        )
                                    )
                                );

                            break;
                        }

                        # extra small devices element width styles
                        switch( $temp['extra-small-width-type'] ) {

                            # percentage width
                            case 'percentage':

                                # update element width
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-delimiter',
                                    array(
                                        'less_767' => array(
                                            'width-%' => esc_attr( $temp['extra-small-width-percentage'] )
                                        )
                                    )
                                );

                            break;

                            # pixel width
                            case 'px':

                                # update element width
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-delimiter',
                                    array(
                                        'less_767' => array(
                                            'width' => esc_attr( $temp['extra-small-width-px'] )
                                        )
                                    )
                                );

                            break;

                            # calculated width
                            case 'calc':

                                # update element width
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-delimiter',
                                    array(
                                        'less_767' => array(
                                            'width-webkit-calc' => '-webkit-calc( '. esc_attr( $temp['extra-small-width-calc-base'] ) .' '. esc_attr( $temp['extra-small-width-calc-operator'] ) .' '. esc_attr( $temp['extra-small-width-calc-px'] ) .'px )',
                                            'width-moz-calc' => '-moz-calc( '. esc_attr( $temp['extra-small-width-calc-base'] ) .' '. esc_attr( $temp['extra-small-width-calc-operator'] ) .' '. esc_attr( $temp['extra-small-width-calc-px'] ) .'px )',
                                            'width-calc' => 'calc( '. esc_attr( $temp['extra-small-width-calc-base'] ) .' '. esc_attr( $temp['extra-small-width-calc-operator'] ) .' '. esc_attr( $temp['extra-small-width-calc-px'] ) .'px )'
                                        )
                                    )
                                );

                            break;
                        }

                        # general element styles
                        $shortcodes_styles -> update_style(
                            esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-delimiter',
                            array(
                                '1200_more' => array(
                                    'height' => esc_attr( $attributes['large_height'] )
                                ),
                                '992_1199' => array(
                                    'height' => esc_attr( $temp['medium-height'] )
                                ),
                                '768_991' => array(
                                    'height' => esc_attr( $temp['small-height'] )
                                ),
                                'less_767' => array(
                                    'height' => esc_attr( $temp['extra-small-height'] )
                                ),
                                'general' => array(
                                    '-webkit-border-radius' => esc_attr( $attributes['border_radius'] ),
                                    '-moz-border-radius' => esc_attr( $attributes['border_radius'] ),
                                    'border-radius' => esc_attr( $attributes['border_radius'] )
                                )
                            )
                        );

                        # horizontal alignment
                        switch( $attributes['horizontal_alignment'] ) {

                            # left align
                            case 'left':

                                # update element styles
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-delimiter',
                                    array(
                                        'general' => array(
                                            'margin-top' => esc_attr( $attributes['margin_top'] ),
                                            'margin-right' => esc_attr( $attributes['margin_right'] ),
                                            'margin-bottom' => esc_attr( $attributes['margin_bottom'] ),
                                            'margin-left' => esc_attr( $attributes['margin_left'] )
                                        )
                                    )
                                );

                            break;

                            # center align
                            case 'center':

                                # update element styles
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-delimiter',
                                    array(
                                        'general' => array(
                                            'margin' => esc_attr( $attributes['margin_top'] ) .'px auto '. esc_attr( $attributes['margin_bottom'] ) .'px auto'
                                        )
                                    )
                                );

                            break;

                            # right align
                            case 'right':

                                # update element styles
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-delimiter',
                                    array(
                                        'general' => array(
                                            'float' => 'right',
                                            'margin-top' => esc_attr( $attributes['margin_top'] ),
                                            'margin-right' => esc_attr( $attributes['margin_right'] ),
                                            'margin-bottom' => esc_attr( $attributes['margin_bottom'] ),
                                            'margin-left' => esc_attr( $attributes['margin_left'] )
                                        )
                                    )
                                );

                            break;
                        }

                        # are custom colors enabled?
                        if( $attributes['custom_colors_enabled'] != 'theme_defaults' ) {

                            # update element background color
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-delimiter',
                                array(
                                    'general' => array(
                                        'background' => esc_attr( $attributes['background_color'] )
                                    )
                                )
                            );
                        }

                        # remove temporary variables
                        unset( $temp );

                        # save css style
                        $shortcodes_styles -> save_styles();

                        # remove attributes array
                        unset( $attributes );

                    break;

                   /**
                    *
                    * ueldo_shortcode_two_images_difference
                    *
                    */

                    case 'ueldo_shortcode_two_images_difference':

                        # attributes array
                        $attributes = array(
                            'orientation' => isset( $shortcode['atts']['orientation'] ) && !empty( $shortcode['atts']['orientation'] ) ? $shortcode['atts']['orientation'] : 'horizontal',
                            'horizontal_alignment' => isset( $shortcode['atts']['horizontal_alignment'] ) && !empty( $shortcode['atts']['horizontal_alignment'] ) ? $shortcode['atts']['horizontal_alignment'] : 'left',
                            'margin_top' => isset( $shortcode['atts']['margin_top'] ) && $shortcode['atts']['margin_top'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_top'] ) ? $shortcode['atts']['margin_top'] : '0',
                            'margin_right' => isset( $shortcode['atts']['margin_right'] ) && $shortcode['atts']['margin_right'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_right'] ) ? $shortcode['atts']['margin_right'] : '0',
                            'margin_bottom' => isset( $shortcode['atts']['margin_bottom'] ) && $shortcode['atts']['margin_bottom'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_bottom'] ) ? $shortcode['atts']['margin_bottom'] : '30',
                            'margin_left' => isset( $shortcode['atts']['margin_left'] ) && $shortcode['atts']['margin_left'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_left'] ) ? $shortcode['atts']['margin_left'] : '0',
                            'custom_sizes_enabled' => isset( $shortcode['atts']['custom_sizes_enabled'] ) && !empty( $shortcode['atts']['custom_sizes_enabled'] ) ? $shortcode['atts']['custom_sizes_enabled'] : 'theme_defaults',
                            'border_radius' => isset( $shortcode['atts']['border_radius'] ) && $shortcode['atts']['border_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['border_radius'] ) ? $shortcode['atts']['border_radius'] : '4',
                            'border_width' => isset( $shortcode['atts']['border_width'] ) && $shortcode['atts']['border_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['border_width'] ) ? $shortcode['atts']['border_width'] : '0',
                            'large_width_type' => isset( $shortcode['atts']['large_width_type'] ) && !empty( $shortcode['atts']['large_width_type'] ) ? $shortcode['atts']['large_width_type'] : 'px',
                            'large_width_percentage' => isset( $shortcode['atts']['large_width_percentage'] ) && $shortcode['atts']['large_width_percentage'] != '' ? $shortcode['atts']['large_width_percentage'] : '100%',
                            'large_width_px' => isset( $shortcode['atts']['large_width_px'] ) && $shortcode['atts']['large_width_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['large_width_px'] ) ? $shortcode['atts']['large_width_px'] : '550',
                            'medium_layer_custom_sizes' => isset( $shortcode['atts']['medium_custom_sizes'] ) && !empty( $shortcode['atts']['medium_custom_sizes'] ) ? $shortcode['atts']['medium_custom_sizes'] : 'no-large',
                            'medium_width_type' => isset( $shortcode['atts']['medium_width_type'] ) && !empty( $shortcode['atts']['medium_width_type'] ) ? $shortcode['atts']['medium_width_type'] : 'px',
                            'medium_width_percentage' => isset( $shortcode['atts']['medium_width_percentage'] ) && $shortcode['atts']['medium_width_percentage'] != '' ? $shortcode['atts']['medium_width_percentage'] : '100%',
                            'medium_width_px' => isset( $shortcode['atts']['medium_width_px'] ) && $shortcode['atts']['medium_width_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['medium_width_px'] ) ? $shortcode['atts']['medium_width_px'] : '550',
                            'small_layer_custom_sizes' => isset( $shortcode['atts']['small_custom_sizes'] ) && !empty( $shortcode['atts']['small_custom_sizes'] ) ? $shortcode['atts']['small_custom_sizes'] : 'no-medium',
                            'small_width_type' => isset( $shortcode['atts']['small_width_type'] ) && !empty( $shortcode['atts']['small_width_type'] ) ? $shortcode['atts']['small_width_type'] : 'px',
                            'small_width_percentage' => isset( $shortcode['atts']['small_width_percentage'] ) && $shortcode['atts']['small_width_percentage'] != '' ? $shortcode['atts']['small_width_percentage'] : '100%',
                            'small_width_px' => isset( $shortcode['atts']['small_width_px'] ) && $shortcode['atts']['small_width_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['small_width_px'] ) ? $shortcode['atts']['small_width_px'] : '550',
                            'extra_small_layer_custom_sizes' => isset( $shortcode['atts']['extra_small_custom_sizes'] ) && !empty( $shortcode['atts']['extra_small_custom_sizes'] ) ? $shortcode['atts']['extra_small_custom_sizes'] : 'no-small',
                            'extra_small_width_type' => isset( $shortcode['atts']['extra_small_width_type'] ) && !empty( $shortcode['atts']['extra_small_width_type'] ) ? $shortcode['atts']['extra_small_width_type'] : 'percentage',
                            'extra_small_width_percentage' => isset( $shortcode['atts']['extra_small_width_percentage'] ) && $shortcode['atts']['extra_small_width_percentage'] != '' ? $shortcode['atts']['extra_small_width_percentage'] : '100%',
                            'extra_small_width_px' => isset( $shortcode['atts']['extra_small_width_px'] ) && $shortcode['atts']['extra_small_width_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['extra_small_width_px'] ) ? $shortcode['atts']['extra_small_width_px'] : '300',
                            'custom_colors_enabled' => isset( $shortcode['atts']['custom_colors_enabled'] ) && !empty( $shortcode['atts']['custom_colors_enabled'] ) ? $shortcode['atts']['custom_colors_enabled'] : 'theme_defaults',
                            'handle_border_color' => isset( $shortcode['atts']['handle_border_color'] ) && $shortcode['atts']['handle_border_color'] != '' ? $shortcode['atts']['handle_border_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'two-images-difference-shortcode-handle-color' ) ),
                            'handle_arrows_color' => isset( $shortcode['atts']['handle_arrows_color'] ) && $shortcode['atts']['handle_arrows_color'] != '' ? $shortcode['atts']['handle_arrows_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'two-images-difference-shortcode-handle-color' ) ),
                            'handle_box_shadow_horizontal_length' => isset( $shortcode['atts']['handle_box_shadow_horizontal_length'] ) && $shortcode['atts']['handle_box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['handle_box_shadow_horizontal_length'] ) ? $shortcode['atts']['handle_box_shadow_horizontal_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'two-images-difference-shortcode-handle-box-shadow', 'horizontal-length' ) ),
                            'handle_box_shadow_vertical_length' => isset( $shortcode['atts']['handle_box_shadow_vertical_length'] ) && $shortcode['atts']['handle_box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['handle_box_shadow_vertical_length'] ) ? $shortcode['atts']['handle_box_shadow_vertical_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'two-images-difference-shortcode-handle-box-shadow', 'vertical-length' ) ),
                            'handle_box_shadow_blur_radius' => isset( $shortcode['atts']['handle_box_shadow_blur_radius'] ) && $shortcode['atts']['handle_box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['handle_box_shadow_blur_radius'] ) ? $shortcode['atts']['handle_box_shadow_blur_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'two-images-difference-shortcode-handle-box-shadow', 'blur-radius' ) ),
                            'handle_box_shadow_spread_radius' => isset( $shortcode['atts']['handle_box_shadow_spread_radius'] ) && $shortcode['atts']['handle_box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['handle_box_shadow_spread_radius'] ) ? $shortcode['atts']['handle_box_shadow_spread_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'two-images-difference-shortcode-handle-box-shadow', 'spread-radius' ) ),
                            'handle_box_shadow_color' => isset( $shortcode['atts']['handle_box_shadow_color'] ) && $shortcode['atts']['handle_box_shadow_color'] != '' ? $shortcode['atts']['handle_box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'two-images-difference-shortcode-handle-box-shadow', 'color' ) ),
                            'handle_line_background_color' => isset( $shortcode['atts']['handle_line_background_color'] ) && $shortcode['atts']['handle_line_background_color'] != '' ? $shortcode['atts']['handle_line_background_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'two-images-difference-shortcode-handle-color' ) ),
                            'handle_line_box_shadow_horizontal_length' => isset( $shortcode['atts']['handle_line_box_shadow_horizontal_length'] ) && $shortcode['atts']['handle_line_box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['handle_line_box_shadow_horizontal_length'] ) ? $shortcode['atts']['handle_line_box_shadow_horizontal_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'two-images-difference-shortcode-handle-box-shadow', 'horizontal-length' ) ),
                            'handle_line_box_shadow_vertical_length' => isset( $shortcode['atts']['handle_line_box_shadow_vertical_length'] ) && $shortcode['atts']['handle_line_box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['handle_line_box_shadow_vertical_length'] ) ? $shortcode['atts']['handle_line_box_shadow_vertical_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'two-images-difference-shortcode-handle-box-shadow', 'vertical-length' ) ),
                            'handle_line_box_shadow_blur_radius' => isset( $shortcode['atts']['handle_line_box_shadow_blur_radius'] ) && $shortcode['atts']['handle_line_box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['handle_line_box_shadow_blur_radius'] ) ? $shortcode['atts']['handle_line_box_shadow_blur_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'two-images-difference-shortcode-handle-box-shadow', 'blur-radius' ) ),
                            'handle_line_box_shadow_spread_radius' => isset( $shortcode['atts']['handle_line_box_shadow_spread_radius'] ) && $shortcode['atts']['handle_line_box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['handle_line_box_shadow_spread_radius'] ) ? $shortcode['atts']['handle_line_box_shadow_spread_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'two-images-difference-shortcode-handle-box-shadow', 'spread-radius' ) ),
                            'handle_line_box_shadow_color' => isset( $shortcode['atts']['handle_line_box_shadow_color'] ) && $shortcode['atts']['handle_line_box_shadow_color'] != '' ? $shortcode['atts']['handle_line_box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'two-images-difference-shortcode-handle-box-shadow', 'color' ) ),
                            'overlay_background_color' => isset( $shortcode['atts']['overlay_background_color'] ) && $shortcode['atts']['overlay_background_color'] != '' ? $shortcode['atts']['overlay_background_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'two-images-difference-shortcode-overlay-background-color' ) ),
                            'before_after_label_background_color' => isset( $shortcode['atts']['before_after_label_background_color'] ) && $shortcode['atts']['before_after_label_background_color'] != '' ? $shortcode['atts']['before_after_label_background_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'two-images-difference-shortcode-before-and-after-label-background-color' ) ),
                            'before_after_label_text' => isset( $shortcode['atts']['before_after_label_text'] ) && $shortcode['atts']['before_after_label_text'] != '' ? $shortcode['atts']['before_after_label_text'] : esc_attr( $ueldo_styles_cache -> get_style( 'two-images-difference-shortcode-before-and-after-label-text-color' ) ),
                            'container_box_shadow_horizontal_length' => isset( $shortcode['atts']['container_box_shadow_horizontal_length'] ) && $shortcode['atts']['container_box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['container_box_shadow_horizontal_length'] ) ? $shortcode['atts']['container_box_shadow_horizontal_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'horizontal-length' ) ),
                            'container_box_shadow_vertical_length' => isset( $shortcode['atts']['container_box_shadow_vertical_length'] ) && $shortcode['atts']['container_box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['container_box_shadow_vertical_length'] ) ? $shortcode['atts']['container_box_shadow_vertical_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'vertical-length' ) ),
                            'container_box_shadow_blur_radius' => isset( $shortcode['atts']['container_box_shadow_blur_radius'] ) && $shortcode['atts']['container_box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['container_box_shadow_blur_radius'] ) ? $shortcode['atts']['container_box_shadow_blur_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'blur-radius' ) ),
                            'container_box_shadow_spread_radius' => isset( $shortcode['atts']['container_box_shadow_spread_radius'] ) && $shortcode['atts']['container_box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['container_box_shadow_spread_radius'] ) ? $shortcode['atts']['container_box_shadow_spread_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'spread-radius' ) ),
                            'container_box_shadow_color' => isset( $shortcode['atts']['container_box_shadow_color'] ) && $shortcode['atts']['container_box_shadow_color'] != '' ? $shortcode['atts']['container_box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'color' ) ),
                            'container_border_color' => isset( $shortcode['atts']['container_border_color'] ) && $shortcode['atts']['container_border_color'] != '' ? $shortcode['atts']['container_border_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) )
                        );

                        # if horizontal alignment is different than "center", add margin left and right
                        if( $attributes['horizontal_alignment'] != 'center' ) {

                            # update general element styles
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-two-images-difference',
                                array(
                                    'general' => array(
                                        'margin-top' => esc_attr( $attributes['margin_top'] ),
                                        'margin-bottom' => esc_attr( $attributes['margin_bottom'] ),
                                        'margin-right' => esc_attr( $attributes['margin_right'] ),
                                        'margin-left' => esc_attr( $attributes['margin_left'] )
                                    )
                                )
                            );
                        }

                        # if horizontal alignment is set to "center"
                        else {

                            # general element styles
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-two-images-difference.ueldo-shortcode-two-images-difference-horizontal-alignment-center',
                                array(
                                    'general' => array(
                                        'margin' => esc_attr( $attributes['margin_top'] ) .'px auto '. esc_attr( $attributes['margin_bottom'] ) .'px auto'
                                    )
                                )
                            );
                        }

                        # do we have custom sizes enabled?
                        if( $attributes['custom_sizes_enabled'] != 'theme_defaults' ) {

                            # temporary values for each devices
                            $temp = array(
                                'medium-width-type' => ueldo_get_vc_element_device_attributes( $attributes, 'width_type', 'medium' ),
                                'medium-width-percentage' => ueldo_get_vc_element_device_attributes( $attributes, 'width_percentage', 'medium' ),
                                'medium-width-px' => ueldo_get_vc_element_device_attributes( $attributes, 'width_px', 'medium' ),
                                'small-width-type' => ueldo_get_vc_element_device_attributes( $attributes, 'width_type', 'small' ),
                                'small-width-percentage' => ueldo_get_vc_element_device_attributes( $attributes, 'width_percentage', 'small' ),
                                'small-width-px' => ueldo_get_vc_element_device_attributes( $attributes, 'width_px', 'small' ),
                                'extra-small-width-type' => ueldo_get_vc_element_device_attributes( $attributes, 'width_type', 'extra_small' ),
                                'extra-small-width-percentage' => ueldo_get_vc_element_device_attributes( $attributes, 'width_percentage', 'extra_small' ),
                                'extra-small-width-px' => ueldo_get_vc_element_device_attributes( $attributes, 'width_px', 'extra_small' ),
                            );

                            # update element styles
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-two-images-difference',
                                array(
                                    '1200_more' => array(
                                        'width'. esc_attr( $attributes['large_width_type'] == 'percentage' ? '-%' : '' ) => esc_attr( $attributes['large_width_type'] == 'percentage' ? $attributes['large_width_percentage'] : $attributes['large_width_px'] )
                                    ),
                                    '992_1199' => array(
                                        'width'. esc_attr( $temp['medium-width-type'] == 'percentage' ? '-%' : '' ) => esc_attr( $temp['medium-width-type'] == 'percentage' ? $temp['medium-width-percentage'] : $temp['medium-width-px'] )
                                    ),
                                    '768_991' => array(
                                        'width'. esc_attr( $temp['small-width-type'] == 'percentage' ? '-%' : '' ) => esc_attr( $temp['small-width-type'] == 'percentage' ? $temp['small-width-percentage'] : $temp['small-width-px'] )
                                    ),
                                    'less_767' => array(
                                        'width'. esc_attr( $temp['extra-small-width-type'] == 'percentage' ? '-%' : '' ) => esc_attr( $temp['extra-small-width-type'] == 'percentage' ? $temp['extra-small-width-percentage'] : $temp['extra-small-width-px'] )
                                    ),
                                    'general' => array(
                                        'border-width' => esc_attr( $attributes['border_width'] )
                                    )
                                )
                            );

                            # update border radius
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-two-images-difference, .ueldo-content-default .ueldo-content-wrapper .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-two-images-difference img, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-two-images-difference .ueldo-shortcode-two-images-difference-container, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-two-images-difference .ueldo-shortcode-two-images-difference-wrapper, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-two-images-difference .ueldo-shortcode-two-images-difference-overlay',
                                array(
                                    '-webkit-border-radius' => esc_attr( $attributes['border_radius'] ),
                                    '-moz-border-radius' => esc_attr( $attributes['border_radius'] ),
                                    'border-radius' => esc_attr( $attributes['border_radius'] )
                                )
                            );

                            # remove temporary variables
                            unset( $temp );
                        }

                        # do we have custom colors enabled?
                        if( $attributes['custom_colors_enabled'] != 'theme_defaults' ) {

                            # container box shadow
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-two-images-difference',
                                array(
                                    'general' => array(
                                        '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['container_box_shadow_horizontal_length'], $attributes['container_box_shadow_vertical_length'], $attributes['container_box_shadow_blur_radius'], $attributes['container_box_shadow_spread_radius'], $attributes['container_box_shadow_color'] ),
                                        '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['container_box_shadow_horizontal_length'], $attributes['container_box_shadow_vertical_length'], $attributes['container_box_shadow_blur_radius'], $attributes['container_box_shadow_spread_radius'], $attributes['container_box_shadow_color'] ),
                                        'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['container_box_shadow_horizontal_length'], $attributes['container_box_shadow_vertical_length'], $attributes['container_box_shadow_blur_radius'], $attributes['container_box_shadow_spread_radius'], $attributes['container_box_shadow_color'] ),
                                        'border-color' => $attributes['container_border_color']
                                    )
                                )
                            );

                            # styles depends on orientation
                            switch( $attributes['orientation'] ) {

                                # orientation: horizontal
                                case 'horizontal':

                                    # handle arrow: left
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-two-images-difference .ueldo-shortcode-two-images-difference-left-arrow',
                                        array(
                                            'border-right-color' => esc_attr( $attributes['handle_arrows_color'] )
                                        )
                                    );

                                    # handle arrow: right
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-two-images-difference .ueldo-shortcode-two-images-difference-right-arrow',
                                        array(
                                            'border-left-color' => esc_attr( $attributes['handle_arrows_color'] )
                                        )
                                    );

                                    # update handle line styles
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-two-images-difference .ueldo-shortcode-two-images-difference-horizontal .ueldo-shortcode-two-images-difference-handle:before, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-two-images-difference .ueldo-shortcode-two-images-difference-horizontal .ueldo-shortcode-two-images-difference-handle:after',
                                        array(
                                            'background' => esc_attr( $attributes['handle_line_background_color'] ),
                                            '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['handle_line_box_shadow_horizontal_length'], $attributes['handle_line_box_shadow_vertical_length'], $attributes['handle_line_box_shadow_blur_radius'], $attributes['handle_line_box_shadow_spread_radius'], $attributes['handle_line_box_shadow_color'] ),
                                            '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['handle_line_box_shadow_horizontal_length'], $attributes['handle_line_box_shadow_vertical_length'], $attributes['handle_line_box_shadow_blur_radius'], $attributes['handle_line_box_shadow_spread_radius'], $attributes['handle_line_box_shadow_color'] ),
                                            'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['handle_line_box_shadow_horizontal_length'], $attributes['handle_line_box_shadow_vertical_length'], $attributes['handle_line_box_shadow_blur_radius'], $attributes['handle_line_box_shadow_spread_radius'], $attributes['handle_line_box_shadow_color'] )
                                        )
                                    );

                                break;

                                # orientation: vertical
                                case 'vertical':

                                    # handle arrow: top
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-two-images-difference .ueldo-shortcode-two-images-difference-up-arrow',
                                        array(
                                            'border-bottom-color' => esc_attr( $attributes['handle_arrows_color'] )
                                        )
                                    );

                                    # handle arrow: bottom
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-two-images-difference .ueldo-shortcode-two-images-difference-down-arrow',
                                        array(
                                            'border-top-color' => esc_attr( $attributes['handle_arrows_color'] )
                                        )
                                    );

                                    # update handle line styles
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-two-images-difference .ueldo-shortcode-two-images-difference-vertical .ueldo-shortcode-two-images-difference-handle:before, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-two-images-difference .ueldo-shortcode-two-images-difference-vertical .ueldo-shortcode-two-images-difference-handle:after',
                                        array(
                                            'background' => esc_attr( $attributes['handle_line_background_color'] ),
                                            '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['handle_line_box_shadow_horizontal_length'], $attributes['handle_line_box_shadow_vertical_length'], $attributes['handle_line_box_shadow_blur_radius'], $attributes['handle_line_box_shadow_spread_radius'], $attributes['handle_line_box_shadow_color'] ),
                                            '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['handle_line_box_shadow_horizontal_length'], $attributes['handle_line_box_shadow_vertical_length'], $attributes['handle_line_box_shadow_blur_radius'], $attributes['handle_line_box_shadow_spread_radius'], $attributes['handle_line_box_shadow_color'] ),
                                            'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['handle_line_box_shadow_horizontal_length'], $attributes['handle_line_box_shadow_vertical_length'], $attributes['handle_line_box_shadow_blur_radius'], $attributes['handle_line_box_shadow_spread_radius'], $attributes['handle_line_box_shadow_color'] )
                                        )
                                    );

                                break;
                            }

                            # update difference handle styles
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-two-images-difference .ueldo-shortcode-two-images-difference-handle',
                                array(
                                    'border-color' => esc_attr( $attributes['handle_border_color'] ),
                                    '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['handle_box_shadow_horizontal_length'], $attributes['handle_box_shadow_vertical_length'], $attributes['handle_box_shadow_blur_radius'], $attributes['handle_box_shadow_spread_radius'], $attributes['handle_box_shadow_color'] ),
                                    '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['handle_box_shadow_horizontal_length'], $attributes['handle_box_shadow_vertical_length'], $attributes['handle_box_shadow_blur_radius'], $attributes['handle_box_shadow_spread_radius'], $attributes['handle_box_shadow_color'] ),
                                    'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['handle_box_shadow_horizontal_length'], $attributes['handle_box_shadow_vertical_length'], $attributes['handle_box_shadow_blur_radius'], $attributes['handle_box_shadow_spread_radius'], $attributes['handle_box_shadow_color'] )
                                )
                            );

                            # overlay styles
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-two-images-difference .ueldo-shortcode-two-images-difference-overlay:hover',
                                array(
                                    'background' => esc_attr( $attributes['overlay_background_color'] )
                                )
                            );

                            # before / after labels
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-two-images-difference .ueldo-shortcode-two-images-difference-before-label:before, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-two-images-difference .ueldo-shortcode-two-images-difference-after-label:before',
                                array(
                                    'background' => esc_attr( $attributes['before_after_label_background_color'] ),
                                    'color' => esc_attr( $attributes['before_after_label_text'] )
                                )
                            );
                        }

                        # save css style
                        $shortcodes_styles -> save_styles();

                        # remove attributes array
                        unset( $attributes );

                    break;

                   /**
                    *
                    * ueldo_shortcode_progress_bar
                    *
                    */

                    case 'ueldo_shortcode_progress_bar':

                        # attributes array
                        $attributes = array(
                            'font_size' => isset( $shortcode['atts']['font_size'] ) && $shortcode['atts']['font_size'] != '' && ueldo_is_valid_number( $shortcode['atts']['font_size'] ) ? $shortcode['atts']['font_size'] : esc_attr( $ueldo_styles_cache -> get_style( 'font-size-h6' ) ),
                            'progress_bar_value_position' => isset( $shortcode['atts']['progress_bar_value_position'] ) && !empty( $shortcode['atts']['progress_bar_value_position'] ) ? $shortcode['atts']['progress_bar_value_position'] : 'above-progress-bar-right-side',
                            'horizontal_alignment' => isset( $shortcode['atts']['horizontal_alignment'] ) && !empty( $shortcode['atts']['horizontal_alignment'] ) ? $shortcode['atts']['horizontal_alignment'] : esc_attr( ueldo_is_rtl() ? 'right' : 'left' ),
                            'border_radius' => isset( $shortcode['atts']['border_radius'] ) && $shortcode['atts']['border_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['border_radius'] ) ? $shortcode['atts']['border_radius'] : '0',
                            'large_width_type' => isset( $shortcode['atts']['large_width_type'] ) && !empty( $shortcode['atts']['large_width_type'] ) ? $shortcode['atts']['large_width_type'] : 'percentage',
                            'large_width_percentage' => isset( $shortcode['atts']['large_width_percentage'] ) && $shortcode['atts']['large_width_percentage'] != '' ? $shortcode['atts']['large_width_percentage'] : '100%',
                            'large_width_px' => isset( $shortcode['atts']['large_width_px'] ) && $shortcode['atts']['large_width_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['large_width_px'] ) ? $shortcode['atts']['large_width_px'] : '100',
                            'large_height' => isset( $shortcode['atts']['large_height'] ) && $shortcode['atts']['large_height'] != '' && ueldo_is_valid_number( $shortcode['atts']['large_height'] ) ? $shortcode['atts']['large_height'] : '3',
                            'large_title_padding_top_bottom' => isset( $shortcode['atts']['large_title_padding_top_bottom'] ) && $shortcode['atts']['large_title_padding_top_bottom'] != '' && ueldo_is_valid_number( $shortcode['atts']['large_title_padding_top_bottom'] ) ? $shortcode['atts']['large_title_padding_top_bottom'] : '0',
                            'large_title_padding_left_right' => isset( $shortcode['atts']['large_title_padding_left_right'] ) && $shortcode['atts']['large_title_padding_left_right'] != '' && ueldo_is_valid_number( $shortcode['atts']['large_title_padding_left_right'] ) ? $shortcode['atts']['large_title_padding_left_right'] : '0',
                            'medium_layer_custom_sizes' => isset( $shortcode['atts']['medium_custom_sizes'] ) && !empty( $shortcode['atts']['medium_custom_sizes'] ) ? $shortcode['atts']['medium_custom_sizes'] : 'no-large',
                            'medium_width_type' => isset( $shortcode['atts']['medium_width_type'] ) && !empty( $shortcode['atts']['medium_width_type'] ) ? $shortcode['atts']['medium_width_type'] : 'percentage',
                            'medium_width_percentage' => isset( $shortcode['atts']['medium_width_percentage'] ) && $shortcode['atts']['medium_width_percentage'] != '' ? $shortcode['atts']['medium_width_percentage'] : '100%',
                            'medium_width_px' => isset( $shortcode['atts']['medium_width_px'] ) && $shortcode['atts']['medium_width_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['medium_width_px'] ) ? $shortcode['atts']['medium_width_px'] : '100',
                            'medium_height' => isset( $shortcode['atts']['medium_height'] ) && $shortcode['atts']['medium_height'] != '' && ueldo_is_valid_number( $shortcode['atts']['medium_height'] ) ? $shortcode['atts']['medium_height'] : '3',
                            'medium_title_padding_top_bottom' => isset( $shortcode['atts']['medium_title_padding_top_bottom'] ) && $shortcode['atts']['medium_title_padding_top_bottom'] != '' && ueldo_is_valid_number( $shortcode['atts']['medium_title_padding_top_bottom'] ) ? $shortcode['atts']['medium_title_padding_top_bottom'] : '0',
                            'medium_title_padding_left_right' => isset( $shortcode['atts']['medium_title_padding_left_right'] ) && $shortcode['atts']['medium_title_padding_left_right'] != '' && ueldo_is_valid_number( $shortcode['atts']['medium_title_padding_left_right'] ) ? $shortcode['atts']['medium_title_padding_left_right'] : '0',
                            'small_layer_custom_sizes' => isset( $shortcode['atts']['small_custom_sizes'] ) && !empty( $shortcode['atts']['small_custom_sizes'] ) ? $shortcode['atts']['small_custom_sizes'] : 'no-medium',
                            'small_width_type' => isset( $shortcode['atts']['small_width_type'] ) && !empty( $shortcode['atts']['small_width_type'] ) ? $shortcode['atts']['small_width_type'] : 'percentage',
                            'small_width_percentage' => isset( $shortcode['atts']['small_width_percentage'] ) && $shortcode['atts']['small_width_percentage'] != '' ? $shortcode['atts']['small_width_percentage'] : '100%',
                            'small_width_px' => isset( $shortcode['atts']['small_width_px'] ) && $shortcode['atts']['small_width_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['small_width_px'] ) ? $shortcode['atts']['small_width_px'] : '100',
                            'small_height' => isset( $shortcode['atts']['small_height'] ) && $shortcode['atts']['small_height'] != '' && ueldo_is_valid_number( $shortcode['atts']['small_height'] ) ? $shortcode['atts']['small_height'] : '3',
                            'small_title_padding_top_bottom' => isset( $shortcode['atts']['small_title_padding_top_bottom'] ) && $shortcode['atts']['small_title_padding_top_bottom'] != '' && ueldo_is_valid_number( $shortcode['atts']['small_title_padding_top_bottom'] ) ? $shortcode['atts']['small_title_padding_top_bottom'] : '0',
                            'small_title_padding_left_right' => isset( $shortcode['atts']['small_title_padding_left_right'] ) && $shortcode['atts']['small_title_padding_left_right'] != '' && ueldo_is_valid_number( $shortcode['atts']['small_title_padding_left_right'] ) ? $shortcode['atts']['small_title_padding_left_right'] : '0',
                            'extra_small_layer_custom_sizes' => isset( $shortcode['atts']['extra_small_custom_sizes'] ) && !empty( $shortcode['atts']['extra_small_custom_sizes'] ) ? $shortcode['atts']['extra_small_custom_sizes'] : 'no-small',
                            'extra_small_width_type' => isset( $shortcode['atts']['extra_small_width_type'] ) && !empty( $shortcode['atts']['extra_small_width_type'] ) ? $shortcode['atts']['extra_small_width_type'] : 'percentage',
                            'extra_small_width_percentage' => isset( $shortcode['atts']['extra_small_width_percentage'] ) && $shortcode['atts']['extra_small_width_percentage'] != '' ? $shortcode['atts']['extra_small_width_percentage'] : '100%',
                            'extra_small_width_px' => isset( $shortcode['atts']['extra_small_width_px'] ) && $shortcode['atts']['extra_small_width_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['extra_small_width_px'] ) ? $shortcode['atts']['extra_small_width_px'] : '100',
                            'extra_small_height' => isset( $shortcode['atts']['extra_small_height'] ) && $shortcode['atts']['extra_small_height'] != '' && ueldo_is_valid_number( $shortcode['atts']['extra_small_height'] ) ? $shortcode['atts']['extra_small_height'] : '3',
                            'extra_small_title_padding_top_bottom' => isset( $shortcode['atts']['extra_small_title_padding_top_bottom'] ) && $shortcode['atts']['extra_small_title_padding_top_bottom'] != '' && ueldo_is_valid_number( $shortcode['atts']['extra_small_title_padding_top_bottom'] ) ? $shortcode['atts']['extra_small_title_padding_top_bottom'] : '0',
                            'extra_small_title_padding_left_right' => isset( $shortcode['atts']['extra_small_title_padding_left_right'] ) && $shortcode['atts']['extra_small_title_padding_left_right'] != '' && ueldo_is_valid_number( $shortcode['atts']['extra_small_title_padding_left_right'] ) ? $shortcode['atts']['extra_small_title_padding_left_right'] : '0',
                            'margin_top' => isset( $shortcode['atts']['margin_top'] ) && $shortcode['atts']['margin_top'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_top'] ) ? $shortcode['atts']['margin_top'] : '0',
                            'margin_right' => isset( $shortcode['atts']['margin_right'] ) && $shortcode['atts']['margin_right'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_right'] ) ? $shortcode['atts']['margin_right'] : '0',
                            'margin_bottom' => isset( $shortcode['atts']['margin_bottom'] ) && $shortcode['atts']['margin_bottom'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_bottom'] ) ? $shortcode['atts']['margin_bottom'] : '30',
                            'margin_left' => isset( $shortcode['atts']['margin_left'] ) && $shortcode['atts']['margin_left'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_left'] ) ? $shortcode['atts']['margin_left'] : '0',
                            'custom_colors_enabled' => isset( $shortcode['atts']['custom_colors_enabled'] ) && !empty( $shortcode['atts']['custom_colors_enabled'] ) ? $shortcode['atts']['custom_colors_enabled'] : 'theme_defaults',
                            'inactive_background_color' => isset( $shortcode['atts']['inactive_background_color'] ) && $shortcode['atts']['inactive_background_color'] != '' ? $shortcode['atts']['inactive_background_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-border-color' ) ),
                            'value_background_color' => isset( $shortcode['atts']['value_background_color'] ) && $shortcode['atts']['value_background_color'] != '' ? $shortcode['atts']['value_background_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                            'title_color' => isset( $shortcode['atts']['title_color'] ) && $shortcode['atts']['title_color'] != '' ? $shortcode['atts']['title_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-headings-color' ) ),
                            'value_text_color' => isset( $shortcode['atts']['value_text_color'] ) && $shortcode['atts']['value_text_color'] != '' ? $shortcode['atts']['value_text_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-headings-color' ) ),
                            'box_shadow_horizontal_length' => isset( $shortcode['atts']['box_shadow_horizontal_length'] ) && $shortcode['atts']['box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_horizontal_length'] ) ? $shortcode['atts']['box_shadow_horizontal_length'] : '0',
                            'box_shadow_vertical_length' => isset( $shortcode['atts']['box_shadow_vertical_length'] ) && $shortcode['atts']['box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_vertical_length'] ) ? $shortcode['atts']['box_shadow_vertical_length'] : '0',
                            'box_shadow_blur_radius' => isset( $shortcode['atts']['box_shadow_blur_radius'] ) && $shortcode['atts']['box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_blur_radius'] ) ? $shortcode['atts']['box_shadow_blur_radius'] : '0',
                            'box_shadow_spread_radius' => isset( $shortcode['atts']['box_shadow_spread_radius'] ) && $shortcode['atts']['box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_spread_radius'] ) ? $shortcode['atts']['box_shadow_spread_radius'] : '0',
                            'box_shadow_color' => isset( $shortcode['atts']['box_shadow_color'] ) && $shortcode['atts']['box_shadow_color'] != '' ? $shortcode['atts']['box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) )
                        );

                        # temporary values for each devices
                        $temp = array(
                            'medium-width-type' => ueldo_get_vc_element_device_attributes( $attributes, 'width_type', 'medium' ),
                            'medium-width-percentage' => ueldo_get_vc_element_device_attributes( $attributes, 'width_percentage', 'medium' ),
                            'medium-width-px' => ueldo_get_vc_element_device_attributes( $attributes, 'width_px', 'medium' ),
                            'medium-height' => ueldo_get_vc_element_device_attributes( $attributes, 'height', 'medium' ),
                            'medium-title-padding-top-bottom' => ueldo_get_vc_element_device_attributes( $attributes, 'title_padding_top_bottom', 'medium' ),
                            'medium-title-padding-left-right' => ueldo_get_vc_element_device_attributes( $attributes, 'title_padding_left_right', 'medium' ),
                            'small-width-type' => ueldo_get_vc_element_device_attributes( $attributes, 'width_type', 'small' ),
                            'small-width-percentage' => ueldo_get_vc_element_device_attributes( $attributes, 'width_percentage', 'small' ),
                            'small-width-px' => ueldo_get_vc_element_device_attributes( $attributes, 'width_px', 'small' ),
                            'small-height' => ueldo_get_vc_element_device_attributes( $attributes, 'height', 'small' ),
                            'small-title-padding-top-bottom' => ueldo_get_vc_element_device_attributes( $attributes, 'title_padding_top_bottom', 'small' ),
                            'small-title-padding-left-right' => ueldo_get_vc_element_device_attributes( $attributes, 'title_padding_left_right', 'small' ),
                            'extra-small-width-type' => ueldo_get_vc_element_device_attributes( $attributes, 'width_type', 'extra_small' ),
                            'extra-small-width-percentage' => ueldo_get_vc_element_device_attributes( $attributes, 'width_percentage', 'extra_small' ),
                            'extra-small-width-px' => ueldo_get_vc_element_device_attributes( $attributes, 'width_px', 'extra_small' ),
                            'extra-small-height' => ueldo_get_vc_element_device_attributes( $attributes, 'height', 'extra_small' ),
                            'extra-small-title-padding-top-bottom' => ueldo_get_vc_element_device_attributes( $attributes, 'title_padding_top_bottom', 'extra_small' ),
                            'extra-small-title-padding-left-right' => ueldo_get_vc_element_device_attributes( $attributes, 'title_padding_left_right', 'extra_small' )
                        );

                        # update general element styles
                        $shortcodes_styles -> update_style(
                            'ueldo-shortcode-progress-bar.'. esc_attr( $shortcode['atts']['class_name'] ),
                            array(
                                '1200_more' => array(
                                    'width'. esc_attr( $attributes['large_width_type'] == 'percentage' ? '-%' : '' ) => esc_attr( $attributes['large_width_type'] == 'percentage' ? $attributes['large_width_percentage'] : $attributes['large_width_px'] ),
                                ),
                                '992_1199' => array(
                                    'width'. esc_attr( $temp['medium-width-type'] == 'percentage' ? '-%' : '' ) => esc_attr( $temp['medium-width-type'] == 'percentage' ? $temp['medium-width-percentage'] : $temp['medium-width-px'] )
                                ),
                                '768_991' => array(
                                    'width'. esc_attr( $temp['small-width-type'] == 'percentage' ? '-%' : '' ) => esc_attr( $temp['small-width-type'] == 'percentage' ? $temp['small-width-percentage'] : $temp['small-width-px'] )
                                ),
                                'less_767' => array(
                                    'width'. esc_attr( $temp['extra-small-width-type'] == 'percentage' ? '-%' : '' ) => esc_attr( $temp['extra-small-width-type'] == 'percentage' ? $temp['extra-small-width-percentage'] : $temp['extra-small-width-px'] )
                                ),
                                'general' => array(
                                    '-webkit-border-radius' => esc_attr( $attributes['border_radius'] ),
                                    '-moz-border-radius' => esc_attr( $attributes['border_radius'] ),
                                    'border-radius' => esc_attr( $attributes['border_radius'] )
                                )
                            )
                        );

                        # update element margins, if it is horizontaly centered
                        if( $attributes['horizontal_alignment'] == 'center' ) {

                            # update general element margins
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-progress-bar.'. esc_attr( $shortcode['atts']['class_name'] ),
                                array(
                                    'general' => array(
                                        'margin' => esc_attr( $attributes['margin_top'] ) .'px auto '. esc_attr( $attributes['margin_bottom'] ) .'px auto'
                                    )
                                )
                            );
                        }

                        # not horizontaly centered?
                        else {

                            # update general element margins
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-progress-bar.'. esc_attr( $shortcode['atts']['class_name'] ),
                                array(
                                    'general' => array(
                                        'margin-top' => esc_attr( $attributes['margin_top'] ),
                                        'margin-right' => esc_attr( $attributes['margin_right'] ),
                                        'margin-bottom' => esc_attr( $attributes['margin_bottom'] ),
                                        'margin-left' => esc_attr( $attributes['margin_left'] )
                                    )
                                )
                            );
                        }

                        # update line styles
                        $shortcodes_styles -> update_style(
                            'ueldo-shortcode-progress-bar.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-progress-bar-line',
                            array(
                                '1200_more' => array(
                                    'height' => esc_attr( $attributes['large_height'] )
                                ),
                                '992_1199' => array(
                                    'height' => esc_attr( $temp['medium-height'] )
                                ),
                                '768_991' => array(
                                    'height' => esc_attr( $temp['small-height'] )
                                ),
                                'less_767' => array(
                                    'height' => esc_attr( $temp['extra-small-height'] )
                                ),
                                'general' => array(
                                    '-webkit-border-radius' => esc_attr( $attributes['border_radius'] ),
                                    '-moz-border-radius' => esc_attr( $attributes['border_radius'] ),
                                    'border-radius' => esc_attr( $attributes['border_radius'] )
                                )
                            )
                        );

                        # progress bar line value border radius
                        $shortcodes_styles -> update_style(
                            'ueldo-shortcode-progress-bar.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-progress-bar-line .ueldo-shortcode-progress-bar-line-value',
                            array(
                                '-webkit-border-radius' => esc_attr( $attributes['border_radius'] ),
                                '-moz-border-radius' => esc_attr( $attributes['border_radius'] ),
                                'border-radius' => esc_attr( $attributes['border_radius'] )
                            )
                        );

                        # update title paddings
                        $shortcodes_styles -> update_style(
                            'ueldo-shortcode-progress-bar.'. esc_attr( $shortcode['atts']['class_name'] ) .' h6',
                            array(
                                '1200_more' => array(
                                    'padding-top' => esc_attr( $attributes['large_title_padding_top_bottom'] ),
                                    'padding-right' => esc_attr( $attributes['large_title_padding_left_right'] ),
                                    'padding-bottom' => esc_attr( $attributes['large_title_padding_top_bottom'] ),
                                    'padding-left' => esc_attr( $attributes['large_title_padding_left_right'] )
                                ),
                                '992_1199' => array(
                                    'padding-top' => esc_attr( $temp['medium-title-padding-top-bottom'] ),
                                    'padding-right' => esc_attr( $temp['medium-title-padding-left-right'] ),
                                    'padding-bottom' => esc_attr( $temp['medium-title-padding-top-bottom'] ),
                                    'padding-left' => esc_attr( $temp['medium-title-padding-left-right'] )
                                ),
                                '768_991' => array(
                                    'padding-top' => esc_attr( $temp['small-title-padding-top-bottom'] ),
                                    'padding-right' => esc_attr( $temp['small-title-padding-left-right'] ),
                                    'padding-bottom' => esc_attr( $temp['small-title-padding-top-bottom'] ),
                                    'padding-left' => esc_attr( $temp['small-title-padding-left-right'] )
                                ),
                                'less_767' => array(
                                    'padding-top' => esc_attr( $temp['extra-small-title-padding-top-bottom'] ),
                                    'padding-right' => esc_attr( $temp['extra-small-title-padding-left-right'] ),
                                    'padding-bottom' => esc_attr( $temp['extra-small-title-padding-top-bottom'] ),
                                    'padding-left' => esc_attr( $temp['extra-small-title-padding-left-right'] )
                                ),
                                'general' => array(
                                    'font-size' => esc_attr( $attributes['font_size'] )
                                )
                            )
                        );

                        # update padding for progress bar value on right progress line side
                        if( $attributes['progress_bar_value_position'] == 'on-progress-bar-on-right-side-of-progress-line' ) {

                            # update styles
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-progress-bar.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-progress-bar-value.ueldo-shortcode-progress-bar-value-on-progress-bar-on-right-side-of-progress-line',
                                array(
                                    '1200_more' => array(
                                        'padding-top' => esc_attr( $attributes['large_title_padding_top_bottom'] ),
                                        'padding-right' => esc_attr( $attributes['large_title_padding_left_right'] ),
                                        'padding-bottom' => esc_attr( $attributes['large_title_padding_top_bottom'] ),
                                        'padding-left' => esc_attr( $attributes['large_title_padding_left_right'] )
                                    ),
                                    '992_1199' => array(
                                        'padding-top' => esc_attr( $temp['medium-title-padding-top-bottom'] ),
                                        'padding-right' => esc_attr( $temp['medium-title-padding-left-right'] ),
                                        'padding-bottom' => esc_attr( $temp['medium-title-padding-top-bottom'] ),
                                        'padding-left' => esc_attr( $temp['medium-title-padding-left-right'] )
                                    ),
                                    '768_991' => array(
                                        'padding-top' => esc_attr( $temp['small-title-padding-top-bottom'] ),
                                        'padding-right' => esc_attr( $temp['small-title-padding-left-right'] ),
                                        'padding-bottom' => esc_attr( $temp['small-title-padding-top-bottom'] ),
                                        'padding-left' => esc_attr( $temp['small-title-padding-left-right'] )
                                    ),
                                    'less_767' => array(
                                        'padding-top' => esc_attr( $temp['extra-small-title-padding-top-bottom'] ),
                                        'padding-right' => esc_attr( $temp['extra-small-title-padding-left-right'] ),
                                        'padding-bottom' => esc_attr( $temp['extra-small-title-padding-top-bottom'] ),
                                        'padding-left' => esc_attr( $temp['extra-small-title-padding-left-right'] )
                                    )
                                )
                            );
                        }

                        # remove temporary variable
                        unset( $temp );

                        # do we have custom colors enabled?
                        if( $attributes['custom_colors_enabled'] != 'theme_defaults' ) {

                            # progress bar inactive line background color
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-progress-bar.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-progress-bar-line',
                                array(
                                    'general' => array(
                                        'background' => esc_attr( $attributes['inactive_background_color'] )
                                     )
                                )
                            );

                            # progress bar active line background color
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-progress-bar.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-progress-bar-line .ueldo-shortcode-progress-bar-line-value',
                                array(
                                    'background' => esc_attr( $attributes['value_background_color'] )
                                )
                            );

                            # progress bar title text color
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-progress-bar.'. esc_attr( $shortcode['atts']['class_name'] ) .' h6, .ueldo-shortcode-progress-bar.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-progress-bar-line h6',
                                array(
                                    'general' => array(
                                        'color' => esc_attr( $attributes['title_color'] )
                                    )
                                )
                            );

                            # progress bar value text color
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-progress-bar.'. esc_attr( $shortcode['atts']['class_name'] ) .' h6 .ueldo-shortcode-progress-bar-value',
                                array(
                                    'color' => esc_attr( $attributes['value_text_color'] )
                                )
                            );

                            # progress bar box shadow
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-progress-bar.'. esc_attr( $shortcode['atts']['class_name'] ),
                                array(
                                    'general' => array(
                                        '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length'], $attributes['box_shadow_vertical_length'], $attributes['box_shadow_blur_radius'], $attributes['box_shadow_spread_radius'], $attributes['box_shadow_color'] ),
                                        '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length'], $attributes['box_shadow_vertical_length'], $attributes['box_shadow_blur_radius'], $attributes['box_shadow_spread_radius'], $attributes['box_shadow_color'] ),
                                        'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length'], $attributes['box_shadow_vertical_length'], $attributes['box_shadow_blur_radius'], $attributes['box_shadow_spread_radius'], $attributes['box_shadow_color'] )
                                    )
                                )
                            );
                        }

                        # save css style
                        $shortcodes_styles -> save_styles();

                        # remove attributes array
                        unset( $attributes );

                    break;

                   /**
                    *
                    * ueldo_shortcode_loop
                    *
                    */

                    case 'ueldo_shortcode_loop':

                        # attributes array
                        $attributes = array(
                            'columns' => isset( $shortcode['atts']['columns'] ) && $shortcode['atts']['columns'] != '' && ueldo_is_valid_number( $shortcode['atts']['columns'] ) ? $shortcode['atts']['columns'] : '3',
                            'one_column_from' => isset( $shortcode['atts']['one_column_from'] ) && !empty( $shortcode['atts']['one_column_from'] ) ? $shortcode['atts']['one_column_from'] : 'small',
                            'rows' => isset( $shortcode['atts']['rows'] ) && $shortcode['atts']['rows'] != '' && ueldo_is_valid_number( $shortcode['atts']['rows'] ) ? $shortcode['atts']['rows'] : '1',
                            'margin_between_columns' => isset( $shortcode['atts']['margin_between_columns'] ) && $shortcode['atts']['margin_between_columns'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_between_columns'] ) ? $shortcode['atts']['margin_between_columns'] : '30',
                            'margin_between_rows' => isset( $shortcode['atts']['margin_between_rows'] ) && $shortcode['atts']['margin_between_rows'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_between_rows'] ) ? $shortcode['atts']['margin_between_rows'] : '30',
                            'use_separate_next_prev_arrows' => isset( $shortcode['atts']['use_separate_next_prev_arrows'] ) && !empty( $shortcode['atts']['use_separate_next_prev_arrows'] ) ? $shortcode['atts']['use_separate_next_prev_arrows'] : 'integrated',
                            'custom_next_prev_arrows_settings' => isset( $shortcode['atts']['custom_next_prev_arrows_settings'] ) && !empty( $shortcode['atts']['custom_next_prev_arrows_settings'] ) ? $shortcode['atts']['custom_next_prev_arrows_settings'] : 'theme_defaults',
                            'arrow_font_size' => isset( $shortcode['atts']['arrow_font_size'] ) && $shortcode['atts']['arrow_font_size'] != '' && ueldo_is_valid_number( $shortcode['atts']['arrow_font_size'] ) ? $shortcode['atts']['arrow_font_size'] : '17',
                            'arrow_padding_top_bottom' => isset( $shortcode['atts']['arrow_padding_top_bottom'] ) && $shortcode['atts']['arrow_padding_top_bottom'] != '' && ueldo_is_valid_number( $shortcode['atts']['arrow_padding_top_bottom'] ) ? $shortcode['atts']['arrow_padding_top_bottom'] : '10',
                            'arrow_padding_left_right' => isset( $shortcode['atts']['arrow_padding_left_right'] ) && $shortcode['atts']['arrow_padding_left_right'] != '' && ueldo_is_valid_number( $shortcode['atts']['arrow_padding_left_right'] ) ? $shortcode['atts']['arrow_padding_left_right'] : '10',
                            'arrow_border_radius' => isset( $shortcode['atts']['arrow_border_radius'] ) && $shortcode['atts']['arrow_border_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['arrow_border_radius'] ) ? $shortcode['atts']['arrow_border_radius'] : '0',
                            'arrow_border_width' => isset( $shortcode['atts']['arrow_border_width'] ) && $shortcode['atts']['arrow_border_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['arrow_border_width'] ) ? $shortcode['atts']['arrow_border_width'] : '0',
                            'custom_colors_enabled' => isset( $shortcode['atts']['custom_colors_enabled'] ) && !empty( $shortcode['atts']['custom_colors_enabled'] ) ? $shortcode['atts']['custom_colors_enabled'] : 'theme_defaults',
                            'cells_border_color' => isset( $shortcode['atts']['cells_border_color'] ) && $shortcode['atts']['cells_border_color'] != '' ? $shortcode['atts']['cells_border_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-border-color' ) ),
                            'loop_background_color' => isset( $shortcode['atts']['loop_background_color'] ) && $shortcode['atts']['loop_background_color'] != '' ? $shortcode['atts']['loop_background_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                            'next_prev_arrow_color' => isset( $shortcode['atts']['next_prev_arrow_color'] ) && $shortcode['atts']['next_prev_arrow_color'] != '' ? $shortcode['atts']['next_prev_arrow_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-icon-color' ) ),
                            'next_prev_arrow_color_hover' => isset( $shortcode['atts']['next_prev_arrow_color_hover'] ) && $shortcode['atts']['next_prev_arrow_color_hover'] != '' ? $shortcode['atts']['next_prev_arrow_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                            'next_prev_arrow_container_background' => isset( $shortcode['atts']['next_prev_arrow_container_background'] ) && $shortcode['atts']['next_prev_arrow_container_background'] != '' ? $shortcode['atts']['next_prev_arrow_container_background'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                            'next_prev_arrow_container_background_hover' => isset( $shortcode['atts']['next_prev_arrow_container_background_hover'] ) && $shortcode['atts']['next_prev_arrow_container_background_hover'] != '' ? $shortcode['atts']['next_prev_arrow_container_background_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                            'next_prev_arrow_container_border_color' => isset( $shortcode['atts']['next_prev_arrow_container_border_color'] ) && $shortcode['atts']['next_prev_arrow_container_border_color'] != '' ? $shortcode['atts']['next_prev_arrow_container_border_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                            'next_prev_arrow_container_border_color_hover' => isset( $shortcode['atts']['next_prev_arrow_container_border_color_hover'] ) && $shortcode['atts']['next_prev_arrow_container_border_color_hover'] != '' ? $shortcode['atts']['next_prev_arrow_container_border_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                            'next_prev_arrow_container_box_shadow_horizontal_length' => isset( $shortcode['atts']['next_prev_arrow_container_box_shadow_horizontal_length'] ) && $shortcode['atts']['next_prev_arrow_container_box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['next_prev_arrow_container_box_shadow_horizontal_length'] ) ? $shortcode['atts']['next_prev_arrow_container_box_shadow_horizontal_length'] : '0',
                            'next_prev_arrow_container_box_shadow_vertical_length' => isset( $shortcode['atts']['next_prev_arrow_container_box_shadow_vertical_length'] ) && $shortcode['atts']['next_prev_arrow_container_box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['next_prev_arrow_container_box_shadow_vertical_length'] ) ? $shortcode['atts']['next_prev_arrow_container_box_shadow_vertical_length'] : '0',
                            'next_prev_arrow_container_box_shadow_blur_radius' => isset( $shortcode['atts']['next_prev_arrow_container_box_shadow_blur_radius'] ) && $shortcode['atts']['next_prev_arrow_container_box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['next_prev_arrow_container_box_shadow_blur_radius'] ) ? $shortcode['atts']['next_prev_arrow_container_box_shadow_blur_radius'] : '0',
                            'next_prev_arrow_container_box_shadow_spread_radius' => isset( $shortcode['atts']['next_prev_arrow_container_box_shadow_spread_radius'] ) && $shortcode['atts']['next_prev_arrow_container_box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['next_prev_arrow_container_box_shadow_spread_radius'] ) ? $shortcode['atts']['next_prev_arrow_container_box_shadow_spread_radius'] : '0',
                            'next_prev_arrow_container_box_shadow_color' => isset( $shortcode['atts']['next_prev_arrow_container_box_shadow_color'] ) && $shortcode['atts']['next_prev_arrow_container_box_shadow_color'] != '' ? $shortcode['atts']['next_prev_arrow_container_box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) ),
                            'next_prev_arrow_container_box_shadow_horizontal_length_hover' => isset( $shortcode['atts']['next_prev_arrow_container_box_shadow_horizontal_length_hover'] ) && $shortcode['atts']['next_prev_arrow_container_box_shadow_horizontal_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['next_prev_arrow_container_box_shadow_horizontal_length_hover'] ) ? $shortcode['atts']['next_prev_arrow_container_box_shadow_horizontal_length_hover'] : '0',
                            'next_prev_arrow_container_box_shadow_vertical_length_hover' => isset( $shortcode['atts']['next_prev_arrow_container_box_shadow_vertical_length_hover'] ) && $shortcode['atts']['next_prev_arrow_container_box_shadow_vertical_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['next_prev_arrow_container_box_shadow_vertical_length_hover'] ) ? $shortcode['atts']['next_prev_arrow_container_box_shadow_vertical_length_hover'] : '0',
                            'next_prev_arrow_container_box_shadow_blur_radius_hover' => isset( $shortcode['atts']['next_prev_arrow_container_box_shadow_blur_radius_hover'] ) && $shortcode['atts']['next_prev_arrow_container_box_shadow_blur_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['next_prev_arrow_container_box_shadow_blur_radius_hover'] ) ? $shortcode['atts']['next_prev_arrow_container_box_shadow_blur_radius_hover'] : '0',
                            'next_prev_arrow_container_box_shadow_spread_radius_hover' => isset( $shortcode['atts']['next_prev_arrow_container_box_shadow_spread_radius_hover'] ) && $shortcode['atts']['next_prev_arrow_container_box_shadow_spread_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['next_prev_arrow_container_box_shadow_spread_radius_hover'] ) ? $shortcode['atts']['next_prev_arrow_container_box_shadow_spread_radius_hover'] : '0',
                            'next_prev_arrow_container_box_shadow_color_hover' => isset( $shortcode['atts']['next_prev_arrow_container_box_shadow_color_hover'] ) && $shortcode['atts']['next_prev_arrow_container_box_shadow_color_hover'] != '' ? $shortcode['atts']['next_prev_arrow_container_box_shadow_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) )
                        );

                        # temporary sizes array
                        $temp = array(
                            '1200_more' => array(
                                'cell-margin-right' => '',
                                'cell-margin-bottom' => '',
                                'cell-margin-left' => '',
                                'container-margin-left-right' => ''
                            ),
                            '992_1199' => array(
                                'cell-margin-right' => '',
                                'cell-margin-bottom' => '',
                                'cell-margin-left' => '',
                                'container-margin-left-right' => ''
                            ),
                            '768_991' => array(
                                'cell-margin-right' => '',
                                'cell-margin-bottom' => '',
                                'cell-margin-left' => '',
                                'container-margin-left-right' => ''
                            ),
                            'less_767' => array(
                                'cell-margin-right' => '0',
                                'cell-margin-bottom' => '',
                                'cell-margin-left' => '0',
                                'container-margin-left-right' => '0'
                            )
                        );

                        # sizes for single column
                        if( $attributes['columns'] == '1' ) {

                            # large device sizes
                            $temp['1200_more']['cell-margin-left'] = '0';
                            $temp['1200_more']['cell-margin-right'] = '0';
                            $temp['1200_more']['container-margin-left-right'] = '0';

                            # medium device sizes
                            $temp['992_1199']['cell-margin-left'] = '0';
                            $temp['992_1199']['cell-margin-right'] = '0';
                            $temp['992_1199']['container-margin-left-right'] = '0';

                            # small device sizes
                            $temp['768_991']['cell-margin-left'] = '0';
                            $temp['768_991']['cell-margin-right'] = '0';
                            $temp['768_991']['container-margin-left-right'] = '0';

                            # extra small device sizes
                            $temp['less_767']['cell-margin-left'] = '0';
                            $temp['less_767']['cell-margin-right'] = '0';
                            $temp['less_767']['container-margin-left-right'] = '0';

                            # single column, single row
                            if( $attributes['rows'] == '1' ) {

                                # bottom margin values
                                $temp['1200_more']['cell-margin-bottom'] = '0';
                                $temp['992_1199']['cell-margin-bottom'] = '0';
                                $temp['768_991']['cell-margin-bottom'] = '0';
                                $temp['less_767']['cell-margin-bottom'] = '0';
                            }

                            # single column, multiple rows
                            else {

                                # bottom margin values
                                $temp['1200_more']['cell-margin-bottom'] = $attributes['margin_between_rows'];
                                $temp['992_1199']['cell-margin-bottom'] = $attributes['margin_between_rows'];
                                $temp['768_991']['cell-margin-bottom'] = $attributes['margin_between_rows'];
                                $temp['less_767']['cell-margin-bottom'] = $attributes['margin_between_rows'];
                            }
                        }

                        # multiple columns
                        else {

                            # update margins for large devices
                            $temp['1200_more']['cell-margin-left'] = $attributes['margin_between_columns'] / 2;
                            $temp['1200_more']['cell-margin-right'] = $attributes['margin_between_columns'] / 2;
                            $temp['1200_more']['container-margin-left-right'] = '-'. $attributes['margin_between_columns'] / 2;

                            # configure margin top for medium devices
                            if( $attributes['rows'] == '1' ) $temp['1200_more']['cell-margin-bottom'] = '0';
                            else $temp['1200_more']['cell-margin-bottom'] = $attributes['margin_between_rows'];

                            # go to one column from medium devices
                            if( $attributes['one_column_from'] == 'medium' ) {

                                # update margins for medium devices
                                $temp['992_1199']['cell-margin-left'] = '0';
                                $temp['992_1199']['cell-margin-right'] = '0';
                                $temp['992_1199']['container-margin-left-right'] = '0';
                                $temp['992_1199']['cell-margin-bottom'] = $attributes['margin_between_rows'];

                                # update margins for small devices
                                $temp['768_991']['cell-margin-left'] = '0';
                                $temp['768_991']['cell-margin-right'] = '0';
                                $temp['768_991']['container-margin-left-right'] = '0';
                                $temp['768_991']['cell-margin-bottom'] = $attributes['margin_between_rows'];
                            }

                            # multiple columns on medium devices
                            else {

                                # update margins for medium devices
                                $temp['992_1199']['cell-margin-left'] = $attributes['margin_between_columns'] / 2;
                                $temp['992_1199']['cell-margin-right'] = $attributes['margin_between_columns'] / 2;
                                $temp['992_1199']['container-margin-left-right'] = '-'. $attributes['margin_between_columns'] / 2;

                                # configure margin bottom for medium devices
                                if( $attributes['rows'] == '1' ) $temp['992_1199']['cell-margin-bottom'] = '0';
                                else $temp['992_1199']['cell-margin-bottom'] = $attributes['margin_between_rows'];

                                # go to one column from small devices
                                if( $attributes['one_column_from'] == 'small' ) {

                                    # update margins for small devices
                                    $temp['768_991']['cell-margin-left'] = '0';
                                    $temp['768_991']['cell-margin-right'] = '0';
                                    $temp['768_991']['container-margin-left-right'] = '0';
                                    $temp['768_991']['cell-margin-bottom'] = $attributes['margin_between_rows'];
                                }

                                # go to one column from extra small devices
                                else {

                                    # update margins for small devices
                                    $temp['768_991']['cell-margin-left'] = $attributes['margin_between_columns'] / 2;
                                    $temp['768_991']['cell-margin-right'] = $attributes['margin_between_columns'] / 2;
                                    $temp['768_991']['container-margin-left-right'] = '-'. $attributes['margin_between_columns'] / 2;

                                    # configure margin bottom for small devices
                                    if( $attributes['rows'] == '1' ) $temp['768_991']['cell-margin-bottom'] = '0';
                                    else $temp['768_991']['cell-margin-bottom'] = $attributes['margin_between_rows'];
                                }

                                # update bottom margin for extra small devices
                                $temp['less_767']['cell-margin-bottom'] = $attributes['margin_between_rows'];
                            }
                        }

                        # general loop styles
                        $shortcodes_styles -> update_style(
                            'ueldo-shortcode-loop.'. esc_attr( $shortcode['atts']['class_name'] ),
                            array(
                                '1200_more' => array(
                                    'margin' => '0 '. esc_attr( $temp['1200_more']['container-margin-left-right'] ) .'px'
                                ),
                                '992_1199' => array(
                                    'margin' => '0 '. esc_attr( $temp['992_1199']['container-margin-left-right'] ) .'px'
                                ),
                                '768_991' => array(
                                    'margin' => '0 '. esc_attr( $temp['768_991']['container-margin-left-right'] ) .'px'
                                ),
                                'less_767' => array(
                                    'margin' => '0 '. esc_attr( $temp['less_767']['container-margin-left-right'] ) .'px'
                                )
                            )
                        );

                        # general cell styles
                        $shortcodes_styles -> update_style(
                            'ueldo-shortcode-loop.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-loop-row-group .ueldo-shortcode-loop-row-group-single-row-single-cell .ueldo-shortcode-loop-cell',
                            array(
                                '1200_more' => array(
                                    'margin' => '0 '. esc_attr( $temp['1200_more']['cell-margin-right'] ) .'px '. esc_attr( $temp['1200_more']['cell-margin-bottom'] ) .'px '. esc_attr( $temp['1200_more']['cell-margin-left'] ) .'px'
                                ),
                                '992_1199' => array(
                                    'margin' => '0 '. esc_attr( $temp['992_1199']['cell-margin-right'] ) .'px '. esc_attr( $temp['992_1199']['cell-margin-bottom'] ) .'px '. esc_attr( $temp['992_1199']['cell-margin-left'] ) .'px'
                                ),
                                '768_991' => array(
                                    'margin' => '0 '. esc_attr( $temp['768_991']['cell-margin-right'] ) .'px '. esc_attr( $temp['768_991']['cell-margin-bottom'] ) .'px '. esc_attr( $temp['768_991']['cell-margin-left'] ) .'px'
                                ),
                                'less_767' => array(
                                    'margin' => '0 '. esc_attr( $temp['less_767']['cell-margin-right'] ) .'px '. esc_attr( $temp['less_767']['cell-margin-bottom'] ) .'px '. esc_attr( $temp['less_767']['cell-margin-left'] ) .'px'
                                )
                            )
                        );

                        # remove temporary variable
                        unset( $temp );

                        # update width depended on setting
                        switch( $attributes['one_column_from'] ) {

                            # go to one column from medium devices
                            case 'medium':

                                # update width styles
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-loop.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-loop .ueldo-shortcode-loop-row-group .ueldo-shortcode-loop-row-group-single-row-single-cell:not(.ueldo-shortcode-loop-row-group-single-row-single-cell-double-width), .ueldo-shortcode-loop.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-loop .ueldo-shortcode-loop-row-group .ueldo-shortcode-loop-row-group-single-row-single-cell.ueldo-shortcode-loop-row-group-single-row-single-cell-double-width, .ueldo-shortcode-loop.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-loop .ueldo-shortcode-loop-row-group .ueldo-shortcode-loop-row-group-single-row-single-cell:not(.ueldo-shortcode-loop-row-group-single-row-single-cell-double-width)[data-columns-in-row="2"], .ueldo-shortcode-loop.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-loop .ueldo-shortcode-loop-row-group .ueldo-shortcode-loop-row-group-single-row-single-cell.ueldo-shortcode-loop-row-group-single-row-single-cell-double-width[data-columns-in-row="2"], .ueldo-shortcode-loop.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-loop .ueldo-shortcode-loop-row-group .ueldo-shortcode-loop-row-group-single-row-single-cell:not(.ueldo-shortcode-loop-row-group-single-row-single-cell-double-width)[data-columns-in-row="3"], .ueldo-shortcode-loop.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-loop .ueldo-shortcode-loop-row-group .ueldo-shortcode-loop-row-group-single-row-single-cell.ueldo-shortcode-loop-row-group-single-row-single-cell-double-width[data-columns-in-row="3"], .ueldo-shortcode-loop.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-loop .ueldo-shortcode-loop-row-group .ueldo-shortcode-loop-row-group-single-row-single-cell:not(.ueldo-shortcode-loop-row-group-single-row-single-cell-double-width)[data-columns-in-row="4"], .ueldo-shortcode-loop.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-loop .ueldo-shortcode-loop-row-group .ueldo-shortcode-loop-row-group-single-row-single-cell.ueldo-shortcode-loop-row-group-single-row-single-cell-double-width[data-columns-in-row="4"]',
                                    array(
                                        '992_1199' => array(
                                            'width-%' => '100%'
                                        ),
                                        '768_991' => array(
                                            'width-%' => '100%'
                                        ),
                                        'less_767' => array(
                                            'width-%' => '100%'
                                        )
                                    )
                                );

                            break;

                            # go to one column from small devices
                            case 'small':

                                # update width styles
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-loop.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-loop .ueldo-shortcode-loop-row-group .ueldo-shortcode-loop-row-group-single-row-single-cell:not(.ueldo-shortcode-loop-row-group-single-row-single-cell-double-width), .ueldo-shortcode-loop.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-loop .ueldo-shortcode-loop-row-group .ueldo-shortcode-loop-row-group-single-row-single-cell.ueldo-shortcode-loop-row-group-single-row-single-cell-double-width, .ueldo-shortcode-loop.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-loop .ueldo-shortcode-loop-row-group .ueldo-shortcode-loop-row-group-single-row-single-cell:not(.ueldo-shortcode-loop-row-group-single-row-single-cell-double-width)[data-columns-in-row="2"], .ueldo-shortcode-loop.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-loop .ueldo-shortcode-loop-row-group .ueldo-shortcode-loop-row-group-single-row-single-cell.ueldo-shortcode-loop-row-group-single-row-single-cell-double-width[data-columns-in-row="2"], .ueldo-shortcode-loop.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-loop .ueldo-shortcode-loop-row-group .ueldo-shortcode-loop-row-group-single-row-single-cell:not(.ueldo-shortcode-loop-row-group-single-row-single-cell-double-width)[data-columns-in-row="3"], .ueldo-shortcode-loop.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-loop .ueldo-shortcode-loop-row-group .ueldo-shortcode-loop-row-group-single-row-single-cell.ueldo-shortcode-loop-row-group-single-row-single-cell-double-width[data-columns-in-row="3"], .ueldo-shortcode-loop.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-loop .ueldo-shortcode-loop-row-group .ueldo-shortcode-loop-row-group-single-row-single-cell:not(.ueldo-shortcode-loop-row-group-single-row-single-cell-double-width)[data-columns-in-row="4"], .ueldo-shortcode-loop.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-loop .ueldo-shortcode-loop-row-group .ueldo-shortcode-loop-row-group-single-row-single-cell.ueldo-shortcode-loop-row-group-single-row-single-cell-double-width[data-columns-in-row="4"]',
                                    array(
                                        '768_991' => array(
                                            'width-%' => '100%'
                                        ),
                                        'less_767' => array(
                                            'width-%' => '100%'
                                        )
                                    )
                                );

                            break;

                            # go to one column from extra small devices
                            case 'extra_small':

                                # update width styles
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-loop.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-loop .ueldo-shortcode-loop-row-group .ueldo-shortcode-loop-row-group-single-row-single-cell:not(.ueldo-shortcode-loop-row-group-single-row-single-cell-double-width), .ueldo-shortcode-loop.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-loop .ueldo-shortcode-loop-row-group .ueldo-shortcode-loop-row-group-single-row-single-cell.ueldo-shortcode-loop-row-group-single-row-single-cell-double-width, .ueldo-shortcode-loop.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-loop .ueldo-shortcode-loop-row-group .ueldo-shortcode-loop-row-group-single-row-single-cell:not(.ueldo-shortcode-loop-row-group-single-row-single-cell-double-width)[data-columns-in-row="2"], .ueldo-shortcode-loop.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-loop .ueldo-shortcode-loop-row-group .ueldo-shortcode-loop-row-group-single-row-single-cell.ueldo-shortcode-loop-row-group-single-row-single-cell-double-width[data-columns-in-row="2"], .ueldo-shortcode-loop.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-loop .ueldo-shortcode-loop-row-group .ueldo-shortcode-loop-row-group-single-row-single-cell:not(.ueldo-shortcode-loop-row-group-single-row-single-cell-double-width)[data-columns-in-row="3"], .ueldo-shortcode-loop.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-loop .ueldo-shortcode-loop-row-group .ueldo-shortcode-loop-row-group-single-row-single-cell.ueldo-shortcode-loop-row-group-single-row-single-cell-double-width[data-columns-in-row="3"], .ueldo-shortcode-loop.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-loop .ueldo-shortcode-loop-row-group .ueldo-shortcode-loop-row-group-single-row-single-cell:not(.ueldo-shortcode-loop-row-group-single-row-single-cell-double-width)[data-columns-in-row="4"], .ueldo-shortcode-loop.'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-loop .ueldo-shortcode-loop-row-group .ueldo-shortcode-loop-row-group-single-row-single-cell.ueldo-shortcode-loop-row-group-single-row-single-cell-double-width[data-columns-in-row="4"]',
                                    array(
                                        'less_767' => array(
                                            'width-%' => '100%'
                                        )
                                    )
                                );

                            break;
                        }

                        # temporary variable
                        $temp = array(
                            'loop-id' => esc_attr( str_replace( 'ueldo_vc_element_', '', $shortcode['atts']['class_name'] ) )
                        );

                        # can we set custom sizes for next / prev arrows?
                        if( $attributes['custom_next_prev_arrows_settings'] != 'theme_defaults' ) {

                            # use integrated next/prev icons
                            if( $attributes['use_separate_next_prev_arrows'] == 'integrated' ) {

                                # update next / prev arrow font size
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-loop.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-loop-next-prev-icon i',
                                    array(
                                        'font-size' => esc_attr( $attributes['arrow_font_size'] )
                                    )
                                );

                                # update container sizes
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-loop.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-loop-next-prev-icon',
                                    array(
                                        'padding-top' => esc_attr( $attributes['arrow_padding_top_bottom'] ),
                                        'padding-bottom' => esc_attr( $attributes['arrow_padding_top_bottom'] ),
                                        'padding-left' => esc_attr( $attributes['arrow_padding_left_right'] ),
                                        'padding-right' => esc_attr( $attributes['arrow_padding_left_right'] ),
                                        '-webkit-border-radius' => esc_attr( $attributes['arrow_border_radius'] ),
                                        '-moz-border-radius' => esc_attr( $attributes['arrow_border_radius'] ),
                                        'border-radius' => esc_attr( $attributes['arrow_border_radius'] ),
                                        'border-width' => esc_attr( $attributes['arrow_border_width'] ),
                                        'margin-top' => '-'. esc_attr( ( ( $attributes['arrow_padding_top_bottom'] * 2 ) + $attributes['arrow_font_size'] ) / 2 )
                                    )
                                );

                                # update left / right position of arrow container
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-loop.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-loop-next-prev-icon[data-next-prev-icon-type="prev"]',
                                    array(
                                        esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) => '-'. esc_attr( ( ( $attributes['arrow_padding_left_right'] * 2 ) + $attributes['arrow_font_size'] ) / 2 ) .'px'
                                    )
                                );

                                # update left / right position of arrow container
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-loop.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-loop-next-prev-icon[data-next-prev-icon-type="next"]',
                                    array(
                                        esc_attr( ueldo_is_rtl() ? 'left' : 'right' ) => '-'. esc_attr( ( ( $attributes['arrow_padding_left_right'] * 2 ) + $attributes['arrow_font_size'] ) / 2 ) .'px'
                                    )
                                );
                            }

                            # use separated next/prev icons
                            else {

                                # update next / prev arrow container width
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-loop-separate-next-prev-icons[data-loop-id="'. esc_attr( $temp['loop-id'] ) .'"]',
                                    array(
                                        'width' => esc_attr( ( ( $attributes['arrow_font_size'] + ( $attributes['arrow_padding_left_right'] * 2 ) + ( $attributes['arrow_border_width'] * 2 ) ) * 2 ) + 4 )
                                    )
                                );

                                # update next / prev arrow font size
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-loop-separate-next-prev-icons[data-loop-id="'. esc_attr( $temp['loop-id'] ) .'"] .ueldo-shortcode-loop-next-prev-icon i',
                                    array(
                                        'font-size' => esc_attr( $attributes['arrow_font_size'] )
                                    )
                                );

                                # update container sizes
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-loop-separate-next-prev-icons[data-loop-id="'. esc_attr( $temp['loop-id'] ) .'"] .ueldo-shortcode-loop-next-prev-icon',
                                    array(
                                        'padding-top' => esc_attr( $attributes['arrow_padding_top_bottom'] ),
                                        'padding-bottom' => esc_attr( $attributes['arrow_padding_top_bottom'] ),
                                        'padding-left' => esc_attr( $attributes['arrow_padding_left_right'] ),
                                        'padding-right' => esc_attr( $attributes['arrow_padding_left_right'] ),
                                        '-webkit-border-radius' => esc_attr( $attributes['arrow_border_radius'] ),
                                        '-moz-border-radius' => esc_attr( $attributes['arrow_border_radius'] ),
                                        'border-radius' => esc_attr( $attributes['arrow_border_radius'] ),
                                        'border-width' => esc_attr( $attributes['arrow_border_width'] )
                                    )
                                );
                            }
                        }

                        # do we have custom colors enabled?
                        if( $attributes['custom_colors_enabled'] != 'theme_defaults' ) {

                            # loop background color
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-loop.'. esc_attr( $shortcode['atts']['class_name'] ),
                                array(
                                    'general' => array(
                                        'background' => esc_attr( $attributes['loop_background_color'] )
                                    )
                                )
                            );

                            # cells border color
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-loop.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-loop-row-group .ueldo-shortcode-loop-row-group-single-row-single-cell .ueldo-shortcode-loop-cell',
                                array(
                                    'general' => array(
                                        'border-color' => esc_attr( $attributes['cells_border_color'] )
                                    )
                                )
                            );

                            # use integrated next/prev icons
                            if( $attributes['use_separate_next_prev_arrows'] == 'integrated' ) {

                                # next / prev arrow color
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-loop.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-loop-next-prev-icon i',
                                    array(
                                        'color' => esc_attr( $attributes['next_prev_arrow_color'] )
                                    )
                                );

                                # next / prev arrow (on hover) color
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-loop.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-loop-next-prev-icon:hover i',
                                    array(
                                        'color' => esc_attr( $attributes['next_prev_arrow_color_hover'] )
                                    )
                                );

                                # next / prev arrow container
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-loop.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-loop-next-prev-icon',
                                    array(
                                        'background' => esc_attr( $attributes['next_prev_arrow_container_background'] ),
                                        'border-color' => esc_attr( $attributes['next_prev_arrow_container_border_color'] ),
                                        '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['next_prev_arrow_container_box_shadow_horizontal_length'], $attributes['next_prev_arrow_container_box_shadow_vertical_length'], $attributes['next_prev_arrow_container_box_shadow_blur_radius'], $attributes['next_prev_arrow_container_box_shadow_spread_radius'], $attributes['next_prev_arrow_container_box_shadow_color'] ),
                                        '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['next_prev_arrow_container_box_shadow_horizontal_length'], $attributes['next_prev_arrow_container_box_shadow_vertical_length'], $attributes['next_prev_arrow_container_box_shadow_blur_radius'], $attributes['next_prev_arrow_container_box_shadow_spread_radius'], $attributes['next_prev_arrow_container_box_shadow_color'] ),
                                        'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['next_prev_arrow_container_box_shadow_horizontal_length'], $attributes['next_prev_arrow_container_box_shadow_vertical_length'], $attributes['next_prev_arrow_container_box_shadow_blur_radius'], $attributes['next_prev_arrow_container_box_shadow_spread_radius'], $attributes['next_prev_arrow_container_box_shadow_color'] )
                                    )
                                );

                                # next / prev arrow container (on hover)
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-loop.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-loop-next-prev-icon:hover',
                                    array(
                                        'background' => esc_attr( $attributes['next_prev_arrow_container_background_hover'] ),
                                        'border-color' => esc_attr( $attributes['next_prev_arrow_container_border_color_hover'] ),
                                        '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['next_prev_arrow_container_box_shadow_horizontal_length_hover'], $attributes['next_prev_arrow_container_box_shadow_vertical_length_hover'], $attributes['next_prev_arrow_container_box_shadow_blur_radius_hover'], $attributes['next_prev_arrow_container_box_shadow_spread_radius_hover'], $attributes['next_prev_arrow_container_box_shadow_color_hover'] ),
                                        '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['next_prev_arrow_container_box_shadow_horizontal_length_hover'], $attributes['next_prev_arrow_container_box_shadow_vertical_length_hover'], $attributes['next_prev_arrow_container_box_shadow_blur_radius_hover'], $attributes['next_prev_arrow_container_box_shadow_spread_radius_hover'], $attributes['next_prev_arrow_container_box_shadow_color_hover'] ),
                                        'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['next_prev_arrow_container_box_shadow_horizontal_length_hover'], $attributes['next_prev_arrow_container_box_shadow_vertical_length_hover'], $attributes['next_prev_arrow_container_box_shadow_blur_radius_hover'], $attributes['next_prev_arrow_container_box_shadow_spread_radius_hover'], $attributes['next_prev_arrow_container_box_shadow_color_hover'] )
                                    )
                                );
                            }

                            # use separated next/prev icons
                            else {

                                # next / prev arrow color
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-loop-separate-next-prev-icons[data-loop-id="'. esc_attr( $temp['loop-id'] ) .'"] .ueldo-shortcode-loop-next-prev-icon i',
                                    array(
                                        'color' => esc_attr( $attributes['next_prev_arrow_color'] )
                                    )
                                );

                                # next / prev arrow (on hover) color
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-loop-separate-next-prev-icons[data-loop-id="'. esc_attr( $temp['loop-id'] ) .'"] .ueldo-shortcode-loop-next-prev-icon:hover i',
                                    array(
                                        'color' => esc_attr( $attributes['next_prev_arrow_color_hover'] )
                                    )
                                );

                                # next / prev arrow container
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-loop-separate-next-prev-icons[data-loop-id="'. esc_attr( $temp['loop-id'] ) .'"] .ueldo-shortcode-loop-next-prev-icon',
                                    array(
                                        'background' => esc_attr( $attributes['next_prev_arrow_container_background'] ),
                                        'border-color' => esc_attr( $attributes['next_prev_arrow_container_border_color'] ),
                                        '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['next_prev_arrow_container_box_shadow_horizontal_length'], $attributes['next_prev_arrow_container_box_shadow_vertical_length'], $attributes['next_prev_arrow_container_box_shadow_blur_radius'], $attributes['next_prev_arrow_container_box_shadow_spread_radius'], $attributes['next_prev_arrow_container_box_shadow_color'] ),
                                        '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['next_prev_arrow_container_box_shadow_horizontal_length'], $attributes['next_prev_arrow_container_box_shadow_vertical_length'], $attributes['next_prev_arrow_container_box_shadow_blur_radius'], $attributes['next_prev_arrow_container_box_shadow_spread_radius'], $attributes['next_prev_arrow_container_box_shadow_color'] ),
                                        'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['next_prev_arrow_container_box_shadow_horizontal_length'], $attributes['next_prev_arrow_container_box_shadow_vertical_length'], $attributes['next_prev_arrow_container_box_shadow_blur_radius'], $attributes['next_prev_arrow_container_box_shadow_spread_radius'], $attributes['next_prev_arrow_container_box_shadow_color'] )
                                    )
                                );

                                # next / prev arrow container (on hover)
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-loop-separate-next-prev-icons[data-loop-id="'. esc_attr( $temp['loop-id'] ) .'"] .ueldo-shortcode-loop-next-prev-icon:hover',
                                    array(
                                        'background' => esc_attr( $attributes['next_prev_arrow_container_background_hover'] ),
                                        'border-color' => esc_attr( $attributes['next_prev_arrow_container_border_color_hover'] ),
                                        '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['next_prev_arrow_container_box_shadow_horizontal_length_hover'], $attributes['next_prev_arrow_container_box_shadow_vertical_length_hover'], $attributes['next_prev_arrow_container_box_shadow_blur_radius_hover'], $attributes['next_prev_arrow_container_box_shadow_spread_radius_hover'], $attributes['next_prev_arrow_container_box_shadow_color_hover'] ),
                                        '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['next_prev_arrow_container_box_shadow_horizontal_length_hover'], $attributes['next_prev_arrow_container_box_shadow_vertical_length_hover'], $attributes['next_prev_arrow_container_box_shadow_blur_radius_hover'], $attributes['next_prev_arrow_container_box_shadow_spread_radius_hover'], $attributes['next_prev_arrow_container_box_shadow_color_hover'] ),
                                        'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['next_prev_arrow_container_box_shadow_horizontal_length_hover'], $attributes['next_prev_arrow_container_box_shadow_vertical_length_hover'], $attributes['next_prev_arrow_container_box_shadow_blur_radius_hover'], $attributes['next_prev_arrow_container_box_shadow_spread_radius_hover'], $attributes['next_prev_arrow_container_box_shadow_color_hover'] )
                                    )
                                );
                            }
                        }

                        # remove temporary variable
                        unset( $temp );

                        # save css style
                        $shortcodes_styles -> save_styles();

                        # remove attributes array
                        unset( $attributes );

                    break;

                   /**
                    *
                    * ueldo_shortcode_loop_cell
                    *
                    */

                    case 'ueldo_shortcode_loop_cell':

                        # attributes array
                        $attributes = array(
                            'large_static_height' => isset( $shortcode['atts']['large_static_height'] ) && !empty( $shortcode['atts']['large_static_height'] ) ? $shortcode['atts']['large_static_height'] : 'no',
                            'large_static_height_px' => isset( $shortcode['atts']['large_static_height_px'] ) && $shortcode['atts']['large_static_height_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['large_static_height_px'] ) ? $shortcode['atts']['large_static_height_px'] : '300',
                            'large_padding_top' => isset( $shortcode['atts']['large_padding_top'] ) && $shortcode['atts']['large_padding_top'] != '' && ueldo_is_valid_number( $shortcode['atts']['large_padding_top'] ) ? $shortcode['atts']['large_padding_top'] : '0',
                            'large_padding_right' => isset( $shortcode['atts']['large_padding_right'] ) && $shortcode['atts']['large_padding_right'] != '' && ueldo_is_valid_number( $shortcode['atts']['large_padding_right'] ) ? $shortcode['atts']['large_padding_right'] : '0',
                            'large_padding_bottom' => isset( $shortcode['atts']['large_padding_bottom'] ) && $shortcode['atts']['large_padding_bottom'] != '' && ueldo_is_valid_number( $shortcode['atts']['large_padding_bottom'] ) ? $shortcode['atts']['large_padding_bottom'] : '0',
                            'large_padding_left' => isset( $shortcode['atts']['large_padding_left'] ) && $shortcode['atts']['large_padding_left'] != '' && ueldo_is_valid_number( $shortcode['atts']['large_padding_left'] ) ? $shortcode['atts']['large_padding_left'] : '0',
                            'large_border_top_width' => isset( $shortcode['atts']['large_border_top_width'] ) && $shortcode['atts']['large_border_top_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['large_border_top_width'] ) ? $shortcode['atts']['large_border_top_width'] : '0',
                            'large_border_right_width' => isset( $shortcode['atts']['large_border_right_width'] ) && $shortcode['atts']['large_border_right_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['large_border_right_width'] ) ? $shortcode['atts']['large_border_right_width'] : '0',
                            'large_border_bottom_width' => isset( $shortcode['atts']['large_border_bottom_width'] ) && $shortcode['atts']['large_border_bottom_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['large_border_bottom_width'] ) ? $shortcode['atts']['large_border_bottom_width'] : '0',
                            'large_border_left_width' => isset( $shortcode['atts']['large_border_left_width'] ) && $shortcode['atts']['large_border_left_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['large_border_left_width'] ) ? $shortcode['atts']['large_border_left_width'] : '0',
                            'medium_layer_custom_sizes' => isset( $shortcode['atts']['medium_custom_sizes'] ) && !empty( $shortcode['atts']['medium_custom_sizes'] ) ? $shortcode['atts']['medium_custom_sizes'] : 'no-large',
                            'medium_static_height' => isset( $shortcode['atts']['medium_static_height'] ) && !empty( $shortcode['atts']['medium_static_height'] ) ? $shortcode['atts']['medium_static_height'] : 'no',
                            'medium_static_height_px' => isset( $shortcode['atts']['medium_static_height_px'] ) && $shortcode['atts']['medium_static_height_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['medium_static_height_px'] ) ? $shortcode['atts']['medium_static_height_px'] : '300',
                            'medium_padding_top' => isset( $shortcode['atts']['medium_padding_top'] ) && $shortcode['atts']['medium_padding_top'] != '' && ueldo_is_valid_number( $shortcode['atts']['medium_padding_top'] ) ? $shortcode['atts']['medium_padding_top'] : '0',
                            'medium_padding_right' => isset( $shortcode['atts']['medium_padding_right'] ) && $shortcode['atts']['medium_padding_right'] != '' && ueldo_is_valid_number( $shortcode['atts']['medium_padding_right'] ) ? $shortcode['atts']['medium_padding_right'] : '0',
                            'medium_padding_bottom' => isset( $shortcode['atts']['medium_padding_bottom'] ) && $shortcode['atts']['medium_padding_bottom'] != '' && ueldo_is_valid_number( $shortcode['atts']['medium_padding_bottom'] ) ? $shortcode['atts']['medium_padding_bottom'] : '0',
                            'medium_padding_left' => isset( $shortcode['atts']['medium_padding_left'] ) && $shortcode['atts']['medium_padding_left'] != '' && ueldo_is_valid_number( $shortcode['atts']['medium_padding_left'] ) ? $shortcode['atts']['medium_padding_left'] : '0',
                            'medium_border_top_width' => isset( $shortcode['atts']['medium_border_top_width'] ) && $shortcode['atts']['medium_border_top_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['medium_border_top_width'] ) ? $shortcode['atts']['medium_border_top_width'] : '0',
                            'medium_border_right_width' => isset( $shortcode['atts']['medium_border_right_width'] ) && $shortcode['atts']['medium_border_right_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['medium_border_right_width'] ) ? $shortcode['atts']['medium_border_right_width'] : '0',
                            'medium_border_bottom_width' => isset( $shortcode['atts']['medium_border_bottom_width'] ) && $shortcode['atts']['medium_border_bottom_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['medium_border_bottom_width'] ) ? $shortcode['atts']['medium_border_bottom_width'] : '0',
                            'medium_border_left_width' => isset( $shortcode['atts']['medium_border_left_width'] ) && $shortcode['atts']['medium_border_left_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['medium_border_left_width'] ) ? $shortcode['atts']['medium_border_left_width'] : '0',
                            'small_layer_custom_sizes' => isset( $shortcode['atts']['small_custom_sizes'] ) && !empty( $shortcode['atts']['small_custom_sizes'] ) ? $shortcode['atts']['small_custom_sizes'] : 'no-medium',
                            'small_static_height' => isset( $shortcode['atts']['small_static_height'] ) && !empty( $shortcode['atts']['small_static_height'] ) ? $shortcode['atts']['small_static_height'] : 'no',
                            'small_static_height_px' => isset( $shortcode['atts']['small_static_height_px'] ) && $shortcode['atts']['small_static_height_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['small_static_height_px'] ) ? $shortcode['atts']['small_static_height_px'] : '300',
                            'small_padding_top' => isset( $shortcode['atts']['small_padding_top'] ) && $shortcode['atts']['small_padding_top'] != '' && ueldo_is_valid_number( $shortcode['atts']['small_padding_top'] ) ? $shortcode['atts']['small_padding_top'] : '0',
                            'small_padding_right' => isset( $shortcode['atts']['small_padding_right'] ) && $shortcode['atts']['small_padding_right'] != '' && ueldo_is_valid_number( $shortcode['atts']['small_padding_right'] ) ? $shortcode['atts']['small_padding_right'] : '0',
                            'small_padding_bottom' => isset( $shortcode['atts']['small_padding_bottom'] ) && $shortcode['atts']['small_padding_bottom'] != '' && ueldo_is_valid_number( $shortcode['atts']['small_padding_bottom'] ) ? $shortcode['atts']['small_padding_bottom'] : '0',
                            'small_padding_left' => isset( $shortcode['atts']['small_padding_left'] ) && $shortcode['atts']['small_padding_left'] != '' && ueldo_is_valid_number( $shortcode['atts']['small_padding_left'] ) ? $shortcode['atts']['small_padding_left'] : '0',
                            'small_border_top_width' => isset( $shortcode['atts']['small_border_top_width'] ) && $shortcode['atts']['small_border_top_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['small_border_top_width'] ) ? $shortcode['atts']['small_border_top_width'] : '0',
                            'small_border_right_width' => isset( $shortcode['atts']['small_border_right_width'] ) && $shortcode['atts']['small_border_right_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['small_border_right_width'] ) ? $shortcode['atts']['small_border_right_width'] : '0',
                            'small_border_bottom_width' => isset( $shortcode['atts']['small_border_bottom_width'] ) && $shortcode['atts']['small_border_bottom_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['small_border_bottom_width'] ) ? $shortcode['atts']['small_border_bottom_width'] : '0',
                            'small_border_left_width' => isset( $shortcode['atts']['small_border_left_width'] ) && $shortcode['atts']['small_border_left_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['small_border_left_width'] ) ? $shortcode['atts']['small_border_left_width'] : '0',
                            'extra_small_layer_custom_sizes' => isset( $shortcode['atts']['extra_small_custom_sizes'] ) && !empty( $shortcode['atts']['extra_small_custom_sizes'] ) ? $shortcode['atts']['extra_small_custom_sizes'] : 'no-small',
                            'extra_small_static_height' => isset( $shortcode['atts']['extra_small_static_height'] ) && !empty( $shortcode['atts']['extra_small_static_height'] ) ? $shortcode['atts']['extra_small_static_height'] : 'no',
                            'extra_small_static_height_px' => isset( $shortcode['atts']['extra_small_static_height_px'] ) && $shortcode['atts']['extra_small_static_height_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['extra_small_static_height_px'] ) ? $shortcode['atts']['extra_small_static_height_px'] : '300',
                            'extra_small_padding_top' => isset( $shortcode['atts']['extra_small_padding_top'] ) && $shortcode['atts']['extra_small_padding_top'] != '' && ueldo_is_valid_number( $shortcode['atts']['extra_small_padding_top'] ) ? $shortcode['atts']['extra_small_padding_top'] : '0',
                            'extra_small_padding_right' => isset( $shortcode['atts']['extra_small_padding_right'] ) && $shortcode['atts']['extra_small_padding_right'] != '' && ueldo_is_valid_number( $shortcode['atts']['extra_small_padding_right'] ) ? $shortcode['atts']['extra_small_padding_right'] : '0',
                            'extra_small_padding_bottom' => isset( $shortcode['atts']['extra_small_padding_bottom'] ) && $shortcode['atts']['extra_small_padding_bottom'] != '' && ueldo_is_valid_number( $shortcode['atts']['extra_small_padding_bottom'] ) ? $shortcode['atts']['extra_small_padding_bottom'] : '0',
                            'extra_small_padding_left' => isset( $shortcode['atts']['extra_small_padding_left'] ) && $shortcode['atts']['extra_small_padding_left'] != '' && ueldo_is_valid_number( $shortcode['atts']['extra_small_padding_left'] ) ? $shortcode['atts']['extra_small_padding_left'] : '0',
                            'extra_small_border_top_width' => isset( $shortcode['atts']['extra_small_border_top_width'] ) && $shortcode['atts']['extra_small_border_top_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['extra_small_border_top_width'] ) ? $shortcode['atts']['extra_small_border_top_width'] : '0',
                            'extra_small_border_right_width' => isset( $shortcode['atts']['extra_small_border_right_width'] ) && $shortcode['atts']['extra_small_border_right_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['extra_small_border_right_width'] ) ? $shortcode['atts']['extra_small_border_right_width'] : '0',
                            'extra_small_border_bottom_width' => isset( $shortcode['atts']['extra_small_border_bottom_width'] ) && $shortcode['atts']['extra_small_border_bottom_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['extra_small_border_bottom_width'] ) ? $shortcode['atts']['extra_small_border_bottom_width'] : '0',
                            'extra_small_border_left_width' => isset( $shortcode['atts']['extra_small_border_left_width'] ) && $shortcode['atts']['extra_small_border_left_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['extra_small_border_left_width'] ) ? $shortcode['atts']['extra_small_border_left_width'] : '0'
                        );

                        # temporary values for each devices
                        $temp = array(
                            'medium-static-height' => ueldo_get_vc_element_device_attributes( $attributes, 'static_height', 'medium' ),
                            'medium-static-height-px' => ueldo_get_vc_element_device_attributes( $attributes, 'static_height_px', 'medium' ),
                            'medium-padding-top' => ueldo_get_vc_element_device_attributes( $attributes, 'padding_top', 'medium' ),
                            'medium-padding-right' => ueldo_get_vc_element_device_attributes( $attributes, 'padding_right', 'medium' ),
                            'medium-padding-bottom' => ueldo_get_vc_element_device_attributes( $attributes, 'padding_bottom', 'medium' ),
                            'medium-padding-left' => ueldo_get_vc_element_device_attributes( $attributes, 'padding_left', 'medium' ),
                            'medium-border-top-width' => ueldo_get_vc_element_device_attributes( $attributes, 'border_top_width', 'medium' ),
                            'medium-border-right-width' => ueldo_get_vc_element_device_attributes( $attributes, 'border_right_width', 'medium' ),
                            'medium-border-bottom-width' => ueldo_get_vc_element_device_attributes( $attributes, 'border_bottom_width', 'medium' ),
                            'medium-border-left-width' => ueldo_get_vc_element_device_attributes( $attributes, 'border_left_width', 'medium' ),
                            'small-static-height' => ueldo_get_vc_element_device_attributes( $attributes, 'static_height', 'small' ),
                            'small-static-height-px' => ueldo_get_vc_element_device_attributes( $attributes, 'static_height_px', 'small' ),
                            'small-padding-top' => ueldo_get_vc_element_device_attributes( $attributes, 'padding_top', 'small' ),
                            'small-padding-right' => ueldo_get_vc_element_device_attributes( $attributes, 'padding_right', 'small' ),
                            'small-padding-bottom' => ueldo_get_vc_element_device_attributes( $attributes, 'padding_bottom', 'small' ),
                            'small-padding-left' => ueldo_get_vc_element_device_attributes( $attributes, 'padding_left', 'small' ),
                            'small-border-top-width' => ueldo_get_vc_element_device_attributes( $attributes, 'border_top_width', 'small' ),
                            'small-border-right-width' => ueldo_get_vc_element_device_attributes( $attributes, 'border_right_width', 'small' ),
                            'small-border-bottom-width' => ueldo_get_vc_element_device_attributes( $attributes, 'border_bottom_width', 'small' ),
                            'small-border-left-width' => ueldo_get_vc_element_device_attributes( $attributes, 'border_left_width', 'small' ),
                            'extra-small-static-height' => ueldo_get_vc_element_device_attributes( $attributes, 'static_height', 'extra_small' ),
                            'extra-small-static-height-px' => ueldo_get_vc_element_device_attributes( $attributes, 'static_height_px', 'extra_small' ),
                            'extra-small-padding-top' => ueldo_get_vc_element_device_attributes( $attributes, 'padding_top', 'extra_small' ),
                            'extra-small-padding-right' => ueldo_get_vc_element_device_attributes( $attributes, 'padding_right', 'extra_small' ),
                            'extra-small-padding-bottom' => ueldo_get_vc_element_device_attributes( $attributes, 'padding_bottom', 'extra_small' ),
                            'extra-small-padding-left' => ueldo_get_vc_element_device_attributes( $attributes, 'padding_left', 'extra_small' ),
                            'extra-small-border-top-width' => ueldo_get_vc_element_device_attributes( $attributes, 'border_top_width', 'extra_small' ),
                            'extra-small-border-right-width' => ueldo_get_vc_element_device_attributes( $attributes, 'border_right_width', 'extra_small' ),
                            'extra-small-border-bottom-width' => ueldo_get_vc_element_device_attributes( $attributes, 'border_bottom_width', 'extra_small' ),
                            'extra-small-border-left-width' => ueldo_get_vc_element_device_attributes( $attributes, 'border_left_width', 'extra_small' )
                        );

                        # set element paddings
                        $shortcodes_styles -> update_style(
                            'ueldo-shortcode-loop .ueldo-shortcode-loop-row-group .ueldo-shortcode-loop-row-group-single-row-single-cell .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-loop-cell',
                            array(
                                '1200_more' => array(
                                    'padding' => esc_attr( $attributes['large_padding_top'] ) .'px '. esc_attr( $attributes['large_padding_right'] ) .'px '. esc_attr( $attributes['large_padding_bottom'] ) .'px '. esc_attr( $attributes['large_padding_left'] ) .'px',
                                    'border-top-width' => esc_attr( $attributes['large_border_top_width'] ),
                                    'border-right-width' => esc_attr( $attributes['large_border_right_width'] ),
                                    'border-bottom-width' => esc_attr( $attributes['large_border_bottom_width'] ),
                                    'border-left-width' => esc_attr( $attributes['large_border_left_width'] )
                                ),
                                '992_1199' => array(
                                    'padding' => esc_attr( $temp['medium-padding-top'] ) .'px '. esc_attr( $temp['medium-padding-right'] ) .'px '. esc_attr( $temp['medium-padding-bottom'] ) .'px '. esc_attr( $temp['medium-padding-left'] ) .'px',
                                    'border-top-width' => esc_attr( $temp['medium-border-top-width'] ),
                                    'border-right-width' => esc_attr( $temp['medium-border-right-width'] ),
                                    'border-bottom-width' => esc_attr( $temp['medium-border-bottom-width'] ),
                                    'border-left-width' => esc_attr( $temp['medium-border-left-width'] )
                                ),
                                '768_991' => array(
                                    'padding' => esc_attr( $temp['small-padding-top'] ) .'px '. esc_attr( $temp['small-padding-right'] ) .'px '. esc_attr( $temp['small-padding-bottom'] ) .'px '. esc_attr( $temp['small-padding-left'] ) .'px',
                                    'border-top-width' => esc_attr( $temp['small-border-top-width'] ),
                                    'border-right-width' => esc_attr( $temp['small-border-right-width'] ),
                                    'border-bottom-width' => esc_attr( $temp['small-border-bottom-width'] ),
                                    'border-left-width' => esc_attr( $temp['small-border-left-width'] )
                                ),
                                'less_767' => array(
                                    'padding' => esc_attr( $temp['extra-small-padding-top'] ) .'px '. esc_attr( $temp['extra-small-padding-right'] ) .'px '. esc_attr( $temp['extra-small-padding-bottom'] ) .'px '. esc_attr( $temp['extra-small-padding-left'] ) .'px',
                                    'border-top-width' => esc_attr( $temp['extra-small-border-top-width'] ),
                                    'border-right-width' => esc_attr( $temp['extra-small-border-right-width'] ),
                                    'border-bottom-width' => esc_attr( $temp['extra-small-border-bottom-width'] ),
                                    'border-left-width' => esc_attr( $temp['extra-small-border-left-width'] )
                                )
                            )
                        );

                        # do we need to set static height on large devices?
                        if( $attributes['large_static_height'] == 'yes' ) {

                            # update shortcode styles
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-loop .ueldo-shortcode-loop-row-group .ueldo-shortcode-loop-row-group-single-row-single-cell .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-loop-cell',
                                array(
                                    '1200_more' => array(
                                        'height' => esc_attr( $attributes['large_static_height_px'] )
                                    )
                                )
                            );
                        }

                        # do we need to set static height on medium devices?
                        if( $temp['medium-static-height'] == 'yes' ) {

                            # update shortcode styles
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-loop .ueldo-shortcode-loop-row-group .ueldo-shortcode-loop-row-group-single-row-single-cell .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-loop-cell',
                                array(
                                    '992_1199' => array(
                                        'height' => esc_attr( $temp['medium-static-height-px'] )
                                    )
                                )
                            );
                        }

                        # do we need to set static height on small devices?
                        if( $temp['small-static-height'] == 'yes' ) {

                            # update shortcode styles
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-loop .ueldo-shortcode-loop-row-group .ueldo-shortcode-loop-row-group-single-row-single-cell .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-loop-cell',
                                array(
                                    '768_991' => array(
                                        'height' => esc_attr( $temp['small-static-height-px'] )
                                    )
                                )
                            );
                        }

                        # do we need to set static height on extra small devices?
                        if( $temp['extra-small-static-height'] == 'yes' ) {

                            # update shortcode styles
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-loop .ueldo-shortcode-loop-row-group .ueldo-shortcode-loop-row-group-single-row-single-cell .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-loop-cell',
                                array(
                                    'less_767' => array(
                                        'height' => esc_attr( $temp['extra-small-static-height-px'] )
                                    )
                                )
                            );
                        }

                        # remove temporary variable
                        unset( $temp );

                        # save css style
                        $shortcodes_styles -> save_styles();

                        # remove attributes array
                        unset( $attributes );

                    break;

                   /**
                    *
                    * ueldo_shortcode_quote
                    *
                    */

                    case 'ueldo_shortcode_quote':

                        # attributes array
                        $attributes = array(
                            'display_author_image' => isset( $shortcode['atts']['display_author_image'] ) && !empty( $shortcode['atts']['display_author_image'] ) ? $shortcode['atts']['display_author_image'] : 'yes',
                            'display_quote_box_icon' => isset( $shortcode['atts']['display_quote_box_icon'] ) && !empty( $shortcode['atts']['display_quote_box_icon'] ) ? $shortcode['atts']['display_quote_box_icon'] : 'yes',
                            'custom_sizes_enabled' => isset( $shortcode['atts']['custom_sizes_enabled'] ) && !empty( $shortcode['atts']['custom_sizes_enabled'] ) ? $shortcode['atts']['custom_sizes_enabled'] : 'theme_defaults',
                            'quote_font_family' => isset( $shortcode['atts']['quote_font_family'] ) && !empty( $shortcode['atts']['quote_font_family'] ) ? $shortcode['atts']['quote_font_family'] : 'headings-font',
                            'quote_font_size' => isset( $shortcode['atts']['quote_font_size'] ) && $shortcode['atts']['quote_font_size'] != '' && ueldo_is_valid_number( $shortcode['atts']['quote_font_size'] ) ? $shortcode['atts']['quote_font_size'] : esc_attr( $ueldo_styles_cache -> get_style( 'font-size-h6' ) ),
                            'quote_font_line_height' => isset( $shortcode['atts']['quote_font_line_height'] ) && $shortcode['atts']['quote_font_line_height'] != '' && ueldo_is_valid_number( $shortcode['atts']['quote_font_line_height'] ) ? $shortcode['atts']['quote_font_line_height'] : esc_attr( $ueldo_styles_cache -> get_style( 'line-height-general' ) ),
                            'quote_box_padding_top_bottom' => isset( $shortcode['atts']['quote_box_padding_top_bottom'] ) && $shortcode['atts']['quote_box_padding_top_bottom'] != '' && ueldo_is_valid_number( $shortcode['atts']['quote_box_padding_top_bottom'] ) ? $shortcode['atts']['quote_box_padding_top_bottom'] : '40',
                            'quote_box_padding_left_right' => isset( $shortcode['atts']['quote_box_padding_left_right'] ) && $shortcode['atts']['quote_box_padding_left_right'] != '' && ueldo_is_valid_number( $shortcode['atts']['quote_box_padding_left_right'] ) ? $shortcode['atts']['quote_box_padding_left_right'] : '40',
                            'quote_box_border_width' => isset( $shortcode['atts']['quote_box_border_width'] ) && $shortcode['atts']['quote_box_border_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['quote_box_border_width'] ) ? $shortcode['atts']['quote_box_border_width'] : '1',
                            'quote_box_border_radius' => isset( $shortcode['atts']['quote_box_border_radius'] ) && $shortcode['atts']['quote_box_border_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['quote_box_border_radius'] ) ? $shortcode['atts']['quote_box_border_radius'] : '4',
                            'quote_box_icon_size' => isset( $shortcode['atts']['quote_box_icon_size'] ) && $shortcode['atts']['quote_box_icon_size'] != '' && ueldo_is_valid_number( $shortcode['atts']['quote_box_icon_size'] ) ? $shortcode['atts']['quote_box_icon_size'] : '72',
                            'quote_box_icon_position' => isset( $shortcode['atts']['quote_box_icon_position'] ) && !empty( $shortcode['atts']['quote_box_icon_position'] ) ? $shortcode['atts']['quote_box_icon_position'] : esc_attr( ueldo_is_rtl() ? 'bottom_left' : 'bottom_right' ),
                            'quote_box_icon_margin_top' => isset( $shortcode['atts']['quote_box_icon_margin_top'] ) && $shortcode['atts']['quote_box_icon_margin_top'] != '' && ueldo_is_valid_number( $shortcode['atts']['quote_box_icon_margin_top'] ) ? $shortcode['atts']['quote_box_icon_margin_top'] : '0',
                            'quote_box_icon_margin_right' => isset( $shortcode['atts']['quote_box_icon_margin_right'] ) && $shortcode['atts']['quote_box_icon_margin_right'] != '' && ueldo_is_valid_number( $shortcode['atts']['quote_box_icon_margin_right'] ) ? $shortcode['atts']['quote_box_icon_margin_right'] : esc_attr( ueldo_is_rtl() ? '0' : '20' ),
                            'quote_box_icon_margin_bottom' => isset( $shortcode['atts']['quote_box_icon_margin_bottom'] ) && $shortcode['atts']['quote_box_icon_margin_bottom'] != '' && ueldo_is_valid_number( $shortcode['atts']['quote_box_icon_margin_bottom'] ) ? $shortcode['atts']['quote_box_icon_margin_bottom'] : '-21',
                            'quote_box_icon_margin_left' => isset( $shortcode['atts']['quote_box_icon_margin_left'] ) && $shortcode['atts']['quote_box_icon_margin_left'] != '' && ueldo_is_valid_number( $shortcode['atts']['quote_box_icon_margin_left'] ) ? $shortcode['atts']['quote_box_icon_margin_left'] : esc_attr( ueldo_is_rtl() ? '20' : '0' ),
                            'quote_author_font_family' => isset( $shortcode['atts']['quote_author_font_family'] ) && !empty( $shortcode['atts']['quote_author_font_family'] ) ? $shortcode['atts']['quote_author_font_family'] : 'headings-font',
                            'quote_author_font_size' => isset( $shortcode['atts']['quote_author_font_size'] ) && $shortcode['atts']['quote_author_font_size'] != '' && ueldo_is_valid_number( $shortcode['atts']['quote_author_font_size'] ) ? $shortcode['atts']['quote_author_font_size'] : esc_attr( $ueldo_styles_cache -> get_style( 'font-size-small-content' ) ),
                            'quote_author_font_line_height' => isset( $shortcode['atts']['quote_author_font_line_height'] ) && $shortcode['atts']['quote_author_font_line_height'] != '' && ueldo_is_valid_number( $shortcode['atts']['quote_author_font_line_height'] ) ? $shortcode['atts']['quote_author_font_line_height'] : esc_attr( $ueldo_styles_cache -> get_style( 'line-height-general' ) ),
                            'quote_author_description_font_family' => isset( $shortcode['atts']['quote_author_description_font_family'] ) && !empty( $shortcode['atts']['quote_author_description_font_family'] ) ? $shortcode['atts']['quote_author_description_font_family'] : 'general-font',
                            'quote_author_description_font_size' => isset( $shortcode['atts']['quote_author_description_font_size'] ) && $shortcode['atts']['quote_author_description_font_size'] != '' && ueldo_is_valid_number( $shortcode['atts']['quote_author_description_font_size'] ) ? $shortcode['atts']['quote_author_description_font_size'] : esc_attr( $ueldo_styles_cache -> get_style( 'font-size-content' ) ),
                            'quote_author_description_font_line_height' => isset( $shortcode['atts']['quote_author_description_font_line_height'] ) && $shortcode['atts']['quote_author_description_font_line_height'] != '' && ueldo_is_valid_number( $shortcode['atts']['quote_author_description_font_line_height'] ) ? $shortcode['atts']['quote_author_description_font_line_height'] : esc_attr( $ueldo_styles_cache -> get_style( 'line-height-general' ) ),
                            'margin_between_quote_author_image_and_description' => isset( $shortcode['atts']['margin_between_quote_author_image_and_description'] ) && $shortcode['atts']['margin_between_quote_author_image_and_description'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_between_quote_author_image_and_description'] ) ? $shortcode['atts']['margin_between_quote_author_image_and_description'] : '20',
                            'quote_author_image_width' => isset( $shortcode['atts']['quote_author_image_width'] ) && $shortcode['atts']['quote_author_image_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['quote_author_image_width'] ) ? $shortcode['atts']['quote_author_image_width'] : '60',
                            'quote_author_image_height' => isset( $shortcode['atts']['quote_author_image_height'] ) && $shortcode['atts']['quote_author_image_height'] != '' && ueldo_is_valid_number( $shortcode['atts']['quote_author_image_height'] ) ? $shortcode['atts']['quote_author_image_height'] : '60',
                            'quote_author_image_border_radius' => isset( $shortcode['atts']['quote_author_image_border_radius'] ) && !empty( $shortcode['atts']['quote_author_image_border_radius'] ) ? $shortcode['atts']['quote_author_image_border_radius'] : 'circle',
                            'quote_author_image_border_radius_px' => isset( $shortcode['atts']['quote_author_image_border_radius_px'] ) && $shortcode['atts']['quote_author_image_border_radius_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['quote_author_image_border_radius_px'] ) ? $shortcode['atts']['quote_author_image_border_radius_px'] : '4',
                            'quote_author_margin_top' => isset( $shortcode['atts']['quote_author_margin_top'] ) && $shortcode['atts']['quote_author_margin_top'] != '' && ueldo_is_valid_number( $shortcode['atts']['quote_author_margin_top'] ) ? $shortcode['atts']['quote_author_margin_top'] : '40',
                            'margin_after_quote_author_image_and_description' => isset( $shortcode['atts']['margin_after_quote_author_image_and_description'] ) && $shortcode['atts']['margin_after_quote_author_image_and_description'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_after_quote_author_image_and_description'] ) ? $shortcode['atts']['margin_after_quote_author_image_and_description'] : '0',
                            'quote_author_margin_bottom' => isset( $shortcode['atts']['quote_author_margin_bottom'] ) && $shortcode['atts']['quote_author_margin_bottom'] != '' && ueldo_is_valid_number( $shortcode['atts']['quote_author_margin_bottom'] ) ? $shortcode['atts']['quote_author_margin_bottom'] : '0',
                            'margin_before_quote_author_image_and_description' => isset( $shortcode['atts']['margin_before_quote_author_image_and_description'] ) && $shortcode['atts']['margin_before_quote_author_image_and_description'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_before_quote_author_image_and_description'] ) ? $shortcode['atts']['margin_before_quote_author_image_and_description'] : '40',
                            'custom_colors_enabled' => isset( $shortcode['atts']['custom_colors_enabled'] ) && !empty( $shortcode['atts']['custom_colors_enabled'] ) ? $shortcode['atts']['custom_colors_enabled'] : 'theme_defaults',
                            'quote_box_text_color' => isset( $shortcode['atts']['quote_box_text_color'] ) && $shortcode['atts']['quote_box_text_color'] != '' ? $shortcode['atts']['quote_box_text_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-headings-color' ) ),
                            'quote_box_text_color_hover' => isset( $shortcode['atts']['quote_box_text_color_hover'] ) && $shortcode['atts']['quote_box_text_color_hover'] != '' ? $shortcode['atts']['quote_box_text_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-headings-color' ) ),
                            'quote_box_background_color' => isset( $shortcode['atts']['quote_box_background_color'] ) && $shortcode['atts']['quote_box_background_color'] != '' ? $shortcode['atts']['quote_box_background_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                            'quote_box_background_color_hover' => isset( $shortcode['atts']['quote_box_background_color_hover'] ) && $shortcode['atts']['quote_box_background_color_hover'] != '' ? $shortcode['atts']['quote_box_background_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                            'quote_box_border_color' => isset( $shortcode['atts']['quote_box_border_color'] ) && $shortcode['atts']['quote_box_border_color'] != '' ? $shortcode['atts']['quote_box_border_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-border-color' ) ),
                            'quote_box_border_color_hover' => isset( $shortcode['atts']['quote_box_border_color_hover'] ) && $shortcode['atts']['quote_box_border_color_hover'] != '' ? $shortcode['atts']['quote_box_border_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-hover-border-color' ) ),
                            'quote_box_icon_color' => isset( $shortcode['atts']['quote_box_icon_color'] ) && $shortcode['atts']['quote_box_icon_color'] != '' ? $shortcode['atts']['quote_box_icon_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-background-icon-color' ) ),
                            'quote_box_icon_color_hover' => isset( $shortcode['atts']['quote_box_icon_color_hover'] ) && $shortcode['atts']['quote_box_icon_color_hover'] != '' ? $shortcode['atts']['quote_box_icon_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-background-icon-color' ) ),
                            'quote_box_box_shadow_horizontal_length' => isset( $shortcode['atts']['quote_box_box_shadow_horizontal_length'] ) && $shortcode['atts']['quote_box_box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['quote_box_box_shadow_horizontal_length'] ) ? $shortcode['atts']['quote_box_box_shadow_horizontal_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'horizontal-length' ) ),
                            'quote_box_box_shadow_vertical_length' => isset( $shortcode['atts']['quote_box_box_shadow_vertical_length'] ) && $shortcode['atts']['quote_box_box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['quote_box_box_shadow_vertical_length'] ) ? $shortcode['atts']['quote_box_box_shadow_vertical_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'vertical-length' ) ),
                            'quote_box_box_shadow_blur_radius' => isset( $shortcode['atts']['quote_box_box_shadow_blur_radius'] ) && $shortcode['atts']['quote_box_box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['quote_box_box_shadow_blur_radius'] ) ? $shortcode['atts']['quote_box_box_shadow_blur_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'blur-radius' ) ),
                            'quote_box_box_shadow_spread_radius' => isset( $shortcode['atts']['quote_box_box_shadow_spread_radius'] ) && $shortcode['atts']['quote_box_box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['quote_box_box_shadow_spread_radius'] ) ? $shortcode['atts']['quote_box_box_shadow_spread_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'spread-radius' ) ),
                            'quote_box_box_shadow_color' => isset( $shortcode['atts']['quote_box_box_shadow_color'] ) && $shortcode['atts']['quote_box_box_shadow_color'] != '' ? $shortcode['atts']['quote_box_box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'color' ) ),
                            'quote_box_box_shadow_horizontal_length_hover' => isset( $shortcode['atts']['quote_box_box_shadow_horizontal_length_hover'] ) && $shortcode['atts']['quote_box_box_shadow_horizontal_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['quote_box_box_shadow_horizontal_length_hover'] ) ? $shortcode['atts']['quote_box_box_shadow_horizontal_length_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'horizontal-length' ) ),
                            'quote_box_box_shadow_vertical_length_hover' => isset( $shortcode['atts']['quote_box_box_shadow_vertical_length_hover'] ) && $shortcode['atts']['quote_box_box_shadow_vertical_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['quote_box_box_shadow_vertical_length_hover'] ) ? $shortcode['atts']['quote_box_box_shadow_vertical_length_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'vertical-length' ) ),
                            'quote_box_box_shadow_blur_radius_hover' => isset( $shortcode['atts']['quote_box_box_shadow_blur_radius_hover'] ) && $shortcode['atts']['quote_box_box_shadow_blur_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['quote_box_box_shadow_blur_radius_hover'] ) ? $shortcode['atts']['quote_box_box_shadow_blur_radius_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'blur-radius' ) ),
                            'quote_box_box_shadow_spread_radius_hover' => isset( $shortcode['atts']['quote_box_box_shadow_spread_radius_hover'] ) && $shortcode['atts']['quote_box_box_shadow_spread_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['quote_box_box_shadow_spread_radius_hover'] ) ? $shortcode['atts']['quote_box_box_shadow_spread_radius_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'spread-radius' ) ),
                            'quote_box_box_shadow_color_hover' => isset( $shortcode['atts']['quote_box_box_shadow_color_hover'] ) && $shortcode['atts']['quote_box_box_shadow_color_hover'] != '' ? $shortcode['atts']['quote_box_box_shadow_color_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'color' ) ),
                            'quote_author_text_color' => isset( $shortcode['atts']['quote_author_text_color'] ) && $shortcode['atts']['quote_author_text_color'] != '' ? $shortcode['atts']['quote_author_text_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-headings-color' ) ),
                            'quote_author_description_text_color' => isset( $shortcode['atts']['quote_author_description_text_color'] ) && $shortcode['atts']['quote_author_description_text_color'] != '' ? $shortcode['atts']['quote_author_description_text_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-content-color' ) ),
                            'quote_author_image_box_shadow_horizontal_length' => isset( $shortcode['atts']['quote_author_image_box_shadow_horizontal_length'] ) && $shortcode['atts']['quote_author_image_box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['quote_author_image_box_shadow_horizontal_length'] ) ? $shortcode['atts']['quote_author_image_box_shadow_horizontal_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'horizontal-length' ) ),
                            'quote_author_image_box_shadow_vertical_length' => isset( $shortcode['atts']['quote_author_image_box_shadow_vertical_length'] ) && $shortcode['atts']['quote_author_image_box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['quote_author_image_box_shadow_vertical_length'] ) ? $shortcode['atts']['quote_author_image_box_shadow_vertical_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'vertical-length' ) ),
                            'quote_author_image_box_shadow_blur_radius' => isset( $shortcode['atts']['quote_author_image_box_shadow_blur_radius'] ) && $shortcode['atts']['quote_author_image_box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['quote_author_image_box_shadow_blur_radius'] ) ? $shortcode['atts']['quote_author_image_box_shadow_blur_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'blur-radius' ) ),
                            'quote_author_image_box_shadow_spread_radius' => isset( $shortcode['atts']['quote_author_image_box_shadow_spread_radius'] ) && $shortcode['atts']['quote_author_image_box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['quote_author_image_box_shadow_spread_radius'] ) ? $shortcode['atts']['quote_author_image_box_shadow_spread_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'spread-radius' ) ),
                            'quote_author_image_box_shadow_color' => isset( $shortcode['atts']['quote_author_image_box_shadow_color'] ) && $shortcode['atts']['quote_author_image_box_shadow_color'] != '' ? $shortcode['atts']['quote_author_image_box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'color' ) )
                        );

                        # do we have custom sizes enabled?
                        if( $attributes['custom_sizes_enabled'] != 'theme_defaults' ) {

                            # temporary variable
                            $temp = array(
                                'quote-font' => ueldo_vc_get_custom_font_family_attributes( ( !empty( $attributes['quote_font_family'] ) ? $attributes['quote_font_family'] : false ), 'headings-font' ),
                                'quote-author-font' => ueldo_vc_get_custom_font_family_attributes( ( !empty( $attributes['quote_author_font_family'] ) ? $attributes['quote_author_font_family'] : false ), 'headings-font' ),
                                'quote-author-description-font' => ueldo_vc_get_custom_font_family_attributes( ( !empty( $attributes['quote_author_description_font_family'] ) ? $attributes['quote_author_description_font_family'] : false ), 'general-font' )
                            );

                            # quote font styles
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-quote.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-quote-box .ueldo-shortcode-quote-box-inner p',
                                array(
                                    'font-family' => esc_attr( $temp['quote-font']['font-family'] ),
                                    'font-weight' => esc_attr( $temp['quote-font']['font-weight'] ),
                                    'font-style' => esc_attr( $temp['quote-font']['font-style'] ),
                                    '-webkit-font-smoothing' => esc_attr( $temp['quote-font']['-webkit-font-smoothing'] ),
                                    '-moz-osx-font-smoothing' => esc_attr( $temp['quote-font']['-moz-osx-font-smoothing'] ),
                                    'font-size' => esc_attr( $attributes['quote_font_size'] ),
                                    'line-height' => esc_attr( $attributes['quote_font_line_height'] )
                                )
                            );

                            # quote box padding
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-quote.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-quote-box .ueldo-shortcode-quote-box-inner',
                                array(
                                    'padding-top' => esc_attr( $attributes['quote_box_padding_top_bottom'] ),
                                    'padding-right' => esc_attr( $attributes['quote_box_padding_left_right'] ),
                                    'padding-bottom' => esc_attr( $attributes['quote_box_padding_top_bottom'] ),
                                    'padding-left' => esc_attr( $attributes['quote_box_padding_left_right'] ),
                                    '-webkit-border-radius' => esc_attr( $attributes['quote_box_border_radius'] ),
                                    '-moz-border-radius' => esc_attr( $attributes['quote_box_border_radius'] ),
                                    'border-radius' => esc_attr( $attributes['quote_box_border_radius'] )
                                )
                            );

                            # quote box border
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-quote.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-quote-box',
                                array(
                                    'border-width' => esc_attr( $attributes['quote_box_border_width'] ),
                                    '-webkit-border-radius' => esc_attr( $attributes['quote_box_border_radius'] ),
                                    '-moz-border-radius' => esc_attr( $attributes['quote_box_border_radius'] ),
                                    'border-radius' => esc_attr( $attributes['quote_box_border_radius'] )
                                )
                            );

                            # quote box arrow border styles
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-quote.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-quote-box:before',
                                array(
                                    'border-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) .'-width' => esc_attr( $attributes['quote_box_border_width'] ),
                                    'border-bottom-width' => esc_attr( $attributes['quote_box_border_width'] ),
                                    '-webkit-border-bottom-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) .'-radius' => esc_attr( $attributes['quote_box_border_radius'] ),
                                    '-moz-border-bottom-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) .'-radius' => esc_attr( $attributes['quote_box_border_radius'] ),
                                    'border-bottom-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) .'-radius' => esc_attr( $attributes['quote_box_border_radius'] )
                                )
                            );

                            # can we display quote box icon?
                            if( $attributes['display_quote_box_icon'] == 'yes' ) {

                                # update icon styles depends on icon position
                                switch( $attributes['quote_box_icon_position'] ) {

                                    # icon in top left box side
                                    case 'top_left':

                                        # quote box position
                                        $shortcodes_styles -> update_style(
                                            'ueldo-shortcode-quote.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-quote-box .ueldo-shortcode-quote-box-inner i.ueldo-shortcode-quote-box-icon',
                                            array(
                                                'top' => '0',
                                                'right' => 'auto',
                                                'bottom' => 'auto',
                                                'left' => '0'
                                            )
                                        );

                                    break;

                                    # icon in top right box side
                                    case 'top_right':

                                        # quote box position
                                        $shortcodes_styles -> update_style(
                                            'ueldo-shortcode-quote.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-quote-box .ueldo-shortcode-quote-box-inner i.ueldo-shortcode-quote-box-icon',
                                            array(
                                                'top' => '0',
                                                'right' => '0',
                                                'bottom' => 'auto',
                                                'left' => 'auto'
                                            )
                                        );

                                    break;

                                    # icon in bottom left box side
                                    case 'bottom_left':

                                        # quote box position
                                        $shortcodes_styles -> update_style(
                                            'ueldo-shortcode-quote.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-quote-box .ueldo-shortcode-quote-box-inner i.ueldo-shortcode-quote-box-icon',
                                            array(
                                                'top' => 'auto',
                                                'right' => 'auto',
                                                'bottom' => '0',
                                                'left' => '0'
                                            )
                                        );

                                    break;

                                    # icon in bottom right box side
                                    case 'bottom_right':

                                        # quote box position
                                        $shortcodes_styles -> update_style(
                                            'ueldo-shortcode-quote.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-quote-box .ueldo-shortcode-quote-box-inner i.ueldo-shortcode-quote-box-icon',
                                            array(
                                                'top' => 'auto',
                                                'right' => '0',
                                                'bottom' => '0',
                                                'left' => 'auto'
                                            )
                                        );

                                    break;
                                }

                                # quote box icon margins
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-quote.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-quote-box .ueldo-shortcode-quote-box-inner i.ueldo-shortcode-quote-box-icon',
                                    array(
                                        'margin-top' => esc_attr( $attributes['quote_box_icon_margin_top'] ),
                                        'margin-right' => esc_attr( $attributes['quote_box_icon_margin_right'] ),
                                        'margin-bottom' => esc_attr( $attributes['quote_box_icon_margin_bottom'] ),
                                        'margin-left' => esc_attr( $attributes['quote_box_icon_margin_left'] )
                                    )
                                );

                                # quote box icon font size
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-quote.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-quote-box .ueldo-shortcode-quote-box-inner i.ueldo-shortcode-quote-box-icon, .ueldo-shortcode-quote.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-quote-box .ueldo-shortcode-quote-box-inner i.ueldo-shortcode-quote-box-icon:before',
                                    array(
                                        'font-size' => esc_attr( $attributes['quote_box_icon_size'] )
                                    )
                                );
                            }

                            # quote author font styles
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-quote.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-quote-author .ueldo-shortcode-quote-author-content p.ueldo-shortcode-quote-author-content-author-name',
                                array(
                                    'font-family' => esc_attr( $temp['quote-author-font']['font-family'] ),
                                    'font-weight' => esc_attr( $temp['quote-author-font']['font-weight'] ),
                                    'font-style' => esc_attr( $temp['quote-author-font']['font-style'] ),
                                    '-webkit-font-smoothing' => esc_attr( $temp['quote-author-font']['-webkit-font-smoothing'] ),
                                    '-moz-osx-font-smoothing' => esc_attr( $temp['quote-author-font']['-moz-osx-font-smoothing'] ),
                                    'font-size' => esc_attr( $attributes['quote_author_font_size'] ),
                                    'line-height' => esc_attr( $attributes['quote_author_font_line_height'] )
                                )
                            );

                            # quote author description font styles
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-quote.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-quote-author .ueldo-shortcode-quote-author-content p:not(.ueldo-shortcode-quote-author-content-author-name)',
                                array(
                                    'font-family' => esc_attr( $temp['quote-author-description-font']['font-family'] ),
                                    'font-weight' => esc_attr( $temp['quote-author-description-font']['font-weight'] ),
                                    'font-style' => esc_attr( $temp['quote-author-description-font']['font-style'] ),
                                    '-webkit-font-smoothing' => esc_attr( $temp['quote-author-description-font']['-webkit-font-smoothing'] ),
                                    '-moz-osx-font-smoothing' => esc_attr( $temp['quote-author-description-font']['-moz-osx-font-smoothing'] ),
                                    'font-size' => esc_attr( $attributes['quote_author_description_font_size'] ),
                                    'line-height' => esc_attr( $attributes['quote_author_description_font_line_height'] )
                                )
                            );

                            # can we display author image?
                            if( $attributes['display_author_image'] == 'yes' ) {

                                # quote author image styles
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-quote.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-quote-author .ueldo-shortcode-quote-author-image',
                                    array(
                                        'width' => esc_attr( $attributes['quote_author_image_width'] ),
                                        'height' => esc_attr( $attributes['quote_author_image_height'] ),
                                        '-webkit-border-radius'. esc_attr( $attributes['quote_author_image_border_radius'] == 'circle' ? '-%' : '' ) => esc_attr( $attributes['quote_author_image_border_radius'] == 'circle' ? '100%' : $attributes['quote_author_image_border_radius_px'] ),
                                        '-moz-border-radius'. esc_attr( $attributes['quote_author_image_border_radius'] == 'circle' ? '-%' : '' ) => esc_attr( $attributes['quote_author_image_border_radius'] == 'circle' ? '100%' : $attributes['quote_author_image_border_radius_px'] ),
                                        'border-radius'. esc_attr( $attributes['quote_author_image_border_radius'] == 'circle' ? '-%' : '' ) => esc_attr( $attributes['quote_author_image_border_radius'] == 'circle' ? '100%' : $attributes['quote_author_image_border_radius_px'] )
                                    )
                                );

                                # quote author image inner elements border radius
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-quote.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-quote-author .ueldo-shortcode-quote-author-image *:not(.ueldo-image-parent-loading-circle)',
                                    array(
                                        '-webkit-border-radius'. esc_attr( $attributes['quote_author_image_border_radius'] == 'circle' ? '-%' : '' ) => esc_attr( $attributes['quote_author_image_border_radius'] == 'circle' ? '100%' : $attributes['quote_author_image_border_radius_px'] ),
                                        '-moz-border-radius'. esc_attr( $attributes['quote_author_image_border_radius'] == 'circle' ? '-%' : '' ) => esc_attr( $attributes['quote_author_image_border_radius'] == 'circle' ? '100%' : $attributes['quote_author_image_border_radius_px'] ),
                                        'border-radius'. esc_attr( $attributes['quote_author_image_border_radius'] == 'circle' ? '-%' : '' ) => esc_attr( $attributes['quote_author_image_border_radius'] == 'circle' ? '100%' : $attributes['quote_author_image_border_radius_px'] )
                                    )
                                );

                                # author content sizes
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-quote.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-quote-author .ueldo-shortcode-quote-author-content.ueldo-shortcode-quote-author-content-near-author-image',
                                    array(
                                        'margin-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) => esc_attr( $attributes['margin_between_quote_author_image_and_description'] ),
                                        'width-webkit-calc' => '-webkit-calc( 100% - '. esc_attr( $attributes['quote_author_image_width'] + $attributes['margin_between_quote_author_image_and_description'] ) .'px )',
                                        'width-moz-calc' => '-moz-calc( 100% - '. esc_attr( $attributes['quote_author_image_width'] + $attributes['margin_between_quote_author_image_and_description'] ) .'px )',
                                        'width-calc' => 'calc( 100% - '. esc_attr( $attributes['quote_author_image_width'] + $attributes['margin_between_quote_author_image_and_description'] ) .'px )'
                                    )
                                );
                            }

                            # quote author margins
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-quote.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-quote-author',
                                array(
                                    'margin' => esc_attr( $attributes['quote_author_margin_top'] ) .'px '. esc_attr( $attributes['margin_after_quote_author_image_and_description'] ) .'px '. esc_attr( $attributes['quote_author_margin_bottom'] ) .'px '. esc_attr( $attributes['margin_before_quote_author_image_and_description'] ) .'px'
                                )
                            );

                            # remove temporary variable
                            unset( $temp );
                        }

                        # do we have custom sizes enabled?
                        if( $attributes['custom_colors_enabled'] != 'theme_defaults' ) {

                            # quote box box shadow
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-quote.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-quote-box',
                                array(
                                    '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['quote_box_box_shadow_horizontal_length'], $attributes['quote_box_box_shadow_vertical_length'], $attributes['quote_box_box_shadow_blur_radius'], $attributes['quote_box_box_shadow_spread_radius'], $attributes['quote_box_box_shadow_color'] ),
                                    '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['quote_box_box_shadow_horizontal_length'], $attributes['quote_box_box_shadow_vertical_length'], $attributes['quote_box_box_shadow_blur_radius'], $attributes['quote_box_box_shadow_spread_radius'], $attributes['quote_box_box_shadow_color'] ),
                                    'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['quote_box_box_shadow_horizontal_length'], $attributes['quote_box_box_shadow_vertical_length'], $attributes['quote_box_box_shadow_blur_radius'], $attributes['quote_box_box_shadow_spread_radius'], $attributes['quote_box_box_shadow_color'] )
                                )
                            );

                            # quote box box shadow (on hover)
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-quote.'. esc_attr( $shortcode['atts']['class_name'] ) .':hover .ueldo-shortcode-quote-box',
                                array(
                                    '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['quote_box_box_shadow_horizontal_length_hover'], $attributes['quote_box_box_shadow_vertical_length_hover'], $attributes['quote_box_box_shadow_blur_radius_hover'], $attributes['quote_box_box_shadow_spread_radius_hover'], $attributes['quote_box_box_shadow_color_hover'] ),
                                    '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['quote_box_box_shadow_horizontal_length_hover'], $attributes['quote_box_box_shadow_vertical_length_hover'], $attributes['quote_box_box_shadow_blur_radius_hover'], $attributes['quote_box_box_shadow_spread_radius_hover'], $attributes['quote_box_box_shadow_color_hover'] ),
                                    'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['quote_box_box_shadow_horizontal_length_hover'], $attributes['quote_box_box_shadow_vertical_length_hover'], $attributes['quote_box_box_shadow_blur_radius_hover'], $attributes['quote_box_box_shadow_spread_radius_hover'], $attributes['quote_box_box_shadow_color_hover'] )
                                )
                            );

                            # quote font color
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-quote.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-quote-box .ueldo-shortcode-quote-box-inner p',
                                array(
                                    'color' => esc_attr( $attributes['quote_box_text_color'] )
                                )
                            );

                            # quote font color (on hover)
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-quote.'. esc_attr( $shortcode['atts']['class_name'] ) .':hover .ueldo-shortcode-quote-box .ueldo-shortcode-quote-box-inner p',
                                array(
                                    'color' => esc_attr( $attributes['quote_box_text_color_hover'] )
                                )
                            );

                            # quote box background color
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-quote.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-quote-box, .ueldo-shortcode-quote.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-quote-box:before, .ueldo-shortcode-quote.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-quote-box .ueldo-shortcode-quote-box-inner',
                                array(
                                    'background' => esc_attr( $attributes['quote_box_background_color'] )
                                )
                            );

                            # quote box background color (on hover)
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-quote.'. esc_attr( $shortcode['atts']['class_name'] ) .':hover .ueldo-shortcode-quote-box, .ueldo-shortcode-quote.'. esc_attr( $shortcode['atts']['class_name'] ) .':hover .ueldo-shortcode-quote-box:before, .ueldo-shortcode-quote.'. esc_attr( $shortcode['atts']['class_name'] ) .':hover .ueldo-shortcode-quote-box .ueldo-shortcode-quote-box-inner',
                                array(
                                    'background' => esc_attr( $attributes['quote_box_background_color'] )
                                )
                            );

                            # quote box border color
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-quote.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-quote-box, .ueldo-shortcode-quote.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-quote-box:before',
                                array(
                                    'border-color' => esc_attr( $attributes['quote_box_border_color'] )
                                )
                            );

                            # quote box border color (on hover)
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-quote.'. esc_attr( $shortcode['atts']['class_name'] ) .':hover .ueldo-shortcode-quote-box, .ueldo-shortcode-quote.'. esc_attr( $shortcode['atts']['class_name'] ) .':hover .ueldo-shortcode-quote-box:before',
                                array(
                                    'border-color' => esc_attr( $attributes['quote_box_border_color_hover'] )
                                )
                            );

                            # can we display quote box icon?
                            if( $attributes['display_quote_box_icon'] == 'yes' ) {

                                # update box icon color
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-quote.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-quote-box .ueldo-shortcode-quote-box-inner i.ueldo-shortcode-quote-box-icon, .ueldo-shortcode-quote.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-quote-box .ueldo-shortcode-quote-box-inner i.ueldo-shortcode-quote-box-icon:before',
                                    array(
                                        'color' => esc_attr( $attributes['quote_box_icon_color'] )
                                    )
                                );

                                # update box icon color (on hover)
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-quote.'. esc_attr( $shortcode['atts']['class_name'] ) .':hover .ueldo-shortcode-quote-box .ueldo-shortcode-quote-box-inner i.ueldo-shortcode-quote-box-icon, .ueldo-shortcode-quote.'. esc_attr( $shortcode['atts']['class_name'] ) .':hover .ueldo-shortcode-quote-box .ueldo-shortcode-quote-box-inner i.ueldo-shortcode-quote-box-icon:before',
                                    array(
                                        'color' => esc_attr( $attributes['quote_box_icon_color_hover'] )
                                    )
                                );
                            }

                            # quote author text color
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-quote.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-quote-author .ueldo-shortcode-quote-author-content p.ueldo-shortcode-quote-author-content-author-name',
                                array(
                                    'color' => esc_attr( $attributes['quote_author_text_color'] )
                                )
                            );

                            # quote author description text color
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-quote.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-quote-author .ueldo-shortcode-quote-author-content p:not(.ueldo-shortcode-quote-author-content-author-name)',
                                array(
                                    'color' => esc_attr( $attributes['quote_author_description_text_color'] )
                                )
                            );

                            # do we have author image enabled?
                            if( $attributes['display_author_image'] == 'yes' ) {

                                # quote author image box shadow
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-quote.'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-quote-author .ueldo-shortcode-quote-author-image',
                                    array(
                                        '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['quote_author_image_box_shadow_horizontal_length'], $attributes['quote_author_image_box_shadow_vertical_length'], $attributes['quote_author_image_box_shadow_blur_radius'], $attributes['quote_author_image_box_shadow_spread_radius'], $attributes['quote_author_image_box_shadow_color'] ),
                                        '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['quote_author_image_box_shadow_horizontal_length'], $attributes['quote_author_image_box_shadow_vertical_length'], $attributes['quote_author_image_box_shadow_blur_radius'], $attributes['quote_author_image_box_shadow_spread_radius'], $attributes['quote_author_image_box_shadow_color'] ),
                                        'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['quote_author_image_box_shadow_horizontal_length'], $attributes['quote_author_image_box_shadow_vertical_length'], $attributes['quote_author_image_box_shadow_blur_radius'], $attributes['quote_author_image_box_shadow_spread_radius'], $attributes['quote_author_image_box_shadow_color'] )
                                    )
                                );
                            }
                        }

                        # save css style
                        $shortcodes_styles -> save_styles();

                        # remove attributes array
                        unset( $attributes );

                    break;

                   /**
                    *
                    * ueldo_shortcode_social_media_feed
                    *
                    */

                    case 'ueldo_shortcode_social_media_feed':

                        # attributes array
                        $attributes = array(
                            'type' => isset( $shortcode['atts']['type'] ) && !empty( $shortcode['atts']['type'] ) ? $shortcode['atts']['type'] : 'facebook_page_feed',
                            'twitter_single_tweet_custom_styles_enabled' => isset( $shortcode['atts']['twitter_single_tweet_custom_styles_enabled'] ) && !empty( $shortcode['atts']['twitter_single_tweet_custom_styles_enabled'] ) ? $shortcode['atts']['twitter_single_tweet_custom_styles_enabled'] : 'theme_defaults',
                            'twitter_single_tweet_content_font_family' => isset( $shortcode['atts']['twitter_single_tweet_content_font_family'] ) && !empty( $shortcode['atts']['twitter_single_tweet_content_font_family'] ) ? $shortcode['atts']['twitter_single_tweet_content_font_family'] : 'general-font',
                            'twitter_single_tweet_content_font_size' => isset( $shortcode['atts']['twitter_single_tweet_content_font_size'] ) && $shortcode['atts']['twitter_single_tweet_content_font_size'] != '' && ueldo_is_valid_number( $shortcode['atts']['twitter_single_tweet_content_font_size'] ) ? $shortcode['atts']['twitter_single_tweet_content_font_size'] : esc_attr( $ueldo_styles_cache -> get_style( 'font-size-content' ) ),
                            'twitter_single_tweet_content_line_height' => isset( $shortcode['atts']['twitter_single_tweet_content_line_height'] ) && $shortcode['atts']['twitter_single_tweet_content_line_height'] != '' && ueldo_is_valid_number( $shortcode['atts']['twitter_single_tweet_content_line_height'] ) ? $shortcode['atts']['twitter_single_tweet_content_line_height'] : esc_attr( $ueldo_styles_cache -> get_style( 'line-height-general' ) ),
                            'twitter_single_tweet_content_text_color' => isset( $shortcode['atts']['twitter_single_tweet_content_text_color'] ) && $shortcode['atts']['twitter_single_tweet_content_text_color'] != '' ? $shortcode['atts']['twitter_single_tweet_content_text_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-content-color' ) ),
                            'twitter_single_tweet_content_links_color' => isset( $shortcode['atts']['twitter_single_tweet_content_links_color'] ) && $shortcode['atts']['twitter_single_tweet_content_links_color'] != '' ? $shortcode['atts']['twitter_single_tweet_content_links_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                            'twitter_single_tweet_content_links_color_hover' => isset( $shortcode['atts']['twitter_single_tweet_content_links_color_hover'] ) && $shortcode['atts']['twitter_single_tweet_content_links_color_hover'] != '' ? $shortcode['atts']['twitter_single_tweet_content_links_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                            'twitter_single_tweet_date_font_family' => isset( $shortcode['atts']['twitter_single_tweet_date_font_family'] ) && !empty( $shortcode['atts']['twitter_single_tweet_date_font_family'] ) ? $shortcode['atts']['twitter_single_tweet_date_font_family'] : 'general-font',
                            'twitter_single_tweet_date_font_size' => isset( $shortcode['atts']['twitter_single_tweet_date_font_size'] ) && $shortcode['atts']['twitter_single_tweet_date_font_size'] != '' && ueldo_is_valid_number( $shortcode['atts']['twitter_single_tweet_date_font_size'] ) ? $shortcode['atts']['twitter_single_tweet_date_font_size'] : esc_attr( $ueldo_styles_cache -> get_style( 'font-size-content' ) ),
                            'twitter_single_tweet_date_line_height' => isset( $shortcode['atts']['twitter_single_tweet_date_line_height'] ) && $shortcode['atts']['twitter_single_tweet_date_line_height'] != '' && ueldo_is_valid_number( $shortcode['atts']['twitter_single_tweet_date_line_height'] ) ? $shortcode['atts']['twitter_single_tweet_date_line_height'] : esc_attr( $ueldo_styles_cache -> get_style( 'line-height-general' ) ),
                            'twitter_single_tweet_date_text_color' => isset( $shortcode['atts']['twitter_single_tweet_date_text_color'] ) && $shortcode['atts']['twitter_single_tweet_date_text_color'] != '' ? $shortcode['atts']['twitter_single_tweet_date_text_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-content-color' ) ),
                            'twitter_single_tweet_content_and_date_margin' => isset( $shortcode['atts']['twitter_single_tweet_content_and_date_margin'] ) && $shortcode['atts']['twitter_single_tweet_content_and_date_margin'] != '' && ueldo_is_valid_number( $shortcode['atts']['twitter_single_tweet_content_and_date_margin'] ) ? $shortcode['atts']['twitter_single_tweet_content_and_date_margin'] : '30',
                            'twitter_single_tweet_content_and_date_alignment' => isset( $shortcode['atts']['twitter_single_tweet_content_and_date_alignment'] ) && !empty( $shortcode['atts']['twitter_single_tweet_content_and_date_alignment'] ) ? $shortcode['atts']['twitter_single_tweet_content_and_date_alignment'] : esc_attr( ueldo_is_rtl() ? 'right' : 'left' )
                        );

                        # can we set custom styles?
                        if( $attributes['type'] == 'twitter_single_tweet' && $attributes['twitter_single_tweet_custom_styles_enabled'] != 'theme_defaults' ) {

                            # temporary variable
                            $temp = array(
                                'tweet-content-font' => ueldo_vc_get_custom_font_family_attributes( ( !empty( $attributes['twitter_single_tweet_content_font_family'] ) ? $attributes['twitter_single_tweet_content_font_family'] : false ), 'general-font' ),
                                'tweet-date-font' => ueldo_vc_get_custom_font_family_attributes( ( !empty( $attributes['twitter_single_tweet_date_font_family'] ) ? $attributes['twitter_single_tweet_date_font_family'] : false ), 'general-font' )
                            );

                            # update tweet alignment
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-social-media-feed-twitter-single-tweet',
                                array(
                                    'text-align' => esc_attr( $attributes['twitter_single_tweet_content_and_date_alignment'] )
                                )
                            );

                            # update tweet content styles
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-social-media-feed-twitter-single-tweet .ueldo-shortcode-social-media-feed-twitter-single-tweet-content',
                                array(
                                    'font-family' => esc_attr( $temp['tweet-content-font']['font-family'] ),
                                    'font-weight' => esc_attr( $temp['tweet-content-font']['font-weight'] ),
                                    'font-style' => esc_attr( $temp['tweet-content-font']['font-style'] ),
                                    '-webkit-font-smoothing' => esc_attr( $temp['tweet-content-font']['-webkit-font-smoothing'] ),
                                    '-moz-osx-font-smoothing' => esc_attr( $temp['tweet-content-font']['-moz-osx-font-smoothing'] ),
                                    'font-size' => esc_attr( $attributes['twitter_single_tweet_content_font_size'] ),
                                    'line-height' => esc_attr( $attributes['twitter_single_tweet_content_line_height'] ),
                                    'color' => esc_attr( $attributes['twitter_single_tweet_content_text_color'] ),
                                    'margin-bottom' => esc_attr( $attributes['twitter_single_tweet_content_and_date_margin'] )
                                )
                            );

                            # update tweet links color
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-social-media-feed-twitter-single-tweet .ueldo-shortcode-social-media-feed-twitter-single-tweet-content a',
                                array(
                                    'color' => esc_attr( $attributes['twitter_single_tweet_content_links_color'] )
                                )
                            );

                            # update tweet links color (on hover)
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-social-media-feed-twitter-single-tweet .ueldo-shortcode-social-media-feed-twitter-single-tweet-content a:hover',
                                array(
                                    'color' => esc_attr( $attributes['twitter_single_tweet_content_links_color_hover'] )
                                )
                            );

                            # update tweet date styles
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-social-media-feed-twitter-single-tweet .ueldo-shortcode-social-media-feed-twitter-single-tweet-date',
                                array(
                                    'font-family' => esc_attr( $temp['tweet-date-font']['font-family'] ),
                                    'font-weight' => esc_attr( $temp['tweet-date-font']['font-weight'] ),
                                    'font-style' => esc_attr( $temp['tweet-date-font']['font-style'] ),
                                    '-webkit-font-smoothing' => esc_attr( $temp['tweet-date-font']['-webkit-font-smoothing'] ),
                                    '-moz-osx-font-smoothing' => esc_attr( $temp['tweet-date-font']['-moz-osx-font-smoothing'] ),
                                    'font-size' => esc_attr( $attributes['twitter_single_tweet_date_font_size'] ),
                                    'line-height' => esc_attr( $attributes['twitter_single_tweet_date_line_height'] ),
                                    'color' => esc_attr( $attributes['twitter_single_tweet_date_text_color'] )
                                )
                            );

                            # remove temporary variable
                            unset( $temp );
                        }

                        # save css style
                        $shortcodes_styles -> save_styles();

                        # remove attributes array
                        unset( $attributes );

                    break;

                   /**
                    *
                    * ueldo_shortcode_form
                    *
                    */

                    case 'ueldo_shortcode_form':

                        # attributes array
                        $attributes = array(
                            'custom_colors_enabled' => isset( $shortcode['atts']['custom_colors_enabled'] ) && !empty( $shortcode['atts']['custom_colors_enabled'] ) ? $shortcode['atts']['custom_colors_enabled'] : 'theme_defaults',
                            'form_field_border_color' => isset( $shortcode['atts']['form_field_border_color'] ) && $shortcode['atts']['form_field_border_color'] != '' ? $shortcode['atts']['form_field_border_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'forms-field-border-color' ) ),
                            'form_field_border_color_hover' => isset( $shortcode['atts']['form_field_border_color_hover'] ) && $shortcode['atts']['form_field_border_color_hover'] != '' ? $shortcode['atts']['form_field_border_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'forms-field-border-color-on-hover' ) ),
                            'form_field_border_color_focus' => isset( $shortcode['atts']['form_field_border_color_focus'] ) && $shortcode['atts']['form_field_border_color_focus'] != '' ? $shortcode['atts']['form_field_border_color_focus'] : esc_attr( $ueldo_styles_cache -> get_style( 'forms-field-border-color-on-focus' ) ),
                            'form_field_background_color' => isset( $shortcode['atts']['form_field_background_color'] ) && $shortcode['atts']['form_field_background_color'] != '' ? $shortcode['atts']['form_field_background_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'forms-field-background-color' ) ),
                            'form_field_text_color' => isset( $shortcode['atts']['form_field_text_color'] ) && $shortcode['atts']['form_field_text_color'] != '' ? $shortcode['atts']['form_field_text_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'forms-field-text-color' ) ),
                            'form_field_placeholder_text_color' => isset( $shortcode['atts']['form_field_placeholder_text_color'] ) && $shortcode['atts']['form_field_placeholder_text_color'] != '' ? $shortcode['atts']['form_field_placeholder_text_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'forms-placeholder-text-color' ) ),


                            'form_field_box_shadow_horizontal_length' => isset( $shortcode['atts']['form_field_box_shadow_horizontal_length'] ) && $shortcode['atts']['form_field_box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['form_field_box_shadow_horizontal_length'] ) ? $shortcode['atts']['form_field_box_shadow_horizontal_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'forms-field-box-shadow', 'horizontal-length' ) ),
                            'form_field_box_shadow_vertical_length' => isset( $shortcode['atts']['form_field_box_shadow_vertical_length'] ) && $shortcode['atts']['form_field_box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['form_field_box_shadow_vertical_length'] ) ? $shortcode['atts']['form_field_box_shadow_vertical_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'forms-field-box-shadow', 'vertical-length' ) ),
                            'form_field_box_shadow_blur_radius' => isset( $shortcode['atts']['form_field_box_shadow_blur_radius'] ) && $shortcode['atts']['form_field_box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['form_field_box_shadow_blur_radius'] ) ? $shortcode['atts']['form_field_box_shadow_blur_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'forms-field-box-shadow', 'blur-radius' ) ),
                            'form_field_box_shadow_spread_radius' => isset( $shortcode['atts']['form_field_box_shadow_spread_radius'] ) && $shortcode['atts']['form_field_box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['form_field_box_shadow_spread_radius'] ) ? $shortcode['atts']['form_field_box_shadow_spread_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'forms-field-box-shadow', 'spread-radius' ) ),
                            'form_field_box_shadow_color' => isset( $shortcode['atts']['form_field_box_shadow_color'] ) && $shortcode['atts']['form_field_box_shadow_color'] != '' ? $shortcode['atts']['form_field_box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'forms-field-box-shadow', 'color' ) ),


                            'form_field_inset_box_shadow_horizontal_length' => isset( $shortcode['atts']['form_field_inset_box_shadow_horizontal_length'] ) && $shortcode['atts']['form_field_inset_box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['form_field_inset_box_shadow_horizontal_length'] ) ? $shortcode['atts']['form_field_inset_box_shadow_horizontal_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'forms-field-inset-box-shadow', 'horizontal-length' ) ),
                            'form_field_inset_box_shadow_vertical_length' => isset( $shortcode['atts']['form_field_inset_box_shadow_vertical_length'] ) && $shortcode['atts']['form_field_inset_box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['form_field_inset_box_shadow_vertical_length'] ) ? $shortcode['atts']['form_field_inset_box_shadow_vertical_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'forms-field-inset-box-shadow', 'vertical-length' ) ),
                            'form_field_inset_box_shadow_blur_radius' => isset( $shortcode['atts']['form_field_inset_box_shadow_blur_radius'] ) && $shortcode['atts']['form_field_inset_box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['form_field_inset_box_shadow_blur_radius'] ) ? $shortcode['atts']['form_field_inset_box_shadow_blur_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'forms-field-inset-box-shadow', 'blur-radius' ) ),
                            'form_field_inset_box_shadow_spread_radius' => isset( $shortcode['atts']['form_field_inset_box_shadow_spread_radius'] ) && $shortcode['atts']['form_field_inset_box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['form_field_inset_box_shadow_spread_radius'] ) ? $shortcode['atts']['form_field_inset_box_shadow_spread_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'forms-field-inset-box-shadow', 'spread-radius' ) ),
                            'form_field_inset_box_shadow_color' => isset( $shortcode['atts']['form_field_inset_box_shadow_color'] ) && $shortcode['atts']['form_field_inset_box_shadow_color'] != '' ? $shortcode['atts']['form_field_inset_box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'forms-field-inset-box-shadow', 'color' ) ),
                            'form_field_error_border_color' => isset( $shortcode['atts']['form_field_error_border_color'] ) && $shortcode['atts']['form_field_error_border_color'] != '' ? $shortcode['atts']['form_field_error_border_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'forms-field-border-color-for-invalid-values' ) ),
                            'error_notice_text_color' => isset( $shortcode['atts']['error_notice_text_color'] ) && $shortcode['atts']['error_notice_text_color'] != '' ? $shortcode['atts']['error_notice_text_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'forms-invalid-field-tip-text-color' ) ),
                            'label_color' => isset( $shortcode['atts']['label_color'] ) && $shortcode['atts']['label_color'] != '' ? $shortcode['atts']['label_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-headings-color' ) ),
                            'static_text_color' => isset( $shortcode['atts']['static_text_color'] ) && $shortcode['atts']['static_text_color'] != '' ? $shortcode['atts']['static_text_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-content-color' ) ),
                            'link_color' => isset( $shortcode['atts']['link_color'] ) && $shortcode['atts']['link_color'] != '' ? $shortcode['atts']['link_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                            'inside_field_icon_color' => isset( $shortcode['atts']['inside_field_icon_color'] ) && $shortcode['atts']['inside_field_icon_color'] != '' ? $shortcode['atts']['inside_field_icon_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'forms-select-and-date-field-icon-color' ) ),
                            'inside_field_icon_border_color' => isset( $shortcode['atts']['inside_field_icon_border_color'] ) && $shortcode['atts']['inside_field_icon_border_color'] != '' ? $shortcode['atts']['inside_field_icon_border_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'forms-select-and-date-field-icon-border-color' ) ),
                            'inside_field_icon_background_color' => isset( $shortcode['atts']['inside_field_icon_background_color'] ) && $shortcode['atts']['inside_field_icon_background_color'] != '' ? $shortcode['atts']['inside_field_icon_background_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'forms-select-and-date-field-icon-background-color' ) ),
                            'radio_checkbox_field_active_icon_color' => isset( $shortcode['atts']['radio_checkbox_field_active_icon_color'] ) && $shortcode['atts']['radio_checkbox_field_active_icon_color'] != '' ? $shortcode['atts']['radio_checkbox_field_active_icon_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'forms-checkbox-radio-main-color' ) ),
                            'section_bottom_border_color' => isset( $shortcode['atts']['section_bottom_border_color'] ) && $shortcode['atts']['section_bottom_border_color'] != '' ? $shortcode['atts']['section_bottom_border_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-border-color' ) ),
                            'submit_button_text_color' => isset( $shortcode['atts']['submit_button_text_color'] ) && $shortcode['atts']['submit_button_text_color'] != '' ? $shortcode['atts']['submit_button_text_color'] : esc_attr( $ueldo_styles_cache -> get_style( $ueldo_styles_cache -> get_style_key_depended( 'buttons-form-submit-button-text-color', 'buttons-global-button-text-color', array( 'buttons-form-submit-button-custom-styles-enabled' => 'use-custom-styles' ) ) ) ),
                            'submit_button_background_color' => isset( $shortcode['atts']['submit_button_background_color'] ) && $shortcode['atts']['submit_button_background_color'] != '' ? $shortcode['atts']['submit_button_background_color'] : esc_attr( $ueldo_styles_cache -> get_style( $ueldo_styles_cache -> get_style_key_depended( 'buttons-form-submit-button-background-color', 'buttons-global-button-background-color', array( 'buttons-form-submit-button-custom-styles-enabled' => 'use-custom-styles' ) ) ) ),
                            'submit_button_border_color' => isset( $shortcode['atts']['submit_button_border_color'] ) && $shortcode['atts']['submit_button_border_color'] != '' ? $shortcode['atts']['submit_button_border_color'] : esc_attr( $ueldo_styles_cache -> get_style( $ueldo_styles_cache -> get_style_key_depended( 'buttons-form-submit-button-border-color', 'buttons-global-button-border-color', array( 'buttons-form-submit-button-custom-styles-enabled' => 'use-custom-styles' ) ) ) ),
                            'submit_button_text_color_hover' => isset( $shortcode['atts']['submit_button_text_color_hover'] ) && $shortcode['atts']['submit_button_text_color_hover'] != '' ? $shortcode['atts']['submit_button_text_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( $ueldo_styles_cache -> get_style_key_depended( 'buttons-form-submit-button-text-color-hover', 'buttons-global-button-text-color-hover', array( 'buttons-form-submit-button-custom-styles-enabled' => 'use-custom-styles' ) ) ) ),
                            'submit_button_background_color_hover' => isset( $shortcode['atts']['submit_button_background_color_hover'] ) && $shortcode['atts']['submit_button_background_color_hover'] != '' ? $shortcode['atts']['submit_button_background_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( $ueldo_styles_cache -> get_style_key_depended( 'buttons-form-submit-button-background-color-hover', 'buttons-global-button-background-color-hover', array( 'buttons-form-submit-button-custom-styles-enabled' => 'use-custom-styles' ) ) ) ),
                            'submit_button_border_color_hover' => isset( $shortcode['atts']['submit_button_border_color_hover'] ) && $shortcode['atts']['submit_button_border_color_hover'] != '' ? $shortcode['atts']['submit_button_border_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( $ueldo_styles_cache -> get_style_key_depended( 'buttons-form-submit-button-border-color-hover', 'buttons-global-button-border-color-hover', array( 'buttons-form-submit-button-custom-styles-enabled' => 'use-custom-styles' ) ) ) ),
                            'submit_button_box_shadow_horizontal_length' => isset( $shortcode['atts']['submit_button_box_shadow_horizontal_length'] ) && $shortcode['atts']['submit_button_box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['submit_button_box_shadow_horizontal_length'] ) ? $shortcode['atts']['submit_button_box_shadow_horizontal_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( $ueldo_styles_cache -> get_style_key_depended( 'buttons-form-submit-button-box-shadow', 'buttons-global-button-box-shadow', array( 'buttons-form-submit-button-custom-styles-enabled' => 'use-custom-styles' ) ), 'horizontal-length' ) ),
                            'submit_button_box_shadow_vertical_length' => isset( $shortcode['atts']['submit_button_box_shadow_vertical_length'] ) && $shortcode['atts']['submit_button_box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['submit_button_box_shadow_vertical_length'] ) ? $shortcode['atts']['submit_button_box_shadow_vertical_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( $ueldo_styles_cache -> get_style_key_depended( 'buttons-form-submit-button-box-shadow', 'buttons-global-button-box-shadow', array( 'buttons-form-submit-button-custom-styles-enabled' => 'use-custom-styles' ) ), 'vertical-length' ) ),
                            'submit_button_box_shadow_blur_radius' => isset( $shortcode['atts']['submit_button_box_shadow_blur_radius'] ) && $shortcode['atts']['submit_button_box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['submit_button_box_shadow_blur_radius'] ) ? $shortcode['atts']['submit_button_box_shadow_blur_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( $ueldo_styles_cache -> get_style_key_depended( 'buttons-form-submit-button-box-shadow', 'buttons-global-button-box-shadow', array( 'buttons-form-submit-button-custom-styles-enabled' => 'use-custom-styles' ) ), 'blur-radius' ) ),
                            'submit_button_box_shadow_spread_radius' => isset( $shortcode['atts']['submit_button_box_shadow_spread_radius'] ) && $shortcode['atts']['submit_button_box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['submit_button_box_shadow_spread_radius'] ) ? $shortcode['atts']['submit_button_box_shadow_spread_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( $ueldo_styles_cache -> get_style_key_depended( 'buttons-form-submit-button-box-shadow', 'buttons-global-button-box-shadow', array( 'buttons-form-submit-button-custom-styles-enabled' => 'use-custom-styles' ) ), 'spread-radius' ) ),
                            'submit_button_box_shadow_color' => isset( $shortcode['atts']['submit_button_box_shadow_color'] ) && $shortcode['atts']['submit_button_box_shadow_color'] != '' ? $shortcode['atts']['submit_button_box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( $ueldo_styles_cache -> get_style_key_depended( 'buttons-form-submit-button-box-shadow', 'buttons-global-button-box-shadow', array( 'buttons-form-submit-button-custom-styles-enabled' => 'use-custom-styles' ) ), 'color' ) ),
                            'submit_button_box_shadow_horizontal_length_hover' => isset( $shortcode['atts']['submit_button_box_shadow_horizontal_length_hover'] ) && $shortcode['atts']['submit_button_box_shadow_horizontal_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['submit_button_box_shadow_horizontal_length_hover'] ) ? $shortcode['atts']['submit_button_box_shadow_horizontal_length_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( $ueldo_styles_cache -> get_style_key_depended( 'buttons-form-submit-button-box-shadow-hover', 'buttons-global-button-box-shadow-hover', array( 'buttons-form-submit-button-custom-styles-enabled' => 'use-custom-styles' ) ), 'horizontal-length' ) ),
                            'submit_button_box_shadow_vertical_length_hover' => isset( $shortcode['atts']['submit_button_box_shadow_vertical_length_hover'] ) && $shortcode['atts']['submit_button_box_shadow_vertical_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['submit_button_box_shadow_vertical_length_hover'] ) ? $shortcode['atts']['submit_button_box_shadow_vertical_length_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( $ueldo_styles_cache -> get_style_key_depended( 'buttons-form-submit-button-box-shadow-hover', 'buttons-global-button-box-shadow-hover', array( 'buttons-form-submit-button-custom-styles-enabled' => 'use-custom-styles' ) ), 'vertical-length' ) ),
                            'submit_button_box_shadow_blur_radius_hover' => isset( $shortcode['atts']['submit_button_box_shadow_blur_radius_hover'] ) && $shortcode['atts']['submit_button_box_shadow_blur_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['submit_button_box_shadow_blur_radius_hover'] ) ? $shortcode['atts']['submit_button_box_shadow_blur_radius_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( $ueldo_styles_cache -> get_style_key_depended( 'buttons-form-submit-button-box-shadow-hover', 'buttons-global-button-box-shadow-hover', array( 'buttons-form-submit-button-custom-styles-enabled' => 'use-custom-styles' ) ), 'blur-radius' ) ),
                            'submit_button_box_shadow_spread_radius_hover' => isset( $shortcode['atts']['submit_button_box_shadow_spread_radius_hover'] ) && $shortcode['atts']['submit_button_box_shadow_spread_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['submit_button_box_shadow_spread_radius_hover'] ) ? $shortcode['atts']['submit_button_box_shadow_spread_radius_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( $ueldo_styles_cache -> get_style_key_depended( 'buttons-form-submit-button-box-shadow-hover', 'buttons-global-button-box-shadow-hover', array( 'buttons-form-submit-button-custom-styles-enabled' => 'use-custom-styles' ) ), 'spread-radius' ) ),
                            'submit_button_box_shadow_color_hover' => isset( $shortcode['atts']['submit_button_box_shadow_color_hover'] ) && $shortcode['atts']['submit_button_box_shadow_color_hover'] != '' ? $shortcode['atts']['submit_button_box_shadow_color_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( $ueldo_styles_cache -> get_style_key_depended( 'buttons-form-submit-button-box-shadow-hover', 'buttons-global-button-box-shadow-hover', array( 'buttons-form-submit-button-custom-styles-enabled' => 'use-custom-styles' ) ), 'color' ) )
                        );

                        # can we set custom colors?
                        if( $attributes['custom_colors_enabled'] == 'custom_settings' ) {

                            # form fields styles
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .' form input[type="text"], .'. esc_attr( $shortcode['atts']['class_name'] ) .' form input[type="email"], .'. esc_attr( $shortcode['atts']['class_name'] ) .' form input[type="password"], .'. esc_attr( $shortcode['atts']['class_name'] ) .' form input[type="url"], .'. esc_attr( $shortcode['atts']['class_name'] ) .' form input[type="tel"], .'. esc_attr( $shortcode['atts']['class_name'] ) .' form input[type="number"], .'. esc_attr( $shortcode['atts']['class_name'] ) .' form input[type="date"], .'. esc_attr( $shortcode['atts']['class_name'] ) .' form textarea, .'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-select-field, .'. esc_attr( $shortcode['atts']['class_name'] ) .' form .ueldo-checkbox-box, .'. esc_attr( $shortcode['atts']['class_name'] ) .' form .ueldo-radio-box .ueldo-radio, .'. esc_attr( $shortcode['atts']['class_name'] ) .' .nf-form-wrap input[type="text"], .'. esc_attr( $shortcode['atts']['class_name'] ) .' .nf-form-wrap input[type="email"], .'. esc_attr( $shortcode['atts']['class_name'] ) .' .nf-form-wrap input[type="password"], .'. esc_attr( $shortcode['atts']['class_name'] ) .' .nf-form-wrap input[type="url"], .'. esc_attr( $shortcode['atts']['class_name'] ) .' .nf-form-wrap input[type="tel"], .'. esc_attr( $shortcode['atts']['class_name'] ) .' .nf-form-wrap input[type="number"], .'. esc_attr( $shortcode['atts']['class_name'] ) .' .nf-form-wrap input[type="date"], .'. esc_attr( $shortcode['atts']['class_name'] ) .' .nf-form-wrap textarea, .'. esc_attr( $shortcode['atts']['class_name'] ) .' .nf-form-wrap .ueldo-checkbox-box, .'. esc_attr( $shortcode['atts']['class_name'] ) .' .nf-form-wrap .ueldo-radio-box .ueldo-radio',
                                array(
                                    'border-color' => esc_attr( $attributes['form_field_border_color'] ),
                                    'color' => esc_attr( $attributes['form_field_text_color'] ),
                                    'background' => esc_attr( $attributes['form_field_background_color'] ),
                                    '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['form_field_box_shadow_horizontal_length'], $attributes['form_field_box_shadow_vertical_length'], $attributes['form_field_box_shadow_blur_radius'], $attributes['form_field_box_shadow_spread_radius'], $attributes['form_field_box_shadow_color'] ) .', inset '. ueldo_get_box_shadow_attribute_value( $attributes['form_field_inset_box_shadow_horizontal_length'], $attributes['form_field_inset_box_shadow_vertical_length'], $attributes['form_field_inset_box_shadow_blur_radius'], $attributes['form_field_inset_box_shadow_spread_radius'], $attributes['form_field_inset_box_shadow_color'] ),
                                    '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['form_field_box_shadow_horizontal_length'], $attributes['form_field_box_shadow_vertical_length'], $attributes['form_field_box_shadow_blur_radius'], $attributes['form_field_box_shadow_spread_radius'], $attributes['form_field_box_shadow_color'] ) .', inset '. ueldo_get_box_shadow_attribute_value( $attributes['form_field_inset_box_shadow_horizontal_length'], $attributes['form_field_inset_box_shadow_vertical_length'], $attributes['form_field_inset_box_shadow_blur_radius'], $attributes['form_field_inset_box_shadow_spread_radius'], $attributes['form_field_inset_box_shadow_color'] ),
                                    'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['form_field_box_shadow_horizontal_length'], $attributes['form_field_box_shadow_vertical_length'], $attributes['form_field_box_shadow_blur_radius'], $attributes['form_field_box_shadow_spread_radius'], $attributes['form_field_box_shadow_color'] ) .', inset '. ueldo_get_box_shadow_attribute_value( $attributes['form_field_inset_box_shadow_horizontal_length'], $attributes['form_field_inset_box_shadow_vertical_length'], $attributes['form_field_inset_box_shadow_blur_radius'], $attributes['form_field_inset_box_shadow_spread_radius'], $attributes['form_field_inset_box_shadow_color'] )
                                )
                            );

                            # select field text color
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-select-field select, .'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-select-field:hover:after',
                                array(
                                    'color' => esc_attr( $attributes['form_field_text_color'] )
                                )
                            );

                            # placeholder text color
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .' ::-webkit-input-placeholder',
                                array(
                                    'color' => esc_attr( $attributes['form_field_placeholder_text_color'] )
                                )
                            );

                            # placeholder text color
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .' ::-moz-placeholder',
                                array(
                                    'color' => esc_attr( $attributes['form_field_placeholder_text_color'] )
                                )
                            );

                            # placeholder text color
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .' :-ms-input-placeholder',
                                array(
                                    'color' => esc_attr( $attributes['form_field_placeholder_text_color'] )
                                )
                            );

                            # placeholder text color
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .' :-moz-placeholder',
                                array(
                                    'color' => esc_attr( $attributes['form_field_placeholder_text_color'] )
                                )
                            );

                            # form field on hover
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .' form input[type="text"]:hover, .'. esc_attr( $shortcode['atts']['class_name'] ) .' form input[type="email"]:hover, .'. esc_attr( $shortcode['atts']['class_name'] ) .' form input[type="password"]:hover, .'. esc_attr( $shortcode['atts']['class_name'] ) .' form input[type="url"]:hover, .'. esc_attr( $shortcode['atts']['class_name'] ) .' form input[type="tel"]:hover, .'. esc_attr( $shortcode['atts']['class_name'] ) .' form input[type="number"]:hover, .'. esc_attr( $shortcode['atts']['class_name'] ) .' form input[type="date"]:hover, .'. esc_attr( $shortcode['atts']['class_name'] ) .' form textarea:hover, .'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-select-field:hover, .'. esc_attr( $shortcode['atts']['class_name'] ) .' form .ueldo-checkbox-box:hover, .'. esc_attr( $shortcode['atts']['class_name'] ) .' form .ueldo-radio-box:hover .ueldo-radio, .'. esc_attr( $shortcode['atts']['class_name'] ) .' .nf-form-wrap input[type="text"]:hover, .'. esc_attr( $shortcode['atts']['class_name'] ) .' .nf-form-wrap input[type="email"]:hover, .'. esc_attr( $shortcode['atts']['class_name'] ) .' .nf-form-wrap input[type="password"]:hover, .'. esc_attr( $shortcode['atts']['class_name'] ) .' .nf-form-wrap input[type="url"]:hover, .'. esc_attr( $shortcode['atts']['class_name'] ) .' .nf-form-wrap input[type="tel"]:hover, .'. esc_attr( $shortcode['atts']['class_name'] ) .' .nf-form-wrap input[type="number"]:hover, .'. esc_attr( $shortcode['atts']['class_name'] ) .' .nf-form-wrap input[type="date"]:hover, .'. esc_attr( $shortcode['atts']['class_name'] ) .' .nf-form-wrap textarea:hover, .'. esc_attr( $shortcode['atts']['class_name'] ) .' .nf-form-wrap .ueldo-checkbox-box:hover, .'. esc_attr( $shortcode['atts']['class_name'] ) .' .nf-form-wrap .ueldo-radio-box .ueldo-radio',
                                array(
                                    'border-color' => esc_attr( $attributes['form_field_border_color_hover'] )
                                )
                            );

                            # form field on focus
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .' form input[type="text"]:focus, .'. esc_attr( $shortcode['atts']['class_name'] ) .' form input[type="email"]:focus, .'. esc_attr( $shortcode['atts']['class_name'] ) .' form input[type="password"]:focus, .'. esc_attr( $shortcode['atts']['class_name'] ) .' form input[type="url"]:focus, .'. esc_attr( $shortcode['atts']['class_name'] ) .' form input[type="tel"]:focus, .'. esc_attr( $shortcode['atts']['class_name'] ) .' form input[type="number"]:focus, .'. esc_attr( $shortcode['atts']['class_name'] ) .' form input[type="date"]:focus, .'. esc_attr( $shortcode['atts']['class_name'] ) .' form textarea:focus, .'. esc_attr( $shortcode['atts']['class_name'] ) .' .nf-form-wrap input[type="text"]:focus, .'. esc_attr( $shortcode['atts']['class_name'] ) .' .nf-form-wrap input[type="email"]:focus, .'. esc_attr( $shortcode['atts']['class_name'] ) .' .nf-form-wrap input[type="password"]:focus, .'. esc_attr( $shortcode['atts']['class_name'] ) .' .nf-form-wrap input[type="url"]:focus, .'. esc_attr( $shortcode['atts']['class_name'] ) .' .nf-form-wrap input[type="tel"]:focus, .'. esc_attr( $shortcode['atts']['class_name'] ) .' .nf-form-wrap input[type="number"]:focus, .'. esc_attr( $shortcode['atts']['class_name'] ) .' .nf-form-wrap input[type="date"]:focus, .'. esc_attr( $shortcode['atts']['class_name'] ) .' .nf-form-wrap textarea:focus',
                                array(
                                    'border-color' => esc_attr( $attributes['form_field_border_color_focus'] )
                                )
                            );

                            # section line background color
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .' .nf-form-wrap hr.ninja-forms-field',
                                array(
                                    'background' => esc_attr( $attributes['section_bottom_border_color'] )
                                )
                            );

                            # section bottom border color
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .' .gform_wrapper .gform_body .gsection',
                                array(
                                    'border-bottom-color' => esc_attr( $attributes['section_bottom_border_color'] )
                                )
                            );

                            # checkbox field icon color
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .' form .ueldo-checkbox-box i.fa-check, .'. esc_attr( $shortcode['atts']['class_name'] ) .' .nf-form-wrap .ueldo-checkbox-box i.fa-check',
                                array(
                                    'color' => esc_attr( $attributes['radio_checkbox_field_active_icon_color'] )
                                )
                            );

                            # radio field icon color
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .' form .ueldo-radio-box .ueldo-radio .ueldo-radio-checked, .'. esc_attr( $shortcode['atts']['class_name'] ) .' .nf-form-wrap .ueldo-radio-box .ueldo-radio .ueldo-radio-checked',
                                array(
                                    'background' => esc_attr( $attributes['radio_checkbox_field_active_icon_color'] )
                                )
                            );

                            # inside field icon styles
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-select-field:after, .'. esc_attr( $shortcode['atts']['class_name'] ) .' form .ueldo-date-field .ueldo-date-field-icon, .'. esc_attr( $shortcode['atts']['class_name'] ) .' .nf-form-wrap .ueldo-date-field .ueldo-date-field-icon',
                                array(
                                    'color' => esc_attr( $attributes['inside_field_icon_color'] ),
                                    'border-color' => esc_attr( $attributes['inside_field_icon_border_color'] ),
                                    'background' => esc_attr( $attributes['inside_field_icon_background_color'] )
                                )
                            );

                            # inside field icon styles
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .' form .ueldo-date-field .ueldo-date-field-icon i, .'. esc_attr( $shortcode['atts']['class_name'] ) .' .nf-form-wrap .ueldo-date-field .ueldo-date-field-icon i',
                                array(
                                    'color' => esc_attr( $attributes['inside_field_icon_color'] )
                                )
                            );

                            # label color
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .' form label, .'. esc_attr( $shortcode['atts']['class_name'] ) .' .nf-form-wrap label, .'. esc_attr( $shortcode['atts']['class_name'] ) .' .nf-form-wrap .nf-field-label',
                                array(
                                    'color' => esc_attr( $attributes['label_color'] )
                                )
                            );

                            # static text color
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .' .nf-form-wrap .nf-static.nf-element, .'. esc_attr( $shortcode['atts']['class_name'] ) .' p',
                                array(
                                    'color' => esc_attr( $attributes['static_text_color'] )
                                )
                            );

                            # link color
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .' a',
                                array(
                                    'color' => esc_attr( $attributes['link_color'] )
                                )
                            );

                            # search field button background
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .' form .ueldo-search-field button[type="submit"], .'. esc_attr( $shortcode['atts']['class_name'] ) .' .nf-form-wrap .ueldo-search-field button[type="submit"]',
                                array(
                                    'background' => esc_attr( $attributes['form_field_background_color'] )
                                )
                            );

                            # search field button icon color
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .' form .ueldo-search-field button[type="submit"] i, .'. esc_attr( $shortcode['atts']['class_name'] ) .' .nf-form-wrap .ueldo-search-field button[type="submit"] i',
                                array(
                                    'color' => esc_attr( $attributes['form_field_border_color'] )
                                )
                            );

                            # range field styles
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .' form .ueldo-range-field input[type=range]::-webkit-slider-runnable-track',
                                array(
                                    'border-color' => esc_attr( $attributes['form_field_border_color'] ),
                                    'background' => esc_attr( $attributes['form_field_background_color'] ),
                                    '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['form_field_box_shadow_horizontal_length'], $attributes['form_field_box_shadow_vertical_length'], $attributes['form_field_box_shadow_blur_radius'], $attributes['form_field_box_shadow_spread_radius'], $attributes['form_field_box_shadow_color'] ) .', inset '. ueldo_get_box_shadow_attribute_value( $attributes['form_field_inset_box_shadow_horizontal_length'], $attributes['form_field_inset_box_shadow_vertical_length'], $attributes['form_field_inset_box_shadow_blur_radius'], $attributes['form_field_inset_box_shadow_spread_radius'], $attributes['form_field_inset_box_shadow_color'] ),
                                    '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['form_field_box_shadow_horizontal_length'], $attributes['form_field_box_shadow_vertical_length'], $attributes['form_field_box_shadow_blur_radius'], $attributes['form_field_box_shadow_spread_radius'], $attributes['form_field_box_shadow_color'] ) .', inset '. ueldo_get_box_shadow_attribute_value( $attributes['form_field_inset_box_shadow_horizontal_length'], $attributes['form_field_inset_box_shadow_vertical_length'], $attributes['form_field_inset_box_shadow_blur_radius'], $attributes['form_field_inset_box_shadow_spread_radius'], $attributes['form_field_inset_box_shadow_color'] ),
                                    'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['form_field_box_shadow_horizontal_length'], $attributes['form_field_box_shadow_vertical_length'], $attributes['form_field_box_shadow_blur_radius'], $attributes['form_field_box_shadow_spread_radius'], $attributes['form_field_box_shadow_color'] ) .', inset '. ueldo_get_box_shadow_attribute_value( $attributes['form_field_inset_box_shadow_horizontal_length'], $attributes['form_field_inset_box_shadow_vertical_length'], $attributes['form_field_inset_box_shadow_blur_radius'], $attributes['form_field_inset_box_shadow_spread_radius'], $attributes['form_field_inset_box_shadow_color'] )
                                )
                            );

                            # range field styles
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .' form .ueldo-range-field input[type=range]:focus::-webkit-slider-runnable-track',
                                array(
                                    'background' => esc_attr( $attributes['form_field_background_color'] )
                                )
                            );

                            # range field styles
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .' form .ueldo-range-field input[type=range]::-webkit-slider-thumb',
                                array(
                                    'border-color' => esc_attr( $attributes['form_field_border_color'] ),
                                    'background' => esc_attr( $attributes['form_field_background_color'] )
                                )
                            );

                            # range field styles
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .' form .ueldo-range-field input[type=range]::-moz-range-track',
                                array(
                                    'border-color' => esc_attr( $attributes['form_field_border_color'] ),
                                    'background' => esc_attr( $attributes['form_field_background_color'] ),
                                    '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['form_field_box_shadow_horizontal_length'], $attributes['form_field_box_shadow_vertical_length'], $attributes['form_field_box_shadow_blur_radius'], $attributes['form_field_box_shadow_spread_radius'], $attributes['form_field_box_shadow_color'] ) .', inset '. ueldo_get_box_shadow_attribute_value( $attributes['form_field_inset_box_shadow_horizontal_length'], $attributes['form_field_inset_box_shadow_vertical_length'], $attributes['form_field_inset_box_shadow_blur_radius'], $attributes['form_field_inset_box_shadow_spread_radius'], $attributes['form_field_inset_box_shadow_color'] ),
                                    '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['form_field_box_shadow_horizontal_length'], $attributes['form_field_box_shadow_vertical_length'], $attributes['form_field_box_shadow_blur_radius'], $attributes['form_field_box_shadow_spread_radius'], $attributes['form_field_box_shadow_color'] ) .', inset '. ueldo_get_box_shadow_attribute_value( $attributes['form_field_inset_box_shadow_horizontal_length'], $attributes['form_field_inset_box_shadow_vertical_length'], $attributes['form_field_inset_box_shadow_blur_radius'], $attributes['form_field_inset_box_shadow_spread_radius'], $attributes['form_field_inset_box_shadow_color'] ),
                                    'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['form_field_box_shadow_horizontal_length'], $attributes['form_field_box_shadow_vertical_length'], $attributes['form_field_box_shadow_blur_radius'], $attributes['form_field_box_shadow_spread_radius'], $attributes['form_field_box_shadow_color'] ) .', inset '. ueldo_get_box_shadow_attribute_value( $attributes['form_field_inset_box_shadow_horizontal_length'], $attributes['form_field_inset_box_shadow_vertical_length'], $attributes['form_field_inset_box_shadow_blur_radius'], $attributes['form_field_inset_box_shadow_spread_radius'], $attributes['form_field_inset_box_shadow_color'] )
                                )
                            );

                            # range field styles
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .' form .ueldo-range-field input[type=range]::-moz-range-thumb',
                                array(
                                    'border-color' => esc_attr( $attributes['form_field_border_color'] ),
                                    'background' => esc_attr( $attributes['form_field_background_color'] )
                                )
                            );

                            # error field border color
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .' form input[type="text"].wpcf7-not-valid, .'. esc_attr( $shortcode['atts']['class_name'] ) .' form input[type="email"].wpcf7-not-valid, .'. esc_attr( $shortcode['atts']['class_name'] ) .' form input[type="password"].wpcf7-not-valid, .'. esc_attr( $shortcode['atts']['class_name'] ) .' form input[type="url"].wpcf7-not-valid, .'. esc_attr( $shortcode['atts']['class_name'] ) .' form input[type="tel"].wpcf7-not-valid, .'. esc_attr( $shortcode['atts']['class_name'] ) .' form input[type="number"].wpcf7-not-valid, .'. esc_attr( $shortcode['atts']['class_name'] ) .' form input[type="date"].wpcf7-not-valid, .'. esc_attr( $shortcode['atts']['class_name'] ) .' form textarea.wpcf7-not-valid, .'. esc_attr( $shortcode['atts']['class_name'] ) .' form .ueldo-select-field.wpcf7-not-valid, .'. esc_attr( $shortcode['atts']['class_name'] ) .' form .wpcf7-not-valid .ueldo-checkbox-box, .'. esc_attr( $shortcode['atts']['class_name'] ) .' form .wpcf7-not-valid .ueldo-radio-box .ueldo-radio, .'. esc_attr( $shortcode['atts']['class_name'] ) .' .nf-form-wrap .nf-error input[type="text"], .'. esc_attr( $shortcode['atts']['class_name'] ) .' .nf-form-wrap .nf-error input[type="email"], .'. esc_attr( $shortcode['atts']['class_name'] ) .' .nf-form-wrap .nf-error input[type="password"], .'. esc_attr( $shortcode['atts']['class_name'] ) .' .nf-form-wrap .nf-error input[type="url"], .'. esc_attr( $shortcode['atts']['class_name'] ) .' .nf-form-wrap .nf-error input[type="tel"], .'. esc_attr( $shortcode['atts']['class_name'] ) .' .nf-form-wrap .nf-error input[type="number"], .'. esc_attr( $shortcode['atts']['class_name'] ) .' .nf-form-wrap .nf-error input[type="date"], .'. esc_attr( $shortcode['atts']['class_name'] ) .' .nf-form-wrap .nf-error textarea, .'. esc_attr( $shortcode['atts']['class_name'] ) .' .nf-form-wrap .nf-error .ueldo-select-field, .'. esc_attr( $shortcode['atts']['class_name'] ) .' .nf-form-wrap .nf-error .ueldo-checkbox-box, .'. esc_attr( $shortcode['atts']['class_name'] ) .' .nf-form-wrap .nf-error .ueldo-radio-box .ueldo-radio, .'. esc_attr( $shortcode['atts']['class_name'] ) .' .gform_wrapper form li.gfield_error input[type="text"], .'. esc_attr( $shortcode['atts']['class_name'] ) .' .gform_wrapper form li.gfield_error input[type="email"], .'. esc_attr( $shortcode['atts']['class_name'] ) .' .gform_wrapper form li.gfield_error input[type="password"], .'. esc_attr( $shortcode['atts']['class_name'] ) .' .gform_wrapper form li.gfield_error input[type="url"], .'. esc_attr( $shortcode['atts']['class_name'] ) .' .gform_wrapper form li.gfield_error input[type="tel"], .'. esc_attr( $shortcode['atts']['class_name'] ) .' .gform_wrapper form li.gfield_error input[type="number"], .'. esc_attr( $shortcode['atts']['class_name'] ) .' .gform_wrapper form li.gfield_error input[type="date"], .'. esc_attr( $shortcode['atts']['class_name'] ) .' .gform_wrapper form li.gfield_error textarea, .'. esc_attr( $shortcode['atts']['class_name'] ) .' .gform_wrapper form li.gfield_error .ueldo-select-field, .'. esc_attr( $shortcode['atts']['class_name'] ) .' .gform_wrapper form li.gfield_error .ueldo-checkbox-box, .'. esc_attr( $shortcode['atts']['class_name'] ) .' .gform_wrapper form li.gfield_error .ueldo-radio-box .ueldo-radio',
                                array(
                                    'border-color' => esc_attr( $attributes['form_field_error_border_color'] ) .' !important'
                                )
                            );

                            # error notice color
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .' span.wpcf7-not-valid-tip, .'. esc_attr( $shortcode['atts']['class_name'] ) .' .nf-after-field .nf-error-msg, .'. esc_attr( $shortcode['atts']['class_name'] ) .' .gform_wrapper form .gfield_error .gfield_label, .'. esc_attr( $shortcode['atts']['class_name'] ) .' .gform_wrapper form .validation_message, .'. esc_attr( $shortcode['atts']['class_name'] ) .' .gform_wrapper form li.gfield_error div.ginput_complex.ginput_container label, .'. esc_attr( $shortcode['atts']['class_name'] ) .' .gform_wrapper form li.gfield_error ul.gfield_checkbox, .'. esc_attr( $shortcode['atts']['class_name'] ) .' .gform_wrapper form li.gfield_error ul.gfield_radio, .'. esc_attr( $shortcode['atts']['class_name'] ) .' .gform_wrapper form li.gfield.gfield_error table.gfield_list thead th',
                                array(
                                    'color' => esc_attr( $attributes['error_notice_text_color'] )
                                )
                            );

                            # custom text section for gravity forms styles
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .' .gform_wrapper form li.gsection.gf_scroll_text',
                                array(
                                    'border-color' => esc_attr( $attributes['form_field_border_color'] ),
                                    'border-bottom-color' => esc_attr( $attributes['form_field_border_color'] ) .' !important'
                                )
                            );

                            # submit button styles
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-button, .'. esc_attr( $shortcode['atts']['class_name'] ) .' form input[type="submit"], .'. esc_attr( $shortcode['atts']['class_name'] ) .' form input[type="button"], .'. esc_attr( $shortcode['atts']['class_name'] ) .' form button[type="submit"], .'. esc_attr( $shortcode['atts']['class_name'] ) .' .nf-form-wrap input[type="submit"], .'. esc_attr( $shortcode['atts']['class_name'] ) .' .nf-form-wrap input[type="button"], .'. esc_attr( $shortcode['atts']['class_name'] ) .' .nf-form-wrap button[type="submit"]',
                                array(
                                    'color' => esc_attr( $attributes['submit_button_text_color'] ),
                                    'border-color' => esc_attr( $attributes['submit_button_border_color'] ),
                                    'background' => esc_attr( $attributes['submit_button_background_color'] ),
                                    '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['submit_button_box_shadow_horizontal_length'], $attributes['submit_button_box_shadow_vertical_length'], $attributes['submit_button_box_shadow_blur_radius'], $attributes['submit_button_box_shadow_spread_radius'], $attributes['submit_button_box_shadow_color'] ),
                                    '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['submit_button_box_shadow_horizontal_length'], $attributes['submit_button_box_shadow_vertical_length'], $attributes['submit_button_box_shadow_blur_radius'], $attributes['submit_button_box_shadow_spread_radius'], $attributes['submit_button_box_shadow_color'] ),
                                    'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['submit_button_box_shadow_horizontal_length'], $attributes['submit_button_box_shadow_vertical_length'], $attributes['submit_button_box_shadow_blur_radius'], $attributes['submit_button_box_shadow_spread_radius'], $attributes['submit_button_box_shadow_color'] )
                                )
                            );

                            # submit button styles (on hover)
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-button:hover, .'. esc_attr( $shortcode['atts']['class_name'] ) .' form input[type="submit"]:hover, .'. esc_attr( $shortcode['atts']['class_name'] ) .' form input[type="button"]:hover, .'. esc_attr( $shortcode['atts']['class_name'] ) .' form button[type="submit"]:hover, .'. esc_attr( $shortcode['atts']['class_name'] ) .' .nf-form-wrap input[type="submit"]:hover, .'. esc_attr( $shortcode['atts']['class_name'] ) .' .nf-form-wrap input[type="button"]:hover, .'. esc_attr( $shortcode['atts']['class_name'] ) .' .nf-form-wrap button[type="submit"]:hover',
                                array(
                                    'color' => esc_attr( $attributes['submit_button_text_color_hover'] ),
                                    'border-color' => esc_attr( $attributes['submit_button_border_color_hover'] ),
                                    'background' => esc_attr( $attributes['submit_button_background_color_hover'] ),
                                    '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['submit_button_box_shadow_horizontal_length_hover'], $attributes['submit_button_box_shadow_vertical_length_hover'], $attributes['submit_button_box_shadow_blur_radius_hover'], $attributes['submit_button_box_shadow_spread_radius_hover'], $attributes['submit_button_box_shadow_color_hover'] ),
                                    '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['submit_button_box_shadow_horizontal_length_hover'], $attributes['submit_button_box_shadow_vertical_length_hover'], $attributes['submit_button_box_shadow_blur_radius_hover'], $attributes['submit_button_box_shadow_spread_radius_hover'], $attributes['submit_button_box_shadow_color_hover'] ),
                                    'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['submit_button_box_shadow_horizontal_length_hover'], $attributes['submit_button_box_shadow_vertical_length_hover'], $attributes['submit_button_box_shadow_blur_radius_hover'], $attributes['submit_button_box_shadow_spread_radius_hover'], $attributes['submit_button_box_shadow_color_hover'] )
                                )
                            );
                        }

                        # save css style
                        $shortcodes_styles -> save_styles();

                        # remove attributes array
                        unset( $attributes );

                    break;

                   /**
                    *
                    * ueldo_shortcode_filtered_masonry
                    *
                    */

                    case 'ueldo_shortcode_filtered_masonry':

                        # attributes array
                        $attributes = array(
                            'columns' => isset( $shortcode['atts']['columns'] ) && $shortcode['atts']['columns'] != '' && ueldo_is_valid_number( $shortcode['atts']['columns'] ) ? $shortcode['atts']['columns'] : '3',
                            'one_column_from' => isset( $shortcode['atts']['one_column_from'] ) && !empty( $shortcode['atts']['one_column_from'] ) ? $shortcode['atts']['one_column_from'] : 'small',
                            'margin_between_columns' => isset( $shortcode['atts']['margin_between_columns'] ) && $shortcode['atts']['margin_between_columns'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_between_columns'] ) ? $shortcode['atts']['margin_between_columns'] : '30',
                            'margin_between_rows' => isset( $shortcode['atts']['margin_between_rows'] ) && $shortcode['atts']['margin_between_rows'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_between_rows'] ) ? $shortcode['atts']['margin_between_rows'] : '30',
                            'custom_filter_selector_settings' => isset( $shortcode['atts']['custom_filter_selector_settings'] ) && !empty( $shortcode['atts']['custom_filter_selector_settings'] ) ? $shortcode['atts']['custom_filter_selector_settings'] : 'theme_defaults',
                            'filter_selector_border_width' => isset( $shortcode['atts']['filter_selector_border_width'] ) && $shortcode['atts']['filter_selector_border_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['filter_selector_border_width'] ) ? $shortcode['atts']['filter_selector_border_width'] : '1',
                            'filter_selector_border_radius' => isset( $shortcode['atts']['filter_selector_border_radius'] ) && $shortcode['atts']['filter_selector_border_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['filter_selector_border_radius'] ) ? $shortcode['atts']['filter_selector_border_radius'] : '4',
                            'filter_selector_alignment' => isset( $shortcode['atts']['filter_selector_alignment'] ) && !empty( $shortcode['atts']['filter_selector_alignment'] ) ? $shortcode['atts']['filter_selector_alignment'] : 'center',
                            'margin_between_filter_selector_and_filtered_elements' => isset( $shortcode['atts']['margin_between_filter_selector_and_filtered_elements'] ) && $shortcode['atts']['margin_between_filter_selector_and_filtered_elements'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_between_filter_selector_and_filtered_elements'] ) ? $shortcode['atts']['margin_between_filter_selector_and_filtered_elements'] : '30',
                            'filter_selector_element_padding_top' => isset( $shortcode['atts']['filter_selector_element_padding_top'] ) && $shortcode['atts']['filter_selector_element_padding_top'] != '' && ueldo_is_valid_number( $shortcode['atts']['filter_selector_element_padding_top'] ) ? $shortcode['atts']['filter_selector_element_padding_top'] : '20',
                            'filter_selector_element_padding_right' => isset( $shortcode['atts']['filter_selector_element_padding_right'] ) && $shortcode['atts']['filter_selector_element_padding_right'] != '' && ueldo_is_valid_number( $shortcode['atts']['filter_selector_element_padding_right'] ) ? $shortcode['atts']['filter_selector_element_padding_right'] : '20',
                            'filter_selector_element_padding_bottom' => isset( $shortcode['atts']['filter_selector_element_padding_bottom'] ) && $shortcode['atts']['filter_selector_element_padding_bottom'] != '' && ueldo_is_valid_number( $shortcode['atts']['filter_selector_element_padding_bottom'] ) ? $shortcode['atts']['filter_selector_element_padding_bottom'] : '18',
                            'filter_selector_element_padding_left' => isset( $shortcode['atts']['filter_selector_element_padding_left'] ) && $shortcode['atts']['filter_selector_element_padding_left'] != '' && ueldo_is_valid_number( $shortcode['atts']['filter_selector_element_padding_left'] ) ? $shortcode['atts']['filter_selector_element_padding_left'] : '20',
                            'filter_selector_font_size' => isset( $shortcode['atts']['filter_selector_font_size'] ) && $shortcode['atts']['filter_selector_font_size'] != '' && ueldo_is_valid_number( $shortcode['atts']['filter_selector_font_size'] ) ? $shortcode['atts']['filter_selector_font_size'] : esc_attr( $ueldo_styles_cache -> get_style( 'font-size-content' ) ),
                            'filter_selector_font_letter_spacing' => isset( $shortcode['atts']['filter_selector_font_letter_spacing'] ) && $shortcode['atts']['filter_selector_font_letter_spacing'] != '' && ueldo_is_valid_number( $shortcode['atts']['filter_selector_font_letter_spacing'] ) ? $shortcode['atts']['filter_selector_font_letter_spacing'] : '0',
                            'filter_selector_font_line_height' => isset( $shortcode['atts']['filter_selector_font_line_height'] ) && $shortcode['atts']['filter_selector_font_line_height'] != '' && ueldo_is_valid_number( $shortcode['atts']['filter_selector_font_line_height'] ) ? $shortcode['atts']['filter_selector_font_line_height'] : '1.0',
                            'filter_selector_font_family' => isset( $shortcode['atts']['filter_selector_font_family'] ) && !empty( $shortcode['atts']['filter_selector_font_family'] ) ? $shortcode['atts']['filter_selector_font_family'] : 'headings-font',
                            'custom_colors_enabled' => isset( $shortcode['atts']['custom_colors_enabled'] ) && !empty( $shortcode['atts']['custom_colors_enabled'] ) ? $shortcode['atts']['custom_colors_enabled'] : 'theme_defaults',
                            'cells_border_color' => isset( $shortcode['atts']['cells_border_color'] ) && $shortcode['atts']['cells_border_color'] != '' ? $shortcode['atts']['cells_border_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-border-color' ) ),
                            'container_background_color' => isset( $shortcode['atts']['container_background_color'] ) && $shortcode['atts']['container_background_color'] != '' ? $shortcode['atts']['container_background_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                            'filter_selector_border_color' => isset( $shortcode['atts']['filter_selector_border_color'] ) && $shortcode['atts']['filter_selector_border_color'] != '' ? $shortcode['atts']['filter_selector_border_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-border-color' ) ),
                            'filter_selector_border_color_hover' => isset( $shortcode['atts']['filter_selector_border_color_hover'] ) && $shortcode['atts']['filter_selector_border_color_hover'] != '' ? $shortcode['atts']['filter_selector_border_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-hover-border-color' ) ),
                            'filter_selector_title_color' => isset( $shortcode['atts']['filter_selector_title_color'] ) && $shortcode['atts']['filter_selector_title_color'] != '' ? $shortcode['atts']['filter_selector_title_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-headings-subtitle-color' ) ),
                            'filter_selector_inside_border_color' => isset( $shortcode['atts']['filter_selector_inside_border_color'] ) && $shortcode['atts']['filter_selector_inside_border_color'] != '' ? $shortcode['atts']['filter_selector_inside_border_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-inset-border-color' ) ),
                            'filter_selector_background_color' => isset( $shortcode['atts']['filter_selector_background_color'] ) && $shortcode['atts']['filter_selector_background_color'] != '' ? $shortcode['atts']['filter_selector_background_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                            'filter_selector_box_shadow_horizontal_length' => isset( $shortcode['atts']['filter_selector_box_shadow_horizontal_length'] ) && $shortcode['atts']['filter_selector_box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['filter_selector_box_shadow_horizontal_length'] ) ? $shortcode['atts']['filter_selector_box_shadow_horizontal_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'horizontal-length' ) ),
                            'filter_selector_box_shadow_vertical_length' => isset( $shortcode['atts']['filter_selector_box_shadow_vertical_length'] ) && $shortcode['atts']['filter_selector_box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['filter_selector_box_shadow_vertical_length'] ) ? $shortcode['atts']['filter_selector_box_shadow_vertical_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'vertical-length' ) ),
                            'filter_selector_box_shadow_blur_radius' => isset( $shortcode['atts']['filter_selector_box_shadow_blur_radius'] ) && $shortcode['atts']['filter_selector_box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['filter_selector_box_shadow_blur_radius'] ) ? $shortcode['atts']['filter_selector_box_shadow_blur_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'blur-radius' ) ),
                            'filter_selector_box_shadow_spread_radius' => isset( $shortcode['atts']['filter_selector_box_shadow_spread_radius'] ) && $shortcode['atts']['filter_selector_box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['filter_selector_box_shadow_spread_radius'] ) ? $shortcode['atts']['filter_selector_box_shadow_spread_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'spread-radius' ) ),
                            'filter_selector_box_shadow_color' => isset( $shortcode['atts']['filter_selector_box_shadow_color'] ) && $shortcode['atts']['filter_selector_box_shadow_color'] != '' ? $shortcode['atts']['filter_selector_box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'color' ) ),
                            'filter_selector_box_shadow_horizontal_length_hover' => isset( $shortcode['atts']['filter_selector_box_shadow_horizontal_length_hover'] ) && $shortcode['atts']['filter_selector_box_shadow_horizontal_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['filter_selector_box_shadow_horizontal_length_hover'] ) ? $shortcode['atts']['filter_selector_box_shadow_horizontal_length_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'horizontal-length' ) ),
                            'filter_selector_box_shadow_vertical_length_hover' => isset( $shortcode['atts']['filter_selector_box_shadow_vertical_length_hover'] ) && $shortcode['atts']['filter_selector_box_shadow_vertical_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['filter_selector_box_shadow_vertical_length_hover'] ) ? $shortcode['atts']['filter_selector_box_shadow_vertical_length_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'vertical-length' ) ),
                            'filter_selector_box_shadow_blur_radius_hover' => isset( $shortcode['atts']['filter_selector_box_shadow_blur_radius_hover'] ) && $shortcode['atts']['filter_selector_box_shadow_blur_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['filter_selector_box_shadow_blur_radius_hover'] ) ? $shortcode['atts']['filter_selector_box_shadow_blur_radius_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'blur-radius' ) ),
                            'filter_selector_box_shadow_spread_radius_hover' => isset( $shortcode['atts']['filter_selector_box_shadow_spread_radius_hover'] ) && $shortcode['atts']['filter_selector_box_shadow_spread_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['filter_selector_box_shadow_spread_radius_hover'] ) ? $shortcode['atts']['filter_selector_box_shadow_spread_radius_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'spread-radius' ) ),
                            'filter_selector_box_shadow_color_hover' => isset( $shortcode['atts']['filter_selector_box_shadow_color_hover'] ) && $shortcode['atts']['filter_selector_box_shadow_color_hover'] != '' ? $shortcode['atts']['filter_selector_box_shadow_color_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'color' ) ),
                            'filter_selector_hover_element_title_color' => isset( $shortcode['atts']['filter_selector_hover_element_title_color'] ) && $shortcode['atts']['filter_selector_hover_element_title_color'] != '' ? $shortcode['atts']['filter_selector_hover_element_title_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-headings-color' ) ),
                            'filter_selector_hover_element_background_color' => isset( $shortcode['atts']['filter_selector_hover_element_background_color'] ) && $shortcode['atts']['filter_selector_hover_element_background_color'] != '' ? $shortcode['atts']['filter_selector_hover_element_background_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                            'filter_selector_active_element_title_color' => isset( $shortcode['atts']['filter_selector_active_element_title_color'] ) && $shortcode['atts']['filter_selector_active_element_title_color'] != '' ? $shortcode['atts']['filter_selector_active_element_title_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-headings-color' ) ),
                            'filter_selector_active_element_background_color' => isset( $shortcode['atts']['filter_selector_active_element_background_color'] ) && $shortcode['atts']['filter_selector_active_element_background_color'] != '' ? $shortcode['atts']['filter_selector_active_element_background_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-heading-or-active-tab-background-color' ) )
                        );

                        # temporary sizes array
                        $temp = array(
                            '1200_more' => array(
                                'cell-margin-right' => '',
                                'cell-margin-bottom' => '',
                                'cell-margin-left' => '',
                                'container-margin-left-right' => ''
                            ),
                            '992_1199' => array(
                                'cell-margin-right' => '',
                                'cell-margin-bottom' => '',
                                'cell-margin-left' => '',
                                'container-margin-left-right' => ''
                            ),
                            '768_991' => array(
                                'cell-margin-right' => '',
                                'cell-margin-bottom' => '',
                                'cell-margin-left' => '',
                                'container-margin-left-right' => ''
                            ),
                            'less_767' => array(
                                'cell-margin-right' => '0',
                                'cell-margin-bottom' => '',
                                'cell-margin-left' => '0',
                                'container-margin-left-right' => '0'
                            )
                        );

                        # sizes for single column
                        if( $attributes['columns'] == '1' ) {

                            # large device sizes
                            $temp['1200_more']['cell-margin-left'] = '0';
                            $temp['1200_more']['cell-margin-right'] = '0';
                            $temp['1200_more']['container-margin-left-right'] = '0';

                            # medium device sizes
                            $temp['992_1199']['cell-margin-left'] = '0';
                            $temp['992_1199']['cell-margin-right'] = '0';
                            $temp['992_1199']['container-margin-left-right'] = '0';

                            # small device sizes
                            $temp['768_991']['cell-margin-left'] = '0';
                            $temp['768_991']['cell-margin-right'] = '0';
                            $temp['768_991']['container-margin-left-right'] = '0';

                            # extra small device sizes
                            $temp['less_767']['cell-margin-left'] = '0';
                            $temp['less_767']['cell-margin-right'] = '0';
                            $temp['less_767']['container-margin-left-right'] = '0';

                            # bottom margin values
                            $temp['1200_more']['cell-margin-bottom'] = $attributes['margin_between_rows'];
                            $temp['992_1199']['cell-margin-bottom'] = $attributes['margin_between_rows'];
                            $temp['768_991']['cell-margin-bottom'] = $attributes['margin_between_rows'];
                            $temp['less_767']['cell-margin-bottom'] = $attributes['margin_between_rows'];
                        }

                        # multiple columns
                        else {

                            # update margins for large devices
                            $temp['1200_more']['cell-margin-left'] = $attributes['margin_between_columns'] / 2;
                            $temp['1200_more']['cell-margin-right'] = $attributes['margin_between_columns'] / 2;
                            $temp['1200_more']['container-margin-left-right'] = '-'. $attributes['margin_between_columns'] / 2;

                            # configure margin top for medium devices
                            $temp['1200_more']['cell-margin-bottom'] = $attributes['margin_between_rows'];

                            # go to one column from medium devices
                            if( $attributes['one_column_from'] == 'medium' ) {

                                # update margins for medium devices
                                $temp['992_1199']['cell-margin-left'] = '0';
                                $temp['992_1199']['cell-margin-right'] = '0';
                                $temp['992_1199']['container-margin-left-right'] = '0';
                                $temp['992_1199']['cell-margin-bottom'] = $attributes['margin_between_rows'];

                                # update margins for small devices
                                $temp['768_991']['cell-margin-left'] = '0';
                                $temp['768_991']['cell-margin-right'] = '0';
                                $temp['768_991']['container-margin-left-right'] = '0';
                                $temp['768_991']['cell-margin-bottom'] = $attributes['margin_between_rows'];
                            }

                            # multiple columns on medium devices
                            else {

                                # update margins for medium devices
                                $temp['992_1199']['cell-margin-left'] = $attributes['margin_between_columns'] / 2;
                                $temp['992_1199']['cell-margin-right'] = $attributes['margin_between_columns'] / 2;
                                $temp['992_1199']['container-margin-left-right'] = '-'. $attributes['margin_between_columns'] / 2;

                                # configure margin bottom for medium devices
                                $temp['992_1199']['cell-margin-bottom'] = $attributes['margin_between_rows'];

                                # go to one column from small devices
                                if( $attributes['one_column_from'] == 'small' ) {

                                    # update margins for small devices
                                    $temp['768_991']['cell-margin-left'] = '0';
                                    $temp['768_991']['cell-margin-right'] = '0';
                                    $temp['768_991']['container-margin-left-right'] = '0';
                                    $temp['768_991']['cell-margin-bottom'] = $attributes['margin_between_rows'];
                                }

                                # go to one column from extra small devices
                                else {

                                    # update margins for small devices
                                    $temp['768_991']['cell-margin-left'] = $attributes['margin_between_columns'] / 2;
                                    $temp['768_991']['cell-margin-right'] = $attributes['margin_between_columns'] / 2;
                                    $temp['768_991']['container-margin-left-right'] = '-'. $attributes['margin_between_columns'] / 2;

                                    # configure margin bottom for small devices
                                    $temp['768_991']['cell-margin-bottom'] = $attributes['margin_between_rows'];
                                }

                                # update bottom margin for extra small devices
                                $temp['less_767']['cell-margin-bottom'] = $attributes['margin_between_rows'];
                            }
                        }

                        # general loop styles
                        $shortcodes_styles -> update_style(
                            esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-filtered-masonry-container',
                            array(
                                '1200_more' => array(
                                    'margin' => '0 '. esc_attr( $temp['1200_more']['container-margin-left-right'] ) .'px'
                                ),
                                '992_1199' => array(
                                    'margin' => '0 '. esc_attr( $temp['992_1199']['container-margin-left-right'] ) .'px'
                                ),
                                '768_991' => array(
                                    'margin' => '0 '. esc_attr( $temp['768_991']['container-margin-left-right'] ) .'px'
                                ),
                                'less_767' => array(
                                    'margin' => '0 '. esc_attr( $temp['less_767']['container-margin-left-right'] ) .'px'
                                )
                            )
                        );

                        # general cell styles
                        $shortcodes_styles -> update_style(
                            esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-filtered-masonry .ueldo-shortcode-filtered-masonry-cell:not(.ueldo-shortcode-filtered-masonry-cell-double-width) .ueldo-shortcode-filtered-masonry-cell-inner, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-filtered-masonry .ueldo-shortcode-filtered-masonry-cell.ueldo-shortcode-filtered-masonry-cell-double-width .ueldo-shortcode-filtered-masonry-cell-inner',
                            array(
                                '1200_more' => array(
                                    'margin' => '0 '. esc_attr( $temp['1200_more']['cell-margin-right'] ) .'px '. esc_attr( $temp['1200_more']['cell-margin-bottom'] ) .'px '. esc_attr( $temp['1200_more']['cell-margin-left'] ) .'px'
                                ),
                                '992_1199' => array(
                                    'margin' => '0 '. esc_attr( $temp['992_1199']['cell-margin-right'] ) .'px '. esc_attr( $temp['992_1199']['cell-margin-bottom'] ) .'px '. esc_attr( $temp['992_1199']['cell-margin-left'] ) .'px'
                                ),
                                '768_991' => array(
                                    'margin' => '0 '. esc_attr( $temp['768_991']['cell-margin-right'] ) .'px '. esc_attr( $temp['768_991']['cell-margin-bottom'] ) .'px '. esc_attr( $temp['768_991']['cell-margin-left'] ) .'px'
                                ),
                                'less_767' => array(
                                    'margin' => '0 '. esc_attr( $temp['less_767']['cell-margin-right'] ) .'px '. esc_attr( $temp['less_767']['cell-margin-bottom'] ) .'px '. esc_attr( $temp['less_767']['cell-margin-left'] ) .'px'
                                )
                            )
                        );

                        # remove temporary variable
                        unset( $temp );

                        # update width depended on setting
                        switch( $attributes['one_column_from'] ) {

                            # go to one column from medium devices
                            case 'medium':

                                # update width styles
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-filtered-masonry .ueldo-shortcode-filtered-masonry-cell:not(.ueldo-shortcode-filtered-masonry-cell-double-width), .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-filtered-masonry .ueldo-shortcode-filtered-masonry-cell.ueldo-shortcode-filtered-masonry-cell-double-width, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-filtered-masonry[data-columns-in-row="2"] .ueldo-shortcode-filtered-masonry-cell:not(.ueldo-shortcode-filtered-masonry-cell-double-width), .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-filtered-masonry[data-columns-in-row="2"] .ueldo-shortcode-filtered-masonry-cell.ueldo-shortcode-filtered-masonry-cell-double-width, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-filtered-masonry[data-columns-in-row="3"] .ueldo-shortcode-filtered-masonry-cell:not(.ueldo-shortcode-filtered-masonry-cell-double-width), .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-filtered-masonry[data-columns-in-row="3"] .ueldo-shortcode-filtered-masonry-cell.ueldo-shortcode-filtered-masonry-cell-double-width, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-filtered-masonry[data-columns-in-row="4"] .ueldo-shortcode-filtered-masonry-cell:not(.ueldo-shortcode-filtered-masonry-cell-double-width), .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-filtered-masonry[data-columns-in-row="4"] .ueldo-shortcode-filtered-masonry-cell.ueldo-shortcode-filtered-masonry-cell-double-width',
                                    array(
                                        '992_1199' => array(
                                            'width-%' => '100%'
                                        ),
                                        '768_991' => array(
                                            'width-%' => '100%'
                                        ),
                                        'less_767' => array(
                                            'width-%' => '100%'
                                        )
                                    )
                                );

                            break;

                            # go to one column from small devices
                            case 'small':

                                # update width styles
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-filtered-masonry .ueldo-shortcode-filtered-masonry-cell:not(.ueldo-shortcode-filtered-masonry-cell-double-width), .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-filtered-masonry .ueldo-shortcode-filtered-masonry-cell.ueldo-shortcode-filtered-masonry-cell-double-width, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-filtered-masonry[data-columns-in-row="2"] .ueldo-shortcode-filtered-masonry-cell:not(.ueldo-shortcode-filtered-masonry-cell-double-width), .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-filtered-masonry[data-columns-in-row="2"] .ueldo-shortcode-filtered-masonry-cell.ueldo-shortcode-filtered-masonry-cell-double-width, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-filtered-masonry[data-columns-in-row="3"] .ueldo-shortcode-filtered-masonry-cell:not(.ueldo-shortcode-filtered-masonry-cell-double-width), .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-filtered-masonry[data-columns-in-row="3"] .ueldo-shortcode-filtered-masonry-cell.ueldo-shortcode-filtered-masonry-cell-double-width, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-filtered-masonry[data-columns-in-row="4"] .ueldo-shortcode-filtered-masonry-cell:not(.ueldo-shortcode-filtered-masonry-cell-double-width), .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-filtered-masonry[data-columns-in-row="4"] .ueldo-shortcode-filtered-masonry-cell.ueldo-shortcode-filtered-masonry-cell-double-width',
                                    array(
                                        '768_991' => array(
                                            'width-%' => '100%'
                                        ),
                                        'less_767' => array(
                                            'width-%' => '100%'
                                        )
                                    )
                                );

                            break;

                            # go to one column from extra small devices
                            case 'extra_small':

                                # update width styles
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-filtered-masonry .ueldo-shortcode-filtered-masonry-cell:not(.ueldo-shortcode-filtered-masonry-cell-double-width), .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-filtered-masonry .ueldo-shortcode-filtered-masonry-cell.ueldo-shortcode-filtered-masonry-cell-double-width, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-filtered-masonry[data-columns-in-row="2"] .ueldo-shortcode-filtered-masonry-cell:not(.ueldo-shortcode-filtered-masonry-cell-double-width), .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-filtered-masonry[data-columns-in-row="2"] .ueldo-shortcode-filtered-masonry-cell.ueldo-shortcode-filtered-masonry-cell-double-width, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-filtered-masonry[data-columns-in-row="3"] .ueldo-shortcode-filtered-masonry-cell:not(.ueldo-shortcode-filtered-masonry-cell-double-width), .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-filtered-masonry[data-columns-in-row="3"] .ueldo-shortcode-filtered-masonry-cell.ueldo-shortcode-filtered-masonry-cell-double-width, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-filtered-masonry[data-columns-in-row="4"] .ueldo-shortcode-filtered-masonry-cell:not(.ueldo-shortcode-filtered-masonry-cell-double-width), .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-filtered-masonry[data-columns-in-row="4"] .ueldo-shortcode-filtered-masonry-cell.ueldo-shortcode-filtered-masonry-cell-double-width',
                                    array(
                                        'less_767' => array(
                                            'width-%' => '100%'
                                        )
                                    )
                                );

                            break;
                        }

                        # can we set custom sizes for filters selector?
                        if( $attributes['custom_filter_selector_settings'] != 'theme_defaults' ) {

                            # filter selector border styles
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-filtered-masonry ul.ueldo-shortcode-filtered-masonry-filter-list',
                                array(
                                    'border-width' => esc_attr( $attributes['filter_selector_border_width'] ),
                                    '-webkit-border-radius' => esc_attr( $attributes['filter_selector_border_radius'] ),
                                    '-moz-border-radius' => esc_attr( $attributes['filter_selector_border_radius'] ),
                                    'border-radius' => esc_attr( $attributes['filter_selector_border_radius'] )
                                )
                            );

                            # filter selector element border styles
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-filtered-masonry ul.ueldo-shortcode-filtered-masonry-filter-list li',
                                array(
                                    'border-'. esc_attr( ueldo_is_rtl() ? 'left' : 'right' ) .'-width' => esc_attr( $attributes['filter_selector_border_width'] ),
                                    'padding' => esc_attr( $attributes['filter_selector_element_padding_top'] ) .'px '. esc_attr( $attributes['filter_selector_element_padding_right'] ) .'px '. esc_attr( $attributes['filter_selector_element_padding_bottom'] ) .'px '. esc_attr( $attributes['filter_selector_element_padding_left'] ) .'px'
                                )
                            );

                            # border width for additional line for 5 columns
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-filtered-masonry ul.ueldo-shortcode-filtered-masonry-filter-list.ueldo-shortcode-filtered-masonry-filter-list-as-table[data-tabs-per-row="5"] li:nth-child( 5n+1 ):before',
                                array(
                                    'height' => esc_attr( $attributes['filter_selector_border_width'] ),
                                    'width-webkit-calc' => '-webkit-calc( 500% + '. esc_attr( $attributes['filter_selector_border_width'] * 5 ) .'px )',
                                    'width-moz-calc' => '-moz-calc( 500% + '. esc_attr( $attributes['filter_selector_border_width'] * 5 ) .'px )',
                                    'width-calc' => 'calc( 500% + '. esc_attr( $attributes['filter_selector_border_width'] * 5 ) .'px )'
                                )
                            );

                            # border width for additional line for 4 columns
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-filtered-masonry ul.ueldo-shortcode-filtered-masonry-filter-list.ueldo-shortcode-filtered-masonry-filter-list-as-table[data-tabs-per-row="4"] li:nth-child( 4n+1 ):before',
                                array(
                                    'height' => esc_attr( $attributes['filter_selector_border_width'] ),
                                    'width-webkit-calc' => '-webkit-calc( 400% + '. esc_attr( $attributes['filter_selector_border_width'] * 4 ) .'px )',
                                    'width-moz-calc' => '-moz-calc( 400% + '. esc_attr( $attributes['filter_selector_border_width'] * 4 ) .'px )',
                                    'width-calc' => 'calc( 400% + '. esc_attr( $attributes['filter_selector_border_width'] * 4 ) .'px )'
                                )
                            );

                            # border width for additional line for 3 columns
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-filtered-masonry ul.ueldo-shortcode-filtered-masonry-filter-list.ueldo-shortcode-filtered-masonry-filter-list-as-table[data-tabs-per-row="3"] li:nth-child( 3n+1 ):before',
                                array(
                                    'height' => esc_attr( $attributes['filter_selector_border_width'] ),
                                    'width-webkit-calc' => '-webkit-calc( 300% + '. esc_attr( $attributes['filter_selector_border_width'] * 3 ) .'px )',
                                    'width-moz-calc' => '-moz-calc( 300% + '. esc_attr( $attributes['filter_selector_border_width'] * 3 ) .'px )',
                                    'width-calc' => 'calc( 300% + '. esc_attr( $attributes['filter_selector_border_width'] * 3 ) .'px )'
                                )
                            );

                            # border width for additional line for 2 columns
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-filtered-masonry ul.ueldo-shortcode-filtered-masonry-filter-list.ueldo-shortcode-filtered-masonry-filter-list-as-table[data-tabs-per-row="2"] li:nth-child( 2n+1 ):before',
                                array(
                                    'height' => esc_attr( $attributes['filter_selector_border_width'] ),
                                    'width-webkit-calc' => '-webkit-calc( 200% + '. esc_attr( $attributes['filter_selector_border_width'] * 2 ) .'px )',
                                    'width-moz-calc' => '-moz-calc( 200% + '. esc_attr( $attributes['filter_selector_border_width'] * 2 ) .'px )',
                                    'width-calc' => 'calc( 200% + '. esc_attr( $attributes['filter_selector_border_width'] * 2 ) .'px )'
                                )
                            );

                            # border width for additional line for 1 column
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-filtered-masonry ul.ueldo-shortcode-filtered-masonry-filter-list.ueldo-shortcode-filtered-masonry-filter-list-as-table[data-tabs-per-row="1"] li:before',
                                array(
                                    'height' => esc_attr( $attributes['filter_selector_border_width'] )
                                )
                            );

                            # filter selector alignment
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-filtered-masonry .ueldo-shortcode-filtered-masonry-filter-list-container',
                                array(
                                    '1200_more' => array(
                                        'text-align' => esc_attr( $attributes['filter_selector_alignment'] )
                                    ),
                                    '992_1199' => array(
                                        'text-align' => esc_attr( $attributes['filter_selector_alignment'] )
                                    )
                                )
                            );

                            # margin between filter selector and filtered elements
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-filtered-masonry ul.ueldo-shortcode-filtered-masonry-filter-list',
                                array(
                                    'margin' => '0 0 '. esc_attr( $attributes['margin_between_filter_selector_and_filtered_elements'] ) .'px 0'
                                )
                            );

                            # get font data array
                            $font = ueldo_vc_get_custom_font_family_attributes( ( !empty( $attributes['filter_selector_font_family'] ) ? $attributes['filter_selector_font_family'] : false ), 'headings-font' );

                            # set font family and font weight
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-filtered-masonry ul.ueldo-shortcode-filtered-masonry-filter-list li',
                                array(
                                    'font-family' => esc_attr( $font['font-family'] ),
                                    'font-weight' => esc_attr( $font['font-weight'] ),
                                    'font-style' => esc_attr( $font['font-style'] ),
                                    '-webkit-font-smoothing' => esc_attr( $font['-webkit-font-smoothing'] ),
                                    '-moz-osx-font-smoothing' => esc_attr( $font['-moz-osx-font-smoothing'] ),
                                    'font-size' => esc_attr( $attributes['filter_selector_font_size'] ),
                                    'letter-spacing' => esc_attr( $attributes['filter_selector_font_letter_spacing'] ),
                                    'line-height' => esc_attr( $attributes['filter_selector_font_line_height'] )
                                )
                            );

                            # remove temporary variable
                            unset( $font );
                        }

                        # do we have custom colors enabled?
                        if( $attributes['custom_colors_enabled'] != 'theme_defaults' ) {

                            # loop background color
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ),
                                array(
                                    'background' => esc_attr( $attributes['container_background_color'] )
                                )
                            );

                            # cells border color
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-filtered-masonry-cell',
                                array(
                                    'border-color' => esc_attr( $attributes['cells_border_color'] )
                                )
                            );

                            # filter selector colors
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-filtered-masonry ul.ueldo-shortcode-filtered-masonry-filter-list',
                                array(
                                    'border-color' => esc_attr( $attributes['filter_selector_border_color'] ),
                                    'background' => esc_attr( $attributes['filter_selector_background_color'] ),
                                    '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['filter_selector_box_shadow_horizontal_length'], $attributes['filter_selector_box_shadow_vertical_length'], $attributes['filter_selector_box_shadow_blur_radius'], $attributes['filter_selector_box_shadow_spread_radius'], $attributes['filter_selector_box_shadow_color'] ),
                                    '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['filter_selector_box_shadow_horizontal_length'], $attributes['filter_selector_box_shadow_vertical_length'], $attributes['filter_selector_box_shadow_blur_radius'], $attributes['filter_selector_box_shadow_spread_radius'], $attributes['filter_selector_box_shadow_color'] ),
                                    'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['filter_selector_box_shadow_horizontal_length'], $attributes['filter_selector_box_shadow_vertical_length'], $attributes['filter_selector_box_shadow_blur_radius'], $attributes['filter_selector_box_shadow_spread_radius'], $attributes['filter_selector_box_shadow_color'] )
                                )
                            );

                            # filter selector colors (on hover)
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-filtered-masonry ul.ueldo-shortcode-filtered-masonry-filter-list:hover',
                                array(
                                    'border-color' => esc_attr( $attributes['filter_selector_border_color_hover'] ),
                                    '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['filter_selector_box_shadow_horizontal_length_hover'], $attributes['filter_selector_box_shadow_vertical_length_hover'], $attributes['filter_selector_box_shadow_blur_radius_hover'], $attributes['filter_selector_box_shadow_spread_radius_hover'], $attributes['filter_selector_box_shadow_color_hover'] ),
                                    '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['filter_selector_box_shadow_horizontal_length_hover'], $attributes['filter_selector_box_shadow_vertical_length_hover'], $attributes['filter_selector_box_shadow_blur_radius_hover'], $attributes['filter_selector_box_shadow_spread_radius_hover'], $attributes['filter_selector_box_shadow_color_hover'] ),
                                    'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['filter_selector_box_shadow_horizontal_length_hover'], $attributes['filter_selector_box_shadow_vertical_length_hover'], $attributes['filter_selector_box_shadow_blur_radius_hover'], $attributes['filter_selector_box_shadow_spread_radius_hover'], $attributes['filter_selector_box_shadow_color_hover'] )
                                )
                            );

                            # filter selector element colors
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-filtered-masonry ul.ueldo-shortcode-filtered-masonry-filter-list li',
                                array(
                                    'color' => esc_attr( $attributes['filter_selector_title_color'] ),
                                    'border-color' => esc_attr( $attributes['filter_selector_inside_border_color'] ),
                                )
                            );

                            # responsive border colors
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-filtered-masonry ul.ueldo-shortcode-filtered-masonry-filter-list.ueldo-shortcode-filtered-masonry-filter-list-as-table[data-tabs-per-row="5"] li:nth-child( 5n+1 ):before, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-filtered-masonry ul.ueldo-shortcode-filtered-masonry-filter-list.ueldo-shortcode-filtered-masonry-filter-list-as-table[data-tabs-per-row="4"] li:nth-child( 4n+1 ):before, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-filtered-masonry ul.ueldo-shortcode-filtered-masonry-filter-list.ueldo-shortcode-filtered-masonry-filter-list-as-table[data-tabs-per-row="3"] li:nth-child( 3n+1 ):before, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-filtered-masonry ul.ueldo-shortcode-filtered-masonry-filter-list.ueldo-shortcode-filtered-masonry-filter-list-as-table[data-tabs-per-row="2"] li:nth-child( 2n+1 ):before, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-filtered-masonry ul.ueldo-shortcode-filtered-masonry-filter-list.ueldo-shortcode-filtered-masonry-filter-list-as-table[data-tabs-per-row="1"] li:before',
                                array(
                                    'background' => esc_attr( $attributes['filter_selector_inside_border_color'] )
                                )
                            );

                            # responsive border colors
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-filtered-masonry ul.ueldo-shortcode-filtered-masonry-filter-list li, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-filtered-masonry ul.ueldo-shortcode-filtered-masonry-filter-list li:last-child',
                                array(
                                    '768_991' => array(
                                        'border-color' => esc_attr( $attributes['filter_selector_inside_border_color'] )
                                    ),
                                    'less_767' => array(
                                        'border-color' => esc_attr( $attributes['filter_selector_inside_border_color'] )
                                    )
                                )
                            );

                            # hover element styles in filter selector
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-filtered-masonry ul.ueldo-shortcode-filtered-masonry-filter-list li:not(.ueldo-shortcode-filtered-masonry-filter-active):hover',
                                array(
                                    'color' => esc_attr( $attributes['filter_selector_hover_element_title_color'] ),
                                    'background' => esc_attr( $attributes['filter_selector_hover_element_background_color'] ),
                                )
                            );

                            # active element styles in filter selector
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-filtered-masonry ul.ueldo-shortcode-filtered-masonry-filter-list li.ueldo-shortcode-filtered-masonry-filter-active',
                                array(
                                    'color' => esc_attr( $attributes['filter_selector_active_element_title_color'] ),
                                    'background' => esc_attr( $attributes['filter_selector_active_element_background_color'] ),
                                )
                            );
                        }

                        # save css style
                        $shortcodes_styles -> save_styles();

                        # remove attributes array
                        unset( $attributes );

                    break;

                   /**
                    *
                    * ueldo_shortcode_filtered_masonry_cell
                    *
                    */

                    case 'ueldo_shortcode_filtered_masonry_cell':

                        # attributes array
                        $attributes = array(
                            'large_static_height' => isset( $shortcode['atts']['large_static_height'] ) && !empty( $shortcode['atts']['large_static_height'] ) ? $shortcode['atts']['large_static_height'] : 'no',
                            'large_static_height_px' => isset( $shortcode['atts']['large_static_height_px'] ) && $shortcode['atts']['large_static_height_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['large_static_height_px'] ) ? $shortcode['atts']['large_static_height_px'] : '300',
                            'large_padding_top' => isset( $shortcode['atts']['large_padding_top'] ) && $shortcode['atts']['large_padding_top'] != '' && ueldo_is_valid_number( $shortcode['atts']['large_padding_top'] ) ? $shortcode['atts']['large_padding_top'] : '0',
                            'large_padding_right' => isset( $shortcode['atts']['large_padding_right'] ) && $shortcode['atts']['large_padding_right'] != '' && ueldo_is_valid_number( $shortcode['atts']['large_padding_right'] ) ? $shortcode['atts']['large_padding_right'] : '0',
                            'large_padding_bottom' => isset( $shortcode['atts']['large_padding_bottom'] ) && $shortcode['atts']['large_padding_bottom'] != '' && ueldo_is_valid_number( $shortcode['atts']['large_padding_bottom'] ) ? $shortcode['atts']['large_padding_bottom'] : '0',
                            'large_padding_left' => isset( $shortcode['atts']['large_padding_left'] ) && $shortcode['atts']['large_padding_left'] != '' && ueldo_is_valid_number( $shortcode['atts']['large_padding_left'] ) ? $shortcode['atts']['large_padding_left'] : '0',
                            'large_border_top_width' => isset( $shortcode['atts']['large_border_top_width'] ) && $shortcode['atts']['large_border_top_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['large_border_top_width'] ) ? $shortcode['atts']['large_border_top_width'] : '0',
                            'large_border_right_width' => isset( $shortcode['atts']['large_border_right_width'] ) && $shortcode['atts']['large_border_right_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['large_border_right_width'] ) ? $shortcode['atts']['large_border_right_width'] : '0',
                            'large_border_bottom_width' => isset( $shortcode['atts']['large_border_bottom_width'] ) && $shortcode['atts']['large_border_bottom_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['large_border_bottom_width'] ) ? $shortcode['atts']['large_border_bottom_width'] : '0',
                            'large_border_left_width' => isset( $shortcode['atts']['large_border_left_width'] ) && $shortcode['atts']['large_border_left_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['large_border_left_width'] ) ? $shortcode['atts']['large_border_left_width'] : '0',
                            'medium_layer_custom_sizes' => isset( $shortcode['atts']['medium_custom_sizes'] ) && !empty( $shortcode['atts']['medium_custom_sizes'] ) ? $shortcode['atts']['medium_custom_sizes'] : 'no-large',
                            'medium_static_height' => isset( $shortcode['atts']['medium_static_height'] ) && !empty( $shortcode['atts']['medium_static_height'] ) ? $shortcode['atts']['medium_static_height'] : 'no',
                            'medium_static_height_px' => isset( $shortcode['atts']['medium_static_height_px'] ) && $shortcode['atts']['medium_static_height_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['medium_static_height_px'] ) ? $shortcode['atts']['medium_static_height_px'] : '300',
                            'medium_padding_top' => isset( $shortcode['atts']['medium_padding_top'] ) && $shortcode['atts']['medium_padding_top'] != '' && ueldo_is_valid_number( $shortcode['atts']['medium_padding_top'] ) ? $shortcode['atts']['medium_padding_top'] : '0',
                            'medium_padding_right' => isset( $shortcode['atts']['medium_padding_right'] ) && $shortcode['atts']['medium_padding_right'] != '' && ueldo_is_valid_number( $shortcode['atts']['medium_padding_right'] ) ? $shortcode['atts']['medium_padding_right'] : '0',
                            'medium_padding_bottom' => isset( $shortcode['atts']['medium_padding_bottom'] ) && $shortcode['atts']['medium_padding_bottom'] != '' && ueldo_is_valid_number( $shortcode['atts']['medium_padding_bottom'] ) ? $shortcode['atts']['medium_padding_bottom'] : '0',
                            'medium_padding_left' => isset( $shortcode['atts']['medium_padding_left'] ) && $shortcode['atts']['medium_padding_left'] != '' && ueldo_is_valid_number( $shortcode['atts']['medium_padding_left'] ) ? $shortcode['atts']['medium_padding_left'] : '0',
                            'medium_border_top_width' => isset( $shortcode['atts']['medium_border_top_width'] ) && $shortcode['atts']['medium_border_top_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['medium_border_top_width'] ) ? $shortcode['atts']['medium_border_top_width'] : '0',
                            'medium_border_right_width' => isset( $shortcode['atts']['medium_border_right_width'] ) && $shortcode['atts']['medium_border_right_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['medium_border_right_width'] ) ? $shortcode['atts']['medium_border_right_width'] : '0',
                            'medium_border_bottom_width' => isset( $shortcode['atts']['medium_border_bottom_width'] ) && $shortcode['atts']['medium_border_bottom_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['medium_border_bottom_width'] ) ? $shortcode['atts']['medium_border_bottom_width'] : '0',
                            'medium_border_left_width' => isset( $shortcode['atts']['medium_border_left_width'] ) && $shortcode['atts']['medium_border_left_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['medium_border_left_width'] ) ? $shortcode['atts']['medium_border_left_width'] : '0',
                            'small_layer_custom_sizes' => isset( $shortcode['atts']['small_custom_sizes'] ) && !empty( $shortcode['atts']['small_custom_sizes'] ) ? $shortcode['atts']['small_custom_sizes'] : 'no-medium',
                            'small_static_height' => isset( $shortcode['atts']['small_static_height'] ) && !empty( $shortcode['atts']['small_static_height'] ) ? $shortcode['atts']['small_static_height'] : 'no',
                            'small_static_height_px' => isset( $shortcode['atts']['small_static_height_px'] ) && $shortcode['atts']['small_static_height_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['small_static_height_px'] ) ? $shortcode['atts']['small_static_height_px'] : '300',
                            'small_padding_top' => isset( $shortcode['atts']['small_padding_top'] ) && $shortcode['atts']['small_padding_top'] != '' && ueldo_is_valid_number( $shortcode['atts']['small_padding_top'] ) ? $shortcode['atts']['small_padding_top'] : '0',
                            'small_padding_right' => isset( $shortcode['atts']['small_padding_right'] ) && $shortcode['atts']['small_padding_right'] != '' && ueldo_is_valid_number( $shortcode['atts']['small_padding_right'] ) ? $shortcode['atts']['small_padding_right'] : '0',
                            'small_padding_bottom' => isset( $shortcode['atts']['small_padding_bottom'] ) && $shortcode['atts']['small_padding_bottom'] != '' && ueldo_is_valid_number( $shortcode['atts']['small_padding_bottom'] ) ? $shortcode['atts']['small_padding_bottom'] : '0',
                            'small_padding_left' => isset( $shortcode['atts']['small_padding_left'] ) && $shortcode['atts']['small_padding_left'] != '' && ueldo_is_valid_number( $shortcode['atts']['small_padding_left'] ) ? $shortcode['atts']['small_padding_left'] : '0',
                            'small_border_top_width' => isset( $shortcode['atts']['small_border_top_width'] ) && $shortcode['atts']['small_border_top_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['small_border_top_width'] ) ? $shortcode['atts']['small_border_top_width'] : '0',
                            'small_border_right_width' => isset( $shortcode['atts']['small_border_right_width'] ) && $shortcode['atts']['small_border_right_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['small_border_right_width'] ) ? $shortcode['atts']['small_border_right_width'] : '0',
                            'small_border_bottom_width' => isset( $shortcode['atts']['small_border_bottom_width'] ) && $shortcode['atts']['small_border_bottom_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['small_border_bottom_width'] ) ? $shortcode['atts']['small_border_bottom_width'] : '0',
                            'small_border_left_width' => isset( $shortcode['atts']['small_border_left_width'] ) && $shortcode['atts']['small_border_left_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['small_border_left_width'] ) ? $shortcode['atts']['small_border_left_width'] : '0',
                            'extra_small_layer_custom_sizes' => isset( $shortcode['atts']['extra_small_custom_sizes'] ) && !empty( $shortcode['atts']['extra_small_custom_sizes'] ) ? $shortcode['atts']['extra_small_custom_sizes'] : 'no-small',
                            'extra_small_static_height' => isset( $shortcode['atts']['extra_small_static_height'] ) && !empty( $shortcode['atts']['extra_small_static_height'] ) ? $shortcode['atts']['extra_small_static_height'] : 'no',
                            'extra_small_static_height_px' => isset( $shortcode['atts']['extra_small_static_height_px'] ) && $shortcode['atts']['extra_small_static_height_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['extra_small_static_height_px'] ) ? $shortcode['atts']['extra_small_static_height_px'] : '300',
                            'extra_small_padding_top' => isset( $shortcode['atts']['extra_small_padding_top'] ) && $shortcode['atts']['extra_small_padding_top'] != '' && ueldo_is_valid_number( $shortcode['atts']['extra_small_padding_top'] ) ? $shortcode['atts']['extra_small_padding_top'] : '0',
                            'extra_small_padding_right' => isset( $shortcode['atts']['extra_small_padding_right'] ) && $shortcode['atts']['extra_small_padding_right'] != '' && ueldo_is_valid_number( $shortcode['atts']['extra_small_padding_right'] ) ? $shortcode['atts']['extra_small_padding_right'] : '0',
                            'extra_small_padding_bottom' => isset( $shortcode['atts']['extra_small_padding_bottom'] ) && $shortcode['atts']['extra_small_padding_bottom'] != '' && ueldo_is_valid_number( $shortcode['atts']['extra_small_padding_bottom'] ) ? $shortcode['atts']['extra_small_padding_bottom'] : '0',
                            'extra_small_padding_left' => isset( $shortcode['atts']['extra_small_padding_left'] ) && $shortcode['atts']['extra_small_padding_left'] != '' && ueldo_is_valid_number( $shortcode['atts']['extra_small_padding_left'] ) ? $shortcode['atts']['extra_small_padding_left'] : '0',
                            'extra_small_border_top_width' => isset( $shortcode['atts']['extra_small_border_top_width'] ) && $shortcode['atts']['extra_small_border_top_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['extra_small_border_top_width'] ) ? $shortcode['atts']['extra_small_border_top_width'] : '0',
                            'extra_small_border_right_width' => isset( $shortcode['atts']['extra_small_border_right_width'] ) && $shortcode['atts']['extra_small_border_right_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['extra_small_border_right_width'] ) ? $shortcode['atts']['extra_small_border_right_width'] : '0',
                            'extra_small_border_bottom_width' => isset( $shortcode['atts']['extra_small_border_bottom_width'] ) && $shortcode['atts']['extra_small_border_bottom_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['extra_small_border_bottom_width'] ) ? $shortcode['atts']['extra_small_border_bottom_width'] : '0',
                            'extra_small_border_left_width' => isset( $shortcode['atts']['extra_small_border_left_width'] ) && $shortcode['atts']['extra_small_border_left_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['extra_small_border_left_width'] ) ? $shortcode['atts']['extra_small_border_left_width'] : '0'
                        );

                        # temporary values for each devices
                        $temp = array(
                            'medium-static-height' => ueldo_get_vc_element_device_attributes( $attributes, 'static_height', 'medium' ),
                            'medium-static-height-px' => ueldo_get_vc_element_device_attributes( $attributes, 'static_height_px', 'medium' ),
                            'medium-padding-top' => ueldo_get_vc_element_device_attributes( $attributes, 'padding_top', 'medium' ),
                            'medium-padding-right' => ueldo_get_vc_element_device_attributes( $attributes, 'padding_right', 'medium' ),
                            'medium-padding-bottom' => ueldo_get_vc_element_device_attributes( $attributes, 'padding_bottom', 'medium' ),
                            'medium-padding-left' => ueldo_get_vc_element_device_attributes( $attributes, 'padding_left', 'medium' ),
                            'medium-border-top-width' => ueldo_get_vc_element_device_attributes( $attributes, 'border_top_width', 'medium' ),
                            'medium-border-right-width' => ueldo_get_vc_element_device_attributes( $attributes, 'border_right_width', 'medium' ),
                            'medium-border-bottom-width' => ueldo_get_vc_element_device_attributes( $attributes, 'border_bottom_width', 'medium' ),
                            'medium-border-left-width' => ueldo_get_vc_element_device_attributes( $attributes, 'border_left_width', 'medium' ),
                            'small-static-height' => ueldo_get_vc_element_device_attributes( $attributes, 'static_height', 'small' ),
                            'small-static-height-px' => ueldo_get_vc_element_device_attributes( $attributes, 'static_height_px', 'small' ),
                            'small-padding-top' => ueldo_get_vc_element_device_attributes( $attributes, 'padding_top', 'small' ),
                            'small-padding-right' => ueldo_get_vc_element_device_attributes( $attributes, 'padding_right', 'small' ),
                            'small-padding-bottom' => ueldo_get_vc_element_device_attributes( $attributes, 'padding_bottom', 'small' ),
                            'small-padding-left' => ueldo_get_vc_element_device_attributes( $attributes, 'padding_left', 'small' ),
                            'small-border-top-width' => ueldo_get_vc_element_device_attributes( $attributes, 'border_top_width', 'small' ),
                            'small-border-right-width' => ueldo_get_vc_element_device_attributes( $attributes, 'border_right_width', 'small' ),
                            'small-border-bottom-width' => ueldo_get_vc_element_device_attributes( $attributes, 'border_bottom_width', 'small' ),
                            'small-border-left-width' => ueldo_get_vc_element_device_attributes( $attributes, 'border_left_width', 'small' ),
                            'extra-small-static-height' => ueldo_get_vc_element_device_attributes( $attributes, 'static_height', 'extra_small' ),
                            'extra-small-static-height-px' => ueldo_get_vc_element_device_attributes( $attributes, 'static_height_px', 'extra_small' ),
                            'extra-small-padding-top' => ueldo_get_vc_element_device_attributes( $attributes, 'padding_top', 'extra_small' ),
                            'extra-small-padding-right' => ueldo_get_vc_element_device_attributes( $attributes, 'padding_right', 'extra_small' ),
                            'extra-small-padding-bottom' => ueldo_get_vc_element_device_attributes( $attributes, 'padding_bottom', 'extra_small' ),
                            'extra-small-padding-left' => ueldo_get_vc_element_device_attributes( $attributes, 'padding_left', 'extra_small' ),
                            'extra-small-border-top-width' => ueldo_get_vc_element_device_attributes( $attributes, 'border_top_width', 'extra_small' ),
                            'extra-small-border-right-width' => ueldo_get_vc_element_device_attributes( $attributes, 'border_right_width', 'extra_small' ),
                            'extra-small-border-bottom-width' => ueldo_get_vc_element_device_attributes( $attributes, 'border_bottom_width', 'extra_small' ),
                            'extra-small-border-left-width' => ueldo_get_vc_element_device_attributes( $attributes, 'border_left_width', 'extra_small' )
                        );

                        # set element paddings
                        $shortcodes_styles -> update_style(
                            'ueldo-shortcode-filtered-masonry .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-filtered-masonry-cell .ueldo-shortcode-filtered-masonry-cell-inner',
                            array(
                                '1200_more' => array(
                                    'padding' => esc_attr( $attributes['large_padding_top'] ) .'px '. esc_attr( $attributes['large_padding_right'] ) .'px '. esc_attr( $attributes['large_padding_bottom'] ) .'px '. esc_attr( $attributes['large_padding_left'] ) .'px',
                                    'border-top-width' => esc_attr( $attributes['large_border_top_width'] ),
                                    'border-right-width' => esc_attr( $attributes['large_border_right_width'] ),
                                    'border-bottom-width' => esc_attr( $attributes['large_border_bottom_width'] ),
                                    'border-left-width' => esc_attr( $attributes['large_border_left_width'] )
                                ),
                                '992_1199' => array(
                                    'padding' => esc_attr( $temp['medium-padding-top'] ) .'px '. esc_attr( $temp['medium-padding-right'] ) .'px '. esc_attr( $temp['medium-padding-bottom'] ) .'px '. esc_attr( $temp['medium-padding-left'] ) .'px',
                                    'border-top-width' => esc_attr( $temp['medium-border-top-width'] ),
                                    'border-right-width' => esc_attr( $temp['medium-border-right-width'] ),
                                    'border-bottom-width' => esc_attr( $temp['medium-border-bottom-width'] ),
                                    'border-left-width' => esc_attr( $temp['medium-border-left-width'] )
                                ),
                                '768_991' => array(
                                    'padding' => esc_attr( $temp['small-padding-top'] ) .'px '. esc_attr( $temp['small-padding-right'] ) .'px '. esc_attr( $temp['small-padding-bottom'] ) .'px '. esc_attr( $temp['small-padding-left'] ) .'px',
                                    'border-top-width' => esc_attr( $temp['small-border-top-width'] ),
                                    'border-right-width' => esc_attr( $temp['small-border-right-width'] ),
                                    'border-bottom-width' => esc_attr( $temp['small-border-bottom-width'] ),
                                    'border-left-width' => esc_attr( $temp['small-border-left-width'] )
                                ),
                                'less_767' => array(
                                    'padding' => esc_attr( $temp['extra-small-padding-top'] ) .'px '. esc_attr( $temp['extra-small-padding-right'] ) .'px '. esc_attr( $temp['extra-small-padding-bottom'] ) .'px '. esc_attr( $temp['extra-small-padding-left'] ) .'px',
                                    'border-top-width' => esc_attr( $temp['extra-small-border-top-width'] ),
                                    'border-right-width' => esc_attr( $temp['extra-small-border-right-width'] ),
                                    'border-bottom-width' => esc_attr( $temp['extra-small-border-bottom-width'] ),
                                    'border-left-width' => esc_attr( $temp['extra-small-border-left-width'] )
                                )
                            )
                        );

                        # do we need to set static height on large devices?
                        if( $attributes['large_static_height'] == 'yes' ) {

                            # update shortcode styles
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-filtered-masonry .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-filtered-masonry-cell .ueldo-shortcode-filtered-masonry-cell-inner',
                                array(
                                    '1200_more' => array(
                                        'height' => esc_attr( $attributes['large_static_height_px'] )
                                    )
                                )
                            );
                        }

                        # do we need to set static height on medium devices?
                        if( $temp['medium-static-height'] == 'yes' ) {

                            # update shortcode styles
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-filtered-masonry .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-filtered-masonry-cell .ueldo-shortcode-filtered-masonry-cell-inner',
                                array(
                                    '992_1199' => array(
                                        'height' => esc_attr( $temp['medium-static-height-px'] )
                                    )
                                )
                            );
                        }

                        # do we need to set static height on small devices?
                        if( $temp['small-static-height'] == 'yes' ) {

                            # update shortcode styles
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-filtered-masonry .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-filtered-masonry-cell .ueldo-shortcode-filtered-masonry-cell-inner',
                                array(
                                    '768_991' => array(
                                        'height' => esc_attr( $temp['small-static-height-px'] )
                                    )
                                )
                            );
                        }

                        # do we need to set static height on extra small devices?
                        if( $temp['extra-small-static-height'] == 'yes' ) {

                            # update shortcode styles
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-filtered-masonry .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-filtered-masonry-cell .ueldo-shortcode-filtered-masonry-cell-inner',
                                array(
                                    'less_767' => array(
                                        'height' => esc_attr( $temp['extra-small-static-height-px'] )
                                    )
                                )
                            );
                        }

                        # remove temporary variable
                        unset( $temp );

                        # save css style
                        $shortcodes_styles -> save_styles();

                        # remove attributes array
                        unset( $attributes );

                    break;

                   /**
                    *
                    * ueldo_shortcode_tabs_box
                    *
                    */

                    case 'ueldo_shortcode_tabs_box':

                        # attributes array
                        $attributes = array(
                            'switch_to_accordion_from' => isset( $shortcode['atts']['switch_to_accordion_from'] ) && !empty( $shortcode['atts']['switch_to_accordion_from'] ) ? $shortcode['atts']['switch_to_accordion_from'] : 'small',
                            'custom_sizes_enabled' => isset( $shortcode['atts']['custom_sizes_enabled'] ) && !empty( $shortcode['atts']['custom_sizes_enabled'] ) ? $shortcode['atts']['custom_sizes_enabled'] : 'theme_defaults',
                            'box_border_width' => isset( $shortcode['atts']['box_border_width'] ) && $shortcode['atts']['box_border_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_border_width'] ) ? $shortcode['atts']['box_border_width'] : '1',
                            'inside_box_border_width' => isset( $shortcode['atts']['inside_box_border_width'] ) && $shortcode['atts']['inside_box_border_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['inside_box_border_width'] ) ? $shortcode['atts']['inside_box_border_width'] : '1',
                            'box_border_radius' => isset( $shortcode['atts']['box_border_radius'] ) && $shortcode['atts']['box_border_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_border_radius'] ) ? $shortcode['atts']['box_border_radius'] : '4',
                            'title_padding_top' => isset( $shortcode['atts']['title_padding_top'] ) && $shortcode['atts']['title_padding_top'] != '' && ueldo_is_valid_number( $shortcode['atts']['title_padding_top'] ) ? $shortcode['atts']['title_padding_top'] : '20',
                            'title_padding_bottom' => isset( $shortcode['atts']['title_padding_bottom'] ) && $shortcode['atts']['title_padding_bottom'] != '' && ueldo_is_valid_number( $shortcode['atts']['title_padding_bottom'] ) ? $shortcode['atts']['title_padding_bottom'] : '19',
                            'margin_between_title_and_icon' => isset( $shortcode['atts']['margin_between_title_and_icon'] ) && $shortcode['atts']['margin_between_title_and_icon'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_between_title_and_icon'] ) ? $shortcode['atts']['margin_between_title_and_icon'] : '10',
                            'content_padding_top_bottom' => isset( $shortcode['atts']['content_padding_top_bottom'] ) && $shortcode['atts']['content_padding_top_bottom'] != '' && ueldo_is_valid_number( $shortcode['atts']['content_padding_top_bottom'] ) ? $shortcode['atts']['content_padding_top_bottom'] : '25',
                            'content_padding_left_right' => isset( $shortcode['atts']['content_padding_left_right'] ) && $shortcode['atts']['content_padding_left_right'] != '' && ueldo_is_valid_number( $shortcode['atts']['content_padding_left_right'] ) ? $shortcode['atts']['content_padding_left_right'] : '30',
                            'custom_colors_enabled' => isset( $shortcode['atts']['custom_colors_enabled'] ) && !empty( $shortcode['atts']['custom_colors_enabled'] ) ? $shortcode['atts']['custom_colors_enabled'] : 'theme_defaults',
                            'background_color' => isset( $shortcode['atts']['background_color'] ) && $shortcode['atts']['background_color'] != '' ? $shortcode['atts']['background_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                            'background_color_hover' => isset( $shortcode['atts']['background_color_hover'] ) && $shortcode['atts']['background_color_hover'] != '' ? $shortcode['atts']['background_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                            'border_color' => isset( $shortcode['atts']['border_color'] ) && $shortcode['atts']['border_color'] != '' ? $shortcode['atts']['border_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-border-color' ) ),
                            'border_color_hover' => isset( $shortcode['atts']['border_color_hover'] ) && $shortcode['atts']['border_color_hover'] != '' ? $shortcode['atts']['border_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-hover-border-color' ) ),
                            'inside_border_color' => isset( $shortcode['atts']['inside_border_color'] ) && $shortcode['atts']['inside_border_color'] != '' ? $shortcode['atts']['inside_border_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-border-color' ) ),
                            'inside_border_color_hover' => isset( $shortcode['atts']['inside_border_color_hover'] ) && $shortcode['atts']['inside_border_color_hover'] != '' ? $shortcode['atts']['inside_border_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-border-color' ) ),
                            'box_shadow_horizontal_length' => isset( $shortcode['atts']['box_shadow_horizontal_length'] ) && $shortcode['atts']['box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_horizontal_length'] ) ? $shortcode['atts']['box_shadow_horizontal_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'horizontal-length' ) ),
                            'box_shadow_vertical_length' => isset( $shortcode['atts']['box_shadow_vertical_length'] ) && $shortcode['atts']['box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_vertical_length'] ) ? $shortcode['atts']['box_shadow_vertical_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'vertical-length' ) ),
                            'box_shadow_blur_radius' => isset( $shortcode['atts']['box_shadow_blur_radius'] ) && $shortcode['atts']['box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_blur_radius'] ) ? $shortcode['atts']['box_shadow_blur_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'blur-radius' ) ),
                            'box_shadow_spread_radius' => isset( $shortcode['atts']['box_shadow_spread_radius'] ) && $shortcode['atts']['box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_spread_radius'] ) ? $shortcode['atts']['box_shadow_spread_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'spread-radius' ) ),
                            'box_shadow_color' => isset( $shortcode['atts']['box_shadow_color'] ) && $shortcode['atts']['box_shadow_color'] != '' ? $shortcode['atts']['box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'color' ) ),
                            'box_shadow_horizontal_length_hover' => isset( $shortcode['atts']['box_shadow_horizontal_length_hover'] ) && $shortcode['atts']['box_shadow_horizontal_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_horizontal_length_hover'] ) ? $shortcode['atts']['box_shadow_horizontal_length_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'horizontal-length' ) ),
                            'box_shadow_vertical_length_hover' => isset( $shortcode['atts']['box_shadow_vertical_length_hover'] ) && $shortcode['atts']['box_shadow_vertical_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_vertical_length_hover'] ) ? $shortcode['atts']['box_shadow_vertical_length_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'vertical-length' ) ),
                            'box_shadow_blur_radius_hover' => isset( $shortcode['atts']['box_shadow_blur_radius_hover'] ) && $shortcode['atts']['box_shadow_blur_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_blur_radius_hover'] ) ? $shortcode['atts']['box_shadow_blur_radius_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'blur-radius' ) ),
                            'box_shadow_spread_radius_hover' => isset( $shortcode['atts']['box_shadow_spread_radius_hover'] ) && $shortcode['atts']['box_shadow_spread_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_spread_radius_hover'] ) ? $shortcode['atts']['box_shadow_spread_radius_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'spread-radius' ) ),
                            'box_shadow_color_hover' => isset( $shortcode['atts']['box_shadow_color_hover'] ) && $shortcode['atts']['box_shadow_color_hover'] != '' ? $shortcode['atts']['box_shadow_color_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'color' ) ),
                            'inactive_tab_background_color' => isset( $shortcode['atts']['inactive_tab_background_color'] ) && $shortcode['atts']['inactive_tab_background_color'] != '' ? $shortcode['atts']['inactive_tab_background_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-heading-or-active-tab-background-color' ) ),
                            'inactive_tab_title_color' => isset( $shortcode['atts']['inactive_tab_title_color'] ) && $shortcode['atts']['inactive_tab_title_color'] != '' ? $shortcode['atts']['inactive_tab_title_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-headings-color' ) ),
                            'inactive_tab_icon_color' => isset( $shortcode['atts']['inactive_tab_icon_color'] ) && $shortcode['atts']['inactive_tab_icon_color'] != '' ? $shortcode['atts']['inactive_tab_icon_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-icon-color' ) ),
                            'inactive_tab_background_color_hover' => isset( $shortcode['atts']['inactive_tab_background_color_hover'] ) && $shortcode['atts']['inactive_tab_background_color_hover'] != '' ? $shortcode['atts']['inactive_tab_background_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-heading-or-active-tab-background-color' ) ),
                            'inactive_tab_title_color_hover' => isset( $shortcode['atts']['inactive_tab_title_color_hover'] ) && $shortcode['atts']['inactive_tab_title_color_hover'] != '' ? $shortcode['atts']['inactive_tab_title_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-headings-color' ) ),
                            'inactive_tab_icon_color_hover' => isset( $shortcode['atts']['inactive_tab_icon_color_hover'] ) && $shortcode['atts']['inactive_tab_icon_color_hover'] != '' ? $shortcode['atts']['inactive_tab_icon_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                            'active_tab_background_color' => isset( $shortcode['atts']['active_tab_background_color'] ) && $shortcode['atts']['active_tab_background_color'] != '' ? $shortcode['atts']['active_tab_background_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                            'active_tab_title_color' => isset( $shortcode['atts']['active_tab_title_color'] ) && $shortcode['atts']['active_tab_title_color'] != '' ? $shortcode['atts']['active_tab_title_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-headings-color' ) ),
                            'active_tab_icon_color' => isset( $shortcode['atts']['active_tab_icon_color'] ) && $shortcode['atts']['active_tab_icon_color'] != '' ? $shortcode['atts']['active_tab_icon_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                            'active_tab_background_color_hover' => isset( $shortcode['atts']['active_tab_background_color_hover'] ) && $shortcode['atts']['active_tab_background_color_hover'] != '' ? $shortcode['atts']['active_tab_background_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                            'active_tab_title_color_hover' => isset( $shortcode['atts']['active_tab_title_color_hover'] ) && $shortcode['atts']['active_tab_title_color_hover'] != '' ? $shortcode['atts']['active_tab_title_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-headings-color' ) ),
                            'active_tab_icon_color_hover' => isset( $shortcode['atts']['active_tab_icon_color_hover'] ) && $shortcode['atts']['active_tab_icon_color_hover'] != '' ? $shortcode['atts']['active_tab_icon_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) )
                        );

                        # do we have custom sizes enabled?
                        if( $attributes['custom_sizes_enabled'] != 'theme_defaults' ) {

                            # tabs selector styles
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-box ul.ueldo-shortcode-tabs-box-tabs-selector',
                                array(
                                    'border-width' => esc_attr( $attributes['box_border_width'] ),
                                    '-webkit-border-top-left-radius' => esc_attr( $attributes['box_border_radius'] ),
                                    '-moz-border-top-left-radius' => esc_attr( $attributes['box_border_radius'] ),
                                    'border-top-left-radius' => esc_attr( $attributes['box_border_radius'] ),
                                    '-webkit-border-top-right-radius' => esc_attr( $attributes['box_border_radius'] ),
                                    '-moz-border-top-right-radius' => esc_attr( $attributes['box_border_radius'] ),
                                    'border-top-right-radius' => esc_attr( $attributes['box_border_radius'] )
                                )
                            );

                            # tabs selector element styles
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-box ul.ueldo-shortcode-tabs-box-tabs-selector li',
                                array(
                                    'border-'. esc_attr( ueldo_is_rtl() ? 'left' : 'right' ) .'-width' => esc_attr( $attributes['inside_box_border_width'] ),
                                    'border-bottom-width' => esc_attr( $attributes['inside_box_border_width'] ),
                                    'padding' => esc_attr( $attributes['title_padding_top'] ) .'px '. esc_attr( $attributes['content_padding_left_right'] ) .'px '. esc_attr( $attributes['title_padding_bottom'] ) .'px '. esc_attr( $attributes['content_padding_left_right'] ) .'px'
                                )
                            );

                            # tabs content title styles
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-box .ueldo-shortcode-tabs-box-tabs-contents .ueldo-shortcode-tabs-box-single-tab .ueldo-shortcode-tabs-box-single-tab-title',
                                array(
                                    'padding' => esc_attr( $attributes['title_padding_top'] ) .'px '. esc_attr( $attributes['content_padding_left_right'] ) .'px '. esc_attr( $attributes['title_padding_bottom'] ) .'px '. esc_attr( $attributes['content_padding_left_right'] ) .'px',
                                    'border-bottom-width' => esc_attr( $attributes['inside_box_border_width'] )
                                )
                            );

                            # first tab content title styles
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-box .ueldo-shortcode-tabs-box-tabs-contents .ueldo-shortcode-tabs-box-single-tab[data-tab-id="1"] .ueldo-shortcode-tabs-box-single-tab-title',
                                array(
                                    '-webkit-border-top-left-radius' => esc_attr( $attributes['box_border_radius'] ),
                                    '-moz-border-top-left-radius' => esc_attr( $attributes['box_border_radius'] ),
                                    'border-top-left-radius' => esc_attr( $attributes['box_border_radius'] ),
                                    '-webkit-border-top-right-radius' => esc_attr( $attributes['box_border_radius'] ),
                                    '-moz-border-top-right-radius' => esc_attr( $attributes['box_border_radius'] ),
                                    'border-top-right-radius' => esc_attr( $attributes['box_border_radius'] ),
                                )
                            );

                            # last child, not active content title styles
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-box .ueldo-shortcode-tabs-box-tabs-contents .ueldo-shortcode-tabs-box-single-tab:not(.ueldo-shortcode-tabs-box-active-tab):last-child .ueldo-shortcode-tabs-box-single-tab-title',
                                array(
                                    '-webkit-border-bottom-left-radius' => esc_attr( $attributes['box_border_radius'] ),
                                    '-moz-border-bottom-left-radius' => esc_attr( $attributes['box_border_radius'] ),
                                    'border-bottom-left-radius' => esc_attr( $attributes['box_border_radius'] ),
                                    '-webkit-border-bottom-right-radius' => esc_attr( $attributes['box_border_radius'] ),
                                    '-moz-border-bottom-right-radius' => esc_attr( $attributes['box_border_radius'] ),
                                    'border-bottom-right-radius' => esc_attr( $attributes['box_border_radius'] )
                                )
                            );

                            # first tabs selector styles
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-box ul.ueldo-shortcode-tabs-box-tabs-selector li:first-child',
                                array(
                                    '-webkit-border-top-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) .'-radius' => esc_attr( $attributes['box_border_radius'] ),
                                    '-moz-border-top-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) .'-radius' => esc_attr( $attributes['box_border_radius'] ),
                                    'border-top-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) .'-radius' => esc_attr( $attributes['box_border_radius'] )
                                )
                            );

                            # last tabs selector styles
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-box ul.ueldo-shortcode-tabs-box-tabs-selector li:last-child',
                                array(
                                    '-webkit-border-top-'. esc_attr( ueldo_is_rtl() ? 'left' : 'right' ) .'-radius' => esc_attr( $attributes['box_border_radius'] ),
                                    '-moz-border-top-'. esc_attr( ueldo_is_rtl() ? 'left' : 'right' ) .'-radius' => esc_attr( $attributes['box_border_radius'] ),
                                    'border-top-'. esc_attr( ueldo_is_rtl() ? 'left' : 'right' ) .'-radius' => esc_attr( $attributes['box_border_radius'] )
                                )
                            );

                            # icon margin (before title)
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-box ul.ueldo-shortcode-tabs-box-tabs-selector li i[data-icon-position="left"], .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-box .ueldo-shortcode-tabs-box-tabs-contents .ueldo-shortcode-tabs-box-single-tab .ueldo-shortcode-tabs-box-single-tab-title i[data-icon-position="left"]',
                                array(
                                    'margin-'. esc_attr( ueldo_is_rtl() ? 'left' : 'right' ) => esc_attr( $attributes['margin_between_title_and_icon'] )
                                )
                            );

                            # icon margin (after title)
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-box ul.ueldo-shortcode-tabs-box-tabs-selector li i[data-icon-position="right"], .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-box .ueldo-shortcode-tabs-box-tabs-contents .ueldo-shortcode-tabs-box-single-tab .ueldo-shortcode-tabs-box-single-tab-title i[data-icon-position="right"]',
                                array(
                                    'margin-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) => esc_attr( $attributes['margin_between_title_and_icon'] )
                                )
                            );

                            # tabs contents styles
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-box .ueldo-shortcode-tabs-box-tabs-contents',
                                array(
                                    'border-width' => esc_attr( $attributes['box_border_width'] ),
                                    '-webkit-border-radius' => esc_attr( $attributes['box_border_radius'] ),
                                    '-moz-border-radius' => esc_attr( $attributes['box_border_radius'] ),
                                    'border-radius' => esc_attr( $attributes['box_border_radius'] ),
                                    '-webkit-border-top-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) .'-radius' => '0',
                                    '-moz-border-top-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) .'-radius' => '0',
                                    'border-top-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) .'-radius' => '0',
                                    'padding' => esc_attr( $attributes['content_padding_top_bottom'] ) .'px '. esc_attr( $attributes['content_padding_left_right'] ) .'px',
                                    'margin-top' => '-'. esc_attr( $attributes['box_border_width'] )
                                )
                            );

                            # tabs contents clear line styles
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-box .ueldo-shortcode-tabs-box-tabs-contents .ueldo-shortcode-tabs-box-tabs-contents-clear-line',
                                array(
                                    'width-webkit-calc' => '-webkit-calc( 100% - '. esc_attr( $attributes['box_border_width'] * 2 ) .'px )',
                                    'width-moz-calc' => '-moz-calc( 100% - '. esc_attr( $attributes['box_border_width'] * 2 ) .'px )',
                                    'width-calc' => 'calc( 100% - '. esc_attr( $attributes['box_border_width'] * 2 ) .'px )',
                                    'left' => esc_attr( $attributes['box_border_width'] ) .'px',
                                    '-webkit-border-top-'. esc_attr( ueldo_is_rtl() ? 'left' : 'right' ) .'-radius' => esc_attr( $attributes['box_border_radius'] ),
                                    '-moz-border-top-'. esc_attr( ueldo_is_rtl() ? 'left' : 'right' ) .'-radius' => esc_attr( $attributes['box_border_radius'] ),
                                    'border-top-'. esc_attr( ueldo_is_rtl() ? 'left' : 'right' ) .'-radius' => esc_attr( $attributes['box_border_radius'] ),
                                    '-webkit-border-bottom-left-radius' => esc_attr( $attributes['box_border_radius'] ),
                                    '-moz-border-bottom-left-radius' => esc_attr( $attributes['box_border_radius'] ),
                                    'border-bottom-left-radius' => esc_attr( $attributes['box_border_radius'] ),
                                    '-webkit-border-bottom-right-radius' => esc_attr( $attributes['box_border_radius'] ),
                                    '-moz-border-bottom-right-radius' => esc_attr( $attributes['box_border_radius'] ),
                                    'border-bottom-right-radius' => esc_attr( $attributes['box_border_radius'] )
                                )
                            );

                            # styles depends on setting when we need to switch to accordion
                            switch( $attributes['switch_to_accordion_from'] ) {

                                # styles for medium devices
                                case 'medium':

                                    # tabs contents styles
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-box[data-switch-to-accordion-from="medium"] .ueldo-shortcode-tabs-box-tabs-contents',
                                        array(
                                            '992_1199' => array(
                                                '-webkit-border-top-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) .'-radius' => esc_attr( $attributes['box_border_radius'] ),
                                                '-moz-border-top-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) .'-radius' => esc_attr( $attributes['box_border_radius'] ),
                                                'border-top-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) .'-radius' => esc_attr( $attributes['box_border_radius'] )
                                            ),
                                            '768_991' => array(
                                                '-webkit-border-top-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) .'-radius' => esc_attr( $attributes['box_border_radius'] ),
                                                '-moz-border-top-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) .'-radius' => esc_attr( $attributes['box_border_radius'] ),
                                                'border-top-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) .'-radius' => esc_attr( $attributes['box_border_radius'] )
                                            ),
                                            'less_767' => array(
                                                '-webkit-border-top-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) .'-radius' => esc_attr( $attributes['box_border_radius'] ),
                                                '-moz-border-top-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) .'-radius' => esc_attr( $attributes['box_border_radius'] ),
                                                'border-top-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) .'-radius' => esc_attr( $attributes['box_border_radius'] )
                                            )
                                        )
                                    );

                                    # active tab content styles
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-box[data-switch-to-accordion-from="medium"] .ueldo-shortcode-tabs-box-tabs-contents .ueldo-shortcode-tabs-box-single-tab .ueldo-shortcode-tabs-box-single-tab-content',
                                        array(
                                            '992_1199' => array(
                                                'padding' => esc_attr( $attributes['content_padding_top_bottom'] ) .'px '. esc_attr( $attributes['content_padding_left_right'] ) .'px'
                                            ),
                                            '768_991' => array(
                                                'padding' => esc_attr( $attributes['content_padding_top_bottom'] ) .'px '. esc_attr( $attributes['content_padding_left_right'] ) .'px'
                                            ),
                                            'less_767' => array(
                                                'padding' => esc_attr( $attributes['content_padding_top_bottom'] ) .'px '. esc_attr( $attributes['content_padding_left_right'] ) .'px'
                                            )
                                        )
                                    );

                                    # last child tab content border styles
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-box[data-switch-to-accordion-from="medium"] .ueldo-shortcode-tabs-box-tabs-contents .ueldo-shortcode-tabs-box-single-tab:not(:last-child) .ueldo-shortcode-tabs-box-single-tab-content',
                                        array(
                                            '992_1199' => array(
                                                'border-bottom-width' => esc_attr( $attributes['inside_box_border_width'] )
                                            ),
                                            '768_991' => array(
                                                'border-bottom-width' => esc_attr( $attributes['inside_box_border_width'] )
                                            ),
                                            'less_767' => array(
                                                'border-bottom-width' => esc_attr( $attributes['inside_box_border_width'] )
                                            )
                                        )
                                    );

                                    # last child tab content border radius styles
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-box[data-switch-to-accordion-from="medium"] .ueldo-shortcode-tabs-box-single-tab:last-child .ueldo-shortcode-tabs-box-single-tab-content',
                                        array(
                                            '992_1199' => array(
                                                '-webkit-border-bottom-left-radius' => esc_attr( $attributes['box_border_radius'] ),
                                                '-moz-border-bottom-left-radius' => esc_attr( $attributes['box_border_radius'] ),
                                                'border-bottom-left-radius' => esc_attr( $attributes['box_border_radius'] ),
                                                '-webkit-border-bottom-right-radius' => esc_attr( $attributes['box_border_radius'] ),
                                                '-moz-border-bottom-right-radius' => esc_attr( $attributes['box_border_radius'] ),
                                                'border-bottom-right-radius' => esc_attr( $attributes['box_border_radius'] )
                                            ),
                                            '768_991' => array(
                                                '-webkit-border-bottom-left-radius' => esc_attr( $attributes['box_border_radius'] ),
                                                '-moz-border-bottom-left-radius' => esc_attr( $attributes['box_border_radius'] ),
                                                'border-bottom-left-radius' => esc_attr( $attributes['box_border_radius'] ),
                                                '-webkit-border-bottom-right-radius' => esc_attr( $attributes['box_border_radius'] ),
                                                '-moz-border-bottom-right-radius' => esc_attr( $attributes['box_border_radius'] ),
                                                'border-bottom-right-radius' => esc_attr( $attributes['box_border_radius'] )
                                            ),
                                            'less_767' => array(
                                                '-webkit-border-bottom-left-radius' => esc_attr( $attributes['box_border_radius'] ),
                                                '-moz-border-bottom-left-radius' => esc_attr( $attributes['box_border_radius'] ),
                                                'border-bottom-left-radius' => esc_attr( $attributes['box_border_radius'] ),
                                                '-webkit-border-bottom-right-radius' => esc_attr( $attributes['box_border_radius'] ),
                                                '-moz-border-bottom-right-radius' => esc_attr( $attributes['box_border_radius'] ),
                                                'border-bottom-right-radius' => esc_attr( $attributes['box_border_radius'] )
                                            )
                                        )
                                    );

                                break;

                                # styles for small devices
                                case 'small':

                                    # tabs contents styles
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-box[data-switch-to-accordion-from="small"] .ueldo-shortcode-tabs-box-tabs-contents',
                                        array(
                                            '768_991' => array(
                                                '-webkit-border-top-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) .'-radius' => esc_attr( $attributes['box_border_radius'] ),
                                                '-moz-border-top-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) .'-radius' => esc_attr( $attributes['box_border_radius'] ),
                                                'border-top-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) .'-radius' => esc_attr( $attributes['box_border_radius'] )
                                            ),
                                            'less_767' => array(
                                                '-webkit-border-top-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) .'-radius' => esc_attr( $attributes['box_border_radius'] ),
                                                '-moz-border-top-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) .'-radius' => esc_attr( $attributes['box_border_radius'] ),
                                                'border-top-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) .'-radius' => esc_attr( $attributes['box_border_radius'] )
                                            )
                                        )
                                    );

                                    # active tab content styles
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-box[data-switch-to-accordion-from="small"] .ueldo-shortcode-tabs-box-tabs-contents .ueldo-shortcode-tabs-box-single-tab .ueldo-shortcode-tabs-box-single-tab-content',
                                        array(
                                            '768_991' => array(
                                                'padding' => esc_attr( $attributes['content_padding_top_bottom'] ) .'px '. esc_attr( $attributes['content_padding_left_right'] ) .'px'
                                            ),
                                            'less_767' => array(
                                                'padding' => esc_attr( $attributes['content_padding_top_bottom'] ) .'px '. esc_attr( $attributes['content_padding_left_right'] ) .'px'
                                            )
                                        )
                                    );

                                    # last child tab content border styles
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-box[data-switch-to-accordion-from="small"] .ueldo-shortcode-tabs-box-tabs-contents .ueldo-shortcode-tabs-box-single-tab:not(:last-child) .ueldo-shortcode-tabs-box-single-tab-content',
                                        array(
                                            '768_991' => array(
                                                'border-bottom-width' => esc_attr( $attributes['inside_box_border_width'] )
                                            ),
                                            'less_767' => array(
                                                'border-bottom-width' => esc_attr( $attributes['inside_box_border_width'] )
                                            )
                                        )
                                    );

                                    # last child tab content border radius styles
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-box[data-switch-to-accordion-from="small"] .ueldo-shortcode-tabs-box-single-tab:last-child .ueldo-shortcode-tabs-box-single-tab-content',
                                        array(
                                            '768_991' => array(
                                                '-webkit-border-bottom-left-radius' => esc_attr( $attributes['box_border_radius'] ),
                                                '-moz-border-bottom-left-radius' => esc_attr( $attributes['box_border_radius'] ),
                                                'border-bottom-left-radius' => esc_attr( $attributes['box_border_radius'] ),
                                                '-webkit-border-bottom-right-radius' => esc_attr( $attributes['box_border_radius'] ),
                                                '-moz-border-bottom-right-radius' => esc_attr( $attributes['box_border_radius'] ),
                                                'border-bottom-right-radius' => esc_attr( $attributes['box_border_radius'] )
                                            ),
                                            'less_767' => array(
                                                '-webkit-border-bottom-left-radius' => esc_attr( $attributes['box_border_radius'] ),
                                                '-moz-border-bottom-left-radius' => esc_attr( $attributes['box_border_radius'] ),
                                                'border-bottom-left-radius' => esc_attr( $attributes['box_border_radius'] ),
                                                '-webkit-border-bottom-right-radius' => esc_attr( $attributes['box_border_radius'] ),
                                                '-moz-border-bottom-right-radius' => esc_attr( $attributes['box_border_radius'] ),
                                                'border-bottom-right-radius' => esc_attr( $attributes['box_border_radius'] )
                                            )
                                        )
                                    );

                                break;

                                # styles for extra small devices
                                case 'extra-small':

                                    # tabs contents styles
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-box[data-switch-to-accordion-from="extra-small"] .ueldo-shortcode-tabs-box-tabs-contents',
                                        array(
                                            'less_767' => array(
                                                '-webkit-border-top-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) .'-radius' => esc_attr( $attributes['box_border_radius'] ),
                                                '-moz-border-top-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) .'-radius' => esc_attr( $attributes['box_border_radius'] ),
                                                'border-top-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) .'-radius' => esc_attr( $attributes['box_border_radius'] )
                                            )
                                        )
                                    );

                                    # active tab content styles
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-box[data-switch-to-accordion-from="extra-small"] .ueldo-shortcode-tabs-box-tabs-contents .ueldo-shortcode-tabs-box-single-tab .ueldo-shortcode-tabs-box-single-tab-content',
                                        array(
                                            'less_767' => array(
                                                'padding' => esc_attr( $attributes['content_padding_top_bottom'] ) .'px '. esc_attr( $attributes['content_padding_left_right'] ) .'px'
                                            )
                                        )
                                    );

                                    # last child tab content border styles
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-box[data-switch-to-accordion-from="extra-small"] .ueldo-shortcode-tabs-box-tabs-contents .ueldo-shortcode-tabs-box-single-tab:not(:last-child) .ueldo-shortcode-tabs-box-single-tab-content',
                                        array(
                                            'less_767' => array(
                                                'border-bottom-width' => esc_attr( $attributes['inside_box_border_width'] )
                                            )
                                        )
                                    );

                                    # last child tab content border radius styles
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-box[data-switch-to-accordion-from="extra-small"] .ueldo-shortcode-tabs-box-single-tab:last-child .ueldo-shortcode-tabs-box-single-tab-content',
                                        array(
                                            'less_767' => array(
                                                '-webkit-border-bottom-left-radius' => esc_attr( $attributes['box_border_radius'] ),
                                                '-moz-border-bottom-left-radius' => esc_attr( $attributes['box_border_radius'] ),
                                                'border-bottom-left-radius' => esc_attr( $attributes['box_border_radius'] ),
                                                '-webkit-border-bottom-right-radius' => esc_attr( $attributes['box_border_radius'] ),
                                                '-moz-border-bottom-right-radius' => esc_attr( $attributes['box_border_radius'] ),
                                                'border-bottom-right-radius' => esc_attr( $attributes['box_border_radius'] )
                                            )
                                        )
                                    );

                                break;
                            }
                        }

                        # can we set custom colors?
                        if( $attributes['custom_colors_enabled'] != 'theme_defaults' ) {

                            # tabs selector styles
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-box ul.ueldo-shortcode-tabs-box-tabs-selector',
                                array(
                                    'border-color' => esc_attr( $attributes['border_color'] ),
                                    'background' => esc_attr( $attributes['background_color'] ),
                                    '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length'], $attributes['box_shadow_vertical_length'], $attributes['box_shadow_blur_radius'], $attributes['box_shadow_spread_radius'], $attributes['box_shadow_color'] ),
                                    '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length'], $attributes['box_shadow_vertical_length'], $attributes['box_shadow_blur_radius'], $attributes['box_shadow_spread_radius'], $attributes['box_shadow_color'] ),
                                    'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length'], $attributes['box_shadow_vertical_length'], $attributes['box_shadow_blur_radius'], $attributes['box_shadow_spread_radius'], $attributes['box_shadow_color'] )
                                )
                            );

                            # tabs selector styles (on hover)
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-box:hover ul.ueldo-shortcode-tabs-box-tabs-selector',
                                array(
                                    'border-color' => esc_attr( $attributes['border_color_hover'] ),
                                    'background' => esc_attr( $attributes['background_color_hover'] ),
                                    '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length_hover'], $attributes['box_shadow_vertical_length_hover'], $attributes['box_shadow_blur_radius_hover'], $attributes['box_shadow_spread_radius_hover'], $attributes['box_shadow_color_hover'] ),
                                    '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length_hover'], $attributes['box_shadow_vertical_length_hover'], $attributes['box_shadow_blur_radius_hover'], $attributes['box_shadow_spread_radius_hover'], $attributes['box_shadow_color_hover'] ),
                                    'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length_hover'], $attributes['box_shadow_vertical_length_hover'], $attributes['box_shadow_blur_radius_hover'], $attributes['box_shadow_spread_radius_hover'], $attributes['box_shadow_color_hover'] )
                                )
                            );

                            # tabs selector single element
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-box ul.ueldo-shortcode-tabs-box-tabs-selector li',
                                array(
                                    'color' => esc_attr( $attributes['inactive_tab_title_color'] ),
                                    'border-right-color' => esc_attr( $attributes['inside_border_color'] ),
                                    'border-bottom-color' => esc_attr( $attributes['inside_border_color'] ),
                                    'background' => esc_attr( $attributes['inactive_tab_background_color'] )
                                )
                            );

                            # tabs content tab title
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-box .ueldo-shortcode-tabs-box-tabs-contents .ueldo-shortcode-tabs-box-single-tab .ueldo-shortcode-tabs-box-single-tab-title',
                                array(
                                    'color' => esc_attr( $attributes['inactive_tab_title_color'] ),
                                    'border-bottom-color' => esc_attr( $attributes['inside_border_color'] ),
                                    'background' => esc_attr( $attributes['inactive_tab_background_color'] )
                                )
                            );

                            # inactive tab styles (in tab selector)
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-box ul.ueldo-shortcode-tabs-box-tabs-selector li:not(.ueldo-shortcode-tabs-box-active-tab):hover',
                                array(
                                    'color' => esc_attr( $attributes['inactive_tab_title_color_hover'] ),
                                    'background' => esc_attr( $attributes['inactive_tab_background_color_hover'] )
                                )
                            );

                            # inactive tab styles (in tab content)
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-box .ueldo-shortcode-tabs-box-tabs-contents .ueldo-shortcode-tabs-box-single-tab:not(.ueldo-shortcode-tabs-box-active-tab) .ueldo-shortcode-tabs-box-single-tab-title:hover',
                                array(
                                    'color' => esc_attr( $attributes['inactive_tab_title_color_hover'] ),
                                    'background' => esc_attr( $attributes['inactive_tab_background_color_hover'] )
                                )
                            );

                            # active tab styles
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-box ul.ueldo-shortcode-tabs-box-tabs-selector li.ueldo-shortcode-tabs-box-active-tab, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-box .ueldo-shortcode-tabs-box-tabs-contents .ueldo-shortcode-tabs-box-single-tab.ueldo-shortcode-tabs-box-active-tab .ueldo-shortcode-tabs-box-single-tab-title',
                                array(
                                    'background' => esc_attr( $attributes['active_tab_background_color'] ),
                                    'border-bottom-color' => esc_attr( $attributes['active_tab_background_color'] ),
                                    'color' => esc_attr( $attributes['active_tab_title_color'] )
                                )
                            );

                            # active tab styles (on hover)
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-box:hover ul.ueldo-shortcode-tabs-box-tabs-selector li.ueldo-shortcode-tabs-box-active-tab, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-box:hover .ueldo-shortcode-tabs-box-tabs-contents .ueldo-shortcode-tabs-box-single-tab.ueldo-shortcode-tabs-box-active-tab .ueldo-shortcode-tabs-box-single-tab-title',
                                array(
                                    'background' => esc_attr( $attributes['active_tab_background_color_hover'] ),
                                    'border-bottom-color' => esc_attr( $attributes['active_tab_background_color_hover'] ),
                                    'color' => esc_attr( $attributes['active_tab_title_color_hover'] )
                                )
                            );

                            # inactive tab selector icon
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-box ul.ueldo-shortcode-tabs-box-tabs-selector li i, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-box .ueldo-shortcode-tabs-box-tabs-contents .ueldo-shortcode-tabs-box-single-tab .ueldo-shortcode-tabs-box-single-tab-title i',
                                array(
                                    'color' => esc_attr( $attributes['inactive_tab_icon_color'] )
                                )
                            );

                            # inactive tab selector icon (on hover)
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-box ul.ueldo-shortcode-tabs-box-tabs-selector li:not(.ueldo-shortcode-tabs-box-active-tab):hover i, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-box .ueldo-shortcode-tabs-box-tabs-contents .ueldo-shortcode-tabs-box-single-tab:not(.ueldo-shortcode-tabs-box-active-tab):hover .ueldo-shortcode-tabs-box-single-tab-title i',
                                array(
                                    'color' => esc_attr( $attributes['inactive_tab_icon_color_hover'] )
                                )
                            );

                            # active tab selector icon
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-box ul.ueldo-shortcode-tabs-box-tabs-selector li.ueldo-shortcode-tabs-box-active-tab i, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-box .ueldo-shortcode-tabs-box-tabs-contents .ueldo-shortcode-tabs-box-single-tab.ueldo-shortcode-tabs-box-active-tab .ueldo-shortcode-tabs-box-single-tab-title i',
                                array(
                                    'color' => esc_attr( $attributes['active_tab_icon_color'] )
                                )
                            );

                            # active tab selector icon (on hover)
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-box:hover ul.ueldo-shortcode-tabs-box-tabs-selector li.ueldo-shortcode-tabs-box-active-tab i, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-box:hover .ueldo-shortcode-tabs-box-tabs-contents .ueldo-shortcode-tabs-box-single-tab.ueldo-shortcode-tabs-box-active-tab .ueldo-shortcode-tabs-box-single-tab-title i',
                                array(
                                    'color' => esc_attr( $attributes['active_tab_icon_color_hover'] )
                                )
                            );

                            # tabs contents styles
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-box .ueldo-shortcode-tabs-box-tabs-contents',
                                array(
                                    'border-color' => esc_attr( $attributes['border_color'] ),
                                    'background' => esc_attr( $attributes['background_color'] ),
                                    '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length'], $attributes['box_shadow_vertical_length'], $attributes['box_shadow_blur_radius'], $attributes['box_shadow_spread_radius'], $attributes['box_shadow_color'] ),
                                    '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length'], $attributes['box_shadow_vertical_length'], $attributes['box_shadow_blur_radius'], $attributes['box_shadow_spread_radius'], $attributes['box_shadow_color'] ),
                                    'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length'], $attributes['box_shadow_vertical_length'], $attributes['box_shadow_blur_radius'], $attributes['box_shadow_spread_radius'], $attributes['box_shadow_color'] )
                                )
                            );

                            # tabs contents styles (on hover)
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-box:hover .ueldo-shortcode-tabs-box-tabs-contents',
                                array(
                                    'border-color' => esc_attr( $attributes['border_color_hover'] ),
                                    'background' => esc_attr( $attributes['background_color_hover'] ),
                                    '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length_hover'], $attributes['box_shadow_vertical_length_hover'], $attributes['box_shadow_blur_radius_hover'], $attributes['box_shadow_spread_radius_hover'], $attributes['box_shadow_color_hover'] ),
                                    '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length_hover'], $attributes['box_shadow_vertical_length_hover'], $attributes['box_shadow_blur_radius_hover'], $attributes['box_shadow_spread_radius_hover'], $attributes['box_shadow_color_hover'] ),
                                    'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length_hover'], $attributes['box_shadow_vertical_length_hover'], $attributes['box_shadow_blur_radius_hover'], $attributes['box_shadow_spread_radius_hover'], $attributes['box_shadow_color_hover'] )
                                )
                            );

                            # tab content border color
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-box .ueldo-shortcode-tabs-box-tabs-contents .ueldo-shortcode-tabs-box-single-tab .ueldo-shortcode-tabs-box-single-tab-content',
                                array(
                                    'border-color' => esc_attr( $attributes['inside_border_color'] )
                                )
                            );

                            # clear line background color
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-box .ueldo-shortcode-tabs-box-tabs-contents .ueldo-shortcode-tabs-box-tabs-contents-clear-line',
                                array(
                                    'background' => esc_attr( $attributes['background_color'] )
                                )
                            );

                            # clear line background color (on hover)
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-box:hover .ueldo-shortcode-tabs-box-tabs-contents .ueldo-shortcode-tabs-box-tabs-contents-clear-line',
                                array(
                                    'background' => esc_attr( $attributes['background_color_hover'] )
                                )
                            );

                            # tabs selector inside border color (on hover)
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-box:hover ul.ueldo-shortcode-tabs-box-tabs-selector li',
                                array(
                                    'border-right-color' => esc_attr( $attributes['inside_border_color_hover'] )
                                )
                            );

                            # tabs selector inside border color for inactive element (on hover)
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-box:hover ul.ueldo-shortcode-tabs-box-tabs-selector li:not(.ueldo-shortcode-tabs-box-active-tab)',
                                array(
                                    'border-bottom-color' => esc_attr( $attributes['inside_border_color_hover'] )
                                )
                            );

                            # tabs title inside border color
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-tabs-box:hover .ueldo-shortcode-tabs-box-tabs-contents .ueldo-shortcode-tabs-box-single-tab .ueldo-shortcode-tabs-box-single-tab-title',
                                array(
                                    'border-bottom-color' => esc_attr( $attributes['inside_border_color_hover'] )
                                )
                            );
                        }

                        # save css style
                        $shortcodes_styles -> save_styles();

                        # remove attributes array
                        unset( $attributes );

                    break;

                   /**
                    *
                    * ueldo_shortcode_timeline
                    *
                    */

                    case 'ueldo_shortcode_timeline':

                        # attributes array
                        $attributes = array(
                            'how_many_timeline_elements_on_screen' => isset( $shortcode['atts']['how_many_timeline_elements_on_screen'] ) && $shortcode['atts']['how_many_timeline_elements_on_screen'] != '' && ueldo_is_valid_number( $shortcode['atts']['how_many_timeline_elements_on_screen'] ) ? $shortcode['atts']['how_many_timeline_elements_on_screen'] : '2',
                            'display_as' => isset( $shortcode['atts']['display_as'] ) && !empty( $shortcode['atts']['display_as'] ) ? $shortcode['atts']['display_as'] : 'as_card',
                            'custom_next_prev_arrows_settings' => isset( $shortcode['atts']['custom_next_prev_arrows_settings'] ) && !empty( $shortcode['atts']['custom_next_prev_arrows_settings'] ) ? $shortcode['atts']['custom_next_prev_arrows_settings'] : 'theme_defaults',
                            'arrow_font_size' => isset( $shortcode['atts']['arrow_font_size'] ) && $shortcode['atts']['arrow_font_size'] != '' && ueldo_is_valid_number( $shortcode['atts']['arrow_font_size'] ) ? $shortcode['atts']['arrow_font_size'] : '17',
                            'arrow_padding_top_bottom' => isset( $shortcode['atts']['arrow_padding_top_bottom'] ) && $shortcode['atts']['arrow_padding_top_bottom'] != '' && ueldo_is_valid_number( $shortcode['atts']['arrow_padding_top_bottom'] ) ? $shortcode['atts']['arrow_padding_top_bottom'] : '10',
                            'arrow_padding_left_right_for_card' => isset( $shortcode['atts']['arrow_padding_left_right_for_card'] ) && $shortcode['atts']['arrow_padding_left_right_for_card'] != '' && ueldo_is_valid_number( $shortcode['atts']['arrow_padding_left_right_for_card'] ) ? $shortcode['atts']['arrow_padding_left_right_for_card'] : '15',
                            'arrow_padding_left_right_for_full_width' => isset( $shortcode['atts']['arrow_padding_left_right_for_full_width'] ) && $shortcode['atts']['arrow_padding_left_right_for_full_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['arrow_padding_left_right_for_full_width'] ) ? $shortcode['atts']['arrow_padding_left_right_for_full_width'] : '10',
                            'arrow_border_radius' => isset( $shortcode['atts']['arrow_border_radius'] ) && $shortcode['atts']['arrow_border_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['arrow_border_radius'] ) ? $shortcode['atts']['arrow_border_radius'] : '4',
                            'arrow_border_width' => isset( $shortcode['atts']['arrow_border_width'] ) && $shortcode['atts']['arrow_border_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['arrow_border_width'] ) ? $shortcode['atts']['arrow_border_width'] : '1',
                            'custom_sizes_enabled' => isset( $shortcode['atts']['custom_sizes_enabled'] ) && !empty( $shortcode['atts']['custom_sizes_enabled'] ) ? $shortcode['atts']['custom_sizes_enabled'] : 'theme_defaults',
                            'timeline_line_thickness' => isset( $shortcode['atts']['timeline_line_thickness'] ) && $shortcode['atts']['timeline_line_thickness'] != '' && ueldo_is_valid_number( $shortcode['atts']['timeline_line_thickness'] ) ? $shortcode['atts']['timeline_line_thickness'] : '4',
                            'timeline_element_circle_width' => isset( $shortcode['atts']['timeline_element_circle_width'] ) && $shortcode['atts']['timeline_element_circle_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['timeline_element_circle_width'] ) ? $shortcode['atts']['timeline_element_circle_width'] : '16',
                            'timeline_element_circle_height' => isset( $shortcode['atts']['timeline_element_circle_height'] ) && $shortcode['atts']['timeline_element_circle_height'] != '' && ueldo_is_valid_number( $shortcode['atts']['timeline_element_circle_height'] ) ? $shortcode['atts']['timeline_element_circle_height'] : '16',
                            'timeline_element_circle_border_width' => isset( $shortcode['atts']['timeline_element_circle_border_width'] ) && $shortcode['atts']['timeline_element_circle_border_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['timeline_element_circle_border_width'] ) ? $shortcode['atts']['timeline_element_circle_border_width'] : '4',
                            'timeline_element_circle_border_radius' => isset( $shortcode['atts']['timeline_element_circle_border_radius'] ) && !empty( $shortcode['atts']['timeline_element_circle_border_radius'] ) ? $shortcode['atts']['timeline_element_circle_border_radius'] : 'circle',
                            'timeline_element_circle_border_radius_px' => isset( $shortcode['atts']['timeline_element_circle_border_radius_px'] ) && $shortcode['atts']['timeline_element_circle_border_radius_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['timeline_element_circle_border_radius_px'] ) ? $shortcode['atts']['timeline_element_circle_border_radius_px'] : '4',
                            'timeline_element_date_padding_top_bottom' => isset( $shortcode['atts']['timeline_element_date_padding_top_bottom'] ) && $shortcode['atts']['timeline_element_date_padding_top_bottom'] != '' && ueldo_is_valid_number( $shortcode['atts']['timeline_element_date_padding_top_bottom'] ) ? $shortcode['atts']['timeline_element_date_padding_top_bottom'] : '6',
                            'timeline_element_date_padding_left_right' => isset( $shortcode['atts']['timeline_element_date_padding_left_right'] ) && $shortcode['atts']['timeline_element_date_padding_left_right'] != '' && ueldo_is_valid_number( $shortcode['atts']['timeline_element_date_padding_left_right'] ) ? $shortcode['atts']['timeline_element_date_padding_left_right'] : '10',
                            'timeline_element_date_border_radius' => isset( $shortcode['atts']['timeline_element_date_border_radius'] ) && $shortcode['atts']['timeline_element_date_border_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['timeline_element_date_border_radius'] ) ? $shortcode['atts']['timeline_element_date_border_radius'] : '2',
                            'timeline_element_date_border_width' => isset( $shortcode['atts']['timeline_element_date_border_width'] ) && $shortcode['atts']['timeline_element_date_border_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['timeline_element_date_border_width'] ) ? $shortcode['atts']['timeline_element_date_border_width'] : '0',
                            'timeline_element_date_font_size' => isset( $shortcode['atts']['timeline_element_date_font_size'] ) && $shortcode['atts']['timeline_element_date_font_size'] != '' && ueldo_is_valid_number( $shortcode['atts']['timeline_element_date_font_size'] ) ? $shortcode['atts']['timeline_element_date_font_size'] : esc_attr( $ueldo_styles_cache -> get_style( 'font-size-small-content' ) ),
                            'timeline_element_date_margin_bottom' => isset( $shortcode['atts']['timeline_element_date_margin_bottom'] ) && $shortcode['atts']['timeline_element_date_margin_bottom'] != '' && ueldo_is_valid_number( $shortcode['atts']['timeline_element_date_margin_bottom'] ) ? $shortcode['atts']['timeline_element_date_margin_bottom'] : '20',
                            'timeline_elements_padding_value_for_card' => isset( $shortcode['atts']['timeline_elements_padding_value_for_card'] ) && $shortcode['atts']['timeline_elements_padding_value_for_card'] != '' && ueldo_is_valid_number( $shortcode['atts']['timeline_elements_padding_value_for_card'] ) ? $shortcode['atts']['timeline_elements_padding_value_for_card'] : '40',
                            'timeline_elements_padding_value_for_full_width' => isset( $shortcode['atts']['timeline_elements_padding_value_for_full_width'] ) && $shortcode['atts']['timeline_elements_padding_value_for_full_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['timeline_elements_padding_value_for_full_width'] ) ? $shortcode['atts']['timeline_elements_padding_value_for_full_width'] : '30',
                            'single_timeline_element_line_to_circle_thickness' => isset( $shortcode['atts']['single_timeline_element_line_to_circle_thickness'] ) && $shortcode['atts']['single_timeline_element_line_to_circle_thickness'] != '' && ueldo_is_valid_number( $shortcode['atts']['single_timeline_element_line_to_circle_thickness'] ) ? $shortcode['atts']['single_timeline_element_line_to_circle_thickness'] : '1',
                            'single_timeline_element_line_to_circle_height' => isset( $shortcode['atts']['single_timeline_element_line_to_circle_height'] ) && $shortcode['atts']['single_timeline_element_line_to_circle_height'] != '' && ueldo_is_valid_number( $shortcode['atts']['single_timeline_element_line_to_circle_height'] ) ? $shortcode['atts']['single_timeline_element_line_to_circle_height'] : '150',
                            'card_border_width' => isset( $shortcode['atts']['card_border_width'] ) && $shortcode['atts']['card_border_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['card_border_width'] ) ? $shortcode['atts']['card_border_width'] : '1',
                            'card_border_radius_px' => isset( $shortcode['atts']['card_border_radius_px'] ) && $shortcode['atts']['card_border_radius_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['card_border_radius_px'] ) ? $shortcode['atts']['card_border_radius_px'] : '4',
                            'custom_colors_enabled' => isset( $shortcode['atts']['custom_colors_enabled'] ) && !empty( $shortcode['atts']['custom_colors_enabled'] ) ? $shortcode['atts']['custom_colors_enabled'] : 'theme_defaults',
                            'card_border_color' => isset( $shortcode['atts']['card_border_color'] ) && $shortcode['atts']['card_border_color'] != '' ? $shortcode['atts']['card_border_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-border-color' ) ),
                            'card_border_color_hover' => isset( $shortcode['atts']['card_border_color_hover'] ) && $shortcode['atts']['card_border_color_hover'] != '' ? $shortcode['atts']['card_border_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-hover-border-color' ) ),
                            'card_background_color' => isset( $shortcode['atts']['card_background_color'] ) && $shortcode['atts']['card_background_color'] != '' ? $shortcode['atts']['card_background_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                            'card_background_color_hover' => isset( $shortcode['atts']['card_background_color_hover'] ) && $shortcode['atts']['card_background_color_hover'] != '' ? $shortcode['atts']['card_background_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                            'card_box_shadow_horizontal_length' => isset( $shortcode['atts']['card_box_shadow_horizontal_length'] ) && $shortcode['atts']['card_box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['card_box_shadow_horizontal_length'] ) ? $shortcode['atts']['card_box_shadow_horizontal_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'horizontal-length' ) ),
                            'card_box_shadow_vertical_length' => isset( $shortcode['atts']['card_box_shadow_vertical_length'] ) && $shortcode['atts']['card_box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['card_box_shadow_vertical_length'] ) ? $shortcode['atts']['card_box_shadow_vertical_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'vertical-length' ) ),
                            'card_box_shadow_blur_radius' => isset( $shortcode['atts']['card_box_shadow_blur_radius'] ) && $shortcode['atts']['card_box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['card_box_shadow_blur_radius'] ) ? $shortcode['atts']['card_box_shadow_blur_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'blur-radius' ) ),
                            'card_box_shadow_spread_radius' => isset( $shortcode['atts']['card_box_shadow_spread_radius'] ) && $shortcode['atts']['card_box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['card_box_shadow_spread_radius'] ) ? $shortcode['atts']['card_box_shadow_spread_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'spread-radius' ) ),
                            'card_box_shadow_color' => isset( $shortcode['atts']['card_box_shadow_color'] ) && $shortcode['atts']['card_box_shadow_color'] != '' ? $shortcode['atts']['card_box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'color' ) ),
                            'card_box_shadow_horizontal_length_hover' => isset( $shortcode['atts']['card_box_shadow_horizontal_length_hover'] ) && $shortcode['atts']['card_box_shadow_horizontal_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['card_box_shadow_horizontal_length_hover'] ) ? $shortcode['atts']['card_box_shadow_horizontal_length_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'horizontal-length' ) ),
                            'card_box_shadow_vertical_length_hover' => isset( $shortcode['atts']['card_box_shadow_vertical_length_hover'] ) && $shortcode['atts']['card_box_shadow_vertical_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['card_box_shadow_vertical_length_hover'] ) ? $shortcode['atts']['card_box_shadow_vertical_length_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'vertical-length' ) ),
                            'card_box_shadow_blur_radius_hover' => isset( $shortcode['atts']['card_box_shadow_blur_radius_hover'] ) && $shortcode['atts']['card_box_shadow_blur_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['card_box_shadow_blur_radius_hover'] ) ? $shortcode['atts']['card_box_shadow_blur_radius_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'blur-radius' ) ),
                            'card_box_shadow_spread_radius_hover' => isset( $shortcode['atts']['card_box_shadow_spread_radius_hover'] ) && $shortcode['atts']['card_box_shadow_spread_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['card_box_shadow_spread_radius_hover'] ) ? $shortcode['atts']['card_box_shadow_spread_radius_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'spread-radius' ) ),
                            'card_box_shadow_color_hover' => isset( $shortcode['atts']['card_box_shadow_color_hover'] ) && $shortcode['atts']['card_box_shadow_color_hover'] != '' ? $shortcode['atts']['card_box_shadow_color_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'color' ) ),
                            'date_background_color' => isset( $shortcode['atts']['date_background_color'] ) && $shortcode['atts']['date_background_color'] != '' ? $shortcode['atts']['date_background_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                            'date_border_color' => isset( $shortcode['atts']['date_border_color'] ) && $shortcode['atts']['date_border_color'] != '' ? $shortcode['atts']['date_border_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                            'date_text_color' => isset( $shortcode['atts']['date_text_color'] ) && $shortcode['atts']['date_text_color'] != '' ? $shortcode['atts']['date_text_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color-contrast-text-color' ) ),
                            'date_box_shadow_horizontal_length' => isset( $shortcode['atts']['date_box_shadow_horizontal_length'] ) && $shortcode['atts']['date_box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['date_box_shadow_horizontal_length'] ) ? $shortcode['atts']['date_box_shadow_horizontal_length'] : '0',
                            'date_box_shadow_vertical_length' => isset( $shortcode['atts']['date_box_shadow_vertical_length'] ) && $shortcode['atts']['date_box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['date_box_shadow_vertical_length'] ) ? $shortcode['atts']['date_box_shadow_vertical_length'] : '0',
                            'date_box_shadow_blur_radius' => isset( $shortcode['atts']['date_box_shadow_blur_radius'] ) && $shortcode['atts']['date_box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['date_box_shadow_blur_radius'] ) ? $shortcode['atts']['date_box_shadow_blur_radius'] : '0',
                            'date_box_shadow_spread_radius' => isset( $shortcode['atts']['date_box_shadow_spread_radius'] ) && $shortcode['atts']['date_box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['date_box_shadow_spread_radius'] ) ? $shortcode['atts']['date_box_shadow_spread_radius'] : '0',
                            'date_box_shadow_color' => isset( $shortcode['atts']['date_box_shadow_color'] ) && $shortcode['atts']['date_box_shadow_color'] != '' ? $shortcode['atts']['date_box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) ),
                            'timeline_line_color' => isset( $shortcode['atts']['timeline_line_color'] ) && $shortcode['atts']['timeline_line_color'] != '' ? $shortcode['atts']['timeline_line_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-border-color' ) ),
                            'timeline_line_box_shadow_horizontal_length' => isset( $shortcode['atts']['timeline_line_box_shadow_horizontal_length'] ) && $shortcode['atts']['timeline_line_box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['timeline_line_box_shadow_horizontal_length'] ) ? $shortcode['atts']['timeline_line_box_shadow_horizontal_length'] : '0',
                            'timeline_line_box_shadow_vertical_length' => isset( $shortcode['atts']['timeline_line_box_shadow_vertical_length'] ) && $shortcode['atts']['timeline_line_box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['timeline_line_box_shadow_vertical_length'] ) ? $shortcode['atts']['timeline_line_box_shadow_vertical_length'] : '0',
                            'timeline_line_box_shadow_blur_radius' => isset( $shortcode['atts']['timeline_line_box_shadow_blur_radius'] ) && $shortcode['atts']['timeline_line_box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['timeline_line_box_shadow_blur_radius'] ) ? $shortcode['atts']['timeline_line_box_shadow_blur_radius'] : '0',
                            'timeline_line_box_shadow_spread_radius' => isset( $shortcode['atts']['timeline_line_box_shadow_spread_radius'] ) && $shortcode['atts']['timeline_line_box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['timeline_line_box_shadow_spread_radius'] ) ? $shortcode['atts']['timeline_line_box_shadow_spread_radius'] : '0',
                            'timeline_line_box_shadow_color' => isset( $shortcode['atts']['timeline_line_box_shadow_color'] ) && $shortcode['atts']['timeline_line_box_shadow_color'] != '' ? $shortcode['atts']['timeline_line_box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) ),
                            'timeline_circle_border_color' => isset( $shortcode['atts']['timeline_circle_border_color'] ) && $shortcode['atts']['timeline_circle_border_color'] != '' ? $shortcode['atts']['timeline_circle_border_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-border-color' ) ),
                            'timeline_circle_background_color' => isset( $shortcode['atts']['timeline_circle_background_color'] ) && $shortcode['atts']['timeline_circle_background_color'] != '' ? $shortcode['atts']['timeline_circle_background_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                            'timeline_circle_box_shadow_horizontal_length' => isset( $shortcode['atts']['timeline_circle_box_shadow_horizontal_length'] ) && $shortcode['atts']['timeline_circle_box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['timeline_circle_box_shadow_horizontal_length'] ) ? $shortcode['atts']['timeline_circle_box_shadow_horizontal_length'] : '0',
                            'timeline_circle_box_shadow_vertical_length' => isset( $shortcode['atts']['timeline_circle_box_shadow_vertical_length'] ) && $shortcode['atts']['timeline_circle_box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['timeline_circle_box_shadow_vertical_length'] ) ? $shortcode['atts']['timeline_circle_box_shadow_vertical_length'] : '0',
                            'timeline_circle_box_shadow_blur_radius' => isset( $shortcode['atts']['timeline_circle_box_shadow_blur_radius'] ) && $shortcode['atts']['timeline_circle_box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['timeline_circle_box_shadow_blur_radius'] ) ? $shortcode['atts']['timeline_circle_box_shadow_blur_radius'] : '0',
                            'timeline_circle_box_shadow_spread_radius' => isset( $shortcode['atts']['timeline_circle_box_shadow_spread_radius'] ) && $shortcode['atts']['timeline_circle_box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['timeline_circle_box_shadow_spread_radius'] ) ? $shortcode['atts']['timeline_circle_box_shadow_spread_radius'] : '0',
                            'timeline_circle_box_shadow_color' => isset( $shortcode['atts']['timeline_circle_box_shadow_color'] ) && $shortcode['atts']['timeline_circle_box_shadow_color'] != '' ? $shortcode['atts']['timeline_circle_box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) ),
                            'next_prev_arrow_color' => isset( $shortcode['atts']['next_prev_arrow_color'] ) && $shortcode['atts']['next_prev_arrow_color'] != '' ? $shortcode['atts']['next_prev_arrow_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-icon-color' ) ),
                            'next_prev_arrow_color_hover' => isset( $shortcode['atts']['next_prev_arrow_color_hover'] ) && $shortcode['atts']['next_prev_arrow_color_hover'] != '' ? $shortcode['atts']['next_prev_arrow_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                            'next_prev_arrow_container_background' => isset( $shortcode['atts']['next_prev_arrow_container_background'] ) && $shortcode['atts']['next_prev_arrow_container_background'] != '' ? $shortcode['atts']['next_prev_arrow_container_background'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                            'next_prev_arrow_container_background_hover' => isset( $shortcode['atts']['next_prev_arrow_container_background_hover'] ) && $shortcode['atts']['next_prev_arrow_container_background_hover'] != '' ? $shortcode['atts']['next_prev_arrow_container_background_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                            'next_prev_arrow_container_border_color' => isset( $shortcode['atts']['next_prev_arrow_container_border_color'] ) && $shortcode['atts']['next_prev_arrow_container_border_color'] != '' ? $shortcode['atts']['next_prev_arrow_container_border_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-border-color' ) ),
                            'next_prev_arrow_container_border_color_hover' => isset( $shortcode['atts']['next_prev_arrow_container_border_color_hover'] ) && $shortcode['atts']['next_prev_arrow_container_border_color_hover'] != '' ? $shortcode['atts']['next_prev_arrow_container_border_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-hover-border-color' ) ),
                            'next_prev_arrow_container_box_shadow_horizontal_length' => isset( $shortcode['atts']['next_prev_arrow_container_box_shadow_horizontal_length'] ) && $shortcode['atts']['next_prev_arrow_container_box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['next_prev_arrow_container_box_shadow_horizontal_length'] ) ? $shortcode['atts']['next_prev_arrow_container_box_shadow_horizontal_length'] : '0',
                            'next_prev_arrow_container_box_shadow_vertical_length' => isset( $shortcode['atts']['next_prev_arrow_container_box_shadow_vertical_length'] ) && $shortcode['atts']['next_prev_arrow_container_box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['next_prev_arrow_container_box_shadow_vertical_length'] ) ? $shortcode['atts']['next_prev_arrow_container_box_shadow_vertical_length'] : '0',
                            'next_prev_arrow_container_box_shadow_blur_radius' => isset( $shortcode['atts']['next_prev_arrow_container_box_shadow_blur_radius'] ) && $shortcode['atts']['next_prev_arrow_container_box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['next_prev_arrow_container_box_shadow_blur_radius'] ) ? $shortcode['atts']['next_prev_arrow_container_box_shadow_blur_radius'] : '0',
                            'next_prev_arrow_container_box_shadow_spread_radius' => isset( $shortcode['atts']['next_prev_arrow_container_box_shadow_spread_radius'] ) && $shortcode['atts']['next_prev_arrow_container_box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['next_prev_arrow_container_box_shadow_spread_radius'] ) ? $shortcode['atts']['next_prev_arrow_container_box_shadow_spread_radius'] : '0',
                            'next_prev_arrow_container_box_shadow_color' => isset( $shortcode['atts']['next_prev_arrow_container_box_shadow_color'] ) && $shortcode['atts']['next_prev_arrow_container_box_shadow_color'] != '' ? $shortcode['atts']['next_prev_arrow_container_box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) ),
                            'next_prev_arrow_container_box_shadow_horizontal_length_hover' => isset( $shortcode['atts']['next_prev_arrow_container_box_shadow_horizontal_length_hover'] ) && $shortcode['atts']['next_prev_arrow_container_box_shadow_horizontal_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['next_prev_arrow_container_box_shadow_horizontal_length_hover'] ) ? $shortcode['atts']['next_prev_arrow_container_box_shadow_horizontal_length_hover'] : '0',
                            'next_prev_arrow_container_box_shadow_vertical_length_hover' => isset( $shortcode['atts']['next_prev_arrow_container_box_shadow_vertical_length_hover'] ) && $shortcode['atts']['next_prev_arrow_container_box_shadow_vertical_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['next_prev_arrow_container_box_shadow_vertical_length_hover'] ) ? $shortcode['atts']['next_prev_arrow_container_box_shadow_vertical_length_hover'] : '0',
                            'next_prev_arrow_container_box_shadow_blur_radius_hover' => isset( $shortcode['atts']['next_prev_arrow_container_box_shadow_blur_radius_hover'] ) && $shortcode['atts']['next_prev_arrow_container_box_shadow_blur_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['next_prev_arrow_container_box_shadow_blur_radius_hover'] ) ? $shortcode['atts']['next_prev_arrow_container_box_shadow_blur_radius_hover'] : '0',
                            'next_prev_arrow_container_box_shadow_spread_radius_hover' => isset( $shortcode['atts']['next_prev_arrow_container_box_shadow_spread_radius_hover'] ) && $shortcode['atts']['next_prev_arrow_container_box_shadow_spread_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['next_prev_arrow_container_box_shadow_spread_radius_hover'] ) ? $shortcode['atts']['next_prev_arrow_container_box_shadow_spread_radius_hover'] : '0',
                            'next_prev_arrow_container_box_shadow_color_hover' => isset( $shortcode['atts']['next_prev_arrow_container_box_shadow_color_hover'] ) && $shortcode['atts']['next_prev_arrow_container_box_shadow_color_hover'] != '' ? $shortcode['atts']['next_prev_arrow_container_box_shadow_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) )
                        );

                        # full width testimonial - elements widths
                        if( $attributes['display_as'] == 'as_full_width' ) {

                            # switch by elements per screen
                            switch( $attributes['how_many_timeline_elements_on_screen'] ) {

                                # one element per screen
                                case '1':

                                    # update single element widths
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-timeline.ueldo-shortcode-timeline-display-as-full-width[data-elements-per-screen="1"] .ueldo-shortcode-timeline-element',
                                        array(
                                            '1200_more' => array(
                                                'width' => esc_attr( ( int ) ueldo_get_theme_options_value( 'boxed-website', false, 'large-content-width' ) + 30 )
                                            ),
                                            '992_1199' => array(
                                                'width' => esc_attr( ( int ) ueldo_get_theme_options_value( 'boxed-website', false, 'medium-content-width' ) + 30 )
                                            ),
                                            '768_991' => array(
                                                'width' => esc_attr( ( int ) ueldo_get_theme_options_value( 'boxed-website', false, 'small-content-width' ) + 30 )
                                            )
                                        )
                                    );

                                break;

                                # two elements per screen
                                case '2':

                                    # update single element widths
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-timeline.ueldo-shortcode-timeline-display-as-full-width[data-elements-per-screen="2"] .ueldo-shortcode-timeline-element',
                                        array(
                                            '1200_more' => array(
                                                'width' => esc_attr( ( ( int ) ueldo_get_theme_options_value( 'boxed-website', false, 'large-content-width' ) + 30 ) / 2 )
                                            ),
                                            '992_1199' => array(
                                                'width' => esc_attr( ( ( int ) ueldo_get_theme_options_value( 'boxed-website', false, 'medium-content-width' ) + 30 ) / 2 )
                                            ),
                                            '768_991' => array(
                                                'width' => esc_attr( ( ( int ) ueldo_get_theme_options_value( 'boxed-website', false, 'small-content-width' ) + 30 ) / 2 )
                                            )
                                        )
                                    );

                                break;

                                # three elements per screen
                                case '3':

                                    # update single element widths
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-timeline.ueldo-shortcode-timeline-display-as-full-width[data-elements-per-screen="3"] .ueldo-shortcode-timeline-element',
                                        array(
                                            '1200_more' => array(
                                                'width' => esc_attr( ( ( int ) ueldo_get_theme_options_value( 'boxed-website', false, 'large-content-width' ) + 30 ) / 3 )
                                            ),
                                            '992_1199' => array(
                                                'width' => esc_attr( ( ( int ) ueldo_get_theme_options_value( 'boxed-website', false, 'medium-content-width' ) + 30 ) / 3 )
                                            ),
                                            '768_991' => array(
                                                'width' => esc_attr( ( ( int ) ueldo_get_theme_options_value( 'boxed-website', false, 'small-content-width' ) + 30 ) / 3 )
                                            )
                                        )
                                    );

                                break;

                                # four elements per screen
                                case '4':

                                    # update single element widths
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-timeline.ueldo-shortcode-timeline-display-as-full-width[data-elements-per-screen="4"] .ueldo-shortcode-timeline-element',
                                        array(
                                            '1200_more' => array(
                                                'width' => esc_attr( ( ( int ) ueldo_get_theme_options_value( 'boxed-website', false, 'large-content-width' ) + 30 ) / 4 )
                                            ),
                                            '992_1199' => array(
                                                'width' => esc_attr( ( ( int ) ueldo_get_theme_options_value( 'boxed-website', false, 'medium-content-width' ) + 30 ) / 4 )
                                            ),
                                            '768_991' => array(
                                                'width' => esc_attr( ( ( int ) ueldo_get_theme_options_value( 'boxed-website', false, 'small-content-width' ) + 30 ) / 4 )
                                            )
                                        )
                                    );

                                break;
                            }
                        }

                        # temporary variable
                        $temp = array(
                            'timeline-id' => esc_attr( str_replace( 'ueldo_vc_element_', '', $shortcode['atts']['class_name'] ) )
                        );

                        # can we set custom next / prev arrows settings?
                        if( $attributes['custom_next_prev_arrows_settings'] != 'theme_defaults' ) {

                            # use integrated next/prev icons
                            if( $attributes['display_as'] == 'as_card' ) {

                                # update next / prev arrow font size
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-timeline-next-prev-icons .ueldo-shortcode-timeline-next-prev-icon i, .'. esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-timeline-next-prev-icons .ueldo-shortcode-timeline-next-prev-icon i:before',
                                    array(
                                        'font-size' => esc_attr( $attributes['arrow_font_size'] )
                                    )
                                );

                                # update container sizes
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-timeline-next-prev-icons .ueldo-shortcode-timeline-next-prev-icon',
                                    array(
                                        'padding' => esc_attr( $attributes['arrow_padding_top_bottom'] ) .'px '. esc_attr( $attributes['arrow_padding_left_right_for_card'] ) .'px',
                                        '-webkit-border-radius' => esc_attr( $attributes['arrow_border_radius'] ),
                                        '-moz-border-radius' => esc_attr( $attributes['arrow_border_radius'] ),
                                        'border-radius' => esc_attr( $attributes['arrow_border_radius'] ),
                                        'border-width' => esc_attr( $attributes['arrow_border_width'] )
                                    )
                                );
                            }

                            # use separated next/prev icons
                            else {

                                # update next / prev arrow container width
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-timeline-separate-next-prev-icons[data-timeline-id="'. esc_attr( $temp['timeline-id'] ) .'"]',
                                    array(
                                        'width' => esc_attr( ( ( $attributes['arrow_font_size'] + ( $attributes['arrow_padding_left_right_for_full_width'] * 2 ) + ( $attributes['arrow_border_width'] * 2 ) ) * 2 ) + 4 )
                                    )
                                );

                                # update next / prev arrow font size
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-timeline-separate-next-prev-icons[data-timeline-id="'. esc_attr( $temp['timeline-id'] ) .'"] .ueldo-shortcode-timeline-next-prev-icon i, .ueldo-shortcode-timeline-separate-next-prev-icons[data-timeline-id="'. esc_attr( $temp['timeline-id'] ) .'"] .ueldo-shortcode-timeline-next-prev-icon i:before',
                                    array(
                                        'font-size' => esc_attr( $attributes['arrow_font_size'] )
                                    )
                                );

                                # update container sizes
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-timeline-separate-next-prev-icons[data-timeline-id="'. esc_attr( $temp['timeline-id'] ) .'"] .ueldo-shortcode-timeline-next-prev-icon',
                                    array(
                                        'padding' => esc_attr( $attributes['arrow_padding_top_bottom'] ) .'px '. esc_attr( $attributes['arrow_padding_left_right_for_full_width'] ) .'px',
                                        '-webkit-border-radius' => esc_attr( $attributes['arrow_border_radius'] ),
                                        '-moz-border-radius' => esc_attr( $attributes['arrow_border_radius'] ),
                                        'border-radius' => esc_attr( $attributes['arrow_border_radius'] ),
                                        'border-width' => esc_attr( $attributes['arrow_border_width'] )
                                    )
                                );
                            }
                        }

                        # can we set custom sizes?
                        if( $attributes['custom_sizes_enabled'] != 'theme_defaults' ) {

                            # display timeline as card?
                            if( $attributes['display_as'] == 'as_card' ) {

                                # update card styles
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-timeline.ueldo-shortcode-timeline-display-as-card',
                                    array(
                                        'border-width' => esc_attr( $attributes['card_border_width'] ),
                                        'padding-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) => esc_attr( $attributes['timeline_elements_padding_value_for_card'] ),
                                        '-webkit-border-radius' => esc_attr( $attributes['card_border_radius_px'] ),
                                        '-moz-border-radius' => esc_attr( $attributes['card_border_radius_px'] ),
                                        'border-radius' => esc_attr( $attributes['card_border_radius_px'] )
                                    )
                                );

                                # update card container padding and margin values
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-timeline.ueldo-shortcode-timeline-display-as-card .ueldo-shortcode-timeline-loop-container',
                                    array(
                                        'padding-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) => esc_attr( $attributes['timeline_element_circle_width'] / 2 ),
                                        'margin-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) => '-'. esc_attr( $attributes['timeline_element_circle_width'] / 2 ),
                                    )
                                );

                                # update card inner styles
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-timeline.ueldo-shortcode-timeline-display-as-card .ueldo-shortcode-timeline-card-inner',
                                    array(
                                        'padding' => '0 0 '. esc_attr( $attributes['timeline_elements_padding_value_for_card'] ) .'px 0',
                                        '-webkit-border-radius' => esc_attr( $attributes['card_border_radius_px'] ),
                                        '-moz-border-radius' => esc_attr( $attributes['card_border_radius_px'] ),
                                        'border-radius' => esc_attr( $attributes['card_border_radius_px'] )
                                    )
                                );

                                # update card inner styles
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-timeline.ueldo-shortcode-timeline-display-as-card:before',
                                    array(
                                        'width' => esc_attr( $attributes['timeline_line_thickness'] ),
                                        esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) => esc_attr( $attributes['timeline_elements_padding_value_for_card'] - ( $attributes['timeline_line_thickness'] / 2 ) ) .'px'
                                    )
                                );

                                # update timeline element paddings
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-timeline.ueldo-shortcode-timeline-display-as-card .ueldo-shortcode-timeline-element',
                                    array(
                                        'padding' => esc_attr( $attributes['timeline_elements_padding_value_for_card'] ) .'px '. esc_attr( $attributes['timeline_elements_padding_value_for_card'] ) .'px 0 '. esc_attr( $attributes['timeline_elements_padding_value_for_card'] ) .'px',
                                    )
                                );

                                # timeline element circle styles
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-timeline.ueldo-shortcode-timeline-display-as-card .ueldo-shortcode-timeline-element:before',
                                    array(
                                        'width' => esc_attr( $attributes['timeline_element_circle_width'] ),
                                        'height' => esc_attr( $attributes['timeline_element_circle_height'] ),
                                        '-webkit-border-radius'. esc_attr( $attributes['timeline_element_circle_border_radius'] == 'circle' ? '-%' : '' ) => esc_attr( $attributes['timeline_element_circle_border_radius'] == 'circle' ? '100%' : $attributes['timeline_element_circle_border_radius_px'] ),
                                        '-moz-border-radius'. esc_attr( $attributes['timeline_element_circle_border_radius'] == 'circle' ? '-%' : '' ) => esc_attr( $attributes['timeline_element_circle_border_radius'] == 'circle' ? '100%' : $attributes['timeline_element_circle_border_radius_px'] ),
                                        'border-radius'. esc_attr( $attributes['timeline_element_circle_border_radius'] == 'circle' ? '-%' : '' ) => esc_attr( $attributes['timeline_element_circle_border_radius'] == 'circle' ? '100%' : $attributes['timeline_element_circle_border_radius_px'] ),
                                        esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) => '-'. esc_attr( $attributes['timeline_element_circle_width'] / 2 ) .'px',
                                        'top' => esc_attr( $attributes['timeline_elements_padding_value_for_card'] + ( ( ( $attributes['timeline_element_date_font_size'] + ( $attributes['timeline_element_date_padding_top_bottom'] * 2 ) + ( $attributes['timeline_element_date_border_width'] * 2 ) ) - $attributes['timeline_element_circle_height'] ) / 2 ) ) .'px',
                                        'border-width' => esc_attr( $attributes['timeline_element_circle_border_width'] )
                                    )
                                );

                                # timeline element date styles
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-timeline.ueldo-shortcode-timeline-display-as-card .ueldo-shortcode-timeline-element .ueldo-shortcode-timeline-element-date',
                                    array(
                                        'font-size' => esc_attr( $attributes['timeline_element_date_font_size'] ),
                                        'padding' => esc_attr( $attributes['timeline_element_date_padding_top_bottom'] ) .'px '. esc_attr( $attributes['timeline_element_date_padding_left_right'] ) .'px',
                                        '-webkit-border-radius' => esc_attr( $attributes['timeline_element_date_border_radius'] ),
                                        '-moz-border-radius' => esc_attr( $attributes['timeline_element_date_border_radius'] ),
                                        'border-radius' => esc_attr( $attributes['timeline_element_date_border_radius'] ),
                                        'margin-bottom' => esc_attr( $attributes['timeline_element_date_margin_bottom'] ),
                                        'border-width' => esc_attr( $attributes['timeline_element_date_border_width'] )
                                    )
                                );

                                # is rtl?
                                if( ueldo_is_rtl() ) {

                                    # timeline card next / prev icons container paddings
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-timeline.ueldo-shortcode-timeline-display-as-card .ueldo-shortcode-timeline-next-prev-icons',
                                        array(
                                            'padding' => esc_attr( $attributes['timeline_elements_padding_value_for_card'] ) .'px '. esc_attr( $attributes['timeline_elements_padding_value_for_card'] ) .'px 0 0'
                                        )
                                    );
                                }

                                # ltr
                                else {

                                    # timeline card next / prev icons container paddings
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-timeline.ueldo-shortcode-timeline-display-as-card .ueldo-shortcode-timeline-next-prev-icons',
                                        array(
                                            'padding' => esc_attr( $attributes['timeline_elements_padding_value_for_card'] ) .'px 0 0 '. esc_attr( $attributes['timeline_elements_padding_value_for_card'] ) .'px'
                                        )
                                    );
                                }
                            }

                            # display timeline as full-width
                            else {

                                # timeline loop container elements padding
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-timeline.ueldo-shortcode-timeline-display-as-full-width .ueldo-shortcode-timeline-loop-container .ueldo-shortcode-timeline-loop-container-elements',
                                    array(
                                        'padding-top' => esc_attr( ( $attributes['timeline_element_circle_width'] - $attributes['timeline_line_thickness'] ) / 2 )
                                    )
                                );

                                # timeline line styles
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-timeline.ueldo-shortcode-timeline-display-as-full-width:before',
                                    array(
                                        '1200_more' => array(
                                            'height' => esc_attr( $attributes['timeline_line_thickness'] ),
                                            'margin-top' => esc_attr( ( $attributes['timeline_element_circle_width'] - $attributes['timeline_line_thickness'] ) / 2 )
                                        ),
                                        '992_1199' => array(
                                            'height' => esc_attr( $attributes['timeline_line_thickness'] ),
                                            'margin-top' => esc_attr( ( $attributes['timeline_element_circle_width'] - $attributes['timeline_line_thickness'] ) / 2 )
                                        ),
                                        '768_991' => array(
                                            'height' => esc_attr( $attributes['timeline_line_thickness'] ),
                                            'margin-top' => esc_attr( ( $attributes['timeline_element_circle_width'] - $attributes['timeline_line_thickness'] ) / 2 )
                                        ),
                                        'less_767' => array(
                                            'width' => esc_attr( $attributes['timeline_line_thickness'] ),
                                            esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) => esc_attr( 30 - ( $attributes['timeline_line_thickness'] / 2 ) ) .'px',
                                        )
                                    )
                                );

                                # single timeline element (not for first child)
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-timeline.ueldo-shortcode-timeline-display-as-full-width .ueldo-shortcode-timeline-element',
                                    array(
                                        'padding-top' => esc_attr( $attributes['timeline_elements_padding_value_for_full_width'] ),
                                        'padding-'. esc_attr( ueldo_is_rtl() ? 'left' : 'right' ) => esc_attr( $attributes['timeline_elements_padding_value_for_full_width'] ),
                                        'padding-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) => esc_attr( $attributes['timeline_elements_padding_value_for_full_width'] + 15 ),
                                    )
                                );

                                # single timeline element (only for first child)
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-timeline.ueldo-shortcode-timeline-display-as-full-width .ueldo-shortcode-timeline-element:first-child',
                                    array(
                                        'less_767' => array(
                                            'padding-top' => '0'
                                        )
                                    )
                                );

                                # single timeline element circle
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-timeline.ueldo-shortcode-timeline-display-as-full-width .ueldo-shortcode-timeline-element:before',
                                    array(
                                        '1200_more' => array(
                                            'width' => esc_attr( $attributes['timeline_element_circle_width'] ),
                                            'height' => esc_attr( $attributes['timeline_element_circle_height'] ),
                                            '-webkit-border-radius'. esc_attr( $attributes['timeline_element_circle_border_radius'] == 'circle' ? '-%' : '' ) => esc_attr( $attributes['timeline_element_circle_border_radius'] == 'circle' ? '100%' : $attributes['timeline_element_circle_border_radius_px'] ),
                                            '-moz-border-radius'. esc_attr( $attributes['timeline_element_circle_border_radius'] == 'circle' ? '-%' : '' ) => esc_attr( $attributes['timeline_element_circle_border_radius'] == 'circle' ? '100%' : $attributes['timeline_element_circle_border_radius_px'] ),
                                            'border-radius'. esc_attr( $attributes['timeline_element_circle_border_radius'] == 'circle' ? '-%' : '' ) => esc_attr( $attributes['timeline_element_circle_border_radius'] == 'circle' ? '100%' : $attributes['timeline_element_circle_border_radius_px'] ),
                                            esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) => esc_attr( 15 - ( ( $attributes['timeline_element_circle_width'] - $attributes['single_timeline_element_line_to_circle_thickness'] ) / 2 ) ) .'px',
                                            'border-width' => esc_attr( $attributes['timeline_element_circle_border_width'] ),
                                            'top' => '-'. esc_attr( ( $attributes['timeline_element_circle_width'] - $attributes['timeline_line_thickness'] ) / 2 ) .'px'
                                        ),
                                        '992_1199' => array(
                                            'width' => esc_attr( $attributes['timeline_element_circle_width'] ),
                                            'height' => esc_attr( $attributes['timeline_element_circle_height'] ),
                                            '-webkit-border-radius'. esc_attr( $attributes['timeline_element_circle_border_radius'] == 'circle' ? '-%' : '' ) => esc_attr( $attributes['timeline_element_circle_border_radius'] == 'circle' ? '100%' : $attributes['timeline_element_circle_border_radius_px'] ),
                                            '-moz-border-radius'. esc_attr( $attributes['timeline_element_circle_border_radius'] == 'circle' ? '-%' : '' ) => esc_attr( $attributes['timeline_element_circle_border_radius'] == 'circle' ? '100%' : $attributes['timeline_element_circle_border_radius_px'] ),
                                            'border-radius'. esc_attr( $attributes['timeline_element_circle_border_radius'] == 'circle' ? '-%' : '' ) => esc_attr( $attributes['timeline_element_circle_border_radius'] == 'circle' ? '100%' : $attributes['timeline_element_circle_border_radius_px'] ),
                                            esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) => esc_attr( 15 - ( ( $attributes['timeline_element_circle_width'] - $attributes['single_timeline_element_line_to_circle_thickness'] ) / 2 ) ) .'px',
                                            'border-width' => esc_attr( $attributes['timeline_element_circle_border_width'] ),
                                            'top' => '-'. esc_attr( ( $attributes['timeline_element_circle_width'] - $attributes['timeline_line_thickness'] ) / 2 ) .'px'
                                        ),
                                        '768_991' => array(
                                            'width' => esc_attr( $attributes['timeline_element_circle_width'] ),
                                            'height' => esc_attr( $attributes['timeline_element_circle_height'] ),
                                            '-webkit-border-radius'. esc_attr( $attributes['timeline_element_circle_border_radius'] == 'circle' ? '-%' : '' ) => esc_attr( $attributes['timeline_element_circle_border_radius'] == 'circle' ? '100%' : $attributes['timeline_element_circle_border_radius_px'] ),
                                            '-moz-border-radius'. esc_attr( $attributes['timeline_element_circle_border_radius'] == 'circle' ? '-%' : '' ) => esc_attr( $attributes['timeline_element_circle_border_radius'] == 'circle' ? '100%' : $attributes['timeline_element_circle_border_radius_px'] ),
                                            'border-radius'. esc_attr( $attributes['timeline_element_circle_border_radius'] == 'circle' ? '-%' : '' ) => esc_attr( $attributes['timeline_element_circle_border_radius'] == 'circle' ? '100%' : $attributes['timeline_element_circle_border_radius_px'] ),
                                            esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) => esc_attr( 15 - ( ( $attributes['timeline_element_circle_width'] - $attributes['single_timeline_element_line_to_circle_thickness'] ) / 2 ) ) .'px',
                                            'border-width' => esc_attr( $attributes['timeline_element_circle_border_width'] ),
                                            'top' => '-'. esc_attr( ( $attributes['timeline_element_circle_width'] - $attributes['timeline_line_thickness'] ) / 2 ) .'px'
                                        ),
                                        'less_767' => array(
                                            'width' => esc_attr( $attributes['timeline_element_circle_width'] ),
                                            'height' => esc_attr( $attributes['timeline_element_circle_height'] ),
                                            '-webkit-border-radius'. esc_attr( $attributes['timeline_element_circle_border_radius'] == 'circle' ? '-%' : '' ) => esc_attr( $attributes['timeline_element_circle_border_radius'] == 'circle' ? '100%' : $attributes['timeline_element_circle_border_radius_px'] ),
                                            '-moz-border-radius'. esc_attr( $attributes['timeline_element_circle_border_radius'] == 'circle' ? '-%' : '' ) => esc_attr( $attributes['timeline_element_circle_border_radius'] == 'circle' ? '100%' : $attributes['timeline_element_circle_border_radius_px'] ),
                                            'border-radius'. esc_attr( $attributes['timeline_element_circle_border_radius'] == 'circle' ? '-%' : '' ) => esc_attr( $attributes['timeline_element_circle_border_radius'] == 'circle' ? '100%' : $attributes['timeline_element_circle_border_radius_px'] ),
                                            esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) => esc_attr( 15 - ( $attributes['timeline_element_circle_width'] / 2 ) ) .'px',
                                            'border-width' => esc_attr( $attributes['timeline_element_circle_border_width'] ),
                                            'top' => esc_attr( $attributes['timeline_elements_padding_value_for_full_width'] + ( ( ( $attributes['timeline_element_date_font_size'] + ( $attributes['timeline_element_date_padding_top_bottom'] * 2 ) + ( $attributes['timeline_element_date_border_width'] * 2 ) ) - $attributes['timeline_element_circle_height'] ) / 2 ) ) .'px'
                                        )
                                    )
                                );

                                # single timeline element line to circle
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-timeline.ueldo-shortcode-timeline-display-as-full-width .ueldo-shortcode-timeline-element:after',
                                    array(
                                        'width' => esc_attr( $attributes['single_timeline_element_line_to_circle_thickness'] ),
                                        'height' => esc_attr( $attributes['single_timeline_element_line_to_circle_height'] )
                                    )
                                );

                                # timeline element date styles
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-timeline.ueldo-shortcode-timeline-display-as-full-width .ueldo-shortcode-timeline-element .ueldo-shortcode-timeline-element-date',
                                    array(
                                        'font-size' => esc_attr( $attributes['timeline_element_date_font_size'] ),
                                        'padding' => esc_attr( $attributes['timeline_element_date_padding_top_bottom'] ) .'px '. esc_attr( $attributes['timeline_element_date_padding_left_right'] ) .'px',
                                        '-webkit-border-radius' => esc_attr( $attributes['timeline_element_date_border_radius'] ),
                                        '-moz-border-radius' => esc_attr( $attributes['timeline_element_date_border_radius'] ),
                                        'border-radius' => esc_attr( $attributes['timeline_element_date_border_radius'] ),
                                        'margin-bottom' => esc_attr( $attributes['timeline_element_date_margin_bottom'] ),
                                        'border-width' => esc_attr( $attributes['timeline_element_date_border_width'] )
                                    )
                                );

                                # first timeline element circle position
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-timeline.ueldo-shortcode-timeline-display-as-full-width .ueldo-shortcode-timeline-element:first-child:before',
                                    array(
                                        'less_767' => array(
                                            'top' => esc_attr( ( ( $attributes['timeline_element_date_font_size'] + ( $attributes['timeline_element_date_padding_top_bottom'] * 2 ) + ( $attributes['timeline_element_date_border_width'] * 2 ) ) - $attributes['timeline_element_circle_height'] ) / 2 ) .'px'
                                        )
                                    )
                                );
                            }
                        }

                        # can we set custom colors?
                        if( $attributes['custom_colors_enabled'] != 'theme_defaults' ) {

                            # do we have timeline displayed as card?
                            if( $attributes['display_as'] == 'as_card' ) {

                                # card styles
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-timeline.ueldo-shortcode-timeline-display-as-card',
                                    array(
                                        'background' => esc_attr( $attributes['card_background_color'] ),
                                        'border-color' => esc_attr( $attributes['card_border_color'] ),
                                        '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['card_box_shadow_horizontal_length'], $attributes['card_box_shadow_vertical_length'], $attributes['card_box_shadow_blur_radius'], $attributes['card_box_shadow_spread_radius'], $attributes['card_box_shadow_color'] ),
                                        '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['card_box_shadow_horizontal_length'], $attributes['card_box_shadow_vertical_length'], $attributes['card_box_shadow_blur_radius'], $attributes['card_box_shadow_spread_radius'], $attributes['card_box_shadow_color'] ),
                                        'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['card_box_shadow_horizontal_length'], $attributes['card_box_shadow_vertical_length'], $attributes['card_box_shadow_blur_radius'], $attributes['card_box_shadow_spread_radius'], $attributes['card_box_shadow_color'] )
                                    )
                                );

                                # card styles (on hover)
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-timeline.ueldo-shortcode-timeline-display-as-card:hover',
                                    array(
                                        'background' => esc_attr( $attributes['card_background_color_hover'] ),
                                        'border-color' => esc_attr( $attributes['card_border_color_hover'] ),
                                        '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['card_box_shadow_horizontal_length_hover'], $attributes['card_box_shadow_vertical_length_hover'], $attributes['card_box_shadow_blur_radius_hover'], $attributes['card_box_shadow_spread_radius_hover'], $attributes['card_box_shadow_color_hover'] ),
                                        '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['card_box_shadow_horizontal_length_hover'], $attributes['card_box_shadow_vertical_length_hover'], $attributes['card_box_shadow_blur_radius_hover'], $attributes['card_box_shadow_spread_radius_hover'], $attributes['card_box_shadow_color_hover'] ),
                                        'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['card_box_shadow_horizontal_length_hover'], $attributes['card_box_shadow_vertical_length_hover'], $attributes['card_box_shadow_blur_radius_hover'], $attributes['card_box_shadow_spread_radius_hover'], $attributes['card_box_shadow_color_hover'] )
                                    )
                                );

                                # next / prev arrow color
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-timeline-next-prev-icon i',
                                    array(
                                        'color' => esc_attr( $attributes['next_prev_arrow_color'] )
                                    )
                                );

                                # next / prev arrow (on hover) color
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-timeline-next-prev-icon:hover i',
                                    array(
                                        'color' => esc_attr( $attributes['next_prev_arrow_color_hover'] )
                                    )
                                );

                                # next / prev arrow container
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-timeline-next-prev-icon',
                                    array(
                                        'background' => esc_attr( $attributes['next_prev_arrow_container_background'] ),
                                        'border-color' => esc_attr( $attributes['next_prev_arrow_container_border_color'] ),
                                        '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['next_prev_arrow_container_box_shadow_horizontal_length'], $attributes['next_prev_arrow_container_box_shadow_vertical_length'], $attributes['next_prev_arrow_container_box_shadow_blur_radius'], $attributes['next_prev_arrow_container_box_shadow_spread_radius'], $attributes['next_prev_arrow_container_box_shadow_color'] ),
                                        '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['next_prev_arrow_container_box_shadow_horizontal_length'], $attributes['next_prev_arrow_container_box_shadow_vertical_length'], $attributes['next_prev_arrow_container_box_shadow_blur_radius'], $attributes['next_prev_arrow_container_box_shadow_spread_radius'], $attributes['next_prev_arrow_container_box_shadow_color'] ),
                                        'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['next_prev_arrow_container_box_shadow_horizontal_length'], $attributes['next_prev_arrow_container_box_shadow_vertical_length'], $attributes['next_prev_arrow_container_box_shadow_blur_radius'], $attributes['next_prev_arrow_container_box_shadow_spread_radius'], $attributes['next_prev_arrow_container_box_shadow_color'] )
                                    )
                                );

                                # next / prev arrow container (on hover)
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .' .ueldo-shortcode-timeline-next-prev-icon:hover',
                                    array(
                                        'background' => esc_attr( $attributes['next_prev_arrow_container_background_hover'] ),
                                        'border-color' => esc_attr( $attributes['next_prev_arrow_container_border_color_hover'] ),
                                        '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['next_prev_arrow_container_box_shadow_horizontal_length_hover'], $attributes['next_prev_arrow_container_box_shadow_vertical_length_hover'], $attributes['next_prev_arrow_container_box_shadow_blur_radius_hover'], $attributes['next_prev_arrow_container_box_shadow_spread_radius_hover'], $attributes['next_prev_arrow_container_box_shadow_color_hover'] ),
                                        '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['next_prev_arrow_container_box_shadow_horizontal_length_hover'], $attributes['next_prev_arrow_container_box_shadow_vertical_length_hover'], $attributes['next_prev_arrow_container_box_shadow_blur_radius_hover'], $attributes['next_prev_arrow_container_box_shadow_spread_radius_hover'], $attributes['next_prev_arrow_container_box_shadow_color_hover'] ),
                                        'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['next_prev_arrow_container_box_shadow_horizontal_length_hover'], $attributes['next_prev_arrow_container_box_shadow_vertical_length_hover'], $attributes['next_prev_arrow_container_box_shadow_blur_radius_hover'], $attributes['next_prev_arrow_container_box_shadow_spread_radius_hover'], $attributes['next_prev_arrow_container_box_shadow_color_hover'] )
                                    )
                                );
                            }

                            # full-width style - separated next / prev icons styles
                            else {

                                # next / prev arrow color
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-timeline-separate-next-prev-icons[data-timeline-id="'. esc_attr( $temp['timeline-id'] ) .'"] .ueldo-shortcode-timeline-next-prev-icon i',
                                    array(
                                        'color' => esc_attr( $attributes['next_prev_arrow_color'] )
                                    )
                                );

                                # next / prev arrow (on hover) color
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-timeline-separate-next-prev-icons[data-timeline-id="'. esc_attr( $temp['timeline-id'] ) .'"] .ueldo-shortcode-timeline-next-prev-icon:hover i',
                                    array(
                                        'color' => esc_attr( $attributes['next_prev_arrow_color_hover'] )
                                    )
                                );

                                # next / prev arrow container
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-timeline-separate-next-prev-icons[data-timeline-id="'. esc_attr( $temp['timeline-id'] ) .'"] .ueldo-shortcode-timeline-next-prev-icon',
                                    array(
                                        'background' => esc_attr( $attributes['next_prev_arrow_container_background'] ),
                                        'border-color' => esc_attr( $attributes['next_prev_arrow_container_border_color'] ),
                                        '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['next_prev_arrow_container_box_shadow_horizontal_length'], $attributes['next_prev_arrow_container_box_shadow_vertical_length'], $attributes['next_prev_arrow_container_box_shadow_blur_radius'], $attributes['next_prev_arrow_container_box_shadow_spread_radius'], $attributes['next_prev_arrow_container_box_shadow_color'] ),
                                        '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['next_prev_arrow_container_box_shadow_horizontal_length'], $attributes['next_prev_arrow_container_box_shadow_vertical_length'], $attributes['next_prev_arrow_container_box_shadow_blur_radius'], $attributes['next_prev_arrow_container_box_shadow_spread_radius'], $attributes['next_prev_arrow_container_box_shadow_color'] ),
                                        'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['next_prev_arrow_container_box_shadow_horizontal_length'], $attributes['next_prev_arrow_container_box_shadow_vertical_length'], $attributes['next_prev_arrow_container_box_shadow_blur_radius'], $attributes['next_prev_arrow_container_box_shadow_spread_radius'], $attributes['next_prev_arrow_container_box_shadow_color'] )
                                    )
                                );

                                # next / prev arrow container (on hover)
                                $shortcodes_styles -> update_style(
                                    'ueldo-shortcode-timeline-separate-next-prev-icons[data-timeline-id="'. esc_attr( $temp['timeline-id'] ) .'"] .ueldo-shortcode-timeline-next-prev-icon:hover',
                                    array(
                                        'background' => esc_attr( $attributes['next_prev_arrow_container_background_hover'] ),
                                        'border-color' => esc_attr( $attributes['next_prev_arrow_container_border_color_hover'] ),
                                        '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['next_prev_arrow_container_box_shadow_horizontal_length_hover'], $attributes['next_prev_arrow_container_box_shadow_vertical_length_hover'], $attributes['next_prev_arrow_container_box_shadow_blur_radius_hover'], $attributes['next_prev_arrow_container_box_shadow_spread_radius_hover'], $attributes['next_prev_arrow_container_box_shadow_color_hover'] ),
                                        '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['next_prev_arrow_container_box_shadow_horizontal_length_hover'], $attributes['next_prev_arrow_container_box_shadow_vertical_length_hover'], $attributes['next_prev_arrow_container_box_shadow_blur_radius_hover'], $attributes['next_prev_arrow_container_box_shadow_spread_radius_hover'], $attributes['next_prev_arrow_container_box_shadow_color_hover'] ),
                                        'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['next_prev_arrow_container_box_shadow_horizontal_length_hover'], $attributes['next_prev_arrow_container_box_shadow_vertical_length_hover'], $attributes['next_prev_arrow_container_box_shadow_blur_radius_hover'], $attributes['next_prev_arrow_container_box_shadow_spread_radius_hover'], $attributes['next_prev_arrow_container_box_shadow_color_hover'] )
                                    )
                                );

                                # full-width timeline element gradient border line
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-timeline.ueldo-shortcode-timeline-display-as-full-width .ueldo-shortcode-timeline-element:after',
                                    array(
                                        '-o-background-image' => '-o-linear-gradient( bottom, rgba( 255, 255, 255, 0 ) 0%, '. esc_attr( $attributes['timeline_line_color'] ) .' 100% )',
                                        '-moz-background-image' => '-moz-linear-gradient( bottom, rgba( 255, 255, 255, 0 ) 0%, '. esc_attr( $attributes['timeline_line_color'] ) .' 100% )',
                                        '-webkit-background-image' => '-webkit-linear-gradient( bottom, rgba( 255, 255, 255, 0 ) 0%, '. esc_attr( $attributes['timeline_line_color'] ) .' 100% )',
                                        '-ms-background-image' => '-ms-linear-gradient( bottom, rgba( 255, 255, 255, 0 ) 0%, '. esc_attr( $attributes['timeline_line_color'] ) .' 100% )',
                                        'background-image' => 'linear-gradient( to bottom, '. esc_attr( $attributes['timeline_line_color'] ) .' 0%, rgba( 255, 255, 255, 0 ) 100% )'
                                    )
                                );
                            }

                            # timeline element date styles
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-timeline .ueldo-shortcode-timeline-element .ueldo-shortcode-timeline-element-date',
                                array(
                                    'background' => esc_attr( $attributes['date_background_color'] ),
                                    'border-color' => esc_attr( $attributes['date_border_color'] ),
                                    'color' => esc_attr( $attributes['date_text_color'] ),
                                    '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['date_box_shadow_horizontal_length'], $attributes['date_box_shadow_vertical_length'], $attributes['date_box_shadow_blur_radius'], $attributes['date_box_shadow_spread_radius'], $attributes['date_box_shadow_color'] ),
                                    '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['date_box_shadow_horizontal_length'], $attributes['date_box_shadow_vertical_length'], $attributes['date_box_shadow_blur_radius'], $attributes['date_box_shadow_spread_radius'], $attributes['date_box_shadow_color'] ),
                                    'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['date_box_shadow_horizontal_length'], $attributes['date_box_shadow_vertical_length'], $attributes['date_box_shadow_blur_radius'], $attributes['date_box_shadow_spread_radius'], $attributes['date_box_shadow_color'] )
                                )
                            );

                            # timeline element line styles
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-timeline:before',
                                array(
                                    'background' => esc_attr( $attributes['timeline_line_color'] ),
                                    '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['timeline_line_box_shadow_horizontal_length'], $attributes['timeline_line_box_shadow_vertical_length'], $attributes['timeline_line_box_shadow_blur_radius'], $attributes['timeline_line_box_shadow_spread_radius'], $attributes['timeline_line_box_shadow_color'] ),
                                    '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['timeline_line_box_shadow_horizontal_length'], $attributes['timeline_line_box_shadow_vertical_length'], $attributes['timeline_line_box_shadow_blur_radius'], $attributes['timeline_line_box_shadow_spread_radius'], $attributes['timeline_line_box_shadow_color'] ),
                                    'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['timeline_line_box_shadow_horizontal_length'], $attributes['timeline_line_box_shadow_vertical_length'], $attributes['timeline_line_box_shadow_blur_radius'], $attributes['timeline_line_box_shadow_spread_radius'], $attributes['timeline_line_box_shadow_color'] )
                                )
                            );

                            # timeline element circle styles
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-timeline .ueldo-shortcode-timeline-element:before',
                                array(
                                    'border-color' => esc_attr( $attributes['timeline_circle_border_color'] ),
                                    'background' => esc_attr( $attributes['timeline_circle_background_color'] ),
                                    '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['timeline_circle_box_shadow_horizontal_length'], $attributes['timeline_circle_box_shadow_vertical_length'], $attributes['timeline_circle_box_shadow_blur_radius'], $attributes['timeline_circle_box_shadow_spread_radius'], $attributes['timeline_circle_box_shadow_color'] ),
                                    '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['timeline_circle_box_shadow_horizontal_length'], $attributes['timeline_circle_box_shadow_vertical_length'], $attributes['timeline_circle_box_shadow_blur_radius'], $attributes['timeline_circle_box_shadow_spread_radius'], $attributes['timeline_circle_box_shadow_color'] ),
                                    'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['timeline_circle_box_shadow_horizontal_length'], $attributes['timeline_circle_box_shadow_vertical_length'], $attributes['timeline_circle_box_shadow_blur_radius'], $attributes['timeline_circle_box_shadow_spread_radius'], $attributes['timeline_circle_box_shadow_color'] )
                                )
                            );
                        }

                        # remove temporary variable
                        unset( $temp );

                        # save css style
                        $shortcodes_styles -> save_styles();

                        # remove attributes array
                        unset( $attributes );

                    break;

                   /**
                    *
                    * ueldo_shortcode_presentation
                    *
                    */

                    case 'ueldo_shortcode_presentation':

                        # attributes array
                        $attributes = array(
                            'custom_sizes_enabled' => isset( $shortcode['atts']['custom_sizes_enabled'] ) && !empty( $shortcode['atts']['custom_sizes_enabled'] ) ? $shortcode['atts']['custom_sizes_enabled'] : 'theme_defaults',
                            'height_ratio' => isset( $shortcode['atts']['height_ratio'] ) && $shortcode['atts']['height_ratio'] != '' && ueldo_is_valid_float( $shortcode['atts']['height_ratio'] ) ? $shortcode['atts']['height_ratio'] : '54.54',
                            'border_width' => isset( $shortcode['atts']['border_width'] ) && $shortcode['atts']['border_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['border_width'] ) ? $shortcode['atts']['border_width'] : '0',
                            'border_radius' => isset( $shortcode['atts']['border_radius'] ) && $shortcode['atts']['border_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['border_radius'] ) ? $shortcode['atts']['border_radius'] : '4',
                            'images_switcher_bottom_margin' => isset( $shortcode['atts']['images_switcher_bottom_margin'] ) && $shortcode['atts']['images_switcher_bottom_margin'] != '' && ueldo_is_valid_number( $shortcode['atts']['images_switcher_bottom_margin'] ) ? $shortcode['atts']['images_switcher_bottom_margin'] : '-20',
                            'images_switcher_border_radius' => isset( $shortcode['atts']['images_switcher_border_radius'] ) && $shortcode['atts']['images_switcher_border_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['images_switcher_border_radius'] ) ? $shortcode['atts']['images_switcher_border_radius'] : '4',
                            'images_switcher_next_prev_icon_size' => isset( $shortcode['atts']['images_switcher_next_prev_icon_size'] ) && $shortcode['atts']['images_switcher_next_prev_icon_size'] != '' && ueldo_is_valid_number( $shortcode['atts']['images_switcher_next_prev_icon_size'] ) ? $shortcode['atts']['images_switcher_next_prev_icon_size'] : '18',
                            'images_switcher_next_prev_icon_margin' => isset( $shortcode['atts']['images_switcher_next_prev_icon_margin'] ) && $shortcode['atts']['images_switcher_next_prev_icon_margin'] != '' && ueldo_is_valid_number( $shortcode['atts']['images_switcher_next_prev_icon_margin'] ) ? $shortcode['atts']['images_switcher_next_prev_icon_margin'] : '0',
                            'images_switcher_next_prev_font_size' => isset( $shortcode['atts']['images_switcher_next_prev_font_size'] ) && $shortcode['atts']['images_switcher_next_prev_font_size'] != '' && ueldo_is_valid_number( $shortcode['atts']['images_switcher_next_prev_font_size'] ) ? $shortcode['atts']['images_switcher_next_prev_font_size'] : esc_attr( $ueldo_styles_cache -> get_style( 'font-size-content' ) ),
                            'images_switcher_next_prev_line_height' => isset( $shortcode['atts']['images_switcher_next_prev_line_height'] ) && $shortcode['atts']['images_switcher_next_prev_line_height'] != '' && ueldo_is_valid_number( $shortcode['atts']['images_switcher_next_prev_line_height'] ) ? $shortcode['atts']['images_switcher_next_prev_line_height'] : esc_attr( $ueldo_styles_cache -> get_style( 'line-height-general' ) ),
                            'custom_colors_enabled' => isset( $shortcode['atts']['custom_colors_enabled'] ) && !empty( $shortcode['atts']['custom_colors_enabled'] ) ? $shortcode['atts']['custom_colors_enabled'] : 'theme_defaults',
                            'box_shadow_horizontal_length' => isset( $shortcode['atts']['box_shadow_horizontal_length'] ) && $shortcode['atts']['box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_horizontal_length'] ) ? $shortcode['atts']['box_shadow_horizontal_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'horizontal-length' ) ),
                            'box_shadow_vertical_length' => isset( $shortcode['atts']['box_shadow_vertical_length'] ) && $shortcode['atts']['box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_vertical_length'] ) ? $shortcode['atts']['box_shadow_vertical_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'vertical-length' ) ),
                            'box_shadow_blur_radius' => isset( $shortcode['atts']['box_shadow_blur_radius'] ) && $shortcode['atts']['box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_blur_radius'] ) ? $shortcode['atts']['box_shadow_blur_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'blur-radius' ) ),
                            'box_shadow_spread_radius' => isset( $shortcode['atts']['box_shadow_spread_radius'] ) && $shortcode['atts']['box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_spread_radius'] ) ? $shortcode['atts']['box_shadow_spread_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'spread-radius' ) ),
                            'box_shadow_color' => isset( $shortcode['atts']['box_shadow_color'] ) && $shortcode['atts']['box_shadow_color'] != '' ? $shortcode['atts']['box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'color' ) ),
                            'box_shadow_horizontal_length_hover' => isset( $shortcode['atts']['box_shadow_horizontal_length_hover'] ) && $shortcode['atts']['box_shadow_horizontal_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_horizontal_length_hover'] ) ? $shortcode['atts']['box_shadow_horizontal_length_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'horizontal-length' ) ),
                            'box_shadow_vertical_length_hover' => isset( $shortcode['atts']['box_shadow_vertical_length_hover'] ) && $shortcode['atts']['box_shadow_vertical_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_vertical_length_hover'] ) ? $shortcode['atts']['box_shadow_vertical_length_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'vertical-length' ) ),
                            'box_shadow_blur_radius_hover' => isset( $shortcode['atts']['box_shadow_blur_radius_hover'] ) && $shortcode['atts']['box_shadow_blur_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_blur_radius_hover'] ) ? $shortcode['atts']['box_shadow_blur_radius_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'blur-radius' ) ),
                            'box_shadow_spread_radius_hover' => isset( $shortcode['atts']['box_shadow_spread_radius_hover'] ) && $shortcode['atts']['box_shadow_spread_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_spread_radius_hover'] ) ? $shortcode['atts']['box_shadow_spread_radius_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'spread-radius' ) ),
                            'box_shadow_color_hover' => isset( $shortcode['atts']['box_shadow_color_hover'] ) && $shortcode['atts']['box_shadow_color_hover'] != '' ? $shortcode['atts']['box_shadow_color_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'color' ) ),
                            'border_color' => isset( $shortcode['atts']['border_color'] ) && $shortcode['atts']['border_color'] != '' ? $shortcode['atts']['border_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-border-color' ) ),
                            'border_color_hover' => isset( $shortcode['atts']['border_color_hover'] ) && $shortcode['atts']['border_color_hover'] != '' ? $shortcode['atts']['border_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-border-color' ) ),
                            'images_switcher_background_color' => isset( $shortcode['atts']['images_switcher_background_color'] ) && $shortcode['atts']['images_switcher_background_color'] != '' ? $shortcode['atts']['images_switcher_background_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                            'images_switcher_background_color_hover' => isset( $shortcode['atts']['images_switcher_background_color_hover'] ) && $shortcode['atts']['images_switcher_background_color_hover'] != '' ? $shortcode['atts']['images_switcher_background_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                            'images_switcher_inside_border_color' => isset( $shortcode['atts']['images_switcher_inside_border_color'] ) && $shortcode['atts']['images_switcher_inside_border_color'] != '' ? $shortcode['atts']['images_switcher_inside_border_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-border-color' ) ),
                            'images_switcher_box_shadow_horizontal_length' => isset( $shortcode['atts']['images_switcher_box_shadow_horizontal_length'] ) && $shortcode['atts']['images_switcher_box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['images_switcher_box_shadow_horizontal_length'] ) ? $shortcode['atts']['images_switcher_box_shadow_horizontal_length'] : '0',
                            'images_switcher_box_shadow_vertical_length' => isset( $shortcode['atts']['images_switcher_box_shadow_vertical_length'] ) && $shortcode['atts']['images_switcher_box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['images_switcher_box_shadow_vertical_length'] ) ? $shortcode['atts']['images_switcher_box_shadow_vertical_length'] : '0',
                            'images_switcher_box_shadow_blur_radius' => isset( $shortcode['atts']['images_switcher_box_shadow_blur_radius'] ) && $shortcode['atts']['images_switcher_box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['images_switcher_box_shadow_blur_radius'] ) ? $shortcode['atts']['images_switcher_box_shadow_blur_radius'] : '0',
                            'images_switcher_box_shadow_spread_radius' => isset( $shortcode['atts']['images_switcher_box_shadow_spread_radius'] ) && $shortcode['atts']['images_switcher_box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['images_switcher_box_shadow_spread_radius'] ) ? $shortcode['atts']['images_switcher_box_shadow_spread_radius'] : '0',
                            'images_switcher_box_shadow_color' => isset( $shortcode['atts']['images_switcher_box_shadow_color'] ) && $shortcode['atts']['images_switcher_box_shadow_color'] != '' ? $shortcode['atts']['images_switcher_box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) ),
                            'images_switcher_box_shadow_horizontal_length_hover' => isset( $shortcode['atts']['images_switcher_box_shadow_horizontal_length_hover'] ) && $shortcode['atts']['images_switcher_box_shadow_horizontal_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['images_switcher_box_shadow_horizontal_length_hover'] ) ? $shortcode['atts']['images_switcher_box_shadow_horizontal_length_hover'] : '0',
                            'images_switcher_box_shadow_vertical_length_hover' => isset( $shortcode['atts']['images_switcher_box_shadow_vertical_length_hover'] ) && $shortcode['atts']['images_switcher_box_shadow_vertical_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['images_switcher_box_shadow_vertical_length_hover'] ) ? $shortcode['atts']['images_switcher_box_shadow_vertical_length_hover'] : '0',
                            'images_switcher_box_shadow_blur_radius_hover' => isset( $shortcode['atts']['images_switcher_box_shadow_blur_radius_hover'] ) && $shortcode['atts']['images_switcher_box_shadow_blur_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['images_switcher_box_shadow_blur_radius_hover'] ) ? $shortcode['atts']['images_switcher_box_shadow_blur_radius_hover'] : '0',
                            'images_switcher_box_shadow_spread_radius_hover' => isset( $shortcode['atts']['images_switcher_box_shadow_spread_radius_hover'] ) && $shortcode['atts']['images_switcher_box_shadow_spread_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['images_switcher_box_shadow_spread_radius_hover'] ) ? $shortcode['atts']['images_switcher_box_shadow_spread_radius_hover'] : '0',
                            'images_switcher_box_shadow_color_hover' => isset( $shortcode['atts']['images_switcher_box_shadow_color_hover'] ) && $shortcode['atts']['images_switcher_box_shadow_color_hover'] != '' ? $shortcode['atts']['images_switcher_box_shadow_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) ),
                            'images_switcher_next_prev_icon_color' => isset( $shortcode['atts']['images_switcher_next_prev_icon_color'] ) && $shortcode['atts']['images_switcher_next_prev_icon_color'] != '' ? $shortcode['atts']['images_switcher_next_prev_icon_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                            'images_switcher_next_prev_icon_color_hover' => isset( $shortcode['atts']['images_switcher_next_prev_icon_color_hover'] ) && $shortcode['atts']['images_switcher_next_prev_icon_color_hover'] != '' ? $shortcode['atts']['images_switcher_next_prev_icon_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                            'images_switcher_next_prev_text_color' => isset( $shortcode['atts']['images_switcher_next_prev_text_color'] ) && $shortcode['atts']['images_switcher_next_prev_text_color'] != '' ? $shortcode['atts']['images_switcher_next_prev_text_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-headings-color' ) ),
                            'images_switcher_next_prev_text_color_hover' => isset( $shortcode['atts']['images_switcher_next_prev_text_color_hover'] ) && $shortcode['atts']['images_switcher_next_prev_text_color_hover'] != '' ? $shortcode['atts']['images_switcher_next_prev_text_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                            'images_switcher_inactive_image_overlay' => isset( $shortcode['atts']['images_switcher_inactive_image_overlay'] ) && $shortcode['atts']['images_switcher_inactive_image_overlay'] != '' ? $shortcode['atts']['images_switcher_inactive_image_overlay'] : $ueldo_styles_cache -> get_style_from_pattern( 'presentation-elements-switcher-inactive-elements-overlay' ),
                            'images_switcher_active_image_border_color' => isset( $shortcode['atts']['images_switcher_active_image_border_color'] ) && $shortcode['atts']['images_switcher_active_image_border_color'] != '' ? $shortcode['atts']['images_switcher_active_image_border_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) )
                        );

                        # can we set custom sizes?
                        if( $attributes['custom_sizes_enabled'] != 'theme_defaults' ) {

                            # presentation container sizes
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-presentation',
                                array(
                                    'border-width' => esc_attr( $attributes['border_width'] ),
                                    '-webkit-border-radius' => esc_attr( $attributes['border_radius'] ),
                                    '-moz-border-radius' => esc_attr( $attributes['border_radius'] ),
                                    'border-radius' => esc_attr( $attributes['border_radius'] )
                                )
                            );

                            # presentation point of interest modal (full width) border radius
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-presentation .ueldo-shortcode-presentation-elements .ueldo-shortcode-presentation-element .ueldo-shortcode-presentation-point-of-interest .ueldo-shortcode-presentation-point-of-interest-content.ueldo-shortcode-presentation-point-of-interest-content-without-arrow',
                                array(
                                    '-webkit-border-radius' => esc_attr( $attributes['border_radius'] ),
                                    '-moz-border-radius' => esc_attr( $attributes['border_radius'] ),
                                    'border-radius' => esc_attr( $attributes['border_radius'] )
                                )
                            );

                            # presentation container margin bottom
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-presentation:not(.ueldo-shortcode-presentation-with-single-element)',
                                array(
                                    'margin-bottom' => esc_attr( $attributes['images_switcher_bottom_margin'] < 0 ? str_replace( '-', '', $attributes['images_switcher_bottom_margin'] ) : '0' )
                                )
                            );

                            # single presentation element border radius (if there is more than one presentation element)
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-presentation:not(.ueldo-shortcode-presentation-with-single-element) .ueldo-shortcode-presentation-element',
                                array(
                                    '1200_more' => array(
                                        '-webkit-border-radius' => esc_attr( $attributes['border_radius'] ),
                                        '-moz-border-radius' => esc_attr( $attributes['border_radius'] ),
                                        'border-radius' => esc_attr( $attributes['border_radius'] )
                                    ),
                                    '992_1199' => array(
                                        '-webkit-border-radius' => esc_attr( $attributes['border_radius'] ),
                                        '-moz-border-radius' => esc_attr( $attributes['border_radius'] ),
                                        'border-radius' => esc_attr( $attributes['border_radius'] )
                                    ),
                                    '768_991' => array(
                                        '-webkit-border-radius' => esc_attr( $attributes['border_radius'] ),
                                        '-moz-border-radius' => esc_attr( $attributes['border_radius'] ),
                                        'border-radius' => esc_attr( $attributes['border_radius'] )
                                    ),
                                    'less_767' => array(
                                        '-webkit-border-top-left-radius' => esc_attr( $attributes['border_radius'] ),
                                        '-moz-border-top-left-radius' => esc_attr( $attributes['border_radius'] ),
                                        'border-top-left-radius' => esc_attr( $attributes['border_radius'] ),
                                        '-webkit-border-top-right-radius' => esc_attr( $attributes['border_radius'] ),
                                        '-moz-border-top-right-radius' => esc_attr( $attributes['border_radius'] ),
                                        'border-top-right-radius' => esc_attr( $attributes['border_radius'] ),
                                        '-webkit-border-bottom-left-radius' => '0',
                                        '-moz-border-bottom-left-radius' => '0',
                                        'border-bottom-left-radius' => '0',
                                        '-webkit-border-bottom-right-radius' => '0',
                                        '-moz-border-bottom-right-radius' => '0',
                                        'border-bottom-right-radius' => '0'
                                    ),
                                )
                            );

                            # single presentation element border radius (if there is only one presentation element)
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-presentation.ueldo-shortcode-presentation-with-single-element .ueldo-shortcode-presentation-element',
                                array(
                                    '-webkit-border-radius' => esc_attr( $attributes['border_radius'] ),
                                    '-moz-border-radius' => esc_attr( $attributes['border_radius'] ),
                                    'border-radius' => esc_attr( $attributes['border_radius'] )
                                )
                            );

                            # presentation elements height to width ratio
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-presentation .ueldo-shortcode-presentation-elements',
                                array(
                                    'padding-top-%' => esc_attr( $attributes['height_ratio'] ) .'%'
                                )
                            );

                            # images switcher container sizes
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-presentation .ueldo-shortcode-presentation-elements-switcher',
                                array(
                                    '1200_more' => array(
                                         'bottom' => esc_attr( $attributes['images_switcher_bottom_margin'] ) .'px',
                                         '-webkit-border-radius' => esc_attr( $attributes['images_switcher_border_radius'] ),
                                         '-moz-border-radius' => esc_attr( $attributes['images_switcher_border_radius'] ),
                                         'border-radius' => esc_attr( $attributes['images_switcher_border_radius'] )
                                    ),
                                    '992_1199' => array(
                                         'bottom' => esc_attr( $attributes['images_switcher_bottom_margin'] ) .'px',
                                         '-webkit-border-radius' => esc_attr( $attributes['images_switcher_border_radius'] ),
                                         '-moz-border-radius' => esc_attr( $attributes['images_switcher_border_radius'] ),
                                         'border-radius' => esc_attr( $attributes['images_switcher_border_radius'] )
                                    ),
                                    '768_991' => array(
                                         'bottom' => esc_attr( $attributes['images_switcher_bottom_margin'] ) .'px',
                                         '-webkit-border-radius' => esc_attr( $attributes['images_switcher_border_radius'] ),
                                         '-moz-border-radius' => esc_attr( $attributes['images_switcher_border_radius'] ),
                                         'border-radius' => esc_attr( $attributes['images_switcher_border_radius'] )
                                    ),
                                    'less_767' => array(
                                         '-webkit-border-bottom-left-radius' => esc_attr( $attributes['images_switcher_border_radius'] ),
                                         '-moz-border-bottom-left-radius' => esc_attr( $attributes['images_switcher_border_radius'] ),
                                         'border-bottom-left-radius' => esc_attr( $attributes['images_switcher_border_radius'] ),
                                         '-webkit-border-bottom-right-radius' => esc_attr( $attributes['images_switcher_border_radius'] ),
                                         '-moz-border-bottom-right-radius' => esc_attr( $attributes['images_switcher_border_radius'] ),
                                         'border-bottom-right-radius' => esc_attr( $attributes['images_switcher_border_radius'] )
                                    )
                                )
                            );

                            # next / prev icon sizes
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-presentation .ueldo-shortcode-presentation-elements-switcher .ueldo-shortcode-presentation-elements-switcher-prev-images i, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-presentation .ueldo-shortcode-presentation-elements-switcher .ueldo-shortcode-presentation-elements-switcher-next-images i',
                                array(
                                    'font-size' => esc_attr( $attributes['images_switcher_next_prev_icon_size'] ),
                                    'margin-bottom' => esc_attr( $attributes['images_switcher_next_prev_icon_margin'] )
                                )
                            );

                            # next / prev text sizes
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-presentation .ueldo-shortcode-presentation-elements-switcher .ueldo-shortcode-presentation-elements-switcher-prev-images span.ueldo-shortcode-presentation-elements-switcher-prev-images-content, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-presentation .ueldo-shortcode-presentation-elements-switcher .ueldo-shortcode-presentation-elements-switcher-next-images span.ueldo-shortcode-presentation-elements-switcher-next-images-content',
                                array(
                                    'font-size' => esc_attr( $attributes['images_switcher_next_prev_font_size'] ),
                                    'line-height' => esc_attr( $attributes['images_switcher_next_prev_line_height'] )
                                )
                            );
                        }

                        # can we set custom colors?
                        if( $attributes['custom_colors_enabled'] != 'theme_defaults' ) {

                            # presentation container styles
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-presentation',
                                array(
                                    'border-color' => esc_attr( $attributes['border_color'] ),
                                    '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length'], $attributes['box_shadow_vertical_length'], $attributes['box_shadow_blur_radius'], $attributes['box_shadow_spread_radius'], $attributes['box_shadow_color'] ),
                                    '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length'], $attributes['box_shadow_vertical_length'], $attributes['box_shadow_blur_radius'], $attributes['box_shadow_spread_radius'], $attributes['box_shadow_color'] ),
                                    'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length'], $attributes['box_shadow_vertical_length'], $attributes['box_shadow_blur_radius'], $attributes['box_shadow_spread_radius'], $attributes['box_shadow_color'] )
                                )
                            );

                            # presentation container styles (on hover)
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-presentation:hover',
                                array(
                                    'border-color' => esc_attr( $attributes['border_color_hover'] ),
                                    '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length_hover'], $attributes['box_shadow_vertical_length_hover'], $attributes['box_shadow_blur_radius_hover'], $attributes['box_shadow_spread_radius_hover'], $attributes['box_shadow_color_hover'] ),
                                    '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length_hover'], $attributes['box_shadow_vertical_length_hover'], $attributes['box_shadow_blur_radius_hover'], $attributes['box_shadow_spread_radius_hover'], $attributes['box_shadow_color_hover'] ),
                                    'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length_hover'], $attributes['box_shadow_vertical_length_hover'], $attributes['box_shadow_blur_radius_hover'], $attributes['box_shadow_spread_radius_hover'], $attributes['box_shadow_color_hover'] )
                                )
                            );

                            # images switcher container styles
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-presentation .ueldo-shortcode-presentation-elements-switcher',
                                array(
                                    'general' => array(
                                        'background' => esc_attr( $attributes['images_switcher_background_color'] ),
                                        '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['images_switcher_box_shadow_horizontal_length'], $attributes['images_switcher_box_shadow_vertical_length'], $attributes['images_switcher_box_shadow_blur_radius'], $attributes['images_switcher_box_shadow_spread_radius'], $attributes['images_switcher_box_shadow_color'] ),
                                        '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['images_switcher_box_shadow_horizontal_length'], $attributes['images_switcher_box_shadow_vertical_length'], $attributes['images_switcher_box_shadow_blur_radius'], $attributes['images_switcher_box_shadow_spread_radius'], $attributes['images_switcher_box_shadow_color'] ),
                                        'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['images_switcher_box_shadow_horizontal_length'], $attributes['images_switcher_box_shadow_vertical_length'], $attributes['images_switcher_box_shadow_blur_radius'], $attributes['images_switcher_box_shadow_spread_radius'], $attributes['images_switcher_box_shadow_color'] )
                                    )
                                )
                            );

                            # images switcher container styles (on hover)
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-presentation .ueldo-shortcode-presentation-elements-switcher:hover',
                                array(
                                    'background' => esc_attr( $attributes['images_switcher_background_color_hover'] ),
                                    '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['images_switcher_box_shadow_horizontal_length_hover'], $attributes['images_switcher_box_shadow_vertical_length_hover'], $attributes['images_switcher_box_shadow_blur_radius_hover'], $attributes['images_switcher_box_shadow_spread_radius_hover'], $attributes['images_switcher_box_shadow_color_hover'] ),
                                    '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['images_switcher_box_shadow_horizontal_length_hover'], $attributes['images_switcher_box_shadow_vertical_length_hover'], $attributes['images_switcher_box_shadow_blur_radius_hover'], $attributes['images_switcher_box_shadow_spread_radius_hover'], $attributes['images_switcher_box_shadow_color_hover'] ),
                                    'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['images_switcher_box_shadow_horizontal_length_hover'], $attributes['images_switcher_box_shadow_vertical_length_hover'], $attributes['images_switcher_box_shadow_blur_radius_hover'], $attributes['images_switcher_box_shadow_spread_radius_hover'], $attributes['images_switcher_box_shadow_color_hover'] )
                                )
                            );

                            # images switcher inside border color
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-presentation .ueldo-shortcode-presentation-elements-switcher .ueldo-shortcode-presentation-elements-switcher-prev-images, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-presentation .ueldo-shortcode-presentation-elements-switcher .ueldo-shortcode-presentation-elements-switcher-next-images',
                                array(
                                    'border-color' => esc_attr( $attributes['images_switcher_inside_border_color'] )
                                )
                            );

                            # next / prev icon styles
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-presentation .ueldo-shortcode-presentation-elements-switcher .ueldo-shortcode-presentation-elements-switcher-prev-images i, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-presentation .ueldo-shortcode-presentation-elements-switcher .ueldo-shortcode-presentation-elements-switcher-next-images i',
                                array(
                                    'color' => esc_attr( $attributes['images_switcher_next_prev_icon_color'] )
                                )
                            );

                            # next / prev icon styles (on hover)
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-presentation .ueldo-shortcode-presentation-elements-switcher .ueldo-shortcode-presentation-elements-switcher-prev-images:hover i, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-presentation .ueldo-shortcode-presentation-elements-switcher .ueldo-shortcode-presentation-elements-switcher-next-images:hover i',
                                array(
                                    'color' => esc_attr( $attributes['images_switcher_next_prev_icon_color_hover'] )
                                )
                            );

                            # next / prev text styles
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-presentation .ueldo-shortcode-presentation-elements-switcher .ueldo-shortcode-presentation-elements-switcher-prev-images span.ueldo-shortcode-presentation-elements-switcher-prev-images-content, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-presentation .ueldo-shortcode-presentation-elements-switcher .ueldo-shortcode-presentation-elements-switcher-next-images span.ueldo-shortcode-presentation-elements-switcher-next-images-content',
                                array(
                                    'color' => esc_attr( $attributes['images_switcher_next_prev_text_color'] )
                                )
                            );

                            # next / prev text styles (on hover)
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-presentation .ueldo-shortcode-presentation-elements-switcher .ueldo-shortcode-presentation-elements-switcher-prev-images:hover span.ueldo-shortcode-presentation-elements-switcher-prev-images-content, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-presentation .ueldo-shortcode-presentation-elements-switcher .ueldo-shortcode-presentation-elements-switcher-next-images:hover span.ueldo-shortcode-presentation-elements-switcher-next-images-content',
                                array(
                                    'color' => esc_attr( $attributes['images_switcher_next_prev_text_color_hover'] )
                                )
                            );

                            # inactive image overlay
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-presentation .ueldo-shortcode-presentation-elements-switcher .ueldo-shortcode-presentation-elements-switcher-images-list .ueldo-shortcode-presentation-elements-switcher-images-list-single-image:not(.ueldo-shortcode-presentation-elements-switcher-images-list-single-image-active):before',
                                array(
                                    'background' => esc_attr( $attributes['images_switcher_inactive_image_overlay'] )
                                )
                            );

                            # active image border color
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-presentation .ueldo-shortcode-presentation-elements-switcher .ueldo-shortcode-presentation-elements-switcher-images-list .ueldo-shortcode-presentation-elements-switcher-images-list-single-image.ueldo-shortcode-presentation-elements-switcher-images-list-single-image-active:after',
                                array(
                                    'border-color' => esc_attr( $attributes['images_switcher_active_image_border_color'] )
                                )
                            );
                        }

                        # save css style
                        $shortcodes_styles -> save_styles();

                        # remove attributes array
                        unset( $attributes );

                    break;

                   /**
                    *
                    * ueldo_shortcode_presentation_point_of_interest
                    *
                    */

                    case 'ueldo_shortcode_presentation_point_of_interest':

                        # attributes array
                        $attributes = array(
                            'modal_position' => isset( $shortcode['atts']['modal_position'] ) && !empty( $shortcode['atts']['modal_position'] ) ? $shortcode['atts']['modal_position'] : 'top',
                            'position_y' => isset( $shortcode['atts']['position_y'] ) && $shortcode['atts']['position_y'] != '' ? $shortcode['atts']['position_y'] : '50%',
                            'position_x' => isset( $shortcode['atts']['position_x'] ) && $shortcode['atts']['position_x'] != '' ? $shortcode['atts']['position_x'] : '50%',
                            'custom_sizes_enabled' => isset( $shortcode['atts']['custom_sizes_enabled'] ) && !empty( $shortcode['atts']['custom_sizes_enabled'] ) ? $shortcode['atts']['custom_sizes_enabled'] : 'theme_defaults',
                            'modal_window_width' => isset( $shortcode['atts']['modal_window_width'] ) && $shortcode['atts']['modal_window_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['modal_window_width'] ) ? $shortcode['atts']['modal_window_width'] : '350',
                            'modal_window_content_height' => isset( $shortcode['atts']['modal_window_content_height'] ) && $shortcode['atts']['modal_window_content_height'] != '' && ueldo_is_valid_number( $shortcode['atts']['modal_window_content_height'] ) ? $shortcode['atts']['modal_window_content_height'] : '135',
                            'modal_window_padding_top_bottom' => isset( $shortcode['atts']['modal_window_padding_top_bottom'] ) && $shortcode['atts']['modal_window_padding_top_bottom'] != '' && ueldo_is_valid_number( $shortcode['atts']['modal_window_padding_top_bottom'] ) ? $shortcode['atts']['modal_window_padding_top_bottom'] : '30',
                            'modal_window_padding_left_right' => isset( $shortcode['atts']['modal_window_padding_left_right'] ) && $shortcode['atts']['modal_window_padding_left_right'] != '' && ueldo_is_valid_number( $shortcode['atts']['modal_window_padding_left_right'] ) ? $shortcode['atts']['modal_window_padding_left_right'] : '30',
                            'modal_window_border_width' => isset( $shortcode['atts']['modal_window_border_width'] ) && $shortcode['atts']['modal_window_border_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['modal_window_border_width'] ) ? $shortcode['atts']['modal_window_border_width'] : '0',
                            'modal_window_border_radius' => isset( $shortcode['atts']['modal_window_border_radius'] ) && $shortcode['atts']['modal_window_border_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['modal_window_border_radius'] ) ? $shortcode['atts']['modal_window_border_radius'] : '4',
                            'modal_window_margin_to_point' => isset( $shortcode['atts']['modal_window_margin_to_point'] ) && $shortcode['atts']['modal_window_margin_to_point'] != '' && ueldo_is_valid_number( $shortcode['atts']['modal_window_margin_to_point'] ) ? $shortcode['atts']['modal_window_margin_to_point'] : '15',
                            'custom_colors_enabled' => isset( $shortcode['atts']['custom_colors_enabled'] ) && !empty( $shortcode['atts']['custom_colors_enabled'] ) ? $shortcode['atts']['custom_colors_enabled'] : 'theme_defaults',
                            'point_background_color' => isset( $shortcode['atts']['point_background_color'] ) && $shortcode['atts']['point_background_color'] != '' ? $shortcode['atts']['point_background_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                            'point_background_color_hover' => isset( $shortcode['atts']['point_background_color_hover'] ) && $shortcode['atts']['point_background_color_hover'] != '' ? $shortcode['atts']['point_background_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                            'point_icon_color' => isset( $shortcode['atts']['point_icon_color'] ) && $shortcode['atts']['point_icon_color'] != '' ? $shortcode['atts']['point_icon_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color-contrast-text-color' ) ),
                            'point_icon_color_hover' => isset( $shortcode['atts']['point_icon_color_hover'] ) && $shortcode['atts']['point_icon_color_hover'] != '' ? $shortcode['atts']['point_icon_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color-contrast-text-color' ) ),
                            'point_box_shadow_horizontal_length' => isset( $shortcode['atts']['point_box_shadow_horizontal_length'] ) && $shortcode['atts']['point_box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['point_box_shadow_horizontal_length'] ) ? $shortcode['atts']['point_box_shadow_horizontal_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'point-of-interest-box-shadow', 'horizontal-length' ) ),
                            'point_box_shadow_vertical_length' => isset( $shortcode['atts']['point_box_shadow_vertical_length'] ) && $shortcode['atts']['point_box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['point_box_shadow_vertical_length'] ) ? $shortcode['atts']['point_box_shadow_vertical_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'point-of-interest-box-shadow', 'vertical-length' ) ),
                            'point_box_shadow_blur_radius' => isset( $shortcode['atts']['point_box_shadow_blur_radius'] ) && $shortcode['atts']['point_box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['point_box_shadow_blur_radius'] ) ? $shortcode['atts']['point_box_shadow_blur_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'point-of-interest-box-shadow', 'blur-radius' ) ),
                            'point_box_shadow_spread_radius' => isset( $shortcode['atts']['point_box_shadow_spread_radius'] ) && $shortcode['atts']['point_box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['point_box_shadow_spread_radius'] ) ? $shortcode['atts']['point_box_shadow_spread_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'point-of-interest-box-shadow', 'spread-radius' ) ),
                            'point_box_shadow_color' => isset( $shortcode['atts']['point_box_shadow_color'] ) && $shortcode['atts']['point_box_shadow_color'] != '' ? $shortcode['atts']['point_box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'point-of-interest-box-shadow', 'color' ) ),
                            'point_box_shadow_horizontal_length_hover' => isset( $shortcode['atts']['point_box_shadow_horizontal_length_hover'] ) && $shortcode['atts']['point_box_shadow_horizontal_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['point_box_shadow_horizontal_length_hover'] ) ? $shortcode['atts']['point_box_shadow_horizontal_length_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'point-of-interest-box-shadow', 'horizontal-length' ) ),
                            'point_box_shadow_vertical_length_hover' => isset( $shortcode['atts']['point_box_shadow_vertical_length_hover'] ) && $shortcode['atts']['point_box_shadow_vertical_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['point_box_shadow_vertical_length_hover'] ) ? $shortcode['atts']['point_box_shadow_vertical_length_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'point-of-interest-box-shadow', 'vertical-length' ) ),
                            'point_box_shadow_blur_radius_hover' => isset( $shortcode['atts']['point_box_shadow_blur_radius_hover'] ) && $shortcode['atts']['point_box_shadow_blur_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['point_box_shadow_blur_radius_hover'] ) ? $shortcode['atts']['point_box_shadow_blur_radius_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'point-of-interest-box-shadow', 'blur-radius' ) ),
                            'point_box_shadow_spread_radius_hover' => isset( $shortcode['atts']['point_box_shadow_spread_radius_hover'] ) && $shortcode['atts']['point_box_shadow_spread_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['point_box_shadow_spread_radius_hover'] ) ? $shortcode['atts']['point_box_shadow_spread_radius_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'point-of-interest-box-shadow', 'spread-radius' ) ),
                            'point_box_shadow_color_hover' => isset( $shortcode['atts']['point_box_shadow_color_hover'] ) && $shortcode['atts']['point_box_shadow_color_hover'] != '' ? $shortcode['atts']['point_box_shadow_color_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'point-of-interest-box-shadow', 'color' ) ),
                            'point_animation_shadow_color' => isset( $shortcode['atts']['point_animation_shadow_color'] ) && $shortcode['atts']['point_animation_shadow_color'] != '' ? $shortcode['atts']['point_animation_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'point-of-interest-pulse-color' ) ),
                            'point_close_background_color' => isset( $shortcode['atts']['point_close_background_color'] ) && $shortcode['atts']['point_close_background_color'] != '' ? $shortcode['atts']['point_close_background_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'point-of-interest-close-color' ) ),
                            'point_close_background_color_hover' => isset( $shortcode['atts']['point_close_background_color_hover'] ) && $shortcode['atts']['point_close_background_color_hover'] != '' ? $shortcode['atts']['point_close_background_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'point-of-interest-close-color' ) ),
                            'point_close_icon_color' => isset( $shortcode['atts']['point_close_icon_color'] ) && $shortcode['atts']['point_close_icon_color'] != '' ? $shortcode['atts']['point_close_icon_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color-contrast-text-color' ) ),
                            'point_close_icon_color_hover' => isset( $shortcode['atts']['point_close_icon_color_hover'] ) && $shortcode['atts']['point_close_icon_color_hover'] != '' ? $shortcode['atts']['point_close_icon_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color-contrast-text-color' ) ),
                            'point_close_box_shadow_horizontal_length' => isset( $shortcode['atts']['point_close_box_shadow_horizontal_length'] ) && $shortcode['atts']['point_close_box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['point_close_box_shadow_horizontal_length'] ) ? $shortcode['atts']['point_close_box_shadow_horizontal_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'point-of-interest-box-shadow', 'horizontal-length' ) ),
                            'point_close_box_shadow_vertical_length' => isset( $shortcode['atts']['point_close_box_shadow_vertical_length'] ) && $shortcode['atts']['point_close_box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['point_close_box_shadow_vertical_length'] ) ? $shortcode['atts']['point_close_box_shadow_vertical_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'point-of-interest-box-shadow', 'vertical-length' ) ),
                            'point_close_box_shadow_blur_radius' => isset( $shortcode['atts']['point_close_box_shadow_blur_radius'] ) && $shortcode['atts']['point_close_box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['point_close_box_shadow_blur_radius'] ) ? $shortcode['atts']['point_close_box_shadow_blur_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'point-of-interest-box-shadow', 'blur-radius' ) ),
                            'point_close_box_shadow_spread_radius' => isset( $shortcode['atts']['point_close_box_shadow_spread_radius'] ) && $shortcode['atts']['point_close_box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['point_close_box_shadow_spread_radius'] ) ? $shortcode['atts']['point_close_box_shadow_spread_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'point-of-interest-box-shadow', 'spread-radius' ) ),
                            'point_close_box_shadow_color' => isset( $shortcode['atts']['point_close_box_shadow_color'] ) && $shortcode['atts']['point_close_box_shadow_color'] != '' ? $shortcode['atts']['point_close_box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'point-of-interest-box-shadow', 'color' ) ),
                            'point_close_box_shadow_horizontal_length_hover' => isset( $shortcode['atts']['point_close_box_shadow_horizontal_length_hover'] ) && $shortcode['atts']['point_close_box_shadow_horizontal_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['point_close_box_shadow_horizontal_length_hover'] ) ? $shortcode['atts']['point_close_box_shadow_horizontal_length_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'point-of-interest-box-shadow', 'horizontal-length' ) ),
                            'point_close_box_shadow_vertical_length_hover' => isset( $shortcode['atts']['point_close_box_shadow_vertical_length_hover'] ) && $shortcode['atts']['point_close_box_shadow_vertical_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['point_close_box_shadow_vertical_length_hover'] ) ? $shortcode['atts']['point_close_box_shadow_vertical_length_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'point-of-interest-box-shadow', 'vertical-length' ) ),
                            'point_close_box_shadow_blur_radius_hover' => isset( $shortcode['atts']['point_close_box_shadow_blur_radius_hover'] ) && $shortcode['atts']['point_close_box_shadow_blur_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['point_close_box_shadow_blur_radius_hover'] ) ? $shortcode['atts']['point_close_box_shadow_blur_radius_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'point-of-interest-box-shadow', 'blur-radius' ) ),
                            'point_close_box_shadow_spread_radius_hover' => isset( $shortcode['atts']['point_close_box_shadow_spread_radius_hover'] ) && $shortcode['atts']['point_close_box_shadow_spread_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['point_close_box_shadow_spread_radius_hover'] ) ? $shortcode['atts']['point_close_box_shadow_spread_radius_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'point-of-interest-box-shadow', 'spread-radius' ) ),
                            'point_close_box_shadow_color_hover' => isset( $shortcode['atts']['point_close_box_shadow_color_hover'] ) && $shortcode['atts']['point_close_box_shadow_color_hover'] != '' ? $shortcode['atts']['point_close_box_shadow_color_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'point-of-interest-box-shadow', 'color' ) ),
                            'modal_window_background_color' => isset( $shortcode['atts']['modal_window_background_color'] ) && $shortcode['atts']['modal_window_background_color'] != '' ? $shortcode['atts']['modal_window_background_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                            'modal_window_background_color_hover' => isset( $shortcode['atts']['modal_window_background_color_hover'] ) && $shortcode['atts']['modal_window_background_color_hover'] != '' ? $shortcode['atts']['modal_window_background_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                            'modal_window_border_color' => isset( $shortcode['atts']['modal_window_border_color'] ) && $shortcode['atts']['modal_window_border_color'] != '' ? $shortcode['atts']['modal_window_border_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                            'modal_window_border_color_hover' => isset( $shortcode['atts']['modal_window_border_color_hover'] ) && $shortcode['atts']['modal_window_border_color_hover'] != '' ? $shortcode['atts']['modal_window_border_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                            'modal_window_box_shadow_horizontal_length' => isset( $shortcode['atts']['modal_window_box_shadow_horizontal_length'] ) && $shortcode['atts']['modal_window_box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['modal_window_box_shadow_horizontal_length'] ) ? $shortcode['atts']['modal_window_box_shadow_horizontal_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'horizontal-length' ) ),
                            'modal_window_box_shadow_vertical_length' => isset( $shortcode['atts']['modal_window_box_shadow_vertical_length'] ) && $shortcode['atts']['modal_window_box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['modal_window_box_shadow_vertical_length'] ) ? $shortcode['atts']['modal_window_box_shadow_vertical_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'vertical-length' ) ),
                            'modal_window_box_shadow_blur_radius' => isset( $shortcode['atts']['modal_window_box_shadow_blur_radius'] ) && $shortcode['atts']['modal_window_box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['modal_window_box_shadow_blur_radius'] ) ? $shortcode['atts']['modal_window_box_shadow_blur_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'blur-radius' ) ),
                            'modal_window_box_shadow_spread_radius' => isset( $shortcode['atts']['modal_window_box_shadow_spread_radius'] ) && $shortcode['atts']['modal_window_box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['modal_window_box_shadow_spread_radius'] ) ? $shortcode['atts']['modal_window_box_shadow_spread_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'spread-radius' ) ),
                            'modal_window_box_shadow_color' => isset( $shortcode['atts']['modal_window_box_shadow_color'] ) && $shortcode['atts']['modal_window_box_shadow_color'] != '' ? $shortcode['atts']['modal_window_box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'color' ) ),
                            'modal_window_box_shadow_horizontal_length_hover' => isset( $shortcode['atts']['modal_window_box_shadow_horizontal_length_hover'] ) && $shortcode['atts']['modal_window_box_shadow_horizontal_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['modal_window_box_shadow_horizontal_length_hover'] ) ? $shortcode['atts']['modal_window_box_shadow_horizontal_length_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'horizontal-length' ) ),
                            'modal_window_box_shadow_vertical_length_hover' => isset( $shortcode['atts']['modal_window_box_shadow_vertical_length_hover'] ) && $shortcode['atts']['modal_window_box_shadow_vertical_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['modal_window_box_shadow_vertical_length_hover'] ) ? $shortcode['atts']['modal_window_box_shadow_vertical_length_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'vertical-length' ) ),
                            'modal_window_box_shadow_blur_radius_hover' => isset( $shortcode['atts']['modal_window_box_shadow_blur_radius_hover'] ) && $shortcode['atts']['modal_window_box_shadow_blur_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['modal_window_box_shadow_blur_radius_hover'] ) ? $shortcode['atts']['modal_window_box_shadow_blur_radius_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'blur-radius' ) ),
                            'modal_window_box_shadow_spread_radius_hover' => isset( $shortcode['atts']['modal_window_box_shadow_spread_radius_hover'] ) && $shortcode['atts']['modal_window_box_shadow_spread_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['modal_window_box_shadow_spread_radius_hover'] ) ? $shortcode['atts']['modal_window_box_shadow_spread_radius_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'spread-radius' ) ),
                            'modal_window_box_shadow_color_hover' => isset( $shortcode['atts']['modal_window_box_shadow_color_hover'] ) && $shortcode['atts']['modal_window_box_shadow_color_hover'] != '' ? $shortcode['atts']['modal_window_box_shadow_color_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'color' ) ),
                        );

                        # set point to position
                        $shortcodes_styles -> update_style(
                            esc_attr( $shortcode['atts']['class_name'] ),
                            array(
                                'top' => esc_attr( $attributes['position_y'] ),
                                'left' => esc_attr( $attributes['position_x'] )
                            )
                        );

                        # can we set custom sizes?
                        if( $attributes['custom_sizes_enabled'] != 'theme_defaults' ) {

                            # update modal window styles
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-presentation-point-of-interest .ueldo-shortcode-presentation-point-of-interest-content',
                                array(
                                    'width' => esc_attr( $attributes['modal_window_width'] ),
                                    'padding' => esc_attr( $attributes['modal_window_padding_top_bottom'] ) .'px '. esc_attr( $attributes['modal_window_padding_left_right'] ) .'px',
                                    '-webkit-border-radius' => esc_attr( $attributes['modal_window_border_radius'] ),
                                    '-moz-border-radius' => esc_attr( $attributes['modal_window_border_radius'] ),
                                    'border-radius' => esc_attr( $attributes['modal_window_border_radius'] ),
                                    'border-width' => esc_attr( $attributes['modal_window_border_width'] )
                                )
                            );

                            # update modal window content height
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-presentation-point-of-interest .ueldo-shortcode-presentation-point-of-interest-content .ueldo-shortcode-presentation-point-of-interest-content-inner',
                                array(
                                    'height' => esc_attr( $attributes['modal_window_content_height'] )
                                )
                            );

                            # switch by the modal position
                            switch( $attributes['modal_position'] ) {

                                # modal on top side
                                case 'top':

                                    # update modal position styles
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-presentation-point-of-interest .ueldo-shortcode-presentation-point-of-interest-content.ueldo-shortcode-presentation-point-of-interest-content-on-top',
                                        array(
                                            'bottom' => esc_attr( 30 + $attributes['modal_window_margin_to_point'] ),
                                            'margin-left' => '-'. esc_attr( $attributes['modal_window_width'] / 2 ),
                                        )
                                    );

                                    # do we have border width more than 0?
                                    if( $attributes['modal_window_border_width'] > 0 ) {

                                        # update modal arrow border
                                        $shortcodes_styles -> update_style(
                                            esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-presentation-point-of-interest .ueldo-shortcode-presentation-point-of-interest-content.ueldo-shortcode-presentation-point-of-interest-content-on-top:not(.ueldo-shortcode-presentation-point-of-interest-content-without-arrow):before',
                                            array(
                                                'border-right-width' => esc_attr( $attributes['modal_window_border_width'] ),
                                                'border-bottom-width' => esc_attr( $attributes['modal_window_border_width'] ),
                                                'bottom' => '-'. esc_attr( 4 + $attributes['modal_window_border_width'] ) .'px'
                                            )
                                        );
                                    }

                                break;

                                # modal on right side
                                case 'right':

                                    # update modal position styles
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-presentation-point-of-interest .ueldo-shortcode-presentation-point-of-interest-content.ueldo-shortcode-presentation-point-of-interest-content-on-right',
                                        array(
                                            'left' => esc_attr( 30 + $attributes['modal_window_margin_to_point'] ),
                                            'margin-top' => '-'. esc_attr( ( $attributes['modal_window_content_height'] + ( $attributes['modal_window_padding_top_bottom'] * 2 ) ) / 2 ),
                                        )
                                    );

                                    # do we have border width more than 0?
                                    if( $attributes['modal_window_border_width'] > 0 ) {

                                        # update modal arrow border
                                        $shortcodes_styles -> update_style(
                                            esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-presentation-point-of-interest .ueldo-shortcode-presentation-point-of-interest-content.ueldo-shortcode-presentation-point-of-interest-content-on-right:not(.ueldo-shortcode-presentation-point-of-interest-content-without-arrow):before',
                                            array(
                                                'border-bottom-width' => esc_attr( $attributes['modal_window_border_width'] ),
                                                'border-left-width' => esc_attr( $attributes['modal_window_border_width'] ),
                                                'left' => '-'. esc_attr( 4 + $attributes['modal_window_border_width'] ) .'px'
                                            )
                                        );
                                    }

                                break;

                                # modal on bottom side
                                case 'bottom':

                                    # update modal position styles
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-presentation-point-of-interest .ueldo-shortcode-presentation-point-of-interest-content.ueldo-shortcode-presentation-point-of-interest-content-on-bottom',
                                        array(
                                            'top' => esc_attr( 30 + $attributes['modal_window_margin_to_point'] ),
                                            'margin-left' => '-'. esc_attr( $attributes['modal_window_width'] / 2 ),
                                        )
                                    );

                                    # do we have border width more than 0?
                                    if( $attributes['modal_window_border_width'] > 0 ) {

                                        # update modal arrow border
                                        $shortcodes_styles -> update_style(
                                            esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-presentation-point-of-interest .ueldo-shortcode-presentation-point-of-interest-content.ueldo-shortcode-presentation-point-of-interest-content-on-bottom:not(.ueldo-shortcode-presentation-point-of-interest-content-without-arrow):before',
                                            array(
                                                'border-top-width' => esc_attr( $attributes['modal_window_border_width'] ),
                                                'border-left-width' => esc_attr( $attributes['modal_window_border_width'] ),
                                                'top' => '-'. esc_attr( 4 + $attributes['modal_window_border_width'] ) .'px'
                                            )
                                        );
                                    }

                                break;

                                # modal on left side
                                case 'left':

                                    # update modal position styles
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-presentation-point-of-interest .ueldo-shortcode-presentation-point-of-interest-content.ueldo-shortcode-presentation-point-of-interest-content-on-left',
                                        array(
                                            'right' => esc_attr( 30 + $attributes['modal_window_margin_to_point'] ),
                                            'margin-top' => '-'. esc_attr( ( $attributes['modal_window_content_height'] + ( $attributes['modal_window_padding_top_bottom'] * 2 ) ) / 2 ),
                                        )
                                    );

                                    # do we have border width more than 0?
                                    if( $attributes['modal_window_border_width'] > 0 ) {

                                        # update modal arrow border
                                        $shortcodes_styles -> update_style(
                                            esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-presentation-point-of-interest .ueldo-shortcode-presentation-point-of-interest-content.ueldo-shortcode-presentation-point-of-interest-content-on-left:not(.ueldo-shortcode-presentation-point-of-interest-content-without-arrow):before',
                                            array(
                                                'border-top-width' => esc_attr( $attributes['modal_window_border_width'] ),
                                                'border-right-width' => esc_attr( $attributes['modal_window_border_width'] ),
                                                'right' => '-'. esc_attr( 4 + $attributes['modal_window_border_width'] ) .'px'
                                            )
                                        );
                                    }

                                break;
                            }
                        }

                        # can we set custom colors?
                        if( $attributes['custom_colors_enabled'] != 'theme_defaults' ) {

                            # update point styles
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-presentation-point-of-interest:not(.ueldo-shortcode-presentation-point-of-interest-is-open)',
                                array(
                                    'background' => esc_attr( $attributes['point_background_color'] ),
                                    '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['point_box_shadow_horizontal_length'], $attributes['point_box_shadow_vertical_length'], $attributes['point_box_shadow_blur_radius'], $attributes['point_box_shadow_spread_radius'], $attributes['point_box_shadow_color'] ),
                                    '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['point_box_shadow_horizontal_length'], $attributes['point_box_shadow_vertical_length'], $attributes['point_box_shadow_blur_radius'], $attributes['point_box_shadow_spread_radius'], $attributes['point_box_shadow_color'] ),
                                    'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['point_box_shadow_horizontal_length'], $attributes['point_box_shadow_vertical_length'], $attributes['point_box_shadow_blur_radius'], $attributes['point_box_shadow_spread_radius'], $attributes['point_box_shadow_color'] )
                                )
                            );

                            # update point icon styles
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-presentation-point-of-interest:not(.ueldo-shortcode-presentation-point-of-interest-is-open) .ueldo-shortcode-presentation-point-of-interest-inner::after, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-presentation-point-of-interest:not(.ueldo-shortcode-presentation-point-of-interest-is-open) .ueldo-shortcode-presentation-point-of-interest-inner::before',
                                array(
                                    'background' => esc_attr( $attributes['point_icon_color'] )
                                )
                            );

                            # update point styles (on hover)
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-presentation-point-of-interest:not(.ueldo-shortcode-presentation-point-of-interest-is-open):hover',
                                array(
                                    'background' => esc_attr( $attributes['point_background_color_hover'] ),
                                    '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['point_box_shadow_horizontal_length_hover'], $attributes['point_box_shadow_vertical_length_hover'], $attributes['point_box_shadow_blur_radius_hover'], $attributes['point_box_shadow_spread_radius_hover'], $attributes['point_box_shadow_color_hover'] ),
                                    '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['point_box_shadow_horizontal_length_hover'], $attributes['point_box_shadow_vertical_length_hover'], $attributes['point_box_shadow_blur_radius_hover'], $attributes['point_box_shadow_spread_radius_hover'], $attributes['point_box_shadow_color_hover'] ),
                                    'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['point_box_shadow_horizontal_length_hover'], $attributes['point_box_shadow_vertical_length_hover'], $attributes['point_box_shadow_blur_radius_hover'], $attributes['point_box_shadow_spread_radius_hover'], $attributes['point_box_shadow_color_hover'] )
                                )
                            );

                            # update point icon styles
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-presentation-point-of-interest:not(.ueldo-shortcode-presentation-point-of-interest-is-open):hover .ueldo-shortcode-presentation-point-of-interest-inner::after, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-presentation-point-of-interest:not(.ueldo-shortcode-presentation-point-of-interest-is-open):hover .ueldo-shortcode-presentation-point-of-interest-inner::before',
                                array(
                                    'background' => esc_attr( $attributes['point_icon_color_hover'] )
                                )
                            );

                            # update animation shadow color (box shadow update unavailable)
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-presentation-point-of-interest::after',
                                array(
                                    '-webkit-box-shadow' => 'inset 0 0 1px 1px '. esc_attr( $attributes['point_animation_shadow_color'] ),
                                    '-moz-box-shadow' => 'inset 0 0 1px 1px '. esc_attr( $attributes['point_animation_shadow_color'] ),
                                    'box-shadow' => 'inset 0 0 1px 1px '. esc_attr( $attributes['point_animation_shadow_color'] )
                                )
                            );

                            # update close point styles
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-presentation-point-of-interest.ueldo-shortcode-presentation-point-of-interest-is-open, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-presentation-point-of-interest.ueldo-shortcode-presentation-point-of-interest-is-open .ueldo-shortcode-presentation-point-of-interest-content-modal-close',
                                array(
                                    'background' => esc_attr( $attributes['point_close_background_color'] ),
                                    '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['point_close_box_shadow_horizontal_length'], $attributes['point_close_box_shadow_vertical_length'], $attributes['point_close_box_shadow_blur_radius'], $attributes['point_close_box_shadow_spread_radius'], $attributes['point_close_box_shadow_color'] ),
                                    '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['point_close_box_shadow_horizontal_length'], $attributes['point_close_box_shadow_vertical_length'], $attributes['point_close_box_shadow_blur_radius'], $attributes['point_close_box_shadow_spread_radius'], $attributes['point_close_box_shadow_color'] ),
                                    'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['point_close_box_shadow_horizontal_length'], $attributes['point_close_box_shadow_vertical_length'], $attributes['point_close_box_shadow_blur_radius'], $attributes['point_close_box_shadow_spread_radius'], $attributes['point_close_box_shadow_color'] )
                                )
                            );

                            # update close point icon styles
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-presentation-point-of-interest.ueldo-shortcode-presentation-point-of-interest-is-open .ueldo-shortcode-presentation-point-of-interest-inner::after, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-presentation-point-of-interest.ueldo-shortcode-presentation-point-of-interest-is-open .ueldo-shortcode-presentation-point-of-interest-inner::before, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-presentation-point-of-interest.ueldo-shortcode-presentation-point-of-interest-is-open .ueldo-shortcode-presentation-point-of-interest-content-modal-close-inner::after, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-presentation-point-of-interest.ueldo-shortcode-presentation-point-of-interest-is-open .ueldo-shortcode-presentation-point-of-interest-content-modal-close-inner::before',
                                array(
                                    'background' => esc_attr( $attributes['point_close_icon_color'] )
                                )
                            );

                            # update close point styles (on hover)
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-presentation-point-of-interest.ueldo-shortcode-presentation-point-of-interest-is-open:hover, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-presentation-point-of-interest.ueldo-shortcode-presentation-point-of-interest-is-open .ueldo-shortcode-presentation-point-of-interest-content-modal-close:hover',
                                array(
                                    'background' => esc_attr( $attributes['point_close_background_color_hover'] ),
                                    '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['point_close_box_shadow_horizontal_length_hover'], $attributes['point_close_box_shadow_vertical_length_hover'], $attributes['point_close_box_shadow_blur_radius_hover'], $attributes['point_close_box_shadow_spread_radius_hover'], $attributes['point_close_box_shadow_color_hover'] ),
                                    '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['point_close_box_shadow_horizontal_length_hover'], $attributes['point_close_box_shadow_vertical_length_hover'], $attributes['point_close_box_shadow_blur_radius_hover'], $attributes['point_close_box_shadow_spread_radius_hover'], $attributes['point_close_box_shadow_color_hover'] ),
                                    'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['point_close_box_shadow_horizontal_length_hover'], $attributes['point_close_box_shadow_vertical_length_hover'], $attributes['point_close_box_shadow_blur_radius_hover'], $attributes['point_close_box_shadow_spread_radius_hover'], $attributes['point_close_box_shadow_color_hover'] )
                                )
                            );

                            # update close point icon styles
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-presentation-point-of-interest.ueldo-shortcode-presentation-point-of-interest-is-open:hover .ueldo-shortcode-presentation-point-of-interest-inner::after, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-presentation-point-of-interest.ueldo-shortcode-presentation-point-of-interest-is-open:hover .ueldo-shortcode-presentation-point-of-interest-inner::before, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-presentation-point-of-interest.ueldo-shortcode-presentation-point-of-interest-is-open .ueldo-shortcode-presentation-point-of-interest-content-modal-close:hover .ueldo-shortcode-presentation-point-of-interest-content-modal-close-inner::after, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-presentation-point-of-interest.ueldo-shortcode-presentation-point-of-interest-is-open .ueldo-shortcode-presentation-point-of-interest-content-modal-close:hover .ueldo-shortcode-presentation-point-of-interest-content-modal-close-inner::before',
                                array(
                                    'background' => esc_attr( $attributes['point_close_icon_color_hover'] )
                                )
                            );

                            # update modal styles
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-presentation-point-of-interest .ueldo-shortcode-presentation-point-of-interest-content, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-presentation-point-of-interest .ueldo-shortcode-presentation-point-of-interest-content:before',
                                array(
                                    'background' => esc_attr( $attributes['modal_window_background_color'] ),
                                    'border-color' => esc_attr( $attributes['modal_window_border_color'] ),
                                    '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['modal_window_box_shadow_horizontal_length'], $attributes['modal_window_box_shadow_vertical_length'], $attributes['modal_window_box_shadow_blur_radius'], $attributes['modal_window_box_shadow_spread_radius'], $attributes['modal_window_box_shadow_color'] ),
                                    '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['modal_window_box_shadow_horizontal_length'], $attributes['modal_window_box_shadow_vertical_length'], $attributes['modal_window_box_shadow_blur_radius'], $attributes['modal_window_box_shadow_spread_radius'], $attributes['modal_window_box_shadow_color'] ),
                                    'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['modal_window_box_shadow_horizontal_length'], $attributes['modal_window_box_shadow_vertical_length'], $attributes['modal_window_box_shadow_blur_radius'], $attributes['modal_window_box_shadow_spread_radius'], $attributes['modal_window_box_shadow_color'] )
                                )
                            );

                            # update modal styles (on hover)
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-presentation-point-of-interest .ueldo-shortcode-presentation-point-of-interest-content:hover, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-presentation-point-of-interest .ueldo-shortcode-presentation-point-of-interest-content:hover:before',
                                array(
                                    'background' => esc_attr( $attributes['modal_window_background_color_hover'] ),
                                    'border-color' => esc_attr( $attributes['modal_window_border_color_hover'] ),
                                    '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['modal_window_box_shadow_horizontal_length_hover'], $attributes['modal_window_box_shadow_vertical_length_hover'], $attributes['modal_window_box_shadow_blur_radius_hover'], $attributes['modal_window_box_shadow_spread_radius_hover'], $attributes['modal_window_box_shadow_color_hover'] ),
                                    '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['modal_window_box_shadow_horizontal_length_hover'], $attributes['modal_window_box_shadow_vertical_length_hover'], $attributes['modal_window_box_shadow_blur_radius_hover'], $attributes['modal_window_box_shadow_spread_radius_hover'], $attributes['modal_window_box_shadow_color_hover'] ),
                                    'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['modal_window_box_shadow_horizontal_length_hover'], $attributes['modal_window_box_shadow_vertical_length_hover'], $attributes['modal_window_box_shadow_blur_radius_hover'], $attributes['modal_window_box_shadow_spread_radius_hover'], $attributes['modal_window_box_shadow_color_hover'] )
                                )
                            );
                        }

                        # save css style
                        $shortcodes_styles -> save_styles();

                        # remove attributes array
                        unset( $attributes );

                    break;

                   /**
                    *
                    * ueldo_shortcode_opening_hours_status
                    *
                    */

                    case 'ueldo_shortcode_opening_hours_status':

                        # attributes array
                        $attributes = array(
                            'status_dot_position' => isset( $shortcode['atts']['status_dot_position'] ) && !empty( $shortcode['atts']['status_dot_position'] ) ? $shortcode['atts']['status_dot_position'] : esc_attr( ueldo_is_rtl() ? 'right' : 'left' ),
                            'custom_sizes_enabled' => isset( $shortcode['atts']['custom_sizes_enabled'] ) && !empty( $shortcode['atts']['custom_sizes_enabled'] ) ? $shortcode['atts']['custom_sizes_enabled'] : 'theme_defaults',
                            'border_width' => isset( $shortcode['atts']['border_width'] ) && $shortcode['atts']['border_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['border_width'] ) ? $shortcode['atts']['border_width'] : '1',
                            'border_radius' => isset( $shortcode['atts']['border_radius'] ) && $shortcode['atts']['border_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['border_radius'] ) ? $shortcode['atts']['border_radius'] : '4',
                            'padding_top_bottom' => isset( $shortcode['atts']['padding_top_bottom'] ) && $shortcode['atts']['padding_top_bottom'] != '' && ueldo_is_valid_number( $shortcode['atts']['padding_top_bottom'] ) ? $shortcode['atts']['padding_top_bottom'] : '10',
                            'padding_left_right' => isset( $shortcode['atts']['padding_left_right'] ) && $shortcode['atts']['padding_left_right'] != '' && ueldo_is_valid_number( $shortcode['atts']['padding_left_right'] ) ? $shortcode['atts']['padding_left_right'] : '15',
                            'content_font_size' => isset( $shortcode['atts']['content_font_size'] ) && $shortcode['atts']['content_font_size'] != '' && ueldo_is_valid_number( $shortcode['atts']['content_font_size'] ) ? $shortcode['atts']['content_font_size'] : esc_attr( $ueldo_styles_cache -> get_style( 'font-size-content' ) ),
                            'content_font_line_height' => isset( $shortcode['atts']['content_font_line_height'] ) && $shortcode['atts']['content_font_line_height'] != '' && ueldo_is_valid_number( $shortcode['atts']['content_font_line_height'] ) ? $shortcode['atts']['content_font_line_height'] : '1.0',
                            'content_font_family' => isset( $shortcode['atts']['content_font_family'] ) && !empty( $shortcode['atts']['content_font_family'] ) ? $shortcode['atts']['content_font_family'] : 'general-font',
                            'status_dot_width_height' => isset( $shortcode['atts']['status_dot_width_height'] ) && $shortcode['atts']['status_dot_width_height'] != '' && ueldo_is_valid_number( $shortcode['atts']['status_dot_width_height'] ) ? $shortcode['atts']['status_dot_width_height'] : '6',
                            'margin_between_status_dot_and_content' => isset( $shortcode['atts']['margin_between_status_dot_and_content'] ) && $shortcode['atts']['margin_between_status_dot_and_content'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_between_status_dot_and_content'] ) ? $shortcode['atts']['margin_between_status_dot_and_content'] : '15',
                            'margin_top' => isset( $shortcode['atts']['margin_top'] ) && $shortcode['atts']['margin_top'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_top'] ) ? $shortcode['atts']['margin_top'] : '0',
                            'margin_right' => isset( $shortcode['atts']['margin_right'] ) && $shortcode['atts']['margin_right'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_right'] ) ? $shortcode['atts']['margin_right'] : '0',
                            'margin_bottom' => isset( $shortcode['atts']['margin_bottom'] ) && $shortcode['atts']['margin_bottom'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_bottom'] ) ? $shortcode['atts']['margin_bottom'] : '0',
                            'margin_left' => isset( $shortcode['atts']['margin_left'] ) && $shortcode['atts']['margin_left'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_left'] ) ? $shortcode['atts']['margin_left'] : '0',
                            'custom_colors_enabled' => isset( $shortcode['atts']['custom_colors_enabled'] ) && !empty( $shortcode['atts']['custom_colors_enabled'] ) ? $shortcode['atts']['custom_colors_enabled'] : 'theme_defaults',
                            'background_color' => isset( $shortcode['atts']['background_color'] ) && $shortcode['atts']['background_color'] != '' ? $shortcode['atts']['background_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                            'background_color_hover' => isset( $shortcode['atts']['background_color_hover'] ) && $shortcode['atts']['background_color_hover'] != '' ? $shortcode['atts']['background_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                            'border_color' => isset( $shortcode['atts']['border_color'] ) && $shortcode['atts']['border_color'] != '' ? $shortcode['atts']['border_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-border-color' ) ),
                            'border_color_hover' => isset( $shortcode['atts']['border_color_hover'] ) && $shortcode['atts']['border_color_hover'] != '' ? $shortcode['atts']['border_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-border-color' ) ),
                            'box_shadow_horizontal_length' => isset( $shortcode['atts']['box_shadow_horizontal_length'] ) && $shortcode['atts']['box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_horizontal_length'] ) ? $shortcode['atts']['box_shadow_horizontal_length'] : '0',
                            'box_shadow_vertical_length' => isset( $shortcode['atts']['box_shadow_vertical_length'] ) && $shortcode['atts']['box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_vertical_length'] ) ? $shortcode['atts']['box_shadow_vertical_length'] : '0',
                            'box_shadow_blur_radius' => isset( $shortcode['atts']['box_shadow_blur_radius'] ) && $shortcode['atts']['box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_blur_radius'] ) ? $shortcode['atts']['box_shadow_blur_radius'] : '0',
                            'box_shadow_spread_radius' => isset( $shortcode['atts']['box_shadow_spread_radius'] ) && $shortcode['atts']['box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_spread_radius'] ) ? $shortcode['atts']['box_shadow_spread_radius'] : '0',
                            'box_shadow_color' => isset( $shortcode['atts']['box_shadow_color'] ) && $shortcode['atts']['box_shadow_color'] != '' ? $shortcode['atts']['box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) ),
                            'box_shadow_horizontal_length_hover' => isset( $shortcode['atts']['box_shadow_horizontal_length_hover'] ) && $shortcode['atts']['box_shadow_horizontal_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_horizontal_length_hover'] ) ? $shortcode['atts']['box_shadow_horizontal_length_hover'] : '0',
                            'box_shadow_vertical_length_hover' => isset( $shortcode['atts']['box_shadow_vertical_length_hover'] ) && $shortcode['atts']['box_shadow_vertical_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_vertical_length_hover'] ) ? $shortcode['atts']['box_shadow_vertical_length_hover'] : '0',
                            'box_shadow_blur_radius_hover' => isset( $shortcode['atts']['box_shadow_blur_radius_hover'] ) && $shortcode['atts']['box_shadow_blur_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_blur_radius_hover'] ) ? $shortcode['atts']['box_shadow_blur_radius_hover'] : '0',
                            'box_shadow_spread_radius_hover' => isset( $shortcode['atts']['box_shadow_spread_radius_hover'] ) && $shortcode['atts']['box_shadow_spread_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_spread_radius_hover'] ) ? $shortcode['atts']['box_shadow_spread_radius_hover'] : '0',
                            'box_shadow_color_hover' => isset( $shortcode['atts']['box_shadow_color_hover'] ) && $shortcode['atts']['box_shadow_color_hover'] != '' ? $shortcode['atts']['box_shadow_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) ),
                            'content_color' => isset( $shortcode['atts']['content_color'] ) && $shortcode['atts']['content_color'] != '' ? $shortcode['atts']['content_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-content-color' ) ),
                            'content_color_hover' => isset( $shortcode['atts']['content_color_hover'] ) && $shortcode['atts']['content_color_hover'] != '' ? $shortcode['atts']['content_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-content-color' ) ),
                            'status_dot_color_when_open' => isset( $shortcode['atts']['status_dot_color_when_open'] ) && $shortcode['atts']['status_dot_color_when_open'] != '' ? $shortcode['atts']['status_dot_color_when_open'] : esc_attr( $ueldo_styles_cache -> get_style( 'opening-hours-status-color-when-open' ) ),
                            'status_dot_color_when_closed' => isset( $shortcode['atts']['status_dot_color_when_closed'] ) && $shortcode['atts']['status_dot_color_when_closed'] != '' ? $shortcode['atts']['status_dot_color_when_closed'] : esc_attr( $ueldo_styles_cache -> get_style( 'opening-hours-status-color-when-closed' ) )
                        );

                        # can we set custom sizes?
                        if( $attributes['custom_sizes_enabled'] != 'theme_defaults' ) {

                            # temporary variable
                            $temp = array(
                                'font' => ueldo_vc_get_custom_font_family_attributes( ( !empty( $attributes['content_font_family'] ) ? $attributes['content_font_family'] : false ), 'general-font' ),
                            );

                            # update element sizes
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-opening-hours-status .ueldo-shortcode-opening-hours-status-container',
                                array(
                                    'border-width' => esc_attr( $attributes['border_width'] ),
                                    '-webkit-border-radius' => esc_attr( $attributes['border_radius'] ),
                                    '-moz-border-radius' => esc_attr( $attributes['border_radius'] ),
                                    'border-radius' => esc_attr( $attributes['border_radius'] ),
                                    'padding' => esc_attr( $attributes['padding_top_bottom'] ) .'px '. esc_attr( $attributes['padding_left_right'] ) .'px',
                                    'margin' => esc_attr( $attributes['margin_top'] ) .'px '. esc_attr( $attributes['margin_right'] ) .'px '. esc_attr( $attributes['margin_bottom'] ) .'px '. esc_attr( $attributes['margin_left'] ) .'px'
                                )
                            );

                            # update element content sizes
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-opening-hours-status .ueldo-shortcode-opening-hours-status-container p',
                                array(
                                    'font-size' => esc_attr( $attributes['content_font_size'] ),
                                    'line-height' => esc_attr( $attributes['content_font_line_height'] ),
                                    'font-family' => esc_attr( $temp['font']['font-family'] ),
                                    'font-weight' => esc_attr( $temp['font']['font-weight'] ),
                                    'font-style' => esc_attr( $temp['font']['font-style'] ),
                                    '-webkit-font-smoothing' => esc_attr( $temp['font']['-webkit-font-smoothing'] ),
                                    '-moz-osx-font-smoothing' => esc_attr( $temp['font']['-moz-osx-font-smoothing'] )
                                )
                            );

                            # update element status dot sizes
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-opening-hours-status .ueldo-shortcode-opening-hours-status-content:before',
                                array(
                                    'width' => esc_attr( $attributes['status_dot_width_height'] ),
                                    'height' => esc_attr( $attributes['status_dot_width_height'] ),
                                    'margin-top' => '-'. esc_attr( $attributes['status_dot_width_height'] / 2 )
                                )
                            );

                            # status dot on left side
                            if( $attributes['status_dot_position'] == 'left' ) {

                                # update element content sizes
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-opening-hours-status .ueldo-shortcode-opening-hours-status-container.ueldo-shortcode-opening-hours-status-container-status-dot-position-left p',
                                    array(
                                        'padding' => '0 0 0 '. esc_attr( $attributes['status_dot_width_height'] + $attributes['margin_between_status_dot_and_content'] ) .'px'
                                    )
                                );

                                # update element status dot sizes
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-opening-hours-status .ueldo-shortcode-opening-hours-status-container.ueldo-shortcode-opening-hours-status-container-status-dot-position-left .ueldo-shortcode-opening-hours-status-content:before',
                                    array(
                                        'left' => esc_attr( $attributes['padding_left_right'] ) .'px'
                                    )
                                );
                            }

                            # status dot on right side
                            else {

                                # update element content sizes
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-opening-hours-status .ueldo-shortcode-opening-hours-status-container.ueldo-shortcode-opening-hours-status-container-status-dot-position-right p',
                                    array(
                                        'padding' => '0 '. esc_attr( $attributes['status_dot_width_height'] + $attributes['margin_between_status_dot_and_content'] ) .'px 0 0'
                                    )
                                );

                                # update element status dot sizes
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-opening-hours-status .ueldo-shortcode-opening-hours-status-container.ueldo-shortcode-opening-hours-status-container-status-dot-position-right .ueldo-shortcode-opening-hours-status-content:before',
                                    array(
                                        'right' => esc_attr( $attributes['padding_left_right'] ) .'px'
                                    )
                                );
                            }

                            # remove temporary variable
                            unset( $temp );
                        }

                        # can we set custom colors?
                        if( $attributes['custom_colors_enabled'] != 'theme_defaults' ) {

                            # update element styles
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-opening-hours-status .ueldo-shortcode-opening-hours-status-container',
                                array(
                                    'background' => esc_attr( $attributes['background_color'] ),
                                    'border-color' => esc_attr( $attributes['border_color'] ),
                                    '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length'], $attributes['box_shadow_vertical_length'], $attributes['box_shadow_blur_radius'], $attributes['box_shadow_spread_radius'], $attributes['box_shadow_color'] ),
                                    '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length'], $attributes['box_shadow_vertical_length'], $attributes['box_shadow_blur_radius'], $attributes['box_shadow_spread_radius'], $attributes['box_shadow_color'] ),
                                    'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length'], $attributes['box_shadow_vertical_length'], $attributes['box_shadow_blur_radius'], $attributes['box_shadow_spread_radius'], $attributes['box_shadow_color'] )
                                )
                            );

                            # update element styles (on hover)
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-opening-hours-status .ueldo-shortcode-opening-hours-status-container:hover',
                                array(
                                    'background' => esc_attr( $attributes['background_color_hover'] ),
                                    'border-color' => esc_attr( $attributes['border_color_hover'] ),
                                    '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length_hover'], $attributes['box_shadow_vertical_length_hover'], $attributes['box_shadow_blur_radius_hover'], $attributes['box_shadow_spread_radius_hover'], $attributes['box_shadow_color_hover'] ),
                                    '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length_hover'], $attributes['box_shadow_vertical_length_hover'], $attributes['box_shadow_blur_radius_hover'], $attributes['box_shadow_spread_radius_hover'], $attributes['box_shadow_color_hover'] ),
                                    'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length_hover'], $attributes['box_shadow_vertical_length_hover'], $attributes['box_shadow_blur_radius_hover'], $attributes['box_shadow_spread_radius_hover'], $attributes['box_shadow_color_hover'] )
                                )
                            );

                            # update content color
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-opening-hours-status .ueldo-shortcode-opening-hours-status-container p',
                                array(
                                    'color' => esc_attr( $attributes['content_color'] )
                                )
                            );

                            # update content color (on hover)
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-opening-hours-status .ueldo-shortcode-opening-hours-status-container:hover p',
                                array(
                                    'color' => esc_attr( $attributes['content_color_hover'] )
                                )
                            );

                            # update status dot color (when open)
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-opening-hours-status .ueldo-shortcode-opening-hours-status-content[data-for-status="open"]:before',
                                array(
                                    'background' => esc_attr( $attributes['status_dot_color_when_open'] )
                                )
                            );

                            # update status dot color (when closed)
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-opening-hours-status .ueldo-shortcode-opening-hours-status-content[data-for-status="closed"]:before',
                                array(
                                    'background' => esc_attr( $attributes['status_dot_color_when_closed'] )
                                )
                            );
                        }

                        # save css style
                        $shortcodes_styles -> save_styles();

                        # remove attributes array
                        unset( $attributes );

                    break;

                   /**
                    *
                    * ueldo_shortcode_opening_hours_box
                    *
                    */

                    case 'ueldo_shortcode_opening_hours_box':

                        # attributes array
                        $attributes = array(
                            'heading_position' => isset( $shortcode['atts']['heading_position'] ) && !empty( $shortcode['atts']['heading_position'] ) ? $shortcode['atts']['heading_position'] : 'top',
                            'switch_elements_to_one_line_from' => isset( $shortcode['atts']['switch_elements_to_one_line_from'] ) && !empty( $shortcode['atts']['switch_elements_to_one_line_from'] ) ? $shortcode['atts']['switch_elements_to_one_line_from'] : 'extra-small',
                            'display_opening_hours_status' => isset( $shortcode['atts']['display_opening_hours_status'] ) && !empty( $shortcode['atts']['display_opening_hours_status'] ) ? $shortcode['atts']['display_opening_hours_status'] : 'yes',
                            'status_dot_position' => isset( $shortcode['atts']['status_dot_position'] ) && !empty( $shortcode['atts']['status_dot_position'] ) ? $shortcode['atts']['status_dot_position'] : esc_attr( ueldo_is_rtl() ? 'right' : 'left' ),
                            'custom_sizes_enabled' => isset( $shortcode['atts']['custom_sizes_enabled'] ) && !empty( $shortcode['atts']['custom_sizes_enabled'] ) ? $shortcode['atts']['custom_sizes_enabled'] : 'theme_defaults',
                            'border_width' => isset( $shortcode['atts']['border_width'] ) && $shortcode['atts']['border_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['border_width'] ) ? $shortcode['atts']['border_width'] : '1',
                            'inset_border_width' => isset( $shortcode['atts']['inset_border_width'] ) && $shortcode['atts']['inset_border_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['inset_border_width'] ) ? $shortcode['atts']['inset_border_width'] : '1',
                            'border_radius' => isset( $shortcode['atts']['border_radius'] ) && $shortcode['atts']['border_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['border_radius'] ) ? $shortcode['atts']['border_radius'] : '4',
                            'elements_padding_top_bottom' => isset( $shortcode['atts']['elements_padding_top_bottom'] ) && $shortcode['atts']['elements_padding_top_bottom'] != '' && ueldo_is_valid_number( $shortcode['atts']['elements_padding_top_bottom'] ) ? $shortcode['atts']['elements_padding_top_bottom'] : '20',
                            'elements_padding_left_right' => isset( $shortcode['atts']['elements_padding_left_right'] ) && $shortcode['atts']['elements_padding_left_right'] != '' && ueldo_is_valid_number( $shortcode['atts']['elements_padding_left_right'] ) ? $shortcode['atts']['elements_padding_left_right'] : '30',
                            'elements_titles_font_size' => isset( $shortcode['atts']['elements_titles_font_size'] ) && $shortcode['atts']['elements_titles_font_size'] != '' && ueldo_is_valid_number( $shortcode['atts']['elements_titles_font_size'] ) ? $shortcode['atts']['elements_titles_font_size'] : esc_attr( $ueldo_styles_cache -> get_style( 'font-size-content' ) ),
                            'elements_titles_font_line_height' => isset( $shortcode['atts']['elements_titles_font_line_height'] ) && $shortcode['atts']['elements_titles_font_line_height'] != '' && ueldo_is_valid_number( $shortcode['atts']['elements_titles_font_line_height'] ) ? $shortcode['atts']['elements_titles_font_line_height'] : '1.0',
                            'elements_titles_font_family' => isset( $shortcode['atts']['elements_titles_font_family'] ) && !empty( $shortcode['atts']['elements_titles_font_family'] ) ? $shortcode['atts']['elements_titles_font_family'] : 'headings-font',
                            'elements_values_font_size' => isset( $shortcode['atts']['elements_values_font_size'] ) && $shortcode['atts']['elements_values_font_size'] != '' && ueldo_is_valid_number( $shortcode['atts']['elements_values_font_size'] ) ? $shortcode['atts']['elements_values_font_size'] : esc_attr( $ueldo_styles_cache -> get_style( 'font-size-content' ) ),
                            'elements_values_font_line_height' => isset( $shortcode['atts']['elements_values_font_line_height'] ) && $shortcode['atts']['elements_values_font_line_height'] != '' && ueldo_is_valid_number( $shortcode['atts']['elements_values_font_line_height'] ) ? $shortcode['atts']['elements_values_font_line_height'] : '1.0',
                            'elements_values_font_family' => isset( $shortcode['atts']['elements_values_font_family'] ) && !empty( $shortcode['atts']['elements_values_font_family'] ) ? $shortcode['atts']['elements_values_font_family'] : 'general-font',
                            'margin_between_elements_titles_and_values_when_switched_to_one_line' => isset( $shortcode['atts']['margin_between_elements_titles_and_values_when_switched_to_one_line'] ) && $shortcode['atts']['margin_between_elements_titles_and_values_when_switched_to_one_line'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_between_elements_titles_and_values_when_switched_to_one_line'] ) ? $shortcode['atts']['margin_between_elements_titles_and_values_when_switched_to_one_line'] : '5',
                            'box_title_font_size' => isset( $shortcode['atts']['box_title_font_size'] ) && $shortcode['atts']['box_title_font_size'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_title_font_size'] ) ? $shortcode['atts']['box_title_font_size'] : esc_attr( $ueldo_styles_cache -> get_style( 'font-size-content' ) ),
                            'box_title_font_line_height' => isset( $shortcode['atts']['box_title_font_line_height'] ) && $shortcode['atts']['box_title_font_line_height'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_title_font_line_height'] ) ? $shortcode['atts']['box_title_font_line_height'] : '1.0',
                            'box_title_font_family' => isset( $shortcode['atts']['box_title_font_family'] ) && !empty( $shortcode['atts']['box_title_font_family'] ) ? $shortcode['atts']['box_title_font_family'] : 'headings-bold-font',
                            'opening_hours_status_content_font_size' => isset( $shortcode['atts']['opening_hours_status_content_font_size'] ) && $shortcode['atts']['opening_hours_status_content_font_size'] != '' && ueldo_is_valid_number( $shortcode['atts']['opening_hours_status_content_font_size'] ) ? $shortcode['atts']['opening_hours_status_content_font_size'] : esc_attr( $ueldo_styles_cache -> get_style( 'font-size-content' ) ),
                            'opening_hours_status_content_font_line_height' => isset( $shortcode['atts']['opening_hours_status_content_font_line_height'] ) && $shortcode['atts']['opening_hours_status_content_font_line_height'] != '' && ueldo_is_valid_number( $shortcode['atts']['opening_hours_status_content_font_line_height'] ) ? $shortcode['atts']['opening_hours_status_content_font_line_height'] : '1.0',
                            'opening_hours_status_content_font_family' => isset( $shortcode['atts']['opening_hours_status_content_font_family'] ) && !empty( $shortcode['atts']['opening_hours_status_content_font_family'] ) ? $shortcode['atts']['opening_hours_status_content_font_family'] : 'general-font',
                            'opening_hours_status_dot_width_height' => isset( $shortcode['atts']['opening_hours_status_dot_width_height'] ) && $shortcode['atts']['opening_hours_status_dot_width_height'] != '' && ueldo_is_valid_number( $shortcode['atts']['opening_hours_status_dot_width_height'] ) ? $shortcode['atts']['opening_hours_status_dot_width_height'] : '6',
                            'margin_between_opening_hours_status_dot_and_content' => isset( $shortcode['atts']['margin_between_opening_hours_status_dot_and_content'] ) && $shortcode['atts']['margin_between_opening_hours_status_dot_and_content'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_between_opening_hours_status_dot_and_content'] ) ? $shortcode['atts']['margin_between_opening_hours_status_dot_and_content'] : '15',
                            'custom_colors_enabled' => isset( $shortcode['atts']['custom_colors_enabled'] ) && !empty( $shortcode['atts']['custom_colors_enabled'] ) ? $shortcode['atts']['custom_colors_enabled'] : 'theme_defaults',
                            'background_color' => isset( $shortcode['atts']['background_color'] ) && $shortcode['atts']['background_color'] != '' ? $shortcode['atts']['background_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                            'background_color_hover' => isset( $shortcode['atts']['background_color_hover'] ) && $shortcode['atts']['background_color_hover'] != '' ? $shortcode['atts']['background_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                            'border_color' => isset( $shortcode['atts']['border_color'] ) && $shortcode['atts']['border_color'] != '' ? $shortcode['atts']['border_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-border-color' ) ),
                            'border_color_hover' => isset( $shortcode['atts']['border_color_hover'] ) && $shortcode['atts']['border_color_hover'] != '' ? $shortcode['atts']['border_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-hover-border-color' ) ),
                            'inset_border_color' => isset( $shortcode['atts']['inset_border_color'] ) && $shortcode['atts']['inset_border_color'] != '' ? $shortcode['atts']['inset_border_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-inset-border-color' ) ),
                            'box_shadow_horizontal_length' => isset( $shortcode['atts']['box_shadow_horizontal_length'] ) && $shortcode['atts']['box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_horizontal_length'] ) ? $shortcode['atts']['box_shadow_horizontal_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'horizontal-length' ) ),
                            'box_shadow_vertical_length' => isset( $shortcode['atts']['box_shadow_vertical_length'] ) && $shortcode['atts']['box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_vertical_length'] ) ? $shortcode['atts']['box_shadow_vertical_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'vertical-length' ) ),
                            'box_shadow_blur_radius' => isset( $shortcode['atts']['box_shadow_blur_radius'] ) && $shortcode['atts']['box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_blur_radius'] ) ? $shortcode['atts']['box_shadow_blur_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'blur-radius' ) ),
                            'box_shadow_spread_radius' => isset( $shortcode['atts']['box_shadow_spread_radius'] ) && $shortcode['atts']['box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_spread_radius'] ) ? $shortcode['atts']['box_shadow_spread_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'spread-radius' ) ),
                            'box_shadow_color' => isset( $shortcode['atts']['box_shadow_color'] ) && $shortcode['atts']['box_shadow_color'] != '' ? $shortcode['atts']['box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'color' ) ),
                            'box_shadow_horizontal_length_hover' => isset( $shortcode['atts']['box_shadow_horizontal_length_hover'] ) && $shortcode['atts']['box_shadow_horizontal_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_horizontal_length_hover'] ) ? $shortcode['atts']['box_shadow_horizontal_length_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'horizontal-length' ) ),
                            'box_shadow_vertical_length_hover' => isset( $shortcode['atts']['box_shadow_vertical_length_hover'] ) && $shortcode['atts']['box_shadow_vertical_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_vertical_length_hover'] ) ? $shortcode['atts']['box_shadow_vertical_length_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'vertical-length' ) ),
                            'box_shadow_blur_radius_hover' => isset( $shortcode['atts']['box_shadow_blur_radius_hover'] ) && $shortcode['atts']['box_shadow_blur_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_blur_radius_hover'] ) ? $shortcode['atts']['box_shadow_blur_radius_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'blur-radius' ) ),
                            'box_shadow_spread_radius_hover' => isset( $shortcode['atts']['box_shadow_spread_radius_hover'] ) && $shortcode['atts']['box_shadow_spread_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_spread_radius_hover'] ) ? $shortcode['atts']['box_shadow_spread_radius_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'spread-radius' ) ),
                            'box_shadow_color_hover' => isset( $shortcode['atts']['box_shadow_color_hover'] ) && $shortcode['atts']['box_shadow_color_hover'] != '' ? $shortcode['atts']['box_shadow_color_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'color' ) ),
                            'heading_background_color' => isset( $shortcode['atts']['heading_background_color'] ) && $shortcode['atts']['heading_background_color'] != '' ? $shortcode['atts']['heading_background_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-heading-or-active-tab-background-color' ) ),
                            'box_title_color' => isset( $shortcode['atts']['box_title_color'] ) && $shortcode['atts']['box_title_color'] != '' ? $shortcode['atts']['box_title_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                            'elements_titles_color' => isset( $shortcode['atts']['elements_titles_color'] ) && $shortcode['atts']['elements_titles_color'] != '' ? $shortcode['atts']['elements_titles_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-headings-color' ) ),
                            'elements_values_color' => isset( $shortcode['atts']['elements_values_color'] ) && $shortcode['atts']['elements_values_color'] != '' ? $shortcode['atts']['elements_values_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-content-color' ) ),
                            'opening_hours_status_content_color' => isset( $shortcode['atts']['opening_hours_status_content_color'] ) && $shortcode['atts']['opening_hours_status_content_color'] != '' ? $shortcode['atts']['opening_hours_status_content_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-content-color' ) ),
                            'opening_hours_status_dot_color_when_open' => isset( $shortcode['atts']['opening_hours_status_dot_color_when_open'] ) && $shortcode['atts']['opening_hours_status_dot_color_when_open'] != '' ? $shortcode['atts']['opening_hours_status_dot_color_when_open'] : esc_attr( $ueldo_styles_cache -> get_style( 'opening-hours-status-color-when-open' ) ),
                            'opening_hours_status_dot_color_when_closed' => isset( $shortcode['atts']['opening_hours_status_dot_color_when_closed'] ) && $shortcode['atts']['opening_hours_status_dot_color_when_closed'] != '' ? $shortcode['atts']['opening_hours_status_dot_color_when_closed'] : esc_attr( $ueldo_styles_cache -> get_style( 'opening-hours-status-color-when-closed' ) )
                        );

                        # can we set custom sizes?
                        if( $attributes['custom_sizes_enabled'] != 'theme_defaults' ) {

                            # temporary variable
                            $temp = array(
                                'elements-titles-font' => ueldo_vc_get_custom_font_family_attributes( ( !empty( $attributes['elements_titles_font_family'] ) ? $attributes['elements_titles_font_family'] : false ), 'headings-font' ),
                                'elements-values-font' => ueldo_vc_get_custom_font_family_attributes( ( !empty( $attributes['elements_values_font_family'] ) ? $attributes['elements_values_font_family'] : false ), 'general-font' ),
                                'box-title-font' => ueldo_vc_get_custom_font_family_attributes( ( !empty( $attributes['box_title_font_family'] ) ? $attributes['box_title_font_family'] : false ), 'headings-bold-font' )
                            );

                            # update box sizes
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-opening-hours-box',
                                array(
                                    'border-width' => esc_attr( $attributes['border_width'] ),
                                    '-webkit-border-radius' => esc_attr( $attributes['border_radius'] ),
                                    '-moz-border-radius' => esc_attr( $attributes['border_radius'] ),
                                    'border-radius' => esc_attr( $attributes['border_radius'] )
                                )
                            );

                            # single elements sizes
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-opening-hours-box .ueldo-shortcode-opening-hours-box-elements .ueldo-shortcode-opening-hours-box-element',
                                array(
                                    'padding' => esc_attr( $attributes['elements_padding_top_bottom'] ) .'px '. esc_attr( $attributes['elements_padding_left_right'] ) .'px',
                                    'border-bottom-width' => esc_attr( $attributes['inset_border_width'] )
                                )
                            );

                            # box heading paddings
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-opening-hours-box .ueldo-shortcode-opening-hours-box-heading',
                                array(
                                    'padding' => esc_attr( $attributes['elements_padding_top_bottom'] ) .'px '. esc_attr( $attributes['elements_padding_left_right'] ) .'px'
                                )
                            );

                            # box heading sizes depends on position: top
                            if( $attributes['heading_position'] == 'top' ) {

                                # box heading sizes
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-opening-hours-box .ueldo-shortcode-opening-hours-box-heading.ueldo-shortcode-opening-hours-box-heading-position-top',
                                    array(
                                        '-webkit-border-top-left-radius' => esc_attr( $attributes['border_radius'] ),
                                        '-moz-border-top-left-radius' => esc_attr( $attributes['border_radius'] ),
                                        'border-top-left-radius' => esc_attr( $attributes['border_radius'] ),
                                        '-webkit-border-top-right-radius' => esc_attr( $attributes['border_radius'] ),
                                        '-moz-border-top-right-radius' => esc_attr( $attributes['border_radius'] ),
                                        'border-top-right-radius' => esc_attr( $attributes['border_radius'] ),
                                        'border-bottom-width' => esc_attr( $attributes['inset_border_width'] )
                                    )
                                );
                            }

                            # box heading sizes depends on position: bottom
                            else {

                                # box heading sizes
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-opening-hours-box .ueldo-shortcode-opening-hours-box-heading.ueldo-shortcode-opening-hours-box-heading-position-bottom',
                                    array(
                                        '-webkit-border-bottom-left-radius' => esc_attr( $attributes['border_radius'] ),
                                        '-moz-border-bottom-left-radius' => esc_attr( $attributes['border_radius'] ),
                                        'border-bottom-left-radius' => esc_attr( $attributes['border_radius'] ),
                                        '-webkit-border-bottom-right-radius' => esc_attr( $attributes['border_radius'] ),
                                        '-moz-border-bottom-right-radius' => esc_attr( $attributes['border_radius'] ),
                                        'border-bottom-right-radius' => esc_attr( $attributes['border_radius'] ),
                                        'border-top-width' => esc_attr( $attributes['inset_border_width'] )
                                    )
                                );
                            }

                            # elements titles styles
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-opening-hours-box .ueldo-shortcode-opening-hours-box-elements .ueldo-shortcode-opening-hours-box-element .ueldo-shortcode-opening-hours-box-element-title',
                                array(
                                    'font-size' => esc_attr( $attributes['elements_titles_font_size'] ),
                                    'line-height' => esc_attr( $attributes['elements_titles_font_line_height'] ),
                                    'font-family' => esc_attr( $temp['elements-titles-font']['font-family'] ),
                                    'font-weight' => esc_attr( $temp['elements-titles-font']['font-weight'] ),
                                    'font-style' => esc_attr( $temp['elements-titles-font']['font-style'] ),
                                    '-webkit-font-smoothing' => esc_attr( $temp['elements-titles-font']['-webkit-font-smoothing'] ),
                                    '-moz-osx-font-smoothing' => esc_attr( $temp['elements-titles-font']['-moz-osx-font-smoothing'] )
                                )
                            );

                            # elements values styles
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-opening-hours-box .ueldo-shortcode-opening-hours-box-elements .ueldo-shortcode-opening-hours-box-element .ueldo-shortcode-opening-hours-box-element-value',
                                array(
                                    'font-size' => esc_attr( $attributes['elements_values_font_size'] ),
                                    'line-height' => esc_attr( $attributes['elements_values_font_line_height'] ),
                                    'font-family' => esc_attr( $temp['elements-values-font']['font-family'] ),
                                    'font-weight' => esc_attr( $temp['elements-values-font']['font-weight'] ),
                                    'font-style' => esc_attr( $temp['elements-values-font']['font-style'] ),
                                    '-webkit-font-smoothing' => esc_attr( $temp['elements-values-font']['-webkit-font-smoothing'] ),
                                    '-moz-osx-font-smoothing' => esc_attr( $temp['elements-values-font']['-moz-osx-font-smoothing'] )
                                )
                            );

                            # sizes depended on setting
                            switch( $attributes['switch_elements_to_one_line_from'] ) {

                                # switch to one line from large devices
                                case 'large':

                                    # update element sizes
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-opening-hours-box .ueldo-shortcode-opening-hours-box-elements.ueldo-shortcode-opening-hours-box-elements-switch-to-one-line-from-large-devices .ueldo-shortcode-opening-hours-box-element .ueldo-shortcode-opening-hours-box-element-title',
                                        array(
                                            '1200_more' => array(
                                                'margin-bottom' => esc_attr( $attributes['margin_between_elements_titles_and_values_when_switched_to_one_line'] )
                                            ),
                                            '992_1199' => array(
                                                'margin-bottom' => esc_attr( $attributes['margin_between_elements_titles_and_values_when_switched_to_one_line'] )
                                            ),
                                            '768_991' => array(
                                                'margin-bottom' => esc_attr( $attributes['margin_between_elements_titles_and_values_when_switched_to_one_line'] )
                                            ),
                                            'less_767' => array(
                                                'margin-bottom' => esc_attr( $attributes['margin_between_elements_titles_and_values_when_switched_to_one_line'] )
                                            )
                                        )
                                    );

                                break;

                                # switch to one line from medium devices
                                case 'medium':

                                    # update element sizes
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-opening-hours-box .ueldo-shortcode-opening-hours-box-elements.ueldo-shortcode-opening-hours-box-elements-switch-to-one-line-from-medium-devices .ueldo-shortcode-opening-hours-box-element .ueldo-shortcode-opening-hours-box-element-title',
                                        array(
                                            '992_1199' => array(
                                                'margin-bottom' => esc_attr( $attributes['margin_between_elements_titles_and_values_when_switched_to_one_line'] )
                                            ),
                                            '768_991' => array(
                                                'margin-bottom' => esc_attr( $attributes['margin_between_elements_titles_and_values_when_switched_to_one_line'] )
                                            ),
                                            'less_767' => array(
                                                'margin-bottom' => esc_attr( $attributes['margin_between_elements_titles_and_values_when_switched_to_one_line'] )
                                            )
                                        )
                                    );

                                break;

                                # switch to one line from small devices
                                case 'small':

                                    # update element sizes
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-opening-hours-box .ueldo-shortcode-opening-hours-box-elements.ueldo-shortcode-opening-hours-box-elements-switch-to-one-line-from-small-devices .ueldo-shortcode-opening-hours-box-element .ueldo-shortcode-opening-hours-box-element-title',
                                        array(
                                            '768_991' => array(
                                                'margin-bottom' => esc_attr( $attributes['margin_between_elements_titles_and_values_when_switched_to_one_line'] )
                                            ),
                                            'less_767' => array(
                                                'margin-bottom' => esc_attr( $attributes['margin_between_elements_titles_and_values_when_switched_to_one_line'] )
                                            )
                                        )
                                    );

                                break;

                                # switch to one line from extra small devices
                                case 'extra-small':

                                    # update element sizes
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-opening-hours-box .ueldo-shortcode-opening-hours-box-elements.ueldo-shortcode-opening-hours-box-elements-switch-to-one-line-from-extra-small-devices .ueldo-shortcode-opening-hours-box-element .ueldo-shortcode-opening-hours-box-element-title',
                                        array(
                                            'less_767' => array(
                                                'margin-bottom' => esc_attr( $attributes['margin_between_elements_titles_and_values_when_switched_to_one_line'] )
                                            )
                                        )
                                    );

                                break;
                            }

                            # box title styles
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-opening-hours-box .ueldo-shortcode-opening-hours-box-heading .ueldo-shortcode-opening-hours-box-heading-title',
                                array(
                                    'font-size' => esc_attr( $attributes['box_title_font_size'] ),
                                    'line-height' => esc_attr( $attributes['box_title_font_line_height'] ),
                                    'font-family' => esc_attr( $temp['box-title-font']['font-family'] ),
                                    'font-weight' => esc_attr( $temp['box-title-font']['font-weight'] ),
                                    'font-style' => esc_attr( $temp['box-title-font']['font-style'] ),
                                    '-webkit-font-smoothing' => esc_attr( $temp['box-title-font']['-webkit-font-smoothing'] ),
                                    '-moz-osx-font-smoothing' => esc_attr( $temp['box-title-font']['-moz-osx-font-smoothing'] )
                                )
                            );

                            # remove temporary variable
                            unset( $temp );

                            # can we display opening hours status?
                            if( $attributes['display_opening_hours_status'] == 'yes' ) {

                                # temporary variable
                                $temp = array(
                                    'opening-hours-status-content-font' => ueldo_vc_get_custom_font_family_attributes( ( !empty( $attributes['opening_hours_status_content_font_family'] ) ? $attributes['opening_hours_status_content_font_family'] : false ), 'general-font' )
                                );

                                # opening hours status content styles
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-opening-hours-box .ueldo-shortcode-opening-hours-box-heading .ueldo-shortcode-opening-hours-status .ueldo-shortcode-opening-hours-status-content p',
                                    array(
                                        'font-size' => esc_attr( $attributes['opening_hours_status_content_font_size'] ),
                                        'line-height' => esc_attr( $attributes['opening_hours_status_content_font_line_height'] ),
                                        'font-family' => esc_attr( $temp['opening-hours-status-content-font']['font-family'] ),
                                        'font-weight' => esc_attr( $temp['opening-hours-status-content-font']['font-weight'] ),
                                        'font-style' => esc_attr( $temp['opening-hours-status-content-font']['font-style'] ),
                                        '-webkit-font-smoothing' => esc_attr( $temp['opening-hours-status-content-font']['-webkit-font-smoothing'] ),
                                        '-moz-osx-font-smoothing' => esc_attr( $temp['opening-hours-status-content-font']['-moz-osx-font-smoothing'] )
                                    )
                                );

                                # opening hours status dot sizes
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-opening-hours-box .ueldo-shortcode-opening-hours-status .ueldo-shortcode-opening-hours-status-content:before',
                                    array(
                                        'width' => esc_attr( $attributes['opening_hours_status_dot_width_height'] ),
                                        'height' => esc_attr( $attributes['opening_hours_status_dot_width_height'] ),
                                        'margin-top' => '-'. esc_attr( $attributes['opening_hours_status_dot_width_height'] / 2 )
                                    )
                                );

                                # sizes depended on status dot position
                                if( $attributes['status_dot_position'] == 'left' ) {

                                    # margin between opening hours dot and content
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-opening-hours-box .ueldo-shortcode-opening-hours-box-heading .ueldo-shortcode-opening-hours-status.ueldo-shortcode-opening-hours-status-dot-position-left .ueldo-shortcode-opening-hours-status-content p',
                                        array(
                                            'padding' => '0 0 0 '. esc_attr( $attributes['opening_hours_status_dot_width_height'] + $attributes['margin_between_opening_hours_status_dot_and_content'] ) .'px'
                                        )
                                    );
                                }

                                else {

                                    # margin between opening hours dot and content
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-opening-hours-box .ueldo-shortcode-opening-hours-box-heading .ueldo-shortcode-opening-hours-status.ueldo-shortcode-opening-hours-status-dot-position-right .ueldo-shortcode-opening-hours-status-content p',
                                        array(
                                            'padding' => '0 '. esc_attr( $attributes['opening_hours_status_dot_width_height'] + $attributes['margin_between_opening_hours_status_dot_and_content'] ) .'px 0 0'
                                        )
                                    );
                                }

                                # remove temporary variable
                                unset( $temp );
                            }
                        }

                        # can we set custom colors?
                        if( $attributes['custom_colors_enabled'] != 'theme_defaults' ) {

                            # update element styles
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-opening-hours-box',
                                array(
                                    'background' => esc_attr( $attributes['background_color'] ),
                                    'border-color' => esc_attr( $attributes['border_color'] ),
                                    '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length'], $attributes['box_shadow_vertical_length'], $attributes['box_shadow_blur_radius'], $attributes['box_shadow_spread_radius'], $attributes['box_shadow_color'] ),
                                    '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length'], $attributes['box_shadow_vertical_length'], $attributes['box_shadow_blur_radius'], $attributes['box_shadow_spread_radius'], $attributes['box_shadow_color'] ),
                                    'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length'], $attributes['box_shadow_vertical_length'], $attributes['box_shadow_blur_radius'], $attributes['box_shadow_spread_radius'], $attributes['box_shadow_color'] )
                                )
                            );

                            # update element styles (on hover)
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-opening-hours-box:hover',
                                array(
                                    'background' => esc_attr( $attributes['background_color_hover'] ),
                                    'border-color' => esc_attr( $attributes['border_color_hover'] ),
                                    '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length_hover'], $attributes['box_shadow_vertical_length_hover'], $attributes['box_shadow_blur_radius_hover'], $attributes['box_shadow_spread_radius_hover'], $attributes['box_shadow_color_hover'] ),
                                    '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length_hover'], $attributes['box_shadow_vertical_length_hover'], $attributes['box_shadow_blur_radius_hover'], $attributes['box_shadow_spread_radius_hover'], $attributes['box_shadow_color_hover'] ),
                                    'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length_hover'], $attributes['box_shadow_vertical_length_hover'], $attributes['box_shadow_blur_radius_hover'], $attributes['box_shadow_spread_radius_hover'], $attributes['box_shadow_color_hover'] )
                                )
                            );

                            # update heading background color
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-opening-hours-box .ueldo-shortcode-opening-hours-box-heading',
                                array(
                                    'background' => esc_attr( $attributes['heading_background_color'] )
                                )
                            );

                            # update inset border color
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-opening-hours-box .ueldo-shortcode-opening-hours-box-elements .ueldo-shortcode-opening-hours-box-element, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-opening-hours-box .ueldo-shortcode-opening-hours-box-heading',
                                array(
                                    'border-color' => esc_attr( $attributes['inset_border_color'] )
                                )
                            );

                            # box title color
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-opening-hours-box .ueldo-shortcode-opening-hours-box-heading .ueldo-shortcode-opening-hours-box-heading-title',
                                array(
                                    'color' => esc_attr( $attributes['box_title_color'] )
                                )
                            );

                            # elements title color
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-opening-hours-box .ueldo-shortcode-opening-hours-box-elements .ueldo-shortcode-opening-hours-box-element .ueldo-shortcode-opening-hours-box-element-title',
                                array(
                                    'color' => esc_attr( $attributes['elements_titles_color'] )
                                )
                            );

                            # elements values color
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-opening-hours-box .ueldo-shortcode-opening-hours-box-elements .ueldo-shortcode-opening-hours-box-element .ueldo-shortcode-opening-hours-box-element-value',
                                array(
                                    'color' => esc_attr( $attributes['elements_values_color'] )
                                )
                            );

                            # opening hours status content color
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-opening-hours-box .ueldo-shortcode-opening-hours-box-heading .ueldo-shortcode-opening-hours-status .ueldo-shortcode-opening-hours-status-content p',
                                array(
                                    'color' => esc_attr( $attributes['opening_hours_status_content_color'] )
                                )
                            );

                            # update status dot color (when open)
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-opening-hours-box .ueldo-shortcode-opening-hours-box-heading .ueldo-shortcode-opening-hours-status .ueldo-shortcode-opening-hours-status-content[data-for-status="open"]:before',
                                array(
                                    'background' => esc_attr( $attributes['opening_hours_status_dot_color_when_open'] )
                                )
                            );

                            # update status dot color (when closed)
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-opening-hours-box .ueldo-shortcode-opening-hours-box-heading .ueldo-shortcode-opening-hours-status .ueldo-shortcode-opening-hours-status-content[data-for-status="closed"]:before',
                                array(
                                    'background' => esc_attr( $attributes['opening_hours_status_dot_color_when_closed'] )
                                )
                            );
                        }

                        # save css style
                        $shortcodes_styles -> save_styles();

                        # remove attributes array
                        unset( $attributes );

                    break;

                   /**
                    *
                    * ueldo_shortcode_opening_hours_box_element
                    *
                    */

                    case 'ueldo_shortcode_opening_hours_box_element':

                        # attributes array
                        $attributes = array(
                            'custom_colors_enabled' => isset( $shortcode['atts']['custom_colors_enabled'] ) && !empty( $shortcode['atts']['custom_colors_enabled'] ) ? $shortcode['atts']['custom_colors_enabled'] : 'theme_defaults',
                            'background_color' => isset( $shortcode['atts']['background_color'] ) && $shortcode['atts']['background_color'] != '' ? $shortcode['atts']['background_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                            'title_color' => isset( $shortcode['atts']['title_color'] ) && $shortcode['atts']['title_color'] != '' ? $shortcode['atts']['title_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-headings-color' ) ),
                            'value_color' => isset( $shortcode['atts']['value_color'] ) && $shortcode['atts']['value_color'] != '' ? $shortcode['atts']['value_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-content-color' ) )
                        );

                        # can we set custom colors?
                        if( $attributes['custom_colors_enabled'] != 'theme_defaults' ) {

                            # update element background
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-opening-hours-box-element',
                                array(
                                    'background' => esc_attr( $attributes['background_color'] )
                                )
                            );

                            # update element title color
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-opening-hours-box .ueldo-shortcode-opening-hours-box-elements .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-opening-hours-box-element .ueldo-shortcode-opening-hours-box-element-title',
                                array(
                                    'color' => esc_attr( $attributes['title_color'] ) .' !important'
                                )
                            );

                            # update element value color
                            $shortcodes_styles -> update_style(
                                'ueldo-shortcode-opening-hours-box .ueldo-shortcode-opening-hours-box-elements .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-opening-hours-box-element .ueldo-shortcode-opening-hours-box-element-value',
                                array(
                                    'color' => esc_attr( $attributes['value_color'] ) .' !important'
                                )
                            );
                        }

                        # save css style
                        $shortcodes_styles -> save_styles();

                        # remove attributes array
                        unset( $attributes );

                    break;

                   /**
                    *
                    * ueldo_shortcode_post_page_box
                    *
                    */

                    case 'ueldo_shortcode_post_page_box':

                        # attributes array
                        $attributes = array(
                            'display_as_box' => isset( $shortcode['atts']['display_as_box'] ) && !empty( $shortcode['atts']['display_as_box'] ) ? $shortcode['atts']['display_as_box'] : 'yes',
                            'heading_type' => isset( $shortcode['atts']['heading_type'] ) && !empty( $shortcode['atts']['heading_type'] ) ? $shortcode['atts']['heading_type'] : 'h5',
                            'box_style' => isset( $shortcode['atts']['box_style'] ) && $shortcode['atts']['box_style'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_style'] ) ? $shortcode['atts']['box_style'] : '01',
                            'display_as_card' => isset( $shortcode['atts']['display_as_card'] ) && !empty( $shortcode['atts']['display_as_card'] ) ? $shortcode['atts']['display_as_card'] : 'yes',
                            'display_post_page_content_excerpt' => isset( $shortcode['atts']['display_post_page_content_excerpt'] ) && !empty( $shortcode['atts']['display_post_page_content_excerpt'] ) ? $shortcode['atts']['display_post_page_content_excerpt'] : 'yes',
                            'display_post_page_featured_image' => isset( $shortcode['atts']['display_post_page_featured_image'] ) && !empty( $shortcode['atts']['display_post_page_featured_image'] ) ? $shortcode['atts']['display_post_page_featured_image'] : 'yes',
                            'custom_sizes_enabled' => isset( $shortcode['atts']['custom_sizes_enabled'] ) && !empty( $shortcode['atts']['custom_sizes_enabled'] ) ? $shortcode['atts']['custom_sizes_enabled'] : 'theme_defaults',
                            'border_width' => isset( $shortcode['atts']['border_width'] ) && $shortcode['atts']['border_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['border_width'] ) ? $shortcode['atts']['border_width'] : '1',
                            'border_radius' => isset( $shortcode['atts']['border_radius'] ) && $shortcode['atts']['border_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['border_radius'] ) ? $shortcode['atts']['border_radius'] : '4',
                            'inset_border_width' => isset( $shortcode['atts']['inset_border_width'] ) && $shortcode['atts']['inset_border_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['inset_border_width'] ) ? $shortcode['atts']['inset_border_width'] : '1',
                            'padding_top_bottom' => isset( $shortcode['atts']['padding_top_bottom'] ) && $shortcode['atts']['padding_top_bottom'] != '' && ueldo_is_valid_number( $shortcode['atts']['padding_top_bottom'] ) ? $shortcode['atts']['padding_top_bottom'] : '30',
                            'padding_left_right' => isset( $shortcode['atts']['padding_left_right'] ) && $shortcode['atts']['padding_left_right'] != '' && ueldo_is_valid_number( $shortcode['atts']['padding_left_right'] ) ? $shortcode['atts']['padding_left_right'] : '30',
                            'post_box_author_font_size' => isset( $shortcode['atts']['post_box_author_font_size'] ) && $shortcode['atts']['post_box_author_font_size'] != '' && ueldo_is_valid_number( $shortcode['atts']['post_box_author_font_size'] ) ? $shortcode['atts']['post_box_author_font_size'] : esc_attr( $ueldo_styles_cache -> get_style( 'font-size-smallest-content' ) ),
                            'post_box_author_font_line_height' => isset( $shortcode['atts']['post_box_author_font_line_height'] ) && $shortcode['atts']['post_box_author_font_line_height'] != '' && ueldo_is_valid_number( $shortcode['atts']['post_box_author_font_line_height'] ) ? $shortcode['atts']['post_box_author_font_line_height'] : esc_attr( $ueldo_styles_cache -> get_style( 'line-height-general' ) ),
                            'post_box_author_name_font_size' => isset( $shortcode['atts']['post_box_author_name_font_size'] ) && $shortcode['atts']['post_box_author_name_font_size'] != '' && ueldo_is_valid_number( $shortcode['atts']['post_box_author_name_font_size'] ) ? $shortcode['atts']['post_box_author_name_font_size'] : esc_attr( $ueldo_styles_cache -> get_style( 'font-size-small-content' ) ),
                            'post_box_author_name_font_line_height' => isset( $shortcode['atts']['post_box_author_name_font_line_height'] ) && $shortcode['atts']['post_box_author_name_font_line_height'] != '' && ueldo_is_valid_number( $shortcode['atts']['post_box_author_name_font_line_height'] ) ? $shortcode['atts']['post_box_author_name_font_line_height'] : esc_attr( $ueldo_styles_cache -> get_style( 'line-height-general' ) ),
                            'post_box_author_image_width' => isset( $shortcode['atts']['post_box_author_image_width'] ) && $shortcode['atts']['post_box_author_image_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['post_box_author_image_width'] ) ? $shortcode['atts']['post_box_author_image_width'] : '50',
                            'post_box_author_image_height' => isset( $shortcode['atts']['post_box_author_image_height'] ) && $shortcode['atts']['post_box_author_image_height'] != '' && ueldo_is_valid_number( $shortcode['atts']['post_box_author_image_height'] ) ? $shortcode['atts']['post_box_author_image_height'] : '50',
                            'post_box_author_image_border_radius' => isset( $shortcode['atts']['post_box_author_image_border_radius'] ) && !empty( $shortcode['atts']['post_box_author_image_border_radius'] ) ? $shortcode['atts']['post_box_author_image_border_radius'] : 'circle',
                            'post_box_author_image_border_radius_px' => isset( $shortcode['atts']['post_box_author_image_border_radius_px'] ) && $shortcode['atts']['post_box_author_image_border_radius_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['post_box_author_image_border_radius_px'] ) ? $shortcode['atts']['post_box_author_image_border_radius_px'] : '4',
                            'title_font_size' => isset( $shortcode['atts']['title_font_size'] ) && $shortcode['atts']['title_font_size'] != '' && ueldo_is_valid_number( $shortcode['atts']['title_font_size'] ) ? $shortcode['atts']['title_font_size'] : esc_attr( $ueldo_styles_cache -> get_style( 'font-size-h5' ) ),
                            'title_font_line_height' => isset( $shortcode['atts']['title_font_line_height'] ) && $shortcode['atts']['title_font_line_height'] != '' && ueldo_is_valid_number( $shortcode['atts']['title_font_line_height'] ) ? $shortcode['atts']['title_font_line_height'] : esc_attr( $ueldo_styles_cache -> get_style( 'line-height-headings' ) ),
                            'title_font_letter_spacing' => isset( $shortcode['atts']['title_font_letter_spacing'] ) && $shortcode['atts']['title_font_letter_spacing'] != '' && ueldo_is_valid_number( $shortcode['atts']['title_font_letter_spacing'] ) ? $shortcode['atts']['title_font_letter_spacing'] : '0',
                            'title_font_family' => isset( $shortcode['atts']['title_font_family'] ) && $shortcode['atts']['title_font_family'] != '' ? $shortcode['atts']['title_font_family'] : 'headings-font',
                            'featured_image_height_ratio' => isset( $shortcode['atts']['featured_image_height_ratio'] ) && $shortcode['atts']['featured_image_height_ratio'] != '' && ueldo_is_valid_number( $shortcode['atts']['featured_image_height_ratio'] ) ? $shortcode['atts']['featured_image_height_ratio'] : '46',
                            'featured_image_border_radius' => isset( $shortcode['atts']['featured_image_border_radius'] ) && $shortcode['atts']['featured_image_border_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['featured_image_border_radius'] ) ? $shortcode['atts']['featured_image_border_radius'] : '4',
                            'custom_colors_enabled' => isset( $shortcode['atts']['custom_colors_enabled'] ) && !empty( $shortcode['atts']['custom_colors_enabled'] ) ? $shortcode['atts']['custom_colors_enabled'] : 'theme_defaults',
                            'border_color' => isset( $shortcode['atts']['border_color'] ) && $shortcode['atts']['border_color'] != '' ? $shortcode['atts']['border_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-border-color' ) ),
                            'border_color_hover' => isset( $shortcode['atts']['border_color_hover'] ) && $shortcode['atts']['border_color_hover'] != '' ? $shortcode['atts']['border_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-hover-border-color' ) ),
                            'inset_border_color' => isset( $shortcode['atts']['inset_border_color'] ) && $shortcode['atts']['inset_border_color'] != '' ? $shortcode['atts']['inset_border_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-inset-border-color' ) ),
                            'background_color' => isset( $shortcode['atts']['background_color'] ) && $shortcode['atts']['background_color'] != '' ? $shortcode['atts']['background_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                            'background_color_hover' => isset( $shortcode['atts']['background_color_hover'] ) && $shortcode['atts']['background_color_hover'] != '' ? $shortcode['atts']['background_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-website-background' ) ),
                            'box_shadow_horizontal_length' => isset( $shortcode['atts']['box_shadow_horizontal_length'] ) && $shortcode['atts']['box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_horizontal_length'] ) ? $shortcode['atts']['box_shadow_horizontal_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'horizontal-length' ) ),
                            'box_shadow_vertical_length' => isset( $shortcode['atts']['box_shadow_vertical_length'] ) && $shortcode['atts']['box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_vertical_length'] ) ? $shortcode['atts']['box_shadow_vertical_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'vertical-length' ) ),
                            'box_shadow_blur_radius' => isset( $shortcode['atts']['box_shadow_blur_radius'] ) && $shortcode['atts']['box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_blur_radius'] ) ? $shortcode['atts']['box_shadow_blur_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'blur-radius' ) ),
                            'box_shadow_spread_radius' => isset( $shortcode['atts']['box_shadow_spread_radius'] ) && $shortcode['atts']['box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_spread_radius'] ) ? $shortcode['atts']['box_shadow_spread_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'spread-radius' ) ),
                            'box_shadow_color' => isset( $shortcode['atts']['box_shadow_color'] ) && $shortcode['atts']['box_shadow_color'] != '' ? $shortcode['atts']['box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-box-shadow', 'color' ) ),
                            'box_shadow_horizontal_length_hover' => isset( $shortcode['atts']['box_shadow_horizontal_length_hover'] ) && $shortcode['atts']['box_shadow_horizontal_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_horizontal_length_hover'] ) ? $shortcode['atts']['box_shadow_horizontal_length_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'horizontal-length' ) ),
                            'box_shadow_vertical_length_hover' => isset( $shortcode['atts']['box_shadow_vertical_length_hover'] ) && $shortcode['atts']['box_shadow_vertical_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_vertical_length_hover'] ) ? $shortcode['atts']['box_shadow_vertical_length_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'vertical-length' ) ),
                            'box_shadow_blur_radius_hover' => isset( $shortcode['atts']['box_shadow_blur_radius_hover'] ) && $shortcode['atts']['box_shadow_blur_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_blur_radius_hover'] ) ? $shortcode['atts']['box_shadow_blur_radius_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'blur-radius' ) ),
                            'box_shadow_spread_radius_hover' => isset( $shortcode['atts']['box_shadow_spread_radius_hover'] ) && $shortcode['atts']['box_shadow_spread_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_spread_radius_hover'] ) ? $shortcode['atts']['box_shadow_spread_radius_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'spread-radius' ) ),
                            'box_shadow_color_hover' => isset( $shortcode['atts']['box_shadow_color_hover'] ) && $shortcode['atts']['box_shadow_color_hover'] != '' ? $shortcode['atts']['box_shadow_color_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-elements-hover-box-shadow', 'color' ) ),
                            'title_color' => isset( $shortcode['atts']['title_color'] ) && $shortcode['atts']['title_color'] != '' ? $shortcode['atts']['title_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-headings-color' ) ),
                            'content_color' => isset( $shortcode['atts']['content_color'] ) && $shortcode['atts']['content_color'] != '' ? $shortcode['atts']['content_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-content-color' ) ),
                            'link_color' => isset( $shortcode['atts']['link_color'] ) && $shortcode['atts']['link_color'] != '' ? $shortcode['atts']['link_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                            'link_color_hover' => isset( $shortcode['atts']['link_color_hover'] ) && $shortcode['atts']['link_color_hover'] != '' ? $shortcode['atts']['link_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-main-color' ) ),
                            'featured_image_box_shadow_horizontal_length' => isset( $shortcode['atts']['featured_image_box_shadow_horizontal_length'] ) && $shortcode['atts']['featured_image_box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['featured_image_box_shadow_horizontal_length'] ) ? $shortcode['atts']['featured_image_box_shadow_horizontal_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'horizontal-length' ) ),
                            'featured_image_box_shadow_vertical_length' => isset( $shortcode['atts']['featured_image_box_shadow_vertical_length'] ) && $shortcode['atts']['featured_image_box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['featured_image_box_shadow_vertical_length'] ) ? $shortcode['atts']['featured_image_box_shadow_vertical_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'vertical-length' ) ),
                            'featured_image_box_shadow_blur_radius' => isset( $shortcode['atts']['featured_image_box_shadow_blur_radius'] ) && $shortcode['atts']['featured_image_box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['featured_image_box_shadow_blur_radius'] ) ? $shortcode['atts']['featured_image_box_shadow_blur_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'blur-radius' ) ),
                            'featured_image_box_shadow_spread_radius' => isset( $shortcode['atts']['featured_image_box_shadow_spread_radius'] ) && $shortcode['atts']['featured_image_box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['featured_image_box_shadow_spread_radius'] ) ? $shortcode['atts']['featured_image_box_shadow_spread_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'spread-radius' ) ),
                            'featured_image_box_shadow_color' => isset( $shortcode['atts']['featured_image_box_shadow_color'] ) && $shortcode['atts']['featured_image_box_shadow_color'] != '' ? $shortcode['atts']['featured_image_box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'general-colors-image-box-shadow', 'color' ) )
                        );

                        # do we have custom sizes enabled?
                        if( $attributes['custom_sizes_enabled'] != 'theme_defaults' ) {

                            # display element as box or card?
                            if( $attributes['display_as_box'] == 'yes' || $attributes['display_as_card'] == 'yes' ) {

                                # temporary variable
                                $temp = array(
                                    'class-name' => $attributes['display_as_box'] == 'yes' ? '.ueldo-shortcode-post-page-box .ueldo-short-post-box.ueldo-short-post-box-'. esc_attr( $attributes['box_style'] ) : '.ueldo-shortcode-post-page-box .ueldo-shortcode-post-page-box-card'
                                );

                                # add border and padding styles
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) . esc_attr( $temp['class-name'] ),
                                    array(
                                        'border-width' => esc_attr( $attributes['border_width'] ),
                                        '-webkit-border-radius' => esc_attr( $attributes['border_radius'] ),
                                        '-moz-border-radius' => esc_attr( $attributes['border_radius'] ),
                                        'border-radius' => esc_attr( $attributes['border_radius'] )
                                    )
                                );

                                # add padding for card
                                if( ( $attributes['display_as_box'] == 'no' && $attributes['display_as_card'] == 'yes' ) || ( $attributes['display_as_box'] == 'yes' && $attributes['box_style'] == '03' ) ) {

                                    # padding for whole box
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) . esc_attr( $temp['class-name'] ),
                                        array(
                                            'padding' => esc_attr( $attributes['padding_top_bottom'] ) .'px '. esc_attr( $attributes['padding_left_right'] ) .'px'
                                        )
                                    );
                                }

                                # add padding for box elements
                                else {

                                    # padding for title
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-post-page-box .ueldo-short-post-box.ueldo-short-post-box-'. esc_attr( $attributes['box_style'] ) .' h5',
                                        array(
                                            'padding' => esc_attr( $attributes['padding_top_bottom'] ) .'px '. esc_attr( $attributes['padding_left_right'] ) .'px 0 '. esc_attr( $attributes['padding_left_right'] ) .'px'
                                        )
                                    );

                                    # padding for author box
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-post-page-box .ueldo-short-post-box.ueldo-short-post-box-'. esc_attr( $attributes['box_style'] ) .' .ueldo-short-post-box-author',
                                        array(
                                            'padding' => esc_attr( $attributes['padding_top_bottom'] ) .'px '. esc_attr( $attributes['padding_left_right'] ) .'px'
                                        )
                                    );
                                }

                                # remove temporary variable
                                unset( $temp );
                            }

                            # can we configure inset border width?
                            if( $attributes['display_as_box'] == 'yes' && $attributes['box_style'] == '01' ) {

                                # add inset border width style
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-post-page-box .ueldo-short-post-box.ueldo-short-post-box-01 '. esc_attr( $attributes['heading_type'] ),
                                    array(
                                        'border-bottom-width' => esc_attr( $attributes['inset_border_width'] )
                                    )
                                );
                            }

                            # post author
                            if( $attributes['display_as_box'] == 'yes' ) {

                                # post box style 01 and 02
                                if( in_array( $attributes['box_style'], array( '01', '02' ), true ) ) {

                                    # update post author styles
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-post-page-box .ueldo-short-post-box.ueldo-short-post-box-'. esc_attr( $attributes['box_style'] ) .' .ueldo-short-post-box-author p',
                                        array(
                                            'font-size' => esc_attr( $attributes['post_box_author_font_size'] ),
                                            'line-height' => esc_attr( $attributes['post_box_author_font_line_height'] )
                                        )
                                    );

                                    # update post author name styles
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-post-page-box .ueldo-short-post-box.ueldo-short-post-box-'. esc_attr( $attributes['box_style'] ) .' .ueldo-short-post-box-author p.ueldo-short-post-box-author-name',
                                        array(
                                            'font-size' => esc_attr( $attributes['post_box_author_name_font_size'] ),
                                            'line-height' => esc_attr( $attributes['post_box_author_name_font_line_height'] )
                                        )
                                    );

                                    # update post author image styles
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-post-page-box .ueldo-short-post-box.ueldo-short-post-box-'. esc_attr( $attributes['box_style'] ) .' .ueldo-short-post-box-author img',
                                        array(
                                            'width' => esc_attr( $attributes['post_box_author_image_width'] ),
                                            'height' => esc_attr( $attributes['post_box_author_image_height'] ),
                                            '-webkit-border-radius'. esc_attr( $attributes['post_box_author_image_border_radius'] == 'circle' ? '-%' : '' ) => esc_attr( $attributes['post_box_author_image_border_radius'] == 'circle' ? '100%' : $attributes['post_box_author_image_border_radius_px'] ),
                                            '-moz-border-radius'. esc_attr( $attributes['post_box_author_image_border_radius'] == 'circle' ? '-%' : '' ) => esc_attr( $attributes['post_box_author_image_border_radius'] == 'circle' ? '100%' : $attributes['post_box_author_image_border_radius_px'] ),
                                            'border-radius'. esc_attr( $attributes['post_box_author_image_border_radius'] == 'circle' ? '-%' : '' ) => esc_attr( $attributes['post_box_author_image_border_radius'] == 'circle' ? '100%' : $attributes['post_box_author_image_border_radius_px'] )
                                        )
                                    );
                                }

                                # post box style 03
                                else {

                                    # update post author styles
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-post-page-box .ueldo-short-post-box.ueldo-short-post-box-03 p.ueldo-short-post-box-post-data',
                                        array(
                                            'font-size' => esc_attr( $attributes['post_box_author_font_size'] ),
                                            'line-height' => esc_attr( $attributes['post_box_author_font_line_height'] )
                                        )
                                    );
                                }
                            }

                            # featured image
                            if( $attributes['display_as_box'] == 'no' && $attributes['display_post_page_featured_image'] == 'yes' ) {

                                # update featured image sizes
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-post-page-box .ueldo-post-page-featured-image',
                                    array(
                                        'padding-top-%' => esc_attr( $attributes['featured_image_height_ratio'] ) .'%',
                                        'height-%' => esc_attr( $attributes['featured_image_height_ratio'] ) .'%',
                                        '-webkit-border-radius' => esc_attr( $attributes['featured_image_border_radius'] ),
                                        '-moz-border-radius' => esc_attr( $attributes['featured_image_border_radius'] ),
                                        'border-radius' => esc_attr( $attributes['featured_image_border_radius'] )
                                    )
                                );
                            }

                            # temporary variable
                            $temp = array(
                                'font' => ueldo_vc_get_custom_font_family_attributes( ( !empty( $attributes['title_font_family'] ) ? $attributes['title_font_family'] : false ), 'headings-font' ),
                            );

                            # title styles
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-post-page-box '. esc_attr( $attributes['heading_type'] ),
                                array(
                                    'font-size' => esc_attr( $attributes['title_font_size'] ),
                                    'line-height' => esc_attr( $attributes['title_font_line_height'] ),
                                    'letter-spacing' => esc_attr( $attributes['title_font_letter_spacing'] ),
                                    'font-family' => esc_attr( $temp['font']['font-family'] ),
                                    'font-weight' => esc_attr( $temp['font']['font-weight'] ),
                                    'font-style' => esc_attr( $temp['font']['font-style'] )
                                )
                            );

                            # remove temporary variable
                            unset( $temp );
                        }

                        # do we have custom colors enabled?
                        if( $attributes['custom_colors_enabled'] != 'theme_defaults' ) {

                            # display element as box or card?
                            if( $attributes['display_as_box'] == 'yes' || $attributes['display_as_card'] == 'yes' ) {

                                # temporary variable
                                $temp = array(
                                    'class-name' => $attributes['display_as_box'] == 'yes' ? '.ueldo-shortcode-post-page-box .ueldo-short-post-box.ueldo-short-post-box-'. esc_attr( $attributes['box_style'] ) : '.ueldo-shortcode-post-page-box .ueldo-shortcode-post-page-box-card',
                                    'class-name-hover' => $attributes['display_as_box'] == 'yes' ? '.ueldo-shortcode-post-page-box:hover .ueldo-short-post-box.ueldo-short-post-box-'. esc_attr( $attributes['box_style'] ) : '.ueldo-shortcode-post-page-box:hover .ueldo-shortcode-post-page-box-card'
                                );

                                # add styles for box and card
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) . esc_attr( $temp['class-name'] ),
                                    array(
                                        'border-color' => esc_attr( $attributes['border_color'] ),
                                        'background' => esc_attr( $attributes['background_color'] ),
                                        '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length'], $attributes['box_shadow_vertical_length'], $attributes['box_shadow_blur_radius'], $attributes['box_shadow_spread_radius'], $attributes['box_shadow_color'] ),
                                        '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length'], $attributes['box_shadow_vertical_length'], $attributes['box_shadow_blur_radius'], $attributes['box_shadow_spread_radius'], $attributes['box_shadow_color'] ),
                                        'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length'], $attributes['box_shadow_vertical_length'], $attributes['box_shadow_blur_radius'], $attributes['box_shadow_spread_radius'], $attributes['box_shadow_color'] )
                                    )
                                );

                                # add styles for box and card (on hover)
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) . esc_attr( $temp['class-name-hover'] ),
                                    array(
                                        'border-color' => esc_attr( $attributes['border_color_hover'] ),
                                        'background' => esc_attr( $attributes['background_color_hover'] ),
                                        '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length_hover'], $attributes['box_shadow_vertical_length_hover'], $attributes['box_shadow_blur_radius_hover'], $attributes['box_shadow_spread_radius_hover'], $attributes['box_shadow_color_hover'] ),
                                        '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length_hover'], $attributes['box_shadow_vertical_length_hover'], $attributes['box_shadow_blur_radius_hover'], $attributes['box_shadow_spread_radius_hover'], $attributes['box_shadow_color_hover'] ),
                                        'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length_hover'], $attributes['box_shadow_vertical_length_hover'], $attributes['box_shadow_blur_radius_hover'], $attributes['box_shadow_spread_radius_hover'], $attributes['box_shadow_color_hover'] )
                                    )
                                );

                                # remove temporary variable
                                unset( $temp );
                            }

                            # can we configure inset border color?
                            if( $attributes['display_as_box'] == 'yes' && $attributes['box_style'] == '01' ) {

                                # add inset border color
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-post-page-box .ueldo-short-post-box.ueldo-short-post-box-01 '. esc_attr( $attributes['heading_type'] ),
                                    array(
                                        'border-color' => esc_attr( $attributes['inset_border_color'] )
                                    )
                                );
                            }

                            # featured image box shadow color
                            if( $attributes['display_as_box'] == 'no' && $attributes['display_as_card'] == 'yes' && $attributes['display_post_page_featured_image'] == 'yes' ) {

                                # update featured image box shadow
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-post-page-box .ueldo-post-page-featured-image',
                                    array(
                                        '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['featured_image_box_shadow_horizontal_length'], $attributes['featured_image_box_shadow_vertical_length'], $attributes['featured_image_box_shadow_blur_radius'], $attributes['featured_image_box_shadow_spread_radius'], $attributes['featured_image_box_shadow_color'] ),
                                        '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['featured_image_box_shadow_horizontal_length'], $attributes['featured_image_box_shadow_vertical_length'], $attributes['featured_image_box_shadow_blur_radius'], $attributes['featured_image_box_shadow_spread_radius'], $attributes['featured_image_box_shadow_color'] ),
                                        'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['featured_image_box_shadow_horizontal_length'], $attributes['featured_image_box_shadow_vertical_length'], $attributes['featured_image_box_shadow_blur_radius'], $attributes['featured_image_box_shadow_spread_radius'], $attributes['featured_image_box_shadow_color'] )
                                    )
                                );
                            }

                            # update content color
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-post-page-box p',
                                array(
                                    'color' => esc_attr( $attributes['content_color'] )
                                )
                            );

                            # update link color
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-post-page-box p a',
                                array(
                                    'color' => esc_attr( $attributes['link_color'] )
                                )
                            );

                            # update link color (on hover)
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-post-page-box p a:hover',
                                array(
                                    'color' => esc_attr( $attributes['link_color_hover'] )
                                )
                            );

                            # title color
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-post-page-box '. esc_attr( $attributes['heading_type'] ) .', .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-post-page-box '. esc_attr( $attributes['heading_type'] ) .' a',
                                array(
                                    'color' => esc_attr( $attributes['title_color'] )
                                )
                            );
                        }

                        # save css style
                        $shortcodes_styles -> save_styles();

                        # remove attributes array
                        unset( $attributes );

                    break;

                   /**
                    *
                    * ueldo_shortcode_header_menu
                    *
                    */

                    case 'ueldo_shortcode_header_menu':

                        # attributes array
                        $attributes = array(
                            'menu_style' => isset( $shortcode['atts']['menu_style'] ) && !empty( $shortcode['atts']['menu_style'] ) ? $shortcode['atts']['menu_style'] : '01',
                            'first_submenu_container_alignment' => isset( $shortcode['atts']['first_submenu_container_alignment'] ) && !empty( $shortcode['atts']['first_submenu_container_alignment'] ) ? $shortcode['atts']['first_submenu_container_alignment'] : esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) .'-with-parent-padding',
                            'custom_sizes_enabled' => isset( $shortcode['atts']['custom_sizes_enabled'] ) && !empty( $shortcode['atts']['custom_sizes_enabled'] ) ? $shortcode['atts']['custom_sizes_enabled'] : 'theme_defaults',
                            'margin_top' => isset( $shortcode['atts']['margin_top'] ) && $shortcode['atts']['margin_top'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_top'] ) ? $shortcode['atts']['margin_top'] : '0',
                            'margin_right' => isset( $shortcode['atts']['margin_right'] ) && $shortcode['atts']['margin_right'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_right'] ) ? $shortcode['atts']['margin_right'] : '0',
                            'margin_bottom' => isset( $shortcode['atts']['margin_bottom'] ) && $shortcode['atts']['margin_bottom'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_bottom'] ) ? $shortcode['atts']['margin_bottom'] : '0',
                            'margin_left' => isset( $shortcode['atts']['margin_left'] ) && $shortcode['atts']['margin_left'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_left'] ) ? $shortcode['atts']['margin_left'] : '0',
                            'menu_element_font_size' => isset( $shortcode['atts']['menu_element_font_size'] ) && $shortcode['atts']['menu_element_font_size'] != '' && ueldo_is_valid_number( $shortcode['atts']['menu_element_font_size'] ) ? $shortcode['atts']['menu_element_font_size'] : esc_attr( $ueldo_styles_cache -> get_style( 'font-size-menu-links' ) ),
                            'menu_element_font_line_height' => isset( $shortcode['atts']['menu_element_font_line_height'] ) && $shortcode['atts']['menu_element_font_line_height'] != '' && ueldo_is_valid_number( $shortcode['atts']['menu_element_font_line_height'] ) ? $shortcode['atts']['menu_element_font_line_height'] : '1.0',
                            'menu_element_font_letter_spacing' => isset( $shortcode['atts']['menu_element_font_letter_spacing'] ) && $shortcode['atts']['menu_element_font_letter_spacing'] != '' && ueldo_is_valid_number( $shortcode['atts']['menu_element_font_letter_spacing'] ) ? $shortcode['atts']['menu_element_font_letter_spacing'] : '0',
                            'menu_element_font_family' => isset( $shortcode['atts']['menu_element_font_family'] ) && $shortcode['atts']['menu_element_font_family'] != '' ? $shortcode['atts']['menu_element_font_family'] : 'menu-font',
                            'menu_element_padding_top_bottom_for_01_03' => isset( $shortcode['atts']['menu_element_padding_top_bottom_for_01_03'] ) && $shortcode['atts']['menu_element_padding_top_bottom_for_01_03'] != '' && ueldo_is_valid_number( $shortcode['atts']['menu_element_padding_top_bottom_for_01_03'] ) ? $shortcode['atts']['menu_element_padding_top_bottom_for_01_03'] : '30',
                            'menu_element_padding_top_bottom_for_02_04' => isset( $shortcode['atts']['menu_element_padding_top_bottom_for_02_04'] ) && $shortcode['atts']['menu_element_padding_top_bottom_for_02_04'] != '' && ueldo_is_valid_number( $shortcode['atts']['menu_element_padding_top_bottom_for_02_04'] ) ? $shortcode['atts']['menu_element_padding_top_bottom_for_02_04'] : '20',
                            'menu_element_padding_left_right_for_01_03' => isset( $shortcode['atts']['menu_element_padding_left_right_for_01_03'] ) && $shortcode['atts']['menu_element_padding_left_right_for_01_03'] != '' && ueldo_is_valid_number( $shortcode['atts']['menu_element_padding_left_right_for_01_03'] ) ? $shortcode['atts']['menu_element_padding_left_right_for_01_03'] : '15',
                            'menu_element_padding_left_right_for_02_04' => isset( $shortcode['atts']['menu_element_padding_left_right_for_02_04'] ) && $shortcode['atts']['menu_element_padding_left_right_for_02_04'] != '' && ueldo_is_valid_number( $shortcode['atts']['menu_element_padding_left_right_for_02_04'] ) ? $shortcode['atts']['menu_element_padding_left_right_for_02_04'] : '18',
                            'menu_element_margin_top_bottom_for_01_03' => isset( $shortcode['atts']['menu_element_margin_top_bottom_for_01_03'] ) && $shortcode['atts']['menu_element_margin_top_bottom_for_01_03'] != '' && ueldo_is_valid_number( $shortcode['atts']['menu_element_margin_top_bottom_for_01_03'] ) ? $shortcode['atts']['menu_element_margin_top_bottom_for_01_03'] : '0',
                            'menu_element_margin_top_bottom_for_02_04' => isset( $shortcode['atts']['menu_element_margin_top_bottom_for_02_04'] ) && $shortcode['atts']['menu_element_margin_top_bottom_for_02_04'] != '' && ueldo_is_valid_number( $shortcode['atts']['menu_element_margin_top_bottom_for_02_04'] ) ? $shortcode['atts']['menu_element_margin_top_bottom_for_02_04'] : '10',
                            'menu_element_margin_left_right' => isset( $shortcode['atts']['menu_element_margin_left_right'] ) && $shortcode['atts']['menu_element_margin_left_right'] != '' && ueldo_is_valid_number( $shortcode['atts']['menu_element_margin_left_right'] ) ? $shortcode['atts']['menu_element_margin_left_right'] : '0',
                            'menu_element_border_radius' => isset( $shortcode['atts']['menu_element_border_radius'] ) && $shortcode['atts']['menu_element_border_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['menu_element_border_radius'] ) ? $shortcode['atts']['menu_element_border_radius'] : '2',
                            'menu_element_container_border_width' => isset( $shortcode['atts']['menu_element_container_border_width'] ) && $shortcode['atts']['menu_element_container_border_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['menu_element_container_border_width'] ) ? $shortcode['atts']['menu_element_container_border_width'] : '0',
                            'menu_element_container_border_width_exceptions' => isset( $shortcode['atts']['menu_element_container_border_width_exceptions'] ) && !empty( $shortcode['atts']['menu_element_container_border_width_exceptions'] ) ? $shortcode['atts']['menu_element_container_border_width_exceptions'] : 'display',
                            'menu_and_submenu_icon_font_size' => isset( $shortcode['atts']['menu_and_submenu_icon_font_size'] ) && $shortcode['atts']['menu_and_submenu_icon_font_size'] != '' && ueldo_is_valid_number( $shortcode['atts']['menu_and_submenu_icon_font_size'] ) ? $shortcode['atts']['menu_and_submenu_icon_font_size'] : esc_attr( $ueldo_styles_cache -> get_style( 'font-size-menu-links-icons' ) ),
                            'menu_icon_margin_top' => isset( $shortcode['atts']['menu_icon_margin_top'] ) && $shortcode['atts']['menu_icon_margin_top'] != '' && ueldo_is_valid_number( $shortcode['atts']['menu_icon_margin_top'] ) ? $shortcode['atts']['menu_icon_margin_top'] : '-2',
                            'submenu_icon_margin_top' => isset( $shortcode['atts']['submenu_icon_margin_top'] ) && $shortcode['atts']['submenu_icon_margin_top'] != '' && ueldo_is_valid_number( $shortcode['atts']['submenu_icon_margin_top'] ) ? $shortcode['atts']['submenu_icon_margin_top'] : '2',
                            'margin_between_menu_and_submenu_icon_and_title' => isset( $shortcode['atts']['margin_between_menu_and_submenu_icon_and_title'] ) && $shortcode['atts']['margin_between_menu_and_submenu_icon_and_title'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_between_menu_and_submenu_icon_and_title'] ) ? $shortcode['atts']['margin_between_menu_and_submenu_icon_and_title'] : '10',
                            'active_menu_element_bottom_line_height' => isset( $shortcode['atts']['active_menu_element_bottom_line_height'] ) && $shortcode['atts']['active_menu_element_bottom_line_height'] != '' && ueldo_is_valid_number( $shortcode['atts']['active_menu_element_bottom_line_height'] ) ? $shortcode['atts']['active_menu_element_bottom_line_height'] : '0',
                            'submenu_width' => isset( $shortcode['atts']['submenu_width'] ) && $shortcode['atts']['submenu_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['submenu_width'] ) ? $shortcode['atts']['submenu_width'] : '200',
                            'submenu_container_border_radius' => isset( $shortcode['atts']['submenu_container_border_radius'] ) && $shortcode['atts']['submenu_container_border_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['submenu_container_border_radius'] ) ? $shortcode['atts']['submenu_container_border_radius'] : '2',
                            'submenu_element_bottom_border_width' => isset( $shortcode['atts']['submenu_element_bottom_border_width'] ) && $shortcode['atts']['submenu_element_bottom_border_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['submenu_element_bottom_border_width'] ) ? $shortcode['atts']['submenu_element_bottom_border_width'] : '1',
                            'submenu_element_padding_top_bottom' => isset( $shortcode['atts']['submenu_element_padding_top_bottom'] ) && $shortcode['atts']['submenu_element_padding_top_bottom'] != '' && ueldo_is_valid_number( $shortcode['atts']['submenu_element_padding_top_bottom'] ) ? $shortcode['atts']['submenu_element_padding_top_bottom'] : '16',
                            'submenu_element_padding_left_right' => isset( $shortcode['atts']['submenu_element_padding_left_right'] ) && $shortcode['atts']['submenu_element_padding_left_right'] != '' && ueldo_is_valid_number( $shortcode['atts']['submenu_element_padding_left_right'] ) ? $shortcode['atts']['submenu_element_padding_left_right'] : '18',
                            'submenu_element_font_size' => isset( $shortcode['atts']['submenu_element_font_size'] ) && $shortcode['atts']['submenu_element_font_size'] != '' && ueldo_is_valid_number( $shortcode['atts']['submenu_element_font_size'] ) ? $shortcode['atts']['submenu_element_font_size'] : esc_attr( $ueldo_styles_cache -> get_style( 'font-size-menu-links' ) ),
                            'submenu_element_font_line_height' => isset( $shortcode['atts']['submenu_element_font_line_height'] ) && $shortcode['atts']['submenu_element_font_line_height'] != '' && ueldo_is_valid_number( $shortcode['atts']['submenu_element_font_line_height'] ) ? $shortcode['atts']['submenu_element_font_line_height'] : '1.0',
                            'submenu_element_font_letter_spacing' => isset( $shortcode['atts']['submenu_element_font_letter_spacing'] ) && $shortcode['atts']['submenu_element_font_letter_spacing'] != '' && ueldo_is_valid_number( $shortcode['atts']['submenu_element_font_letter_spacing'] ) ? $shortcode['atts']['submenu_element_font_letter_spacing'] : '0',
                            'submenu_element_font_family' => isset( $shortcode['atts']['submenu_element_font_family'] ) && $shortcode['atts']['submenu_element_font_family'] != '' ? $shortcode['atts']['submenu_element_font_family'] : 'menu-font',
                            'custom_colors_enabled' => isset( $shortcode['atts']['custom_colors_enabled'] ) && !empty( $shortcode['atts']['custom_colors_enabled'] ) ? $shortcode['atts']['custom_colors_enabled'] : 'theme_defaults',
                            'menu_element_background_color' => isset( $shortcode['atts']['menu_element_background_color'] ) && $shortcode['atts']['menu_element_background_color'] != '' ? $shortcode['atts']['menu_element_background_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'header-bar-and-menu-background-color' ) ),
                            'menu_element_color' => isset( $shortcode['atts']['menu_element_color'] ) && $shortcode['atts']['menu_element_color'] != '' ? $shortcode['atts']['menu_element_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'header-bar-and-menu-link-color' ) ),
                            'menu_element_border_color' => isset( $shortcode['atts']['menu_element_border_color'] ) && $shortcode['atts']['menu_element_border_color'] != '' ? $shortcode['atts']['menu_element_border_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-border-color' ) ),
                            'active_menu_element_color' => isset( $shortcode['atts']['active_menu_element_color'] ) && $shortcode['atts']['active_menu_element_color'] != '' ? $shortcode['atts']['active_menu_element_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'header-bar-and-menu-active-or-hover-link-color' ) ),
                            'active_menu_element_with_child_elements_background_color' => isset( $shortcode['atts']['active_menu_element_with_child_elements_background_color'] ) && $shortcode['atts']['active_menu_element_with_child_elements_background_color'] != '' ? $shortcode['atts']['active_menu_element_with_child_elements_background_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'header-bar-and-menu-submenu-background-color' ) ),
                            'active_menu_element_with_child_elements_color' => isset( $shortcode['atts']['active_menu_element_with_child_elements_color'] ) && $shortcode['atts']['active_menu_element_with_child_elements_color'] != '' ? $shortcode['atts']['active_menu_element_with_child_elements_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'header-bar-and-menu-submenu-element-active-or-hover-link-color' ) ),
                            'active_menu_element_bottom_line_color' => isset( $shortcode['atts']['active_menu_element_bottom_line_color'] ) && $shortcode['atts']['active_menu_element_bottom_line_color'] != '' ? $shortcode['atts']['active_menu_element_bottom_line_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'header-bar-and-menu-active-or-hover-link-color' ) ),
                            'submenu_background_color' => isset( $shortcode['atts']['submenu_background_color'] ) && $shortcode['atts']['submenu_background_color'] != '' ? $shortcode['atts']['submenu_background_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'header-bar-and-menu-submenu-background-color' ) ),
                            'box_shadow_horizontal_length' => isset( $shortcode['atts']['box_shadow_horizontal_length'] ) && $shortcode['atts']['box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_horizontal_length'] ) ? $shortcode['atts']['box_shadow_horizontal_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'header-bar-and-menu-submenu-box-shadow', 'horizontal-length' ) ),
                            'box_shadow_vertical_length' => isset( $shortcode['atts']['box_shadow_vertical_length'] ) && $shortcode['atts']['box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_vertical_length'] ) ? $shortcode['atts']['box_shadow_vertical_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'header-bar-and-menu-submenu-box-shadow', 'vertical-length' ) ),
                            'box_shadow_blur_radius' => isset( $shortcode['atts']['box_shadow_blur_radius'] ) && $shortcode['atts']['box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_blur_radius'] ) ? $shortcode['atts']['box_shadow_blur_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'header-bar-and-menu-submenu-box-shadow', 'blur-radius' ) ),
                            'box_shadow_spread_radius' => isset( $shortcode['atts']['box_shadow_spread_radius'] ) && $shortcode['atts']['box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['box_shadow_spread_radius'] ) ? $shortcode['atts']['box_shadow_spread_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'header-bar-and-menu-submenu-box-shadow', 'spread-radius' ) ),
                            'box_shadow_color' => isset( $shortcode['atts']['box_shadow_color'] ) && $shortcode['atts']['box_shadow_color'] != '' ? $shortcode['atts']['box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'header-bar-and-menu-submenu-box-shadow', 'color' ) ),
                            'submenu_element_bottom_border_color' => isset( $shortcode['atts']['submenu_element_bottom_border_color'] ) && $shortcode['atts']['submenu_element_bottom_border_color'] != '' ? $shortcode['atts']['submenu_element_bottom_border_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'header-bar-and-menu-submenu-element-border-bottom-color' ) ),
                            'submenu_element_link_color' => isset( $shortcode['atts']['submenu_element_link_color'] ) && $shortcode['atts']['submenu_element_link_color'] != '' ? $shortcode['atts']['submenu_element_link_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'header-bar-and-menu-submenu-element-link-color' ) ),
                            'submenu_element_link_color_hover' => isset( $shortcode['atts']['submenu_element_link_color_hover'] ) && $shortcode['atts']['submenu_element_link_color_hover'] != '' ? $shortcode['atts']['submenu_element_link_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'header-bar-and-menu-submenu-element-active-or-hover-link-color' ) )
                        );

                        # can we set custom sizes?
                        if( $attributes['custom_sizes_enabled'] != 'theme_defaults' ) {

                            # temporary variable
                            $temp = array(
                                'menu-font' => ueldo_vc_get_custom_font_family_attributes( ( !empty( $attributes['menu_element_font_family'] ) ? $attributes['menu_element_font_family'] : false ), 'menu-font' ),
                                'submenu-font' => ueldo_vc_get_custom_font_family_attributes( ( !empty( $attributes['submenu_element_font_family'] ) ? $attributes['submenu_element_font_family'] : false ), 'menu-font' )
                            );

                            # header menu margins
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-header-menu',
                                array(
                                    'margin' => esc_attr( $attributes['margin_top'] ) .'px '. esc_attr( $attributes['margin_right'] ) .'px '. esc_attr( $attributes['margin_bottom'] ) .'px '. esc_attr( $attributes['margin_left'] ) .'px'
                                )
                            );

                            # styles depends on menu style
                            switch( $attributes['menu_style'] ) {

                                # style: 01 and 03
                                case '01':
                                case '03':

                                    # menu element styles
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-header-menu.ueldo-shortcode-header-menu-style-'. esc_attr( $attributes['menu_style'] ) .' nav.ueldo-shortcode-header-menu-nav > ul > li > a',
                                        array(
                                            'font-family' => esc_attr( $temp['menu-font']['font-family'] ),
                                            'font-weight' => esc_attr( $temp['menu-font']['font-weight'] ),
                                            'font-style' => esc_attr( $temp['menu-font']['font-style'] ),
                                            '-webkit-font-smoothing' => esc_attr( $temp['menu-font']['-webkit-font-smoothing'] ),
                                            '-moz-osx-font-smoothing' => esc_attr( $temp['menu-font']['-moz-osx-font-smoothing'] ),
                                            'font-size' => esc_attr( $attributes['menu_element_font_size'] ),
                                            'line-height' => esc_attr( $attributes['menu_element_font_line_height'] ),
                                            'letter-spacing' => esc_attr( $attributes['menu_element_font_letter_spacing'] ),
                                            'padding' => esc_attr( $attributes['menu_element_padding_top_bottom_for_01_03'] ) .'px '. esc_attr( $attributes['menu_element_padding_left_right_for_01_03'] ) .'px',
                                            'margin' => esc_attr( $attributes['menu_element_margin_top_bottom_for_01_03'] ) .'px '. esc_attr( $attributes['menu_element_margin_left_right'] ) .'px'
                                        )
                                    );

                                break;

                                # style: 02
                                case '02':

                                    # menu element styles
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-header-menu.ueldo-shortcode-header-menu-style-02 nav.ueldo-shortcode-header-menu-nav > ul > li > a',
                                        array(
                                            'font-family' => esc_attr( $temp['menu-font']['font-family'] ),
                                            'font-weight' => esc_attr( $temp['menu-font']['font-weight'] ),
                                            'font-style' => esc_attr( $temp['menu-font']['font-style'] ),
                                            '-webkit-font-smoothing' => esc_attr( $temp['menu-font']['-webkit-font-smoothing'] ),
                                            '-moz-osx-font-smoothing' => esc_attr( $temp['menu-font']['-moz-osx-font-smoothing'] ),
                                            'font-size' => esc_attr( $attributes['menu_element_font_size'] ),
                                            'line-height' => esc_attr( $attributes['menu_element_font_line_height'] ),
                                            'letter-spacing' => esc_attr( $attributes['menu_element_font_letter_spacing'] ),
                                            'padding' => esc_attr( $attributes['menu_element_padding_top_bottom_for_02_04'] ) .'px '. esc_attr( $attributes['menu_element_padding_left_right_for_02_04'] ) .'px',
                                            'margin' => esc_attr( $attributes['menu_element_margin_top_bottom_for_02_04'] ) .'px '. esc_attr( $attributes['menu_element_margin_left_right'] ) .'px'
                                        )
                                    );

                                    # menu element border radius (for element without childs)
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-header-menu.ueldo-shortcode-header-menu-style-02 nav.ueldo-shortcode-header-menu-nav > ul > li:not(.menu-item-has-children) > a',
                                        array(
                                            '-webkit-border-radius' => esc_attr( $attributes['menu_element_border_radius'] ),
                                            '-moz-border-radius' => esc_attr( $attributes['menu_element_border_radius'] ),
                                            'border-radius' => esc_attr( $attributes['menu_element_border_radius'] )
                                        )
                                    );

                                    # menu element border radius (for element with childs)
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-header-menu.ueldo-shortcode-header-menu-style-02 nav.ueldo-shortcode-header-menu-nav > ul > li.menu-item-has-children > a',
                                        array(
                                            '-webkit-border-top-left-radius' => esc_attr( $attributes['menu_element_border_radius'] ),
                                            '-moz-border-top-left-radius' => esc_attr( $attributes['menu_element_border_radius'] ),
                                            'border-top-left-radius' => esc_attr( $attributes['menu_element_border_radius'] ),
                                            '-webkit-border-top-right-radius' => esc_attr( $attributes['menu_element_border_radius'] ),
                                            '-moz-border-top-right-radius' => esc_attr( $attributes['menu_element_border_radius'] ),
                                            'border-top-right-radius' => esc_attr( $attributes['menu_element_border_radius'] )
                                        )
                                    );

                                break;

                                # style: 04
                                case '04':

                                    # menu element styles
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-header-menu.ueldo-shortcode-header-menu-style-04 nav.ueldo-shortcode-header-menu-nav > ul > li > a',
                                        array(
                                            'font-family' => esc_attr( $temp['menu-font']['font-family'] ),
                                            'font-weight' => esc_attr( $temp['menu-font']['font-weight'] ),
                                            'font-style' => esc_attr( $temp['menu-font']['font-style'] ),
                                            '-webkit-font-smoothing' => esc_attr( $temp['menu-font']['-webkit-font-smoothing'] ),
                                            '-moz-osx-font-smoothing' => esc_attr( $temp['menu-font']['-moz-osx-font-smoothing'] ),
                                            'font-size' => esc_attr( $attributes['menu_element_font_size'] ),
                                            'line-height' => esc_attr( $attributes['menu_element_font_line_height'] ),
                                            'letter-spacing' => esc_attr( $attributes['menu_element_font_letter_spacing'] ),
                                            'padding' => esc_attr( $attributes['menu_element_padding_top_bottom_for_02_04'] ) .'px '. esc_attr( $attributes['menu_element_padding_left_right_for_02_04'] ) .'px',
                                            'margin' => esc_attr( $attributes['menu_element_margin_top_bottom_for_02_04'] ) .'px '. esc_attr( $attributes['menu_element_margin_left_right'] ) .'px'
                                        )
                                    );

                                    # menu element border radius (for element with childs)
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-header-menu.ueldo-shortcode-header-menu-style-04 nav.ueldo-shortcode-header-menu-nav > ul > li.menu-item-has-children > a',
                                        array(
                                            '-webkit-border-top-left-radius' => esc_attr( $attributes['menu_element_border_radius'] ),
                                            '-moz-border-top-left-radius' => esc_attr( $attributes['menu_element_border_radius'] ),
                                            'border-top-left-radius' => esc_attr( $attributes['menu_element_border_radius'] ),
                                            '-webkit-border-top-right-radius' => esc_attr( $attributes['menu_element_border_radius'] ),
                                            '-moz-border-top-right-radius' => esc_attr( $attributes['menu_element_border_radius'] ),
                                            'border-top-right-radius' => esc_attr( $attributes['menu_element_border_radius'] )
                                        )
                                    );

                                break;
                            }

                            # menu element container border width
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-header-menu nav.ueldo-shortcode-header-menu-nav > ul > li',
                                array(
                                    'border-'. esc_attr( ueldo_is_rtl() ? 'left' : 'right' ) .'-width' => esc_attr( $attributes['menu_element_container_border_width'] )
                                )
                            );

                            # menu element container border exceptions
                            switch( $attributes['menu_element_container_border_width_exceptions'] ) {

                                # display for first and last element
                                case 'display':

                                    # menu element container border width for first element
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-header-menu nav.ueldo-shortcode-header-menu-nav > ul > li:first-child',
                                        array(
                                            'border-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) .'-width' => esc_attr( $attributes['menu_element_container_border_width'] )
                                        )
                                    );

                                break;

                                # display for first, hide for last
                                case 'display-for-first-hide-for-last':

                                    # menu element container border width for first element
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-header-menu nav.ueldo-shortcode-header-menu-nav > ul > li:first-child',
                                        array(
                                            'border-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) .'-width' => esc_attr( $attributes['menu_element_container_border_width'] )
                                        )
                                    );

                                    # menu element container remove border width for last element
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-header-menu nav.ueldo-shortcode-header-menu-nav > ul > li:last-child',
                                        array(
                                            'border-'. esc_attr( ueldo_is_rtl() ? 'left' : 'right' ) .'-width' => '0'
                                        )
                                    );

                                break;

                                # hide for first and last
                                case 'hide':

                                    # menu element container remove border width for last element
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-header-menu nav.ueldo-shortcode-header-menu-nav > ul > li:last-child',
                                        array(
                                            'border-'. esc_attr( ueldo_is_rtl() ? 'left' : 'right' ) .'-width' => '0'
                                        )
                                    );

                                break;
                            }

                            # submenu icon styles
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-header-menu nav.ueldo-shortcode-header-menu-nav > ul > li > a > i.fa.fa-caret-down',
                                array(
                                    'font-size' => esc_attr( $attributes['menu_and_submenu_icon_font_size'] ),
                                    'padding-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) => esc_attr( $attributes['margin_between_menu_and_submenu_icon_and_title'] ),
                                    'margin-top' => esc_attr( $attributes['menu_icon_margin_top'] )
                                )
                            );

                            # submenu submenu icon styles
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-header-menu nav.ueldo-shortcode-header-menu-nav ul.sub-menu > li > a > i.fa.fa-caret-left, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-header-menu nav.ueldo-shortcode-header-menu-nav ul.sub-menu > li > a > i.fa.fa-caret-right',
                                array(
                                    'font-size' => esc_attr( $attributes['menu_and_submenu_icon_font_size'] ),
                                    'padding-'. esc_attr( ueldo_is_rtl() ? 'left' : 'right' ) => esc_attr( $attributes['margin_between_menu_and_submenu_icon_and_title'] ),
                                    'margin-top' => esc_attr( $attributes['submenu_icon_margin_top'] )
                                )
                            );

                            # active menu element bottom line height
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-header-menu nav.ueldo-shortcode-header-menu-nav > ul > li.current-menu-item:before, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-header-menu nav.ueldo-shortcode-header-menu-nav > ul > li.current-menu-parent:before, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-header-menu nav.ueldo-shortcode-header-menu-nav > ul > li.current_page_parent:before, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-header-menu nav.ueldo-shortcode-header-menu-nav > ul > li.current-menu-ancestor:before',
                                array(
                                    'height' => esc_attr( $attributes['active_menu_element_bottom_line_height'] ),
                                    'width-webkit-calc' => '-webkit-calc( 100% - '. esc_attr( ( in_array( $attributes['menu_style'], array( '01', '03' ), true ) ? $attributes['menu_element_padding_left_right_for_01_03'] : $attributes['menu_element_padding_left_right_for_02_04'] ) * 2 ) .'px )',
                                    'width-moz-calc' => '-moz-calc( 100% - '. esc_attr( ( in_array( $attributes['menu_style'], array( '01', '03' ), true ) ? $attributes['menu_element_padding_left_right_for_01_03'] : $attributes['menu_element_padding_left_right_for_02_04'] ) * 2 ) .'px )',
                                    'width-calc' => 'calc( 100% - '. esc_attr( ( in_array( $attributes['menu_style'], array( '01', '03' ), true ) ? $attributes['menu_element_padding_left_right_for_01_03'] : $attributes['menu_element_padding_left_right_for_02_04'] ) * 2 ) .'px )',
                                    'left' => esc_attr( ( in_array( $attributes['menu_style'], array( '01', '03' ), true ) ? $attributes['menu_element_padding_left_right_for_01_03'] : $attributes['menu_element_padding_left_right_for_02_04'] ) ) .'px'
                                )
                            );

                            # submenu container styles
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-header-menu nav.ueldo-shortcode-header-menu-nav ul.sub-menu',
                                array(
                                    'width' => esc_attr( $attributes['submenu_width'] ),
                                    '-webkit-border-bottom-left-radius' => esc_attr( $attributes['submenu_container_border_radius'] ),
                                    '-moz-border-bottom-left-radius' => esc_attr( $attributes['submenu_container_border_radius'] ),
                                    'border-bottom-left-radius' => esc_attr( $attributes['submenu_container_border_radius'] ),
                                    '-webkit-border-bottom-right-radius' => esc_attr( $attributes['submenu_container_border_radius'] ),
                                    '-moz-border-bottom-right-radius' => esc_attr( $attributes['submenu_container_border_radius'] ),
                                    'border-bottom-right-radius' => esc_attr( $attributes['submenu_container_border_radius'] )
                                )
                            );

                            # margin for submenu submenus
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-header-menu nav.ueldo-shortcode-header-menu-nav ul.sub-menu ul.sub-menu',
                                array(
                                    esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) => '-'. esc_attr( $attributes['submenu_width'] ) .'px',
                                    'margin-top' => '-'. esc_attr( ( $attributes['submenu_element_padding_top_bottom'] * 2 ) + ( int ) ( ( int ) $attributes['submenu_element_font_size'] * ( float ) $attributes['submenu_element_font_line_height'] ) )
                                )
                            );

                            # submenu submenu container styles
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-header-menu nav.ueldo-shortcode-header-menu-nav ul.sub-menu ul.sub-menu',
                                array(
                                    '-webkit-border-top-left-radius' => esc_attr( $attributes['submenu_container_border_radius'] ),
                                    '-moz-border-top-left-radius' => esc_attr( $attributes['submenu_container_border_radius'] ),
                                    'border-top-left-radius' => esc_attr( $attributes['submenu_container_border_radius'] )
                                )
                            );

                            # only for menu style 02 or 04
                            if( in_array( $attributes['menu_style'], array( '02', '04' ), true ) ) {

                                # submenu submenu container styles
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-header-menu.ueldo-shortcode-header-menu-style-'. esc_attr( $attributes['menu_style'] ) .' nav.ueldo-shortcode-header-menu-nav > ul > li > ul.sub-menu',
                                    array(
                                        'margin-top' => '-'. esc_attr( $attributes['menu_element_margin_top_bottom_for_02_04'] ),
                                        '-webkit-border-top-right-radius' => esc_attr( $attributes['submenu_container_border_radius'] ),
                                        '-moz-border-top-right-radius' => esc_attr( $attributes['submenu_container_border_radius'] ),
                                        'border-top-right-radius' => esc_attr( $attributes['submenu_container_border_radius'] )
                                    )
                                );
                            }

                            # submenu element bottom border width
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-header-menu nav.ueldo-shortcode-header-menu-nav ul.sub-menu > li',
                                array(
                                    'border-bottom-width' => esc_attr( $attributes['submenu_element_bottom_border_width'] )
                                )
                            );

                            # submenu element styles
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-header-menu nav.ueldo-shortcode-header-menu-nav ul.sub-menu > li > a',
                                array(
                                    'padding' => esc_attr( $attributes['submenu_element_padding_top_bottom'] ) .'px '. esc_attr( $attributes['submenu_element_padding_left_right'] ) .'px',
                                    'font-size' => esc_attr( $attributes['submenu_element_font_size'] ),
                                    'line-height' => esc_attr( $attributes['submenu_element_font_line_height'] ),
                                    'letter-spacing' => esc_attr( $attributes['submenu_element_font_letter_spacing'] ),
                                    'font-family' => esc_attr( $temp['submenu-font']['font-family'] ),
                                    'font-weight' => esc_attr( $temp['submenu-font']['font-weight'] ),
                                    'font-style' => esc_attr( $temp['submenu-font']['font-style'] ),
                                    '-webkit-font-smoothing' => esc_attr( $temp['submenu-font']['-webkit-font-smoothing'] ),
                                    '-moz-osx-font-smoothing' => esc_attr( $temp['submenu-font']['-moz-osx-font-smoothing'] )
                                )
                            );

                            # first submenu arrow position
                            if( $attributes['menu_style'] == '01' ) {

                                # submenu on left side
                                if( $attributes['first_submenu_container_alignment'] == 'left-with-parent-padding' ) {

                                    # update first submenu arrow position
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-header-menu.ueldo-shortcode-header-menu-style-01.ueldo-shortcode-header-menu-first-submenu-alignment-'. esc_attr( $attributes['first_submenu_container_alignment'] ) .' nav.ueldo-shortcode-header-menu-nav > ul > li > ul.sub-menu:before',
                                        array(
                                            'left' => esc_attr( $attributes['menu_element_padding_left_right_for_01_03'] ) .'px'
                                        )
                                    );
                                }

                                # submenu on right side
                                if( $attributes['first_submenu_container_alignment'] == 'right-with-parent-padding' ) {

                                    # update first submenu arrow position
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-header-menu.ueldo-shortcode-header-menu-style-01.ueldo-shortcode-header-menu-first-submenu-alignment-'. esc_attr( $attributes['first_submenu_container_alignment'] ) .' nav.ueldo-shortcode-header-menu-nav > ul > li > ul.sub-menu:before',
                                        array(
                                            'right' => esc_attr( $attributes['menu_element_padding_left_right_for_01_03'] ) .'px'
                                        )
                                    );
                                }
                            }

                            # first sub-menu position
                            switch( $attributes['first_submenu_container_alignment'] ) {

                                # left without parent padding
                                case 'left-without-parent-padding':

                                    # update first submenu position
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-header-menu.ueldo-shortcode-header-menu-first-submenu-alignment-'. esc_attr( $attributes['first_submenu_container_alignment'] ) .' nav.ueldo-shortcode-header-menu-nav > ul > li > ul.sub-menu',
                                        array(
                                            'left' => esc_attr( ( in_array( $attributes['menu_style'], array( '01', '03' ), true ) ? $attributes['menu_element_padding_left_right_for_01_03'] : $attributes['menu_element_padding_left_right_for_02_04'] ) ) .'px'
                                        )
                                    );

                                break;

                                # center
                                case 'center':

                                    # update first submenu position
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-header-menu.ueldo-shortcode-header-menu-first-submenu-alignment-'. esc_attr( $attributes['first_submenu_container_alignment'] ) .' nav.ueldo-shortcode-header-menu-nav > ul > li > ul.sub-menu',
                                        array(
                                            'margin-left' => '-'. esc_attr( $attributes['submenu_width'] / 2 )
                                        )
                                    );

                                break;

                                # right without parent padding
                                case 'right-without-parent-padding':

                                    # update first submenu position
                                    $shortcodes_styles -> update_style(
                                        esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-header-menu.ueldo-shortcode-header-menu-first-submenu-alignment-'. esc_attr( $attributes['first_submenu_container_alignment'] ) .' nav.ueldo-shortcode-header-menu-nav > ul > li > ul.sub-menu',
                                        array(
                                            'right' => esc_attr( ( in_array( $attributes['menu_style'], array( '01', '03' ), true ) ? $attributes['menu_element_padding_left_right_for_01_03'] : $attributes['menu_element_padding_left_right_for_02_04'] ) ) .'px'
                                        )
                                    );

                                break;
                            }

                            # remove temporary variable
                            unset( $temp );
                        }

                        # can we set custom colors?
                        if( $attributes['custom_colors_enabled'] != 'theme_defaults' ) {

                            # update menu element container border color
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-header-menu nav.ueldo-shortcode-header-menu-nav > ul > li',
                                array(
                                    'border-color' => esc_attr( $attributes['menu_element_border_color'] )
                                )
                            );

                            # update menu element colors
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-header-menu nav.ueldo-shortcode-header-menu-nav > ul > li > a',
                                array(
                                    'color' => esc_attr( $attributes['menu_element_color'] ),
                                    'background' => esc_attr( $attributes['menu_element_background_color'] )
                                )
                            );

                            # only for menu different than style 02
                            if( $attributes['menu_style'] != '02' ) {

                                # update active menu element color
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-header-menu nav.ueldo-shortcode-header-menu-nav > ul > li.current-menu-item:not(.ueldo-menu-link-no-highlight) > a, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-header-menu nav.ueldo-shortcode-header-menu-nav > ul > li.current-menu-parent:not(.ueldo-menu-link-no-highlight) > a, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-header-menu nav.ueldo-shortcode-header-menu-nav > ul > li.current_page_parent:not(.ueldo-menu-link-no-highlight) > a, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-header-menu nav.ueldo-shortcode-header-menu-nav > ul > li.current-menu-ancestor:not(.ueldo-menu-link-no-highlight) > a, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-header-menu:not(.ueldo-shortcode-header-menu-style-02):not(.ueldo-shortcode-header-menu-style-04) nav.ueldo-shortcode-header-menu-nav > ul > li:hover > a, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-header-menu.ueldo-shortcode-header-menu-style-04 nav.ueldo-shortcode-header-menu-nav > ul > li:not(.menu-item-has-children):hover > a',
                                    array(
                                        'color' => esc_attr( $attributes['active_menu_element_color'] )
                                    )
                                );
                            }

                            # only for menu style 02
                            else {

                                # update active menu element color
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-header-menu nav.ueldo-shortcode-header-menu-nav > ul > li.current-menu-item:not(.ueldo-menu-link-no-highlight) > a, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-header-menu nav.ueldo-shortcode-header-menu-nav > ul > li.current-menu-parent:not(.ueldo-menu-link-no-highlight) > a, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-header-menu nav.ueldo-shortcode-header-menu-nav > ul > li.current_page_parent:not(.ueldo-menu-link-no-highlight) > a, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-header-menu nav.ueldo-shortcode-header-menu-nav > ul > li.current-menu-ancestor:not(.ueldo-menu-link-no-highlight) > a',
                                    array(
                                        'color' => esc_attr( $attributes['active_menu_element_color'] )
                                    )
                                );
                            }

                            # only for menu style 02 or 04
                            if( in_array( $attributes['menu_style'], array( '02', '04' ), true ) ) {

                                # update active menu element with child elements colors
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-header-menu.ueldo-shortcode-header-menu-style-02 nav.ueldo-shortcode-header-menu-nav > ul > li:hover > a, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-header-menu.ueldo-shortcode-header-menu-style-04 nav.ueldo-shortcode-header-menu-nav > ul > li.menu-item-has-children:hover > a',
                                    array(
                                        'background' => esc_attr( $attributes['active_menu_element_with_child_elements_background_color'] ),
                                        'color' => esc_attr( $attributes['active_menu_element_with_child_elements_color'] )
                                    )
                                );
                            }

                            # only if menu style 01
                            if( $attributes['menu_style'] == '01' ) {

                                # update submenu arrow background color
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-header-menu.ueldo-shortcode-header-menu-style-01 nav.ueldo-shortcode-header-menu-nav > ul > li > ul.sub-menu:before',
                                    array(
                                        'background' => esc_attr( $attributes['submenu_background_color'] )
                                    )
                                );
                            }

                            # update active menu element bottom line color
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-header-menu nav.ueldo-shortcode-header-menu-nav > ul > li.current-menu-item:before, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-header-menu nav.ueldo-shortcode-header-menu-nav > ul > li.current-menu-parent:before, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-header-menu nav.ueldo-shortcode-header-menu-nav > ul > li.current_page_parent:before, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-header-menu nav.ueldo-shortcode-header-menu-nav > ul > li.current-menu-ancestor:before',
                                array(
                                    'background' => esc_attr( $attributes['active_menu_element_bottom_line_color'] )
                                )
                            );

                            # update submenu colors
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-header-menu nav.ueldo-shortcode-header-menu-nav ul.sub-menu',
                                array(
                                    'background' => esc_attr( $attributes['submenu_background_color'] ),
                                    '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length'], $attributes['box_shadow_vertical_length'], $attributes['box_shadow_blur_radius'], $attributes['box_shadow_spread_radius'], $attributes['box_shadow_color'] ),
                                    '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length'], $attributes['box_shadow_vertical_length'], $attributes['box_shadow_blur_radius'], $attributes['box_shadow_spread_radius'], $attributes['box_shadow_color'] ),
                                    'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['box_shadow_horizontal_length'], $attributes['box_shadow_vertical_length'], $attributes['box_shadow_blur_radius'], $attributes['box_shadow_spread_radius'], $attributes['box_shadow_color'] )
                                )
                            );

                            # update submenu element bottom border color
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-header-menu nav.ueldo-shortcode-header-menu-nav ul.sub-menu > li',
                                array(
                                    'border-bottom-color' => esc_attr( $attributes['submenu_element_bottom_border_color'] )
                                )
                            );

                            # update submenu element link color
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-header-menu nav.ueldo-shortcode-header-menu-nav ul.sub-menu > li > a',
                                array(
                                    'color' => esc_attr( $attributes['submenu_element_link_color'] )
                                )
                            );

                            # update submenu element link color (on hover)
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-header-menu nav.ueldo-shortcode-header-menu-nav ul.sub-menu > li > a:hover, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-header-menu nav.ueldo-shortcode-header-menu-nav ul.sub-menu > li.current-menu-item:not(.ueldo-menu-link-no-highlight) > a, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-header-menu nav.ueldo-shortcode-header-menu-nav ul.sub-menu > li.current-menu-parent:not(.ueldo-menu-link-no-highlight) > a, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-header-menu nav.ueldo-shortcode-header-menu-nav ul.sub-menu > li.current_page_parent:not(.ueldo-menu-link-no-highlight) > a, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-header-menu nav.ueldo-shortcode-header-menu-nav ul.sub-menu > li.current-menu-ancestor:not(.ueldo-menu-link-no-highlight) > a, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-header-menu nav.ueldo-shortcode-header-menu-nav ul.sub-menu > li:hover > a',
                                array(
                                    'color' => esc_attr( $attributes['submenu_element_link_color_hover'] )
                                )
                            );
                        }

                        # save css style
                        $shortcodes_styles -> save_styles();

                        # remove attributes array
                        unset( $attributes );

                    break;

                   /**
                    *
                    * ueldo_shortcode_website_logo
                    *
                    */

                    case 'ueldo_shortcode_website_logo':

                        # attributes array
                        $attributes = array(
                            'large_width_type' => isset( $shortcode['atts']['large_width_type'] ) && !empty( $shortcode['atts']['large_width_type'] ) ? $shortcode['atts']['large_width_type'] : 'auto',
                            'large_width_percentage' => isset( $shortcode['atts']['large_width_percentage'] ) && $shortcode['atts']['large_width_percentage'] != '' ? $shortcode['atts']['large_width_percentage'] : '100%',
                            'large_width_px' => isset( $shortcode['atts']['large_width_px'] ) && $shortcode['atts']['large_width_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['large_width_px'] ) ? $shortcode['atts']['large_width_px'] : '100',
                            'large_height_type' => isset( $shortcode['atts']['large_height_type'] ) && !empty( $shortcode['atts']['large_height_type'] ) ? $shortcode['atts']['large_height_type'] : 'auto',
                            'large_height_px' => isset( $shortcode['atts']['large_height_px'] ) && $shortcode['atts']['large_height_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['large_height_px'] ) ? $shortcode['atts']['large_height_px'] : '120',
                            'medium_layer_custom_sizes' => isset( $shortcode['atts']['medium_custom_sizes'] ) && !empty( $shortcode['atts']['medium_custom_sizes'] ) ? $shortcode['atts']['medium_custom_sizes'] : 'no-large',
                            'medium_width_type' => isset( $shortcode['atts']['medium_width_type'] ) && !empty( $shortcode['atts']['medium_width_type'] ) ? $shortcode['atts']['medium_width_type'] : 'auto',
                            'medium_width_percentage' => isset( $shortcode['atts']['medium_width_percentage'] ) && $shortcode['atts']['medium_width_percentage'] != '' ? $shortcode['atts']['medium_width_percentage'] : '100%',
                            'medium_width_px' => isset( $shortcode['atts']['medium_width_px'] ) && $shortcode['atts']['medium_width_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['medium_width_px'] ) ? $shortcode['atts']['medium_width_px'] : '100',
                            'medium_height_type' => isset( $shortcode['atts']['medium_height_type'] ) && !empty( $shortcode['atts']['medium_height_type'] ) ? $shortcode['atts']['medium_height_type'] : 'auto',
                            'medium_height_px' => isset( $shortcode['atts']['medium_height_px'] ) && $shortcode['atts']['medium_height_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['medium_height_px'] ) ? $shortcode['atts']['medium_height_px'] : '120',
                            'small_layer_custom_sizes' => isset( $shortcode['atts']['small_custom_sizes'] ) && !empty( $shortcode['atts']['small_custom_sizes'] ) ? $shortcode['atts']['small_custom_sizes'] : 'no-medium',
                            'small_width_type' => isset( $shortcode['atts']['small_width_type'] ) && !empty( $shortcode['atts']['small_width_type'] ) ? $shortcode['atts']['small_width_type'] : 'auto',
                            'small_width_percentage' => isset( $shortcode['atts']['small_width_percentage'] ) && $shortcode['atts']['small_width_percentage'] != '' ? $shortcode['atts']['small_width_percentage'] : '100%',
                            'small_width_px' => isset( $shortcode['atts']['small_width_px'] ) && $shortcode['atts']['small_width_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['small_width_px'] ) ? $shortcode['atts']['small_width_px'] : '100',
                            'small_height_type' => isset( $shortcode['atts']['small_height_type'] ) && !empty( $shortcode['atts']['small_height_type'] ) ? $shortcode['atts']['small_height_type'] : 'auto',
                            'small_height_px' => isset( $shortcode['atts']['small_height_px'] ) && $shortcode['atts']['small_height_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['small_height_px'] ) ? $shortcode['atts']['small_height_px'] : '120',
                            'extra_small_layer_custom_sizes' => isset( $shortcode['atts']['extra_small_custom_sizes'] ) && !empty( $shortcode['atts']['extra_small_custom_sizes'] ) ? $shortcode['atts']['extra_small_custom_sizes'] : 'no-small',
                            'extra_small_width_type' => isset( $shortcode['atts']['extra_small_width_type'] ) && !empty( $shortcode['atts']['extra_small_width_type'] ) ? $shortcode['atts']['extra_small_width_type'] : 'auto',
                            'extra_small_width_percentage' => isset( $shortcode['atts']['extra_small_width_percentage'] ) && $shortcode['atts']['extra_small_width_percentage'] != '' ? $shortcode['atts']['extra_small_width_percentage'] : '100%',
                            'extra_small_width_px' => isset( $shortcode['atts']['extra_small_width_px'] ) && $shortcode['atts']['extra_small_width_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['extra_small_width_px'] ) ? $shortcode['atts']['extra_small_width_px'] : '100',
                            'extra_small_height_type' => isset( $shortcode['atts']['extra_small_height_type'] ) && !empty( $shortcode['atts']['extra_small_height_type'] ) ? $shortcode['atts']['extra_small_height_type'] : 'auto',
                            'extra_small_height_px' => isset( $shortcode['atts']['extra_small_height_px'] ) && $shortcode['atts']['extra_small_height_px'] != '' && ueldo_is_valid_number( $shortcode['atts']['extra_small_height_px'] ) ? $shortcode['atts']['extra_small_height_px'] : '120',
                            'margin_top' => isset( $shortcode['atts']['margin_top'] ) && $shortcode['atts']['margin_top'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_top'] ) ? $shortcode['atts']['margin_top'] : '0',
                            'margin_right' => isset( $shortcode['atts']['margin_right'] ) && $shortcode['atts']['margin_right'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_right'] ) ? $shortcode['atts']['margin_right'] : '0',
                            'margin_bottom' => isset( $shortcode['atts']['margin_bottom'] ) && $shortcode['atts']['margin_bottom'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_bottom'] ) ? $shortcode['atts']['margin_bottom'] : '0',
                            'margin_left' => isset( $shortcode['atts']['margin_left'] ) && $shortcode['atts']['margin_left'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_left'] ) ? $shortcode['atts']['margin_left'] : '0'
                        );

                        # temporary values for each devices
                        $temp = array(
                            'medium-width-type' => ueldo_get_vc_element_device_attributes( $attributes, 'width_type', 'medium' ),
                            'medium-width-percentage' => ueldo_get_vc_element_device_attributes( $attributes, 'width_percentage', 'medium' ),
                            'medium-width-px' => ueldo_get_vc_element_device_attributes( $attributes, 'width_px', 'medium' ),
                            'medium-height-type' => ueldo_get_vc_element_device_attributes( $attributes, 'height_type', 'medium' ),
                            'medium-height-px' => ueldo_get_vc_element_device_attributes( $attributes, 'height_px', 'medium' ),
                            'small-width-type' => ueldo_get_vc_element_device_attributes( $attributes, 'width_type', 'small' ),
                            'small-width-percentage' => ueldo_get_vc_element_device_attributes( $attributes, 'width_percentage', 'small' ),
                            'small-width-px' => ueldo_get_vc_element_device_attributes( $attributes, 'width_px', 'small' ),
                            'small-height-type' => ueldo_get_vc_element_device_attributes( $attributes, 'height_type', 'small' ),
                            'small-height-px' => ueldo_get_vc_element_device_attributes( $attributes, 'height_px', 'small' ),
                            'extra-small-width-type' => ueldo_get_vc_element_device_attributes( $attributes, 'width_type', 'extra_small' ),
                            'extra-small-width-percentage' => ueldo_get_vc_element_device_attributes( $attributes, 'width_percentage', 'extra_small' ),
                            'extra-small-width-px' => ueldo_get_vc_element_device_attributes( $attributes, 'width_px', 'extra_small' ),
                            'extra-small-height-type' => ueldo_get_vc_element_device_attributes( $attributes, 'height_type', 'extra_small' ),
                            'extra-small-height-px' => ueldo_get_vc_element_device_attributes( $attributes, 'height_px', 'extra_small' )
                        );

                        # update temporary values array with large device values
                        $temp['large-width-value'] = esc_attr( $attributes['large_width_type'] ) == 'auto' ? 'auto' : esc_attr( $attributes['large_width_type'] == 'px' ? esc_attr( $attributes['large_width_px'] ) : esc_attr( $attributes['large_width_percentage'] ) );
                        $temp['large-width-key'] = esc_attr( $attributes['large_width_type'] ) == 'auto' ? '-string' : esc_attr( $attributes['large_width_type'] == 'px' ? '' : '-%' );
                        $temp['large-height-value'] = esc_attr( $attributes['large_height_type'] ) == 'auto' ? 'auto' : esc_attr( $attributes['large_height_px'] );
                        $temp['large-height-key'] = esc_attr( $attributes['large_height_type'] ) == 'auto' ? '-string' : '';

                        # update temporary values array with medium device values
                        $temp['medium-width-value'] = esc_attr( $temp['medium-width-type'] ) == 'auto' ? 'auto' : esc_attr( $temp['medium-width-type'] == 'px' ? esc_attr( $temp['medium-width-px'] ) : esc_attr( $temp['medium-width-percentage'] ) );
                        $temp['medium-width-key'] = esc_attr( $temp['medium-width-type'] ) == 'auto' ? '-string' : esc_attr( $temp['medium-width-type'] == 'px' ? '' : '-%' );
                        $temp['medium-height-value'] = esc_attr( $temp['medium-height-type'] ) == 'auto' ? 'auto' : esc_attr( $temp['medium-height-px'] );
                        $temp['medium-height-key'] = esc_attr( $temp['medium-height-type'] ) == 'auto' ? '-string' : '';

                        # update temporary values array with small device values
                        $temp['small-width-value'] = esc_attr( $temp['small-width-type'] ) == 'auto' ? 'auto' : esc_attr( $temp['small-width-type'] == 'px' ? esc_attr( $temp['small-width-px'] ) : esc_attr( $temp['small-width-percentage'] ) );
                        $temp['small-width-key'] = esc_attr( $temp['small-width-type'] ) == 'auto' ? '-string' : esc_attr( $temp['small-width-type'] == 'px' ? '' : '-%' );
                        $temp['small-height-value'] = esc_attr( $temp['small-height-type'] ) == 'auto' ? 'auto' : esc_attr( $temp['small-height-px'] );
                        $temp['small-height-key'] = esc_attr( $temp['small-height-type'] ) == 'auto' ? '-string' : '';

                        # update temporary values array with extra small device values
                        $temp['extra-small-width-value'] = esc_attr( $temp['extra-small-width-type'] ) == 'auto' ? 'auto' : esc_attr( $temp['extra-small-width-type'] == 'px' ? esc_attr( $temp['extra-small-width-px'] ) : esc_attr( $temp['extra-small-width-percentage'] ) );
                        $temp['extra-small-width-key'] = esc_attr( $temp['extra-small-width-type'] ) == 'auto' ? '-string' : esc_attr( $temp['extra-small-width-type'] == 'px' ? '' : '-%' );
                        $temp['extra-small-height-value'] = esc_attr( $temp['extra-small-height-type'] ) == 'auto' ? 'auto' : esc_attr( $temp['extra-small-height-px'] );
                        $temp['extra-small-height-key'] = esc_attr( $temp['extra-small-height-type'] ) == 'auto' ? '-string' : '';

                        # update styles array
                        $shortcodes_styles -> update_style(
                            esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-website-logo img',
                            array(
                                '1200_more' => array(
                                    'width'. esc_attr( $temp['large-width-key'] ) => esc_attr( $temp['large-width-value'] ),
                                    'height'. esc_attr( $temp['large-height-key'] ) => esc_attr( $temp['large-height-value'] )
                                ),
                                '992_1199' => array(
                                    'width'. esc_attr( $temp['medium-width-key'] ) => esc_attr( $temp['medium-width-value'] ),
                                    'height'. esc_attr( $temp['medium-height-key'] ) => esc_attr( $temp['medium-height-value'] )
                                ),
                                '768_991' => array(
                                    'width'. esc_attr( $temp['small-width-key'] ) => esc_attr( $temp['small-width-value'] ),
                                    'height'. esc_attr( $temp['small-height-key'] ) => esc_attr( $temp['small-height-value'] )
                                ),
                                'less_767' => array(
                                    'width'. esc_attr( $temp['extra-small-width-key'] ) => esc_attr( $temp['extra-small-width-value'] ),
                                    'height'. esc_attr( $temp['extra-small-height-key'] ) => esc_attr( $temp['extra-small-height-value'] )
                                ),
                                'general' => array(
                                    'margin' => esc_attr( $attributes['margin_top'] ) .'px '. esc_attr( $attributes['margin_right'] ) .'px '. esc_attr( $attributes['margin_bottom'] ) .'px '. esc_attr( $attributes['margin_left'] ) .'px'
                                )
                            )
                        );

                        # remove temporary variable
                        unset( $temp );

                        # save css style
                        $shortcodes_styles -> save_styles();

                        # remove attributes array
                        unset( $attributes );

                    break;

                   /**
                    *
                    * ueldo_shortcode_languages_switcher
                    *
                    */

                    case 'ueldo_shortcode_languages_switcher':

                        # attributes array
                        $attributes = array(
                            'horizontal_alignment' => isset( $shortcode['atts']['horizontal_alignment'] ) && !empty( $shortcode['atts']['horizontal_alignment'] ) ? $shortcode['atts']['horizontal_alignment'] : 'inline',
                            'margin_top' => isset( $shortcode['atts']['margin_top'] ) && $shortcode['atts']['margin_top'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_top'] ) ? $shortcode['atts']['margin_top'] : '0',
                            'margin_right' => isset( $shortcode['atts']['margin_right'] ) && $shortcode['atts']['margin_right'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_right'] ) ? $shortcode['atts']['margin_right'] : '0',
                            'margin_bottom' => isset( $shortcode['atts']['margin_bottom'] ) && $shortcode['atts']['margin_bottom'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_bottom'] ) ? $shortcode['atts']['margin_bottom'] : '0',
                            'margin_left' => isset( $shortcode['atts']['margin_left'] ) && $shortcode['atts']['margin_left'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_left'] ) ? $shortcode['atts']['margin_left'] : '0',
                            'custom_sizes_enabled' => isset( $shortcode['atts']['custom_sizes_enabled'] ) && !empty( $shortcode['atts']['custom_sizes_enabled'] ) ? $shortcode['atts']['custom_sizes_enabled'] : 'theme_defaults',
                            'current_language_font_size' => isset( $shortcode['atts']['current_language_font_size'] ) && $shortcode['atts']['current_language_font_size'] != '' && ueldo_is_valid_number( $shortcode['atts']['current_language_font_size'] ) ? $shortcode['atts']['current_language_font_size'] : esc_attr( $ueldo_styles_cache -> get_style( 'font-size-menu-links' ) ),
                            'current_language_font_line_height' => isset( $shortcode['atts']['current_language_font_line_height'] ) && $shortcode['atts']['current_language_font_line_height'] != '' && ueldo_is_valid_number( $shortcode['atts']['current_language_font_line_height'] ) ? $shortcode['atts']['current_language_font_line_height'] : '1.0',
                            'current_language_font_letter_spacing' => isset( $shortcode['atts']['current_language_font_letter_spacing'] ) && $shortcode['atts']['current_language_font_letter_spacing'] != '' && ueldo_is_valid_number( $shortcode['atts']['current_language_font_letter_spacing'] ) ? $shortcode['atts']['current_language_font_letter_spacing'] : '0',
                            'current_language_font_family' => isset( $shortcode['atts']['current_language_font_family'] ) && !empty( $shortcode['atts']['current_language_font_family'] ) ? $shortcode['atts']['current_language_font_family'] : 'menu-font',
                            'current_language_icon_font_size' => isset( $shortcode['atts']['current_language_icon_font_size'] ) && $shortcode['atts']['current_language_icon_font_size'] != '' && ueldo_is_valid_number( $shortcode['atts']['current_language_icon_font_size'] ) ? $shortcode['atts']['current_language_icon_font_size'] : esc_attr( $ueldo_styles_cache -> get_style( 'font-size-menu-links-icons' ) ),
                            'current_language_icon_margin_top' => isset( $shortcode['atts']['current_language_icon_margin_top'] ) && $shortcode['atts']['current_language_icon_margin_top'] != '' && ueldo_is_valid_number( $shortcode['atts']['current_language_icon_margin_top'] ) ? $shortcode['atts']['current_language_icon_margin_top'] : '-2',
                            'margin_between_current_language_icon_and_title' => isset( $shortcode['atts']['margin_between_current_language_icon_and_title'] ) && $shortcode['atts']['margin_between_current_language_icon_and_title'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_between_current_language_icon_and_title'] ) ? $shortcode['atts']['margin_between_current_language_icon_and_title'] : '6',
                            'current_language_padding_top_bottom' => isset( $shortcode['atts']['current_language_padding_top_bottom'] ) && $shortcode['atts']['current_language_padding_top_bottom'] != '' && ueldo_is_valid_number( $shortcode['atts']['current_language_padding_top_bottom'] ) ? $shortcode['atts']['current_language_padding_top_bottom'] : '15',
                            'current_language_padding_left_right' => isset( $shortcode['atts']['current_language_padding_left_right'] ) && $shortcode['atts']['current_language_padding_left_right'] != '' && ueldo_is_valid_number( $shortcode['atts']['current_language_padding_left_right'] ) ? $shortcode['atts']['current_language_padding_left_right'] : '15',
                            'current_language_border_width' => isset( $shortcode['atts']['current_language_border_width'] ) && $shortcode['atts']['current_language_border_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['current_language_border_width'] ) ? $shortcode['atts']['current_language_border_width'] : '1',
                            'current_language_border_radius' => isset( $shortcode['atts']['current_language_border_radius'] ) && $shortcode['atts']['current_language_border_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['current_language_border_radius'] ) ? $shortcode['atts']['current_language_border_radius'] : '4',
                            'languages_list_container_width' => isset( $shortcode['atts']['languages_list_container_width'] ) && $shortcode['atts']['languages_list_container_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['languages_list_container_width'] ) ? $shortcode['atts']['languages_list_container_width'] : '200',
                            'languages_list_container_border_radius' => isset( $shortcode['atts']['languages_list_container_border_radius'] ) && $shortcode['atts']['languages_list_container_border_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['languages_list_container_border_radius'] ) ? $shortcode['atts']['languages_list_container_border_radius'] : '2',
                            'languages_list_element_bottom_border_width' => isset( $shortcode['atts']['languages_list_element_bottom_border_width'] ) && $shortcode['atts']['languages_list_element_bottom_border_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['languages_list_element_bottom_border_width'] ) ? $shortcode['atts']['languages_list_element_bottom_border_width'] : '1',
                            'languages_list_element_padding_top_bottom' => isset( $shortcode['atts']['languages_list_element_padding_top_bottom'] ) && $shortcode['atts']['languages_list_element_padding_top_bottom'] != '' && ueldo_is_valid_number( $shortcode['atts']['languages_list_element_padding_top_bottom'] ) ? $shortcode['atts']['languages_list_element_padding_top_bottom'] : '16',
                            'languages_list_element_padding_left_right' => isset( $shortcode['atts']['languages_list_element_padding_left_right'] ) && $shortcode['atts']['languages_list_element_padding_left_right'] != '' && ueldo_is_valid_number( $shortcode['atts']['languages_list_element_padding_left_right'] ) ? $shortcode['atts']['languages_list_element_padding_left_right'] : '18',
                            'languages_list_element_font_size' => isset( $shortcode['atts']['languages_list_element_font_size'] ) && $shortcode['atts']['languages_list_element_font_size'] != '' && ueldo_is_valid_number( $shortcode['atts']['languages_list_element_font_size'] ) ? $shortcode['atts']['languages_list_element_font_size'] : esc_attr( $ueldo_styles_cache -> get_style( 'font-size-menu-links' ) ),
                            'languages_list_element_font_line_height' => isset( $shortcode['atts']['languages_list_element_font_line_height'] ) && $shortcode['atts']['languages_list_element_font_line_height'] != '' && ueldo_is_valid_number( $shortcode['atts']['languages_list_element_font_line_height'] ) ? $shortcode['atts']['languages_list_element_font_line_height'] : '1.0',
                            'languages_list_element_font_letter_spacing' => isset( $shortcode['atts']['languages_list_element_font_letter_spacing'] ) && $shortcode['atts']['languages_list_element_font_letter_spacing'] != '' && ueldo_is_valid_number( $shortcode['atts']['languages_list_element_font_letter_spacing'] ) ? $shortcode['atts']['languages_list_element_font_letter_spacing'] : '0',
                            'languages_list_element_font_family' => isset( $shortcode['atts']['languages_list_element_font_family'] ) && !empty( $shortcode['atts']['languages_list_element_font_family'] ) ? $shortcode['atts']['languages_list_element_font_family'] : 'menu-font',
                            'custom_colors_enabled' => isset( $shortcode['atts']['custom_colors_enabled'] ) && !empty( $shortcode['atts']['custom_colors_enabled'] ) ? $shortcode['atts']['custom_colors_enabled'] : 'theme_defaults',
                            'current_language_border_color' => isset( $shortcode['atts']['current_language_border_color'] ) && $shortcode['atts']['current_language_border_color'] != '' ? $shortcode['atts']['current_language_border_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-elements-border-color' ) ),
                            'current_language_border_color_hover' => isset( $shortcode['atts']['current_language_border_color_hover'] ) && $shortcode['atts']['current_language_border_color_hover'] != '' ? $shortcode['atts']['current_language_border_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'header-bar-and-menu-submenu-background-color' ) ),
                            'current_language_background_color' => isset( $shortcode['atts']['current_language_background_color'] ) && $shortcode['atts']['current_language_background_color'] != '' ? $shortcode['atts']['current_language_background_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'header-bar-and-menu-background-color' ) ),
                            'current_language_background_color_hover' => isset( $shortcode['atts']['current_language_background_color_hover'] ) && $shortcode['atts']['current_language_background_color_hover'] != '' ? $shortcode['atts']['current_language_background_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'header-bar-and-menu-submenu-background-color' ) ),
                            'current_language_text_color' => isset( $shortcode['atts']['current_language_text_color'] ) && $shortcode['atts']['current_language_text_color'] != '' ? $shortcode['atts']['current_language_text_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'header-bar-and-menu-link-color' ) ),
                            'current_language_text_color_hover' => isset( $shortcode['atts']['current_language_text_color_hover'] ) && $shortcode['atts']['current_language_text_color_hover'] != '' ? $shortcode['atts']['current_language_text_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'header-bar-and-menu-submenu-element-active-or-hover-link-color' ) ),
                            'current_language_icon_color' => isset( $shortcode['atts']['current_language_icon_color'] ) && $shortcode['atts']['current_language_icon_color'] != '' ? $shortcode['atts']['current_language_icon_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'header-bar-and-menu-link-color' ) ),
                            'current_language_icon_color_hover' => isset( $shortcode['atts']['current_language_icon_color_hover'] ) && $shortcode['atts']['current_language_icon_color_hover'] != '' ? $shortcode['atts']['current_language_icon_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'header-bar-and-menu-submenu-element-active-or-hover-link-color' ) ),
                            'current_language_box_shadow_horizontal_length' => isset( $shortcode['atts']['current_language_box_shadow_horizontal_length'] ) && $shortcode['atts']['current_language_box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['current_language_box_shadow_horizontal_length'] ) ? $shortcode['atts']['current_language_box_shadow_horizontal_length'] : '0',
                            'current_language_box_shadow_vertical_length' => isset( $shortcode['atts']['current_language_box_shadow_vertical_length'] ) && $shortcode['atts']['current_language_box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['current_language_box_shadow_vertical_length'] ) ? $shortcode['atts']['current_language_box_shadow_vertical_length'] : '0',
                            'current_language_box_shadow_blur_radius' => isset( $shortcode['atts']['current_language_box_shadow_blur_radius'] ) && $shortcode['atts']['current_language_box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['current_language_box_shadow_blur_radius'] ) ? $shortcode['atts']['current_language_box_shadow_blur_radius'] : '0',
                            'current_language_box_shadow_spread_radius' => isset( $shortcode['atts']['current_language_box_shadow_spread_radius'] ) && $shortcode['atts']['current_language_box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['current_language_box_shadow_spread_radius'] ) ? $shortcode['atts']['current_language_box_shadow_spread_radius'] : '0',
                            'current_language_box_shadow_color' => isset( $shortcode['atts']['current_language_box_shadow_color'] ) && $shortcode['atts']['current_language_box_shadow_color'] != '' ? $shortcode['atts']['current_language_box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) ),
                            'current_language_box_shadow_horizontal_length_hover' => isset( $shortcode['atts']['current_language_box_shadow_horizontal_length_hover'] ) && $shortcode['atts']['current_language_box_shadow_horizontal_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['current_language_box_shadow_horizontal_length_hover'] ) ? $shortcode['atts']['current_language_box_shadow_horizontal_length_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'header-bar-and-menu-submenu-box-shadow', 'horizontal-length' ) ),
                            'current_language_box_shadow_vertical_length_hover' => isset( $shortcode['atts']['current_language_box_shadow_vertical_length_hover'] ) && $shortcode['atts']['current_language_box_shadow_vertical_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['current_language_box_shadow_vertical_length_hover'] ) ? $shortcode['atts']['current_language_box_shadow_vertical_length_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'header-bar-and-menu-submenu-box-shadow', 'vertical-length' ) ),
                            'current_language_box_shadow_blur_radius_hover' => isset( $shortcode['atts']['current_language_box_shadow_blur_radius_hover'] ) && $shortcode['atts']['current_language_box_shadow_blur_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['current_language_box_shadow_blur_radius_hover'] ) ? $shortcode['atts']['current_language_box_shadow_blur_radius_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'header-bar-and-menu-submenu-box-shadow', 'blur-radius' ) ),
                            'current_language_box_shadow_spread_radius_hover' => isset( $shortcode['atts']['current_language_box_shadow_spread_radius_hover'] ) && $shortcode['atts']['current_language_box_shadow_spread_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['current_language_box_shadow_spread_radius_hover'] ) ? $shortcode['atts']['current_language_box_shadow_spread_radius_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'header-bar-and-menu-submenu-box-shadow', 'spread-radius' ) ),
                            'current_language_box_shadow_color_hover' => isset( $shortcode['atts']['current_language_box_shadow_color_hover'] ) && $shortcode['atts']['current_language_box_shadow_color_hover'] != '' ? $shortcode['atts']['current_language_box_shadow_color_hover'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'header-bar-and-menu-submenu-box-shadow', 'color' ) ),
                            'languages_list_background_color' => isset( $shortcode['atts']['languages_list_background_color'] ) && $shortcode['atts']['languages_list_background_color'] != '' ? $shortcode['atts']['languages_list_background_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'header-bar-and-menu-submenu-background-color' ) ),
                            'languages_list_box_shadow_horizontal_length' => isset( $shortcode['atts']['languages_list_box_shadow_horizontal_length'] ) && $shortcode['atts']['languages_list_box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['languages_list_box_shadow_horizontal_length'] ) ? $shortcode['atts']['languages_list_box_shadow_horizontal_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'header-bar-and-menu-submenu-box-shadow', 'horizontal-length' ) ),
                            'languages_list_box_shadow_vertical_length' => isset( $shortcode['atts']['languages_list_box_shadow_vertical_length'] ) && $shortcode['atts']['languages_list_box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['languages_list_box_shadow_vertical_length'] ) ? $shortcode['atts']['languages_list_box_shadow_vertical_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'header-bar-and-menu-submenu-box-shadow', 'vertical-length' ) ),
                            'languages_list_box_shadow_blur_radius' => isset( $shortcode['atts']['languages_list_box_shadow_blur_radius'] ) && $shortcode['atts']['languages_list_box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['languages_list_box_shadow_blur_radius'] ) ? $shortcode['atts']['languages_list_box_shadow_blur_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'header-bar-and-menu-submenu-box-shadow', 'blur-radius' ) ),
                            'languages_list_box_shadow_spread_radius' => isset( $shortcode['atts']['languages_list_box_shadow_spread_radius'] ) && $shortcode['atts']['languages_list_box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['languages_list_box_shadow_spread_radius'] ) ? $shortcode['atts']['languages_list_box_shadow_spread_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'header-bar-and-menu-submenu-box-shadow', 'spread-radius' ) ),
                            'languages_list_box_shadow_color' => isset( $shortcode['atts']['languages_list_box_shadow_color'] ) && $shortcode['atts']['languages_list_box_shadow_color'] != '' ? $shortcode['atts']['languages_list_box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'header-bar-and-menu-submenu-box-shadow', 'color' ) ),
                            'languages_list_element_text_color' => isset( $shortcode['atts']['languages_list_element_text_color'] ) && $shortcode['atts']['languages_list_element_text_color'] != '' ? $shortcode['atts']['languages_list_element_text_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'header-bar-and-menu-submenu-element-link-color' ) ),
                            'languages_list_element_text_color_hover' => isset( $shortcode['atts']['languages_list_element_text_color_hover'] ) && $shortcode['atts']['languages_list_element_text_color_hover'] != '' ? $shortcode['atts']['languages_list_element_text_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'header-bar-and-menu-submenu-element-active-or-hover-link-color' ) ),
                            'languages_list_element_bottom_border_color' => isset( $shortcode['atts']['languages_list_element_bottom_border_color'] ) && $shortcode['atts']['languages_list_element_bottom_border_color'] != '' ? $shortcode['atts']['languages_list_element_bottom_border_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'header-bar-and-menu-submenu-element-border-bottom-color' ) )
                        );

                        # update element margins
                        $shortcodes_styles -> update_style(
                            esc_attr( $shortcode['atts']['class_name'] ),
                            array(
                                'margin' => esc_attr( $attributes['margin_top'] ) .'px '. esc_attr( $attributes['horizontal_alignment'] == 'center' ? '0' : $attributes['margin_right'] ) .'px '. esc_attr( $attributes['margin_bottom'] ) .'px '. esc_attr( $attributes['horizontal_alignment'] == 'center' ? '0' : $attributes['margin_left'] ) .'px'
                            )
                        );

                        # can we set custom sizes?
                        if( $attributes['custom_sizes_enabled'] != 'theme_defaults' ) {

                            # temporary variable
                            $temp = array(
                                'current-language-font' => ueldo_vc_get_custom_font_family_attributes( ( !empty( $attributes['current_language_font_family'] ) ? $attributes['current_language_font_family'] : false ), 'menu-font' ),
                                'languages-list-element-font' => ueldo_vc_get_custom_font_family_attributes( ( !empty( $attributes['languages_list_element_font_family'] ) ? $attributes['languages_list_element_font_family'] : false ), 'menu-font' )
                            );

                            # current language styles
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-languages-switcher .ueldo-shortcode-languages-switcher-current-language',
                                array(
                                    'font-size' => esc_attr( $attributes['current_language_font_size'] ),
                                    'line-height' => esc_attr( $attributes['current_language_font_line_height'] ),
                                    'letter-spacing' => esc_attr( $attributes['current_language_font_letter_spacing'] ),
                                    'font-family' => esc_attr( $temp['current-language-font']['font-family'] ),
                                    'font-weight' => esc_attr( $temp['current-language-font']['font-weight'] ),
                                    'font-style' => esc_attr( $temp['current-language-font']['font-style'] ),
                                    '-webkit-font-smoothing' => esc_attr( $temp['current-language-font']['-webkit-font-smoothing'] ),
                                    '-moz-osx-font-smoothing' => esc_attr( $temp['current-language-font']['-moz-osx-font-smoothing'] ),
                                    'padding' => esc_attr( $attributes['current_language_padding_top_bottom'] ) .'px '. esc_attr( $attributes['current_language_padding_left_right'] ) .'px',
                                    'border-width' => esc_attr( $attributes['current_language_border_width'] ),
                                    '-webkit-border-radius' => esc_attr( $attributes['current_language_border_radius'] ),
                                    '-moz-border-radius' => esc_attr( $attributes['current_language_border_radius'] ),
                                    'border-radius' => esc_attr( $attributes['current_language_border_radius'] )
                                )
                            );

                            # current language border radius on hover
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-languages-switcher:hover .ueldo-shortcode-languages-switcher-current-language',
                                array(
                                    '-webkit-border-bottom-left-radius' => '0',
                                    '-moz-border-bottom-left-radius' => '0',
                                    'border-bottom-left-radius' => '0',
                                    '-webkit-border-bottom-right-radius' => '0',
                                    '-moz-border-bottom-right-radius' => '0',
                                    'border-bottom-right-radius' => '0'
                                )
                            );

                            # current language icon styles
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-languages-switcher .ueldo-shortcode-languages-switcher-current-language i',
                                array(
                                    'font-size' => esc_attr( $attributes['current_language_icon_font_size'] ),
                                    'margin-top' => esc_attr( $attributes['current_language_icon_margin_top'] ),
                                    'padding-'. esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) => esc_attr( $attributes['margin_between_current_language_icon_and_title'] )
                                )
                            );

                            # languages list container styles
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-languages-switcher .ueldo-shortcode-languages-switcher-list',
                                array(
                                    'width' => esc_attr( $attributes['languages_list_container_width'] ),
                                    '-webkit-border-radius' => esc_attr( $attributes['languages_list_container_border_radius'] ),
                                    '-moz-border-radius' => esc_attr( $attributes['languages_list_container_border_radius'] ),
                                    'border-radius' => esc_attr( $attributes['languages_list_container_border_radius'] ),
                                    '-webkit-border-top-left-radius' => '0',
                                    '-moz-border-top-left-radius' => '0',
                                    'border-top-left-radius' => '0'
                                )
                            );

                            # languages list element styles
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-languages-switcher .ueldo-shortcode-languages-switcher-list li',
                                array(
                                    'border-bottom-width' => esc_attr( $attributes['languages_list_element_bottom_border_width'] )
                                )
                            );

                            # languages list element link styles
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-languages-switcher .ueldo-shortcode-languages-switcher-list li a',
                                array(
                                    'padding' => esc_attr( $attributes['languages_list_element_padding_top_bottom'] ) .'px '. esc_attr( $attributes['languages_list_element_padding_left_right'] ) .'px',
                                    'font-size' => esc_attr( $attributes['languages_list_element_font_size'] ),
                                    'line-height' => esc_attr( $attributes['languages_list_element_font_line_height'] ),
                                    'letter-spacing' => esc_attr( $attributes['languages_list_element_font_letter_spacing'] ),
                                    'font-family' => esc_attr( $temp['languages-list-element-font']['font-family'] ),
                                    'font-weight' => esc_attr( $temp['languages-list-element-font']['font-weight'] ),
                                    'font-style' => esc_attr( $temp['languages-list-element-font']['font-style'] ),
                                    '-webkit-font-smoothing' => esc_attr( $temp['languages-list-element-font']['-webkit-font-smoothing'] ),
                                    '-moz-osx-font-smoothing' => esc_attr( $temp['languages-list-element-font']['-moz-osx-font-smoothing'] )
                                )
                            );

                            # remove temporary variable
                            unset( $temp );
                        }

                        # can we set custom colors?
                        if( $attributes['custom_colors_enabled'] != 'theme_defaults' ) {

                            # current language colors
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-languages-switcher .ueldo-shortcode-languages-switcher-current-language',
                                array(
                                    'border-color' => esc_attr( $attributes['current_language_border_color'] ),
                                    'background' => esc_attr( $attributes['current_language_background_color'] ),
                                    'color' => esc_attr( $attributes['current_language_text_color'] ),
                                    '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['current_language_box_shadow_horizontal_length'], $attributes['current_language_box_shadow_vertical_length'], $attributes['current_language_box_shadow_blur_radius'], $attributes['current_language_box_shadow_spread_radius'], $attributes['current_language_box_shadow_color'] ),
                                    '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['current_language_box_shadow_horizontal_length'], $attributes['current_language_box_shadow_vertical_length'], $attributes['current_language_box_shadow_blur_radius'], $attributes['current_language_box_shadow_spread_radius'], $attributes['current_language_box_shadow_color'] ),
                                    'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['current_language_box_shadow_horizontal_length'], $attributes['current_language_box_shadow_vertical_length'], $attributes['current_language_box_shadow_blur_radius'], $attributes['current_language_box_shadow_spread_radius'], $attributes['current_language_box_shadow_color'] )
                                )
                            );

                            # current language icon color
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-languages-switcher .ueldo-shortcode-languages-switcher-current-language i',
                                array(
                                    'color' => esc_attr( $attributes['current_language_icon_color'] )
                                )
                            );

                            # current language colors (on hover)
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-languages-switcher:hover .ueldo-shortcode-languages-switcher-current-language',
                                array(
                                    'border-color' => esc_attr( $attributes['current_language_border_color_hover'] ),
                                    'background' => esc_attr( $attributes['current_language_background_color_hover'] ),
                                    'color' => esc_attr( $attributes['current_language_text_color_hover'] ),
                                    '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['current_language_box_shadow_horizontal_length_hover'], $attributes['current_language_box_shadow_vertical_length_hover'], $attributes['current_language_box_shadow_blur_radius_hover'], $attributes['current_language_box_shadow_spread_radius_hover'], $attributes['current_language_box_shadow_color_hover'] ),
                                    '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['current_language_box_shadow_horizontal_length_hover'], $attributes['current_language_box_shadow_vertical_length_hover'], $attributes['current_language_box_shadow_blur_radius_hover'], $attributes['current_language_box_shadow_spread_radius_hover'], $attributes['current_language_box_shadow_color_hover'] ),
                                    'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['current_language_box_shadow_horizontal_length_hover'], $attributes['current_language_box_shadow_vertical_length_hover'], $attributes['current_language_box_shadow_blur_radius_hover'], $attributes['current_language_box_shadow_spread_radius_hover'], $attributes['current_language_box_shadow_color_hover'] )
                                )
                            );

                            # current language icon color (on hover)
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-languages-switcher:hover .ueldo-shortcode-languages-switcher-current-language i',
                                array(
                                    'color' => esc_attr( $attributes['current_language_icon_color_hover'] )
                                )
                            );

                            # languages list colors
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-languages-switcher .ueldo-shortcode-languages-switcher-list',
                                array(
                                    'background' => esc_attr( $attributes['languages_list_background_color'] ),
                                    '-webkit-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['languages_list_box_shadow_horizontal_length'], $attributes['languages_list_box_shadow_vertical_length'], $attributes['languages_list_box_shadow_blur_radius'], $attributes['languages_list_box_shadow_spread_radius'], $attributes['languages_list_box_shadow_color'] ),
                                    '-moz-box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['languages_list_box_shadow_horizontal_length'], $attributes['languages_list_box_shadow_vertical_length'], $attributes['languages_list_box_shadow_blur_radius'], $attributes['languages_list_box_shadow_spread_radius'], $attributes['languages_list_box_shadow_color'] ),
                                    'box-shadow' => ueldo_get_box_shadow_attribute_value( $attributes['languages_list_box_shadow_horizontal_length'], $attributes['languages_list_box_shadow_vertical_length'], $attributes['languages_list_box_shadow_blur_radius'], $attributes['languages_list_box_shadow_spread_radius'], $attributes['languages_list_box_shadow_color'] )
                                )
                            );

                            # languages list element border colors
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-languages-switcher .ueldo-shortcode-languages-switcher-list li',
                                array(
                                    'border-color' => esc_attr( $attributes['languages_list_element_bottom_border_color'] )
                                )
                            );

                            # languages list element text colors
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-languages-switcher .ueldo-shortcode-languages-switcher-list li a',
                                array(
                                    'color' => esc_attr( $attributes['languages_list_element_text_color'] )
                                )
                            );

                            # languages list element text colors (on hover)
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-languages-switcher .ueldo-shortcode-languages-switcher-list li a:hover',
                                array(
                                    'color' => esc_attr( $attributes['languages_list_element_text_color_hover'] )
                                )
                            );
                        }

                        # save css style
                        $shortcodes_styles -> save_styles();

                        # remove attributes array
                        unset( $attributes );

                    break;

                   /**
                    *
                    * ueldo_shortcode_search_field
                    *
                    */

                    case 'ueldo_shortcode_search_field':

                        # attributes array
                        $attributes = array(
                            'type' => isset( $shortcode['atts']['type'] ) && !empty( $shortcode['atts']['type'] ) ? $shortcode['atts']['type'] : 'static',
                            'custom_sizes_enabled' => isset( $shortcode['atts']['custom_sizes_enabled'] ) && !empty( $shortcode['atts']['custom_sizes_enabled'] ) ? $shortcode['atts']['custom_sizes_enabled'] : 'theme_defaults',
                            'field_width' => isset( $shortcode['atts']['field_width'] ) && $shortcode['atts']['field_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['field_width'] ) ? $shortcode['atts']['field_width'] : '350',
                            'field_font_size' => isset( $shortcode['atts']['field_font_size'] ) && $shortcode['atts']['field_font_size'] != '' && ueldo_is_valid_number( $shortcode['atts']['field_font_size'] ) ? $shortcode['atts']['field_font_size'] : esc_attr( $ueldo_styles_cache -> get_style( 'font-size-form-fields' ) ),
                            'field_border_width' => isset( $shortcode['atts']['field_border_width'] ) && $shortcode['atts']['field_border_width'] != '' && ueldo_is_valid_number( $shortcode['atts']['field_border_width'] ) ? $shortcode['atts']['field_border_width'] : '1',
                            'field_border_radius' => isset( $shortcode['atts']['field_border_radius'] ) && $shortcode['atts']['field_border_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['field_border_radius'] ) ? $shortcode['atts']['field_border_radius'] : '2',
                            'field_padding_top_bottom' => isset( $shortcode['atts']['field_padding_top_bottom'] ) && $shortcode['atts']['field_padding_top_bottom'] != '' && ueldo_is_valid_number( $shortcode['atts']['field_padding_top_bottom'] ) ? $shortcode['atts']['field_padding_top_bottom'] : '0',
                            'field_padding_left' => isset( $shortcode['atts']['field_padding_left'] ) && $shortcode['atts']['field_padding_left'] != '' && ueldo_is_valid_number( $shortcode['atts']['field_padding_left'] ) ? $shortcode['atts']['field_padding_left'] : '21',
                            'field_padding_right' => isset( $shortcode['atts']['field_padding_right'] ) && $shortcode['atts']['field_padding_right'] != '' && ueldo_is_valid_number( $shortcode['atts']['field_padding_right'] ) ? $shortcode['atts']['field_padding_right'] : '46',
                            'use_field_static_height' => isset( $shortcode['atts']['use_field_static_height'] ) && !empty( $shortcode['atts']['use_field_static_height'] ) ? $shortcode['atts']['use_field_static_height'] : 'yes',
                            'field_static_height' => isset( $shortcode['atts']['field_static_height'] ) && $shortcode['atts']['field_static_height'] != '' && ueldo_is_valid_number( $shortcode['atts']['field_static_height'] ) ? $shortcode['atts']['field_static_height'] : '50',
                            'search_icon_size' => isset( $shortcode['atts']['search_icon_size'] ) && $shortcode['atts']['search_icon_size'] != '' && ueldo_is_valid_number( $shortcode['atts']['search_icon_size'] ) ? $shortcode['atts']['search_icon_size'] : '14',
                            'custom_colors_enabled' => isset( $shortcode['atts']['custom_colors_enabled'] ) && !empty( $shortcode['atts']['custom_colors_enabled'] ) ? $shortcode['atts']['custom_colors_enabled'] : 'theme_defaults',
                            'field_border_color' => isset( $shortcode['atts']['field_border_color'] ) && $shortcode['atts']['field_border_color'] != '' ? $shortcode['atts']['field_border_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'forms-field-border-color' ) ),
                            'field_border_color_hover' => isset( $shortcode['atts']['field_border_color_hover'] ) && $shortcode['atts']['field_border_color_hover'] != '' ? $shortcode['atts']['field_border_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'forms-field-border-color-on-hover' ) ),
                            'field_border_color_focus' => isset( $shortcode['atts']['field_border_color_focus'] ) && $shortcode['atts']['field_border_color_focus'] != '' ? $shortcode['atts']['field_border_color_focus'] : esc_attr( $ueldo_styles_cache -> get_style( 'forms-field-border-color-on-focus' ) ),
                            'field_background_color' => isset( $shortcode['atts']['field_background_color'] ) && $shortcode['atts']['field_background_color'] != '' ? $shortcode['atts']['field_background_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'forms-field-background-color' ) ),
                            'field_background_color_hover' => isset( $shortcode['atts']['field_background_color_hover'] ) && $shortcode['atts']['field_background_color_hover'] != '' ? $shortcode['atts']['field_background_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'forms-field-background-color' ) ),
                            'field_background_color_focus' => isset( $shortcode['atts']['field_background_color_focus'] ) && $shortcode['atts']['field_background_color_focus'] != '' ? $shortcode['atts']['field_background_color_focus'] : esc_attr( $ueldo_styles_cache -> get_style( 'forms-field-background-color' ) ),
                            'field_text_color' => isset( $shortcode['atts']['field_text_color'] ) && $shortcode['atts']['field_text_color'] != '' ? $shortcode['atts']['field_text_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'forms-field-text-color' ) ),
                            'field_placeholder_text_color' => isset( $shortcode['atts']['field_placeholder_text_color'] ) && $shortcode['atts']['field_placeholder_text_color'] != '' ? $shortcode['atts']['field_placeholder_text_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'forms-placeholder-text-color' ) ),
                            'field_inset_box_shadow_horizontal_length' => isset( $shortcode['atts']['field_inset_box_shadow_horizontal_length'] ) && $shortcode['atts']['field_inset_box_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['field_inset_box_shadow_horizontal_length'] ) ? $shortcode['atts']['field_inset_box_shadow_horizontal_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'forms-field-inset-box-shadow', 'horizontal-length' ) ),
                            'field_inset_box_shadow_vertical_length' => isset( $shortcode['atts']['field_inset_box_shadow_vertical_length'] ) && $shortcode['atts']['field_inset_box_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['field_inset_box_shadow_vertical_length'] ) ? $shortcode['atts']['field_inset_box_shadow_vertical_length'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'forms-field-inset-box-shadow', 'vertical-length' ) ),
                            'field_inset_box_shadow_blur_radius' => isset( $shortcode['atts']['field_inset_box_shadow_blur_radius'] ) && $shortcode['atts']['field_inset_box_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['field_inset_box_shadow_blur_radius'] ) ? $shortcode['atts']['field_inset_box_shadow_blur_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'forms-field-inset-box-shadow', 'blur-radius' ) ),
                            'field_inset_box_shadow_spread_radius' => isset( $shortcode['atts']['field_inset_box_shadow_spread_radius'] ) && $shortcode['atts']['field_inset_box_shadow_spread_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['field_inset_box_shadow_spread_radius'] ) ? $shortcode['atts']['field_inset_box_shadow_spread_radius'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'forms-field-inset-box-shadow', 'spread-radius' ) ),
                            'field_inset_box_shadow_color' => isset( $shortcode['atts']['field_inset_box_shadow_color'] ) && $shortcode['atts']['field_inset_box_shadow_color'] != '' ? $shortcode['atts']['field_inset_box_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_box_shadow_part_from_color_key( 'forms-field-inset-box-shadow', 'color' ) ),
                            'search_icon_color' => isset( $shortcode['atts']['search_icon_color'] ) && $shortcode['atts']['search_icon_color'] != '' ? $shortcode['atts']['search_icon_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'forms-field-border-color' ) ),
                            'search_icon_color_hover' => isset( $shortcode['atts']['search_icon_color_hover'] ) && $shortcode['atts']['search_icon_color_hover'] != '' ? $shortcode['atts']['search_icon_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'forms-field-border-color' ) )
                        );

                        # do we have custom sizes enabled?
                        if( $attributes['custom_sizes_enabled'] != 'theme_defaults' ) {

                            # can we set custom field width?
                            if( $attributes['type'] == 'animated' ) {

                                # update field width
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-search-field.ueldo-shortcode-search-field-type-animated:not(.ueldo-shortcode-search-field-type-animated-hidden)',
                                    array(
                                        'width' => esc_attr( $attributes['field_width'] )
                                    )
                                );

                                # update padding right attribute for input
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-search-field.ueldo-shortcode-search-field-type-animated .ueldo-animated-search-field input[type="text"]',
                                    array(
                                        'padding-'. esc_attr( ueldo_is_rtl() ? 'left' : 'right' ) => esc_attr( ueldo_is_rtl() ? $attributes['field_padding_left'] : $attributes['field_padding_right'] )
                                    )
                                );

                                # update icon position for button
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-search-field.ueldo-shortcode-search-field-type-animated .ueldo-animated-search-field button[type="submit"].ueldo-animated-search-field-button-left-pos',
                                    array(
                                        'margin-top' => '-'. esc_attr( $attributes['search_icon_size'] / 2 ),
                                        esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) .'-webkit-calc' => '-webkit-calc( 100% - '. esc_attr( ( ueldo_is_rtl() ? $attributes['field_padding_left'] : $attributes['field_padding_right'] ) - $attributes['search_icon_size'] ) .'px )',
                                        esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) .'-moz-calc' => '-moz-calc( 100% - '. esc_attr( ( ueldo_is_rtl() ? $attributes['field_padding_left'] : $attributes['field_padding_right'] ) - $attributes['search_icon_size'] ) .'px )',
                                        esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) .'-calc' => 'calc( 100% - '. esc_attr( ( ueldo_is_rtl() ? $attributes['field_padding_left'] : $attributes['field_padding_right'] ) - $attributes['search_icon_size'] ) .'px )'
                                    )
                                );

                                # update icon position for button
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-search-field.ueldo-shortcode-search-field-type-animated .ueldo-animated-search-field button[type="submit"], .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-search-field.ueldo-shortcode-search-field-type-animated .ueldo-animated-search-field button[type="submit"]:hover',
                                    array(
                                        'margin-top' => '-'. esc_attr( $attributes['search_icon_size'] / 2 )
                                    )
                                );
                            }

                            # update search field sizes
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-search-field input[type="text"]',
                                array(
                                    'border-width' => esc_attr( $attributes['field_border_width'] ),
                                    '-webkit-border-radius' => esc_attr( $attributes['field_border_radius'] ),
                                    '-moz-border-radius' => esc_attr( $attributes['field_border_radius'] ),
                                    'border-radius' => esc_attr( $attributes['field_border_radius'] ),
                                    'font-size' => esc_attr( $attributes['field_font_size'] ),
                                    'padding' => esc_attr( $attributes['field_padding_top_bottom'] ) .'px '. esc_attr( $attributes['field_padding_right'] ) .'px '. esc_attr( $attributes['field_padding_top_bottom'] ) .'px '. esc_attr( $attributes['field_padding_left'] ) .'px',
                                    'height'. esc_attr( $attributes['use_field_static_height'] == 'no' ? '-string' : '' ) => esc_attr( $attributes['use_field_static_height'] == 'yes' ? $attributes['field_static_height'] : 'auto' ),
                                )
                            );

                            # add min-height for input if static height is not configured
                            if( $attributes['use_field_static_height'] == 'no' ) {

                                # add min-height for input
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-search-field input[type="text"]',
                                    array(
                                        'min-height' => esc_attr( ( $attributes['field_padding_top_bottom'] * 2 ) + ( $attributes['field_font_size'] * 1.4 ) + ( $attributes['field_border_width'] * 2 ) )
                                    )
                                );
                            }

                            # update search icon position
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-search-field button[type="submit"], .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-search-field button[type="submit"]:hover',
                                array(
                                    'margin-top' => '-'. esc_attr( $attributes['search_icon_size'] / 2 ),
                                    esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) .'-webkit-calc' => '-webkit-calc( 100% - '. esc_attr( ( ueldo_is_rtl() ? $attributes['field_padding_left'] : $attributes['field_padding_right'] ) - $attributes['search_icon_size'] ) .'px )',
                                    esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) .'-moz-calc' => '-moz-calc( 100% - '. esc_attr( ( ueldo_is_rtl() ? $attributes['field_padding_left'] : $attributes['field_padding_right'] ) - $attributes['search_icon_size'] ) .'px )',
                                    esc_attr( ueldo_is_rtl() ? 'right' : 'left' ) .'-calc' => 'calc( 100% - '. esc_attr( ( ueldo_is_rtl() ? $attributes['field_padding_left'] : $attributes['field_padding_right'] ) - $attributes['search_icon_size'] ) .'px )'
                                )
                            );

                            # update search icon size
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-search-field button[type="submit"] i, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-search-field button[type="submit"] i:before',
                                array(
                                    'font-size' => esc_attr( $attributes['search_icon_size'] )
                                )
                            );
                        }

                        # do we have custom colors enabled?
                        if( $attributes['custom_colors_enabled'] != 'theme_defaults' ) {

                            # update search field colors
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-search-field input[type="text"]',
                                array(
                                    'border-color' => esc_attr( $attributes['field_border_color'] ),
                                    'background' => esc_attr( $attributes['field_background_color'] ),
                                    'color' => esc_attr( $attributes['field_text_color'] ),
                                    '-webkit-box-shadow' => 'inset '. ueldo_get_box_shadow_attribute_value( $attributes['field_inset_box_shadow_horizontal_length'], $attributes['field_inset_box_shadow_vertical_length'], $attributes['field_inset_box_shadow_blur_radius'], $attributes['field_inset_box_shadow_spread_radius'], $attributes['field_inset_box_shadow_color'] ),
                                    '-moz-box-shadow' => 'inset '. ueldo_get_box_shadow_attribute_value( $attributes['field_inset_box_shadow_horizontal_length'], $attributes['field_inset_box_shadow_vertical_length'], $attributes['field_inset_box_shadow_blur_radius'], $attributes['field_inset_box_shadow_spread_radius'], $attributes['field_inset_box_shadow_color'] ),
                                    'box-shadow' => 'inset '. ueldo_get_box_shadow_attribute_value( $attributes['field_inset_box_shadow_horizontal_length'], $attributes['field_inset_box_shadow_vertical_length'], $attributes['field_inset_box_shadow_blur_radius'], $attributes['field_inset_box_shadow_spread_radius'], $attributes['field_inset_box_shadow_color'] )
                                )
                            );

                            # update search field colors (on hover)
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-search-field input[type="text"]:hover, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-search-field input[type="text"].ueldo-search-field-hover',
                                array(
                                    'border-color' => esc_attr( $attributes['field_border_color_hover'] ),
                                    'background' => esc_attr( $attributes['field_background_color_hover'] )
                                )
                            );

                            # update search field colors (on focus)
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-search-field input[type="text"]:focus',
                                array(
                                    'border-color' => esc_attr( $attributes['field_border_color_focus'] ),
                                    'background' => esc_attr( $attributes['field_background_color_focus'] )
                                )
                            );

                            # update search icon color
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-search-field button[type="submit"] i',
                                array(
                                    'color' => esc_attr( $attributes['search_icon_color'] )
                                )
                            );

                            # update search icon color (on hover)
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-search-field button[type="submit"]:hover i',
                                array(
                                    'color' => esc_attr( $attributes['search_icon_color_hover'] )
                                )
                            );

                            # can we set custom field width?
                            if( $attributes['type'] == 'animated' ) {

                                # update search icon color
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-search-field.ueldo-shortcode-search-field-type-animated .ueldo-animated-search-field button[type="submit"] i',
                                    array(
                                        'color' => esc_attr( $attributes['search_icon_color'] )
                                    )
                                );

                                # update search icon color (on hover)
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-search-field.ueldo-shortcode-search-field-type-animated .ueldo-animated-search-field button[type="submit"]:hover i',
                                    array(
                                        'color' => esc_attr( $attributes['search_icon_color_hover'] )
                                    )
                                );
                            }

                            # placeholder text color
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .' ::-webkit-input-placeholder',
                                array(
                                    'color' => esc_attr( $attributes['field_placeholder_text_color'] )
                                )
                            );

                            # placeholder text color
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .' ::-moz-placeholder',
                                array(
                                    'color' => esc_attr( $attributes['field_placeholder_text_color'] )
                                )
                            );

                            # placeholder text color
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .' :-ms-input-placeholder',
                                array(
                                    'color' => esc_attr( $attributes['field_placeholder_text_color'] )
                                )
                            );

                            # placeholder text color
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .' :-moz-placeholder',
                                array(
                                    'color' => esc_attr( $attributes['field_placeholder_text_color'] )
                                )
                            );
                        }

                        # save css style
                        $shortcodes_styles -> save_styles();

                        # remove attributes array
                        unset( $attributes );

                    break;

                   /**
                    *
                    * ueldo_shortcode_icon
                    *
                    */

                    case 'ueldo_shortcode_icon':

                        # attributes array
                        $attributes = array(
                            'custom_sizes_enabled' => isset( $shortcode['atts']['custom_sizes_enabled'] ) && !empty( $shortcode['atts']['custom_sizes_enabled'] ) ? $shortcode['atts']['custom_sizes_enabled'] : 'theme_defaults',
                            'icon_size' => isset( $shortcode['atts']['icon_size'] ) && $shortcode['atts']['icon_size'] != '' && ueldo_is_valid_number( $shortcode['atts']['icon_size'] ) ? $shortcode['atts']['icon_size'] : '30',
                            'margin_top' => isset( $shortcode['atts']['margin_top'] ) && $shortcode['atts']['margin_top'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_top'] ) ? $shortcode['atts']['margin_top'] : '0',
                            'margin_right' => isset( $shortcode['atts']['margin_right'] ) && $shortcode['atts']['margin_right'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_right'] ) ? $shortcode['atts']['margin_right'] : '0',
                            'margin_bottom' => isset( $shortcode['atts']['margin_bottom'] ) && $shortcode['atts']['margin_bottom'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_bottom'] ) ? $shortcode['atts']['margin_bottom'] : '0',
                            'margin_left' => isset( $shortcode['atts']['margin_left'] ) && $shortcode['atts']['margin_left'] != '' && ueldo_is_valid_number( $shortcode['atts']['margin_left'] ) ? $shortcode['atts']['margin_left'] : '0',
                            'custom_colors_enabled' => isset( $shortcode['atts']['custom_colors_enabled'] ) && !empty( $shortcode['atts']['custom_colors_enabled'] ) ? $shortcode['atts']['custom_colors_enabled'] : 'theme_defaults',
                            'icon_color' => isset( $shortcode['atts']['icon_color'] ) && $shortcode['atts']['icon_color'] != '' ? $shortcode['atts']['icon_color'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-icon-color' ) ),
                            'icon_shadow_horizontal_length' => isset( $shortcode['atts']['icon_shadow_horizontal_length'] ) && $shortcode['atts']['icon_shadow_horizontal_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['icon_shadow_horizontal_length'] ) ? $shortcode['atts']['icon_shadow_horizontal_length'] : '0',
                            'icon_shadow_vertical_length' => isset( $shortcode['atts']['icon_shadow_vertical_length'] ) && $shortcode['atts']['icon_shadow_vertical_length'] != '' && ueldo_is_valid_number( $shortcode['atts']['icon_shadow_vertical_length'] ) ? $shortcode['atts']['icon_shadow_vertical_length'] : '0',
                            'icon_shadow_blur_radius' => isset( $shortcode['atts']['icon_shadow_blur_radius'] ) && $shortcode['atts']['icon_shadow_blur_radius'] != '' && ueldo_is_valid_number( $shortcode['atts']['icon_shadow_blur_radius'] ) ? $shortcode['atts']['icon_shadow_blur_radius'] : '0',
                            'icon_shadow_color' => isset( $shortcode['atts']['icon_shadow_color'] ) && $shortcode['atts']['icon_shadow_color'] != '' ? $shortcode['atts']['icon_shadow_color'] : esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) ),
                            'different_colors_on_hover' => isset( $shortcode['atts']['different_colors_on_hover'] ) && !empty( $shortcode['atts']['different_colors_on_hover'] ) ? $shortcode['atts']['different_colors_on_hover'] : 'no',
                            'icon_color_hover' => isset( $shortcode['atts']['icon_color_hover'] ) && $shortcode['atts']['icon_color_hover'] != '' ? $shortcode['atts']['icon_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style( 'general-colors-icon-color' ) ),
                            'icon_shadow_horizontal_length_hover' => isset( $shortcode['atts']['icon_shadow_horizontal_length_hover'] ) && $shortcode['atts']['icon_shadow_horizontal_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['icon_shadow_horizontal_length_hover'] ) ? $shortcode['atts']['icon_shadow_horizontal_length_hover'] : '0',
                            'icon_shadow_vertical_length_hover' => isset( $shortcode['atts']['icon_shadow_vertical_length_hover'] ) && $shortcode['atts']['icon_shadow_vertical_length_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['icon_shadow_vertical_length_hover'] ) ? $shortcode['atts']['icon_shadow_vertical_length_hover'] : '0',
                            'icon_shadow_blur_radius_hover' => isset( $shortcode['atts']['icon_shadow_blur_radius_hover'] ) && $shortcode['atts']['icon_shadow_blur_radius_hover'] != '' && ueldo_is_valid_number( $shortcode['atts']['icon_shadow_blur_radius_hover'] ) ? $shortcode['atts']['icon_shadow_blur_radius_hover'] : '0',
                            'icon_shadow_color_hover' => isset( $shortcode['atts']['icon_shadow_color_hover'] ) && $shortcode['atts']['icon_shadow_color_hover'] != '' ? $shortcode['atts']['icon_shadow_color_hover'] : esc_attr( $ueldo_styles_cache -> get_style_from_pattern( 'website-background-transparent' ) )
                        );

                        # can we set custom sizes?
                        if( $attributes['custom_sizes_enabled'] != 'theme_defaults' ) {

                            # update icon size
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-icon i, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-icon i:before',
                                array(
                                    'font-size' => esc_attr( $attributes['icon_size'] )
                                )
                            );

                            # update icon margins
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-icon',
                                array(
                                    'margin' => esc_attr( $attributes['margin_top'] ) .'px '. esc_attr( $attributes['margin_right'] ) .'px '. esc_attr( $attributes['margin_bottom'] ) .'px '. esc_attr( $attributes['margin_left'] ) .'px'
                                )
                            );
                        }

                        # can we set custom colors?
                        if( $attributes['custom_colors_enabled'] != 'theme_defaults' ) {

                            # update icon colors
                            $shortcodes_styles -> update_style(
                                esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-icon i, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-icon i:before',
                                array(
                                    'color' => esc_attr( $attributes['icon_color'] ),
                                    '-moz-text-shadow' => ueldo_get_text_shadow_attribute_value( $attributes['icon_shadow_horizontal_length'], $attributes['icon_shadow_vertical_length'], $attributes['icon_shadow_blur_radius'], $attributes['icon_shadow_color'] ),
                                    'text-shadow' => ueldo_get_text_shadow_attribute_value( $attributes['icon_shadow_horizontal_length'], $attributes['icon_shadow_vertical_length'], $attributes['icon_shadow_blur_radius'], $attributes['icon_shadow_color'] )
                                )
                            );

                            # different colors on hover?
                            if( $attributes['different_colors_on_hover'] == 'yes' ) {

                                # update icon colors (hover)
                                $shortcodes_styles -> update_style(
                                    esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-icon i:hover, .'. esc_attr( $shortcode['atts']['class_name'] ) .'.ueldo-shortcode-icon i:hover:before',
                                    array(
                                        'color' => esc_attr( $attributes['icon_color_hover'] ),
                                        '-moz-text-shadow' => ueldo_get_text_shadow_attribute_value( $attributes['icon_shadow_horizontal_length_hover'], $attributes['icon_shadow_vertical_length_hover'], $attributes['icon_shadow_blur_radius_hover'], $attributes['icon_shadow_color_hover'] ),
                                        'text-shadow' => ueldo_get_text_shadow_attribute_value( $attributes['icon_shadow_horizontal_length_hover'], $attributes['icon_shadow_vertical_length_hover'], $attributes['icon_shadow_blur_radius_hover'], $attributes['icon_shadow_color_hover'] )
                                    )
                                );
                            }
                        }

                        # save css style
                        $shortcodes_styles -> save_styles();

                        # remove attributes array
                        unset( $attributes );

                    break;

                   /**
                    *
                    * end of shortcodes
                    *
                    */
                }
            }

            # return styles
            return( $shortcodes_styles -> get_css() );
        }

        # none of custom shortcodes found
        return( false );
    }

   /**
    *
    * get attribute for element on selected device
    *
    */

    function ueldo_get_vc_element_device_attributes( $attributes, $search_key, $device ) {

        # border radius values for row layer shortcode
        if( in_array( $search_key, array( 'custom_row_border_radius', 'row_border_radius', 'row_border_radius_top_left_corner', 'row_border_radius_top_right_corner', 'row_border_radius_bottom_left_corner', 'row_border_radius_bottom_right_corner' ), true ) && $attributes[esc_attr( $device ) .'_layer_custom_sizes'] == 'yes' ) {

            # result depends on device size
            switch( $device ) {

                # find attribute for extra small devices
                case 'extra_small':

                    # are small layer custom sizes available
                    switch( $attributes['extra_small_custom_row_border_radius'] ) {

                        # find a value for small devices
                        case 'yes-copy-from-small':

                            # are small layer custom border radius values available
                            switch( $attributes['small_custom_row_border_radius'] ) {

                                # return medium or large values
                                case 'yes-copy-from-medium': return( $attributes['medium_custom_row_border_radius'] == 'yes-copy-from-large' ? $attributes['large_'. esc_attr( $search_key )] : $attributes['medium_'. esc_attr( $search_key )] ); break;

                                # return large values
                                case 'yes-copy-from-large': return( $attributes['large_'. esc_attr( $search_key )] ); break;

                                # return small values
                                default: return( $attributes['small_'. esc_attr( $search_key )] ); break;
                            }

                        break;

                        # return medium or large values
                        case 'yes-copy-from-medium': return( $attributes['medium_custom_row_border_radius'] == 'yes-copy-from-large' ? $attributes['large_'. esc_attr( $search_key )] : $attributes['medium_'. esc_attr( $search_key )] ); break;

                        # return large values
                        case 'yes-copy-from-large': return( $attributes['large_'. esc_attr( $search_key )] ); break;

                        # return small values
                        default: return( $attributes['extra_small_'. esc_attr( $search_key )] ); break;
                    }

                break;

                # find attribute for small devices
                case 'small':

                    # are small layer custom border radius values available
                    switch( $attributes['small_custom_row_border_radius'] ) {

                        # return medium or large values
                        case 'yes-copy-from-medium': return( $attributes['medium_custom_row_border_radius'] == 'yes-copy-from-large' ? $attributes['large_'. esc_attr( $search_key )] : $attributes['medium_'. esc_attr( $search_key )] ); break;

                        # return large values
                        case 'yes-copy-from-large': return( $attributes['large_'. esc_attr( $search_key )] ); break;

                        # return small values
                        default: return( $attributes['small_'. esc_attr( $search_key )] ); break;
                    }

                break;

                # find attribute for medium devices
                case 'medium':

                    # return medium or large values
                    return( $attributes['medium_custom_row_border_radius'] == 'yes-copy-from-large' ? $attributes['large_'. esc_attr( $search_key )] : $attributes['medium_'. esc_attr( $search_key )] );

                break;
            }
        }

        # standard values
        else {

            # result depends on device size
            switch( $device ) {

                # find attribute for extra small devices
                case 'extra_small':

                    # return extra small custom value
                    if( $attributes['extra_small_layer_custom_sizes'] == 'yes' ) return( $attributes['extra_small_'. esc_attr( $search_key )] );
                    else {

                        # are extra small layer custom sizes available
                        switch( $attributes['extra_small_layer_custom_sizes'] ) {

                            # find a value for small devices
                            case 'no-small':

                                # are small layer custom sizes available
                                switch( $attributes['small_layer_custom_sizes'] ) {

                                    # return small values
                                    case 'yes': return( $attributes['small_'. esc_attr( $search_key )] ); break;

                                    # return medium or large values
                                    case 'no-medium': return( $attributes['medium_layer_custom_sizes'] == 'yes' ? $attributes['medium_'. esc_attr( $search_key )] : $attributes['large_'. esc_attr( $search_key )] ); break;

                                    # return large values
                                    case 'no-large': return( $attributes['large_'. esc_attr( $search_key )] ); break;
                                }

                            break;

                            # return medium or large values
                            case 'no-medium': return( $attributes['medium_layer_custom_sizes'] == 'yes' ? $attributes['medium_'. esc_attr( $search_key )] : $attributes['large_'. esc_attr( $search_key )] ); break;

                            # return large values
                            case 'no-large': return( $attributes['large_'. esc_attr( $search_key )] ); break;
                        }
                    }

                break;

                # find attribute for small devices
                case 'small':

                    # are small layer custom sizes available
                    switch( $attributes['small_layer_custom_sizes'] ) {

                        # return small values
                        case 'yes': return( $attributes['small_'. esc_attr( $search_key )] ); break;

                        # return medium or large values
                        case 'no-medium': return( $attributes['medium_layer_custom_sizes'] == 'yes' ? $attributes['medium_'. esc_attr( $search_key )] : $attributes['large_'. esc_attr( $search_key )] ); break;

                        # return large values
                        case 'no-large': return( $attributes['large_'. esc_attr( $search_key )] ); break;
                    }

                break;

                # find attribute for medium devices
                case 'medium':

                    # return medium or large values
                    return( $attributes['medium_layer_custom_sizes'] == 'yes' ? $attributes['medium_'. esc_attr( $search_key )] : $attributes['large_'. esc_attr( $search_key )] );

                break;
            }
        }
    }

   /**
    *
    * end of file.
    *
    */

?>