jQuery( document ).ready( function( $ ) {

   /**
    *
    * strict mode
    *
    */

    'use strict';

   /**
    *
    * onload functions
    *
    */

    $( window ).load( function() {

       /**
        *
        * display options for default blog posts list style
        *
        */

        $.UeldoThemeOptionsDisplayOptionsForDefaultBlogPostsListStyle();

       /**
        *
        * validate opening hours set
        *
        */

        $( '.ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule-opening-hours-group' ).each( function() { $.UeldoValidateOpeningHoursSet( $( this ) ); });

       /**
        *
        * validate day-week checkboxes
        *
        */

        $( '.ueldo-theme-options-opening-hours-status-creation-rules-field:not(.ueldo-theme-options-opening-hours-status-creation-rules-field-exceptions)' ).each( function() { $.UeldoOpeningHoursStatusValidateDayWeekCheckboxes( $( this ) ); });

       /**
        *
        * add datepicker to exception
        *
        */

        $( 'input[type="text"].ueldo-theme-options-datepicker' ).datepicker({

            dateFormat: 'yy-mm-dd',
            beforeShow: function( input, inst ) {

                var inputID = $( input ).attr( 'id' );
                $( '#ui-datepicker-div' ).data( 'for-input-id', inputID ).attr( 'data-for-input-id', inputID ).addClass( 'ueldo-custom-datepicker-theme' );
            },

            onClose: function( dateText, inst ) {

                $( '#ui-datepicker-div' ).data( 'for-input-id', '' ).removeAttr( 'data-for-input-id' ).removeClass( 'ueldo-custom-datepicker-theme-hidden' );
            }

        });

       /**
        *
        * validate boxed website space value
        *
        */

        $.UeldoThemeOptionsValidateBoxedWebsiteSpaceValue();

       /**
        *
        * validate from - to opening hours for exception
        *
        */

        $( '.ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule-details-fields-group input[type="text"].ueldo-theme-options-datepicker' ).each( function() {

            var field = $( this );
            var fieldName = field.attr( 'name' );

            if( fieldName.indexOf( 'apply-from' ) !== -1 ) {

                var fieldsGroup = field.parents( '.ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule-details-fields-group' );
                $.UeldoValidateFromToDateValueForOpeningHoursException( fieldsGroup );
            }

        });

       /**
        *
        * show selected theme option on load
        *
        */

        $.UeldoThemeOptionsShowThemeOptionOnLoad();

       /**
        *
        * remove loader
        *
        */

        var loader = $( '#ueldo-theme-options-loader' );
        loader.animate({ 'opacity': '0' }, { duration: 300, complete: function() { loader.remove(); }});

       /**
        *
        * end of load functions.
        *
        */

    });

   /**
    *
    * yes/no fields
    *
    */

    $( '.ueldo-theme-options-yn-field' ).on( 'click', '.ueldo-theme-options-yn-field-option:not(.ueldo-theme-options-yn-field-option-selected)', function() {

        var fieldOption = $( this );
        var field = fieldOption.parent();

        if( fieldOption.hasClass( 'ueldo-theme-options-yn-field-option-selected' ) ) return;

        field.find( '.ueldo-theme-options-yn-field-option' ).removeClass( 'ueldo-theme-options-yn-field-option-selected' );
        fieldOption.addClass( 'ueldo-theme-options-yn-field-option-selected' );

        field.find( 'input[type="hidden"]' ).attr( 'value', fieldOption.data( 'option-value' ) ).val( fieldOption.data( 'option-value' ) );

       /**
        *
        * lazy load images
        *
        */

        if( field.parents( '.ueldo-theme-options-single-option[data-option-key="lazy-load-images"]' ).length !== 0 ) {

            var optionContainer = field.parents( '.ueldo-theme-options-single-option[data-option-key="lazy-load-images"]' );
            var fieldDepended = optionContainer.find( '.ueldo-theme-options-field-depended' );

            if( fieldOption.data( 'option-value' ) == 'yes' ) fieldDepended.removeClass( 'ueldo-theme-options-field-depended-hidden' );
            else fieldDepended.addClass( 'ueldo-theme-options-field-depended-hidden' );
        }

       /**
        *
        * local scrolling links animation
        *
        */

        else if( field.parents( '.ueldo-theme-options-single-option[data-option-key="local-scrolling-links-animation"]' ).length !== 0 ) {

            var optionContainer = field.parents( '.ueldo-theme-options-single-option[data-option-key="local-scrolling-links-animation"]' );
            var fieldDepended = optionContainer.find( '.ueldo-theme-options-field-depended' );

            if( fieldOption.data( 'option-value' ) == 'yes' ) fieldDepended.removeClass( 'ueldo-theme-options-field-depended-hidden' );
            else fieldDepended.addClass( 'ueldo-theme-options-field-depended-hidden' );
        }

       /**
        *
        * side menu
        *
        */

        else if( field.parents( '.ueldo-theme-options-single-option[data-option-key="side-menu"]' ).length !== 0 ) {

            var optionContainer = field.parents( '.ueldo-theme-options-single-option[data-option-key="side-menu"]' );
            var dependedFor = field.data( 'depended-for' );
            var fieldDepended = optionContainer.find( '.ueldo-theme-options-field-depended[data-field-depended-key="'+ dependedFor +'"]' );

            if( fieldOption.data( 'option-value' ) == 'yes' ) fieldDepended.removeClass( 'ueldo-theme-options-field-depended-hidden' );
            else fieldDepended.addClass( 'ueldo-theme-options-field-depended-hidden' );
        }

       /**
        *
        * loader animation
        *
        */

        else if( field.parents( '.ueldo-theme-options-single-option[data-option-key="loader-animation"]' ).length !== 0 ) {

            var optionContainer = field.parents( '.ueldo-theme-options-single-option[data-option-key="loader-animation"]' );
            var dependedFor = field.data( 'depended-for' );

            if( dependedFor == 'loader-animation-settings' ) {

                var fieldDepended = optionContainer.find( '.ueldo-theme-options-field-depended[data-field-depended-key="loader-animation-settings"]' );
                var noticeDepended = optionContainer.find( '.ueldo-theme-options-field-depended[data-field-depended-key="loader-animation-notice"]' );

                if( fieldOption.data( 'option-value' ) == 'yes' ) fieldDepended.removeClass( 'ueldo-theme-options-field-depended-hidden' );
                else fieldDepended.addClass( 'ueldo-theme-options-field-depended-hidden' );

                if( fieldOption.data( 'option-value' ) == 'no' ) noticeDepended.removeClass( 'ueldo-theme-options-field-depended-hidden' );
                else noticeDepended.addClass( 'ueldo-theme-options-field-depended-hidden' );
            }

            else {

                var fieldDepended = optionContainer.find( '.ueldo-theme-options-field-depended[data-field-depended-key="'+ dependedFor +'"]' );

                if( fieldOption.data( 'option-value' ) == 'yes' ) fieldDepended.removeClass( 'ueldo-theme-options-field-depended-hidden' );
                else fieldDepended.addClass( 'ueldo-theme-options-field-depended-hidden' );

               /**
                *
                * loader animation custom colors
                *
                */

                if( dependedFor == 'custom-colors' ) {

                    var backgroundColor, spinnerColor;
                    if( fieldOption.data( 'option-value' ) == 'yes' ) {

                        backgroundColor = optionContainer.find( 'input[name="ueldo_theme_options[loader-animation][custom-colors-background]"]' ).val();
                        spinnerColor = optionContainer.find( 'input[name="ueldo_theme_options[loader-animation][custom-colors-spinner]"]' ).val();
                    }

                    else {

                        backgroundColor = '#'+ field.data( 'default-background-color' );
                        spinnerColor = field.data( 'default-loader-spinner-color' );
                    }

                    $.UeldoThemeOptionsUpdateLoaderSpinnersColors( backgroundColor, spinnerColor );
                }

               /**
                *
                * end of loader animation custom colors
                *
                */
            }
        }

       /**
        *
        * dynamic theme styles cache
        *
        */

        else if( field.parents( '.ueldo-theme-options-single-option[data-option-key="dynamic-theme-styles-cache"]' ).length !== 0 ) {

            var optionContainer = field.parents( '.ueldo-theme-options-single-option[data-option-key="dynamic-theme-styles-cache"]' );
            var fieldDepended = optionContainer.find( '.ueldo-theme-options-field-depended' );

            if( fieldOption.data( 'option-value' ) == 'yes' ) fieldDepended.removeClass( 'ueldo-theme-options-field-depended-hidden' );
            else fieldDepended.addClass( 'ueldo-theme-options-field-depended-hidden' );
        }

       /**
        *
        * end of function
        *
        */

    });

   /**
    *
    * select with image fields
    *
    */

    $( '.ueldo-theme-options-select-with-image-field' ).on( 'click', '.ueldo-theme-options-select-with-image-field-option:not(.ueldo-theme-options-select-with-image-field-option-selected)', function() {

        var fieldOption = $( this );
        var field = fieldOption.parent();

        if( fieldOption.hasClass( 'ueldo-theme-options-select-with-image-field-option-selected' ) ) return;

        field.find( '.ueldo-theme-options-select-with-image-field-option' ).removeClass( 'ueldo-theme-options-select-with-image-field-option-selected' );
        fieldOption.addClass( 'ueldo-theme-options-select-with-image-field-option-selected' );

        field.find( 'input[type="hidden"]' ).attr( 'value', fieldOption.data( 'option-value' ) ).val( fieldOption.data( 'option-value' ) );

       /**
        *
        * responsive sidebar style - depended
        * on sidebar position for posts list and
        * single post
        *
        */

        if( field.parents( '.ueldo-theme-options-single-option[data-option-key="blog-sidebar"]' ).length !== 0 ) {

            var optionContainer = field.parents( '.ueldo-theme-options-single-option[data-option-key="blog-sidebar"]' );
            var fieldDepended = optionContainer.find( '.ueldo-theme-options-field-depended' );

            var postsListSidebar = optionContainer.find( 'input[name="ueldo_theme_options[blog-sidebar][posts-list]"]' ).val();
            var singlePostSidebar = optionContainer.find( 'input[name="ueldo_theme_options[blog-sidebar][single-post]"]' ).val();

            if( postsListSidebar == 'no' && singlePostSidebar == 'no' ) fieldDepended.addClass( 'ueldo-theme-options-field-depended-hidden' );
            else fieldDepended.removeClass( 'ueldo-theme-options-field-depended-hidden' );
        }

       /**
        *
        * boxed website sizes - depended on boxed website enabled
        *
        */

        else if( field.parents( '.ueldo-theme-options-single-option[data-option-key="boxed-website"]' ).length !== 0 ) {

            var optionContainer = field.parents( '.ueldo-theme-options-single-option[data-option-key="boxed-website"]' );
            var fieldDepended = optionContainer.find( '.ueldo-theme-options-field-depended' );
            var boxedWebsiteEnabled = optionContainer.find( 'input[name="ueldo_theme_options[boxed-website][enabled]"]' ).val();

            if( boxedWebsiteEnabled == 'no' ) fieldDepended.addClass( 'ueldo-theme-options-field-depended-hidden' );
            else fieldDepended.removeClass( 'ueldo-theme-options-field-depended-hidden' );
        }

       /**
        *
        * second header options
        *
        */

        else if( field.parents( '.ueldo-theme-options-single-option[data-option-key="header"]' ).length !== 0 ) { $.UeldoThemeOptionsUpdateHeaderOptionsFieldsDepended(); }

       /**
        *
        * end of function
        *
        */

    });

   /**
    *
    * display or hide depended fields for loader animation logo
    *
    */

    $( 'body' ).on( 'change', 'select[data-depended-for="loader-logo"]', function() {

        var select = $( this );
        var optionContainer = select.parents( '.ueldo-theme-options-single-option[data-option-key="loader-animation"]' );
        var dependedFor = select.data( 'depended-for' );
        var fieldDepended = optionContainer.find( '.ueldo-theme-options-field-depended[data-field-depended-key="'+ dependedFor +'"]' );

        if( select.val() != 'no' ) fieldDepended.removeClass( 'ueldo-theme-options-field-depended-hidden' );
        else fieldDepended.addClass( 'ueldo-theme-options-field-depended-hidden' );

    });

   /**
    *
    * display or hide depended button for dynamic theme styles cache
    *
    */

    $( 'body' ).on( 'change', 'select[data-depended-for="dynamic-theme-styles-cache-clear-button"]', function() {

        var select = $( this );
        var optionContainer = select.parents( '.ueldo-theme-options-single-option[data-option-key="dynamic-theme-styles-cache"]' );
        var fieldDepended = optionContainer.find( '.ueldo-theme-options-single-option-field-group-depended-button' );

        if( select.val() == 'manually-only' ) fieldDepended.data( 'depended-button-visible', 'yes' ).attr( 'data-depended-button-visible', 'yes' );
        else fieldDepended.data( 'depended-button-visible', 'no' ).attr( 'data-depended-button-visible', 'no' );

    });

   /**
    *
    * if default blog posts list style is changed
    *
    */

    $( 'body' ).on( 'click', '.ueldo-theme-options-single-option[data-option-key="blog-posts-list-style"] .ueldo-theme-options-select-with-image-field-option', function() {

        $.UeldoThemeOptionsDisplayOptionsForDefaultBlogPostsListStyle();

    });

   /**
    *
    * display options for default blog posts list style
    *
    */

    $.UeldoThemeOptionsDisplayOptionsForDefaultBlogPostsListStyle = function() {

        var option = $( 'body' ).find( '.ueldo-theme-options-single-option[data-option-key="blog-posts-list-style"]' );
        if( option.length !== 1 ) return;

        var style = option.find( 'input[name="ueldo_theme_options[blog-posts-list-style][posts-list-style]"]' ).val();
        var fieldDependedDisplayPostDataUnderTitle = option.find( '.ueldo-theme-options-field-depended[data-depended-type="display-post-data-under-title"]' );
        var fieldDependedFeaturedImageReverseIndentAllowed = option.find( '.ueldo-theme-options-field-depended[data-depended-type="featured-image-reverse-indent-allowed"]' );

        if( style == 'default' || style == '03' ) fieldDependedDisplayPostDataUnderTitle.removeClass( 'ueldo-theme-options-field-depended-hidden' );
        else fieldDependedDisplayPostDataUnderTitle.addClass( 'ueldo-theme-options-field-depended-hidden' );

        if( style == 'default' ) fieldDependedFeaturedImageReverseIndentAllowed.removeClass( 'ueldo-theme-options-field-depended-hidden' );
        else fieldDependedFeaturedImageReverseIndentAllowed.addClass( 'ueldo-theme-options-field-depended-hidden' );

    };

   /**
    *
    * under single blog post content elements
    *
    */

    $( '.ueldo-theme-options-single-option[data-option-key="under-single-blog-post-content-elements"]' ).on( 'change', 'select[name="ueldo_theme_options[under-single-blog-post-content-elements][elements-count]"]', function() {

        var select = $( this );
        var elementsCount = select.val();

        select.parents( '.ueldo-theme-options-single-option-form' ).find( '.ueldo-theme-options-single-option-field-group:not(.ueldo-theme-options-single-option-field-group-head)' ).each( function() {

            var fieldsGroup = $( this );
            var fieldsGroupID = fieldsGroup.data( 'element-group-id' );

            if( elementsCount < fieldsGroupID ) fieldsGroup.addClass( 'ueldo-theme-options-single-option-field-group-hidden' );
            else fieldsGroup.removeClass( 'ueldo-theme-options-single-option-field-group-hidden' );

        });

    });

   /**
    *
    * under single blog post content element type
    *
    */

    $( '.ueldo-theme-options-single-option[data-option-key="under-single-blog-post-content-elements"]' ).on( 'change', '.ueldo-theme-options-single-option-field-group:not(.ueldo-theme-options-single-option-field-group-head) select', function() {

        var select = $( this );
        var elementType = select.val();
        var dependedElements = [ 'similar-posts', 'custom-code' ];

        for( var i = 0; i < dependedElements.length; i++ ) {

            var dependedElement = select.siblings( '.ueldo-theme-options-field-depended[data-field-type="'+ dependedElements[i] +'"]' );

            if( elementType == dependedElements[i] ) dependedElement.removeClass( 'ueldo-theme-options-field-depended-hidden' );
            else dependedElement.addClass( 'ueldo-theme-options-field-depended-hidden' );
        }

    });

   /**
    *
    * open google fonts selection field
    *
    */

    $.UeldoThemeOptionsOpenGoogleFontsListContainer = function( field, where ) {

        var selectionFieldContainer = $( '#ueldo-theme-options-google-fonts-selection-field-fonts-list-container' );
        var visible = selectionFieldContainer.data( 'visible' );
        var wrapOffset = $( '#wpbody-content > .wrap' ).offset().top;
        var additionalSpace = - ( field[0].getBoundingClientRect().height - ( wrapOffset - 5 ) );

        $( '.ueldo-theme-options-google-fonts-selection-field' ).data( 'is-field-active', 'no' ).attr( 'data-is-field-active', 'no' );
        switch( where ) {

            case 'theme-fonts':

                var fieldButton = field.parents( '.ueldo-theme-options-google-fonts-selection-field' );
                var newTopPosition = ( field.offset().top - additionalSpace ) +'px';

                fieldButton.data( 'is-field-active', 'yes' ).attr( 'data-is-field-active', 'yes' );

            break;

            case 'vc-custom-fonts':

                var newTopPosition = ( field.offset().top - additionalSpace ) +'px';
                field.addClass( 'ueldo-theme-options-vc-fonts-add-new-font-selected' );

            break;
        }

        if( visible == 'no' ) selectionFieldContainer.data( 'visible', 'yes' ).attr( 'data-visible', 'yes' );
        else {

            if( selectionFieldContainer.css( 'top' ) == newTopPosition ) {

                selectionFieldContainer.data( 'visible', 'no' ).attr( 'data-visible', 'no' );
                $( 'body' ).find( '.ueldo-theme-options-vc-fonts-add-new-font-selected' ).removeClass( 'ueldo-theme-options-vc-fonts-add-new-font-selected' );

                return;
            }
        }

        selectionFieldContainer.css({ 'top': newTopPosition });
        selectionFieldContainer.data( 'displayed-for', where ).attr( 'data-displayed-for', where );
    };

    $( '.ueldo-theme-options-google-fonts-selection-field' ).on( 'click', '.ueldo-theme-options-google-fonts-selection-field-selected-font', function() { $.UeldoThemeOptionsOpenGoogleFontsListContainer( $( this ), 'theme-fonts' ); });
    $( '.ueldo-theme-options-single-option[data-option-key="visual-composer-custom-fonts"]' ).on( 'click', '.ueldo-theme-options-vc-fonts-add-new-font', function() { $.UeldoThemeOptionsOpenGoogleFontsListContainer( $( this ), 'vc-custom-fonts' ); });

   /**
    *
    * close google fonts selection field
    *
    */

    $( document ).on( 'click', function( event ) {

        if( !$( event.target ).closest( '#ueldo-theme-options-google-fonts-selection-field-fonts-list-container' ).length
         && !$( event.target ).closest( '.ueldo-theme-options-google-fonts-selection-field' ).length
         && !$( event.target ).closest( '.ueldo-theme-options-vc-fonts-add-new-font' ).length ) {

            var element = $( '#ueldo-theme-options-google-fonts-selection-field-fonts-list-container' );
            if( element.is( ':visible' ) ) {

                element.data( 'visible', 'no' ).attr( 'data-visible', 'no' );
                element.data( 'displayed-for', '' ).removeAttr( 'data-displayed-for' );

                $( '.ueldo-theme-options-google-fonts-selection-field' ).data( 'is-field-active', 'no' ).attr( 'data-is-field-active', 'no' );
                $( 'body' ).find( '.ueldo-theme-options-vc-fonts-add-new-font-selected' ).removeClass( 'ueldo-theme-options-vc-fonts-add-new-font-selected' );
            }
        }

    });

   /**
    *
    * filter the fonts in google fonts selection field
    *
    */

    $( '#ueldo-theme-options-google-fonts-selection-field-fonts-list-container' ).on( 'input', '.ueldo-theme-options-google-fonts-selection-field-fonts-search input[type="text"]', function() {

        var searchField = $( this );
        var searchFieldValue = searchField.val();
        var selectionFieldContainer = searchField.parents( '#ueldo-theme-options-google-fonts-selection-field-fonts-list-container' );
        var fontsList = selectionFieldContainer.find( '.ueldo-theme-options-google-fonts-selection-field-fonts-list' );
        var lastVisibleFont = false;

        fontsList.find( '.ueldo-theme-options-google-fonts-selection-field-fonts-list-single-font' ).each( function() {

            var singleFont = $( this );
            var singleFontName = singleFont.data( 'font-family' ).toLowerCase();

            singleFont.removeClass( 'ueldo-theme-options-google-fonts-selection-field-fonts-list-single-font-last-visible' );

            if( singleFontName.indexOf( searchFieldValue.toLowerCase() ) < 0 ) singleFont.data( 'visible', 'no' ).attr( 'data-visible', 'no' );
            else {

                singleFont.data( 'visible', 'yes' ).attr( 'data-visible', 'yes' );
                lastVisibleFont = singleFont;
            }

        });

        if( lastVisibleFont == false ) fontsList.find( '.ueldo-theme-options-google-fonts-selection-field-fonts-list-nothing-found' ).data( 'visible', 'yes' ).attr( 'data-visible', 'yes' );
        else {

            lastVisibleFont.addClass( 'ueldo-theme-options-google-fonts-selection-field-fonts-list-single-font-last-visible' );
            fontsList.find( '.ueldo-theme-options-google-fonts-selection-field-fonts-list-nothing-found' ).data( 'visible', 'no' ).attr( 'data-visible', 'no' );
        }

    });

   /**
    *
    * show single font details in google fonts selection field
    *
    */

    $( '#ueldo-theme-options-google-fonts-selection-field-fonts-list-container' ).on( 'click', '.ueldo-theme-options-google-fonts-selection-field-fonts-list-single-font:not(.ueldo-theme-options-google-fonts-selection-field-fonts-list-single-font-selected)', function() {

        var fontSelected = $( this );
        var selectionFieldContainer = fontSelected.parents( '#ueldo-theme-options-google-fonts-selection-field-fonts-list-container' );

        selectionFieldContainer.find( '.ueldo-theme-options-google-fonts-selection-field-fonts-list-single-font' ).removeClass( 'ueldo-theme-options-google-fonts-selection-field-fonts-list-single-font-selected' );
        fontSelected.addClass( 'ueldo-theme-options-google-fonts-selection-field-fonts-list-single-font-selected' );

    });

   /**
    *
    * hide single font details in google fonts selection field
    *
    */

    $( '#ueldo-theme-options-google-fonts-selection-field-fonts-list-container' ).on( 'click', '.ueldo-theme-options-google-fonts-selection-field-fonts-list-single-font.ueldo-theme-options-google-fonts-selection-field-fonts-list-single-font-selected .ueldo-theme-options-google-fonts-selection-field-fonts-list-single-font-name', function() {

        var fontSelected = $( this ).parents( '.ueldo-theme-options-google-fonts-selection-field-fonts-list-single-font' );
        fontSelected.removeClass( 'ueldo-theme-options-google-fonts-selection-field-fonts-list-single-font-selected' );

    });

   /**
    *
    * set selected google font
    *
    */

    $( '#ueldo-theme-options-google-fonts-selection-field-fonts-list-container' ).on( 'click', 'button.ueldo-theme-options-google-fonts-selection-field-fonts-list-single-font-details-button', function() {

        var button = $( this );
        var selectionFieldContainer = $( '#ueldo-theme-options-google-fonts-selection-field-fonts-list-container' );
        var selectedFont = selectionFieldContainer.find( '.ueldo-theme-options-google-fonts-selection-field-fonts-list-single-font.ueldo-theme-options-google-fonts-selection-field-fonts-list-single-font-selected' );
        var fontFamily = selectedFont.data( 'font-family' );
        var fontWeight = selectedFont.find( 'select[data-selector-of="weight"]' ).val();
        var fontSubset = selectedFont.find( 'select[data-selector-of="subset"]' ).val();
        var fontSmoothing = selectedFont.find( 'input[data-selector-of="smoothing"]' ).is( ':checked' );

        if( fontSubset != null ) fontSubset = fontSubset.join( ',' );
        switch( selectionFieldContainer.data( 'displayed-for' ) ) {

            case 'theme-fonts':

                var selectionButton = $( '.ueldo-theme-options-google-fonts-selection-field[data-is-field-active="yes"]' );
                if( selectionButton.length !== 1 && selectionButton.length !== '1' ) return false;

                selectionButton.find( '.ueldo-theme-options-google-fonts-selection-field-selected-font span[data-element-type="font-family"]' ).html( fontFamily );
                selectionButton.find( '.ueldo-theme-options-google-fonts-selection-field-selected-font span[data-element-type="font-weight"]' ).html( fontWeight );
                selectionButton.find( '.ueldo-theme-options-google-fonts-selection-field-selected-font span[data-element-type="font-smoothing"]' ).html( fontSmoothing == true ? ueldo_theme_options_javascript_functions_l10n.yes : ueldo_theme_options_javascript_functions_l10n.no );

                if( fontSubset != null ) {

                    selectionButton.find( '.ueldo-theme-options-google-fonts-selection-field-selected-font span[data-element-type="font-subset"]' ).html( fontSubset );
                    selectionButton.find( '.ueldo-theme-options-google-fonts-selection-field-selected-font span.ueldo-theme-options-google-fonts-selection-field-selected-font-subset-container' ).data( 'visible', 'yes' ).attr( 'data-visible', 'yes' );
                }

                else {

                    selectionButton.find( '.ueldo-theme-options-google-fonts-selection-field-selected-font span[data-element-type="font-subset"]' ).html( '' );
                    selectionButton.find( '.ueldo-theme-options-google-fonts-selection-field-selected-font span.ueldo-theme-options-google-fonts-selection-field-selected-font-subset-container' ).data( 'visible', 'no' ).attr( 'data-visible', 'no' );
                }

                selectionButton.find( 'input[type="hidden"][data-element-type="font-family"]' ).attr( 'value', fontFamily ).val( fontFamily );
                selectionButton.find( 'input[type="hidden"][data-element-type="font-weight"]' ).attr( 'value', fontWeight ).val( fontWeight );
                selectionButton.find( 'input[type="hidden"][data-element-type="font-subset"]' ).attr( 'value', fontSubset ).val( fontSubset );
                selectionButton.find( 'input[type="hidden"][data-element-type="font-smoothing"]' ).attr( 'value', ( fontSmoothing == true ? 'yes' : 'no' ) ).val( ( fontSmoothing == true ? 'yes' : 'no' ) );

                $( '.ueldo-theme-options-google-fonts-selection-field' ).data( 'is-field-active', 'no' ).attr( 'data-is-field-active', 'no' );

            break;

            case 'vc-custom-fonts':

                if( $.UeldoThemeOptionsIsVCHeadingsFontDuplicate( fontFamily, fontWeight, fontSubset ) == false ) {

                    var insertionContainer = $( '.ueldo-theme-options-single-option[data-option-key="visual-composer-custom-fonts"] .ueldo-theme-options-vc-fonts-list' );
                    var nextFontIDField = insertionContainer.find( 'input[name="ueldo_theme_options[visual-composer-custom-fonts][next-font-id]"]' );
                    var nextFontID = nextFontIDField.val();

                    insertionContainer.append( '<div class="ueldo-theme-options-vc-fonts-list-single-font"><input type="hidden" name="ueldo_theme_options[visual-composer-custom-fonts][font-'+ nextFontID +'-family]" value="'+ fontFamily +'" data-element-type="font-family" /><input type="hidden" name="ueldo_theme_options[visual-composer-custom-fonts][font-'+ nextFontID +'-weight]" value="'+ fontWeight +'" data-element-type="font-weight" /><input type="hidden" name="ueldo_theme_options[visual-composer-custom-fonts][font-'+ nextFontID +'-subset]" value="'+ ( fontSubset == null ? '' : fontSubset ) +'" data-element-type="font-subset" /><input type="hidden" name="ueldo_theme_options[visual-composer-custom-fonts][font-'+ nextFontID +'-smoothing]" value="'+ ( fontSmoothing == true ? 'yes' : 'no' ) +'" data-element-type="font-smoothing" /><span class="ueldo-theme-options-vc-fonts-list-single-font-remove"></span> '+ ueldo_theme_options_javascript_functions_l10n.family +' <span data-element-type="font-family">'+ fontFamily +'</span>, '+ ueldo_theme_options_javascript_functions_l10n.weight +' <span data-element-type="font-weight">'+ fontWeight +'</span><span class="ueldo-theme-options-vc-fonts-list-single-font-subset-container" data-visible="'+ ( fontSubset != null ? 'yes' : 'no' ) +'">, '+ ueldo_theme_options_javascript_functions_l10n.subset +' <span data-element-type="font-subset">'+ fontSubset +'</span></span>, '+ ueldo_theme_options_javascript_functions_l10n.smoothing +' <span data-element-type="font-smoothing">'+ ( fontSmoothing == true ? ueldo_theme_options_javascript_functions_l10n.yes : ueldo_theme_options_javascript_functions_l10n.no ) +'</span></div>' );

                    var newNextFontID = parseInt( nextFontID, 10 ) + 1;
                    nextFontIDField.val( newNextFontID ).attr( 'value', newNextFontID );
                }

            break;
        }

        selectionFieldContainer.data( 'visible', 'no' ).attr( 'data-visible', 'no' );
        $( 'body' ).find( '.ueldo-theme-options-vc-fonts-add-new-font-selected' ).removeClass( 'ueldo-theme-options-vc-fonts-add-new-font-selected' );

    });

   /**
    *
    * check for font duplicates
    *
    */

    $.UeldoThemeOptionsIsVCHeadingsFontDuplicate = function( fontFamily, fontWeight, fontSubset ) {

        var insertionContainer = $( '.ueldo-theme-options-single-option[data-option-key="visual-composer-custom-fonts"] .ueldo-theme-options-vc-fonts-list' );
        var foundFlag = false;

        insertionContainer.find( '.ueldo-theme-options-vc-fonts-list-single-font' ).each( function() {

            var singleFont = $( this );
            var singleFontFamily = singleFont.find( 'input[type="hidden"][data-element-type="font-family"]' ).val();
            var singleFontWeight = singleFont.find( 'input[type="hidden"][data-element-type="font-weight"]' ).val();
            var singleFontSubset = singleFont.find( 'input[type="hidden"][data-element-type="font-subset"]' ).val();

            if( singleFontFamily == fontFamily && singleFontWeight == fontWeight && ( singleFontSubset == fontSubset || ( singleFontSubset == '' && fontSubset == null ) ) ) {

                singleFont.append( '<div class="ueldo-theme-options-vc-fonts-list-single-font-duplicate-notice">'+ ueldo_theme_options_javascript_functions_l10n.font_already_added +'</div>' );
                var duplicateBox = singleFont.find( '.ueldo-theme-options-vc-fonts-list-single-font-duplicate-notice' );

                duplicateBox.fadeIn( 300 );
                setTimeout( function() {

                    duplicateBox.fadeOut( 300 );
                    setTimeout( function() {

                        duplicateBox.remove();

                    }, 400 );

                }, 3000 );

                foundFlag = true;
            }

        });

        return( foundFlag );
    }

   /**
    *
    * remove font from vc headings fonts list
    *
    */

    $( '.ueldo-theme-options-single-option[data-option-key="visual-composer-custom-fonts"]' ).on( 'click', '.ueldo-theme-options-vc-fonts-list-single-font-remove', function() {

        var singleFont = $( this ).parents( '.ueldo-theme-options-vc-fonts-list-single-font' );
        singleFont.remove();

    });

   /**
    *
    * iconpicker - fonts
    *
    */

    $.UeldoThemeOptionsGetIconPickerIcons = function( library ) {

        var icons;
        switch( library ) {

            case 'fontawesome':

                icons = [
                    [ 'fa-address-book' ],
                    [ 'fa-address-book-o' ],
                    [ 'fa-address-card', 'fa-vcard' ],
                    [ 'fa-address-card-o', 'fa-vcard-o' ],
                    [ 'fa-bandcamp' ],
                    [ 'fa-bath', 'fa-bathtub', 'fa-s15' ],
                    [ 'fa-eercast' ],
                    [ 'fa-envelope-open' ],
                    [ 'fa-envelope-open-o' ],
                    [ 'fa-etsy' ],
                    [ 'fa-free-code-camp' ],
                    [ 'fa-grav' ],
                    [ 'fa-handshake-o' ],
                    [ 'fa-id-badge' ],
                    [ 'fa-id-card', 'fa-drivers-license' ],
                    [ 'fa-id-card-o', 'fa-drivers-license-o' ],
                    [ 'fa-imdb' ],
                    [ 'fa-linode' ],
                    [ 'fa-meetup' ],
                    [ 'fa-microchip' ],
                    [ 'fa-podcast' ],
                    [ 'fa-quora' ],
                    [ 'fa-ravelry' ],
                    [ 'fa-shower' ],
                    [ 'fa-snowflake-o' ],
                    [ 'fa-superpowers' ],
                    [ 'fa-telegram' ],
                    [ 'fa-thermometer-empty', 'fa-thermometer-0' ],
                    [ 'fa-thermometer-full', 'fa-thermometer', 'fa-thermometer-4' ],
                    [ 'fa-thermometer-half', 'fa-thermometer-2' ],
                    [ 'fa-thermometer-quarter', 'fa-thermometer-1' ],
                    [ 'fa-thermometer-three-quarters', 'fa-thermometer-3' ],
                    [ 'fa-user-circle' ],
                    [ 'fa-user-circle-o' ],
                    [ 'fa-user-o' ],
                    [ 'fa-window-close', 'fa-times-rectangle' ],
                    [ 'fa-window-close-o', 'fa-times-rectangle-o' ],
                    [ 'fa-window-maximize' ],
                    [ 'fa-window-minimize' ],
                    [ 'fa-window-restore' ],
                    [ 'fa-wpexplorer' ],
                    [ 'fa-adjust' ],
                    [ 'fa-american-sign-language-interpreting', 'fa-asl-interpreting' ],
                    [ 'fa-anchor' ],
                    [ 'fa-archive' ],
                    [ 'fa-area-chart' ],
                    [ 'fa-arrows' ],
                    [ 'fa-arrows-h' ],
                    [ 'fa-arrows-v' ],
                    [ 'fa-assistive-listening-systems' ],
                    [ 'fa-asterisk' ],
                    [ 'fa-at' ],
                    [ 'fa-audio-description' ],
                    [ 'fa-balance-scale' ],
                    [ 'fa-ban' ],
                    [ 'fa-bar-chart', 'fa-bar-chart-o' ],
                    [ 'fa-barcode' ],
                    [ 'fa-bars', 'fa-navicon', 'fa-reorder' ],
                    [ 'fa-battery-empty', 'fa-battery-0' ],
                    [ 'fa-battery-full', 'fa-battery', 'fa-battery-4' ],
                    [ 'fa-battery-half', 'fa-battery-2' ],
                    [ 'fa-battery-quarter', 'fa-battery-1' ],
                    [ 'fa-battery-three-quarters', 'fa-battery-3' ],
                    [ 'fa-bed', 'fa-hotel' ],
                    [ 'fa-beer' ],
                    [ 'fa-bell' ],
                    [ 'fa-bell-o' ],
                    [ 'fa-bell-slash' ],
                    [ 'fa-bell-slash-o' ],
                    [ 'fa-bicycle' ],
                    [ 'fa-binoculars' ],
                    [ 'fa-birthday-cake' ],
                    [ 'fa-blind' ],
                    [ 'fa-bluetooth' ],
                    [ 'fa-bluetooth-b' ],
                    [ 'fa-bolt', 'fa-flash' ],
                    [ 'fa-bomb' ],
                    [ 'fa-book' ],
                    [ 'fa-bookmark' ],
                    [ 'fa-bookmark-o' ],
                    [ 'fa-braille' ],
                    [ 'fa-briefcase' ],
                    [ 'fa-bug' ],
                    [ 'fa-building' ],
                    [ 'fa-building-o' ],
                    [ 'fa-bullhorn' ],
                    [ 'fa-bullseye' ],
                    [ 'fa-bus' ],
                    [ 'fa-calculator' ],
                    [ 'fa-calendar' ],
                    [ 'fa-calendar-check-o' ],
                    [ 'fa-calendar-minus-o' ],
                    [ 'fa-calendar-o' ],
                    [ 'fa-calendar-plus-o' ],
                    [ 'fa-calendar-times-o' ],
                    [ 'fa-camera' ],
                    [ 'fa-camera-retro' ],
                    [ 'fa-car', 'fa-automobile' ],
                    [ 'fa-caret-square-o-down', 'fa-toggle-down' ],
                    [ 'fa-caret-square-o-left', 'fa-toggle-left' ],
                    [ 'fa-caret-square-o-right', 'fa-toggle-right' ],
                    [ 'fa-caret-square-o-up', 'fa-toggle-up' ],
                    [ 'fa-cart-arrow-down' ],
                    [ 'fa-cart-plus' ],
                    [ 'fa-cc' ],
                    [ 'fa-certificate' ],
                    [ 'fa-check' ],
                    [ 'fa-check-circle' ],
                    [ 'fa-check-circle-o' ],
                    [ 'fa-check-square' ],
                    [ 'fa-check-square-o' ],
                    [ 'fa-child' ],
                    [ 'fa-circle' ],
                    [ 'fa-circle-o' ],
                    [ 'fa-circle-o-notch' ],
                    [ 'fa-circle-thin' ],
                    [ 'fa-clock-o' ],
                    [ 'fa-clone' ],
                    [ 'fa-cloud' ],
                    [ 'fa-cloud-download' ],
                    [ 'fa-cloud-upload' ],
                    [ 'fa-code' ],
                    [ 'fa-code-fork' ],
                    [ 'fa-coffee' ],
                    [ 'fa-cog', 'fa-gear' ],
                    [ 'fa-cogs', 'fa-gears' ],
                    [ 'fa-comment' ],
                    [ 'fa-comment-o' ],
                    [ 'fa-commenting' ],
                    [ 'fa-commenting-o' ],
                    [ 'fa-comments' ],
                    [ 'fa-comments-o' ],
                    [ 'fa-compass' ],
                    [ 'fa-copyright' ],
                    [ 'fa-creative-commons' ],
                    [ 'fa-credit-card' ],
                    [ 'fa-credit-card-alt' ],
                    [ 'fa-crop' ],
                    [ 'fa-crosshairs' ],
                    [ 'fa-cube' ],
                    [ 'fa-cubes' ],
                    [ 'fa-cutlery' ],
                    [ 'fa-database' ],
                    [ 'fa-deaf', 'fa-deafness', 'fa-hard-of-hearing' ],
                    [ 'fa-desktop' ],
                    [ 'fa-diamond' ],
                    [ 'fa-dot-circle-o' ],
                    [ 'fa-download' ],
                    [ 'fa-ellipsis-h' ],
                    [ 'fa-ellipsis-v' ],
                    [ 'fa-envelope' ],
                    [ 'fa-envelope-o' ],
                    [ 'fa-envelope-square' ],
                    [ 'fa-eraser' ],
                    [ 'fa-exchange' ],
                    [ 'fa-exclamation' ],
                    [ 'fa-exclamation-circle' ],
                    [ 'fa-exclamation-triangle', 'fa-warning' ],
                    [ 'fa-external-link' ],
                    [ 'fa-external-link-square' ],
                    [ 'fa-eye' ],
                    [ 'fa-eye-slash' ],
                    [ 'fa-eyedropper' ],
                    [ 'fa-fax' ],
                    [ 'fa-female' ],
                    [ 'fa-fighter-jet' ],
                    [ 'fa-file-archive-o', 'fa-file-zip-o' ],
                    [ 'fa-file-audio-o', 'fa-file-sound-o' ],
                    [ 'fa-file-code-o' ],
                    [ 'fa-file-excel-o' ],
                    [ 'fa-file-image-o', 'fa-file-photo-o', 'fa-file-picture-o' ],
                    [ 'fa-file-pdf-o' ],
                    [ 'fa-file-powerpoint-o' ],
                    [ 'fa-file-video-o', 'fa-file-movie-o' ],
                    [ 'fa-file-word-o' ],
                    [ 'fa-film' ],
                    [ 'fa-filter' ],
                    [ 'fa-fire' ],
                    [ 'fa-fire-extinguisher' ],
                    [ 'fa-flag' ],
                    [ 'fa-flag-checkered' ],
                    [ 'fa-flag-o' ],
                    [ 'fa-flask' ],
                    [ 'fa-folder' ],
                    [ 'fa-folder-o' ],
                    [ 'fa-folder-open' ],
                    [ 'fa-folder-open-o' ],
                    [ 'fa-frown-o' ],
                    [ 'fa-futbol-o', 'fa-soccer-ball-o' ],
                    [ 'fa-gamepad' ],
                    [ 'fa-gavel', 'fa-legal' ],
                    [ 'fa-gift' ],
                    [ 'fa-glass' ],
                    [ 'fa-globe' ],
                    [ 'fa-graduation-cap', 'fa-mortar-board' ],
                    [ 'fa-hand-lizard-o' ],
                    [ 'fa-hand-paper-o', 'fa-hand-stop-o' ],
                    [ 'fa-hand-peace-o' ],
                    [ 'fa-hand-pointer-o' ],
                    [ 'fa-hand-rock-o', 'fa-hand-grab-o' ],
                    [ 'fa-hand-scissors-o' ],
                    [ 'fa-hand-spock-o' ],
                    [ 'fa-hashtag' ],
                    [ 'fa-hdd-o' ],
                    [ 'fa-headphones' ],
                    [ 'fa-heart' ],
                    [ 'fa-heart-o' ],
                    [ 'fa-heartbeat' ],
                    [ 'fa-history' ],
                    [ 'fa-home' ],
                    [ 'fa-hourglass' ],
                    [ 'fa-hourglass-end', 'fa-hourglass-3' ],
                    [ 'fa-hourglass-half', 'fa-hourglass-2' ],
                    [ 'fa-hourglass-o' ],
                    [ 'fa-hourglass-start', 'fa-hourglass-1' ],
                    [ 'fa-i-cursor' ],
                    [ 'fa-inbox' ],
                    [ 'fa-industry' ],
                    [ 'fa-info' ],
                    [ 'fa-info-circle' ],
                    [ 'fa-key' ],
                    [ 'fa-keyboard-o' ],
                    [ 'fa-language' ],
                    [ 'fa-laptop' ],
                    [ 'fa-leaf' ],
                    [ 'fa-lemon-o' ],
                    [ 'fa-level-down' ],
                    [ 'fa-level-up' ],
                    [ 'fa-life-ring', 'fa-support', 'fa-life-bouy', 'fa-life-buoy', 'fa-life-saver' ],
                    [ 'fa-lightbulb-o' ],
                    [ 'fa-line-chart' ],
                    [ 'fa-location-arrow' ],
                    [ 'fa-lock' ],
                    [ 'fa-low-vision' ],
                    [ 'fa-magic' ],
                    [ 'fa-magnet' ],
                    [ 'fa-male' ],
                    [ 'fa-map' ],
                    [ 'fa-map-marker' ],
                    [ 'fa-map-o' ],
                    [ 'fa-map-pin' ],
                    [ 'fa-map-signs' ],
                    [ 'fa-meh-o' ],
                    [ 'fa-microphone' ],
                    [ 'fa-microphone-slash' ],
                    [ 'fa-minus' ],
                    [ 'fa-minus-circle' ],
                    [ 'fa-minus-square' ],
                    [ 'fa-minus-square-o' ],
                    [ 'fa-mobile', 'fa-mobile-phone' ],
                    [ 'fa-money' ],
                    [ 'fa-moon-o' ],
                    [ 'fa-motorcycle' ],
                    [ 'fa-mouse-pointer' ],
                    [ 'fa-music' ],
                    [ 'fa-newspaper-o' ],
                    [ 'fa-object-group' ],
                    [ 'fa-object-ungroup' ],
                    [ 'fa-paint-brush' ],
                    [ 'fa-paper-plane', 'fa-send' ],
                    [ 'fa-paper-plane-o', 'fa-send-o' ],
                    [ 'fa-paw' ],
                    [ 'fa-pencil' ],
                    [ 'fa-pencil-square' ],
                    [ 'fa-pencil-square-o', 'fa-edit' ],
                    [ 'fa-percent' ],
                    [ 'fa-phone' ],
                    [ 'fa-phone-square' ],
                    [ 'fa-picture-o', 'fa-photo', 'fa-image' ],
                    [ 'fa-pie-chart' ],
                    [ 'fa-plane' ],
                    [ 'fa-plug' ],
                    [ 'fa-plus' ],
                    [ 'fa-plus-circle' ],
                    [ 'fa-plus-square' ],
                    [ 'fa-plus-square-o' ],
                    [ 'fa-power-off' ],
                    [ 'fa-print' ],
                    [ 'fa-puzzle-piece' ],
                    [ 'fa-qrcode' ],
                    [ 'fa-question' ],
                    [ 'fa-question-circle' ],
                    [ 'fa-question-circle-o' ],
                    [ 'fa-quote-left' ],
                    [ 'fa-quote-right' ],
                    [ 'fa-random' ],
                    [ 'fa-recycle' ],
                    [ 'fa-refresh' ],
                    [ 'fa-registered' ],
                    [ 'fa-reply', 'fa-mail-reply' ],
                    [ 'fa-reply-all', 'fa-mail-reply-all' ],
                    [ 'fa-retweet' ],
                    [ 'fa-road' ],
                    [ 'fa-rocket' ],
                    [ 'fa-rss', 'fa-feed' ],
                    [ 'fa-rss-square' ],
                    [ 'fa-search' ],
                    [ 'fa-search-minus' ],
                    [ 'fa-search-plus' ],
                    [ 'fa-server' ],
                    [ 'fa-share', 'fa-mail-forward' ],
                    [ 'fa-share-alt' ],
                    [ 'fa-share-alt-square' ],
                    [ 'fa-share-square' ],
                    [ 'fa-share-square-o' ],
                    [ 'fa-shield' ],
                    [ 'fa-ship' ],
                    [ 'fa-shopping-bag' ],
                    [ 'fa-shopping-basket' ],
                    [ 'fa-shopping-cart' ],
                    [ 'fa-sign-in' ],
                    [ 'fa-sign-language', 'fa-signing' ],
                    [ 'fa-sign-out' ],
                    [ 'fa-signal' ],
                    [ 'fa-sitemap' ],
                    [ 'fa-sliders' ],
                    [ 'fa-smile-o' ],
                    [ 'fa-sort', 'fa-unsorted' ],
                    [ 'fa-sort-alpha-asc' ],
                    [ 'fa-sort-alpha-desc' ],
                    [ 'fa-sort-amount-asc' ],
                    [ 'fa-sort-amount-desc' ],
                    [ 'fa-sort-asc', 'fa-sort-up' ],
                    [ 'fa-sort-desc', 'fa-sort-down' ],
                    [ 'fa-sort-numeric-asc' ],
                    [ 'fa-sort-numeric-desc' ],
                    [ 'fa-space-shuttle' ],
                    [ 'fa-spinner' ],
                    [ 'fa-spoon' ],
                    [ 'fa-square' ],
                    [ 'fa-square-o' ],
                    [ 'fa-star' ],
                    [ 'fa-star-half' ],
                    [ 'fa-star-half-o', 'fa-star-half-empty', 'fa-star-half-full' ],
                    [ 'fa-star-o' ],
                    [ 'fa-sticky-note' ],
                    [ 'fa-sticky-note-o' ],
                    [ 'fa-street-view' ],
                    [ 'fa-suitcase' ],
                    [ 'fa-sun-o' ],
                    [ 'fa-tablet' ],
                    [ 'fa-tachometer', 'fa-dashboard' ],
                    [ 'fa-tag' ],
                    [ 'fa-tags' ],
                    [ 'fa-tasks' ],
                    [ 'fa-taxi', 'fa-cab' ],
                    [ 'fa-television', 'fa-tv' ],
                    [ 'fa-terminal' ],
                    [ 'fa-thumb-tack' ],
                    [ 'fa-thumbs-down' ],
                    [ 'fa-thumbs-o-down' ],
                    [ 'fa-thumbs-o-up' ],
                    [ 'fa-thumbs-up' ],
                    [ 'fa-ticket' ],
                    [ 'fa-times', 'fa-close', 'fa-remove' ],
                    [ 'fa-times-circle' ],
                    [ 'fa-times-circle-o' ],
                    [ 'fa-tint' ],
                    [ 'fa-toggle-off' ],
                    [ 'fa-toggle-on' ],
                    [ 'fa-trademark' ],
                    [ 'fa-trash' ],
                    [ 'fa-trash-o' ],
                    [ 'fa-tree' ],
                    [ 'fa-trophy' ],
                    [ 'fa-truck' ],
                    [ 'fa-tty' ],
                    [ 'fa-umbrella' ],
                    [ 'fa-universal-access' ],
                    [ 'fa-university', 'fa-bank', 'fa-institution' ],
                    [ 'fa-unlock' ],
                    [ 'fa-unlock-alt' ],
                    [ 'fa-upload' ],
                    [ 'fa-user' ],
                    [ 'fa-user-plus' ],
                    [ 'fa-user-secret' ],
                    [ 'fa-user-times' ],
                    [ 'fa-users', 'fa-group' ],
                    [ 'fa-video-camera' ],
                    [ 'fa-volume-control-phone' ],
                    [ 'fa-volume-down' ],
                    [ 'fa-volume-off' ],
                    [ 'fa-volume-up' ],
                    [ 'fa-wheelchair' ],
                    [ 'fa-wheelchair-alt' ],
                    [ 'fa-wifi' ],
                    [ 'fa-wrench' ],
                    [ 'fa-hand-o-down' ],
                    [ 'fa-hand-o-left' ],
                    [ 'fa-hand-o-right' ],
                    [ 'fa-hand-o-up' ],
                    [ 'fa-ambulance' ],
                    [ 'fa-subway' ],
                    [ 'fa-train' ],
                    [ 'fa-genderless' ],
                    [ 'fa-mars' ],
                    [ 'fa-mars-double' ],
                    [ 'fa-mars-stroke' ],
                    [ 'fa-mars-stroke-h' ],
                    [ 'fa-mars-stroke-v' ],
                    [ 'fa-mercury' ],
                    [ 'fa-neuter' ],
                    [ 'fa-transgender', 'fa-intersex' ],
                    [ 'fa-transgender-alt' ],
                    [ 'fa-venus' ],
                    [ 'fa-venus-double' ],
                    [ 'fa-venus-mars' ],
                    [ 'fa-file' ],
                    [ 'fa-file-o' ],
                    [ 'fa-file-text' ],
                    [ 'fa-file-text-o' ],
                    [ 'fa-cc-amex' ],
                    [ 'fa-cc-diners-club' ],
                    [ 'fa-cc-discover' ],
                    [ 'fa-cc-jcb' ],
                    [ 'fa-cc-mastercard' ],
                    [ 'fa-cc-paypal' ],
                    [ 'fa-cc-stripe' ],
                    [ 'fa-cc-visa' ],
                    [ 'fa-google-wallet' ],
                    [ 'fa-paypal' ],
                    [ 'fa-btc', 'fa-bitcoin' ],
                    [ 'fa-eur', 'fa-euro' ],
                    [ 'fa-gbp' ],
                    [ 'fa-gg' ],
                    [ 'fa-gg-circle' ],
                    [ 'fa-ils', 'fa-shekel', 'fa-sheqel' ],
                    [ 'fa-inr', 'fa-rupee' ],
                    [ 'fa-jpy', 'fa-cny', 'fa-rmb', 'fa-yen' ],
                    [ 'fa-krw', 'fa-won' ],
                    [ 'fa-rub', 'fa-rouble', 'fa-ruble' ],
                    [ 'fa-try', 'fa-turkish-lira' ],
                    [ 'fa-usd', 'fa-dollar' ],
                    [ 'fa-align-center' ],
                    [ 'fa-align-justify' ],
                    [ 'fa-align-left' ],
                    [ 'fa-align-right' ],
                    [ 'fa-bold' ],
                    [ 'fa-chain-broken', 'fa-unlink' ],
                    [ 'fa-clipboard', 'fa-paste' ],
                    [ 'fa-columns' ],
                    [ 'fa-files-o', 'fa-copy' ],
                    [ 'fa-floppy-o', 'fa-save' ],
                    [ 'fa-font' ],
                    [ 'fa-header' ],
                    [ 'fa-indent' ],
                    [ 'fa-italic' ],
                    [ 'fa-link', 'fa-chain' ],
                    [ 'fa-list' ],
                    [ 'fa-list-alt' ],
                    [ 'fa-list-ol' ],
                    [ 'fa-list-ul' ],
                    [ 'fa-outdent', 'fa-dedent' ],
                    [ 'fa-paperclip' ],
                    [ 'fa-paragraph' ],
                    [ 'fa-repeat', 'fa-rotate-right' ],
                    [ 'fa-scissors', 'fa-cut' ],
                    [ 'fa-strikethrough' ],
                    [ 'fa-subscript' ],
                    [ 'fa-superscript' ],
                    [ 'fa-table' ],
                    [ 'fa-text-height' ],
                    [ 'fa-text-width' ],
                    [ 'fa-th' ],
                    [ 'fa-th-large' ],
                    [ 'fa-th-list' ],
                    [ 'fa-underline' ],
                    [ 'fa-undo', 'fa-rotate-left' ],
                    [ 'fa-angle-double-down' ],
                    [ 'fa-angle-double-left' ],
                    [ 'fa-angle-double-right' ],
                    [ 'fa-angle-double-up' ],
                    [ 'fa-angle-down' ],
                    [ 'fa-angle-left' ],
                    [ 'fa-angle-right' ],
                    [ 'fa-angle-up' ],
                    [ 'fa-arrow-circle-down' ],
                    [ 'fa-arrow-circle-left' ],
                    [ 'fa-arrow-circle-o-down' ],
                    [ 'fa-arrow-circle-o-left' ],
                    [ 'fa-arrow-circle-o-right' ],
                    [ 'fa-arrow-circle-o-up' ],
                    [ 'fa-arrow-circle-right' ],
                    [ 'fa-arrow-circle-up' ],
                    [ 'fa-arrow-down' ],
                    [ 'fa-arrow-left' ],
                    [ 'fa-arrow-right' ],
                    [ 'fa-arrow-up' ],
                    [ 'fa-arrows-alt' ],
                    [ 'fa-caret-down' ],
                    [ 'fa-caret-left' ],
                    [ 'fa-caret-right' ],
                    [ 'fa-caret-up' ],
                    [ 'fa-chevron-circle-down' ],
                    [ 'fa-chevron-circle-left' ],
                    [ 'fa-chevron-circle-right' ],
                    [ 'fa-chevron-circle-up' ],
                    [ 'fa-chevron-down' ],
                    [ 'fa-chevron-left' ],
                    [ 'fa-chevron-right' ],
                    [ 'fa-chevron-up' ],
                    [ 'fa-long-arrow-down' ],
                    [ 'fa-long-arrow-left' ],
                    [ 'fa-long-arrow-right' ],
                    [ 'fa-long-arrow-up' ],
                    [ 'fa-backward' ],
                    [ 'fa-compress' ],
                    [ 'fa-eject' ],
                    [ 'fa-expand' ],
                    [ 'fa-fast-backward' ],
                    [ 'fa-fast-forward' ],
                    [ 'fa-forward' ],
                    [ 'fa-pause' ],
                    [ 'fa-pause-circle' ],
                    [ 'fa-pause-circle-o' ],
                    [ 'fa-play' ],
                    [ 'fa-play-circle' ],
                    [ 'fa-play-circle-o' ],
                    [ 'fa-step-backward' ],
                    [ 'fa-step-forward' ],
                    [ 'fa-stop' ],
                    [ 'fa-stop-circle' ],
                    [ 'fa-stop-circle-o' ],
                    [ 'fa-youtube-play' ],
                    [ 'fa-500px' ],
                    [ 'fa-adn' ],
                    [ 'fa-amazon' ],
                    [ 'fa-android' ],
                    [ 'fa-angellist' ],
                    [ 'fa-apple' ],
                    [ 'fa-behance' ],
                    [ 'fa-behance-square' ],
                    [ 'fa-bitbucket' ],
                    [ 'fa-bitbucket-square' ],
                    [ 'fa-black-tie' ],
                    [ 'fa-buysellads' ],
                    [ 'fa-chrome' ],
                    [ 'fa-codepen' ],
                    [ 'fa-codiepie' ],
                    [ 'fa-connectdevelop' ],
                    [ 'fa-contao' ],
                    [ 'fa-css3' ],
                    [ 'fa-dashcube' ],
                    [ 'fa-delicious' ],
                    [ 'fa-deviantart' ],
                    [ 'fa-digg' ],
                    [ 'fa-dribbble' ],
                    [ 'fa-dropbox' ],
                    [ 'fa-drupal' ],
                    [ 'fa-edge' ],
                    [ 'fa-empire', 'fa-ge' ],
                    [ 'fa-envira' ],
                    [ 'fa-expeditedssl' ],
                    [ 'fa-facebook', 'fa-facebook-f' ],
                    [ 'fa-facebook-official' ],
                    [ 'fa-facebook-square' ],
                    [ 'fa-firefox' ],
                    [ 'fa-first-order' ],
                    [ 'fa-flickr' ],
                    [ 'fa-font-awesome', 'fa-fa' ],
                    [ 'fa-fonticons' ],
                    [ 'fa-fort-awesome' ],
                    [ 'fa-forumbee' ],
                    [ 'fa-foursquare' ],
                    [ 'fa-get-pocket' ],
                    [ 'fa-git' ],
                    [ 'fa-git-square' ],
                    [ 'fa-github' ],
                    [ 'fa-github-alt' ],
                    [ 'fa-github-square' ],
                    [ 'fa-gitlab' ],
                    [ 'fa-glide' ],
                    [ 'fa-glide-g' ],
                    [ 'fa-google' ],
                    [ 'fa-google-plus' ],
                    [ 'fa-google-plus-official', 'fa-google-plus-circle' ],
                    [ 'fa-google-plus-square' ],
                    [ 'fa-gratipay', 'fa-gittip' ],
                    [ 'fa-hacker-news', 'fa-y-combinator-square', 'fa-yc-square' ],
                    [ 'fa-houzz' ],
                    [ 'fa-html5' ],
                    [ 'fa-instagram' ],
                    [ 'fa-internet-explorer' ],
                    [ 'fa-ioxhost' ],
                    [ 'fa-joomla' ],
                    [ 'fa-jsfiddle' ],
                    [ 'fa-lastfm' ],
                    [ 'fa-lastfm-square' ],
                    [ 'fa-leanpub' ],
                    [ 'fa-linkedin' ],
                    [ 'fa-linkedin-square' ],
                    [ 'fa-linux' ],
                    [ 'fa-maxcdn' ],
                    [ 'fa-meanpath' ],
                    [ 'fa-medium' ],
                    [ 'fa-mixcloud' ],
                    [ 'fa-modx' ],
                    [ 'fa-odnoklassniki' ],
                    [ 'fa-odnoklassniki-square' ],
                    [ 'fa-opencart' ],
                    [ 'fa-openid' ],
                    [ 'fa-opera' ],
                    [ 'fa-optin-monster' ],
                    [ 'fa-pagelines' ],
                    [ 'fa-pied-piper' ],
                    [ 'fa-pied-piper-alt' ],
                    [ 'fa-pied-piper-pp' ],
                    [ 'fa-pinterest' ],
                    [ 'fa-pinterest-p' ],
                    [ 'fa-pinterest-square' ],
                    [ 'fa-product-hunt' ],
                    [ 'fa-qq' ],
                    [ 'fa-rebel', 'fa-ra', 'fa-resistance' ],
                    [ 'fa-reddit' ],
                    [ 'fa-reddit-alien' ],
                    [ 'fa-reddit-square' ],
                    [ 'fa-renren' ],
                    [ 'fa-safari' ],
                    [ 'fa-scribd' ],
                    [ 'fa-sellsy' ],
                    [ 'fa-shirtsinbulk' ],
                    [ 'fa-simplybuilt' ],
                    [ 'fa-skyatlas' ],
                    [ 'fa-skype' ],
                    [ 'fa-slack' ],
                    [ 'fa-slideshare' ],
                    [ 'fa-snapchat' ],
                    [ 'fa-snapchat-ghost' ],
                    [ 'fa-snapchat-square' ],
                    [ 'fa-soundcloud' ],
                    [ 'fa-spotify' ],
                    [ 'fa-stack-exchange' ],
                    [ 'fa-stack-overflow' ],
                    [ 'fa-steam' ],
                    [ 'fa-steam-square' ],
                    [ 'fa-stumbleupon' ],
                    [ 'fa-stumbleupon-circle' ],
                    [ 'fa-tencent-weibo' ],
                    [ 'fa-themeisle' ],
                    [ 'fa-trello' ],
                    [ 'fa-tripadvisor' ],
                    [ 'fa-tumblr' ],
                    [ 'fa-tumblr-square' ],
                    [ 'fa-twitch' ],
                    [ 'fa-twitter' ],
                    [ 'fa-twitter-square' ],
                    [ 'fa-usb' ],
                    [ 'fa-viacoin' ],
                    [ 'fa-viadeo' ],
                    [ 'fa-viadeo-square' ],
                    [ 'fa-vimeo' ],
                    [ 'fa-vimeo-square' ],
                    [ 'fa-vine' ],
                    [ 'fa-vk' ],
                    [ 'fa-weibo' ],
                    [ 'fa-weixin', 'fa-wechat' ],
                    [ 'fa-whatsapp' ],
                    [ 'fa-wikipedia-w' ],
                    [ 'fa-windows' ],
                    [ 'fa-wordpress' ],
                    [ 'fa-wpbeginner' ],
                    [ 'fa-wpforms' ],
                    [ 'fa-xing' ],
                    [ 'fa-xing-square' ],
                    [ 'fa-y-combinator', 'fa-yc' ],
                    [ 'fa-yahoo' ],
                    [ 'fa-yelp' ],
                    [ 'fa-yoast' ],
                    [ 'fa-youtube' ],
                    [ 'fa-youtube-square' ],
                    [ 'fa-h-square' ],
                    [ 'fa-hospital-o' ],
                    [ 'fa-medkit' ],
                    [ 'fa-stethoscope' ],
                    [ 'fa-user-md' ]
                ];

            break;

            case 'openiconic':

                icons = [
                    [ 'vc-oi-dial' ],
                    [ 'vc-oi-pilcrow' ],
                    [ 'vc-oi-at' ],
                    [ 'vc-oi-hash' ],
                    [ 'vc-oi-key-inv' ],
                    [ 'vc-oi-key' ],
                    [ 'vc-oi-chart-pie-alt' ],
                    [ 'vc-oi-chart-pie' ],
                    [ 'vc-oi-chart-bar' ],
                    [ 'vc-oi-umbrella' ],
                    [ 'vc-oi-moon-inv' ],
                    [ 'vc-oi-mobile' ],
                    [ 'vc-oi-cd' ],
                    [ 'vc-oi-split' ],
                    [ 'vc-oi-exchange' ],
                    [ 'vc-oi-block' ],
                    [ 'vc-oi-resize-full' ],
                    [ 'vc-oi-article-alt' ],
                    [ 'vc-oi-article' ],
                    [ 'vc-oi-pencil-alt' ],
                    [ 'vc-oi-undo' ],
                    [ 'vc-oi-attach' ],
                    [ 'vc-oi-link' ],
                    [ 'vc-oi-search' ],
                    [ 'vc-oi-mail' ],
                    [ 'vc-oi-heart' ],
                    [ 'vc-oi-comment' ],
                    [ 'vc-oi-resize-full-alt' ],
                    [ 'vc-oi-lock' ],
                    [ 'vc-oi-book-open' ],
                    [ 'vc-oi-arrow-curved' ],
                    [ 'vc-oi-equalizer' ],
                    [ 'vc-oi-heart-empty' ],
                    [ 'vc-oi-lock-empty' ],
                    [ 'vc-oi-comment-inv' ],
                    [ 'vc-oi-folder' ],
                    [ 'vc-oi-resize-small' ],
                    [ 'vc-oi-play' ],
                    [ 'vc-oi-cursor' ],
                    [ 'vc-oi-aperture' ],
                    [ 'vc-oi-play-circle2' ],
                    [ 'vc-oi-resize-small-alt' ],
                    [ 'vc-oi-folder-empty' ],
                    [ 'vc-oi-comment-alt' ],
                    [ 'vc-oi-lock-open' ],
                    [ 'vc-oi-star' ],
                    [ 'vc-oi-user' ],
                    [ 'vc-oi-lock-open-empty' ],
                    [ 'vc-oi-box' ],
                    [ 'vc-oi-resize-vertical' ],
                    [ 'vc-oi-stop' ],
                    [ 'vc-oi-aperture-alt' ],
                    [ 'vc-oi-book' ],
                    [ 'vc-oi-steering-wheel' ],
                    [ 'vc-oi-pause' ],
                    [ 'vc-oi-to-start' ],
                    [ 'vc-oi-move' ],
                    [ 'vc-oi-resize-horizontal' ],
                    [ 'vc-oi-rss-alt' ],
                    [ 'vc-oi-comment-alt2' ],
                    [ 'vc-oi-rss' ],
                    [ 'vc-oi-comment-inv-alt' ],
                    [ 'vc-oi-comment-inv-alt2' ],
                    [ 'vc-oi-eye' ],
                    [ 'vc-oi-pin' ],
                    [ 'vc-oi-video' ],
                    [ 'vc-oi-picture' ],
                    [ 'vc-oi-camera' ],
                    [ 'vc-oi-tag' ],
                    [ 'vc-oi-chat' ],
                    [ 'vc-oi-cog' ],
                    [ 'vc-oi-popup' ],
                    [ 'vc-oi-to-end' ],
                    [ 'vc-oi-book-alt' ],
                    [ 'vc-oi-brush' ],
                    [ 'vc-oi-eject' ],
                    [ 'vc-oi-down' ],
                    [ 'vc-oi-wrench' ],
                    [ 'vc-oi-chat-inv' ],
                    [ 'vc-oi-tag-empty' ],
                    [ 'vc-oi-ok' ],
                    [ 'vc-oi-ok-circle' ],
                    [ 'vc-oi-download' ],
                    [ 'vc-oi-location' ],
                    [ 'vc-oi-share' ],
                    [ 'vc-oi-left' ],
                    [ 'vc-oi-target' ],
                    [ 'vc-oi-brush-alt' ],
                    [ 'vc-oi-cancel' ],
                    [ 'vc-oi-upload' ],
                    [ 'vc-oi-location-inv' ],
                    [ 'vc-oi-calendar' ],
                    [ 'vc-oi-right' ],
                    [ 'vc-oi-signal' ],
                    [ 'vc-oi-eyedropper' ],
                    [ 'vc-oi-layers' ],
                    [ 'vc-oi-award' ],
                    [ 'vc-oi-up' ],
                    [ 'vc-oi-calendar-inv' ],
                    [ 'vc-oi-location-alt' ],
                    [ 'vc-oi-download-cloud' ],
                    [ 'vc-oi-cancel-circle' ],
                    [ 'vc-oi-plus' ],
                    [ 'vc-oi-upload-cloud' ],
                    [ 'vc-oi-compass' ],
                    [ 'vc-oi-calendar-alt' ],
                    [ 'vc-oi-down-circle' ],
                    [ 'vc-oi-award-empty' ],
                    [ 'vc-oi-layers-alt' ],
                    [ 'vc-oi-sun' ],
                    [ 'vc-oi-list' ],
                    [ 'vc-oi-left-circle' ],
                    [ 'vc-oi-mic' ],
                    [ 'vc-oi-trash' ],
                    [ 'vc-oi-quote-left' ],
                    [ 'vc-oi-plus-circle' ],
                    [ 'vc-oi-minus' ],
                    [ 'vc-oi-quote-right' ],
                    [ 'vc-oi-trash-empty' ],
                    [ 'vc-oi-volume-off' ],
                    [ 'vc-oi-right-circle' ],
                    [ 'vc-oi-list-nested' ],
                    [ 'vc-oi-sun-inv' ],
                    [ 'vc-oi-bat-empty' ],
                    [ 'vc-oi-up-circle' ],
                    [ 'vc-oi-volume-up' ],
                    [ 'vc-oi-doc' ],
                    [ 'vc-oi-quote-left-alt' ],
                    [ 'vc-oi-minus-circle' ],
                    [ 'vc-oi-cloud' ],
                    [ 'vc-oi-rain' ],
                    [ 'vc-oi-bat-half' ],
                    [ 'vc-oi-cw' ],
                    [ 'vc-oi-headphones' ],
                    [ 'vc-oi-doc-inv' ],
                    [ 'vc-oi-quote-right-alt' ],
                    [ 'vc-oi-help' ],
                    [ 'vc-oi-info' ],
                    [ 'vc-oi-pencil' ],
                    [ 'vc-oi-doc-alt' ],
                    [ 'vc-oi-clock' ],
                    [ 'vc-oi-loop' ],
                    [ 'vc-oi-bat-full' ],
                    [ 'vc-oi-flash' ],
                    [ 'vc-oi-moon' ],
                    [ 'vc-oi-bat-charge' ],
                    [ 'vc-oi-loop-alt' ],
                    [ 'vc-oi-lamp' ],
                    [ 'vc-oi-doc-inv-alt' ],
                    [ 'vc-oi-pencil-neg' ],
                    [ 'vc-oi-home' ]
                ];

            break;

            case 'typicons':

                icons = [
                    [ 'typcn-adjust-brightness' ],
                    [ 'typcn-adjust-contrast' ],
                    [ 'typcn-anchor-outline' ],
                    [ 'typcn-anchor' ],
                    [ 'typcn-archive' ],
                    [ 'typcn-arrow-back-outline' ],
                    [ 'typcn-arrow-back' ],
                    [ 'typcn-arrow-down-outline' ],
                    [ 'typcn-arrow-down-thick' ],
                    [ 'typcn-arrow-down' ],
                    [ 'typcn-arrow-forward-outline' ],
                    [ 'typcn-arrow-forward' ],
                    [ 'typcn-arrow-left-outline' ],
                    [ 'typcn-arrow-left-thick' ],
                    [ 'typcn-arrow-left' ],
                    [ 'typcn-arrow-loop-outline' ],
                    [ 'typcn-arrow-loop' ],
                    [ 'typcn-arrow-maximise-outline' ],
                    [ 'typcn-arrow-maximise' ],
                    [ 'typcn-arrow-minimise-outline' ],
                    [ 'typcn-arrow-minimise' ],
                    [ 'typcn-arrow-move-outline' ],
                    [ 'typcn-arrow-move' ],
                    [ 'typcn-arrow-repeat-outline' ],
                    [ 'typcn-arrow-repeat' ],
                    [ 'typcn-arrow-right-outline' ],
                    [ 'typcn-arrow-right-thick' ],
                    [ 'typcn-arrow-right' ],
                    [ 'typcn-arrow-shuffle' ],
                    [ 'typcn-arrow-sorted-down' ],
                    [ 'typcn-arrow-sorted-up' ],
                    [ 'typcn-arrow-sync-outline' ],
                    [ 'typcn-arrow-sync' ],
                    [ 'typcn-arrow-unsorted' ],
                    [ 'typcn-arrow-up-outline' ],
                    [ 'typcn-arrow-up-thick' ],
                    [ 'typcn-arrow-up' ],
                    [ 'typcn-at' ],
                    [ 'typcn-attachment-outline' ],
                    [ 'typcn-attachment' ],
                    [ 'typcn-backspace-outline' ],
                    [ 'typcn-backspace' ],
                    [ 'typcn-battery-charge' ],
                    [ 'typcn-battery-full' ],
                    [ 'typcn-battery-high' ],
                    [ 'typcn-battery-low' ],
                    [ 'typcn-battery-mid' ],
                    [ 'typcn-beaker' ],
                    [ 'typcn-beer' ],
                    [ 'typcn-bell' ],
                    [ 'typcn-book' ],
                    [ 'typcn-bookmark' ],
                    [ 'typcn-briefcase' ],
                    [ 'typcn-brush' ],
                    [ 'typcn-business-card' ],
                    [ 'typcn-calculator' ],
                    [ 'typcn-calendar-outline' ],
                    [ 'typcn-calendar' ],
                    [ 'typcn-camera-outline' ],
                    [ 'typcn-camera' ],
                    [ 'typcn-cancel-outline' ],
                    [ 'typcn-cancel' ],
                    [ 'typcn-chart-area-outline' ],
                    [ 'typcn-chart-area' ],
                    [ 'typcn-chart-bar-outline' ],
                    [ 'typcn-chart-bar' ],
                    [ 'typcn-chart-line-outline' ],
                    [ 'typcn-chart-line' ],
                    [ 'typcn-chart-pie-outline' ],
                    [ 'typcn-chart-pie' ],
                    [ 'typcn-chevron-left-outline' ],
                    [ 'typcn-chevron-left' ],
                    [ 'typcn-chevron-right-outline' ],
                    [ 'typcn-chevron-right' ],
                    [ 'typcn-clipboard' ],
                    [ 'typcn-cloud-storage' ],
                    [ 'typcn-cloud-storage-outline' ],
                    [ 'typcn-code-outline' ],
                    [ 'typcn-code' ],
                    [ 'typcn-coffee' ],
                    [ 'typcn-cog-outline' ],
                    [ 'typcn-cog' ],
                    [ 'typcn-compass' ],
                    [ 'typcn-contacts' ],
                    [ 'typcn-credit-card' ],
                    [ 'typcn-css3' ],
                    [ 'typcn-database' ],
                    [ 'typcn-delete-outline' ],
                    [ 'typcn-delete' ],
                    [ 'typcn-device-desktop' ],
                    [ 'typcn-device-laptop' ],
                    [ 'typcn-device-phone' ],
                    [ 'typcn-device-tablet' ],
                    [ 'typcn-directions' ],
                    [ 'typcn-divide-outline' ],
                    [ 'typcn-divide' ],
                    [ 'typcn-document-add' ],
                    [ 'typcn-document-delete' ],
                    [ 'typcn-document-text' ],
                    [ 'typcn-document' ],
                    [ 'typcn-download-outline' ],
                    [ 'typcn-download' ],
                    [ 'typcn-dropbox' ],
                    [ 'typcn-edit' ],
                    [ 'typcn-eject-outline' ],
                    [ 'typcn-eject' ],
                    [ 'typcn-equals-outline' ],
                    [ 'typcn-equals' ],
                    [ 'typcn-export-outline' ],
                    [ 'typcn-export' ],
                    [ 'typcn-eye-outline' ],
                    [ 'typcn-eye' ],
                    [ 'typcn-feather' ],
                    [ 'typcn-film' ],
                    [ 'typcn-filter' ],
                    [ 'typcn-flag-outline' ],
                    [ 'typcn-flag' ],
                    [ 'typcn-flash-outline' ],
                    [ 'typcn-flash' ],
                    [ 'typcn-flow-children' ],
                    [ 'typcn-flow-merge' ],
                    [ 'typcn-flow-parallel' ],
                    [ 'typcn-flow-switch' ],
                    [ 'typcn-folder-add' ],
                    [ 'typcn-folder-delete' ],
                    [ 'typcn-folder-open' ],
                    [ 'typcn-folder' ],
                    [ 'typcn-gift' ],
                    [ 'typcn-globe-outline' ],
                    [ 'typcn-globe' ],
                    [ 'typcn-group-outline' ],
                    [ 'typcn-group' ],
                    [ 'typcn-headphones' ],
                    [ 'typcn-heart-full-outline' ],
                    [ 'typcn-heart-half-outline' ],
                    [ 'typcn-heart-outline' ],
                    [ 'typcn-heart' ],
                    [ 'typcn-home-outline' ],
                    [ 'typcn-home' ],
                    [ 'typcn-html5' ],
                    [ 'typcn-image-outline' ],
                    [ 'typcn-image' ],
                    [ 'typcn-infinity-outline' ],
                    [ 'typcn-infinity' ],
                    [ 'typcn-info-large-outline' ],
                    [ 'typcn-info-large' ],
                    [ 'typcn-info-outline' ],
                    [ 'typcn-info' ],
                    [ 'typcn-input-checked-outline' ],
                    [ 'typcn-input-checked' ],
                    [ 'typcn-key-outline' ],
                    [ 'typcn-key' ],
                    [ 'typcn-keyboard' ],
                    [ 'typcn-leaf' ],
                    [ 'typcn-lightbulb' ],
                    [ 'typcn-link-outline' ],
                    [ 'typcn-link' ],
                    [ 'typcn-location-arrow-outline' ],
                    [ 'typcn-location-arrow' ],
                    [ 'typcn-location-outline' ],
                    [ 'typcn-location' ],
                    [ 'typcn-lock-closed-outline' ],
                    [ 'typcn-lock-closed' ],
                    [ 'typcn-lock-open-outline' ],
                    [ 'typcn-lock-open' ],
                    [ 'typcn-mail' ],
                    [ 'typcn-map' ],
                    [ 'typcn-media-eject-outline' ],
                    [ 'typcn-media-eject' ],
                    [ 'typcn-media-fast-forward-outline' ],
                    [ 'typcn-media-fast-forward' ],
                    [ 'typcn-media-pause-outline' ],
                    [ 'typcn-media-pause' ],
                    [ 'typcn-media-play-outline' ],
                    [ 'typcn-media-play-reverse-outline' ],
                    [ 'typcn-media-play-reverse' ],
                    [ 'typcn-media-play' ],
                    [ 'typcn-media-record-outline' ],
                    [ 'typcn-media-record' ],
                    [ 'typcn-media-rewind-outline' ],
                    [ 'typcn-media-rewind' ],
                    [ 'typcn-media-stop-outline' ],
                    [ 'typcn-media-stop' ],
                    [ 'typcn-message-typing' ],
                    [ 'typcn-message' ],
                    [ 'typcn-messages' ],
                    [ 'typcn-microphone-outline' ],
                    [ 'typcn-microphone' ],
                    [ 'typcn-minus-outline' ],
                    [ 'typcn-minus' ],
                    [ 'typcn-mortar-board' ],
                    [ 'typcn-news' ],
                    [ 'typcn-notes-outline' ],
                    [ 'typcn-notes' ],
                    [ 'typcn-pen' ],
                    [ 'typcn-pencil' ],
                    [ 'typcn-phone-outline' ],
                    [ 'typcn-phone' ],
                    [ 'typcn-pi-outline' ],
                    [ 'typcn-pi' ],
                    [ 'typcn-pin-outline' ],
                    [ 'typcn-pin' ],
                    [ 'typcn-pipette' ],
                    [ 'typcn-plane-outline' ],
                    [ 'typcn-plane' ],
                    [ 'typcn-plug' ],
                    [ 'typcn-plus-outline' ],
                    [ 'typcn-plus' ],
                    [ 'typcn-point-of-interest-outline' ],
                    [ 'typcn-point-of-interest' ],
                    [ 'typcn-power-outline' ],
                    [ 'typcn-power' ],
                    [ 'typcn-printer' ],
                    [ 'typcn-puzzle-outline' ],
                    [ 'typcn-puzzle' ],
                    [ 'typcn-radar-outline' ],
                    [ 'typcn-radar' ],
                    [ 'typcn-refresh-outline' ],
                    [ 'typcn-refresh' ],
                    [ 'typcn-rss-outline' ],
                    [ 'typcn-rss' ],
                    [ 'typcn-scissors-outline' ],
                    [ 'typcn-scissors' ],
                    [ 'typcn-shopping-bag' ],
                    [ 'typcn-shopping-cart' ],
                    [ 'typcn-social-at-circular' ],
                    [ 'typcn-social-dribbble-circular' ],
                    [ 'typcn-social-dribbble' ],
                    [ 'typcn-social-facebook-circular' ],
                    [ 'typcn-social-facebook' ],
                    [ 'typcn-social-flickr-circular' ],
                    [ 'typcn-social-flickr' ],
                    [ 'typcn-social-github-circular' ],
                    [ 'typcn-social-github' ],
                    [ 'typcn-social-google-plus-circular' ],
                    [ 'typcn-social-google-plus' ],
                    [ 'typcn-social-instagram-circular' ],
                    [ 'typcn-social-instagram' ],
                    [ 'typcn-social-last-fm-circular' ],
                    [ 'typcn-social-last-fm' ],
                    [ 'typcn-social-linkedin-circular' ],
                    [ 'typcn-social-linkedin' ],
                    [ 'typcn-social-pinterest-circular' ],
                    [ 'typcn-social-pinterest' ],
                    [ 'typcn-social-skype-outline' ],
                    [ 'typcn-social-skype' ],
                    [ 'typcn-social-tumbler-circular' ],
                    [ 'typcn-social-tumbler' ],
                    [ 'typcn-social-twitter-circular' ],
                    [ 'typcn-social-twitter' ],
                    [ 'typcn-social-vimeo-circular' ],
                    [ 'typcn-social-vimeo' ],
                    [ 'typcn-social-youtube-circular' ],
                    [ 'typcn-social-youtube' ],
                    [ 'typcn-sort-alphabetically-outline' ],
                    [ 'typcn-sort-alphabetically' ],
                    [ 'typcn-sort-numerically-outline' ],
                    [ 'typcn-sort-numerically' ],
                    [ 'typcn-spanner-outline' ],
                    [ 'typcn-spanner' ],
                    [ 'typcn-spiral' ],
                    [ 'typcn-star-full-outline' ],
                    [ 'typcn-star-half-outline' ],
                    [ 'typcn-star-half' ],
                    [ 'typcn-star-outline' ],
                    [ 'typcn-star' ],
                    [ 'typcn-starburst-outline' ],
                    [ 'typcn-starburst' ],
                    [ 'typcn-stopwatch' ],
                    [ 'typcn-support' ],
                    [ 'typcn-tabs-outline' ],
                    [ 'typcn-tag' ],
                    [ 'typcn-tags' ],
                    [ 'typcn-th-large-outline' ],
                    [ 'typcn-th-large' ],
                    [ 'typcn-th-list-outline' ],
                    [ 'typcn-th-list' ],
                    [ 'typcn-th-menu-outline' ],
                    [ 'typcn-th-menu' ],
                    [ 'typcn-th-small-outline' ],
                    [ 'typcn-th-small' ],
                    [ 'typcn-thermometer' ],
                    [ 'typcn-thumbs-down' ],
                    [ 'typcn-thumbs-ok' ],
                    [ 'typcn-thumbs-up' ],
                    [ 'typcn-tick-outline' ],
                    [ 'typcn-tick' ],
                    [ 'typcn-ticket' ],
                    [ 'typcn-time' ],
                    [ 'typcn-times-outline' ],
                    [ 'typcn-times' ],
                    [ 'typcn-trash' ],
                    [ 'typcn-tree' ],
                    [ 'typcn-upload-outline' ],
                    [ 'typcn-upload' ],
                    [ 'typcn-user-add-outline' ],
                    [ 'typcn-user-add' ],
                    [ 'typcn-user-delete-outline' ],
                    [ 'typcn-user-delete' ],
                    [ 'typcn-user-outline' ],
                    [ 'typcn-user' ],
                    [ 'typcn-vendor-android' ],
                    [ 'typcn-vendor-apple' ],
                    [ 'typcn-vendor-microsoft' ],
                    [ 'typcn-video-outline' ],
                    [ 'typcn-video' ],
                    [ 'typcn-volume-down' ],
                    [ 'typcn-volume-mute' ],
                    [ 'typcn-volume-up' ],
                    [ 'typcn-volume' ],
                    [ 'typcn-warning-outline' ],
                    [ 'typcn-warning' ],
                    [ 'typcn-watch' ],
                    [ 'typcn-waves-outline' ],
                    [ 'typcn-waves' ],
                    [ 'typcn-weather-cloudy' ],
                    [ 'typcn-weather-downpour' ],
                    [ 'typcn-weather-night' ],
                    [ 'typcn-weather-partly-sunny' ],
                    [ 'typcn-weather-shower' ],
                    [ 'typcn-weather-snow' ],
                    [ 'typcn-weather-stormy' ],
                    [ 'typcn-weather-sunny' ],
                    [ 'typcn-weather-windy-cloudy' ],
                    [ 'typcn-weather-windy' ],
                    [ 'typcn-wi-fi-outline' ],
                    [ 'typcn-wi-fi' ],
                    [ 'typcn-wine' ],
                    [ 'typcn-world-outline' ],
                    [ 'typcn-world' ],
                    [ 'typcn-zoom-in-outline' ],
                    [ 'typcn-zoom-in' ],
                    [ 'typcn-zoom-out-outline' ],
                    [ 'typcn-zoom-out' ],
                    [ 'typcn-zoom-outline' ],
                    [ 'typcn-zoom' ]
                ];

            break;

            case 'entypo':

                icons = [
                    [ 'entypo-icon-note' ],
                    [ 'entypo-icon-note-beamed' ],
                    [ 'entypo-icon-music' ],
                    [ 'entypo-icon-search' ],
                    [ 'entypo-icon-flashlight' ],
                    [ 'entypo-icon-mail' ],
                    [ 'entypo-icon-heart' ],
                    [ 'entypo-icon-heart-empty' ],
                    [ 'entypo-icon-star' ],
                    [ 'entypo-icon-star-empty' ],
                    [ 'entypo-icon-user' ],
                    [ 'entypo-icon-users' ],
                    [ 'entypo-icon-user-add' ],
                    [ 'entypo-icon-video' ],
                    [ 'entypo-icon-picture' ],
                    [ 'entypo-icon-camera' ],
                    [ 'entypo-icon-layout' ],
                    [ 'entypo-icon-menu' ],
                    [ 'entypo-icon-check' ],
                    [ 'entypo-icon-cancel' ],
                    [ 'entypo-icon-cancel-circled' ],
                    [ 'entypo-icon-cancel-squared' ],
                    [ 'entypo-icon-plus' ],
                    [ 'entypo-icon-plus-circled' ],
                    [ 'entypo-icon-plus-squared' ],
                    [ 'entypo-icon-minus' ],
                    [ 'entypo-icon-minus-circled' ],
                    [ 'entypo-icon-minus-squared' ],
                    [ 'entypo-icon-help' ],
                    [ 'entypo-icon-help-circled' ],
                    [ 'entypo-icon-info' ],
                    [ 'entypo-icon-info-circled' ],
                    [ 'entypo-icon-back' ],
                    [ 'entypo-icon-home' ],
                    [ 'entypo-icon-link' ],
                    [ 'entypo-icon-attach' ],
                    [ 'entypo-icon-lock' ],
                    [ 'entypo-icon-lock-open' ],
                    [ 'entypo-icon-eye' ],
                    [ 'entypo-icon-tag' ],
                    [ 'entypo-icon-bookmark' ],
                    [ 'entypo-icon-bookmarks' ],
                    [ 'entypo-icon-flag' ],
                    [ 'entypo-icon-thumbs-up' ],
                    [ 'entypo-icon-thumbs-down' ],
                    [ 'entypo-icon-download' ],
                    [ 'entypo-icon-upload' ],
                    [ 'entypo-icon-upload-cloud' ],
                    [ 'entypo-icon-reply' ],
                    [ 'entypo-icon-reply-all' ],
                    [ 'entypo-icon-forward' ],
                    [ 'entypo-icon-quote' ],
                    [ 'entypo-icon-code' ],
                    [ 'entypo-icon-export' ],
                    [ 'entypo-icon-pencil' ],
                    [ 'entypo-icon-feather' ],
                    [ 'entypo-icon-print' ],
                    [ 'entypo-icon-retweet' ],
                    [ 'entypo-icon-keyboard' ],
                    [ 'entypo-icon-comment' ],
                    [ 'entypo-icon-chat' ],
                    [ 'entypo-icon-bell' ],
                    [ 'entypo-icon-attention' ],
                    [ 'entypo-icon-alert' ],
                    [ 'entypo-icon-vcard' ],
                    [ 'entypo-icon-address' ],
                    [ 'entypo-icon-location' ],
                    [ 'entypo-icon-map' ],
                    [ 'entypo-icon-direction' ],
                    [ 'entypo-icon-compass' ],
                    [ 'entypo-icon-cup' ],
                    [ 'entypo-icon-trash' ],
                    [ 'entypo-icon-doc' ],
                    [ 'entypo-icon-docs' ],
                    [ 'entypo-icon-doc-landscape' ],
                    [ 'entypo-icon-doc-text' ],
                    [ 'entypo-icon-doc-text-inv' ],
                    [ 'entypo-icon-newspaper' ],
                    [ 'entypo-icon-book-open' ],
                    [ 'entypo-icon-book' ],
                    [ 'entypo-icon-folder' ],
                    [ 'entypo-icon-archive' ],
                    [ 'entypo-icon-box' ],
                    [ 'entypo-icon-rss' ],
                    [ 'entypo-icon-phone' ],
                    [ 'entypo-icon-cog' ],
                    [ 'entypo-icon-tools' ],
                    [ 'entypo-icon-share' ],
                    [ 'entypo-icon-shareable' ],
                    [ 'entypo-icon-basket' ],
                    [ 'entypo-icon-bag' ],
                    [ 'entypo-icon-calendar' ],
                    [ 'entypo-icon-login' ],
                    [ 'entypo-icon-logout' ],
                    [ 'entypo-icon-mic' ],
                    [ 'entypo-icon-mute' ],
                    [ 'entypo-icon-sound' ],
                    [ 'entypo-icon-volume' ],
                    [ 'entypo-icon-clock' ],
                    [ 'entypo-icon-hourglass' ],
                    [ 'entypo-icon-lamp' ],
                    [ 'entypo-icon-light-down' ],
                    [ 'entypo-icon-light-up' ],
                    [ 'entypo-icon-adjust' ],
                    [ 'entypo-icon-block' ],
                    [ 'entypo-icon-resize-full' ],
                    [ 'entypo-icon-resize-small' ],
                    [ 'entypo-icon-popup' ],
                    [ 'entypo-icon-publish' ],
                    [ 'entypo-icon-window' ],
                    [ 'entypo-icon-arrow-combo' ],
                    [ 'entypo-icon-down-circled' ],
                    [ 'entypo-icon-left-circled' ],
                    [ 'entypo-icon-right-circled' ],
                    [ 'entypo-icon-up-circled' ],
                    [ 'entypo-icon-down-open' ],
                    [ 'entypo-icon-left-open' ],
                    [ 'entypo-icon-right-open' ],
                    [ 'entypo-icon-up-open' ],
                    [ 'entypo-icon-down-open-mini' ],
                    [ 'entypo-icon-left-open-mini' ],
                    [ 'entypo-icon-right-open-mini' ],
                    [ 'entypo-icon-up-open-mini' ],
                    [ 'entypo-icon-down-open-big' ],
                    [ 'entypo-icon-left-open-big' ],
                    [ 'entypo-icon-right-open-big' ],
                    [ 'entypo-icon-up-open-big' ],
                    [ 'entypo-icon-down' ],
                    [ 'entypo-icon-left' ],
                    [ 'entypo-icon-right' ],
                    [ 'entypo-icon-up' ],
                    [ 'entypo-icon-down-dir' ],
                    [ 'entypo-icon-left-dir' ],
                    [ 'entypo-icon-right-dir' ],
                    [ 'entypo-icon-up-dir' ],
                    [ 'entypo-icon-down-bold' ],
                    [ 'entypo-icon-left-bold' ],
                    [ 'entypo-icon-right-bold' ],
                    [ 'entypo-icon-up-bold' ],
                    [ 'entypo-icon-down-thin' ],
                    [ 'entypo-icon-left-thin' ],
                    [ 'entypo-icon-right-thin' ],
                    [ 'entypo-icon-up-thin' ],
                    [ 'entypo-icon-ccw' ],
                    [ 'entypo-icon-cw' ],
                    [ 'entypo-icon-arrows-ccw' ],
                    [ 'entypo-icon-level-down' ],
                    [ 'entypo-icon-level-up' ],
                    [ 'entypo-icon-shuffle' ],
                    [ 'entypo-icon-loop' ],
                    [ 'entypo-icon-switch' ],
                    [ 'entypo-icon-play' ],
                    [ 'entypo-icon-stop' ],
                    [ 'entypo-icon-pause' ],
                    [ 'entypo-icon-record' ],
                    [ 'entypo-icon-to-end' ],
                    [ 'entypo-icon-to-start' ],
                    [ 'entypo-icon-fast-forward' ],
                    [ 'entypo-icon-fast-backward' ],
                    [ 'entypo-icon-progress-0' ],
                    [ 'entypo-icon-progress-1' ],
                    [ 'entypo-icon-progress-2' ],
                    [ 'entypo-icon-progress-3' ],
                    [ 'entypo-icon-target' ],
                    [ 'entypo-icon-palette' ],
                    [ 'entypo-icon-list' ],
                    [ 'entypo-icon-list-add' ],
                    [ 'entypo-icon-signal' ],
                    [ 'entypo-icon-trophy' ],
                    [ 'entypo-icon-battery' ],
                    [ 'entypo-icon-back-in-time' ],
                    [ 'entypo-icon-monitor' ],
                    [ 'entypo-icon-mobile' ],
                    [ 'entypo-icon-network' ],
                    [ 'entypo-icon-cd' ],
                    [ 'entypo-icon-inbox' ],
                    [ 'entypo-icon-install' ],
                    [ 'entypo-icon-globe' ],
                    [ 'entypo-icon-cloud' ],
                    [ 'entypo-icon-cloud-thunder' ],
                    [ 'entypo-icon-flash' ],
                    [ 'entypo-icon-moon' ],
                    [ 'entypo-icon-flight' ],
                    [ 'entypo-icon-paper-plane' ],
                    [ 'entypo-icon-leaf' ],
                    [ 'entypo-icon-lifebuoy' ],
                    [ 'entypo-icon-mouse' ],
                    [ 'entypo-icon-briefcase' ],
                    [ 'entypo-icon-suitcase' ],
                    [ 'entypo-icon-dot' ],
                    [ 'entypo-icon-dot-2' ],
                    [ 'entypo-icon-dot-3' ],
                    [ 'entypo-icon-brush' ],
                    [ 'entypo-icon-magnet' ],
                    [ 'entypo-icon-infinity' ],
                    [ 'entypo-icon-erase' ],
                    [ 'entypo-icon-chart-pie' ],
                    [ 'entypo-icon-chart-line' ],
                    [ 'entypo-icon-chart-bar' ],
                    [ 'entypo-icon-chart-area' ],
                    [ 'entypo-icon-tape' ],
                    [ 'entypo-icon-graduation-cap' ],
                    [ 'entypo-icon-language' ],
                    [ 'entypo-icon-ticket' ],
                    [ 'entypo-icon-water' ],
                    [ 'entypo-icon-droplet' ],
                    [ 'entypo-icon-air' ],
                    [ 'entypo-icon-credit-card' ],
                    [ 'entypo-icon-floppy' ],
                    [ 'entypo-icon-clipboard' ],
                    [ 'entypo-icon-megaphone' ],
                    [ 'entypo-icon-database' ],
                    [ 'entypo-icon-drive' ],
                    [ 'entypo-icon-bucket' ],
                    [ 'entypo-icon-thermometer' ],
                    [ 'entypo-icon-key' ],
                    [ 'entypo-icon-flow-cascade' ],
                    [ 'entypo-icon-flow-branch' ],
                    [ 'entypo-icon-flow-tree' ],
                    [ 'entypo-icon-flow-line' ],
                    [ 'entypo-icon-flow-parallel' ],
                    [ 'entypo-icon-rocket' ],
                    [ 'entypo-icon-gauge' ],
                    [ 'entypo-icon-traffic-cone' ],
                    [ 'entypo-icon-cc' ],
                    [ 'entypo-icon-cc-by' ],
                    [ 'entypo-icon-cc-nc' ],
                    [ 'entypo-icon-cc-nc-eu' ],
                    [ 'entypo-icon-cc-nc-jp' ],
                    [ 'entypo-icon-cc-sa' ],
                    [ 'entypo-icon-cc-nd' ],
                    [ 'entypo-icon-cc-pd' ],
                    [ 'entypo-icon-cc-zero' ],
                    [ 'entypo-icon-cc-share' ],
                    [ 'entypo-icon-cc-remix' ],
                    [ 'entypo-icon-github' ],
                    [ 'entypo-icon-github-circled' ],
                    [ 'entypo-icon-flickr' ],
                    [ 'entypo-icon-flickr-circled' ],
                    [ 'entypo-icon-vimeo' ],
                    [ 'entypo-icon-vimeo-circled' ],
                    [ 'entypo-icon-twitter' ],
                    [ 'entypo-icon-twitter-circled' ],
                    [ 'entypo-icon-facebook' ],
                    [ 'entypo-icon-facebook-circled' ],
                    [ 'entypo-icon-facebook-squared' ],
                    [ 'entypo-icon-gplus' ],
                    [ 'entypo-icon-gplus-circled' ],
                    [ 'entypo-icon-pinterest' ],
                    [ 'entypo-icon-pinterest-circled' ],
                    [ 'entypo-icon-tumblr' ],
                    [ 'entypo-icon-tumblr-circled' ],
                    [ 'entypo-icon-linkedin' ],
                    [ 'entypo-icon-linkedin-circled' ],
                    [ 'entypo-icon-dribbble' ],
                    [ 'entypo-icon-dribbble-circled' ],
                    [ 'entypo-icon-stumbleupon' ],
                    [ 'entypo-icon-stumbleupon-circled' ],
                    [ 'entypo-icon-lastfm' ],
                    [ 'entypo-icon-lastfm-circled' ],
                    [ 'entypo-icon-rdio' ],
                    [ 'entypo-icon-rdio-circled' ],
                    [ 'entypo-icon-spotify' ],
                    [ 'entypo-icon-spotify-circled' ],
                    [ 'entypo-icon-qq' ],
                    [ 'entypo-icon-instagrem' ],
                    [ 'entypo-icon-dropbox' ],
                    [ 'entypo-icon-evernote' ],
                    [ 'entypo-icon-flattr' ],
                    [ 'entypo-icon-skype' ],
                    [ 'entypo-icon-skype-circled' ],
                    [ 'entypo-icon-renren' ],
                    [ 'entypo-icon-sina-weibo' ],
                    [ 'entypo-icon-paypal' ],
                    [ 'entypo-icon-picasa' ],
                    [ 'entypo-icon-soundcloud' ],
                    [ 'entypo-icon-mixi' ],
                    [ 'entypo-icon-behance' ],
                    [ 'entypo-icon-google-circles' ],
                    [ 'entypo-icon-vkontakte' ],
                    [ 'entypo-icon-smashing' ],
                    [ 'entypo-icon-sweden' ],
                    [ 'entypo-icon-db-shape' ],
                    [ 'entypo-icon-logo-db' ]
                ];

            break;

            case 'linecons':

                icons = [
                    [ 'vc_li-heart' ],
                    [ 'vc_li-cloud' ],
                    [ 'vc_li-star' ],
                    [ 'vc_li-tv' ],
                    [ 'vc_li-sound' ],
                    [ 'vc_li-video' ],
                    [ 'vc_li-trash' ],
                    [ 'vc_li-user' ],
                    [ 'vc_li-key' ],
                    [ 'vc_li-search' ],
                    [ 'vc_li-settings' ],
                    [ 'vc_li-camera' ],
                    [ 'vc_li-tag' ],
                    [ 'vc_li-lock' ],
                    [ 'vc_li-bulb' ],
                    [ 'vc_li-pen' ],
                    [ 'vc_li-diamond' ],
                    [ 'vc_li-display' ],
                    [ 'vc_li-location' ],
                    [ 'vc_li-eye' ],
                    [ 'vc_li-bubble' ],
                    [ 'vc_li-stack' ],
                    [ 'vc_li-cup' ],
                    [ 'vc_li-phone' ],
                    [ 'vc_li-news' ],
                    [ 'vc_li-mail' ],
                    [ 'vc_li-like' ],
                    [ 'vc_li-photo' ],
                    [ 'vc_li-note' ],
                    [ 'vc_li-clock' ],
                    [ 'vc_li-paperplane' ],
                    [ 'vc_li-params' ],
                    [ 'vc_li-banknote' ],
                    [ 'vc_li-data' ],
                    [ 'vc_li-music' ],
                    [ 'vc_li-megaphone' ],
                    [ 'vc_li-study' ],
                    [ 'vc_li-lab' ],
                    [ 'vc_li-food' ],
                    [ 'vc_li-t-shirt' ],
                    [ 'vc_li-fire' ],
                    [ 'vc_li-clip' ],
                    [ 'vc_li-shop' ],
                    [ 'vc_li-calendar' ],
                    [ 'vc_li-vallet' ],
                    [ 'vc_li-vynil' ],
                    [ 'vc_li-truck' ],
                    [ 'vc_li-world' ]
                ];

            break;

            case 'monosocial':

                icons = [
                    [ 'vc-mono-fivehundredpx' ],
                    [ 'vc-mono-aboutme' ],
                    [ 'vc-mono-addme' ],
                    [ 'vc-mono-amazon' ],
                    [ 'vc-mono-aol' ],
                    [ 'vc-mono-appstorealt' ],
                    [ 'vc-mono-appstore' ],
                    [ 'vc-mono-apple' ],
                    [ 'vc-mono-bebo' ],
                    [ 'vc-mono-behance' ],
                    [ 'vc-mono-bing' ],
                    [ 'vc-mono-blip' ],
                    [ 'vc-mono-blogger' ],
                    [ 'vc-mono-coroflot' ],
                    [ 'vc-mono-daytum' ],
                    [ 'vc-mono-delicious' ],
                    [ 'vc-mono-designbump' ],
                    [ 'vc-mono-designfloat' ],
                    [ 'vc-mono-deviantart' ],
                    [ 'vc-mono-diggalt' ],
                    [ 'vc-mono-digg' ],
                    [ 'vc-mono-dribble' ],
                    [ 'vc-mono-drupal' ],
                    [ 'vc-mono-ebay' ],
                    [ 'vc-mono-email' ],
                    [ 'vc-mono-emberapp' ],
                    [ 'vc-mono-etsy' ],
                    [ 'vc-mono-facebook' ],
                    [ 'vc-mono-feedburner' ],
                    [ 'vc-mono-flickr' ],
                    [ 'vc-mono-foodspotting' ],
                    [ 'vc-mono-forrst' ],
                    [ 'vc-mono-foursquare' ],
                    [ 'vc-mono-friendsfeed' ],
                    [ 'vc-mono-friendstar' ],
                    [ 'vc-mono-gdgt' ],
                    [ 'vc-mono-github' ],
                    [ 'vc-mono-githubalt' ],
                    [ 'vc-mono-googlebuzz' ],
                    [ 'vc-mono-googleplus' ],
                    [ 'vc-mono-googletalk' ],
                    [ 'vc-mono-gowallapin' ],
                    [ 'vc-mono-gowalla' ],
                    [ 'vc-mono-grooveshark' ],
                    [ 'vc-mono-heart' ],
                    [ 'vc-mono-hyves' ],
                    [ 'vc-mono-icondock' ],
                    [ 'vc-mono-icq' ],
                    [ 'vc-mono-identica' ],
                    [ 'vc-mono-imessage' ],
                    [ 'vc-mono-itunes' ],
                    [ 'vc-mono-lastfm' ],
                    [ 'vc-mono-linkedin' ],
                    [ 'vc-mono-meetup' ],
                    [ 'vc-mono-metacafe' ],
                    [ 'vc-mono-mixx' ],
                    [ 'vc-mono-mobileme' ],
                    [ 'vc-mono-mrwong' ],
                    [ 'vc-mono-msn' ],
                    [ 'vc-mono-myspace' ],
                    [ 'vc-mono-newsvine' ],
                    [ 'vc-mono-paypal' ],
                    [ 'vc-mono-photobucket' ],
                    [ 'vc-mono-picasa' ],
                    [ 'vc-mono-pinterest' ],
                    [ 'vc-mono-podcast' ],
                    [ 'vc-mono-posterous' ],
                    [ 'vc-mono-qik' ],
                    [ 'vc-mono-quora' ],
                    [ 'vc-mono-reddit' ],
                    [ 'vc-mono-retweet' ],
                    [ 'vc-mono-rss' ],
                    [ 'vc-mono-scribd' ],
                    [ 'vc-mono-sharethis' ],
                    [ 'vc-mono-skype' ],
                    [ 'vc-mono-slashdot' ],
                    [ 'vc-mono-slideshare' ],
                    [ 'vc-mono-smugmug' ],
                    [ 'vc-mono-soundcloud' ],
                    [ 'vc-mono-spotify' ],
                    [ 'vc-mono-squidoo' ],
                    [ 'vc-mono-stackoverflow' ],
                    [ 'vc-mono-star' ],
                    [ 'vc-mono-stumbleupon' ],
                    [ 'vc-mono-technorati' ],
                    [ 'vc-mono-tumblr' ],
                    [ 'vc-mono-twitterbird' ],
                    [ 'vc-mono-twitter' ],
                    [ 'vc-mono-viddler' ],
                    [ 'vc-mono-vimeo' ],
                    [ 'vc-mono-virb' ],
                    [ 'vc-mono-www' ],
                    [ 'vc-mono-wikipedia' ],
                    [ 'vc-mono-windows' ],
                    [ 'vc-mono-wordpress' ],
                    [ 'vc-mono-xing' ],
                    [ 'vc-mono-yahoobuzz' ],
                    [ 'vc-mono-yahoo' ],
                    [ 'vc-mono-yelp' ],
                    [ 'vc-mono-youtube' ],
                    [ 'vc-mono-instagram' ]
                ];

            break;

            case 'material':

                icons = [
                    [ 'vc-material-3d_rotation' ],
                    [ 'vc-material-ac_unit' ],
                    [ 'vc-material-alarm' ],
                    [ 'vc-material-access_alarms' ],
                    [ 'vc-material-schedule' ],
                    [ 'vc-material-accessibility' ],
                    [ 'vc-material-accessible' ],
                    [ 'vc-material-account_balance' ],
                    [ 'vc-material-account_balance_wallet' ],
                    [ 'vc-material-account_box' ],
                    [ 'vc-material-account_circle' ],
                    [ 'vc-material-adb' ],
                    [ 'vc-material-add' ],
                    [ 'vc-material-add_a_photo' ],
                    [ 'vc-material-alarm_add' ],
                    [ 'vc-material-add_alert' ],
                    [ 'vc-material-add_box' ],
                    [ 'vc-material-add_circle' ],
                    [ 'vc-material-control_point' ],
                    [ 'vc-material-add_location' ],
                    [ 'vc-material-add_shopping_cart' ],
                    [ 'vc-material-queue' ],
                    [ 'vc-material-add_to_queue' ],
                    [ 'vc-material-adjust' ],
                    [ 'vc-material-airline_seat_flat' ],
                    [ 'vc-material-airline_seat_flat_angled' ],
                    [ 'vc-material-airline_seat_individual_suite' ],
                    [ 'vc-material-airline_seat_legroom_extra' ],
                    [ 'vc-material-airline_seat_legroom_normal' ],
                    [ 'vc-material-airline_seat_legroom_reduced' ],
                    [ 'vc-material-airline_seat_recline_extra' ],
                    [ 'vc-material-airline_seat_recline_normal' ],
                    [ 'vc-material-flight' ],
                    [ 'vc-material-airplanemode_inactive' ],
                    [ 'vc-material-airplay' ],
                    [ 'vc-material-airport_shuttle' ],
                    [ 'vc-material-alarm_off' ],
                    [ 'vc-material-alarm_on' ],
                    [ 'vc-material-album' ],
                    [ 'vc-material-all_inclusive' ],
                    [ 'vc-material-all_out' ],
                    [ 'vc-material-android' ],
                    [ 'vc-material-announcement' ],
                    [ 'vc-material-apps' ],
                    [ 'vc-material-archive' ],
                    [ 'vc-material-arrow_back' ],
                    [ 'vc-material-arrow_downward' ],
                    [ 'vc-material-arrow_drop_down' ],
                    [ 'vc-material-arrow_drop_down_circle' ],
                    [ 'vc-material-arrow_drop_up' ],
                    [ 'vc-material-arrow_forward' ],
                    [ 'vc-material-arrow_upward' ],
                    [ 'vc-material-art_track' ],
                    [ 'vc-material-aspect_ratio' ],
                    [ 'vc-material-poll' ],
                    [ 'vc-material-assignment' ],
                    [ 'vc-material-assignment_ind' ],
                    [ 'vc-material-assignment_late' ],
                    [ 'vc-material-assignment_return' ],
                    [ 'vc-material-assignment_returned' ],
                    [ 'vc-material-assignment_turned_in' ],
                    [ 'vc-material-assistant' ],
                    [ 'vc-material-flag' ],
                    [ 'vc-material-attach_file' ],
                    [ 'vc-material-attach_money' ],
                    [ 'vc-material-attachment' ],
                    [ 'vc-material-audiotrack' ],
                    [ 'vc-material-autorenew' ],
                    [ 'vc-material-av_timer' ],
                    [ 'vc-material-backspace' ],
                    [ 'vc-material-cloud_upload' ],
                    [ 'vc-material-battery_alert' ],
                    [ 'vc-material-battery_charging_full' ],
                    [ 'vc-material-battery_std' ],
                    [ 'vc-material-battery_unknown' ],
                    [ 'vc-material-beach_access' ],
                    [ 'vc-material-beenhere' ],
                    [ 'vc-material-block' ],
                    [ 'vc-material-bluetooth' ],
                    [ 'vc-material-bluetooth_searching' ],
                    [ 'vc-material-bluetooth_connected' ],
                    [ 'vc-material-bluetooth_disabled' ],
                    [ 'vc-material-blur_circular' ],
                    [ 'vc-material-blur_linear' ],
                    [ 'vc-material-blur_off' ],
                    [ 'vc-material-blur_on' ],
                    [ 'vc-material-class' ],
                    [ 'vc-material-turned_in' ],
                    [ 'vc-material-turned_in_not' ],
                    [ 'vc-material-border_all' ],
                    [ 'vc-material-border_bottom' ],
                    [ 'vc-material-border_clear' ],
                    [ 'vc-material-border_color' ],
                    [ 'vc-material-border_horizontal' ],
                    [ 'vc-material-border_inner' ],
                    [ 'vc-material-border_left' ],
                    [ 'vc-material-border_outer' ],
                    [ 'vc-material-border_right' ],
                    [ 'vc-material-border_style' ],
                    [ 'vc-material-border_top' ],
                    [ 'vc-material-border_vertical' ],
                    [ 'vc-material-branding_watermark' ],
                    [ 'vc-material-brightness_1' ],
                    [ 'vc-material-brightness_2' ],
                    [ 'vc-material-brightness_3' ],
                    [ 'vc-material-brightness_4' ],
                    [ 'vc-material-brightness_low' ],
                    [ 'vc-material-brightness_medium' ],
                    [ 'vc-material-brightness_high' ],
                    [ 'vc-material-brightness_auto' ],
                    [ 'vc-material-broken_image' ],
                    [ 'vc-material-brush' ],
                    [ 'vc-material-bubble_chart' ],
                    [ 'vc-material-bug_report' ],
                    [ 'vc-material-build' ],
                    [ 'vc-material-burst_mode' ],
                    [ 'vc-material-domain' ],
                    [ 'vc-material-business_center' ],
                    [ 'vc-material-cached' ],
                    [ 'vc-material-cake' ],
                    [ 'vc-material-phone' ],
                    [ 'vc-material-call_end' ],
                    [ 'vc-material-call_made' ],
                    [ 'vc-material-merge_type' ],
                    [ 'vc-material-call_missed' ],
                    [ 'vc-material-call_missed_outgoing' ],
                    [ 'vc-material-call_received' ],
                    [ 'vc-material-call_split' ],
                    [ 'vc-material-call_to_action' ],
                    [ 'vc-material-camera' ],
                    [ 'vc-material-photo_camera' ],
                    [ 'vc-material-camera_enhance' ],
                    [ 'vc-material-camera_front' ],
                    [ 'vc-material-camera_rear' ],
                    [ 'vc-material-camera_roll' ],
                    [ 'vc-material-cancel' ],
                    [ 'vc-material-redeem' ],
                    [ 'vc-material-card_membership' ],
                    [ 'vc-material-card_travel' ],
                    [ 'vc-material-casino' ],
                    [ 'vc-material-cast' ],
                    [ 'vc-material-cast_connected' ],
                    [ 'vc-material-center_focus_strong' ],
                    [ 'vc-material-center_focus_weak' ],
                    [ 'vc-material-change_history' ],
                    [ 'vc-material-chat' ],
                    [ 'vc-material-chat_bubble' ],
                    [ 'vc-material-chat_bubble_outline' ],
                    [ 'vc-material-check' ],
                    [ 'vc-material-check_box' ],
                    [ 'vc-material-check_box_outline_blank' ],
                    [ 'vc-material-check_circle' ],
                    [ 'vc-material-navigate_before' ],
                    [ 'vc-material-navigate_next' ],
                    [ 'vc-material-child_care' ],
                    [ 'vc-material-child_friendly' ],
                    [ 'vc-material-chrome_reader_mode' ],
                    [ 'vc-material-close' ],
                    [ 'vc-material-clear_all' ],
                    [ 'vc-material-closed_caption' ],
                    [ 'vc-material-wb_cloudy' ],
                    [ 'vc-material-cloud_circle' ],
                    [ 'vc-material-cloud_done' ],
                    [ 'vc-material-cloud_download' ],
                    [ 'vc-material-cloud_off' ],
                    [ 'vc-material-cloud_queue' ],
                    [ 'vc-material-code' ],
                    [ 'vc-material-photo_library' ],
                    [ 'vc-material-collections_bookmark' ],
                    [ 'vc-material-palette' ],
                    [ 'vc-material-colorize' ],
                    [ 'vc-material-comment' ],
                    [ 'vc-material-compare' ],
                    [ 'vc-material-compare_arrows' ],
                    [ 'vc-material-laptop' ],
                    [ 'vc-material-confirmation_number' ],
                    [ 'vc-material-contact_mail' ],
                    [ 'vc-material-contact_phone' ],
                    [ 'vc-material-contacts' ],
                    [ 'vc-material-content_copy' ],
                    [ 'vc-material-content_cut' ],
                    [ 'vc-material-content_paste' ],
                    [ 'vc-material-control_point_duplicate' ],
                    [ 'vc-material-copyright' ],
                    [ 'vc-material-mode_edit' ],
                    [ 'vc-material-create_new_folder' ],
                    [ 'vc-material-payment' ],
                    [ 'vc-material-crop' ],
                    [ 'vc-material-crop_16_9' ],
                    [ 'vc-material-crop_3_2' ],
                    [ 'vc-material-crop_landscape' ],
                    [ 'vc-material-crop_7_5' ],
                    [ 'vc-material-crop_din' ],
                    [ 'vc-material-crop_free' ],
                    [ 'vc-material-crop_original' ],
                    [ 'vc-material-crop_portrait' ],
                    [ 'vc-material-crop_rotate' ],
                    [ 'vc-material-crop_square' ],
                    [ 'vc-material-dashboard' ],
                    [ 'vc-material-data_usage' ],
                    [ 'vc-material-date_range' ],
                    [ 'vc-material-dehaze' ],
                    [ 'vc-material-delete' ],
                    [ 'vc-material-delete_forever' ],
                    [ 'vc-material-delete_sweep' ],
                    [ 'vc-material-description' ],
                    [ 'vc-material-desktop_mac' ],
                    [ 'vc-material-desktop_windows' ],
                    [ 'vc-material-details' ],
                    [ 'vc-material-developer_board' ],
                    [ 'vc-material-developer_mode' ],
                    [ 'vc-material-device_hub' ],
                    [ 'vc-material-phonelink' ],
                    [ 'vc-material-devices_other' ],
                    [ 'vc-material-dialer_sip' ],
                    [ 'vc-material-dialpad' ],
                    [ 'vc-material-directions' ],
                    [ 'vc-material-directions_bike' ],
                    [ 'vc-material-directions_boat' ],
                    [ 'vc-material-directions_bus' ],
                    [ 'vc-material-directions_car' ],
                    [ 'vc-material-directions_railway' ],
                    [ 'vc-material-directions_run' ],
                    [ 'vc-material-directions_transit' ],
                    [ 'vc-material-directions_walk' ],
                    [ 'vc-material-disc_full' ],
                    [ 'vc-material-dns' ],
                    [ 'vc-material-not_interested' ],
                    [ 'vc-material-do_not_disturb_alt' ],
                    [ 'vc-material-do_not_disturb_off' ],
                    [ 'vc-material-remove_circle' ],
                    [ 'vc-material-dock' ],
                    [ 'vc-material-done' ],
                    [ 'vc-material-done_all' ],
                    [ 'vc-material-donut_large' ],
                    [ 'vc-material-donut_small' ],
                    [ 'vc-material-drafts' ],
                    [ 'vc-material-drag_handle' ],
                    [ 'vc-material-time_to_leave' ],
                    [ 'vc-material-dvr' ],
                    [ 'vc-material-edit_location' ],
                    [ 'vc-material-eject' ],
                    [ 'vc-material-markunread' ],
                    [ 'vc-material-enhanced_encryption' ],
                    [ 'vc-material-equalizer' ],
                    [ 'vc-material-error' ],
                    [ 'vc-material-error_outline' ],
                    [ 'vc-material-euro_symbol' ],
                    [ 'vc-material-ev_station' ],
                    [ 'vc-material-insert_invitation' ],
                    [ 'vc-material-event_available' ],
                    [ 'vc-material-event_busy' ],
                    [ 'vc-material-event_note' ],
                    [ 'vc-material-event_seat' ],
                    [ 'vc-material-exit_to_app' ],
                    [ 'vc-material-expand_less' ],
                    [ 'vc-material-expand_more' ],
                    [ 'vc-material-explicit' ],
                    [ 'vc-material-explore' ],
                    [ 'vc-material-exposure' ],
                    [ 'vc-material-exposure_neg_1' ],
                    [ 'vc-material-exposure_neg_2' ],
                    [ 'vc-material-exposure_plus_1' ],
                    [ 'vc-material-exposure_plus_2' ],
                    [ 'vc-material-exposure_zero' ],
                    [ 'vc-material-extension' ],
                    [ 'vc-material-face' ],
                    [ 'vc-material-fast_forward' ],
                    [ 'vc-material-fast_rewind' ],
                    [ 'vc-material-favorite' ],
                    [ 'vc-material-favorite_border' ],
                    [ 'vc-material-featured_play_list' ],
                    [ 'vc-material-featured_video' ],
                    [ 'vc-material-sms_failed' ],
                    [ 'vc-material-fiber_dvr' ],
                    [ 'vc-material-fiber_manual_record' ],
                    [ 'vc-material-fiber_new' ],
                    [ 'vc-material-fiber_pin' ],
                    [ 'vc-material-fiber_smart_record' ],
                    [ 'vc-material-get_app' ],
                    [ 'vc-material-file_upload' ],
                    [ 'vc-material-filter' ],
                    [ 'vc-material-filter_1' ],
                    [ 'vc-material-filter_2' ],
                    [ 'vc-material-filter_3' ],
                    [ 'vc-material-filter_4' ],
                    [ 'vc-material-filter_5' ],
                    [ 'vc-material-filter_6' ],
                    [ 'vc-material-filter_7' ],
                    [ 'vc-material-filter_8' ],
                    [ 'vc-material-filter_9' ],
                    [ 'vc-material-filter_9_plus' ],
                    [ 'vc-material-filter_b_and_w' ],
                    [ 'vc-material-filter_center_focus' ],
                    [ 'vc-material-filter_drama' ],
                    [ 'vc-material-filter_frames' ],
                    [ 'vc-material-terrain' ],
                    [ 'vc-material-filter_list' ],
                    [ 'vc-material-filter_none' ],
                    [ 'vc-material-filter_tilt_shift' ],
                    [ 'vc-material-filter_vintage' ],
                    [ 'vc-material-find_in_page' ],
                    [ 'vc-material-find_replace' ],
                    [ 'vc-material-fingerprint' ],
                    [ 'vc-material-first_page' ],
                    [ 'vc-material-fitness_center' ],
                    [ 'vc-material-flare' ],
                    [ 'vc-material-flash_auto' ],
                    [ 'vc-material-flash_off' ],
                    [ 'vc-material-flash_on' ],
                    [ 'vc-material-flight_land' ],
                    [ 'vc-material-flight_takeoff' ],
                    [ 'vc-material-flip' ],
                    [ 'vc-material-flip_to_back' ],
                    [ 'vc-material-flip_to_front' ],
                    [ 'vc-material-folder' ],
                    [ 'vc-material-folder_open' ],
                    [ 'vc-material-folder_shared' ],
                    [ 'vc-material-folder_special' ],
                    [ 'vc-material-font_download' ],
                    [ 'vc-material-format_align_center' ],
                    [ 'vc-material-format_align_justify' ],
                    [ 'vc-material-format_align_left' ],
                    [ 'vc-material-format_align_right' ],
                    [ 'vc-material-format_bold' ],
                    [ 'vc-material-format_clear' ],
                    [ 'vc-material-format_color_fill' ],
                    [ 'vc-material-format_color_reset' ],
                    [ 'vc-material-format_color_text' ],
                    [ 'vc-material-format_indent_decrease' ],
                    [ 'vc-material-format_indent_increase' ],
                    [ 'vc-material-format_italic' ],
                    [ 'vc-material-format_line_spacing' ],
                    [ 'vc-material-format_list_bulleted' ],
                    [ 'vc-material-format_list_numbered' ],
                    [ 'vc-material-format_paint' ],
                    [ 'vc-material-format_quote' ],
                    [ 'vc-material-format_shapes' ],
                    [ 'vc-material-format_size' ],
                    [ 'vc-material-format_strikethrough' ],
                    [ 'vc-material-format_textdirection_l_to_r' ],
                    [ 'vc-material-format_textdirection_r_to_l' ],
                    [ 'vc-material-format_underlined' ],
                    [ 'vc-material-question_answer' ],
                    [ 'vc-material-forward' ],
                    [ 'vc-material-forward_10' ],
                    [ 'vc-material-forward_30' ],
                    [ 'vc-material-forward_5' ],
                    [ 'vc-material-free_breakfast' ],
                    [ 'vc-material-fullscreen' ],
                    [ 'vc-material-fullscreen_exit' ],
                    [ 'vc-material-functions' ],
                    [ 'vc-material-g_translate' ],
                    [ 'vc-material-games' ],
                    [ 'vc-material-gavel' ],
                    [ 'vc-material-gesture' ],
                    [ 'vc-material-gif' ],
                    [ 'vc-material-goat' ],
                    [ 'vc-material-golf_course' ],
                    [ 'vc-material-my_location' ],
                    [ 'vc-material-location_searching' ],
                    [ 'vc-material-location_disabled' ],
                    [ 'vc-material-star' ],
                    [ 'vc-material-gradient' ],
                    [ 'vc-material-grain' ],
                    [ 'vc-material-graphic_eq' ],
                    [ 'vc-material-grid_off' ],
                    [ 'vc-material-grid_on' ],
                    [ 'vc-material-people' ],
                    [ 'vc-material-group_add' ],
                    [ 'vc-material-group_work' ],
                    [ 'vc-material-hd' ],
                    [ 'vc-material-hdr_off' ],
                    [ 'vc-material-hdr_on' ],
                    [ 'vc-material-hdr_strong' ],
                    [ 'vc-material-hdr_weak' ],
                    [ 'vc-material-headset' ],
                    [ 'vc-material-headset_mic' ],
                    [ 'vc-material-healing' ],
                    [ 'vc-material-hearing' ],
                    [ 'vc-material-help' ],
                    [ 'vc-material-help_outline' ],
                    [ 'vc-material-high_quality' ],
                    [ 'vc-material-highlight' ],
                    [ 'vc-material-highlight_off' ],
                    [ 'vc-material-restore' ],
                    [ 'vc-material-home' ],
                    [ 'vc-material-hot_tub' ],
                    [ 'vc-material-local_hotel' ],
                    [ 'vc-material-hourglass_empty' ],
                    [ 'vc-material-hourglass_full' ],
                    [ 'vc-material-http' ],
                    [ 'vc-material-lock' ],
                    [ 'vc-material-photo' ],
                    [ 'vc-material-image_aspect_ratio' ],
                    [ 'vc-material-import_contacts' ],
                    [ 'vc-material-import_export' ],
                    [ 'vc-material-important_devices' ],
                    [ 'vc-material-inbox' ],
                    [ 'vc-material-indeterminate_check_box' ],
                    [ 'vc-material-info' ],
                    [ 'vc-material-info_outline' ],
                    [ 'vc-material-input' ],
                    [ 'vc-material-insert_comment' ],
                    [ 'vc-material-insert_drive_file' ],
                    [ 'vc-material-tag_faces' ],
                    [ 'vc-material-link' ],
                    [ 'vc-material-invert_colors' ],
                    [ 'vc-material-invert_colors_off' ],
                    [ 'vc-material-iso' ],
                    [ 'vc-material-keyboard' ],
                    [ 'vc-material-keyboard_arrow_down' ],
                    [ 'vc-material-keyboard_arrow_left' ],
                    [ 'vc-material-keyboard_arrow_right' ],
                    [ 'vc-material-keyboard_arrow_up' ],
                    [ 'vc-material-keyboard_backspace' ],
                    [ 'vc-material-keyboard_capslock' ],
                    [ 'vc-material-keyboard_hide' ],
                    [ 'vc-material-keyboard_return' ],
                    [ 'vc-material-keyboard_tab' ],
                    [ 'vc-material-keyboard_voice' ],
                    [ 'vc-material-kitchen' ],
                    [ 'vc-material-label' ],
                    [ 'vc-material-label_outline' ],
                    [ 'vc-material-language' ],
                    [ 'vc-material-laptop_chromebook' ],
                    [ 'vc-material-laptop_mac' ],
                    [ 'vc-material-laptop_windows' ],
                    [ 'vc-material-last_page' ],
                    [ 'vc-material-open_in_new' ],
                    [ 'vc-material-layers' ],
                    [ 'vc-material-layers_clear' ],
                    [ 'vc-material-leak_add' ],
                    [ 'vc-material-leak_remove' ],
                    [ 'vc-material-lens' ],
                    [ 'vc-material-library_books' ],
                    [ 'vc-material-library_music' ],
                    [ 'vc-material-lightbulb_outline' ],
                    [ 'vc-material-line_style' ],
                    [ 'vc-material-line_weight' ],
                    [ 'vc-material-linear_scale' ],
                    [ 'vc-material-linked_camera' ],
                    [ 'vc-material-list' ],
                    [ 'vc-material-live_help' ],
                    [ 'vc-material-live_tv' ],
                    [ 'vc-material-local_play' ],
                    [ 'vc-material-local_airport' ],
                    [ 'vc-material-local_atm' ],
                    [ 'vc-material-local_bar' ],
                    [ 'vc-material-local_cafe' ],
                    [ 'vc-material-local_car_wash' ],
                    [ 'vc-material-local_convenience_store' ],
                    [ 'vc-material-restaurant_menu' ],
                    [ 'vc-material-local_drink' ],
                    [ 'vc-material-local_florist' ],
                    [ 'vc-material-local_gas_station' ],
                    [ 'vc-material-shopping_cart' ],
                    [ 'vc-material-local_hospital' ],
                    [ 'vc-material-local_laundry_service' ],
                    [ 'vc-material-local_library' ],
                    [ 'vc-material-local_mall' ],
                    [ 'vc-material-theaters' ],
                    [ 'vc-material-local_offer' ],
                    [ 'vc-material-local_parking' ],
                    [ 'vc-material-local_pharmacy' ],
                    [ 'vc-material-local_pizza' ],
                    [ 'vc-material-print' ],
                    [ 'vc-material-local_shipping' ],
                    [ 'vc-material-local_taxi' ],
                    [ 'vc-material-location_city' ],
                    [ 'vc-material-location_off' ],
                    [ 'vc-material-room' ],
                    [ 'vc-material-lock_open' ],
                    [ 'vc-material-lock_outline' ],
                    [ 'vc-material-looks' ],
                    [ 'vc-material-looks_3' ],
                    [ 'vc-material-looks_4' ],
                    [ 'vc-material-looks_5' ],
                    [ 'vc-material-looks_6' ],
                    [ 'vc-material-looks_one' ],
                    [ 'vc-material-looks_two' ],
                    [ 'vc-material-sync' ],
                    [ 'vc-material-loupe' ],
                    [ 'vc-material-low_priority' ],
                    [ 'vc-material-loyalty' ],
                    [ 'vc-material-mail_outline' ],
                    [ 'vc-material-map' ],
                    [ 'vc-material-markunread_mailbox' ],
                    [ 'vc-material-memory' ],
                    [ 'vc-material-menu' ],
                    [ 'vc-material-message' ],
                    [ 'vc-material-mic' ],
                    [ 'vc-material-mic_none' ],
                    [ 'vc-material-mic_off' ],
                    [ 'vc-material-mms' ],
                    [ 'vc-material-mode_comment' ],
                    [ 'vc-material-monetization_on' ],
                    [ 'vc-material-money_off' ],
                    [ 'vc-material-monochrome_photos' ],
                    [ 'vc-material-mood_bad' ],
                    [ 'vc-material-more' ],
                    [ 'vc-material-more_horiz' ],
                    [ 'vc-material-more_vert' ],
                    [ 'vc-material-motorcycle' ],
                    [ 'vc-material-mouse' ],
                    [ 'vc-material-move_to_inbox' ],
                    [ 'vc-material-movie_creation' ],
                    [ 'vc-material-movie_filter' ],
                    [ 'vc-material-multiline_chart' ],
                    [ 'vc-material-music_note' ],
                    [ 'vc-material-music_video' ],
                    [ 'vc-material-nature' ],
                    [ 'vc-material-nature_people' ],
                    [ 'vc-material-navigation' ],
                    [ 'vc-material-near_me' ],
                    [ 'vc-material-network_cell' ],
                    [ 'vc-material-network_check' ],
                    [ 'vc-material-network_locked' ],
                    [ 'vc-material-network_wifi' ],
                    [ 'vc-material-new_releases' ],
                    [ 'vc-material-next_week' ],
                    [ 'vc-material-nfc' ],
                    [ 'vc-material-no_encryption' ],
                    [ 'vc-material-signal_cellular_no_sim' ],
                    [ 'vc-material-note' ],
                    [ 'vc-material-note_add' ],
                    [ 'vc-material-notifications' ],
                    [ 'vc-material-notifications_active' ],
                    [ 'vc-material-notifications_none' ],
                    [ 'vc-material-notifications_off' ],
                    [ 'vc-material-notifications_paused' ],
                    [ 'vc-material-offline_pin' ],
                    [ 'vc-material-ondemand_video' ],
                    [ 'vc-material-opacity' ],
                    [ 'vc-material-open_in_browser' ],
                    [ 'vc-material-open_with' ],
                    [ 'vc-material-pages' ],
                    [ 'vc-material-pageview' ],
                    [ 'vc-material-pan_tool' ],
                    [ 'vc-material-panorama' ],
                    [ 'vc-material-radio_button_unchecked' ],
                    [ 'vc-material-panorama_horizontal' ],
                    [ 'vc-material-panorama_vertical' ],
                    [ 'vc-material-panorama_wide_angle' ],
                    [ 'vc-material-party_mode' ],
                    [ 'vc-material-pause' ],
                    [ 'vc-material-pause_circle_filled' ],
                    [ 'vc-material-pause_circle_outline' ],
                    [ 'vc-material-people_outline' ],
                    [ 'vc-material-perm_camera_mic' ],
                    [ 'vc-material-perm_contact_calendar' ],
                    [ 'vc-material-perm_data_setting' ],
                    [ 'vc-material-perm_device_information' ],
                    [ 'vc-material-person_outline' ],
                    [ 'vc-material-perm_media' ],
                    [ 'vc-material-perm_phone_msg' ],
                    [ 'vc-material-perm_scan_wifi' ],
                    [ 'vc-material-person' ],
                    [ 'vc-material-person_add' ],
                    [ 'vc-material-person_pin' ],
                    [ 'vc-material-person_pin_circle' ],
                    [ 'vc-material-personal_video' ],
                    [ 'vc-material-pets' ],
                    [ 'vc-material-phone_android' ],
                    [ 'vc-material-phone_bluetooth_speaker' ],
                    [ 'vc-material-phone_forwarded' ],
                    [ 'vc-material-phone_in_talk' ],
                    [ 'vc-material-phone_iphone' ],
                    [ 'vc-material-phone_locked' ],
                    [ 'vc-material-phone_missed' ],
                    [ 'vc-material-phone_paused' ],
                    [ 'vc-material-phonelink_erase' ],
                    [ 'vc-material-phonelink_lock' ],
                    [ 'vc-material-phonelink_off' ],
                    [ 'vc-material-phonelink_ring' ],
                    [ 'vc-material-phonelink_setup' ],
                    [ 'vc-material-photo_album' ],
                    [ 'vc-material-photo_filter' ],
                    [ 'vc-material-photo_size_select_actual' ],
                    [ 'vc-material-photo_size_select_large' ],
                    [ 'vc-material-photo_size_select_small' ],
                    [ 'vc-material-picture_as_pdf' ],
                    [ 'vc-material-picture_in_picture' ],
                    [ 'vc-material-picture_in_picture_alt' ],
                    [ 'vc-material-pie_chart' ],
                    [ 'vc-material-pie_chart_outlined' ],
                    [ 'vc-material-pin_drop' ],
                    [ 'vc-material-play_arrow' ],
                    [ 'vc-material-play_circle_filled' ],
                    [ 'vc-material-play_circle_outline' ],
                    [ 'vc-material-play_for_work' ],
                    [ 'vc-material-playlist_add' ],
                    [ 'vc-material-playlist_add_check' ],
                    [ 'vc-material-playlist_play' ],
                    [ 'vc-material-plus_one' ],
                    [ 'vc-material-polymer' ],
                    [ 'vc-material-pool' ],
                    [ 'vc-material-portable_wifi_off' ],
                    [ 'vc-material-portrait' ],
                    [ 'vc-material-power' ],
                    [ 'vc-material-power_input' ],
                    [ 'vc-material-power_settings_new' ],
                    [ 'vc-material-pregnant_woman' ],
                    [ 'vc-material-present_to_all' ],
                    [ 'vc-material-priority_high' ],
                    [ 'vc-material-public' ],
                    [ 'vc-material-publish' ],
                    [ 'vc-material-queue_music' ],
                    [ 'vc-material-queue_play_next' ],
                    [ 'vc-material-radio' ],
                    [ 'vc-material-radio_button_checked' ],
                    [ 'vc-material-rate_review' ],
                    [ 'vc-material-receipt' ],
                    [ 'vc-material-recent_actors' ],
                    [ 'vc-material-record_voice_over' ],
                    [ 'vc-material-redo' ],
                    [ 'vc-material-refresh' ],
                    [ 'vc-material-remove' ],
                    [ 'vc-material-remove_circle_outline' ],
                    [ 'vc-material-remove_from_queue' ],
                    [ 'vc-material-visibility' ],
                    [ 'vc-material-remove_shopping_cart' ],
                    [ 'vc-material-reorder' ],
                    [ 'vc-material-repeat' ],
                    [ 'vc-material-repeat_one' ],
                    [ 'vc-material-replay' ],
                    [ 'vc-material-replay_10' ],
                    [ 'vc-material-replay_30' ],
                    [ 'vc-material-replay_5' ],
                    [ 'vc-material-reply' ],
                    [ 'vc-material-reply_all' ],
                    [ 'vc-material-report' ],
                    [ 'vc-material-warning' ],
                    [ 'vc-material-restaurant' ],
                    [ 'vc-material-restore_page' ],
                    [ 'vc-material-ring_volume' ],
                    [ 'vc-material-room_service' ],
                    [ 'vc-material-rotate_90_degrees_ccw' ],
                    [ 'vc-material-rotate_left' ],
                    [ 'vc-material-rotate_right' ],
                    [ 'vc-material-rounded_corner' ],
                    [ 'vc-material-router' ],
                    [ 'vc-material-rowing' ],
                    [ 'vc-material-rss_feed' ],
                    [ 'vc-material-rv_hookup' ],
                    [ 'vc-material-satellite' ],
                    [ 'vc-material-save' ],
                    [ 'vc-material-scanner' ],
                    [ 'vc-material-school' ],
                    [ 'vc-material-screen_lock_landscape' ],
                    [ 'vc-material-screen_lock_portrait' ],
                    [ 'vc-material-screen_lock_rotation' ],
                    [ 'vc-material-screen_rotation' ],
                    [ 'vc-material-screen_share' ],
                    [ 'vc-material-sd_storage' ],
                    [ 'vc-material-search' ],
                    [ 'vc-material-security' ],
                    [ 'vc-material-select_all' ],
                    [ 'vc-material-send' ],
                    [ 'vc-material-sentiment_dissatisfied' ],
                    [ 'vc-material-sentiment_neutral' ],
                    [ 'vc-material-sentiment_satisfied' ],
                    [ 'vc-material-sentiment_very_dissatisfied' ],
                    [ 'vc-material-sentiment_very_satisfied' ],
                    [ 'vc-material-settings' ],
                    [ 'vc-material-settings_applications' ],
                    [ 'vc-material-settings_backup_restore' ],
                    [ 'vc-material-settings_bluetooth' ],
                    [ 'vc-material-settings_brightness' ],
                    [ 'vc-material-settings_cell' ],
                    [ 'vc-material-settings_ethernet' ],
                    [ 'vc-material-settings_input_antenna' ],
                    [ 'vc-material-settings_input_composite' ],
                    [ 'vc-material-settings_input_hdmi' ],
                    [ 'vc-material-settings_input_svideo' ],
                    [ 'vc-material-settings_overscan' ],
                    [ 'vc-material-settings_phone' ],
                    [ 'vc-material-settings_power' ],
                    [ 'vc-material-settings_remote' ],
                    [ 'vc-material-settings_system_daydream' ],
                    [ 'vc-material-settings_voice' ],
                    [ 'vc-material-share' ],
                    [ 'vc-material-shop' ],
                    [ 'vc-material-shop_two' ],
                    [ 'vc-material-shopping_basket' ],
                    [ 'vc-material-short_text' ],
                    [ 'vc-material-show_chart' ],
                    [ 'vc-material-shuffle' ],
                    [ 'vc-material-signal_cellular_4_bar' ],
                    [ 'vc-material-signal_cellular_connected_no_internet_4_bar' ],
                    [ 'vc-material-signal_cellular_null' ],
                    [ 'vc-material-signal_cellular_off' ],
                    [ 'vc-material-signal_wifi_4_bar' ],
                    [ 'vc-material-signal_wifi_4_bar_lock' ],
                    [ 'vc-material-signal_wifi_off' ],
                    [ 'vc-material-sim_card' ],
                    [ 'vc-material-sim_card_alert' ],
                    [ 'vc-material-skip_next' ],
                    [ 'vc-material-skip_previous' ],
                    [ 'vc-material-slideshow' ],
                    [ 'vc-material-slow_motion_video' ],
                    [ 'vc-material-stay_primary_portrait' ],
                    [ 'vc-material-smoke_free' ],
                    [ 'vc-material-smoking_rooms' ],
                    [ 'vc-material-textsms' ],
                    [ 'vc-material-snooze' ],
                    [ 'vc-material-sort' ],
                    [ 'vc-material-sort_by_alpha' ],
                    [ 'vc-material-spa' ],
                    [ 'vc-material-space_bar' ],
                    [ 'vc-material-speaker' ],
                    [ 'vc-material-speaker_group' ],
                    [ 'vc-material-speaker_notes' ],
                    [ 'vc-material-speaker_notes_off' ],
                    [ 'vc-material-speaker_phone' ],
                    [ 'vc-material-spellcheck' ],
                    [ 'vc-material-star_border' ],
                    [ 'vc-material-star_half' ],
                    [ 'vc-material-stars' ],
                    [ 'vc-material-stay_primary_landscape' ],
                    [ 'vc-material-stop' ],
                    [ 'vc-material-stop_screen_share' ],
                    [ 'vc-material-storage' ],
                    [ 'vc-material-store_mall_directory' ],
                    [ 'vc-material-straighten' ],
                    [ 'vc-material-streetview' ],
                    [ 'vc-material-strikethrough_s' ],
                    [ 'vc-material-style' ],
                    [ 'vc-material-subdirectory_arrow_left' ],
                    [ 'vc-material-subdirectory_arrow_right' ],
                    [ 'vc-material-subject' ],
                    [ 'vc-material-subscriptions' ],
                    [ 'vc-material-subtitles' ],
                    [ 'vc-material-subway' ],
                    [ 'vc-material-supervisor_account' ],
                    [ 'vc-material-surround_sound' ],
                    [ 'vc-material-swap_calls' ],
                    [ 'vc-material-swap_horiz' ],
                    [ 'vc-material-swap_vert' ],
                    [ 'vc-material-swap_vertical_circle' ],
                    [ 'vc-material-switch_camera' ],
                    [ 'vc-material-switch_video' ],
                    [ 'vc-material-sync_disabled' ],
                    [ 'vc-material-sync_problem' ],
                    [ 'vc-material-system_update' ],
                    [ 'vc-material-system_update_alt' ],
                    [ 'vc-material-tab' ],
                    [ 'vc-material-tab_unselected' ],
                    [ 'vc-material-tablet' ],
                    [ 'vc-material-tablet_android' ],
                    [ 'vc-material-tablet_mac' ],
                    [ 'vc-material-tap_and_play' ],
                    [ 'vc-material-text_fields' ],
                    [ 'vc-material-text_format' ],
                    [ 'vc-material-texture' ],
                    [ 'vc-material-thumb_down' ],
                    [ 'vc-material-thumb_up' ],
                    [ 'vc-material-thumbs_up_down' ],
                    [ 'vc-material-timelapse' ],
                    [ 'vc-material-timeline' ],
                    [ 'vc-material-timer' ],
                    [ 'vc-material-timer_10' ],
                    [ 'vc-material-timer_3' ],
                    [ 'vc-material-timer_off' ],
                    [ 'vc-material-title' ],
                    [ 'vc-material-toc' ],
                    [ 'vc-material-today' ],
                    [ 'vc-material-toll' ],
                    [ 'vc-material-tonality' ],
                    [ 'vc-material-touch_app' ],
                    [ 'vc-material-toys' ],
                    [ 'vc-material-track_changes' ],
                    [ 'vc-material-traffic' ],
                    [ 'vc-material-train' ],
                    [ 'vc-material-tram' ],
                    [ 'vc-material-transfer_within_a_station' ],
                    [ 'vc-material-transform' ],
                    [ 'vc-material-translate' ],
                    [ 'vc-material-trending_down' ],
                    [ 'vc-material-trending_flat' ],
                    [ 'vc-material-trending_up' ],
                    [ 'vc-material-tune' ],
                    [ 'vc-material-tv' ],
                    [ 'vc-material-unarchive' ],
                    [ 'vc-material-undo' ],
                    [ 'vc-material-unfold_less' ],
                    [ 'vc-material-unfold_more' ],
                    [ 'vc-material-update' ],
                    [ 'vc-material-usb' ],
                    [ 'vc-material-verified_user' ],
                    [ 'vc-material-vertical_align_bottom' ],
                    [ 'vc-material-vertical_align_center' ],
                    [ 'vc-material-vertical_align_top' ],
                    [ 'vc-material-vibration' ],
                    [ 'vc-material-video_call' ],
                    [ 'vc-material-video_label' ],
                    [ 'vc-material-video_library' ],
                    [ 'vc-material-videocam' ],
                    [ 'vc-material-videocam_off' ],
                    [ 'vc-material-videogame_asset' ],
                    [ 'vc-material-view_agenda' ],
                    [ 'vc-material-view_array' ],
                    [ 'vc-material-view_carousel' ],
                    [ 'vc-material-view_column' ],
                    [ 'vc-material-view_comfy' ],
                    [ 'vc-material-view_compact' ],
                    [ 'vc-material-view_day' ],
                    [ 'vc-material-view_headline' ],
                    [ 'vc-material-view_list' ],
                    [ 'vc-material-view_module' ],
                    [ 'vc-material-view_quilt' ],
                    [ 'vc-material-view_stream' ],
                    [ 'vc-material-view_week' ],
                    [ 'vc-material-vignette' ],
                    [ 'vc-material-visibility_off' ],
                    [ 'vc-material-voice_chat' ],
                    [ 'vc-material-voicemail' ],
                    [ 'vc-material-volume_down' ],
                    [ 'vc-material-volume_mute' ],
                    [ 'vc-material-volume_off' ],
                    [ 'vc-material-volume_up' ],
                    [ 'vc-material-vpn_key' ],
                    [ 'vc-material-vpn_lock' ],
                    [ 'vc-material-wallpaper' ],
                    [ 'vc-material-watch' ],
                    [ 'vc-material-watch_later' ],
                    [ 'vc-material-wb_auto' ],
                    [ 'vc-material-wb_incandescent' ],
                    [ 'vc-material-wb_iridescent' ],
                    [ 'vc-material-wb_sunny' ],
                    [ 'vc-material-wc' ],
                    [ 'vc-material-web' ],
                    [ 'vc-material-web_asset' ],
                    [ 'vc-material-weekend' ],
                    [ 'vc-material-whatshot' ],
                    [ 'vc-material-widgets' ],
                    [ 'vc-material-wifi' ],
                    [ 'vc-material-wifi_lock' ],
                    [ 'vc-material-wifi_tethering' ],
                    [ 'vc-material-work' ],
                    [ 'vc-material-wrap_text' ],
                    [ 'vc-material-youtube_searched_for' ],
                    [ 'vc-material-zoom_in' ],
                    [ 'vc-material-zoom_out' ],
                    [ 'vc-material-zoom_out_map' ]
                ];

            break;

            default:

                icons = typeof ueldo_custom_icons[library] != 'undefined' ? ueldo_custom_icons[library] : [];

            break;
        }

        return( icons );
    };

   /**
    *
    * get icon slug
    *
    */

    $.UeldoThemeOptionsGetIconLibrarySlug = function( library ) {

        var icon_slug = '';
        switch( library ) {

            case 'fontawesome': icon_slug = 'fa'; break;
            case 'openiconic': icon_slug = 'vc-oi'; break;
            case 'typicons': icon_slug = 'typcn'; break;
            case 'entypo': icon_slug = 'entypo-icon'; break;
            case 'linecons': icon_slug = 'vc_li'; break;
            case 'monosocial': icon_slug = 'vc-mono'; break;
            case 'material': icon_slug = 'vc-material'; break;
        }

        return( icon_slug );
    };

   /**
    *
    * display icons for iconpicker
    *
    */

    $( 'body' ).on( 'click', '.ueldo-theme-options-iconpicker-button', function() {

        var iconpicker = $( this ).parents( '.ueldo-theme-options-iconpicker' );
        var library = iconpicker.data( 'icon-library' );
        var icons = $.UeldoThemeOptionsGetIconPickerIcons( library );
        var iconlist = iconpicker.find( '.ueldo-theme-options-iconpicker-icons-list' );
        var iconlistContainer = iconlist.find( '.ueldo-theme-options-iconpicker-icons-list-container' );

        if( iconlist.data( 'visible' ) == 'no' ) {

            var icon_slug = $.UeldoThemeOptionsGetIconLibrarySlug( library );
            for( var i = 0; i < icons.length; i++ ) {

                var icon = icons[i][0];
                var iconSearch = icons[i][0];

                if( Array.isArray( icons[i] ) == true ) {

                    for( var j = 1; j < icons[i].length; j++ ) {

                        iconSearch = iconSearch +' '+ icons[i][j];
                    }
                }

                iconlistContainer.append( '<span class="ueldo-theme-options-iconpicker-icons-list-single-icon" data-icon-search="'+ iconSearch +'" data-icon-class="'+ icon +'" data-visible="yes"><i class="'+ icon_slug +' '+ icon +'"></i></span>' );
            }

            iconlistContainer.find( '.ueldo-theme-options-iconpicker-icons-list-not-found-icons' ).remove();
            iconlistContainer.append( '<span class="ueldo-theme-options-iconpicker-icons-list-not-found-icons" data-visible="no">'+ ueldo_theme_options_javascript_functions_l10n.not_found_any_icons +'</span>' );

            iconlist.data( 'visible', 'yes' ).attr( 'data-visible', 'yes' );
            iconpicker.addClass( 'ueldo-theme-options-iconpicker-active' );

            $.UeldoThemeOptionsUpdateLastIconsStylesForIconPicker( iconlist );
        }

        else {

            iconlist.data( 'visible', 'no' ).attr( 'data-visible', 'no' );
            iconlist.find( 'input[type="text"]' ).val( '' ).attr( 'value', '' );
            iconlistContainer.find( '.ueldo-theme-options-iconpicker-icons-list-single-icon' ).remove();
            iconlistContainer.find( '.ueldo-theme-options-iconpicker-icons-list-not-found-icons' ).remove();
            iconpicker.removeClass( 'ueldo-theme-options-iconpicker-active' );
        }

    });

   /**
    *
    * filter the icons in iconpicker
    *
    */

    $( 'body' ).on( 'input', '.ueldo-theme-options-iconpicker .ueldo-theme-options-iconpicker-icons-list input[type="text"]', function() {

        var searchField = $( this );
        var searchFieldValue = searchField.val();
        var iconpicker = searchField.parents( '.ueldo-theme-options-iconpicker' );
        var iconlist = iconpicker.find( '.ueldo-theme-options-iconpicker-icons-list' );
        var anyIconFound = false;

        iconlist.find( '.ueldo-theme-options-iconpicker-icons-list-single-icon' ).each( function() {

            var singleIcon = $( this );
            var singleIconSearch = singleIcon.data( 'icon-search' );

            if( singleIconSearch.indexOf( searchFieldValue.toLowerCase() ) < 0 ) singleIcon.data( 'visible', 'no' ).attr( 'data-visible', 'no' );
            else {

                singleIcon.data( 'visible', 'yes' ).attr( 'data-visible', 'yes' );
                anyIconFound = true;
            }

        });

        if( anyIconFound == false ) iconlist.find( '.ueldo-theme-options-iconpicker-icons-list-not-found-icons' ).data( 'visible', 'yes' ).attr( 'data-visible', 'yes' );
        else iconlist.find( '.ueldo-theme-options-iconpicker-icons-list-not-found-icons' ).data( 'visible', 'no' ).attr( 'data-visible', 'no' );

        $.UeldoThemeOptionsUpdateLastIconsStylesForIconPicker( iconlist );

    });

   /**
    *
    * update styles for last in row and last in list icons
    *
    */

    $.UeldoThemeOptionsUpdateLastIconsStylesForIconPicker = function( iconpicker ) {

        var nth = 0;
        var iconsVisible = iconpicker.find( '.ueldo-theme-options-iconpicker-icons-list-single-icon[data-visible="yes"]' );

        var mod = iconsVisible.length % 8;
        if( mod == 0 && iconsVisible.length == 8 ) mod = 8;

        iconsVisible.css({ 'border-bottom': '' });
        if( mod !== 0 ) {

            for( var i = 0; i < mod; i++ ) {

                $( iconsVisible[(iconsVisible.length - 1 - i)] ).css({ 'border-bottom': 'none' });
            }
        }

        iconpicker.find( '.ueldo-theme-options-iconpicker-icons-list-single-icon' ).each( function() {

            var singleIcon = $( this );

            if( singleIcon.data( 'visible' ) == 'no' ) {

                singleIcon.css({ 'border-right': '', 'border-left': '', 'width': '' });
            }

            else {

                if( nth == 7 ) {

                    nth = 0;
                    singleIcon.css({ 'border-right': 'none', 'border-left': 'none', 'width': '12.5%' });
                }

                else {

                    nth += 1;
                    singleIcon.css({ 'border-right': '', 'border-left': '', 'width': '' });
                }
            }

        });

    };

   /**
    *
    * select icon
    *
    */

    $( 'body' ).on( 'click', '.ueldo-theme-options-iconpicker .ueldo-theme-options-iconpicker-icons-list-single-icon', function() {

        var iconOption = $( this );
        var iconClass = iconOption.data( 'icon-class' );
        var iconpicker = iconOption.parents( '.ueldo-theme-options-iconpicker' );
        var iconlist = iconpicker.find( '.ueldo-theme-options-iconpicker-icons-list' );
        var button = iconpicker.find( '.ueldo-theme-options-iconpicker-button' );
        var library = iconpicker.data( 'icon-library' );
        var icon_slug = $.UeldoThemeOptionsGetIconLibrarySlug( library );

        button.find( 'i' ).removeClass().addClass( icon_slug +' '+ iconClass );
        button.find( 'input[type="hidden"]' ).val( icon_slug +' '+ iconClass ).attr( 'value', icon_slug +' '+ iconClass );

        iconlist.data( 'visible', 'no' ).attr( 'data-visible', 'no' );
        iconlist.find( 'input[type="text"]' ).val( '' ).attr( 'value', '' );
        iconlist.find( '.ueldo-theme-options-iconpicker-icons-list-single-icon' ).remove();

        iconpicker.removeClass( 'ueldo-theme-options-iconpicker-active' );

    });

   /**
    *
    * manage single map marker options
    * - use custom marker icon
    *
    */

    $( 'body' ).on( 'change', 'select.ueldo-theme-options-google-maps-creation-map-markers-field-use-custom-marker', function() {

        var field = $( this );
        var fieldValue = field.val();
        var fieldGroup = field.parents( '.ueldo-theme-options-google-maps-creation-map-markers-field-single-marker-details-fields-group' );

        var librarySelector = fieldGroup.find( '.ueldo-theme-options-google-maps-creation-map-markers-field-depended[data-depended-name="icon-library-selector"]' );
        var iconpicker = fieldGroup.find( '.ueldo-theme-options-google-maps-creation-map-markers-field-depended[data-depended-name="iconpicker"]' );
        var iconColors = fieldGroup.find( '.ueldo-theme-options-google-maps-creation-map-markers-field-depended[data-depended-name="icon-colors"]' );
        var markerImage = fieldGroup.find( '.ueldo-theme-options-google-maps-creation-map-markers-field-depended[data-depended-name="marker-image"]' );

        switch( fieldValue ) {

            case 'no':

                librarySelector.data( 'visible', 'no' ).attr( 'data-visible', 'no' );
                iconpicker.data( 'visible', 'no' ).attr( 'data-visible', 'no' );
                iconColors.data( 'visible', 'no' ).attr( 'data-visible', 'no' );
                markerImage.data( 'visible', 'no' ).attr( 'data-visible', 'no' );

            break;

            case 'yes-icon':

                librarySelector.data( 'visible', 'yes' ).attr( 'data-visible', 'yes' );
                iconpicker.data( 'visible', 'yes' ).attr( 'data-visible', 'yes' );
                iconColors.data( 'visible', 'yes' ).attr( 'data-visible', 'yes' );
                markerImage.data( 'visible', 'no' ).attr( 'data-visible', 'no' );

            break;

            case 'yes-image':

                librarySelector.data( 'visible', 'no' ).attr( 'data-visible', 'no' );
                iconpicker.data( 'visible', 'no' ).attr( 'data-visible', 'no' );
                iconColors.data( 'visible', 'no' ).attr( 'data-visible', 'no' );
                markerImage.data( 'visible', 'yes' ).attr( 'data-visible', 'yes' );

            break;
        }

    });

   /**
    *
    * show / hide icon container border radius (px)
    *
    */

    $( 'body' ).on( 'change', 'select.ueldo-theme-options-google-maps-creation-map-markers-field-icon-container-border-radius', function() {

        var field = $( this );
        var fieldValue = field.val();

        var fieldGroup = field.parents( '.ueldo-theme-options-google-maps-creation-map-markers-field-single-marker-details-fields-group' );
        var dependedField = fieldGroup.find( '.ueldo-theme-options-google-maps-creation-map-markers-field-depended[data-depended-name="icon-border-radius-px"]' );

        if( fieldValue == 'px' ) dependedField.data( 'visible', 'yes' ).attr( 'data-visible', 'yes' );
        else dependedField.data( 'visible', 'no' ).attr( 'data-visible', 'no' );

    });

   /**
    *
    * manage single map marker options
    * - choose icon library
    *
    */

    $( 'body' ).on( 'change', 'select.ueldo-theme-options-google-maps-creation-map-markers-field-icon-library-selector', function() {

        var field = $( this );
        var library = field.val();
        var fieldGroup = field.parents( '.ueldo-theme-options-google-maps-creation-map-markers-field-single-marker-details-fields-group' );
        var iconpicker = fieldGroup.find( '.ueldo-theme-options-iconpicker' );
        var iconlist = iconpicker.find( '.ueldo-theme-options-iconpicker-icons-list' );

        var icon_slug = $.UeldoThemeOptionsGetIconLibrarySlug( library );
        var icons = $.UeldoThemeOptionsGetIconPickerIcons( library );
        var newIconClass = icon_slug +' '+ icons[0];

        iconpicker.data( 'icon-library', library ).attr( 'data-icon-library', library );
        iconpicker.find( '.ueldo-theme-options-iconpicker-selected-icon i' ).removeClass().addClass( newIconClass );
        iconpicker.find( '.ueldo-theme-options-iconpicker-button input[type="hidden"]' ).val( newIconClass ).attr( 'value', newIconClass );

        iconlist.data( 'visible', 'no' ).attr( 'data-visible', 'no' );
        iconlist.find( 'input[type="text"]' ).val( '' ).attr( 'value', '' );
        iconlist.find( '.ueldo-theme-options-iconpicker-icons-list-single-icon' ).remove();

    });

   /**
    *
    * open / hide single marker options
    *
    */

    $( 'body' ).on( 'click', '.ueldo-theme-options-google-maps-creation-map-markers-field-single-marker-edit', function() {

        var marker = $( this ).parents( '.ueldo-theme-options-google-maps-creation-map-markers-field-single-marker' );
        var markerOptions = marker.find( '.ueldo-theme-options-google-maps-creation-map-markers-field-single-marker-details' );

        if( markerOptions.data( 'visible' ) == 'no' ) markerOptions.data( 'visible', 'yes' ).attr( 'data-visible', 'yes' );
        else markerOptions.data( 'visible', 'no' ).attr( 'data-visible', 'no' );

    });

   /**
    *
    * add new marker
    *
    */

    $( 'body' ).on( 'click', '.ueldo-theme-options-google-maps-creation-add-new-marker', function() {

        var button = $( this );
        var markersField = button.siblings( '.ueldo-theme-options-google-maps-creation-map-markers-field' );
        var nextMarkerIDField = markersField.children( 'input[type="hidden"]' );
        var nextMarkerID = parseInt( nextMarkerIDField.val(), 10 );
        var mapID = markersField.data( 'map-id' );

        markersField.find( '.ueldo-theme-options-google-maps-creation-map-markers-field-single-marker .ueldo-theme-options-google-maps-creation-map-markers-field-single-marker-details' ).data( 'visible', 'no' ).attr( 'data-visible', 'no' );
        nextMarkerIDField.val( nextMarkerID + 1 ).attr( 'value', nextMarkerID + 1 );

        markersField.append( '<div class="ueldo-theme-options-google-maps-creation-map-markers-field-single-marker"><div class="ueldo-theme-options-google-maps-creation-map-markers-field-single-marker-data"><span class="ueldo-theme-options-google-maps-creation-map-markers-field-single-marker-remove-confirm" data-visible="no">'+ ueldo_theme_options_javascript_functions_l10n.confirm_the_deletion +'</span> <span class="ueldo-theme-options-google-maps-creation-map-markers-field-single-marker-remove" data-visible="yes"></span> <span class="ueldo-theme-options-google-maps-creation-map-markers-field-single-marker-edit"><i class="fa fa-pencil"></i></span> <span data-element-type="location">'+ ueldo_theme_options_javascript_functions_l10n.map_marker_title_value +'</span></div><div class="ueldo-theme-options-google-maps-creation-map-markers-field-single-marker-details" data-visible="yes"><div class="ueldo-theme-options-google-maps-creation-map-markers-field-single-marker-details-fields-group"><h5>'+ ueldo_theme_options_javascript_functions_l10n.map_marker_title +'</h5><input type="text" name="ueldo_theme_options[google-maps][google-map-'+ mapID +'-markers-marker-'+ nextMarkerID +'-title]" value="'+ ueldo_theme_options_javascript_functions_l10n.map_marker_title_value +'" class="ueldo-theme-options-google-maps-creation-map-markers-field-marker-title" /></div><div class="ueldo-theme-options-google-maps-creation-map-markers-field-single-marker-details-fields-group"><h5>'+ ueldo_theme_options_javascript_functions_l10n.map_marker_latitude +'</h5><input type="text" name="ueldo_theme_options[google-maps][google-map-'+ mapID +'-markers-marker-'+ nextMarkerID +'-lat]" value="" /><h5>'+ ueldo_theme_options_javascript_functions_l10n.map_marker_longitude +'</h5><input type="text" name="ueldo_theme_options[google-maps][google-map-'+ mapID +'-markers-marker-'+ nextMarkerID +'-lng]" value="" /><p><a href="https://support.google.com/maps/answer/18539" target="_blank">'+ ueldo_theme_options_javascript_functions_l10n.find_out_how_to_get_map_coordinates_here +'</a></p></div><div class="ueldo-theme-options-google-maps-creation-map-markers-field-single-marker-details-fields-group"><h5>'+ ueldo_theme_options_javascript_functions_l10n.use_custom_marker_icon +'</h5><select name="ueldo_theme_options[google-maps][google-map-'+ mapID +'-markers-marker-'+ nextMarkerID +'-use-custom-marker]" class="ueldo-theme-options-google-maps-creation-map-markers-field-use-custom-marker"><option value="no" selected>'+ ueldo_theme_options_javascript_functions_l10n.no +'</option><option value="yes-icon">'+ ueldo_theme_options_javascript_functions_l10n.yes_icon +'</option><option value="yes-image">'+ ueldo_theme_options_javascript_functions_l10n.yes_image +'</option></select><div class="ueldo-theme-options-google-maps-creation-map-markers-field-depended" data-depended-name="icon-library-selector" data-visible="no"><h5>'+ ueldo_theme_options_javascript_functions_l10n.icon_library +'</h5><select name="ueldo_theme_options[google-maps][google-map-'+ mapID +'-markers-marker-'+ nextMarkerID +'-custom-icon-library]" class="ueldo-theme-options-google-maps-creation-map-markers-field-icon-library-selector"><option value="fontawesome" selected>'+ ueldo_theme_options_javascript_functions_l10n.fontawesome +'</option>'+ ( ueldo_theme_options_javascript_functions_l10n.is_visual_composer_active == 'yes' ? ( '<option value="openiconic">'+ ueldo_theme_options_javascript_functions_l10n.openiconic +'</option><option value="typicons">'+ ueldo_theme_options_javascript_functions_l10n.typicons +'</option><option value="entypo">'+ ueldo_theme_options_javascript_functions_l10n.entypo +'</option><option value="linecons">'+ ueldo_theme_options_javascript_functions_l10n.linecons +'</option><option value="monosocial">'+ ueldo_theme_options_javascript_functions_l10n.monosocial +'</option><option value="material">'+ ueldo_theme_options_javascript_functions_l10n.material +'</option>' ) : '' ) +'</select></div><div class="ueldo-theme-options-google-maps-creation-map-markers-field-depended" data-depended-name="iconpicker" data-visible="no"><h5>'+ ueldo_theme_options_javascript_functions_l10n.icon +'</h5><div class="ueldo-theme-options-iconpicker" data-icon-library="fontawesome"><div class="ueldo-theme-options-iconpicker-button"><span class="ueldo-theme-options-iconpicker-selected-icon"><i class="fa fa-address-book"></i></span><input type="hidden" name="ueldo_theme_options[google-maps][google-map-'+ mapID +'-markers-marker-'+ nextMarkerID +'-custom-icon]" value="fa fa-address-book" /></div><div class="ueldo-theme-options-iconpicker-icons-list" data-visible="no"><input type="text" name="" placeholder="'+ ueldo_theme_options_javascript_functions_l10n.search +'" /><div class="ueldo-theme-options-iconpicker-icons-list-container"></div></div></div></div><div class="ueldo-theme-options-google-maps-creation-map-markers-field-depended" data-depended-name="icon-colors" data-visible="no"><h5>'+ ueldo_theme_options_javascript_functions_l10n.icon_size +'</h5><span class="ueldo-theme-options-px-field"><input type="text" class="ueldo-validate-number-field" data-number-field-minus-allowed="no" name="ueldo_theme_options[google-maps][google-map-'+ mapID +'-markers-marker-'+ nextMarkerID +'-custom-icon-size]" value="18" /></span><h5>'+ ueldo_theme_options_javascript_functions_l10n.icon_container_width +'</h5><span class="ueldo-theme-options-px-field"><input type="text" class="ueldo-validate-number-field" data-number-field-minus-allowed="no" name="ueldo_theme_options[google-maps][google-map-'+ mapID +'-markers-marker-'+ nextMarkerID +'-custom-icon-width]" value="36" /></span><h5>'+ ueldo_theme_options_javascript_functions_l10n.icon_container_height +'</h5><span class="ueldo-theme-options-px-field"><input type="text" class="ueldo-validate-number-field" data-number-field-minus-allowed="no" name="ueldo_theme_options[google-maps][google-map-'+ mapID +'-markers-marker-'+ nextMarkerID +'-custom-icon-height]" value="36" /></span><h5>'+ ueldo_theme_options_javascript_functions_l10n.icon_container_border_radius +'</h5><select name="ueldo_theme_options[google-maps][google-map-'+ mapID +'-markers-marker-'+ nextMarkerID +'-custom-icon-border-radius]" class="ueldo-theme-options-google-maps-creation-map-markers-field-icon-container-border-radius"><option value="circle" selected="selected">'+ ueldo_theme_options_javascript_functions_l10n.circle_100_percent +'</option><option value="px">'+ ueldo_theme_options_javascript_functions_l10n.pixels +'</option></select><div class="ueldo-theme-options-google-maps-creation-map-markers-field-depended" data-depended-name="icon-border-radius-px" data-visible="no"><h5>'+ ueldo_theme_options_javascript_functions_l10n.icon_container_border_radius_pixels +'</h5><span class="ueldo-theme-options-px-field"><input type="text" class="ueldo-validate-number-field" data-number-field-minus-allowed="no" name="ueldo_theme_options[google-maps][google-map-'+ mapID +'-markers-marker-'+ nextMarkerID +'-custom-icon-border-radius-px]" value="4" /></span></div><h5>'+ ueldo_theme_options_javascript_functions_l10n.icon_color +'</h5><input type="text" name="ueldo_theme_options[google-maps][google-map-'+ mapID +'-markers-marker-'+ nextMarkerID +'-custom-icon-color]" value="'+ ueldo_theme_options_javascript_functions_l10n.style_general_colors_google_map_marker_icon_color +'" class="ueldo-alpha-color-picker" data-alpha="true" data-default-color="'+ ueldo_theme_options_javascript_functions_l10n.style_general_colors_google_map_marker_icon_color +'" /><h5>'+ ueldo_theme_options_javascript_functions_l10n.icon_background_color +'</h5><input type="text" name="ueldo_theme_options[google-maps][google-map-'+ mapID +'-markers-marker-'+ nextMarkerID +'-custom-icon-background-color]" value="'+ ueldo_theme_options_javascript_functions_l10n.style_general_colors_google_map_marker_icon_container_background_color +'" class="ueldo-alpha-color-picker" data-alpha="true" data-default-color="'+ ueldo_theme_options_javascript_functions_l10n.style_general_colors_google_map_marker_icon_container_background_color +'" /><h5>'+ ueldo_theme_options_javascript_functions_l10n.icon_box_shadow +'</h5><div class="ueldo-theme-options-box-shadow-field"><div class="ueldo-theme-options-box-shadow-field-single-value"><span class="ueldo-theme-options-box-shadow-field-single-value-title">'+ ueldo_theme_options_javascript_functions_l10n.horizontal_length +'</span><span class="ueldo-theme-options-box-shadow-field-single-value-field"><input type="text" class="ueldo-validate-number-field" data-number-field-minus-allowed="yes" name="ueldo_theme_options[google-maps][google-map-'+ mapID +'-markers-marker-'+ nextMarkerID +'-custom-icon-box-shadow-horizontal-length]" value="'+ ueldo_theme_options_javascript_functions_l10n.style_general_colors_google_map_marker_icon_container_box_shadow_horizontal_length +'" /></span></div><div class="ueldo-theme-options-box-shadow-field-single-value"><span class="ueldo-theme-options-box-shadow-field-single-value-title">'+ ueldo_theme_options_javascript_functions_l10n.vertical_length +'</span><span class="ueldo-theme-options-box-shadow-field-single-value-field"><input type="text" class="ueldo-validate-number-field" data-number-field-minus-allowed="yes" name="ueldo_theme_options[google-maps][google-map-'+ mapID +'-markers-marker-'+ nextMarkerID +'-custom-icon-box-shadow-vertical-length]" value="'+ ueldo_theme_options_javascript_functions_l10n.style_general_colors_google_map_marker_icon_container_box_shadow_vertical_length +'" /></span></div><div class="ueldo-theme-options-box-shadow-field-single-value"><span class="ueldo-theme-options-box-shadow-field-single-value-title">'+ ueldo_theme_options_javascript_functions_l10n.blur_radius +'</span><span class="ueldo-theme-options-box-shadow-field-single-value-field"><input type="text" class="ueldo-validate-number-field" data-number-field-minus-allowed="yes" name="ueldo_theme_options[google-maps][google-map-'+ mapID +'-markers-marker-'+ nextMarkerID +'-custom-icon-box-shadow-blur-radius]" value="'+ ueldo_theme_options_javascript_functions_l10n.style_general_colors_google_map_marker_icon_container_box_shadow_blur_radius +'" /></span></div><div class="ueldo-theme-options-box-shadow-field-single-value"><span class="ueldo-theme-options-box-shadow-field-single-value-title">'+ ueldo_theme_options_javascript_functions_l10n.spread_radius +'</span><span class="ueldo-theme-options-box-shadow-field-single-value-field"><input type="text" class="ueldo-validate-number-field" data-number-field-minus-allowed="yes" name="ueldo_theme_options[google-maps][google-map-'+ mapID +'-markers-marker-'+ nextMarkerID +'-custom-icon-box-shadow-spread-radius]" value="'+ ueldo_theme_options_javascript_functions_l10n.style_general_colors_google_map_marker_icon_container_box_shadow_spread_radius +'" /></span></div><div class="ueldo-theme-options-box-shadow-field-single-value"><span class="ueldo-theme-options-box-shadow-field-single-value-title">'+ ueldo_theme_options_javascript_functions_l10n.color +'</span><input type="text" name="ueldo_theme_options[google-maps][google-map-'+ mapID +'-markers-marker-'+ nextMarkerID +'-custom-icon-box-shadow-color]" value="'+ ueldo_theme_options_javascript_functions_l10n.style_general_colors_google_map_marker_icon_container_box_shadow_color +'" class="ueldo-alpha-color-picker" data-alpha="true" data-default-color="'+ ueldo_theme_options_javascript_functions_l10n.style_general_colors_google_map_marker_icon_container_box_shadow_color +'" /></div></div></div><div class="ueldo-theme-options-google-maps-creation-map-markers-field-depended" data-depended-name="marker-image" data-visible="no"><h5>'+ ueldo_theme_options_javascript_functions_l10n.marker_image +'</h5><div class="ueldo-theme-options-google-maps-creation-map-markers-field-image-selection-container"><input type="hidden" name="ueldo_theme_options[google-maps][google-map-'+ mapID +'-markers-marker-'+ nextMarkerID +'-custom-marker-image]" value="" /><input type="button" class="button ueldo-media-button" value="'+ ueldo_theme_options_javascript_functions_l10n.select_image +'" /></div></div></div></div></div>' );

        $( 'input.ueldo-alpha-color-picker' ).wpColorPicker();

    });

   /**
    *
    * remove marker
    *
    */

    $( 'body' ).on( 'click', '.ueldo-theme-options-google-maps-creation-map-markers-field-single-marker-remove', function() {

        var marker = $( this ).parents( '.ueldo-theme-options-google-maps-creation-map-markers-field-single-marker' );

        marker.find( '.ueldo-theme-options-google-maps-creation-map-markers-field-single-marker-remove-confirm' ).data( 'visible', 'yes' ).attr( 'data-visible', 'yes' );
        marker.find( '.ueldo-theme-options-google-maps-creation-map-markers-field-single-marker-remove' ).data( 'visible', 'no' ).attr( 'data-visible', 'no' );

    });

    $( 'body' ).on( 'click', '.ueldo-theme-options-google-maps-creation-map-markers-field-single-marker-remove-confirm[data-visible="yes"]', function() {

        var marker = $( this ).parents( '.ueldo-theme-options-google-maps-creation-map-markers-field-single-marker' );
        marker.remove();

    });

   /**
    *
    * update marker title live
    *
    */

    $( 'body' ).on( 'input', 'input[type="text"].ueldo-theme-options-google-maps-creation-map-markers-field-marker-title', function() {

        var markerTitleField = $( this );
        var markerTitle = $.UeldoThemeOptionsEscapeHTML( markerTitleField.val() );
        var markerOptions = markerTitleField.parents( '.ueldo-theme-options-google-maps-creation-map-markers-field-single-marker' );
        var markerOptionsTitle = markerOptions.find( '.ueldo-theme-options-google-maps-creation-map-markers-field-single-marker-data span[data-element-type="location"]' );

        markerOptionsTitle.html( markerTitle );

    });

   /**
    *
    * escape html from string
    *
    */

    $.UeldoThemeOptionsEscapeHTML = function( string ) {

        var entityMap = {
            '&': '&amp;',
            '<': '&lt;',
            '>': '&gt;',
            '"': '&quot;',
            "'": '&#39;',
            '/': '&#x2F;',
            '`': '&#x60;',
            '=': '&#x3D;'
        };

        return String( string ).replace( /[&<>"'`=\/]/g, function( s ) { return entityMap[ s ]; });
    };

   /**
    *
    * open / hide single map options
    *
    */

    $( 'body' ).on( 'click', '.ueldo-theme-options-google-maps-list-single-map-edit', function() {

        var map = $( this ).parents( '.ueldo-theme-options-google-maps-list-single-map' );
        var mapOptions = map.find( '.ueldo-theme-options-google-maps-creation-field' );

        if( mapOptions.data( 'visible' ) == 'no' ) {

            $( '.ueldo-theme-options-google-maps-creation-field' ).data( 'visible', 'no' ).attr( 'data-visible', 'no' );
            $( '.ueldo-theme-options-google-maps-list-single-map-active' ).removeClass( 'ueldo-theme-options-google-maps-list-single-map-active' );

            mapOptions.data( 'visible', 'yes' ).attr( 'data-visible', 'yes' );
            map.addClass( 'ueldo-theme-options-google-maps-list-single-map-active' );
        }

        else {

            mapOptions.data( 'visible', 'no' ).attr( 'data-visible', 'no' );
            map.removeClass( 'ueldo-theme-options-google-maps-list-single-map-active' );
        }

    });

   /**
    *
    * hide single map options
    *
    */

    $( document ).on( 'click', function( event ) {

        if( $( event.target ).hasClass( 'ueldo-theme-options-google-maps-creation-map-markers-field-single-marker-remove-confirm' )
         || $( event.target ).hasClass( 'ueldo-theme-options-google-maps-list-add-new-map' )
         || $( event.target ).hasClass( 'ueldo-theme-options-iconpicker-icons-list-single-icon' )
         || $( event.target.parentElement ).hasClass( 'ueldo-theme-options-iconpicker-icons-list-single-icon' )
         || $( event.target.parentElement ).hasClass( 'ueldo-theme-options-google-maps-creation-map-markers-field-image-selection-container' )
         || $( event.target ).parents( '.ueldo-media-frame-wrapper' ).length !== 0 ) return;

        else {

            if( !$( event.target ).closest( '.ueldo-theme-options-google-maps-creation-field[data-visible="yes"]' ).length && !$( event.target ).closest( '.ueldo-theme-options-google-maps-list-single-map.ueldo-theme-options-google-maps-list-single-map-active' ).length ) {

                var element = $( '.ueldo-theme-options-google-maps-creation-field' );
                if( element.is( ':visible' ) ) {

                    element.data( 'visible', 'no' ).attr( 'data-visible', 'no' );
                    $( '.ueldo-theme-options-google-maps-list-single-map-active' ).removeClass( 'ueldo-theme-options-google-maps-list-single-map-active' );
                }
            }
        }

    });

   /**
    *
    * remove single map
    *
    */

    $( 'body' ).on( 'click', '.ueldo-theme-options-google-maps-list-single-map-remove', function() {

        var map = $( this ).parents( '.ueldo-theme-options-google-maps-list-single-map' );

        map.find( '.ueldo-theme-options-google-maps-list-single-map-remove-confirm' ).data( 'visible', 'yes' ).attr( 'data-visible', 'yes' );
        map.find( '.ueldo-theme-options-google-maps-list-single-map-remove' ).data( 'visible', 'no' ).attr( 'data-visible', 'no' );

    });

    $( 'body' ).on( 'click', '.ueldo-theme-options-google-maps-list-single-map-remove-confirm[data-visible="yes"]', function() {

        var map = $( this ).parents( '.ueldo-theme-options-google-maps-list-single-map' );
        map.remove();

    });

   /**
    *
    * add new map
    *
    */

    $( 'body' ).on( 'click', '.ueldo-theme-options-google-maps-list-add-new-map', function() {

        var button = $( this );
        var mapsList = button.siblings( '.ueldo-theme-options-google-maps-list' );
        var nextMapIDField = mapsList.children( 'input[name="ueldo_theme_options[google-maps][next-map-id]"]' );
        var nextMapID = parseInt( nextMapIDField.val(), 10 );

        $( '.ueldo-theme-options-google-maps-creation-field' ).data( 'visible', 'no' ).attr( 'data-visible', 'no' );
        $( '.ueldo-theme-options-google-maps-list-single-map-active' ).removeClass( 'ueldo-theme-options-google-maps-list-single-map-active' );

        mapsList.append( '<div class="ueldo-theme-options-google-maps-list-single-map ueldo-theme-options-google-maps-list-single-map-active"><span class="ueldo-theme-options-google-maps-list-single-map-remove-confirm" data-visible="no">'+ ueldo_theme_options_javascript_functions_l10n.confirm_the_deletion +'</span> <span class="ueldo-theme-options-google-maps-list-single-map-remove" data-visible="yes"></span> <span class="ueldo-theme-options-google-maps-list-single-map-edit"><i class="fa fa-pencil"></i></span> <span data-element-type="location">'+ ueldo_theme_options_javascript_functions_l10n.map_title_value +'</span><div class="ueldo-theme-options-google-maps-creation-field" data-visible="yes"><div class="ueldo-theme-options-google-maps-creation-field-container"><div class="ueldo-theme-options-google-maps-creation-field-group"><h5>'+ ueldo_theme_options_javascript_functions_l10n.map_title +'</h5><input type="text" name="ueldo_theme_options[google-maps][google-map-'+ nextMapID +'-title]" value="'+ ueldo_theme_options_javascript_functions_l10n.map_title_value +'" class="ueldo-theme-options-google-maps-creation-map-title" /></div><div class="ueldo-theme-options-google-maps-creation-field-group"><h5>'+ ueldo_theme_options_javascript_functions_l10n.map_center_latitude +'</h5><input type="text" name="ueldo_theme_options[google-maps][google-map-'+ nextMapID +'-center-lat]" value="" /><h5>'+ ueldo_theme_options_javascript_functions_l10n.map_center_longitude +'</h5><input type="text" name="ueldo_theme_options[google-maps][google-map-'+ nextMapID +'-center-lng]" value="" /><p><a href="https://support.google.com/maps/answer/18539" target="_blank">'+ ueldo_theme_options_javascript_functions_l10n.find_out_how_to_get_map_coordinates_here +'</a></p></div><div class="ueldo-theme-options-google-maps-creation-field-group"><h5>'+ ueldo_theme_options_javascript_functions_l10n.map_zoom +'</h5><select name="ueldo_theme_options[google-maps][google-map-'+ nextMapID +'-zoom]">'+ $.UeldoThemeOptionsGetGoogleMapsZoomOptions() +'</select></div><div class="ueldo-theme-options-google-maps-creation-field-group"><h5>'+ ueldo_theme_options_javascript_functions_l10n.map_markers +'</h5><div class="ueldo-theme-options-google-maps-creation-map-markers-field" data-map-id="'+ nextMapID +'"><input type="hidden" name="ueldo_theme_options[google-maps][google-map-'+ nextMapID +'-markers-next-marker-id]" value="2" /><div class="ueldo-theme-options-google-maps-creation-map-markers-field-nothing-found"><p>'+ ueldo_theme_options_javascript_functions_l10n.you_did_not_added_any_marker_yet +'</p></div><div class="ueldo-theme-options-google-maps-creation-map-markers-field-single-marker"><div class="ueldo-theme-options-google-maps-creation-map-markers-field-single-marker-data"><span class="ueldo-theme-options-google-maps-creation-map-markers-field-single-marker-remove-confirm" data-visible="no">'+ ueldo_theme_options_javascript_functions_l10n.confirm_the_deletion +'</span> <span class="ueldo-theme-options-google-maps-creation-map-markers-field-single-marker-remove" data-visible="yes"></span> <span class="ueldo-theme-options-google-maps-creation-map-markers-field-single-marker-edit"><i class="fa fa-pencil"></i></span> <span data-element-type="location">'+ ueldo_theme_options_javascript_functions_l10n.map_marker_title_value +'</span></div><div class="ueldo-theme-options-google-maps-creation-map-markers-field-single-marker-details" data-visible="no"><div class="ueldo-theme-options-google-maps-creation-map-markers-field-single-marker-details-fields-group"><h5>'+ ueldo_theme_options_javascript_functions_l10n.map_marker_title +'</h5><input type="text" name="ueldo_theme_options[google-maps][google-map-'+ nextMapID +'-markers-marker-1-title]" value="'+ ueldo_theme_options_javascript_functions_l10n.map_marker_title_value +'" class="ueldo-theme-options-google-maps-creation-map-markers-field-marker-title" /></div><div class="ueldo-theme-options-google-maps-creation-map-markers-field-single-marker-details-fields-group"><h5>'+ ueldo_theme_options_javascript_functions_l10n.map_marker_latitude +'</h5><input type="text" name="ueldo_theme_options[google-maps][google-map-'+ nextMapID +'-markers-marker-1-lat]" value="" /><h5>'+ ueldo_theme_options_javascript_functions_l10n.map_marker_longitude +'</h5><input type="text" name="ueldo_theme_options[google-maps][google-map-'+ nextMapID +'-markers-marker-1-lng]" value="" /><p><a href="https://support.google.com/maps/answer/18539" target="_blank">'+ ueldo_theme_options_javascript_functions_l10n.find_out_how_to_get_map_coordinates_here +'</a></p></div><div class="ueldo-theme-options-google-maps-creation-map-markers-field-single-marker-details-fields-group"><h5>'+ ueldo_theme_options_javascript_functions_l10n.use_custom_marker_icon +'</h5><select name="ueldo_theme_options[google-maps][google-map-'+ nextMapID +'-markers-marker-1-use-custom-marker]" class="ueldo-theme-options-google-maps-creation-map-markers-field-use-custom-marker"><option value="no" selected>'+ ueldo_theme_options_javascript_functions_l10n.no +'</option><option value="yes-icon">'+ ueldo_theme_options_javascript_functions_l10n.yes_icon +'</option><option value="yes-image">'+ ueldo_theme_options_javascript_functions_l10n.yes_image +'</option></select><div class="ueldo-theme-options-google-maps-creation-map-markers-field-depended" data-depended-name="icon-library-selector" data-visible="no"><h5>'+ ueldo_theme_options_javascript_functions_l10n.icon_library +'</h5><select name="ueldo_theme_options[google-maps][google-map-'+ nextMapID +'-markers-marker-1-custom-icon-library]" class="ueldo-theme-options-google-maps-creation-map-markers-field-icon-library-selector"><option value="fontawesome" selected>'+ ueldo_theme_options_javascript_functions_l10n.fontawesome +'</option>'+ ( ueldo_theme_options_javascript_functions_l10n.is_visual_composer_active == 'yes' ? ( '<option value="openiconic">'+ ueldo_theme_options_javascript_functions_l10n.openiconic +'</option><option value="typicons">'+ ueldo_theme_options_javascript_functions_l10n.typicons +'</option><option value="entypo">'+ ueldo_theme_options_javascript_functions_l10n.entypo +'</option><option value="linecons">'+ ueldo_theme_options_javascript_functions_l10n.linecons +'</option><option value="monosocial">'+ ueldo_theme_options_javascript_functions_l10n.monosocial +'</option><option value="material">'+ ueldo_theme_options_javascript_functions_l10n.material +'</option>' ) : '' ) +'</select></div><div class="ueldo-theme-options-google-maps-creation-map-markers-field-depended" data-depended-name="iconpicker" data-visible="no"><h5>'+ ueldo_theme_options_javascript_functions_l10n.icon +'</h5><div class="ueldo-theme-options-iconpicker" data-icon-library="fontawesome"><div class="ueldo-theme-options-iconpicker-button"><span class="ueldo-theme-options-iconpicker-selected-icon"><i class="fa fa-address-book"></i></span><input type="hidden" name="ueldo_theme_options[google-maps][google-map-'+ nextMapID +'-markers-marker-1-custom-icon]" value="fa fa-address-book" /></div><div class="ueldo-theme-options-iconpicker-icons-list" data-visible="no"><input type="text" name="" placeholder="'+ ueldo_theme_options_javascript_functions_l10n.search +'" /><div class="ueldo-theme-options-iconpicker-icons-list-container"></div></div></div></div><div class="ueldo-theme-options-google-maps-creation-map-markers-field-depended" data-depended-name="icon-colors" data-visible="no"><h5>'+ ueldo_theme_options_javascript_functions_l10n.icon_size +'</h5><span class="ueldo-theme-options-px-field"><input type="text" class="ueldo-validate-number-field" data-number-field-minus-allowed="no" name="ueldo_theme_options[google-maps][google-map-'+ nextMapID +'-markers-marker-1-custom-icon-size]" value="18" /></span><h5>'+ ueldo_theme_options_javascript_functions_l10n.icon_container_width +'</h5><span class="ueldo-theme-options-px-field"><input type="text" class="ueldo-validate-number-field" data-number-field-minus-allowed="no" name="ueldo_theme_options[google-maps][google-map-'+ nextMapID +'-markers-marker-1-custom-icon-width]" value="36" /></span><h5>'+ ueldo_theme_options_javascript_functions_l10n.icon_container_height +'</h5><span class="ueldo-theme-options-px-field"><input type="text" class="ueldo-validate-number-field" data-number-field-minus-allowed="no" name="ueldo_theme_options[google-maps][google-map-'+ nextMapID +'-markers-marker-1-custom-icon-height]" value="36" /></span><h5>'+ ueldo_theme_options_javascript_functions_l10n.icon_container_border_radius +'</h5><select name="ueldo_theme_options[google-maps][google-map-'+ nextMapID +'-markers-marker-1-custom-icon-border-radius]" class="ueldo-theme-options-google-maps-creation-map-markers-field-icon-container-border-radius"><option value="circle" selected="selected">'+ ueldo_theme_options_javascript_functions_l10n.circle_100_percent +'</option><option value="px">'+ ueldo_theme_options_javascript_functions_l10n.pixels +'</option></select><div class="ueldo-theme-options-google-maps-creation-map-markers-field-depended" data-depended-name="icon-border-radius-px" data-visible="no"><h5>'+ ueldo_theme_options_javascript_functions_l10n.icon_container_border_radius_pixels +'</h5><span class="ueldo-theme-options-px-field"><input type="text" class="ueldo-validate-number-field" data-number-field-minus-allowed="no" name="ueldo_theme_options[google-maps][google-map-'+ nextMapID +'-markers-marker-1-custom-icon-border-radius-px]" value="4" /></span></div><h5>'+ ueldo_theme_options_javascript_functions_l10n.icon_color +'</h5><input type="text" name="ueldo_theme_options[google-maps][google-map-'+ nextMapID +'-markers-marker-1-custom-icon-color]" value="'+ ueldo_theme_options_javascript_functions_l10n.style_general_colors_google_map_marker_icon_color +'" class="ueldo-alpha-color-picker" data-alpha="true" data-default-color="'+ ueldo_theme_options_javascript_functions_l10n.style_general_colors_google_map_marker_icon_color +'" /><h5>'+ ueldo_theme_options_javascript_functions_l10n.icon_background_color +'</h5><input type="text" name="ueldo_theme_options[google-maps][google-map-'+ nextMapID +'-markers-marker-1-custom-icon-background-color]" value="'+ ueldo_theme_options_javascript_functions_l10n.style_general_colors_google_map_marker_icon_container_background_color +'" class="ueldo-alpha-color-picker" data-alpha="true" data-default-color="'+ ueldo_theme_options_javascript_functions_l10n.style_general_colors_google_map_marker_icon_container_background_color +'" /><h5>'+ ueldo_theme_options_javascript_functions_l10n.icon_box_shadow +'</h5><div class="ueldo-theme-options-box-shadow-field"><div class="ueldo-theme-options-box-shadow-field-single-value"><span class="ueldo-theme-options-box-shadow-field-single-value-title">'+ ueldo_theme_options_javascript_functions_l10n.horizontal_length +'</span><span class="ueldo-theme-options-box-shadow-field-single-value-field"><input type="text" class="ueldo-validate-number-field" data-number-field-minus-allowed="yes" name="ueldo_theme_options[google-maps][google-map-'+ nextMapID +'-markers-marker-1-custom-icon-box-shadow-horizontal-length]" value="'+ ueldo_theme_options_javascript_functions_l10n.style_general_colors_google_map_marker_icon_container_box_shadow_horizontal_length +'" /></span></div><div class="ueldo-theme-options-box-shadow-field-single-value"><span class="ueldo-theme-options-box-shadow-field-single-value-title">'+ ueldo_theme_options_javascript_functions_l10n.vertical_length +'</span><span class="ueldo-theme-options-box-shadow-field-single-value-field"><input type="text" class="ueldo-validate-number-field" data-number-field-minus-allowed="yes" name="ueldo_theme_options[google-maps][google-map-'+ nextMapID +'-markers-marker-1-custom-icon-box-shadow-vertical-length]" value="'+ ueldo_theme_options_javascript_functions_l10n.style_general_colors_google_map_marker_icon_container_box_shadow_vertical_length +'" /></span></div><div class="ueldo-theme-options-box-shadow-field-single-value"><span class="ueldo-theme-options-box-shadow-field-single-value-title">'+ ueldo_theme_options_javascript_functions_l10n.blur_radius +'</span><span class="ueldo-theme-options-box-shadow-field-single-value-field"><input type="text" class="ueldo-validate-number-field" data-number-field-minus-allowed="yes" name="ueldo_theme_options[google-maps][google-map-'+ nextMapID +'-markers-marker-1-custom-icon-box-shadow-blur-radius]" value="'+ ueldo_theme_options_javascript_functions_l10n.style_general_colors_google_map_marker_icon_container_box_shadow_blur_radius +'" /></span></div><div class="ueldo-theme-options-box-shadow-field-single-value"><span class="ueldo-theme-options-box-shadow-field-single-value-title">'+ ueldo_theme_options_javascript_functions_l10n.spread_radius +'</span><span class="ueldo-theme-options-box-shadow-field-single-value-field"><input type="text" class="ueldo-validate-number-field" data-number-field-minus-allowed="yes" name="ueldo_theme_options[google-maps][google-map-'+ nextMapID +'-markers-marker-1-custom-icon-box-shadow-spread-radius]" value="'+ ueldo_theme_options_javascript_functions_l10n.style_general_colors_google_map_marker_icon_container_box_shadow_spread_radius +'" /></span></div><div class="ueldo-theme-options-box-shadow-field-single-value"><span class="ueldo-theme-options-box-shadow-field-single-value-title">'+ ueldo_theme_options_javascript_functions_l10n.color +'</span><input type="text" name="ueldo_theme_options[google-maps][google-map-'+ nextMapID +'-markers-marker-1-custom-icon-box-shadow-color]" value="'+ ueldo_theme_options_javascript_functions_l10n.style_general_colors_google_map_marker_icon_container_box_shadow_color +'" class="ueldo-alpha-color-picker" data-alpha="true" data-default-color="'+ ueldo_theme_options_javascript_functions_l10n.style_general_colors_google_map_marker_icon_container_box_shadow_color +'" /></div></div></div><div class="ueldo-theme-options-google-maps-creation-map-markers-field-depended" data-depended-name="marker-image" data-visible="no"><h5>'+ ueldo_theme_options_javascript_functions_l10n.marker_image +'</h5><div class="ueldo-theme-options-google-maps-creation-map-markers-field-image-selection-container"><input type="hidden" name="ueldo_theme_options[google-maps][google-map-'+ nextMapID +'-markers-marker-1-custom-marker-image]" value="" /><input type="button" class="button ueldo-media-button" value="'+ ueldo_theme_options_javascript_functions_l10n.select_image +'" /></div></div></div></div></div></div><div class="ueldo-theme-options-google-maps-creation-add-new-marker">'+ ueldo_theme_options_javascript_functions_l10n.add_new_marker +'</div></div><div class="ueldo-theme-options-google-maps-creation-field-group"><h5>'+ ueldo_theme_options_javascript_functions_l10n.custom_map_style +'</h5><p class="ueldo-theme-options-google-maps-creation-field-description-no-margin-top">'+ ueldo_theme_options_javascript_functions_l10n.you_can_add_custom_map_style_here_for_example_from +' <a href="https://snazzymaps.com" target="_blank">'+ ueldo_theme_options_javascript_functions_l10n.snazzy_maps +'</a>.</p><textarea name="ueldo_theme_options[google-maps][google-map-'+ nextMapID +'-custom-style]" rows="5" cols="5"></textarea></div></div></div></div>' );

        nextMapIDField.val( nextMapID + 1 ).attr( 'value', nextMapID + 1 );
        $( 'input.ueldo-alpha-color-picker' ).wpColorPicker();

    });

   /**
    *
    * get Google maps zoom options
    *
    */

    $.UeldoThemeOptionsGetGoogleMapsZoomOptions = function() {

        var result = '';
        for( var i = 0; i < 22; i++ ) {

            result += '<option value="'+ i +'" '+ ( i == 16 ? 'selected' : '' ) +'>'+ i +'</option>';
        };

        return( result );
    };

   /**
    *
    * update map title live
    *
    */

    $( 'body' ).on( 'input', 'input[type="text"].ueldo-theme-options-google-maps-creation-map-title', function() {

        var mapTitleField = $( this );
        var mapTitle = $.UeldoThemeOptionsEscapeHTML( mapTitleField.val() );
        var mapOptions = mapTitleField.parents( '.ueldo-theme-options-google-maps-list-single-map.ueldo-theme-options-google-maps-list-single-map-active' );
        var mapOptionsTitle = mapOptions.children( 'span[data-element-type="location"]' );

        mapOptionsTitle.html( mapTitle );

    });

   /**
    *
    * colorpicker
    *
    */

    $( 'input.ueldo-alpha-color-picker' ).wpColorPicker();

   /**
    *
    * media frame for image selection
    *
    */

    var ueldo_media_frame;
    $( 'body' ).on( 'click', '.ueldo-media-button', function( event ) {

        event.preventDefault();
        var button = $( this );

        ueldo_media_frame = wp.media({
            title: ueldo_theme_options_javascript_functions_l10n.select_image,
            button: { text: ueldo_theme_options_javascript_functions_l10n.select_image },
            multiple: false
        });

        ueldo_media_frame.on( 'select', function() {

            var isHeaderLogo = button.parents( '.ueldo-theme-options-header-image-selection-container' ).length === 1;
            var isLoaderAnimationLogo = button.parents( '.ueldo-theme-options-loader-logo-image-selection-container' ).length === 1;
            var attachment = ueldo_media_frame.state().get( 'selection' ).first().toJSON();

            if( isHeaderLogo == true ) {

                var image_preview = button.siblings( '.ueldo-theme-options-header-image-preview' );
                var image_preview_html = '<div class="ueldo-theme-options-header-image-preview"><img src="'+ attachment.url +'" /></div>';
            }

            else if( isLoaderAnimationLogo == true ) {

                var image_preview = button.siblings( '.ueldo-theme-options-loader-logo-image-preview' );
                var image_preview_html = '<div class="ueldo-theme-options-loader-logo-image-preview"><img src="'+ attachment.url +'" /></div>';
            }

            else {

                var image_preview = button.siblings( '.ueldo-theme-options-google-maps-creation-map-markers-field-image-preview' );
                var image_preview_html = '<div class="ueldo-theme-options-google-maps-creation-map-markers-field-image-preview"><img src="'+ attachment.url +'" /></div>';
            }

            button.siblings( 'input[type="hidden"]' ).attr( 'value', attachment.url ).val( attachment.url );

            if( image_preview.length == 0 ) button.parent().prepend( image_preview_html );
            else image_preview.children( 'img' ).attr( 'src', attachment.url );

        });

        ueldo_media_frame.open();

        var mediaFrameWrapper = $( ueldo_media_frame.$el ).parents( '.media-modal.wp-core-ui' ).parent();
        mediaFrameWrapper.addClass( 'ueldo-media-frame-wrapper' );

    });

   /**
    *
    * remove single opening hours status
    *
    */

    $( 'body' ).on( 'click', '.ueldo-theme-options-opening-hours-statuses-single-status-remove', function() {

        var status = $( this ).parents( '.ueldo-theme-options-opening-hours-statuses-single-status' );

        status.find( '.ueldo-theme-options-opening-hours-statuses-single-status-remove-confirm' ).data( 'visible', 'yes' ).attr( 'data-visible', 'yes' );
        status.find( '.ueldo-theme-options-opening-hours-statuses-single-status-remove' ).data( 'visible', 'no' ).attr( 'data-visible', 'no' );

    });

    $( 'body' ).on( 'click', '.ueldo-theme-options-opening-hours-statuses-single-status-remove-confirm[data-visible="yes"]', function() {

        var status = $( this ).parents( '.ueldo-theme-options-opening-hours-statuses-single-status' );
        status.remove();

    });

   /**
    *
    * remove single opening hours rule opening hours
    *
    */

    $( 'body' ).on( 'click', '.ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule-opening-hours-remove', function() {

        var element = $( this );
        var openingHoursGroup = element.parents( '.ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule-opening-hours-group' );
        var openingHours = element.parents( '.ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule-opening-hours' );
        var confirmVisible = openingHours.data( 'remove-confirm-visible' );

        if( confirmVisible == 'no' ) openingHours.data( 'remove-confirm-visible', 'yes' ).attr( 'data-remove-confirm-visible', 'yes' );
        else {

            openingHours.remove();
            $.UeldoValidateOpeningHoursSet( openingHoursGroup );
        }

    });

   /**
    *
    * add new single opening hours rule opening hours
    *
    */

    $( 'body' ).on( 'click', '.ueldo-theme-options-opening-hours-status-creation-add-new-opening-hours-set', function() {

        var element = $( this );
        var openingHoursGroup = element.siblings( '.ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule-opening-hours-group' );
        var nextOpeningHoursField = openingHoursGroup.siblings( 'input[type="hidden"]' );
        var openingHoursID = parseInt( nextOpeningHoursField.val(), 10 );
        var isException = element.parents( '.ueldo-theme-options-opening-hours-status-creation-rules-field' ).hasClass( 'ueldo-theme-options-opening-hours-status-creation-rules-field-exceptions' );
        var statusID = openingHoursGroup.parents( '.ueldo-theme-options-opening-hours-status-creation-rules-field' ).data( 'status-id' );
        var ruleID = openingHoursGroup.parents( '.ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule' ).data( 'rule-id' );
        var slug = isException == false ? 'rules-rule' : 'exceptions-exception';

        openingHoursGroup.append( '<div class="ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule-opening-hours" data-remove-confirm-visible="no"><div class="ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule-opening-hours-remove"><div class="ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule-opening-hours-remove-confirm">'+ ueldo_theme_options_javascript_functions_l10n.confirm_the_deletion +'</div></div><div class="ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule-opening-hours-fields"><input type="hidden" name="ueldo_theme_options[opening-hours-status][status-'+ statusID +'-'+ slug +'-'+ ruleID +'-opening-hours-'+ openingHoursID +'-ignored]" value="no" /><div class="ueldo-theme-options-opening-hours-status-creation-time-fields ueldo-theme-options-opening-hours-status-creation-time-fields-first"><select name="ueldo_theme_options[opening-hours-status][status-'+ statusID +'-'+ slug +'-'+ ruleID +'-opening-hours-'+ openingHoursID +'-from-hour]" class="ueldo-theme-options-opening-hours-status-creation-time-fields-hour"><option value="00">00 (12 pm)</option><option value="01">01 (1 am)</option><option value="02">02 (2 am)</option><option value="03">03 (3 am)</option><option value="04">04 (4 am)</option><option value="05">05 (5 am)</option><option value="06">06 (6 am)</option><option value="07">07 (7 am)</option><option value="08" selected="selected">08 (8 am)</option><option value="09">09 (9 am)</option><option value="10">10 (10 am)</option><option value="11">11 (11 am)</option><option value="12">12 (12 am)</option><option value="13">13 (1 pm)</option><option value="14">14 (2 pm)</option><option value="15">15 (3 pm)</option><option value="16">16 (4 pm)</option><option value="17">17 (5 pm)</option><option value="18">18 (6 pm)</option><option value="19">19 (7 pm)</option><option value="20">20 (8 pm)</option><option value="21">21 (9 pm)</option><option value="22">22 (10 pm)</option><option value="23">23 (11 pm)</option></select><span class="ueldo-theme-options-opening-hours-status-creation-time-fields-divider">:</span><select name="ueldo_theme_options[opening-hours-status][status-'+ statusID +'-'+ slug +'-'+ ruleID +'-opening-hours-'+ openingHoursID +'-from-minutes]" class="ueldo-theme-options-opening-hours-status-creation-time-fields-minutes"><option value="00" selected="selected">00</option><option value="01">01</option><option value="02">02</option><option value="03">03</option><option value="04">04</option><option value="05">05</option><option value="06">06</option><option value="07">07</option><option value="08">08</option><option value="09">09</option><option value="10">10</option><option value="11">11</option><option value="12">12</option><option value="13">13</option><option value="14">14</option><option value="15">15</option><option value="16">16</option><option value="17">17</option><option value="18">18</option><option value="19">19</option><option value="20">20</option><option value="21">21</option><option value="22">22</option><option value="23">23</option><option value="24">24</option><option value="25">25</option><option value="26">26</option><option value="27">27</option><option value="28">28</option><option value="29">29</option><option value="30">30</option><option value="31">31</option><option value="32">32</option><option value="33">33</option><option value="34">34</option><option value="35">35</option><option value="36">36</option><option value="37">37</option><option value="38">38</option><option value="39">39</option><option value="40">40</option><option value="41">41</option><option value="42">42</option><option value="43">43</option><option value="44">44</option><option value="45">45</option><option value="46">46</option><option value="47">47</option><option value="48">48</option><option value="49">49</option><option value="50">50</option><option value="51">51</option><option value="52">52</option><option value="53">53</option><option value="54">54</option><option value="55">55</option><option value="56">56</option><option value="57">57</option><option value="58">58</option><option value="59">59</option></select></div><div class="ueldo-theme-options-opening-hours-status-creation-time-fields"><select name="ueldo_theme_options[opening-hours-status][status-'+ statusID +'-'+ slug +'-'+ ruleID +'-opening-hours-'+ openingHoursID +'-to-hour]" class="ueldo-theme-options-opening-hours-status-creation-time-fields-hour"><option value="00">00 (12 pm)</option><option value="01">01 (1 am)</option><option value="02">02 (2 am)</option><option value="03">03 (3 am)</option><option value="04">04 (4 am)</option><option value="05">05 (5 am)</option><option value="06">06 (6 am)</option><option value="07">07 (7 am)</option><option value="08">08 (8 am)</option><option value="09">09 (9 am)</option><option value="10">10 (10 am)</option><option value="11">11 (11 am)</option><option value="12">12 (12 am)</option><option value="13">13 (1 pm)</option><option value="14">14 (2 pm)</option><option value="15">15 (3 pm)</option><option value="16" selected="selected">16 (4 pm)</option><option value="17">17 (5 pm)</option><option value="18">18 (6 pm)</option><option value="19">19 (7 pm)</option><option value="20">20 (8 pm)</option><option value="21">21 (9 pm)</option><option value="22">22 (10 pm)</option><option value="23">23 (11 pm)</option></select><span class="ueldo-theme-options-opening-hours-status-creation-time-fields-divider">:</span><select name="ueldo_theme_options[opening-hours-status][status-'+ statusID +'-'+ slug +'-'+ ruleID +'-opening-hours-'+ openingHoursID +'-to-minutes]" class="ueldo-theme-options-opening-hours-status-creation-time-fields-minutes"><option value="00" selected="selected">00</option><option value="01">01</option><option value="02">02</option><option value="03">03</option><option value="04">04</option><option value="05">05</option><option value="06">06</option><option value="07">07</option><option value="08">08</option><option value="09">09</option><option value="10">10</option><option value="11">11</option><option value="12">12</option><option value="13">13</option><option value="14">14</option><option value="15">15</option><option value="16">16</option><option value="17">17</option><option value="18">18</option><option value="19">19</option><option value="20">20</option><option value="21">21</option><option value="22">22</option><option value="23">23</option><option value="24">24</option><option value="25">25</option><option value="26">26</option><option value="27">27</option><option value="28">28</option><option value="29">29</option><option value="30">30</option><option value="31">31</option><option value="32">32</option><option value="33">33</option><option value="34">34</option><option value="35">35</option><option value="36">36</option><option value="37">37</option><option value="38">38</option><option value="39">39</option><option value="40">40</option><option value="41">41</option><option value="42">42</option><option value="43">43</option><option value="44">44</option><option value="45">45</option><option value="46">46</option><option value="47">47</option><option value="48">48</option><option value="49">49</option><option value="50">50</option><option value="51">51</option><option value="52">52</option><option value="53">53</option><option value="54">54</option><option value="55">55</option><option value="56">56</option><option value="57">57</option><option value="58">58</option><option value="59">59</option></select></div></div></div>' );

        openingHoursID += 1;
        nextOpeningHoursField.attr( 'value', openingHoursID ).val( openingHoursID );

        $.UeldoValidateOpeningHoursSet( openingHoursGroup );

    });

   /**
    *
    * fire the opening hours set validation
    *
    */

    $( 'body' ).on( 'change', '.ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule-opening-hours-group select', function() { $.UeldoValidateOpeningHoursSet( $( this ).parents( '.ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule-opening-hours-group' ) ); });

   /**
    *
    * check if opening hours set is correct
    *
    */

    $.UeldoValidateOpeningHoursSet = function( group ) {

        var data = [];
        group.find( '.ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule-opening-hours' ).each( function() {

            var openingHours = $( this );
            var openinHoursFrom = openingHours.find( '.ueldo-theme-options-opening-hours-status-creation-time-fields.ueldo-theme-options-opening-hours-status-creation-time-fields-first' );
            var openinHoursTo = openingHours.find( '.ueldo-theme-options-opening-hours-status-creation-time-fields:not(.ueldo-theme-options-opening-hours-status-creation-time-fields-first)' );
            var openingHoursFromHour = openinHoursFrom.find( 'select.ueldo-theme-options-opening-hours-status-creation-time-fields-hour' ).val().toString();
            var openingHoursFromMinutes = openinHoursFrom.find( 'select.ueldo-theme-options-opening-hours-status-creation-time-fields-minutes' ).val().toString();
            var openingHoursToHour = openinHoursTo.find( 'select.ueldo-theme-options-opening-hours-status-creation-time-fields-hour' ).val().toString();
            var openingHoursToMinutes = openinHoursTo.find( 'select.ueldo-theme-options-opening-hours-status-creation-time-fields-minutes' ).val().toString();
            var openingHoursIgnoreField = openingHours.find( 'input[type="hidden"]' );

            data.push({ 'element': openingHours, 'from': parseInt( openingHoursFromHour + openingHoursFromMinutes, 10 ), 'to': parseInt( openingHoursToHour + openingHoursToMinutes, 10 ), 'ignoreField': openingHoursIgnoreField });

        });

        $.each( data, function( i, i_rules ) {

            var conflictFound = false;
            var a = i_rules.from;
            var b = i_rules.to;

            if( a > b ) conflictFound = 't:1';
            else {

                $.each( data, function( j, j_rules ) {

                    if( i != j ) {

                        var c = j_rules.from;
                        var d = j_rules.to;

                        if( a <= c && b > c && b <= d ) conflictFound = 't:2';
                        else if( a < d && a >= c && b >= d ) conflictFound = 't:3';
                        else if( a >= c && a < d && b > c && b <= d ) conflictFound = 't:4';
                        else if( a < c && a < d && b > c && b > d ) conflictFound = 't:5';
                    }

                });
            }

            if( conflictFound !== false ) {

                i_rules.element.addClass( 'ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule-opening-hours-incorrect' );
                i_rules.ignoreField.attr( 'value', 'yes' ).val( 'yes' );
            }

            else {

                i_rules.element.removeClass( 'ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule-opening-hours-incorrect' );
                i_rules.ignoreField.attr( 'value', 'no' ).val( 'no' );
            }

        });
    };

   /**
    *
    * update status title live
    *
    */

    $( 'body' ).on( 'input', 'input[type="text"].ueldo-theme-options-opening-hours-status-creation-status-title', function() {

        var statusTitleField = $( this );
        var statusTitle = $.UeldoThemeOptionsEscapeHTML( statusTitleField.val() );
        var statusOptions = statusTitleField.parents( '.ueldo-theme-options-opening-hours-statuses-single-status' );
        var statusOptionsTitle = statusOptions.children( 'span[data-element-type="status-title"]' );

        statusOptionsTitle.html( statusTitle );

    });

   /**
    *
    * update rule title live
    *
    */

    $( 'body' ).on( 'input', 'input[type="text"].ueldo-theme-options-opening-hours-creation-rules-rule-title', function() {

        var ruleTitleField = $( this );
        var ruleTitle = $.UeldoThemeOptionsEscapeHTML( ruleTitleField.val() );
        var ruleOptions = ruleTitleField.parents( '.ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule' );
        var ruleOptionsTitle = ruleOptions.find( '.ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule-data span[data-element-type="rule-title"]' );

        ruleOptionsTitle.html( ruleTitle );

    });

   /**
    *
    * all day closed?
    *
    */

    $( 'body' ).on( 'change', '.ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule-details-fields-group select[data-field-name="all-day-closed"]', function() {

        var field = $( this );
        var depended = field.siblings( '.ueldo-theme-options-opening-hours-status-creation-rules-field-depended[data-depended-name="opening-hours"]' );

        if( field.val() == 'yes' ) depended.data( 'visible', 'no' ).attr( 'data-visible', 'no' );
        else depended.data( 'visible', 'yes' ).attr( 'data-visible', 'yes' );

    });

   /**
    *
    * open / hide single rule options
    *
    */

    $( 'body' ).on( 'click', '.ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule-edit', function() {

        var rule = $( this ).parents( '.ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule' );

        if( rule.data( 'rule-details-visible' ) == 'no' ) rule.data( 'rule-details-visible', 'yes' ).attr( 'data-rule-details-visible', 'yes' );
        else rule.data( 'rule-details-visible', 'no' ).attr( 'data-rule-details-visible', 'no' );

    });

   /**
    *
    * remove single rule
    *
    */

    $( 'body' ).on( 'click', '.ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule-remove', function() {

        var element = $( this );
        var rule = element.parents( '.ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule' );
        var confirm = rule.find( '.ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule-remove-confirm' );

        if( confirm.data( 'visible' ) == 'no' ) {

            confirm.data( 'visible', 'yes' ).attr( 'data-visible', 'yes' );
            element.data( 'visible', 'no' ).attr( 'data-visible', 'no' );
        }

    });

    $( 'body' ).on( 'click', '.ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule-remove-confirm[data-visible="yes"]', function() {

        var rule = $( this ).parents( '.ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule' );
        rule.remove();

    });

   /**
    *
    * add new rule
    *
    */

    $( 'body' ).on( 'click', '.ueldo-theme-options-opening-hours-status-creation-add-new-rule:not(.ueldo-theme-options-opening-hours-status-creation-add-new-rule-inactive)', function() {

        var button = $( this );
        var rulesField = button.siblings( '.ueldo-theme-options-opening-hours-status-creation-rules-field' );
        var statusID = rulesField.data( 'status-id' );
        var nextRuleIDField = rulesField.find( 'input[name="ueldo_theme_options[opening-hours-status][status-'+ statusID +'-rules-next-rule-id]"]' );
        var nextRuleID = parseInt( nextRuleIDField.val(), 10 );

        rulesField.find( '.ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule' ).data( 'rule-details-visible', 'no' ).attr( 'data-rule-details-visible', 'no' );
        rulesField.append( '<div class="ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule" data-rule-details-visible="yes" data-rule-id="'+ nextRuleID +'"><div class="ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule-data"> <span class="ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule-remove-confirm" data-visible="no">'+ ueldo_theme_options_javascript_functions_l10n.confirm_the_deletion +'</span> <span class="ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule-remove" data-visible="yes"></span> <span class="ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule-edit"><i class="fa fa-pencil"></i></span> <span data-element-type="rule-title">'+ ueldo_theme_options_javascript_functions_l10n.single_rule +'</span></div><div class="ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule-details"><div class="ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule-details-fields-group"><h5>'+ ueldo_theme_options_javascript_functions_l10n.rule_title +'</h5><input type="text" name="ueldo_theme_options[opening-hours-status][status-'+ statusID +'-rules-rule-'+ nextRuleID +'-title]" value="'+ ueldo_theme_options_javascript_functions_l10n.single_rule +'" class="ueldo-theme-options-opening-hours-creation-rules-rule-title" /></div><div class="ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule-details-fields-group"><h5>'+ ueldo_theme_options_javascript_functions_l10n.apply_for_day_of_week +'</h5><div class="ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule-details-fields-weekdays"><div class="ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule-details-fields-weekdays-single-day"><input type="checkbox" name="ueldo_theme_options[opening-hours-status][status-'+ statusID +'-rules-rule-'+ nextRuleID +'-apply-for-monday]" id="status-'+ statusID +'-rules-rule-'+ nextRuleID +'-apply-for-monday" /><label for="status-'+ statusID +'-rules-rule-'+ nextRuleID +'-apply-for-monday">'+ ueldo_theme_options_javascript_functions_l10n.monday +'</label></div><div class="ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule-details-fields-weekdays-single-day"><input type="checkbox" name="ueldo_theme_options[opening-hours-status][status-'+ statusID +'-rules-rule-'+ nextRuleID +'-apply-for-tuesday]" id="status-'+ statusID +'-rules-rule-'+ nextRuleID +'-apply-for-tuesday" /><label for="status-'+ statusID +'-rules-rule-'+ nextRuleID +'-apply-for-tuesday">'+ ueldo_theme_options_javascript_functions_l10n.tuesday +'</label></div><div class="ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule-details-fields-weekdays-single-day"><input type="checkbox" name="ueldo_theme_options[opening-hours-status][status-'+ statusID +'-rules-rule-'+ nextRuleID +'-apply-for-wednesday]" id="status-'+ statusID +'-rules-rule-'+ nextRuleID +'-apply-for-wednesday" /><label for="status-'+ statusID +'-rules-rule-'+ nextRuleID +'-apply-for-wednesday">'+ ueldo_theme_options_javascript_functions_l10n.wednesday +'</label></div><div class="ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule-details-fields-weekdays-single-day"><input type="checkbox" name="ueldo_theme_options[opening-hours-status][status-'+ statusID +'-rules-rule-'+ nextRuleID +'-apply-for-thursday]" id="status-'+ statusID +'-rules-rule-'+ nextRuleID +'-apply-for-thursday" /><label for="status-'+ statusID +'-rules-rule-'+ nextRuleID +'-apply-for-thursday">'+ ueldo_theme_options_javascript_functions_l10n.thursday +'</label></div><div class="ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule-details-fields-weekdays-single-day ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule-details-fields-weekdays-single-day-bottom"><input type="checkbox" name="ueldo_theme_options[opening-hours-status][status-'+ statusID +'-rules-rule-'+ nextRuleID +'-apply-for-friday]" id="status-'+ statusID +'-rules-rule-'+ nextRuleID +'-apply-for-friday" /><label for="status-'+ statusID +'-rules-rule-'+ nextRuleID +'-apply-for-friday">'+ ueldo_theme_options_javascript_functions_l10n.friday +'</label></div><div class="ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule-details-fields-weekdays-single-day ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule-details-fields-weekdays-single-day-bottom"><input type="checkbox" name="ueldo_theme_options[opening-hours-status][status-'+ statusID +'-rules-rule-'+ nextRuleID +'-apply-for-saturday]" id="status-'+ statusID +'-rules-rule-'+ nextRuleID +'-apply-for-saturday" /><label for="status-'+ statusID +'-rules-rule-'+ nextRuleID +'-apply-for-saturday">'+ ueldo_theme_options_javascript_functions_l10n.saturday +'</label></div><div class="ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule-details-fields-weekdays-single-day ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule-details-fields-weekdays-single-day-bottom"><input type="checkbox" name="ueldo_theme_options[opening-hours-status][status-'+ statusID +'-rules-rule-'+ nextRuleID +'-apply-for-sunday]" id="status-'+ statusID +'-rules-rule-'+ nextRuleID +'-apply-for-sunday" /><label for="status-'+ statusID +'-rules-rule-'+ nextRuleID +'-apply-for-sunday">'+ ueldo_theme_options_javascript_functions_l10n.sunday +'</label></div></div></div><div class="ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule-details-fields-group"><h5>'+ ueldo_theme_options_javascript_functions_l10n.all_day_closed +'</h5><select name="ueldo_theme_options[opening-hours-status][status-'+ statusID +'-rules-rule-'+ nextRuleID +'-all-day-closed]" data-field-name="all-day-closed"><option value="no" selected="selected">'+ ueldo_theme_options_javascript_functions_l10n.no +'</option><option value="yes">'+ ueldo_theme_options_javascript_functions_l10n.yes +'</option></select><div class="ueldo-theme-options-opening-hours-status-creation-rules-field-depended" data-depended-name="opening-hours" data-visible="yes"><h5>'+ ueldo_theme_options_javascript_functions_l10n.opening_hours +'</h5><input type="hidden" name="ueldo_theme_options[opening-hours-status][status-'+ statusID +'-rules-rule-'+ nextRuleID +'-next-opening-hours-id]" value="2" /><div class="ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule-opening-hours-group"><div class="ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule-opening-hours" data-remove-confirm-visible="no"><div class="ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule-opening-hours-remove"><div class="ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule-opening-hours-remove-confirm">'+ ueldo_theme_options_javascript_functions_l10n.confirm_the_deletion +'</div></div><div class="ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule-opening-hours-fields"><input type="hidden" name="ueldo_theme_options[opening-hours-status][status-'+ statusID +'-rules-rule-'+ nextRuleID +'-opening-hours-1-ignored]" value="no" /><div class="ueldo-theme-options-opening-hours-status-creation-time-fields ueldo-theme-options-opening-hours-status-creation-time-fields-first"><select name="ueldo_theme_options[opening-hours-status][status-'+ statusID +'-rules-rule-'+ nextRuleID +'-opening-hours-1-from-hour]" class="ueldo-theme-options-opening-hours-status-creation-time-fields-hour"><option value="00">00 (12 pm)</option><option value="01">01 (1 am)</option><option value="02">02 (2 am)</option><option value="03">03 (3 am)</option><option value="04">04 (4 am)</option><option value="05">05 (5 am)</option><option value="06">06 (6 am)</option><option value="07">07 (7 am)</option><option value="08" selected="selected">08 (8 am)</option><option value="09">09 (9 am)</option><option value="10">10 (10 am)</option><option value="11">11 (11 am)</option><option value="12">12 (12 am)</option><option value="13">13 (1 pm)</option><option value="14">14 (2 pm)</option><option value="15">15 (3 pm)</option><option value="16">16 (4 pm)</option><option value="17">17 (5 pm)</option><option value="18">18 (6 pm)</option><option value="19">19 (7 pm)</option><option value="20">20 (8 pm)</option><option value="21">21 (9 pm)</option><option value="22">22 (10 pm)</option><option value="23">23 (11 pm)</option></select><span class="ueldo-theme-options-opening-hours-status-creation-time-fields-divider">:</span><select name="ueldo_theme_options[opening-hours-status][status-'+ statusID +'-rules-rule-'+ nextRuleID +'-opening-hours-1-from-minutes]" class="ueldo-theme-options-opening-hours-status-creation-time-fields-minutes"><option value="00" selected="selected">00</option><option value="01">01</option><option value="02">02</option><option value="03">03</option><option value="04">04</option><option value="05">05</option><option value="06">06</option><option value="07">07</option><option value="08">08</option><option value="09">09</option><option value="10">10</option><option value="11">11</option><option value="12">12</option><option value="13">13</option><option value="14">14</option><option value="15">15</option><option value="16">16</option><option value="17">17</option><option value="18">18</option><option value="19">19</option><option value="20">20</option><option value="21">21</option><option value="22">22</option><option value="23">23</option><option value="24">24</option><option value="25">25</option><option value="26">26</option><option value="27">27</option><option value="28">28</option><option value="29">29</option><option value="30">30</option><option value="31">31</option><option value="32">32</option><option value="33">33</option><option value="34">34</option><option value="35">35</option><option value="36">36</option><option value="37">37</option><option value="38">38</option><option value="39">39</option><option value="40">40</option><option value="41">41</option><option value="42">42</option><option value="43">43</option><option value="44">44</option><option value="45">45</option><option value="46">46</option><option value="47">47</option><option value="48">48</option><option value="49">49</option><option value="50">50</option><option value="51">51</option><option value="52">52</option><option value="53">53</option><option value="54">54</option><option value="55">55</option><option value="56">56</option><option value="57">57</option><option value="58">58</option><option value="59">59</option></select></div><div class="ueldo-theme-options-opening-hours-status-creation-time-fields"><select name="ueldo_theme_options[opening-hours-status][status-'+ statusID +'-rules-rule-'+ nextRuleID +'-opening-hours-1-to-hour]" class="ueldo-theme-options-opening-hours-status-creation-time-fields-hour"><option value="00">00 (12 pm)</option><option value="01">01 (1 am)</option><option value="02">02 (2 am)</option><option value="03">03 (3 am)</option><option value="04">04 (4 am)</option><option value="05">05 (5 am)</option><option value="06">06 (6 am)</option><option value="07">07 (7 am)</option><option value="08">08 (8 am)</option><option value="09">09 (9 am)</option><option value="10">10 (10 am)</option><option value="11">11 (11 am)</option><option value="12">12 (12 am)</option><option value="13">13 (1 pm)</option><option value="14">14 (2 pm)</option><option value="15">15 (3 pm)</option><option value="16" selected="selected">16 (4 pm)</option><option value="17">17 (5 pm)</option><option value="18">18 (6 pm)</option><option value="19">19 (7 pm)</option><option value="20">20 (8 pm)</option><option value="21">21 (9 pm)</option><option value="22">22 (10 pm)</option><option value="23">23 (11 pm)</option></select><span class="ueldo-theme-options-opening-hours-status-creation-time-fields-divider">:</span><select name="ueldo_theme_options[opening-hours-status][status-'+ statusID +'-rules-rule-'+ nextRuleID +'-opening-hours-1-to-minutes]" class="ueldo-theme-options-opening-hours-status-creation-time-fields-minutes"><option value="00" selected="selected">00</option><option value="01">01</option><option value="02">02</option><option value="03">03</option><option value="04">04</option><option value="05">05</option><option value="06">06</option><option value="07">07</option><option value="08">08</option><option value="09">09</option><option value="10">10</option><option value="11">11</option><option value="12">12</option><option value="13">13</option><option value="14">14</option><option value="15">15</option><option value="16">16</option><option value="17">17</option><option value="18">18</option><option value="19">19</option><option value="20">20</option><option value="21">21</option><option value="22">22</option><option value="23">23</option><option value="24">24</option><option value="25">25</option><option value="26">26</option><option value="27">27</option><option value="28">28</option><option value="29">29</option><option value="30">30</option><option value="31">31</option><option value="32">32</option><option value="33">33</option><option value="34">34</option><option value="35">35</option><option value="36">36</option><option value="37">37</option><option value="38">38</option><option value="39">39</option><option value="40">40</option><option value="41">41</option><option value="42">42</option><option value="43">43</option><option value="44">44</option><option value="45">45</option><option value="46">46</option><option value="47">47</option><option value="48">48</option><option value="49">49</option><option value="50">50</option><option value="51">51</option><option value="52">52</option><option value="53">53</option><option value="54">54</option><option value="55">55</option><option value="56">56</option><option value="57">57</option><option value="58">58</option><option value="59">59</option></select></div></div></div></div><div class="ueldo-theme-options-opening-hours-status-creation-add-new-opening-hours-set">'+ ueldo_theme_options_javascript_functions_l10n.add_new_opening_hours_set +'</div></div></div></div></div>' );

        nextRuleID += 1;
        nextRuleIDField.attr( 'value', nextRuleID ).val( nextRuleID );

        $.UeldoOpeningHoursStatusValidateDayWeekCheckboxes( rulesField );

    });

   /**
    *
    * validate day-week checkboxes on checkbox-change
    *
    */

    $( 'body' ).on( 'change', '.ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule-details-fields-weekdays-single-day input[type="checkbox"]', function() {

        var rulesField = $( this ).parents( '.ueldo-theme-options-opening-hours-status-creation-rules-field' );
        $.UeldoOpeningHoursStatusValidateDayWeekCheckboxes( rulesField );

    });

   /**
    *
    * validate day-week checkboxes
    *
    */

    $.UeldoOpeningHoursStatusValidateDayWeekCheckboxes = function( rulesField ) {

        var statusID = rulesField.data( 'status-id' );
        var weekdays = [ 'monday', 'tuesday', 'wednesday', 'thursday', 'friday', 'saturday', 'sunday' ];
        var checkedCount = 0;
        var ruleIDs = [];

        rulesField.find( '.ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule' ).each( function() { ruleIDs.push( $( this ).data( 'rule-id' ) ); });

        $.each( weekdays, function( i, weekday ) {

            var isChecked = false;
            $.each( ruleIDs, function( j, ruleID ) {

                var field = rulesField.find( 'input[name="ueldo_theme_options[opening-hours-status][status-'+ statusID +'-rules-rule-'+ ruleID +'-apply-for-'+ weekday +']"]' );
                if( field.is( ':checked' ) ) {

                    if( isChecked == false ) isChecked = true;
                    else field.attr( 'checked', false ).prop( 'checked', false );
                }

            });

            $.each( ruleIDs, function( j, ruleID ) {

                var field = rulesField.find( 'input[name="ueldo_theme_options[opening-hours-status][status-'+ statusID +'-rules-rule-'+ ruleID +'-apply-for-'+ weekday +']"]' );

                if( isChecked == false ) field.attr( 'disabled', false ).prop( 'disabled', false );
                else {

                    if( !field.is( ':checked' ) ) field.attr( 'disabled', true ).prop( 'disabled', true );
                    else field.attr( 'disabled', false ).prop( 'disabled', false );
                }

            });

            if( isChecked == true ) checkedCount += 1;

        });

        var newRuleButton = rulesField.siblings( '.ueldo-theme-options-opening-hours-status-creation-add-new-rule' );

        if( checkedCount == 7 ) newRuleButton.addClass( 'ueldo-theme-options-opening-hours-status-creation-add-new-rule-inactive' );
        else newRuleButton.removeClass( 'ueldo-theme-options-opening-hours-status-creation-add-new-rule-inactive' );

    };

   /**
    *
    * validate from - to date value for opening hours exception
    *
    */

    $.UeldoValidateFromToDateValueForOpeningHoursException = function( fieldsGroup ) {

        var applyFromField = fieldsGroup.find( 'input[type="text"].ueldo-theme-options-datepicker' ).first();
        var applyToField = fieldsGroup.find( 'input[type="text"].ueldo-theme-options-datepicker' ).last();
        var applyFromFieldValue = applyFromField.val().split( '-' ).join( '' );
        var applyToFieldValue = applyToField.val().split( '-' ).join( '' );
        var ignoreField = fieldsGroup.find( 'input[type="hidden"]' );

        if( applyFromFieldValue == '' || applyToFieldValue == '' || applyFromFieldValue > applyToFieldValue ) {

            applyFromField.addClass( 'ueldo-theme-options-datepicker-error' );
            applyToField.addClass( 'ueldo-theme-options-datepicker-error' );

            ignoreField.attr( 'value', 'yes' ).val( 'yes' );
        }

        else {

            applyFromField.removeClass( 'ueldo-theme-options-datepicker-error' );
            applyToField.removeClass( 'ueldo-theme-options-datepicker-error' );

            ignoreField.attr( 'value', 'no' ).val( 'no' );
        }
    };

   /**
    *
    * update "from" or "to" date value for exception
    *
    */

    $( 'body' ).on( 'change', '.ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule-details-fields-group input[type="text"].ueldo-theme-options-datepicker', function() {

        var fieldsGroup = $( this ).parents( '.ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule-details-fields-group' );
        $.UeldoValidateFromToDateValueForOpeningHoursException( fieldsGroup );

    });

   /**
    *
    * update datepicker position in opening hours status box
    *
    */

    $.UeldoUpdateOpeningHoursStatusCreationFieldDatepickerPosition = function() {

        var datepicker = $( '#ui-datepicker-div' );
        if( datepicker.css( 'display' ) != 'none' || datepicker.hasClass( 'ueldo-custom-datepicker-theme-hidden' ) ) {

            var inputID = datepicker.data( 'for-input-id' );
            if( typeof inputID == 'undefined' ) return;

            var input = $( 'input[type="text"]#'+ inputID );
            var datepickerPos = input.offset().top + parseInt( input.css( 'height' ), 10 );

            datepicker.css({ 'top': datepickerPos });

            var creationField = input.parents( '.ueldo-theme-options-opening-hours-status-creation-field-container' );
            var creationFieldBottomPos = creationField.offset().top + parseInt( creationField.css( 'height' ), 10 );

            if( datepickerPos > creationFieldBottomPos ) datepicker.addClass( 'ueldo-custom-datepicker-theme-hidden' );
            else datepicker.removeClass( 'ueldo-custom-datepicker-theme-hidden' );
        }

    };

    $( 'body.appearance_page_ueldo_admin .ueldo-theme-options-opening-hours-status-creation-field-container' ).scroll( function() { $.UeldoUpdateOpeningHoursStatusCreationFieldDatepickerPosition(); });

   /**
    *
    * add new exception
    *
    */

    $( 'body' ).on( 'click', '.ueldo-theme-options-opening-hours-status-creation-add-new-rule-exception', function() {

        var button = $( this );
        var exceptionsField = button.siblings( '.ueldo-theme-options-opening-hours-status-creation-rules-field' );
        var statusID = exceptionsField.data( 'status-id' );
        var nextExceptionIDField = exceptionsField.find( 'input[name="ueldo_theme_options[opening-hours-status][status-'+ statusID +'-exceptions-next-exception-id]"]' );
        var nextExceptionID = parseInt( nextExceptionIDField.val(), 10 );

        exceptionsField.find( '.ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule' ).data( 'rule-details-visible', 'no' ).attr( 'data-rule-details-visible', 'no' );
        exceptionsField.append( '<div class="ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule" data-rule-details-visible="yes" data-rule-id="'+ nextExceptionID +'"><div class="ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule-data"><span class="ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule-remove-confirm" data-visible="no">'+ ueldo_theme_options_javascript_functions_l10n.confirm_the_deletion +'</span> <span class="ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule-remove" data-visible="yes"></span> <span class="ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule-edit"><i class="fa fa-pencil"></i></span> <span data-element-type="rule-title">'+ ueldo_theme_options_javascript_functions_l10n.single_exception +'</span></div><div class="ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule-details"><div class="ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule-details-fields-group"><h5>'+ ueldo_theme_options_javascript_functions_l10n.exception_title +'</h5><input type="text" name="ueldo_theme_options[opening-hours-status][status-'+ statusID +'-exceptions-exception-'+ nextExceptionID +'-title]" value="'+ ueldo_theme_options_javascript_functions_l10n.single_exception +'" class="ueldo-theme-options-opening-hours-creation-rules-rule-title" /></div><div class="ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule-details-fields-group"><input type="hidden" name="ueldo_theme_options[opening-hours-status][status-'+ statusID +'-exceptions-exception-'+ nextExceptionID +'-ignored]" value="yes" /><h5>'+ ueldo_theme_options_javascript_functions_l10n.apply_from +'</h5><input type="text" name="ueldo_theme_options[opening-hours-status][status-'+ statusID +'-exceptions-exception-'+ nextExceptionID +'-apply-from]" value="" class="ueldo-theme-options-datepicker ueldo-theme-options-datepicker-error" readonly /><h5>'+ ueldo_theme_options_javascript_functions_l10n.apply_to +'</h5><input type="text" name="ueldo_theme_options[opening-hours-status][status-'+ statusID +'-exceptions-exception-'+ nextExceptionID +'-apply-to]" value="" class="ueldo-theme-options-datepicker ueldo-theme-options-datepicker-error" readonly /></div><div class="ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule-details-fields-group"><h5>'+ ueldo_theme_options_javascript_functions_l10n.all_day_closed +'</h5><select name="ueldo_theme_options[opening-hours-status][status-'+ statusID +'-exceptions-exception-'+ nextExceptionID +'-all-day-closed]" data-field-name="all-day-closed"><option value="no" selected="selected">'+ ueldo_theme_options_javascript_functions_l10n.no +'</option><option value="yes">'+ ueldo_theme_options_javascript_functions_l10n.yes +'</option></select><div class="ueldo-theme-options-opening-hours-status-creation-rules-field-depended" data-depended-name="opening-hours" data-visible="yes"><h5>'+ ueldo_theme_options_javascript_functions_l10n.opening_hours +'</h5><input type="hidden" name="ueldo_theme_options[opening-hours-status][status-'+ statusID +'-exceptions-exception-'+ nextExceptionID +'-next-opening-hours-id]" value="2" /><div class="ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule-opening-hours-group"><div class="ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule-opening-hours" data-remove-confirm-visible="no"><div class="ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule-opening-hours-remove"><div class="ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule-opening-hours-remove-confirm">'+ ueldo_theme_options_javascript_functions_l10n.confirm_the_deletion +'</div></div><div class="ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule-opening-hours-fields"><input type="hidden" name="ueldo_theme_options[opening-hours-status][status-'+ statusID +'-exceptions-exception-'+ nextExceptionID +'-opening-hours-1-ignored]" value="no" /><div class="ueldo-theme-options-opening-hours-status-creation-time-fields ueldo-theme-options-opening-hours-status-creation-time-fields-first"><select name="ueldo_theme_options[opening-hours-status][status-'+ statusID +'-exceptions-exception-'+ nextExceptionID +'-opening-hours-1-from-hour]" class="ueldo-theme-options-opening-hours-status-creation-time-fields-hour"><option value="00">00 (12 pm)</option><option value="01">01 (1 am)</option><option value="02">02 (2 am)</option><option value="03">03 (3 am)</option><option value="04">04 (4 am)</option><option value="05">05 (5 am)</option><option value="06">06 (6 am)</option><option value="07">07 (7 am)</option><option value="08" selected="selected">08 (8 am)</option><option value="09">09 (9 am)</option><option value="10">10 (10 am)</option><option value="11">11 (11 am)</option><option value="12">12 (12 am)</option><option value="13">13 (1 pm)</option><option value="14">14 (2 pm)</option><option value="15">15 (3 pm)</option><option value="16">16 (4 pm)</option><option value="17">17 (5 pm)</option><option value="18">18 (6 pm)</option><option value="19">19 (7 pm)</option><option value="20">20 (8 pm)</option><option value="21">21 (9 pm)</option><option value="22">22 (10 pm)</option><option value="23">23 (11 pm)</option></select><span class="ueldo-theme-options-opening-hours-status-creation-time-fields-divider">:</span><select name="ueldo_theme_options[opening-hours-status][status-'+ statusID +'-exceptions-exception-'+ nextExceptionID +'-opening-hours-1-from-minutes]" class="ueldo-theme-options-opening-hours-status-creation-time-fields-minutes"><option value="00" selected="selected">00</option><option value="01">01</option><option value="02">02</option><option value="03">03</option><option value="04">04</option><option value="05">05</option><option value="06">06</option><option value="07">07</option><option value="08">08</option><option value="09">09</option><option value="10">10</option><option value="11">11</option><option value="12">12</option><option value="13">13</option><option value="14">14</option><option value="15">15</option><option value="16">16</option><option value="17">17</option><option value="18">18</option><option value="19">19</option><option value="20">20</option><option value="21">21</option><option value="22">22</option><option value="23">23</option><option value="24">24</option><option value="25">25</option><option value="26">26</option><option value="27">27</option><option value="28">28</option><option value="29">29</option><option value="30">30</option><option value="31">31</option><option value="32">32</option><option value="33">33</option><option value="34">34</option><option value="35">35</option><option value="36">36</option><option value="37">37</option><option value="38">38</option><option value="39">39</option><option value="40">40</option><option value="41">41</option><option value="42">42</option><option value="43">43</option><option value="44">44</option><option value="45">45</option><option value="46">46</option><option value="47">47</option><option value="48">48</option><option value="49">49</option><option value="50">50</option><option value="51">51</option><option value="52">52</option><option value="53">53</option><option value="54">54</option><option value="55">55</option><option value="56">56</option><option value="57">57</option><option value="58">58</option><option value="59">59</option></select></div><div class="ueldo-theme-options-opening-hours-status-creation-time-fields"><select name="ueldo_theme_options[opening-hours-status][status-'+ statusID +'-exceptions-exception-'+ nextExceptionID +'-opening-hours-1-to-hour]" class="ueldo-theme-options-opening-hours-status-creation-time-fields-hour"><option value="00">00 (12 pm)</option><option value="01">01 (1 am)</option><option value="02">02 (2 am)</option><option value="03">03 (3 am)</option><option value="04">04 (4 am)</option><option value="05">05 (5 am)</option><option value="06">06 (6 am)</option><option value="07">07 (7 am)</option><option value="08">08 (8 am)</option><option value="09">09 (9 am)</option><option value="10">10 (10 am)</option><option value="11">11 (11 am)</option><option value="12">12 (12 am)</option><option value="13">13 (1 pm)</option><option value="14">14 (2 pm)</option><option value="15">15 (3 pm)</option><option value="16" selected="selected">16 (4 pm)</option><option value="17">17 (5 pm)</option><option value="18">18 (6 pm)</option><option value="19">19 (7 pm)</option><option value="20">20 (8 pm)</option><option value="21">21 (9 pm)</option><option value="22">22 (10 pm)</option><option value="23">23 (11 pm)</option></select><span class="ueldo-theme-options-opening-hours-status-creation-time-fields-divider">:</span><select name="ueldo_theme_options[opening-hours-status][status-'+ statusID +'-exceptions-exception-'+ nextExceptionID +'-opening-hours-1-to-minutes]" class="ueldo-theme-options-opening-hours-status-creation-time-fields-minutes"><option value="00" selected="selected">00</option><option value="01">01</option><option value="02">02</option><option value="03">03</option><option value="04">04</option><option value="05">05</option><option value="06">06</option><option value="07">07</option><option value="08">08</option><option value="09">09</option><option value="10">10</option><option value="11">11</option><option value="12">12</option><option value="13">13</option><option value="14">14</option><option value="15">15</option><option value="16">16</option><option value="17">17</option><option value="18">18</option><option value="19">19</option><option value="20">20</option><option value="21">21</option><option value="22">22</option><option value="23">23</option><option value="24">24</option><option value="25">25</option><option value="26">26</option><option value="27">27</option><option value="28">28</option><option value="29">29</option><option value="30">30</option><option value="31">31</option><option value="32">32</option><option value="33">33</option><option value="34">34</option><option value="35">35</option><option value="36">36</option><option value="37">37</option><option value="38">38</option><option value="39">39</option><option value="40">40</option><option value="41">41</option><option value="42">42</option><option value="43">43</option><option value="44">44</option><option value="45">45</option><option value="46">46</option><option value="47">47</option><option value="48">48</option><option value="49">49</option><option value="50">50</option><option value="51">51</option><option value="52">52</option><option value="53">53</option><option value="54">54</option><option value="55">55</option><option value="56">56</option><option value="57">57</option><option value="58">58</option><option value="59">59</option></select></div></div></div></div><div class="ueldo-theme-options-opening-hours-status-creation-add-new-opening-hours-set">'+ ueldo_theme_options_javascript_functions_l10n.add_new_opening_hours_set +'</div></div></div></div></div>' );

        exceptionsField.find( '.ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule[data-rule-id="'+ nextExceptionID +'"] input[type="text"].ueldo-theme-options-datepicker' ).datepicker({

            dateFormat: 'yy-mm-dd',
            beforeShow: function( input, inst ) {

                var inputID = $( input ).attr( 'id' );
                $( '#ui-datepicker-div' ).data( 'for-input-id', inputID ).attr( 'data-for-input-id', inputID ).addClass( 'ueldo-custom-datepicker-theme' );
            },

            onClose: function( dateText, inst ) {

                $( '#ui-datepicker-div' ).data( 'for-input-id', '' ).removeAttr( 'data-for-input-id' ).removeClass( 'ueldo-custom-datepicker-theme-hidden' );
            }

        });

        nextExceptionID += 1;
        nextExceptionIDField.attr( 'value', nextExceptionID ).val( nextExceptionID );

    });

   /**
    *
    * open / hide opening hours status creation field
    *
    */

    $( 'body' ).on( 'click', '.ueldo-theme-options-opening-hours-statuses-single-status-edit', function() {

        var status = $( this ).parents( '.ueldo-theme-options-opening-hours-statuses-single-status' );

        if( status.data( 'creation-field-visible' ) == 'no' ) status.data( 'creation-field-visible', 'yes' ).attr( 'data-creation-field-visible', 'yes' );
        else status.data( 'creation-field-visible', 'no' ).attr( 'data-creation-field-visible', 'no' );

        status.siblings( '.ueldo-theme-options-opening-hours-statuses-single-status' ).data( 'creation-field-visible', 'no' ).attr( 'data-creation-field-visible', 'no' );

    });

   /**
    *
    * hide opening hours status creation field
    *
    */

    $( document ).on( 'click', function( event ) {

        if( $( event.target ).hasClass( 'ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule-remove-confirm' )
         || $( event.target ).hasClass( 'ueldo-theme-options-opening-hours-status-creation-rules-field-single-rule-opening-hours-remove-confirm' )
         || $( event.target ).hasClass( 'ueldo-theme-options-opening-hours-statuses-add-new-status' )
         || $( event.target.parentElement ).hasClass( 'ueldo-theme-options-opening-hours-statuses-single-status' )
         || $( event.target.parentElement ).hasClass( 'ui-datepicker-prev' )
         || $( event.target.parentElement ).hasClass( 'ui-datepicker-next' )
         || $( event.target.parentElement ).hasClass( 'ui-datepicker-header' )
         || $( event.target ).parents( '#ui-datepicker-div' ).length == 1
         || $( event.target ).hasClass( 'ui-datepicker' ) ) return;

        else {

            if( !$( event.target ).closest( '.ueldo-theme-options-opening-hours-statuses-single-status' ).length ) {

                $( '.ueldo-theme-options-opening-hours-statuses-single-status' ).each( function() {

                    var element = $( this );
                    if( element.data( 'creation-field-visible' ) == 'yes' ) {

                        element.data( 'creation-field-visible', 'no' ).attr( 'data-creation-field-visible', 'no' );
                    }

                });
            }
        }

    });

   /**
    *
    * add new opening hours status
    *
    */

    $( 'body' ).on( 'click', '.ueldo-theme-options-opening-hours-statuses-add-new-status', function() {

        var button = $( this );
        var openingHoursStatusesField = button.siblings( '.ueldo-theme-options-opening-hours-statuses' );
        var nextStatusIDField = openingHoursStatusesField.children( 'input[name="ueldo_theme_options[opening-hours-status][next-status-id]"]' );
        var nextStatusIDFieldValue = parseInt( nextStatusIDField.val(), 10 );

        openingHoursStatusesField.find( '.ueldo-theme-options-opening-hours-statuses-single-status' ).data( 'creation-field-visible', 'no' ).attr( 'data-creation-field-visible', 'no' );
        openingHoursStatusesField.append( '<div class="ueldo-theme-options-opening-hours-statuses-single-status" data-creation-field-visible="yes" data-status-id="'+ nextStatusIDFieldValue +'"><span class="ueldo-theme-options-opening-hours-statuses-single-status-remove-confirm" data-visible="no">'+ ueldo_theme_options_javascript_functions_l10n.confirm_the_deletion +'</span> <span class="ueldo-theme-options-opening-hours-statuses-single-status-remove" data-visible="yes"></span> <span class="ueldo-theme-options-opening-hours-statuses-single-status-edit"><i class="fa fa-pencil"></i></span> <span data-element-type="status-title">'+ ueldo_theme_options_javascript_functions_l10n.regular_opening_hours +'</span><div class="ueldo-theme-options-opening-hours-status-creation-field"><div class="ueldo-theme-options-opening-hours-status-creation-field-container"><div class="ueldo-theme-options-opening-hours-status-creation-field-group"><h5>'+ ueldo_theme_options_javascript_functions_l10n.status_name +'</h5><input type="text" name="ueldo_theme_options[opening-hours-status][status-'+ nextStatusIDFieldValue +'-title]" value="'+ ueldo_theme_options_javascript_functions_l10n.regular_opening_hours +'" class="ueldo-theme-options-opening-hours-status-creation-status-title" /></div><div class="ueldo-theme-options-opening-hours-status-creation-field-group"><h5>'+ ueldo_theme_options_javascript_functions_l10n.timezone +'</h5><select name="ueldo_theme_options[opening-hours-status][status-'+ nextStatusIDFieldValue +'-timezone]"><option value="use-browser" selected="selected">'+ ueldo_theme_options_javascript_functions_l10n.get_from_client_browser +'</option>'+ $.UeldoGenerateTimezonesList() +'</select></div><div class="ueldo-theme-options-opening-hours-status-creation-field-group"><h5>'+ ueldo_theme_options_javascript_functions_l10n.rules +'</h5><div class="ueldo-theme-options-opening-hours-status-creation-rules-field" data-status-id="'+ nextStatusIDFieldValue +'"><input type="hidden" name="ueldo_theme_options[opening-hours-status][status-'+ nextStatusIDFieldValue +'-rules-next-rule-id]" value="1" /><div class="ueldo-theme-options-opening-hours-status-creation-rules-field-nothing-found"><p>'+ ueldo_theme_options_javascript_functions_l10n.you_did_not_added_any_rule_yet +'</p></div></div><div class="ueldo-theme-options-opening-hours-status-creation-add-new-rule">'+ ueldo_theme_options_javascript_functions_l10n.add_new_rule +'</div></div><div class="ueldo-theme-options-opening-hours-status-creation-field-group"><h5>'+ ueldo_theme_options_javascript_functions_l10n.exceptions +'</h5><div class="ueldo-theme-options-opening-hours-status-creation-rules-field ueldo-theme-options-opening-hours-status-creation-rules-field-exceptions" data-status-id="'+ nextStatusIDFieldValue +'"><input type="hidden" name="ueldo_theme_options[opening-hours-status][status-'+ nextStatusIDFieldValue +'-exceptions-next-exception-id]" value="1" /><div class="ueldo-theme-options-opening-hours-status-creation-rules-field-nothing-found"><p>'+ ueldo_theme_options_javascript_functions_l10n.you_did_not_added_any_exception_yet +'</p></div></div><div class="ueldo-theme-options-opening-hours-status-creation-add-new-rule-exception">'+ ueldo_theme_options_javascript_functions_l10n.add_new_exception +'</div></div></div></div></div>' );

        openingHoursStatusesField.find( '.ueldo-theme-options-opening-hours-statuses-single-status[data-status-id="'+ nextStatusIDFieldValue +'"] .ueldo-theme-options-opening-hours-status-creation-field-container' ).scroll( function() { $.UeldoUpdateOpeningHoursStatusCreationFieldDatepickerPosition(); });

        nextStatusIDFieldValue += 1;
        nextStatusIDField.attr( 'value', nextStatusIDFieldValue ).val( nextStatusIDFieldValue );

    });

   /**
    *
    * generate timezones list
    *
    */

    $.UeldoGenerateTimezonesList = function() {

        var result = '';
        $.each( ueldo_timezones_object, function( timezone, timezone_name ) {

            result += '<option value="'+ timezone +'">'+ timezone_name +'</option>';

        });

        return( result );
    };

   /**
    *
    * validate number fields live
    *
    */

    $( 'body' ).on( 'input', '.ueldo-theme-options-single-option input.ueldo-validate-number-field', function() {

        var field = $( this );
        field.attr( 'disabled', true ).prop( 'disabled', true );

        var fieldValue = field.val();
        var minusAllowed = field.data( 'number-field-minus-allowed' );
        var decimalsAllowed = field.data( 'number-field-decimals-allowed' );
        var dotFound = false;
        var correctValue = '';

        for( var i = 0; i < fieldValue.length; i++ ) {

            var correct = $.inArray( fieldValue[i].toString(), [ '1', '2', '3', '4', '5', '6', '7', '8', '9', '0' ] ) != -1;

            if( correct == true ) correctValue += fieldValue[i].toString();
            else {

                if( i == 0 && fieldValue[i].toString() == '-' && minusAllowed == 'yes' ) correctValue += fieldValue[i].toString();
                else if( decimalsAllowed == 'yes' && fieldValue[i].toString() == '.' && dotFound == false && i > 0 ) {

                    dotFound = true;
                    correctValue += fieldValue[i].toString();
                }
            }
        }

        field.attr( 'value', correctValue ).val( correctValue ).attr( 'disabled', false ).prop( 'disabled', false ).focus();

    });

    $( 'body' ).on( 'focusout', '.ueldo-theme-options-single-option input.ueldo-validate-number-field', function() {

        var field = $( this );
        var fieldValue = field.val();
        var decimalsAllowed = field.data( 'number-field-decimals-allowed' );
        var parsedValue = decimalsAllowed ? parseFloat( fieldValue ) : parseInt( fieldValue, 10 );

        if( fieldValue == '' || fieldValue == '-' || fieldValue == '.' ) field.attr( 'value', '0' ).val( '0' );
        if( fieldValue != '0' ) {

            if( fieldValue[0] == '-' ) field.attr( 'value', parsedValue ).val( parsedValue );
            else if( fieldValue[0] == '0' ) {

                if( decimalsAllowed == 'no' ) field.attr( 'value', parsedValue ).val( parsedValue );
                else {

                    if( fieldValue.indexOf( '.' ) !== 1 ) field.attr( 'value', parsedValue ).val( parsedValue );
                }
            }

            else if( fieldValue[( fieldValue.length - 1)] == '.' ) {

                field.attr( 'value', parsedValue ).val( parsedValue );
            }
        }

    });

   /**
    *
    * fire boxed website space value validation
    *
    */

    $( 'body' ).on( 'input', '.ueldo-theme-options-single-option[data-option-key="boxed-website"] input.ueldo-validate-number-field', function() { $.UeldoThemeOptionsValidateBoxedWebsiteSpaceValue(); });
    $( 'body' ).on( 'click', '.ueldo-theme-options-single-option[data-option-key="boxed-website"] .ueldo-theme-options-select-with-image-field-option', function() { $.UeldoThemeOptionsValidateBoxedWebsiteSpaceValue(); });

   /**
    *
    * validate boxed website space value
    *
    */

    $.UeldoThemeOptionsValidateBoxedWebsiteSpaceValue = function() {

        var container = $( '.ueldo-theme-options-single-option[data-option-key="boxed-website"]' );
        var isBoxed = container.find( 'input[name="ueldo_theme_options[boxed-website][enabled]"]' ).val() == 'yes';

        if( isBoxed == false ) return;
        else {

            var values = {
                'largeWidth': parseInt( container.find( 'input[name="ueldo_theme_options[boxed-website][large-content-width]"]' ).val(), 10 ),
                'largeSpace': parseInt( container.find( 'input[name="ueldo_theme_options[boxed-website][large-content-space]"]' ).val(), 10 ),
                'mediumWidth': parseInt( container.find( 'input[name="ueldo_theme_options[boxed-website][medium-content-width]"]' ).val(), 10 ),
                'mediumSpace': parseInt( container.find( 'input[name="ueldo_theme_options[boxed-website][medium-content-space]"]' ).val(), 10 ),
                'smallWidth': parseInt( container.find( 'input[name="ueldo_theme_options[boxed-website][small-content-width]"]' ).val(), 10 ),
                'smallSpace': parseInt( container.find( 'input[name="ueldo_theme_options[boxed-website][small-content-space]"]' ).val(), 10 )
            };

            var calculations = {
                'large': values.largeWidth + ( values.largeSpace * 2 ),
                'medium': values.mediumWidth + ( values.mediumSpace * 2 ),
                'small': values.smallWidth + ( values.smallSpace * 2 )
            };

            container.find( '.ueldo-theme-options-boxed-website-large-calculation' ).text( calculations.large );
            container.find( '.ueldo-theme-options-boxed-website-medium-calculation' ).text( calculations.medium );
            container.find( '.ueldo-theme-options-boxed-website-small-calculation' ).text( calculations.small );

            if( calculations.large > 1200 ) container.find( 'input[name="ueldo_theme_options[boxed-website][large-content-width]"], input[name="ueldo_theme_options[boxed-website][large-content-space]"]' ).addClass( 'ueldo-input-error' );
            else container.find( 'input[name="ueldo_theme_options[boxed-website][large-content-width]"], input[name="ueldo_theme_options[boxed-website][large-content-space]"]' ).removeClass( 'ueldo-input-error' );

            if( calculations.medium > 990 ) container.find( 'input[name="ueldo_theme_options[boxed-website][medium-content-width]"], input[name="ueldo_theme_options[boxed-website][medium-content-space]"]' ).addClass( 'ueldo-input-error' );
            else container.find( 'input[name="ueldo_theme_options[boxed-website][medium-content-width]"], input[name="ueldo_theme_options[boxed-website][medium-content-space]"]' ).removeClass( 'ueldo-input-error' );

            if( calculations.small > 765 ) container.find( 'input[name="ueldo_theme_options[boxed-website][small-content-width]"], input[name="ueldo_theme_options[boxed-website][small-content-space]"]' ).addClass( 'ueldo-input-error' );
            else container.find( 'input[name="ueldo_theme_options[boxed-website][small-content-width]"], input[name="ueldo_theme_options[boxed-website][small-content-space]"]' ).removeClass( 'ueldo-input-error' );
        }
    };

   /**
    *
    * show / hide footer content field
    *
    */

    $( '.ueldo-theme-options-single-option[data-option-key="footer-content"]' ).on( 'change', 'select.ueldo-footer-content-get-content-from-field', function() {

        var field = $( this );
        var option = field.parents( '.ueldo-theme-options-single-option-form' );
        var optionForm = $( this );
        var fieldDepended = option.find( '.ueldo-theme-options-field-depended' );

        if( field.val() == 'default' ) fieldDepended.removeClass( 'ueldo-theme-options-field-depended-hidden' );
        else fieldDepended.addClass( 'ueldo-theme-options-field-depended-hidden' );

    });

   /**
    *
    * show / hide second header options
    *
    */

    $( '.ueldo-theme-options-single-option[data-option-key="header"]' ).on( 'change', 'select', function() {

        $.UeldoThemeOptionsUpdateHeaderOptionsFieldsDepended();

    });

   /**
    *
    * update header options fields depended
    *
    */

    $.UeldoThemeOptionsUpdateHeaderOptionsFieldsDepended = function() {

        var optionContainer = $( '.ueldo-theme-options-single-option[data-option-key="header"]' );
        optionContainer.find( '.ueldo-theme-options-single-option-form' ).each( function() {

            var optionForm = $( this );
            var langKey = optionForm.data( 'lang-key' );
            var element, params = {
                'isHeaderContentDefault': optionForm.find( 'select[name="ueldo_theme_options[header][get-content-from]['+ langKey +']"]' ).val() == 'default',
                'isSecondHeaderContentDefault': optionForm.find( 'select[name="ueldo_theme_options[header][get-second-content-from]['+ langKey +']"]' ).val() == 'default',
                'headerPosition': optionForm.find( 'input[name="ueldo_theme_options[header][position]['+ langKey +']"]' ).val(),
                'useSecondHeader': optionForm.find( 'select[name="ueldo_theme_options[header][use-second-header]['+ langKey +']"]' ).val() == 'yes'
            };

            element = optionForm.find( '.ueldo-theme-options-field-depended[data-field-depended-key="header-logo-image"]' );

            if( params.isHeaderContentDefault == true ) element.removeClass( 'ueldo-theme-options-field-depended-hidden' );
            else element.addClass( 'ueldo-theme-options-field-depended-hidden' );

            element = optionForm.find( '.ueldo-theme-options-field-depended[data-field-depended-key="second-header-logo-image"]' );

            if( params.headerPosition == 'static' && params.useSecondHeader == true && params.isSecondHeaderContentDefault == true ) element.removeClass( 'ueldo-theme-options-field-depended-hidden' );
            else element.addClass( 'ueldo-theme-options-field-depended-hidden' );

            element = optionForm.find( '.ueldo-theme-options-field-depended[data-field-depended-key="use-second-header"]' );

            if( params.headerPosition == 'static' ) element.removeClass( 'ueldo-theme-options-field-depended-hidden' );
            else element.addClass( 'ueldo-theme-options-field-depended-hidden' );

            element = optionForm.find( '.ueldo-theme-options-field-depended[data-field-depended-key="second-header-options"]' );

            if( params.headerPosition == 'static' && params.useSecondHeader == true ) element.removeClass( 'ueldo-theme-options-field-depended-hidden' );
            else element.addClass( 'ueldo-theme-options-field-depended-hidden' );

            element = optionForm.find( '.ueldo-theme-options-field-depended[data-field-depended-key="logo-images"]' );

            if( ( params.isHeaderContentDefault == true ) || ( params.headerPosition == 'static' && params.useSecondHeader == true && params.isSecondHeaderContentDefault == true ) ) element.removeClass( 'ueldo-theme-options-field-depended-hidden' );
            else element.addClass( 'ueldo-theme-options-field-depended-hidden' );

        });
    };

   /**
    *
    * theme options navigation on click
    *
    */

    $( 'body' ).on( 'click', 'ul.ueldo-theme-options-list li:not(.ueldo-theme-options-list-active-element)', function() {

        var element = $( this );
        var list = element.parent();
        var hash = element.data( 'option-key' );

        window.location.hash = hash;

        list.find( 'li.ueldo-theme-options-list-active-element' ).removeClass( 'ueldo-theme-options-list-active-element' );
        element.addClass( 'ueldo-theme-options-list-active-element' );

        $.UeldoThemeOptionsShowHideOptions( hash );

    });

   /**
    *
    * show / hide theme options
    *
    */

    $.UeldoThemeOptionsShowHideOptions = function( hash ) {

        var optionsContainer = $( '.ueldo-theme-options-container' );
        switch( hash ) {

            case 'all-settings':

                optionsContainer.find( '.ueldo-theme-options-single-option' ).css({ 'display': '' });
                optionsContainer.find( '.ueldo-theme-options-save-changes' ).css({ 'display': '' });

            break;

            default:

                optionsContainer.find( '.ueldo-theme-options-single-option:not([data-option-key="'+ hash +'"])' ).css({ 'display': 'none' });
                optionsContainer.find( '.ueldo-theme-options-single-option[data-option-key="'+ hash +'"]' ).css({ 'display': 'block' });
                optionsContainer.find( '.ueldo-theme-options-save-changes' ).css({ 'display': '' });

            break;
        }
    };

   /**
    *
    * show selected theme option on load
    *
    */

    $.UeldoThemeOptionsShowThemeOptionOnLoad = function() {

        var hash = window.location.hash.substr( 1 );
        if( hash == '' ) return;

        var list = $( 'ul.ueldo-theme-options-list' );
        var element = list.find( 'li[data-option-key="'+ hash +'"]' );

        if( element.length == 0 ) return;

        list.find( 'li.ueldo-theme-options-list-active-element' ).removeClass( 'ueldo-theme-options-list-active-element' );
        element.addClass( 'ueldo-theme-options-list-active-element' );

        $.UeldoThemeOptionsShowHideOptions( hash );
    };

   /**
    *
    * update loader spinner colors live
    *
    */

    $( 'body' ).on( 'ueldo-color-picker-changed', function( event, input, color ) {

        if( input.parents( '.ueldo-theme-options-single-option[data-option-key="loader-animation"] .ueldo-theme-options-field-depended[data-field-depended-key="custom-colors"]' ).length == 1 ) {

            switch( input.attr( 'name' ) ) {

                case 'ueldo_theme_options[loader-animation][custom-colors-background]': $.UeldoThemeOptionsUpdateLoaderSpinnersColors( color, false ); break;
                case 'ueldo_theme_options[loader-animation][custom-colors-spinner]': $.UeldoThemeOptionsUpdateLoaderSpinnersColors( false, color ); break;
            }
        }

    });

   /**
    *
    * function for live colors update for loader spinners
    *
    */

    $.UeldoThemeOptionsUpdateLoaderSpinnersColors = function( backgroundColor, spinnerColor ) {

        var container = $( '.ueldo-theme-options-single-option[data-option-key="loader-animation"]' );
        if( backgroundColor != false ) {

            container.find( '.ueldo-theme-options-animations-selection-field-option-container-inner, .ueldo-loader-style-04 .ueldo-loader-circle-inner' ).css({ 'background': backgroundColor });
        }

        if( spinnerColor != false ) {

            container.find( '.ueldo-loader-style-03, .ueldo-loader-style-04' ).css({ 'border-color': spinnerColor });
            container.find( '.ueldo-loader-style-01 .ueldo-loader-style-01-bounce-a, .ueldo-loader-style-01 .ueldo-loader-style-01-bounce-b, .ueldo-loader-style-02, .ueldo-loader-style-05 > div, .ueldo-loader-style-06 > div, .ueldo-loader-style-07 > div > div, .ueldo-loader-style-08 > div > div, .ueldo-loader-style-09 > div' ).css({ 'background': spinnerColor });
        }
    };

   /**
    *
    * choose another loading spinner animation
    *
    */

    $( 'body' ).on( 'click', '.ueldo-theme-options-animations-selection-field-option:not(.ueldo-theme-options-animations-selection-field-option-selected)', function() {

        var element = $( this );
        var container = element.parents( '.ueldo-theme-options-animations-selection-field' );
        var input = container.find( 'input[type="hidden"]' );
        var animationStyle = element.data( 'animation-style' );

        container.find( '.ueldo-theme-options-animations-selection-field-option.ueldo-theme-options-animations-selection-field-option-selected' ).removeClass( 'ueldo-theme-options-animations-selection-field-option-selected' );
        element.addClass( 'ueldo-theme-options-animations-selection-field-option-selected' );

        input.val( animationStyle ).attr( 'value', animationStyle );

    });

   /**
    *
    * clear dynamic theme styles cache manually
    *
    */

    $( 'body' ).on( 'click', '.ueldo-theme-options-single-option[data-option-key="dynamic-theme-styles-cache"] button#ueldo-clear-dynamic-theme-styles-cache-manually', function() {

        var button = $( this );
        button.attr( 'disabled', true ).prop( 'disabled', true ).html( ueldo_theme_options_javascript_functions_l10n.please_wait ).addClass( 'ueldo-clear-dynamic-theme-styles-cache-manually-proceed' );

        $.ajax({
            url: ueldo_theme_options_javascript_functions_l10n.dynamic_theme_styles_cache_ajax_file_path,
            type: 'post',
            success: function( output ) {

                button.attr( 'disabled', false ).prop( 'disabled', false ).html( ueldo_theme_options_javascript_functions_l10n.clear_cache_now ).removeClass( 'ueldo-clear-dynamic-theme-styles-cache-manually-proceed' );

                if( output == 'OK' ) { $( '<div class="updated"><p>'+ ueldo_theme_options_javascript_functions_l10n.dynamic_theme_styles_cache_cleared_correctly +'</p></div>' ).insertBefore( button ); }
                else { $( '<div class="error"><p>'+ ueldo_theme_options_javascript_functions_l10n.couldnt_clear_dynamic_theme_styles_cache_please_try_again +'</p></div>' ).insertBefore( button ); }
            }

        });

    });

   /**
    *
    * end of the file.
    *
    */

});